-- 移植跨服分区 tyl
DROP TABLE IF EXISTS `chat_zone`;
CREATE TABLE `chat_zone` (
  `server_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '服务器Id(后台唯一服号)',
  `zone_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '分区Id',
  `platform` varchar(100) NOT NULL DEFAULT '' COMMENT '平台名',
  `server_num` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '服务器编号(玩家可见的服编号)',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '加入分区时间戳',
  PRIMARY KEY (`server_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='聊天监控-分区信息(在跨服中使用-合跨服合并保留)';

-- 每日票券
DROP TABLE IF EXISTS `role_daily_coupon`;
CREATE TABLE `role_daily_coupon`(
    `role_id` bigint(20) UNSIGNED NOT NULL COMMENT '玩家id',
    `send_list` varchar(5000) NOT NULL DEFAULT '[]' COMMENT '每日赠送列表',
    `send_time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '最后赠送时间',
    `gift_list` varchar(5000) NOT NULL DEFAULT '[]' COMMENT '每日领取列表',
    `gift_time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '最后领取时间',
    PRIMARY KEY(`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='好友每日票券';
