-- 宠物
-- tyl

-- 宠物基础数据
CREATE TABLE IF NOT EXISTS `role_pet` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `pet_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '宠物Id',
  `pet_stage` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '宠物阶级',
  `pet_star` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '宠物星级',
  `pet_lv` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '宠物培养等级',
  `pet_exp` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '宠物经验',
  `is_follow` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '跟随状态 0,非跟随 1,跟随',
  `adopt_time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '领养时间',
  PRIMARY KEY (`role_id`,`pet_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='宠物基础数据表';

-- 宠物技能石
CREATE TABLE IF NOT EXISTS `pet_skill_diamond` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `pet_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '宠物Id',
  `diamond_slot` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '技能石槽位',
  `diamond_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '技能石Id',
  PRIMARY KEY (`role_id`,`pet_id`,`diamond_slot`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='宠物技能宝石栏数据表';


ALTER TABLE `guild_merge`
MODIFY COLUMN `target`  bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '对方公会' AFTER `identity`;
