DROP TABLE `log_fashion_pos`;
DROP TABLE `log_fashion_decompose`;

CREATE TABLE `role_marble`(
    `role_id` bigint(20) UNSIGNED NOT NULL COMMENT '人物id',
    `marble_count` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '弹珠次数',
    `marble_reset` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '弹珠重置次数', 
    `energy_pro` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '充能节点进度',
    `marble_time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '弹珠最近操作时间',
    `energy_rewards` varchar(511) NOT NULL DEFAULT '[]' COMMENT '充能节点奖励信息',
    `shop_count` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '商店手动刷新次数',
    `shop_time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '商店最近操作时间',
    `shop_info` varchar(255) NOT NULL DEFAULT '[]' COMMENT '商店信息',
    PRIMARY KEY(`role_id`)
)ENGINE=InnoDb CHARSET=utf8 COMMENT="玩家弹珠&商店数据";
