ALTER TABLE `player_foster`
ADD COLUMN `click`  int(11) NOT NULL DEFAULT 0 COMMENT '操作次数' AFTER `exp`;


-- 经验副本里程碑数据
-- hh

CREATE TABLE `role_exp_dun_achieve`(
    `role_id` bigint(20) UNSIGNED NOT NULL COMMENT '人物id',
    `dun_id` int(11) UNSIGNED NOT NULL COMMENT '副本id',
    `wave` int(11) UNSIGNED NOT NULL COMMENT '里程碑波数',
    `status` tinyint(2) UNSIGNED NOT NULL DEFAULT 0 COMMENT '奖励领取状态',
    PRIMARY KEY(`role_id`, `dun_id`, `wave`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT='经验副本里程碑数据';


-- zhaoyu
CREATE TABLE IF NOT EXISTS `market_role_deal_log` (
  `id` bigint(20) UNSIGNED NOT NULL DEFAULT '0' COMMENT '交易Id',
  `role_id` bigint(20) UNSIGNED NOT NULL DEFAULT '0' COMMENT '玩家Id',
  `rela_role_id` bigint(20) UNSIGNED NOT NULL DEFAULT '0' COMMENT '关联玩家Id',
  `goods_type_id` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '物品类型Id',
  `num` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '物品数量',
  `price` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '成交价格',
  `sell_type` int(11) UNSIGNED NOT NULL DEFAULT '1' COMMENT '上架类型：1:世界上架2:帮派上架',
  `guild_id` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '公会Id',
  `time` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '上架时间戳',
  `deal_time` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '成交时间戳',
  `deal_type` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '成交类型:1:竞价买入2:一口价买入3:卖出',
  `extra_attr` varchar(255) NOT NULL DEFAULT '[]' COMMENT '物品额外特殊属性',
  PRIMARY KEY (`id`, `role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='交易市场玩家个人成交记录';

