-- zhaoyu
rename table jjc_honour to arena_honour;
rename table jjc_real_role to arena_real_role;
rename table jjc_record to arena_record;
rename table log_jjc to log_arena;
rename table log_jjc_break_rank to log_arena_break_rank;
rename table log_jjc_buy_times to log_arena_buy_times;
rename table log_jjc_clear to log_arena_clear;
rename table log_jjc_inspire to log_arena_inspire;


-- tyl
-- 社团协助
alter table player_guild 
add column support_id bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '支援Id' after `deliver`,
add column is_support_asker tinyint(2) UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否协助发送者 0-否 1-是' after `support_id`,
add column guild_reputation int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '每日社团声望' after `is_support_asker`;

CREATE TABLE IF NOT EXISTS `guild_support` (
  `support_sid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '协助全服唯一Id',
  `guild_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '公会Id',
  `support_cfgid` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '协助配置Id(对应玩法类型)',
  `ask_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '请求者Id',
  `support_list` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '[]' COMMENT '支援者列表',
  `scene` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '场景Id',
  `x` smallint(3) unsigned NOT NULL DEFAULT '0' COMMENT '坐标X',
  `y` smallint(3) unsigned NOT NULL DEFAULT '0' COMMENT '坐标Y',
  `content` varchar(500) NOT NULL DEFAULT '[]' COMMENT '协助内容',
  `extra` varchar(500) NOT NULL DEFAULT '[]' COMMENT '其他内容(各玩法定制)',
  `status` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '协助状态 0-未开始 1-正在进行 2-已经结束',
  `create_time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '请求创建时间',
  PRIMARY KEY (`support_sid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='公会-公会协助数据表';
