-- 社团BOSS榜单数据 合服保留

CREATE TABLE IF NOT EXISTS `guild_boss` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `act` int(11) NOT NULL DEFAULT '1' COMMENT '活动',
  `type` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '类型',
  `rank` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '个人排名',
  `rid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
  `gid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '社团ID',
  `flag` varchar(500) NOT NULL DEFAULT '{0,0}' COMMENT '社团旗帜',
  `name` varchar(50) NOT NULL DEFAULT '' COMMENT '玩家名字',
  `gname` varchar(50) NOT NULL DEFAULT '' COMMENT '社团名字',
  `hurt` bigint(20) NOT NULL DEFAULT '0' COMMENT '伤害',
  `cash` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '拍卖返还',
  `count` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '统计',
  `total` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '统计总值',
  `finish` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '是否结算',
  `stime` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '出手时间',
  `etime` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '最终出手时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='社团BOSS';




-- zhaoyu
DROP TABLE IF EXISTS `arena_honour`;
CREATE TABLE IF NOT EXISTS `arena_info` (
  `role_id` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '角色Id',
  `honour` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '荣誉值',
  `time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '挑战冷却开始时间戳',
  `cooldown` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '挑战冷却开始后触发了多少次冷却',
  `is_locking` smallint(2) UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否需要冷却时间归零后才可以继续挑战',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COMMENT = '角色竞技场相关数据';

ALTER TABLE `log_transform`
ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增Id' FIRST,
DROP PRIMARY KEY,
ADD PRIMARY KEY (`id`) USING BTREE;


-- tyl
-- 孩子技能
CREATE TABLE IF NOT EXISTS `child_skill` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `skill_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '技能Id',
  `skill_lv` mediumint(6) unsigned NOT NULL DEFAULT '0' COMMENT '技能等级',
  PRIMARY KEY (`role_id`,`skill_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='孩子-孩子技能数据表';
