-- liushl
-- 删除福利大厅旧数据
drop table if exists daily_checkin;
drop table if exists mon_checkin;
drop table if exists daily_online_time;
drop table if exists rush_giftbag;
drop table if exists share_gift;
drop table if exists log_daily_checkin;
drop table if exists log_month_check_in;
drop table if exists log_total_checkin;
drop table if exists log_welfare_giftbag;
drop table if exists log_rush_giftbag;
drop table if exists log_online_gift;
drop table if exists log_share_times;

-- 福利大厅
CREATE TABLE `player_welfare` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家id',
  `round` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '签到周期',
  `days` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '签到天数',
  `online_type` tinyint(2) unsigned NOT NULL DEFAULT '1' COMMENT '在线奖励类型',
  `level_award_state` int(11) NOT NULL DEFAULT '0' COMMENT '等级礼包状态',
  `download_award_state` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '资源下载奖励状态',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='福利大厅(合服保留)';


-- tyl
-- 添加孩子跟随
alter table role_child 
add column `is_follow` tinyint(2) UNSIGNED NOT NULL DEFAULT 0 COMMENT '孩子跟随状态 0-不跟随 1-跟随' AFTER `last_show_off_time`,
add column `show_vehicle` smallint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '跟随载具 0-不跟随 其他-具体载具Id' AFTER `is_follow`;
