-- hh
DROP TABLE IF EXISTS `common_rank_praise`;
CREATE TABLE `common_rank_praise`(
    `type` tinyint(3) UNSIGNED NOT NULL DEFAULT 0 COMMENT '点赞榜单类型',
    `id` bigint(20) UNSIGNED NOT NULL COMMENT '点赞id',
    `praise_num` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '点赞数目',
    PRIMARY KEY(`type`, `id`)
)ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='排行榜点赞数据';

-- hh
CREATE TABLE `role_vip`(
    `role_id` bigint(20) UNSIGNED NOT NULL COMMENT '玩家id',
    `lv` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'vip等级',
    `exp` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'vip等级经验',
    `type` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否处于体验阶段0|1',
    `endtime` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '体验结束时间',
    PRIMARY KEY(`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='玩家vip数据';


-- zmh
CREATE TABLE `player_visus` (
  `rid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家id',
  `id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '幻光id',
  `grade` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '强度',
  `lv` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '等级',
  `display` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '经验',
  PRIMARY KEY (`rid`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='玩家幻光';
