-- liushl
-- 背包吞噬
CREATE TABLE `player_devour` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家id',
  `devour_lv` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '吞噬等级',
  `devour_exp` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '吞噬经验',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='背包吞噬(合服保留)';

drop table if exists log_normal_combat_power;
CREATE TABLE `log_normal_combat_power` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '编号',
  `role_id` bigint(20) unsigned NOT NULL COMMENT '玩家id',
  `name` varchar(255) NOT NULL COMMENT '名字',
  `module_id` int(11) unsigned NOT NULL COMMENT '功能id',
  `type` int(11) unsigned NOT NULL COMMENT '操作类型',
  `old_power` int(11) unsigned NOT NULL COMMENT '操作前战力',
  `new_power` int(11) unsigned NOT NULL COMMENT '操作后战力',
  `change_power` int(11) NOT NULL COMMENT '战力变化',
  `remark` varchar(512) NOT NULL COMMENT '备注@lang@',
  `time` int(11) unsigned NOT NULL COMMENT '时间',
  PRIMARY KEY (`id`),
  KEY `role_id` (`role_id`),
  KEY `module_id` (`module_id`),
  KEY `time` (`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='通用战力日志表';
