-- tyl 孩子玩具&时装
CREATE TABLE IF NOT EXISTS `child_toy_slot` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `slot_id` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '槽位Id',
  `goods_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '物品Id',
  PRIMARY KEY (`role_id`,`slot_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='孩子-玩具槽位表数据表';

CREATE TABLE IF NOT EXISTS `child_toy_forge` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `slot_id` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '打造槽位Id',
  `start_time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '开始打造时间',
  `status` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '状态 0-待生产 1-正在生产 2-生产完成',
  `select_id` smallint(3) unsigned NOT NULL DEFAULT '0' COMMENT '打造库Id',
  PRIMARY KEY (`role_id`,`slot_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='孩子-孩子玩具打造位数据表';

CREATE TABLE IF NOT EXISTS `child_fashion` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `fashion_id` int(11) unsigned NOT NULL COMMENT '时装Id',
  `lv` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '等级',
  `state` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '穿戴状态 0-未穿戴 1-已穿戴',
  PRIMARY KEY (`role_id`,`fashion_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='孩子-时装数据表';
