-- liushl
-- 福利大厅
alter table player_welfare add column
`cumulative_sign_in_info` int(11) NOT NULL DEFAULT '0' COMMENT '累计签到奖励情况';

-- zmh
CREATE TABLE `log_nucleon_equip_recast` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '序号',
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
  `name` varchar(50) NOT NULL DEFAULT '[]' COMMENT '名称',
  `main_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '装备ID',
  `main_goods_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '物品ID',
  `main_attr_bef` varchar(500) NOT NULL DEFAULT '[]' COMMENT '前主属性',
  `main_attr_aft` varchar(500) NOT NULL DEFAULT '[]' COMMENT '后主属性',
  `sub_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '从装备ID',
  `sub_goods_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '从物品ID',
  `sub_attr` varchar(500) NOT NULL DEFAULT '[]' COMMENT '从属性',
  `cost` varchar(500) NOT NULL DEFAULT '[]' COMMENT '消耗列表',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`),
  KEY role_id(`role_id`),
  KEY name(`name`),
  KEY goods_id(`main_goods_id`),
  KEY time(`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='日志-灵装洗练';


-- zmh
CREATE TABLE `log_nucleon_section` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '序号',
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
  `name` varchar(50) NOT NULL DEFAULT '[]' COMMENT '名称',
  `pos` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '部位',
  `lv` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '等级',
  `cost` varchar(500) NOT NULL DEFAULT '[]' COMMENT '消耗',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`),
  KEY role_id(`role_id`),
  KEY name(`name`),
  KEY time(`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='日志-灵装觉醒';

-- zmh
CREATE TABLE `log_nucleon_hunt` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '序号',
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
  `name` varchar(50) NOT NULL DEFAULT '[]' COMMENT '名称',
  `opty` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '类型',
  `num` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '单抽十连',
  `awards` varchar(1000) NOT NULL DEFAULT '[]' COMMENT '获得',
  `cost` varchar(500) NOT NULL DEFAULT '[]' COMMENT '消耗',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`),
  KEY role_id(`role_id`),
  KEY name(`name`),
  KEY time(`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='日志-灵装抽奖';


-- zmh
CREATE TABLE `log_nucleon_resolve` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '序号',
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
  `name` varchar(50) NOT NULL DEFAULT '[]' COMMENT '名称',
  `gains` varchar(2000) NOT NULL DEFAULT '[]' COMMENT '获得',
  `cost` varchar(500) NOT NULL DEFAULT '[]' COMMENT '消耗',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`),
  KEY role_id(`role_id`),
  KEY name(`name`),
  KEY time(`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='日志-灵装分解';
