-- tyl 社团竞速
CREATE TABLE `guild_race_rank` (
  `guild_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '公会Id',
  `guild_name` varchar(255) NOT NULL DEFAULT '' COMMENT '公会名称',
  `guild_lv` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '社团等级',
  `captain_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '团长Id',
  `sum_power` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '总战力',
  `old_rank` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '旧排行',
  PRIMARY KEY (`guild_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='社团竞速-社团排行表';

CREATE TABLE `guild_race_rank_member` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `guild_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '社团Id',
  `position` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '职位',
  `old_rank` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '旧排行',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='社团竞速-成员排行';
