-- liushl
CREATE TABLE `offline_hosting_setting`(
    `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
    `set_list` varchar(255) NOT NULL DEFAULT '[]' COMMENT '设置了忽略活动列表',
    `value` int(11) NOT NULL DEFAULT '0' COMMENT '托管值',
    `u_time` int(11) NOT NULL DEFAULT '0' COMMENT '托管值刷新时间',
    PRIMARY KEY(`role_id`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="离线托管设置(合服保留)";

CREATE TABLE `offline_hosting_log`(
    `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '序号',
    `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
    `module_id` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '功能ID',
    `sub_id` tinyint(2) UNSIGNED NOT NULL DEFAULT 0 COMMENT '子ID',
    `cost_value` smallint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '托管值',
    `award` varchar(2000) NOT NULL DEFAULT '' COMMENT '奖励记录',
    `duration` smallint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '持续时间',
    `time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '时间',
    PRIMARY KEY(`id`),
    KEY role(`role_id`),
    KEY time(`time`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="离线托管日志(合服保留)";
