-- 2020-08-14

-- liushl
alter table equipment add column `series` tinyint(8) NOT NULL DEFAULT '0' COMMENT '当前解锁的代数';

CREATE TABLE `madness_land_zone_server_rank`(
    `zone_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '分区id',
    `rank` int(11) NOT NULL DEFAULT '0' COMMENT '排名',
    `server_num` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '服务器',
    `server_name` varchar(255) NOT NULL DEFAULT '[]' COMMENT '服务器名字',
    `score` int(11) NOT NULL DEFAULT '0' COMMENT '积分',
    PRIMARY KEY(`zone_id`, `rank`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="狂战领域-跨服区服排名(合服保留)";

CREATE TABLE `madness_land_role_rank`(
    `rank` int(11) NOT NULL DEFAULT '0' COMMENT '排名',
    `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
    `score` int(11) NOT NULL DEFAULT '0' COMMENT '积分',
    PRIMARY KEY(`rank`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="狂战领域-本服个人排名(合服清空)";

-- huangyongxing
-- 弹珠活动数据
CREATE TABLE `role_pellet_draw` (
  `id` bigint(20) unsigned NOT NULL COMMENT '角色id',
  `round` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '当前抽奖轮次',
  `count` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '当前轮次抽奖次数',
  `got_ids` varchar(100) NOT NULL COMMENT '本轮次已领取的次数奖励id',
  `got_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '最后一次领取次数奖励',
  `draw_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '最后一次抽奖',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='弹珠活动抽奖信息（关联每日累充/消费活动）';

