-- 2020-08-15

-- tyl
-- 废土战场
alter table wasteland_war add column `war_field` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '战场数' after `role_name`;


ALTER TABLE `role_guild_collect`
    ADD COLUMN `collect_count` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '本次活动采集次数' AFTER `last_enter_time`;

-- huangyongxing
-- 弹珠活动奖励记录
CREATE TABLE `pellet_award_records` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色id',
  `name` varchar(100) NOT NULL COMMENT '角色名',
  `goods_type_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '道具配置id',
  `goods_num` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '道具数量',
  `get_type` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '获取方式（0抽奖 1累计次数奖励）',
  `time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '获得时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='弹珠活动奖励记录';


ALTER TABLE `player_guild`
MODIFY COLUMN `order`  varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '[]' COMMENT '已接单' AFTER `red_gold_packet`;

-- zmh
-- 全民动员 进度管理
CREATE TABLE `mobilize_fake_cord`(
    `task_type` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '任务类型',
    `fake_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '假数据id',
    `stime` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '开始时间',
    `etime` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '截止时间',
    `ltime` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '上次更新',
    `remain_score` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '应补助分',
    `per_score` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '单次补助分',
    `remain_times` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '补助频率',
    `remain_click` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '补助计数器',
    `process` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '目前进度',
    PRIMARY KEY(`task_type`, `fake_id`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="全民动员 合服保留主服";

-- liushl
CREATE TABLE `madness_land_zone_role_rank`(
    `zone_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '分区id',
    `rank` int(11) NOT NULL DEFAULT '0' COMMENT '排名',
    `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
    `name` varchar(255) NOT NULL DEFAULT '' COMMENT '角色名称',
    `sex` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '性别',
    `vip` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'vip等级',
    `sup_vip` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '贵族',
    `server_num` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '服务器号',
    `score` int(11) NOT NULL DEFAULT '0' COMMENT '积分',
    PRIMARY KEY(`zone_id`, `rank`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="狂战领域-跨服个人排名(合服保留)";
