-- tyl 

DROP TABLE IF EXISTS `role_nature_tips`;
CREATE TABLE `role_nature_tips` (
  `role_id` bigint(20) unsigned NOT NULL COMMENT '角色Id',
  `nature_type` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '性格类型',
  `tip` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '标签',
  `show_pos` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '展示的位置',
  PRIMARY KEY (`role_id`,`nature_type`,`tip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='性格标签';

alter table role_nature drop column `add_value`;

CREATE TABLE `role_nature_category_reward` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `category` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '章节',
  `status` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '奖励领取状态',
  PRIMARY KEY (`role_id`,`category`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='性格-章节奖励';
