-- 送礼&票券修改

CREATE TABLE `role_flower_sp_gift`(
    `role_id` bigint(20) UNSIGNED NOT NULL COMMENT '玩家id',
    `start_time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '开始时间',
    `sender` bigint(20) UNSIGNED NOT NULL COMMENT '赠送者',
    `day` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '持续天数',
    `goods_id` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '物品id',
    `receive_time` varchar(500) NOT NULL DEFAULT '[]' COMMENT '领取时间列表',
    PRIMARY KEY(`role_id`, `start_time`, `sender`)
) ENGINE=InnoDB CHARSET=utf8 COMMENT="玩家特殊礼品数据";


DROP TABLE `role_daily_coupon`;

CREATE TABLE `role_coupon_list`(
    `role_id` bigint(20) UNSIGNED NOT NULL COMMENT '玩家id',
    `op_role` bigint(20) UNSIGNED NOT NULL COMMENT '领取的玩家|赠送的玩家',
    `coupon_type` tinyint(2) UNSIGNED NOT NULL DEFAULT 0 COMMENT '1社交券|2羁绊券',
    `type` tinyint(2) UNSIGNED NOT NULL DEFAULT 0 COMMENT '1赠送|2领取',
    `status` tinyint(2) UNSIGNED NOT NULL DEFAULT 0 COMMENT '领取状态',
    `time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新时间',
    PRIMARY KEY(`role_id`, `op_role`, `coupon_type`, `type`)
) ENGINE=InnoDB CHARSET=utf8 COMMENT="社交票券数据";
