-- 排行榜达成目标数据表
-- hh
CREATE TABLE `common_rank_first_top`(
    `rank_type` int(11) UNSIGNED NOT NULL COMMENT '排行类型',
    `target` bigint(20) UNSIGNED NOT NULL COMMENT '目标',
    `role_id` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '角色id',
    `time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '时间',
    PRIMARY KEY(`rank_type`, `target`)
) ENGINE=InnoDB CHARSET=utf8 COMMENT="排行榜首度目标达成数据";


CREATE TABLE `role_first_top_reward`(
    `role_id` bigint(20) UNSIGNED NOT NULL COMMENT '玩家id',
    `rank_type` int(11) UNSIGNED NOT NULL COMMENT '排行类型',
    `target` bigint(20) UNSIGNED NOT NULL COMMENT '目标',
    PRIMARY KEY(`role_id`, `rank_type`, `target`)
) ENGINE=InnoDB CHARSET=utf8 COMMENT="玩家目标奖励";


ALTER TABLE `common_rank_role`
    MODIFY COLUMN `value` bigint(20);

ALTER TABLE `common_rank_guild`
    MODIFY COLUMN `value` bigint(20);
