-- zmh
-- 魂力增加额外充能
ALTER TABLE `role_uranium`
ADD COLUMN `quick_time`  int(11) NOT NULL DEFAULT 0 COMMENT '充能时间' AFTER `start_time`;

-- tyl 
-- 阶段兑换日志表
CREATE TABLE `log_phase_exchange` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'id',
  `sub_type` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '活动子类型',
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `role_name` varchar(255) NOT NULL DEFAULT '' COMMENT '角色名称',
  `role_lv` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '玩家等级',
  `lv_need` varchar(255) NOT NULL DEFAULT '' COMMENT '奖励等级范围',
  `store_id` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '阶段',
  `grade` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '奖励档次',
  `type` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '类型 1-兑换 2-开启阶段',
  `reward_list` varchar(255) NOT NULL DEFAULT '' COMMENT '奖励列表',
  `goods_cost` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '消耗物品Id',
  `num_cost` mediumint(5) unsigned NOT NULL DEFAULT '0' COMMENT '消耗数量',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间戳',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='阶段兑换日志表';

-- ljy
-- 冒险征程日志表
CREATE TABLE `log_adventure_lottery`  (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `role_id` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '玩家id',
  `type` tinyint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '抽奖类型',
  `grade_list` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '奖励id列表',
  `score` smallint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '热点值',
  `progress` smallint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '进度值',
  `time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `role_id`(`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '冒险征程抽奖日志' ROW_FORMAT = Dynamic;