-- liushl
-- 首充修改
DROP TABLE IF EXISTS recharge_first;
CREATE TABLE `role_recharge_first` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家id',
  `product_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '产品id',
  `recharge` decimal(12,2) NOT NULL DEFAULT '0.00' COMMENT '充值金额',
  `trigger_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '触发时间',
  `award_list` varchar(128) NOT NULL DEFAULT '[]' COMMENT '已领奖励列表',
  PRIMARY KEY (`role_id`, `product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='首充奖励表##合服保留';
ALTER TABLE `log_recharge_first`
ADD COLUMN `name` varchar(50) NOT NULL DEFAULT '[]' COMMENT '名字' AFTER `player_id`,
ADD COLUMN `product_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '产品id' AFTER `name`;