-- ljy
-- 黑白棋活动日志

CREATE TABLE `log_reversi_lottery`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '序号',
  `role_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '玩家ID',
  `op_type` tinyint(2) NOT NULL COMMENT '操作##1抽奖/2刷新奖池',
  `score` smallint(6) NOT NULL DEFAULT 0 COMMENT '当前幸运值',
  `cost` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '[]' COMMENT '消耗',
  `reward` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '[]' COMMENT '奖励',
  `time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '活动-黑白棋抽奖日志' ROW_FORMAT = Dynamic;