-- huangyongxing
-- 明日之礼相关日志
-- 2020-12-23

-- 弹珠累充累消活动档次奖励日志
CREATE TABLE `log_pellet_daily` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '日志id',
  `role_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '角色id',
  `subtype` smallint(5) NOT NULL DEFAULT '0' COMMENT '活动子类型',
  `grade` smallint(5) NOT NULL DEFAULT '0' COMMENT '奖励档位',
  `cond_type` tinyint(3) NOT NULL DEFAULT '0' COMMENT '条件类型（1充2消）',
  `gold_need` int(11) NOT NULL DEFAULT '0' COMMENT '领取档位奖励所需钻石数',
  `gold_total` int(11) NOT NULL DEFAULT '0' COMMENT '领取奖励时充值/消费总额',
  `is_mail` tinyint(3) NOT NULL DEFAULT '0' COMMENT '是否系统自动邮件补发（0否1是）',
  `award_list` varchar(200) NOT NULL COMMENT '奖励列表',
  `vip` tinyint(3) NOT NULL DEFAULT '0' COMMENT 'VIP等级',
  `time` int(11) NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`),
  KEY `time` (`time`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='弹珠累充累消活动档次奖励日志';


-- 累充消费弹珠抽奖奖励日志
CREATE TABLE `log_pellet_draw` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '日志id',
  `role_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '角色id',
  `round` smallint(5) NOT NULL DEFAULT '0' COMMENT '抽奖轮次',
  `award_type` tinyint(3) NOT NULL DEFAULT '1' COMMENT '1抽奖 2次数奖励',
  `award_id` int(11) NOT NULL DEFAULT '0' COMMENT '奖励id',
  `award_list` varchar(200) NOT NULL COMMENT '奖励列表',
  `times` smallint(3) NOT NULL DEFAULT '0' COMMENT '抽奖后本轮累计抽取次数',
  `vip` tinyint(3) NOT NULL DEFAULT '0' COMMENT 'VIP等级',
  `time` int(11) NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`),
  KEY `time` (`time`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='累充消费弹珠抽奖奖励日志';

