-- ljy
-- 七日目标
-- 2020-12-25

-- 七日目标任务状态
CREATE TABLE `seven_day_task`  (
  `role_id` bigint(20) UNSIGNED NOT NULL COMMENT '玩家id',
  `days` smallint(6) NOT NULL COMMENT '天数',
  `mod_id` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '模块Id',
  `sub_id` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '子id',
  `progress` smallint(6) NOT NULL COMMENT '进度',
  PRIMARY KEY (`role_id`, `days`, `mod_id`, `sub_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '七日目标任务' ROW_FORMAT = Dynamic;


-- 七日目标信息
CREATE TABLE `seven_days_goal`  (
  `role_id` bigint(20) UNSIGNED NOT NULL COMMENT '玩家id',
  `open_time` int(11) NOT NULL COMMENT '功能开启时间戳',
  `days` smallint(6) UNSIGNED NOT NULL COMMENT '累计登录天数',
  `score` smallint(6) UNSIGNED NOT NULL COMMENT '积分',
  `task_reward` varchar(511) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '[]' COMMENT '已领取的任务奖励',
  `score_reward` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '[]' COMMENT '已领取的积分奖励',
  `skill_reward` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '[]' COMMENT '已领取的技能奖励',
  `other_data` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '[]' COMMENT '其他数据',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '七日目标人物数据' ROW_FORMAT = Dynamic;

