-- zmh
DROP TABLE IF EXISTS role_nucleon;
CREATE TABLE `role_nucleon` (
  `rid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
  `lv` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '灵能级',
  `exp` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '灵能经验',
  `normal` int(11) NOT NULL DEFAULT '0' COMMENT '普通已抽次数',
  `ntime` int(11) NOT NULL DEFAULT '0' COMMENT '上次免费操作时间',
  `nfirst` int(11) NOT NULL DEFAULT '0' COMMENT '普通首次',
  `nstate` varchar(100) NOT NULL DEFAULT '[]' COMMENT '普通状态',
  `special` int(11) NOT NULL DEFAULT '0' COMMENT '特别已抽次数',
  `stime` int(11) NOT NULL DEFAULT '0' COMMENT '上次特殊已抽时间',
  `sfirst` int(11) NOT NULL DEFAULT '0' COMMENT '特殊首次',
  `estate` varchar(100) NOT NULL DEFAULT '[]' COMMENT '特殊状态',
  `rtime` int(11) NOT NULL DEFAULT '0' COMMENT '刷新时间',
  PRIMARY KEY (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='灵能-合服保留';

CREATE TABLE `player_nucleon` (
  `rid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
  `pos` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '槽位',
  `grade` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '阶段',
  `lv` int(11) NOT NULL DEFAULT '0' COMMENT '等级',
  `exp` int(11) NOT NULL DEFAULT '0' COMMENT '经验',
  `skill` int(11) NOT NULL DEFAULT '0' COMMENT '技能',
  `skill_lv` int(11) NOT NULL DEFAULT '0' COMMENT '技能等级',
  `sec_lv` int(11) NOT NULL DEFAULT '0' COMMENT '觉醒等级',
  `attrs` varchar(100) NOT NULL DEFAULT '[]' COMMENT '属性',
  PRIMARY KEY (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='灵能槽位-合服保留';

-- zmh
DROP TABLE IF EXISTS custom_act_journey;
CREATE TABLE `custom_act_journey` (
  `rid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
  `act` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '活动ID',
  `map` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '地图',
  `tasks` varchar(600) NOT NULL DEFAULT '[]' COMMENT '任务',
  PRIMARY KEY (`rid`,`act`,`map`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='征途-合服保留';