-- 2021-02-18
-- ljy
ALTER TABLE seven_days_goal MODIFY task_reward VARCHAR(3000) NOT NULL DEFAULT '[]';
ALTER TABLE seven_days_goal MODIFY score_reward VARCHAR(255) NOT NULL DEFAULT '[]';
ALTER TABLE seven_days_goal MODIFY skill_reward VARCHAR(255) NOT NULL DEFAULT '[]';

-- 定制活动-充值消费活动日志
-- huangyongxing
CREATE TABLE `log_recharge_consume_act` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增键',
  `role_id` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '角色id',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '角色名',
  `type` smallint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '活动分类',
  `subtype` smallint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '活动子分类',
  `grade` smallint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '活动奖励档次',
  `recharge_total` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '充值总额',
  `consume_total` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '消费总额',
  `is_mail` tinyint(3) UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否邮件发放奖励',
  `award_list` varchar(255) NOT NULL DEFAULT '[]' COMMENT '奖励列表',
  `vip` tinyint(3) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'VIP等级',
  `time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '操作时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='定制活动-充值消费活动日志';

-- ljy
ALTER TABLE role_legion change  dot dot_list VARCHAR(255) NOT NULL DEFAULT '[]' COMMENT '已领取的节点id列表';