-- liushl
ALTER TABLE log_custom_act_reward ADD COLUMN `bgold_before` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '领奖前红钻' AFTER gold_after;
ALTER TABLE log_custom_act_reward ADD COLUMN `bgold_after` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '领奖后红钻' AFTER bgold_before;

-- tyl 源樱之礼
CREATE TABLE `sakura_person_log` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色id',
  `sub_type` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '活动子类型',
  `id` int(11) unsigned NOT NULL COMMENT 'id',
  `reward` varchar(255) NOT NULL DEFAULT '[]' COMMENT '奖励',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '记录时间',
  PRIMARY KEY (`role_id`,`sub_type`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='源樱之礼-个人记录';

CREATE TABLE `sakura_server_log` (
  `sub_type` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '活动子类型',
  `id` int(11) unsigned NOT NULL COMMENT 'id',
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色id',
  `reward` varchar(255) NOT NULL DEFAULT '[]' COMMENT '奖励',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '记录时间',
  PRIMARY KEY (`sub_type`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='源樱之礼-全服记录';

CREATE TABLE `sakura_store` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色id',
  `sub_type` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '活动子id',
  `reward_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '奖励id',
  `times` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '兑换次数',
  PRIMARY KEY (`role_id`,`sub_type`,`reward_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='源樱之礼-积分商城';

-- liushl
CREATE TABLE `role_equipment_task` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家id',
  `task_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '任务Id',
  `progress` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '任务进度',
  `status` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '任务状态',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`role_id`, `task_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='玩家装备任务(合服保留)';
