-- 2021-03-24
-- 代php提交后台GM邮件记录表更新
DROP TABLE IF EXISTS `log_gm_mail`;
CREATE TABLE `log_gm_mail` (
  `mid` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) NOT NULL,
  `accid` int(11) NOT NULL,
  `accname` varchar(50) NOT NULL,
  `last_login_time` int(10) NOT NULL,
  `server_id` int(11) NOT NULL,
  `nickname` varchar(2000) NOT NULL COMMENT '昵称',
  `title` varchar(512) NOT NULL,
  `content` varchar(1024) NOT NULL,
  `goods_id` int(11) NOT NULL,
  `goods_num` int(11) NOT NULL,
  `bcoin` int(11) NOT NULL,
  `coin` int(11) NOT NULL,
  `silver` int(11) NOT NULL,
  `gold` int(11) NOT NULL,
  `admin_name` varchar(50) NOT NULL,
  `ctime` int(11) NOT NULL,
  `stren` int(11) NOT NULL,
  `prefix` int(11) NOT NULL,
  `realname` varchar(50) NOT NULL,
  `minlv` int(11) NOT NULL,
  `maxlv` int(11) NOT NULL,
  `role_gold` int(11) NOT NULL,
  `pass_admin_name` varchar(50) NOT NULL,
  `special_attachment` varchar(1000) DEFAULT '[]' COMMENT '附件',
  `minvip` int(5) DEFAULT NULL,
  `maxvip` int(5) DEFAULT NULL,
  `days` int(5) NOT NULL,
  `res` text,
  PRIMARY KEY (`mid`),
  KEY `nickname` (`nickname`(255))
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT="后台GM邮件记录";
