-- liushl
ALTER TABLE madness_land_guild_rank ADD COLUMN `guild_flag` int(11) NOT NULL DEFAULT '0' COMMENT '社团旗帜' AFTER `guild_name`;

-- tyl
-- 社团拼单感谢信&感谢记录
CREATE TABLE `guild_order_log` (
  `order_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '拼单唯一Id',
  `guild_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '社团Id',
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `ask_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '发起者Id',
  `cfg_id` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '拼单配置Id',
  `content` varchar(500) NOT NULL DEFAULT '[]' COMMENT '拼单内容',
  `chat_msg` varchar(1000) NOT NULL DEFAULT '' COMMENT '交流信息',
  `is_receive` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '是否领取',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`order_id`,`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='社团拼单-拼单记录';

CREATE TABLE `guild_order_thank` (
  `order_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '拼单唯一Id',
  `guild_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '社团Id',
  `ask_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '发起者Id',
  `cfg_id` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '拼单配置Id',
  `role_list` varchar(1000) NOT NULL DEFAULT '[]' COMMENT '角色列表',
  `content` varchar(500) NOT NULL DEFAULT '[]' COMMENT '拼单内容',
  `is_send` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '是否已经发送',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='社团拼单-感谢信';