-- hh
-- 进阶装备优化
ALTER TABLE `player_foster_equip`
    ADD COLUMN `assist` tinyint(2) UNSIGNED NOT NULL DEFAULT 0 COMMENT '助战属性激活状态' AFTER `equips`;

-- zmh
ALTER TABLE `legion_director_log`
ADD COLUMN `time`  int(11) NOT NULL DEFAULT 0 COMMENT '当天0点' AFTER `profile_photo_id`;

-- tyl
-- 社团竞速增加社团活跃榜
ALTER TABLE guild_race_rank_member ADD COLUMN `old_live` BIGINT(20) UNSIGNED NOT NULL DEFAULT '0' COMMENT '旧的活跃值' AFTER `old_rank`;
ALTER TABLE guild_race_rank_member ADD COLUMN `received_power` TINYINT(2) UNSIGNED NOT NULL DEFAULT '0' COMMENT '是否已领取战力榜奖励' AFTER `old_live`;
ALTER TABLE guild_race_rank_member ADD COLUMN `received_live` TINYINT(2) UNSIGNED NOT NULL DEFAULT '0' COMMENT '是否已领取活跃榜奖励' AFTER `received_power`;
ALTER TABLE guild_race_rank_member ADD COLUMN `received_captain_power` TINYINT(2) UNSIGNED NOT NULL DEFAULT '0' COMMENT '是否已领取团长战力奖励' AFTER `received_live`;
ALTER TABLE guild_race_rank_member ADD COLUMN `received_captain_live` TINYINT(2) UNSIGNED NOT NULL DEFAULT '0' COMMENT '是否已领取团长活跃奖励' AFTER `received_captain_power`;

ALTER TABLE guild_race_rank ADD COLUMN `old_live` BIGINT(20) UNSIGNED NOT NULL DEFAULT '0' COMMENT '旧的总活跃值' AFTER `old_rank`;

CREATE TABLE `guild_race_rank_role` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `guild_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '社团Id',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='社团竞速-前七天玩家和社团映射';