-- liushl
DROP TABLE IF EXISTS boss_first_blood;
DROP TABLE IF EXISTS boss_first_blood_reward;
CREATE TABLE `boss_first_blood_each` (
  `boss_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'BossId',
  `killers` varchar(1000) NOT NULL DEFAULT '[]' COMMENT '击杀玩家列表##[{role_id, name}]',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '首杀时间时间戳',
  PRIMARY KEY (`boss_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='boss首杀数据(合服保留主服数据，从服清除)';

CREATE TABLE `role_boss_first_blood` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家id',
  `boss_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'BossId',
  `self_award` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '自己首杀领取状态',
  `server_award` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '全服首杀领取状态',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '首杀时间时间戳',
  PRIMARY KEY (`role_id`, `boss_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='玩家boss首杀数据(合服保留)';

-- ljy
alter table mail add column `important` tinyint(2) not null default '0' comment '是否重要邮件';

-- zmh
update `legion_director_log` SET `time`=`issue`;

-- hh
ALTER TABLE `role_convoy` DROP COLUMN `last_attack_time`;
ALTER TABLE `role_convoy` DROP COLUMN `is_robber`;
ALTER TABLE `role_convoy` DROP COLUMN `rob_log`;
ALTER TABLE `role_convoy` DROP COLUMN `rob_time`;
ALTER TABLE `role_convoy`
  ADD COLUMN `stage` tinyint(2) UNSIGNED NOT NULL DEFAULT 0 COMMENT '阶段' AFTER `convoying`;
ALTER TABLE `role_convoy`
  ADD COLUMN `start_time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '开始时间' AFTER `stage`;
ALTER TABLE `role_convoy`
  ADD COLUMN `pray_val` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '祝福值' AFTER `start_time`;