-- liushl
ALTER TABLE log_player_daily
ADD COLUMN `fast_onhook_left` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '剩余超级加速次数' AFTER `guild_task`,
ADD COLUMN `sup_vip_state` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '贵族状态（0未激活 1体验 2永久）' AFTER `fast_onhook_left`,
ADD COLUMN `current_hosting` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '当前总托管值' AFTER `sup_vip_state`,
ADD COLUMN `today_hosting` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '今日获得托管值' AFTER `current_hosting`,
ADD COLUMN `gold` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '库存彩钻' AFTER `today_hosting`,
ADD COLUMN `bgold` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '库存红钻' AFTER `gold`,
ADD COLUMN `trade` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '库存交易券' AFTER `bgold`;

-- ljy
-- 充值商品表字段拓展
ALTER TABLE recharge_act ADD COLUMN `end_time` INT(11) NOT NULL DEFAULT '0' COMMENT '结束时间';

-- tyl
-- 全民动员数据
CREATE TABLE `mobilize_task` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `sub_type` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '活动子类型Id',
  `start_day` smallint(3) unsigned NOT NULL DEFAULT '0' COMMENT '开始天数',
  `end_day` smallint(3) unsigned NOT NULL DEFAULT '0' COMMENT '结束天数',
  `task_type` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '任务类型Id',
  `progress` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '进度',
  `award_log` varchar(500) NOT NULL DEFAULT '[]' COMMENT '奖励领取情况',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '更新时间戳',
  PRIMARY KEY (`role_id`,`sub_type`,`start_day`,`end_day`,`task_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='全民动员-任务进度数据';

CREATE TABLE `mobilize_days_reward` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `sub_type` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '活动子Id',
  `start_day` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '开始天数',
  `end_day` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '结束天数',
  `total` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '完成任务数量',
  `state` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '大奖领取状态',
  PRIMARY KEY (`role_id`,`sub_type`,`start_day`,`end_day`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='全民动员-天数大奖数据';

DROP TABLE IF EXISTS `mobilize_fake_cord`;
CREATE TABLE `mobilize_fake_cord` (
  `task_type` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '任务类型',
  `fake_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '假数据id',
  `act` int(11) NOT NULL DEFAULT '0' COMMENT '活动子Id',
  `day` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '开始天数',
  `stime` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '开始时间',
  `etime` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '截止时间',
  `ltime` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '上次更新',
  `remain_score` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '应补助分',
  `per_score` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '单次补助分',
  `remain_times` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '补助频率',
  `remain_click` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '补助计数器',
  `process` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '目前进度',
  `real_pro` int(11) NOT NULL DEFAULT '0' COMMENT '真实进度',
  PRIMARY KEY (`task_type`,`fake_id`,`act`,`day`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='全民动员 合服保留主服';