-- tyl 时装工坊
CREATE TABLE `workroom_forge_target` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `pos` smallint(3) unsigned NOT NULL DEFAULT '0' COMMENT '位置',
  `goods_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '物品Id',
  PRIMARY KEY (`role_id`,`pos`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='时装工坊-打造目标';

CREATE TABLE `workroom_shop` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `last_refresh` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '上次刷新时间',
  `refresh_count` smallint(3) unsigned NOT NULL DEFAULT '0' COMMENT '刷新次数',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='时装工坊-商城刷新信息';

CREATE TABLE `workroom_shop_goods` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `pos` smallint(3) unsigned NOT NULL DEFAULT '0' COMMENT '位置',
  `goods_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '物品Id',
  `has_buy` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '是否已经购买',
  PRIMARY KEY (`role_id`,`pos`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='时装工坊-商品信息';

CREATE TABLE `workroom_suit` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `suit_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '套装Id',
  `own_num` smallint(3) unsigned NOT NULL DEFAULT '0' COMMENT '拥有数量',
  `active_num` smallint(3) unsigned NOT NULL DEFAULT '0' COMMENT '激活数量',
  `sum_star` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '总星数',
  PRIMARY KEY (`role_id`,`suit_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='时装工坊-套装信息';
