-- liushl
ALTER TABLE `market_goods` ADD COLUMN
`sys_buyback_count` smallint(5) unsigned NOT NULL DEFAULT '0'  COMMENT '系统回购次数' AFTER `extra_attr`;

-- tyl
-- 社团竞速团长任务
CREATE TABLE `guild_race_rank_task` (
  `guild_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '公会Id',
  `task_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '任务Id',
  `progress` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '进度',
  `status` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '任务状态 0-未完成 1-已完成 2-已领取',
  PRIMARY KEY (`guild_id`,`task_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='社团竞速-团长任务';

-- 2021-07-01
-- huangyongxing
-- ta_agent关服时临时存储未及时上报的数据
-- 合服时修改id直接合并数据条目
CREATE TABLE `ta_agent_wait_upload`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '数据键',
  `type` tinyint(3) UNSIGNED NOT NULL DEFAULT 1 COMMENT '数据类型[1-normal/2-delay]',
  `data` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '数据',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci COMMENT='ta_agent关服时临时存储未及时上报的数据';

