%%%-------------------------------------------------------------------
%%% @author liushl
%%% @doc
%%%
%%% @end
%%%-------------------------------------------------------------------
-author("liushl").

-define(BOSS_FIRST_KILL_NOT,   0).  %% 个人首杀-尚未
-define(BOSS_FIRST_KILL_YES,   1).  %% 个人首杀-已杀
-define(BOSS_FIRST_KILL_AWARD, 2).  %% 个人首杀-已领奖

-record(boss_first_blood, {
    boss_info = []
}).

%% BOSS首杀管理数据
-record(boss_info, {
    boss_id     = 0,       %% BOSS
    killers     = [],      %% 击杀者 [{role_id,name}]
    names       = "",      %% 名字
    time        = 0        %% 时间
}).

%% BOSS首杀玩家数据
-record(role_boss_first_blood, {
    boss_id         = 0,    %% BOSS
    time            = 0,    %% 首杀时间
    self_award      = 0,    %% 自己首杀领取状态
    server_award    = 0     %% 全服首杀领取状态
}).

-define(SQL_GET_BOSS_INFO, <<"SELECT `boss_id`,`killers`,`time` FROM boss_first_blood_each">>).
-define(SQL_SAVE_BOSS_INFO, <<"REPLACE INTO boss_first_blood_each(`boss_id`,`killers`,`time`) VALUES(~p,'~ts',~p)">>).

-define(SQL_GET_ROLE_BOSS_INFO, <<"SELECT boss_id,self_award,server_award,time FROM role_boss_first_blood WHERE role_id=~p">>).
-define(SQL_SAVE_ROLE_BOSS_INFO, <<"REPLACE INTO role_boss_first_blood(role_id,boss_id,self_award,server_award,time) VALUES(~p,~p,~p,~p,~p)">>).
%%%-------------------------------------------------------------------
%%% @doc
%%%     装备任务
%%% @end
%%%-------------------------------------------------------------------
%% 任务进度
-record(equipment_task, {
    progress = 0,
    status = 0,
    time = 0
}).

-record(base_boss_first_blood, {
    boss_id = 0,
    order = 0,
    series = 0,
    server_first_award = [],        %% 全服首杀者奖励
    self_first_award = [],          %% 个人首杀者奖励
    server_award = []               %% 首杀全服奖励
}).

-record(base_equipment_task, {
    task_id = 0,
    mod = 0,
    type = 0,
    content = [],
    award = [],
    condition = [],
    jump = 0
}).