%%%---------------------------------------
%%% module      : data_act_days_plan
%%% description : 五日大作战配置
%%%
%%%---------------------------------------
-module(data_act_days_plan).
-compile(export_all).
-include("custom_act.hrl").



get_task_cfg(1,1) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 1,open_lv = 10,recommend = 10,content = 100,reward = [{100,109001,10},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,2) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 2,open_lv = 10,recommend = 10,content = 200,reward = [{100,109001,10},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,3) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 3,open_lv = 10,recommend = 10,content = 500,reward = [{100,109001,10},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,4) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 4,open_lv = 10,recommend = 10,content = 800,reward = [{100,109001,10},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,5) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 5,open_lv = 10,recommend = 10,content = 1200,reward = [{100,109001,20},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,6) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 6,open_lv = 10,recommend = 10,content = 1600,reward = [{100,109001,20},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,7) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 7,open_lv = 10,recommend = 10,content = 2000,reward = [{100,109001,20},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,8) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 8,open_lv = 10,recommend = 10,content = 3000,reward = [{100,109001,20},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,9) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 9,open_lv = 10,recommend = 10,content = 5000,reward = [{100,109001,20},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,10) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 10,open_lv = 10,recommend = 10,content = 7000,reward = [{100,109001,20},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,11) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 11,open_lv = 10,recommend = 10,content = 10000,reward = [{100,109001,20},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,12) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 12,open_lv = 10,recommend = 10,content = 15000,reward = [{100,109001,20},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,13) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 13,open_lv = 10,recommend = 10,content = 20000,reward = [{100,109001,20},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,14) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 14,open_lv = 10,recommend = 10,content = 30000,reward = [{100,109001,30},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,15) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 15,open_lv = 10,recommend = 10,content = 50000,reward = [{100,109001,30},{100,109011,1},{100,109012,1}]};

get_task_cfg(1,16) ->
    #custom_act_days_plan_task{task_type = 1,task_id = 16,open_lv = 10,recommend = 10,content = 100000,reward = [{100,109001,30},{100,109011,1},{100,109012,1}]};

get_task_cfg(2,1) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 1,open_lv = 100,recommend = 50,content = 1,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(2,2) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 2,open_lv = 100,recommend = 50,content = 3,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(2,3) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 3,open_lv = 100,recommend = 50,content = 5,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(2,4) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 4,open_lv = 100,recommend = 50,content = 7,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(2,5) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 5,open_lv = 100,recommend = 50,content = 10,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(2,6) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 6,open_lv = 100,recommend = 50,content = 15,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(2,7) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 7,open_lv = 100,recommend = 50,content = 20,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(2,8) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 8,open_lv = 100,recommend = 50,content = 25,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(2,9) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 9,open_lv = 100,recommend = 50,content = 30,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(2,10) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 10,open_lv = 100,recommend = 50,content = 40,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(2,11) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 11,open_lv = 100,recommend = 50,content = 50,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(2,12) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 12,open_lv = 100,recommend = 50,content = 70,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(2,13) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 13,open_lv = 100,recommend = 50,content = 90,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(2,14) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 14,open_lv = 100,recommend = 50,content = 120,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(2,15) ->
    #custom_act_days_plan_task{task_type = 2,task_id = 15,open_lv = 100,recommend = 50,content = 150,reward = [{100,109001,7},{100,109002,1},{100,109011,1}]};

get_task_cfg(3,1) ->
    #custom_act_days_plan_task{task_type = 3,task_id = 1,open_lv = 96,recommend = 100,content = 150,reward = [{100,109011,2},{100,109012,2},{100,109001,2}]};

get_task_cfg(3,2) ->
    #custom_act_days_plan_task{task_type = 3,task_id = 2,open_lv = 96,recommend = 100,content = 300,reward = [{100,109011,2},{100,109012,2},{100,109001,2}]};

get_task_cfg(3,3) ->
    #custom_act_days_plan_task{task_type = 3,task_id = 3,open_lv = 96,recommend = 100,content = 500,reward = [{100,109011,2},{100,109012,2},{100,109001,2}]};

get_task_cfg(3,4) ->
    #custom_act_days_plan_task{task_type = 3,task_id = 4,open_lv = 96,recommend = 100,content = 700,reward = [{100,109011,2},{100,109012,2},{100,109001,2}]};

get_task_cfg(3,5) ->
    #custom_act_days_plan_task{task_type = 3,task_id = 5,open_lv = 96,recommend = 100,content = 1000,reward = [{100,109011,2},{100,109012,2},{100,109001,2}]};

get_task_cfg(4,1) ->
    #custom_act_days_plan_task{task_type = 4,task_id = 1,open_lv = 42,recommend = 100,content = 2,reward = [{100,109001,3},{100,109002,1},{100,109011,1}]};

get_task_cfg(4,2) ->
    #custom_act_days_plan_task{task_type = 4,task_id = 2,open_lv = 42,recommend = 100,content = 4,reward = [{100,109001,3},{100,109002,1},{100,109011,1}]};

get_task_cfg(4,3) ->
    #custom_act_days_plan_task{task_type = 4,task_id = 3,open_lv = 42,recommend = 100,content = 6,reward = [{100,109001,3},{100,109002,1},{100,109011,1}]};

get_task_cfg(4,4) ->
    #custom_act_days_plan_task{task_type = 4,task_id = 4,open_lv = 42,recommend = 100,content = 9,reward = [{100,109001,3},{100,109002,1},{100,109011,1}]};

get_task_cfg(4,5) ->
    #custom_act_days_plan_task{task_type = 4,task_id = 5,open_lv = 42,recommend = 100,content = 12,reward = [{100,109001,3},{100,109002,1},{100,109011,1}]};

get_task_cfg(4,6) ->
    #custom_act_days_plan_task{task_type = 4,task_id = 6,open_lv = 42,recommend = 100,content = 15,reward = [{100,109001,3},{100,109002,1},{100,109011,1}]};

get_task_cfg(4,7) ->
    #custom_act_days_plan_task{task_type = 4,task_id = 7,open_lv = 42,recommend = 100,content = 20,reward = [{100,109001,3},{100,109002,1},{100,109011,1}]};

get_task_cfg(5,1) ->
    #custom_act_days_plan_task{task_type = 5,task_id = 1,open_lv = 90,recommend = 400,content = 2,reward = [{100,109011,3},{100,109012,2},{100,109001,2}]};

get_task_cfg(5,2) ->
    #custom_act_days_plan_task{task_type = 5,task_id = 2,open_lv = 90,recommend = 400,content = 4,reward = [{100,109011,3},{100,109012,2},{100,109001,2}]};

get_task_cfg(5,3) ->
    #custom_act_days_plan_task{task_type = 5,task_id = 3,open_lv = 90,recommend = 400,content = 7,reward = [{100,109011,3},{100,109012,2},{100,109001,2}]};

get_task_cfg(5,4) ->
    #custom_act_days_plan_task{task_type = 5,task_id = 4,open_lv = 90,recommend = 400,content = 10,reward = [{100,109011,3},{100,109012,2},{100,109001,2}]};

get_task_cfg(5,5) ->
    #custom_act_days_plan_task{task_type = 5,task_id = 5,open_lv = 90,recommend = 400,content = 15,reward = [{100,109011,3},{100,109012,2},{100,109001,2}]};

get_task_cfg(5,6) ->
    #custom_act_days_plan_task{task_type = 5,task_id = 6,open_lv = 90,recommend = 400,content = 20,reward = [{100,109011,3},{100,109012,2},{100,109001,2}]};

get_task_cfg(5,7) ->
    #custom_act_days_plan_task{task_type = 5,task_id = 7,open_lv = 90,recommend = 400,content = 25,reward = [{100,109011,3},{100,109012,2},{100,109001,2}]};

get_task_cfg(5,8) ->
    #custom_act_days_plan_task{task_type = 5,task_id = 8,open_lv = 90,recommend = 400,content = 30,reward = [{100,109011,3},{100,109012,2},{100,109001,2}]};

get_task_cfg(5,9) ->
    #custom_act_days_plan_task{task_type = 5,task_id = 9,open_lv = 90,recommend = 400,content = 35,reward = [{100,109011,3},{100,109012,2},{100,109001,2}]};

get_task_cfg(_Tasktype,_Taskid) ->
    [].


get_task_id_list(1) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16];


get_task_id_list(2) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15];


get_task_id_list(3) ->
    [1,2,3,4,5];


get_task_id_list(4) ->
    [1,2,3,4,5,6,7];


get_task_id_list(5) ->
    [1,2,3,4,5,6,7,8,9];

get_task_id_list(_Tasktype) ->
    [].

get_task_type_id_list(1,1) ->
    [1,3];

get_task_type_id_list(1,2) ->
    [5];

get_task_type_id_list(1,3) ->
    [2,4];

get_task_type_id_list(2,1) ->
    [5];

get_task_type_id_list(2,2) ->
    [3];

get_task_type_id_list(2,3) ->
    [2];

get_task_type_id_list(2,4) ->
    [1];

get_task_type_id_list(2,5) ->
    [4];

get_task_type_id_list(_Suit,_Openday) ->
    [].


get_day_list(1) ->
    [1,2,3];


get_day_list(2) ->
    [1,2,3,4,5];

get_day_list(_Suit) ->
    [].


get_task_type_list_by_suit(1) ->
    [1,3,5,2,4];


get_task_type_list_by_suit(2) ->
    [5,3,2,1,4];

get_task_type_list_by_suit(_Suit) ->
    [].


get_type_desc(1) ->
    <<"累计充值"/utf8>>;


get_type_desc(2) ->
    <<"龙神宝库"/utf8>>;


get_type_desc(3) ->
    <<"活跃度"/utf8>>;


get_type_desc(4) ->
    <<"材料副本"/utf8>>;


get_type_desc(5) ->
    <<"世界幻魔"/utf8>>;

get_type_desc(_Tasktype) ->
    [].

