%%%---------------------------------------
%%% module      : data_auction_common
%%% description : 拍卖物品计算配置
%%%
%%%---------------------------------------
-module(data_auction_common).
-compile(export_all).



get_module_rank_goods(402,1,_Rank) when _Rank >= 1, _Rank =< 1 ->
		[{1,120,3},{2,720,3},{3,1440,2},{4,2400,2}];
get_module_rank_goods(402,1,_Rank) when _Rank >= 2, _Rank =< 2 ->
		[{1,120,3},{2,720,3},{3,1440,2}];
get_module_rank_goods(402,1,_Rank) when _Rank >= 3, _Rank =< 3 ->
		[{1,120,3},{2,720,3},{3,1440,1}];
get_module_rank_goods(402,2,_Rank) when _Rank >= 1, _Rank =< 1 ->
		[{1,120,3},{2,720,3}];
get_module_rank_goods(605,1,_Rank) when _Rank >= 1, _Rank =< 1 ->
		[{1,120,3},{2,360,3},{3,1200,2}];
get_module_rank_goods(605,1,_Rank) when _Rank >= 2, _Rank =< 3 ->
		[{1,120,3},{2,360,2},{3,1200,1}];
get_module_rank_goods(605,1,_Rank) when _Rank >= 4, _Rank =< 5 ->
		[{1,120,3},{2,360,1}];
get_module_rank_goods(605,1,_Rank) when _Rank >= 6, _Rank =< 8 ->
		[{1,120,2}];
get_module_rank_goods(_Module_id,_Zone,_Rank) ->
    [].

get_role_live_goods(_Lv,_LiveNess) when _Lv >= 1, _Lv =< 175, _LiveNess >= 1, _LiveNess =< 25 ->
		[{1,10},{2,20},{3,30},{4,40}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 1, _Lv =< 175, _LiveNess >= 26, _LiveNess =< 50 ->
		[{1,20},{2,30},{3,40},{4,50}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 1, _Lv =< 175, _LiveNess >= 51, _LiveNess =< 75 ->
		[{1,40},{2,60},{3,80},{4,100}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 1, _Lv =< 175, _LiveNess >= 76, _LiveNess =< 100 ->
		[{1,60},{2,90},{3,120},{4,150}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 1, _Lv =< 175, _LiveNess >= 101, _LiveNess =< 125 ->
		[{1,90},{2,135},{3,180},{4,225}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 1, _Lv =< 175, _LiveNess >= 126, _LiveNess =< 9999 ->
		[{1,120},{2,180},{3,240},{4,300}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 176, _Lv =< 275, _LiveNess >= 1, _LiveNess =< 25 ->
		[{1,10},{2,20},{3,30},{4,40}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 176, _Lv =< 275, _LiveNess >= 26, _LiveNess =< 50 ->
		[{1,20},{2,30},{3,40},{4,50}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 176, _Lv =< 275, _LiveNess >= 51, _LiveNess =< 75 ->
		[{1,40},{2,60},{3,80},{4,100}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 176, _Lv =< 275, _LiveNess >= 76, _LiveNess =< 100 ->
		[{1,60},{2,90},{3,120},{4,150}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 176, _Lv =< 275, _LiveNess >= 101, _LiveNess =< 125 ->
		[{1,90},{2,135},{3,180},{4,225}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 176, _Lv =< 275, _LiveNess >= 126, _LiveNess =< 9999 ->
		[{1,120},{2,180},{3,240},{4,300}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 276, _Lv =< 375, _LiveNess >= 1, _LiveNess =< 25 ->
		[{1,10},{2,20},{3,30},{4,40}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 276, _Lv =< 375, _LiveNess >= 26, _LiveNess =< 50 ->
		[{1,20},{2,30},{3,40},{4,50}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 276, _Lv =< 375, _LiveNess >= 51, _LiveNess =< 75 ->
		[{1,40},{2,60},{3,80},{4,100}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 276, _Lv =< 375, _LiveNess >= 76, _LiveNess =< 100 ->
		[{1,60},{2,90},{3,120},{4,150}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 276, _Lv =< 375, _LiveNess >= 101, _LiveNess =< 125 ->
		[{1,90},{2,135},{3,180},{4,225}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 276, _Lv =< 375, _LiveNess >= 126, _LiveNess =< 9999 ->
		[{1,120},{2,180},{3,240},{4,300}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 376, _Lv =< 475, _LiveNess >= 1, _LiveNess =< 25 ->
		[{1,10},{2,20},{3,30},{4,40}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 376, _Lv =< 475, _LiveNess >= 26, _LiveNess =< 50 ->
		[{1,20},{2,30},{3,40},{4,50}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 376, _Lv =< 475, _LiveNess >= 51, _LiveNess =< 75 ->
		[{1,40},{2,60},{3,80},{4,100}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 376, _Lv =< 475, _LiveNess >= 76, _LiveNess =< 100 ->
		[{1,60},{2,90},{3,120},{4,150}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 376, _Lv =< 475, _LiveNess >= 101, _LiveNess =< 125 ->
		[{1,90},{2,135},{3,180},{4,225}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 376, _Lv =< 475, _LiveNess >= 126, _LiveNess =< 9999 ->
		[{1,120},{2,180},{3,240},{4,300}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 476, _Lv =< 540, _LiveNess >= 1, _LiveNess =< 25 ->
		[{1,10},{2,20},{3,30},{4,40}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 476, _Lv =< 540, _LiveNess >= 26, _LiveNess =< 50 ->
		[{1,20},{2,30},{3,40},{4,50}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 476, _Lv =< 540, _LiveNess >= 51, _LiveNess =< 75 ->
		[{1,40},{2,60},{3,80},{4,100}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 476, _Lv =< 540, _LiveNess >= 76, _LiveNess =< 100 ->
		[{1,60},{2,90},{3,120},{4,150}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 476, _Lv =< 540, _LiveNess >= 101, _LiveNess =< 125 ->
		[{1,90},{2,135},{3,180},{4,225}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 476, _Lv =< 540, _LiveNess >= 126, _LiveNess =< 9999 ->
		[{1,120},{2,180},{3,240},{4,300}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 541, _Lv =< 585, _LiveNess >= 1, _LiveNess =< 25 ->
		[{1,10},{2,20},{3,30},{4,40}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 541, _Lv =< 585, _LiveNess >= 26, _LiveNess =< 50 ->
		[{1,20},{2,30},{3,40},{4,50}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 541, _Lv =< 585, _LiveNess >= 51, _LiveNess =< 75 ->
		[{1,40},{2,60},{3,80},{4,100}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 541, _Lv =< 585, _LiveNess >= 76, _LiveNess =< 100 ->
		[{1,60},{2,90},{3,120},{4,150}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 541, _Lv =< 585, _LiveNess >= 101, _LiveNess =< 125 ->
		[{1,90},{2,135},{3,180},{4,225}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 541, _Lv =< 585, _LiveNess >= 126, _LiveNess =< 9999 ->
		[{1,120},{2,180},{3,240},{4,300}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 586, _Lv =< 635, _LiveNess >= 1, _LiveNess =< 25 ->
		[{1,10},{2,20},{3,30},{4,40}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 586, _Lv =< 635, _LiveNess >= 26, _LiveNess =< 50 ->
		[{1,20},{2,30},{3,40},{4,50}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 586, _Lv =< 635, _LiveNess >= 51, _LiveNess =< 75 ->
		[{1,40},{2,60},{3,80},{4,100}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 586, _Lv =< 635, _LiveNess >= 76, _LiveNess =< 100 ->
		[{1,60},{2,90},{3,120},{4,150}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 586, _Lv =< 635, _LiveNess >= 101, _LiveNess =< 125 ->
		[{1,90},{2,135},{3,180},{4,225}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 586, _Lv =< 635, _LiveNess >= 126, _LiveNess =< 9999 ->
		[{1,120},{2,180},{3,240},{4,300}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 636, _Lv =< 685, _LiveNess >= 1, _LiveNess =< 25 ->
		[{1,10},{2,20},{3,30},{4,40}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 636, _Lv =< 685, _LiveNess >= 26, _LiveNess =< 50 ->
		[{1,20},{2,30},{3,40},{4,50}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 636, _Lv =< 685, _LiveNess >= 51, _LiveNess =< 75 ->
		[{1,40},{2,60},{3,80},{4,100}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 636, _Lv =< 685, _LiveNess >= 76, _LiveNess =< 100 ->
		[{1,60},{2,90},{3,120},{4,150}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 636, _Lv =< 685, _LiveNess >= 101, _LiveNess =< 125 ->
		[{1,90},{2,135},{3,180},{4,225}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 636, _Lv =< 685, _LiveNess >= 126, _LiveNess =< 9999 ->
		[{1,120},{2,180},{3,240},{4,300}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 686, _Lv =< 735, _LiveNess >= 1, _LiveNess =< 25 ->
		[{1,10},{2,20},{3,30},{4,40}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 686, _Lv =< 735, _LiveNess >= 26, _LiveNess =< 50 ->
		[{1,20},{2,30},{3,40},{4,50}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 686, _Lv =< 735, _LiveNess >= 51, _LiveNess =< 75 ->
		[{1,40},{2,60},{3,80},{4,100}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 686, _Lv =< 735, _LiveNess >= 76, _LiveNess =< 100 ->
		[{1,60},{2,90},{3,120},{4,150}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 686, _Lv =< 735, _LiveNess >= 101, _LiveNess =< 125 ->
		[{1,90},{2,135},{3,180},{4,225}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 686, _Lv =< 735, _LiveNess >= 126, _LiveNess =< 9999 ->
		[{1,120},{2,180},{3,240},{4,300}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 736, _Lv =< 785, _LiveNess >= 1, _LiveNess =< 25 ->
		[{1,10},{2,20},{3,30},{4,40}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 736, _Lv =< 785, _LiveNess >= 26, _LiveNess =< 50 ->
		[{1,20},{2,30},{3,40},{4,50}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 736, _Lv =< 785, _LiveNess >= 51, _LiveNess =< 75 ->
		[{1,40},{2,60},{3,80},{4,100}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 736, _Lv =< 785, _LiveNess >= 76, _LiveNess =< 100 ->
		[{1,60},{2,90},{3,120},{4,150}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 736, _Lv =< 785, _LiveNess >= 101, _LiveNess =< 125 ->
		[{1,90},{2,135},{3,180},{4,225}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 736, _Lv =< 785, _LiveNess >= 126, _LiveNess =< 9999 ->
		[{1,120},{2,180},{3,240},{4,300}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 786, _Lv =< 835, _LiveNess >= 1, _LiveNess =< 25 ->
		[{1,10},{2,20},{3,30},{4,40}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 786, _Lv =< 835, _LiveNess >= 26, _LiveNess =< 50 ->
		[{1,20},{2,30},{3,40},{4,50}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 786, _Lv =< 835, _LiveNess >= 51, _LiveNess =< 75 ->
		[{1,40},{2,60},{3,80},{4,100}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 786, _Lv =< 835, _LiveNess >= 76, _LiveNess =< 100 ->
		[{1,60},{2,90},{3,120},{4,150}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 786, _Lv =< 835, _LiveNess >= 101, _LiveNess =< 125 ->
		[{1,90},{2,135},{3,180},{4,225}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 786, _Lv =< 835, _LiveNess >= 126, _LiveNess =< 9999 ->
		[{1,120},{2,180},{3,240},{4,300}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 836, _Lv =< 885, _LiveNess >= 1, _LiveNess =< 25 ->
		[{1,10},{2,20},{3,30},{4,40}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 836, _Lv =< 885, _LiveNess >= 26, _LiveNess =< 50 ->
		[{1,20},{2,30},{3,40},{4,50}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 836, _Lv =< 885, _LiveNess >= 51, _LiveNess =< 75 ->
		[{1,40},{2,60},{3,80},{4,100}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 836, _Lv =< 885, _LiveNess >= 76, _LiveNess =< 100 ->
		[{1,60},{2,90},{3,120},{4,150}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 836, _Lv =< 885, _LiveNess >= 101, _LiveNess =< 125 ->
		[{1,90},{2,135},{3,180},{4,225}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 836, _Lv =< 885, _LiveNess >= 126, _LiveNess =< 9999 ->
		[{1,120},{2,180},{3,240},{4,300}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 886, _Lv =< 935, _LiveNess >= 1, _LiveNess =< 25 ->
		[{1,10},{2,20},{3,30},{4,40}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 886, _Lv =< 935, _LiveNess >= 26, _LiveNess =< 50 ->
		[{1,20},{2,30},{3,40},{4,50}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 886, _Lv =< 935, _LiveNess >= 51, _LiveNess =< 75 ->
		[{1,40},{2,60},{3,80},{4,100}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 886, _Lv =< 935, _LiveNess >= 76, _LiveNess =< 100 ->
		[{1,60},{2,90},{3,120},{4,150}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 886, _Lv =< 935, _LiveNess >= 101, _LiveNess =< 125 ->
		[{1,90},{2,135},{3,180},{4,225}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 886, _Lv =< 935, _LiveNess >= 126, _LiveNess =< 9999 ->
		[{1,120},{2,180},{3,240},{4,300}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 936, _Lv =< 1000, _LiveNess >= 1, _LiveNess =< 25 ->
		[{1,10},{2,20},{3,30},{4,40}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 936, _Lv =< 1000, _LiveNess >= 26, _LiveNess =< 50 ->
		[{1,20},{2,30},{3,40},{4,50}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 936, _Lv =< 1000, _LiveNess >= 51, _LiveNess =< 75 ->
		[{1,40},{2,60},{3,80},{4,100}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 936, _Lv =< 1000, _LiveNess >= 76, _LiveNess =< 100 ->
		[{1,60},{2,90},{3,120},{4,150}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 936, _Lv =< 1000, _LiveNess >= 101, _LiveNess =< 125 ->
		[{1,90},{2,135},{3,180},{4,225}];
get_role_live_goods(_Lv,_LiveNess) when _Lv >= 936, _Lv =< 1000, _LiveNess >= 126, _LiveNess =< 9999 ->
		[{1,120},{2,180},{3,240},{4,300}];
get_role_live_goods(_Lv,_LiveNess) ->
    [].

get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 1, _WorldLv =< 200, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{32080532,1,480}]},{2,[{32080533,1,640},{32080542,1,720}]},{3,[{32080543,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 1, _WorldLv =< 200, _Rank >= 2, _Rank =< 2 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{32080532,1,480}]},{2,[{32080533,1,640},{32080542,1,720}]},{3,[{32080543,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 1, _WorldLv =< 200, _Rank >= 3, _Rank =< 3 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{32080532,1,480}]},{2,[{32080533,1,640},{32080542,1,720}]},{3,[{32080543,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 201, _WorldLv =< 260, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{32080632,1,480}]},{2,[{32080633,1,640},{32080642,1,720}]},{3,[{32080643,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 201, _WorldLv =< 260, _Rank >= 2, _Rank =< 2 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{32080632,1,480}]},{2,[{32080633,1,640},{32080642,1,720}]},{3,[{32080643,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 201, _WorldLv =< 260, _Rank >= 3, _Rank =< 3 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{32080632,1,480}]},{2,[{32080633,1,640},{32080642,1,720}]},{3,[{32080643,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 261, _WorldLv =< 290, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{32080732,1,480}]},{2,[{32080733,1,640},{32080742,1,720}]},{3,[{32080743,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 261, _WorldLv =< 290, _Rank >= 2, _Rank =< 2 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{32080732,1,480}]},{2,[{32080733,1,640},{32080742,1,720}]},{3,[{32080743,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 261, _WorldLv =< 290, _Rank >= 3, _Rank =< 3 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{32080732,1,480}]},{2,[{32080733,1,640},{32080742,1,720}]},{3,[{32080743,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 291, _WorldLv =< 320, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080832,1,480}]},{2,[{32080833,1,640},{32080842,1,720}]},{3,[{32080843,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 291, _WorldLv =< 320, _Rank >= 2, _Rank =< 2 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080832,1,480}]},{2,[{32080833,1,640},{32080842,1,720}]},{3,[{32080843,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 291, _WorldLv =< 320, _Rank >= 3, _Rank =< 3 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080832,1,480}]},{2,[{32080833,1,640},{32080842,1,720}]},{3,[{32080843,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 321, _WorldLv =< 350, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080832,1,480}]},{2,[{32080833,1,640},{32080842,1,720}]},{3,[{32080843,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 321, _WorldLv =< 350, _Rank >= 2, _Rank =< 2 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080832,1,480}]},{2,[{32080833,1,640},{32080842,1,720}]},{3,[{32080843,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 321, _WorldLv =< 350, _Rank >= 3, _Rank =< 3 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080832,1,480}]},{2,[{32080833,1,640},{32080842,1,720}]},{3,[{32080843,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 351, _WorldLv =< 370, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080932,1,480}]},{2,[{32080933,1,640},{32080942,1,720}]},{3,[{32080943,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 351, _WorldLv =< 370, _Rank >= 2, _Rank =< 2 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080932,1,480}]},{2,[{32080933,1,640},{32080942,1,720}]},{3,[{32080943,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 351, _WorldLv =< 370, _Rank >= 3, _Rank =< 3 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080932,1,480}]},{2,[{32080933,1,640},{32080942,1,720}]},{3,[{32080943,1,1440}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 371, _WorldLv =< 390, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32081032,1,480}]},{2,[{32081033,1,640},{32081042,1,720}]},{3,[{32081043,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 371, _WorldLv =< 390, _Rank >= 2, _Rank =< 2 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32081032,1,480}]},{2,[{32081033,1,640},{32081042,1,720}]},{3,[{32081043,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 371, _WorldLv =< 390, _Rank >= 3, _Rank =< 3 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32081032,1,480}]},{2,[{32081033,1,640},{32081042,1,720}]},{3,[{32081043,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 391, _WorldLv =< 430, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081132,1,480}]},{2,[{32081133,1,640},{32081142,1,720}]},{3,[{32081143,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 391, _WorldLv =< 430, _Rank >= 2, _Rank =< 2 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081132,1,480}]},{2,[{32081133,1,640},{32081142,1,720}]},{3,[{32081143,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 391, _WorldLv =< 430, _Rank >= 3, _Rank =< 3 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081132,1,480}]},{2,[{32081133,1,640},{32081142,1,720}]},{3,[{32081143,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 431, _WorldLv =< 500, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081132,1,480}]},{2,[{32081133,1,640},{32081142,1,720}]},{3,[{32081143,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 431, _WorldLv =< 500, _Rank >= 2, _Rank =< 2 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081132,1,480}]},{2,[{32081133,1,640},{32081142,1,720}]},{3,[{32081143,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 431, _WorldLv =< 500, _Rank >= 3, _Rank =< 3 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081132,1,480}]},{2,[{32081133,1,640},{32081142,1,720}]},{3,[{32081143,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 501, _WorldLv =< 560, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081232,1,480}]},{2,[{32081233,1,640},{32081242,1,720}]},{3,[{32081243,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 501, _WorldLv =< 560, _Rank >= 2, _Rank =< 2 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081232,1,480}]},{2,[{32081233,1,640},{32081242,1,720}]},{3,[{32081243,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 501, _WorldLv =< 560, _Rank >= 3, _Rank =< 3 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081232,1,480}]},{2,[{32081233,1,640},{32081242,1,720}]},{3,[{32081243,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 561, _WorldLv =< 610, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081332,1,480}]},{2,[{32081333,1,640},{32081342,1,720}]},{3,[{32081343,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 561, _WorldLv =< 610, _Rank >= 2, _Rank =< 2 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081332,1,480}]},{2,[{32081333,1,640},{32081342,1,720}]},{3,[{32081343,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 561, _WorldLv =< 610, _Rank >= 3, _Rank =< 3 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081332,1,480}]},{2,[{32081333,1,640},{32081342,1,720}]},{3,[{32081343,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 611, _WorldLv =< 660, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081432,1,480}]},{2,[{32081433,1,640},{32081442,1,720}]},{3,[{32081443,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 611, _WorldLv =< 660, _Rank >= 2, _Rank =< 2 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081432,1,480}]},{2,[{32081433,1,640},{32081442,1,720}]},{3,[{32081443,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 611, _WorldLv =< 660, _Rank >= 3, _Rank =< 3 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081432,1,480}]},{2,[{32081433,1,640},{32081442,1,720}]},{3,[{32081443,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 661, _WorldLv =< 750, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081532,1,480}]},{2,[{32081533,1,640},{32081542,1,720}]},{3,[{32081543,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 661, _WorldLv =< 750, _Rank >= 2, _Rank =< 2 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081532,1,480}]},{2,[{32081533,1,640},{32081542,1,720}]},{3,[{32081543,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 661, _WorldLv =< 750, _Rank >= 3, _Rank =< 3 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081532,1,480}]},{2,[{32081533,1,640},{32081542,1,720}]},{3,[{32081543,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 751, _WorldLv =< 1000, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081632,1,480}]},{2,[{32081633,1,640},{32081642,1,720}]},{3,[{32081643,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 751, _WorldLv =< 1000, _Rank >= 2, _Rank =< 2 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081632,1,480}]},{2,[{32081633,1,640},{32081642,1,720}]},{3,[{32081643,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,1,_WorldLv,_Rank) when _WorldLv >= 751, _WorldLv =< 1000, _Rank >= 3, _Rank =< 3 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081632,1,480}]},{2,[{32081633,1,640},{32081642,1,720}]},{3,[{32081643,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,2,_WorldLv,_Rank) when _WorldLv >= 1, _WorldLv =< 200, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{32080532,1,480}]},{2,[{32080533,1,640},{32080542,1,720}]},{3,[{32080543,1,1440}]}];
get_pool_reward_goods(402,2,_WorldLv,_Rank) when _WorldLv >= 201, _WorldLv =< 260, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{32080632,1,480}]},{2,[{32080633,1,640},{32080642,1,720}]},{3,[{32080643,1,1440}]}];
get_pool_reward_goods(402,2,_WorldLv,_Rank) when _WorldLv >= 261, _WorldLv =< 290, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{32080732,1,480}]},{2,[{32080733,1,640},{32080742,1,720}]},{3,[{32080743,1,1440}]}];
get_pool_reward_goods(402,2,_WorldLv,_Rank) when _WorldLv >= 291, _WorldLv =< 320, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080832,1,480}]},{2,[{32080833,1,640},{32080842,1,720}]},{3,[{32080843,1,1440}]}];
get_pool_reward_goods(402,2,_WorldLv,_Rank) when _WorldLv >= 321, _WorldLv =< 350, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080832,1,480}]},{2,[{32080833,1,640},{32080842,1,720}]},{3,[{32080843,1,1440}]}];
get_pool_reward_goods(402,2,_WorldLv,_Rank) when _WorldLv >= 351, _WorldLv =< 370, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080932,1,480}]},{2,[{32080933,1,640},{32080942,1,720}]},{3,[{32080943,1,1440}]}];
get_pool_reward_goods(402,2,_WorldLv,_Rank) when _WorldLv >= 371, _WorldLv =< 390, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32081032,1,480}]},{2,[{32081033,1,640},{32081042,1,720}]},{3,[{32081043,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,2,_WorldLv,_Rank) when _WorldLv >= 391, _WorldLv =< 430, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081132,1,480}]},{2,[{32081133,1,640},{32081142,1,720}]},{3,[{32081143,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,2,_WorldLv,_Rank) when _WorldLv >= 431, _WorldLv =< 500, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081132,1,480}]},{2,[{32081133,1,640},{32081142,1,720}]},{3,[{32081143,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,2,_WorldLv,_Rank) when _WorldLv >= 501, _WorldLv =< 560, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081232,1,480}]},{2,[{32081233,1,640},{32081242,1,720}]},{3,[{32081243,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,2,_WorldLv,_Rank) when _WorldLv >= 561, _WorldLv =< 610, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081332,1,480}]},{2,[{32081333,1,640},{32081342,1,720}]},{3,[{32081343,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,2,_WorldLv,_Rank) when _WorldLv >= 611, _WorldLv =< 660, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081432,1,480}]},{2,[{32081433,1,640},{32081442,1,720}]},{3,[{32081443,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,2,_WorldLv,_Rank) when _WorldLv >= 661, _WorldLv =< 750, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081532,1,480}]},{2,[{32081533,1,640},{32081542,1,720}]},{3,[{32081543,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(402,2,_WorldLv,_Rank) when _WorldLv >= 751, _WorldLv =< 1000, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081632,1,480}]},{2,[{32081633,1,640},{32081642,1,720}]},{3,[{32081643,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(605,57000001,_WorldLv,_Rank) when _WorldLv >= 1, _WorldLv =< 200, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{32080532,1,480}]},{2,[{32080533,1,640},{32080542,1,720}]},{3,[{32080543,1,1440}]}];
get_pool_reward_goods(605,57000001,_WorldLv,_Rank) when _WorldLv >= 1, _WorldLv =< 200, _Rank >= 2, _Rank =< 2 ->
		[{1,[{32090001,1,300}]},{2,[{32080001,1,400},{32080002,1,500},{32080512,1,500},{32080513,1,650}]},{3,[{32080532,1,1350},{32080533,1,1600}]}];
get_pool_reward_goods(605,57000001,_WorldLv,_Rank) when _WorldLv >= 1, _WorldLv =< 200, _Rank >= 3, _Rank =< 3 ->
		[{1,[{32090001,1,300}]},{2,[{32080001,1,400},{32080002,1,500},{32080512,1,500},{32080513,1,650}]},{3,[{32080532,1,1350},{32080533,1,1600}]}];
get_pool_reward_goods(605,57000001,_WorldLv,_Rank) when _WorldLv >= 1, _WorldLv =< 200, _Rank >= 4, _Rank =< 5 ->
		[{1,[{32090001,1,300}]},{2,[{32080001,1,400},{32080002,1,500},{32080512,1,500},{32080513,1,650}]},{3,[{32080532,1,1350},{32080533,1,1600}]}];
get_pool_reward_goods(605,57000001,_WorldLv,_Rank) when _WorldLv >= 1, _WorldLv =< 200, _Rank >= 6, _Rank =< 8 ->
		[{1,[{32090001,1,300}]},{2,[{32080001,1,400},{32080002,1,500},{32080512,1,500},{32080513,1,650}]},{3,[{32080532,1,1350},{32080533,1,1600}]}];
get_pool_reward_goods(605,57000002,_WorldLv,_Rank) when _WorldLv >= 201, _WorldLv =< 260, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{32080632,1,480}]},{2,[{32080633,1,640},{32080642,1,720}]},{3,[{32080643,1,1440}]}];
get_pool_reward_goods(605,57000002,_WorldLv,_Rank) when _WorldLv >= 201, _WorldLv =< 260, _Rank >= 2, _Rank =< 2 ->
		[{1,[{32090001,1,300}]},{2,[{32080001,1,400},{32080002,1,500},{32080612,1,500},{32080613,1,650}]},{3,[{32080632,1,1350},{32080633,1,1600}]}];
get_pool_reward_goods(605,57000002,_WorldLv,_Rank) when _WorldLv >= 201, _WorldLv =< 260, _Rank >= 3, _Rank =< 3 ->
		[{1,[{32090001,1,300}]},{2,[{32080001,1,400},{32080002,1,500},{32080612,1,500},{32080613,1,650}]},{3,[{32080632,1,1350},{32080633,1,1600}]}];
get_pool_reward_goods(605,57000002,_WorldLv,_Rank) when _WorldLv >= 201, _WorldLv =< 260, _Rank >= 4, _Rank =< 5 ->
		[{1,[{32090001,1,300}]},{2,[{32080001,1,400},{32080002,1,500},{32080612,1,500},{32080613,1,650}]},{3,[{32080632,1,1350},{32080633,1,1600}]}];
get_pool_reward_goods(605,57000002,_WorldLv,_Rank) when _WorldLv >= 201, _WorldLv =< 260, _Rank >= 6, _Rank =< 8 ->
		[{1,[{32090001,1,300}]},{2,[{32080001,1,400},{32080002,1,500},{32080612,1,500},{32080613,1,650}]},{3,[{32080632,1,1350},{32080633,1,1600}]}];
get_pool_reward_goods(605,57000003,_WorldLv,_Rank) when _WorldLv >= 261, _WorldLv =< 290, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{32080732,1,480}]},{2,[{32080733,1,640},{32080742,1,720}]},{3,[{32080743,1,1440}]}];
get_pool_reward_goods(605,57000003,_WorldLv,_Rank) when _WorldLv >= 261, _WorldLv =< 290, _Rank >= 2, _Rank =< 2 ->
		[{1,[{32090001,1,300}]},{2,[{32080003,1,450},{32080004,1,550},{32080712,1,500},{32080713,1,650}]},{3,[{32080732,1,1350},{32080733,1,1600}]}];
get_pool_reward_goods(605,57000003,_WorldLv,_Rank) when _WorldLv >= 261, _WorldLv =< 290, _Rank >= 3, _Rank =< 3 ->
		[{1,[{32090001,1,300}]},{2,[{32080003,1,450},{32080004,1,550},{32080712,1,500},{32080713,1,650}]},{3,[{32080732,1,1350},{32080733,1,1600}]}];
get_pool_reward_goods(605,57000003,_WorldLv,_Rank) when _WorldLv >= 261, _WorldLv =< 290, _Rank >= 4, _Rank =< 5 ->
		[{1,[{32090001,1,300}]},{2,[{32080003,1,450},{32080004,1,550},{32080712,1,500},{32080713,1,650}]},{3,[{32080732,1,1350},{32080733,1,1600}]}];
get_pool_reward_goods(605,57000003,_WorldLv,_Rank) when _WorldLv >= 261, _WorldLv =< 290, _Rank >= 6, _Rank =< 8 ->
		[{1,[{32090001,1,300}]},{2,[{32080003,1,450},{32080004,1,550},{32080712,1,500},{32080713,1,650}]},{3,[{32080732,1,1350},{32080733,1,1600}]}];
get_pool_reward_goods(605,57000004,_WorldLv,_Rank) when _WorldLv >= 291, _WorldLv =< 320, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080832,1,480}]},{2,[{32080833,1,640},{32080842,1,720}]},{3,[{32080843,1,1440}]}];
get_pool_reward_goods(605,57000004,_WorldLv,_Rank) when _WorldLv >= 291, _WorldLv =< 320, _Rank >= 2, _Rank =< 2 ->
		[{1,[{32090001,1,300}]},{2,[{32080005,1,500},{32080006,1,600},{32080812,1,500},{32080813,1,650}]},{3,[{32080832,1,1350},{32080833,1,1600}]}];
get_pool_reward_goods(605,57000004,_WorldLv,_Rank) when _WorldLv >= 291, _WorldLv =< 320, _Rank >= 3, _Rank =< 3 ->
		[{1,[{32090001,1,300}]},{2,[{32080005,1,500},{32080006,1,600},{32080812,1,500},{32080813,1,650}]},{3,[{32080832,1,1350},{32080833,1,1600}]}];
get_pool_reward_goods(605,57000004,_WorldLv,_Rank) when _WorldLv >= 291, _WorldLv =< 320, _Rank >= 4, _Rank =< 5 ->
		[{1,[{32090001,1,300}]},{2,[{32080005,1,500},{32080006,1,600},{32080812,1,500},{32080813,1,650}]},{3,[{32080832,1,1350},{32080833,1,1600}]}];
get_pool_reward_goods(605,57000004,_WorldLv,_Rank) when _WorldLv >= 291, _WorldLv =< 320, _Rank >= 6, _Rank =< 8 ->
		[{1,[{32090001,1,300}]},{2,[{32080005,1,500},{32080006,1,600},{32080812,1,500},{32080813,1,650}]},{3,[{32080832,1,1350},{32080833,1,1600}]}];
get_pool_reward_goods(605,57000005,_WorldLv,_Rank) when _WorldLv >= 321, _WorldLv =< 350, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080832,1,480}]},{2,[{32080833,1,640},{32080842,1,720}]},{3,[{32080843,1,1440}]}];
get_pool_reward_goods(605,57000005,_WorldLv,_Rank) when _WorldLv >= 321, _WorldLv =< 350, _Rank >= 2, _Rank =< 2 ->
		[{1,[{32090001,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32080812,1,500},{32080813,1,650}]},{3,[{32080832,1,1350},{32080833,1,1600}]}];
get_pool_reward_goods(605,57000005,_WorldLv,_Rank) when _WorldLv >= 321, _WorldLv =< 350, _Rank >= 3, _Rank =< 3 ->
		[{1,[{32090001,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32080812,1,500},{32080813,1,650}]},{3,[{32080832,1,1350},{32080833,1,1600}]}];
get_pool_reward_goods(605,57000005,_WorldLv,_Rank) when _WorldLv >= 321, _WorldLv =< 350, _Rank >= 4, _Rank =< 5 ->
		[{1,[{32090001,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32080812,1,500},{32080813,1,650}]},{3,[{32080832,1,1350},{32080833,1,1600}]}];
get_pool_reward_goods(605,57000005,_WorldLv,_Rank) when _WorldLv >= 321, _WorldLv =< 350, _Rank >= 6, _Rank =< 8 ->
		[{1,[{32090001,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32080812,1,500},{32080813,1,650}]},{3,[{32080832,1,1350},{32080833,1,1600}]}];
get_pool_reward_goods(605,57000006,_WorldLv,_Rank) when _WorldLv >= 351, _WorldLv =< 370, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32080932,1,480}]},{2,[{32080933,1,640},{32080942,1,720}]},{3,[{32080943,1,1440}]}];
get_pool_reward_goods(605,57000006,_WorldLv,_Rank) when _WorldLv >= 351, _WorldLv =< 370, _Rank >= 2, _Rank =< 2 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32080912,1,500},{32080913,1,650}]},{3,[{32080932,1,1350},{32080933,1,1600}]}];
get_pool_reward_goods(605,57000006,_WorldLv,_Rank) when _WorldLv >= 351, _WorldLv =< 370, _Rank >= 3, _Rank =< 3 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32080912,1,500},{32080913,1,650}]},{3,[{32080932,1,1350},{32080933,1,1600}]}];
get_pool_reward_goods(605,57000006,_WorldLv,_Rank) when _WorldLv >= 351, _WorldLv =< 370, _Rank >= 4, _Rank =< 5 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32080912,1,500},{32080913,1,650}]},{3,[{32080932,1,1350},{32080933,1,1600}]}];
get_pool_reward_goods(605,57000006,_WorldLv,_Rank) when _WorldLv >= 351, _WorldLv =< 370, _Rank >= 6, _Rank =< 8 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32080912,1,500},{32080913,1,650}]},{3,[{32080932,1,1350},{32080933,1,1600}]}];
get_pool_reward_goods(605,57000007,_WorldLv,_Rank) when _WorldLv >= 371, _WorldLv =< 390, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{32081032,1,480}]},{2,[{32081033,1,640},{32081042,1,720}]},{3,[{32081043,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(605,57000007,_WorldLv,_Rank) when _WorldLv >= 371, _WorldLv =< 390, _Rank >= 2, _Rank =< 2 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081012,1,500},{32081013,1,650}]},{3,[{32081032,1,1350},{32081033,1,1600}]}];
get_pool_reward_goods(605,57000007,_WorldLv,_Rank) when _WorldLv >= 371, _WorldLv =< 390, _Rank >= 3, _Rank =< 3 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081012,1,500},{32081013,1,650}]},{3,[{32081032,1,1350},{32081033,1,1600}]}];
get_pool_reward_goods(605,57000007,_WorldLv,_Rank) when _WorldLv >= 371, _WorldLv =< 390, _Rank >= 4, _Rank =< 5 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081012,1,500},{32081013,1,650}]},{3,[{32081032,1,1350},{32081033,1,1600}]}];
get_pool_reward_goods(605,57000007,_WorldLv,_Rank) when _WorldLv >= 371, _WorldLv =< 390, _Rank >= 6, _Rank =< 8 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081012,1,500},{32081013,1,650}]},{3,[{32081032,1,1350},{32081033,1,1600}]}];
get_pool_reward_goods(605,57000008,_WorldLv,_Rank) when _WorldLv >= 391, _WorldLv =< 430, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081132,1,480}]},{2,[{32081133,1,640},{32081142,1,720}]},{3,[{32081143,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(605,57000008,_WorldLv,_Rank) when _WorldLv >= 391, _WorldLv =< 430, _Rank >= 2, _Rank =< 2 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081112,1,500},{32081113,1,650}]},{3,[{32081132,1,1350},{32081133,1,1600}]}];
get_pool_reward_goods(605,57000008,_WorldLv,_Rank) when _WorldLv >= 391, _WorldLv =< 430, _Rank >= 3, _Rank =< 3 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081112,1,500},{32081113,1,650}]},{3,[{32081132,1,1350},{32081133,1,1600}]}];
get_pool_reward_goods(605,57000008,_WorldLv,_Rank) when _WorldLv >= 391, _WorldLv =< 430, _Rank >= 4, _Rank =< 5 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081112,1,500},{32081113,1,650}]},{3,[{32081132,1,1350},{32081133,1,1600}]}];
get_pool_reward_goods(605,57000008,_WorldLv,_Rank) when _WorldLv >= 391, _WorldLv =< 430, _Rank >= 6, _Rank =< 8 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081112,1,500},{32081113,1,650}]},{3,[{32081132,1,1350},{32081133,1,1600}]}];
get_pool_reward_goods(605,57000009,_WorldLv,_Rank) when _WorldLv >= 431, _WorldLv =< 500, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081132,1,480}]},{2,[{32081133,1,640},{32081142,1,720}]},{3,[{32081143,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(605,57000009,_WorldLv,_Rank) when _WorldLv >= 431, _WorldLv =< 500, _Rank >= 2, _Rank =< 2 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081112,1,500},{32081113,1,650}]},{3,[{32081132,1,1350},{32081133,1,1600}]}];
get_pool_reward_goods(605,57000009,_WorldLv,_Rank) when _WorldLv >= 431, _WorldLv =< 500, _Rank >= 3, _Rank =< 3 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081112,1,500},{32081113,1,650}]},{3,[{32081132,1,1350},{32081133,1,1600}]}];
get_pool_reward_goods(605,57000009,_WorldLv,_Rank) when _WorldLv >= 431, _WorldLv =< 500, _Rank >= 4, _Rank =< 5 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081112,1,500},{32081113,1,650}]},{3,[{32081132,1,1350},{32081133,1,1600}]}];
get_pool_reward_goods(605,57000009,_WorldLv,_Rank) when _WorldLv >= 431, _WorldLv =< 500, _Rank >= 6, _Rank =< 8 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081112,1,500},{32081113,1,650}]},{3,[{32081132,1,1350},{32081133,1,1600}]}];
get_pool_reward_goods(605,57000010,_WorldLv,_Rank) when _WorldLv >= 501, _WorldLv =< 560, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081232,1,480}]},{2,[{32081233,1,640},{32081242,1,720}]},{3,[{32081243,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(605,57000010,_WorldLv,_Rank) when _WorldLv >= 501, _WorldLv =< 560, _Rank >= 2, _Rank =< 2 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081212,1,500},{32081213,1,650}]},{3,[{32081232,1,1350},{32081233,1,1600}]}];
get_pool_reward_goods(605,57000010,_WorldLv,_Rank) when _WorldLv >= 501, _WorldLv =< 560, _Rank >= 3, _Rank =< 3 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081212,1,500},{32081213,1,650}]},{3,[{32081232,1,1350},{32081233,1,1600}]}];
get_pool_reward_goods(605,57000010,_WorldLv,_Rank) when _WorldLv >= 501, _WorldLv =< 560, _Rank >= 4, _Rank =< 5 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081212,1,500},{32081213,1,650}]},{3,[{32081232,1,1350},{32081233,1,1600}]}];
get_pool_reward_goods(605,57000010,_WorldLv,_Rank) when _WorldLv >= 501, _WorldLv =< 560, _Rank >= 6, _Rank =< 8 ->
		[{1,[{32090002,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081212,1,500},{32081213,1,650}]},{3,[{32081232,1,1350},{32081233,1,1600}]}];
get_pool_reward_goods(605,57000011,_WorldLv,_Rank) when _WorldLv >= 561, _WorldLv =< 610, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081332,1,480}]},{2,[{32081333,1,640},{32081342,1,720}]},{3,[{32081343,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(605,57000011,_WorldLv,_Rank) when _WorldLv >= 561, _WorldLv =< 610, _Rank >= 2, _Rank =< 2 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081312,1,500},{32081313,1,650}]},{3,[{32081332,1,1350},{32081333,1,1600}]}];
get_pool_reward_goods(605,57000011,_WorldLv,_Rank) when _WorldLv >= 561, _WorldLv =< 610, _Rank >= 3, _Rank =< 3 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081312,1,500},{32081313,1,650}]},{3,[{32081332,1,1350},{32081333,1,1600}]}];
get_pool_reward_goods(605,57000011,_WorldLv,_Rank) when _WorldLv >= 561, _WorldLv =< 610, _Rank >= 4, _Rank =< 5 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081312,1,500},{32081313,1,650}]},{3,[{32081332,1,1350},{32081333,1,1600}]}];
get_pool_reward_goods(605,57000011,_WorldLv,_Rank) when _WorldLv >= 561, _WorldLv =< 610, _Rank >= 6, _Rank =< 8 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081312,1,500},{32081313,1,650}]},{3,[{32081332,1,1350},{32081333,1,1600}]}];
get_pool_reward_goods(605,57000012,_WorldLv,_Rank) when _WorldLv >= 611, _WorldLv =< 660, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081432,1,480}]},{2,[{32081433,1,640},{32081442,1,720}]},{3,[{32081443,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(605,57000012,_WorldLv,_Rank) when _WorldLv >= 611, _WorldLv =< 660, _Rank >= 2, _Rank =< 2 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081412,1,500},{32081413,1,650}]},{3,[{32081432,1,1350},{32081433,1,1600}]}];
get_pool_reward_goods(605,57000012,_WorldLv,_Rank) when _WorldLv >= 611, _WorldLv =< 660, _Rank >= 3, _Rank =< 3 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081412,1,500},{32081413,1,650}]},{3,[{32081432,1,1350},{32081433,1,1600}]}];
get_pool_reward_goods(605,57000012,_WorldLv,_Rank) when _WorldLv >= 611, _WorldLv =< 660, _Rank >= 4, _Rank =< 5 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081412,1,500},{32081413,1,650}]},{3,[{32081432,1,1350},{32081433,1,1600}]}];
get_pool_reward_goods(605,57000012,_WorldLv,_Rank) when _WorldLv >= 611, _WorldLv =< 660, _Rank >= 6, _Rank =< 8 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081412,1,500},{32081413,1,650}]},{3,[{32081432,1,1350},{32081433,1,1600}]}];
get_pool_reward_goods(605,57000013,_WorldLv,_Rank) when _WorldLv >= 661, _WorldLv =< 750, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081532,1,480}]},{2,[{32081533,1,640},{32081542,1,720}]},{3,[{32081543,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(605,57000013,_WorldLv,_Rank) when _WorldLv >= 661, _WorldLv =< 750, _Rank >= 2, _Rank =< 2 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081512,1,500},{32081513,1,650}]},{3,[{32081532,1,1350},{32081533,1,1600}]}];
get_pool_reward_goods(605,57000013,_WorldLv,_Rank) when _WorldLv >= 661, _WorldLv =< 750, _Rank >= 3, _Rank =< 3 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081512,1,500},{32081513,1,650}]},{3,[{32081532,1,1350},{32081533,1,1600}]}];
get_pool_reward_goods(605,57000013,_WorldLv,_Rank) when _WorldLv >= 661, _WorldLv =< 750, _Rank >= 4, _Rank =< 5 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081512,1,500},{32081513,1,650}]},{3,[{32081532,1,1350},{32081533,1,1600}]}];
get_pool_reward_goods(605,57000013,_WorldLv,_Rank) when _WorldLv >= 661, _WorldLv =< 750, _Rank >= 6, _Rank =< 8 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081512,1,500},{32081513,1,650}]},{3,[{32081532,1,1350},{32081533,1,1600}]}];
get_pool_reward_goods(605,57000014,_WorldLv,_Rank) when _WorldLv >= 751, _WorldLv =< 1000, _Rank >= 1, _Rank =< 1 ->
		[{1,[{17020003,1,350},{17020004,1,550},{24020003,1,350},{24020004,1,550},{20040002,1,350},{20040003,1,450},{20040004,1,550},{32081632,1,480}]},{2,[{32081633,1,640},{32081642,1,720}]},{3,[{32081643,1,1440},{38280620,1,1440}]},{4,[{34010001,1,1600}]}];
get_pool_reward_goods(605,57000014,_WorldLv,_Rank) when _WorldLv >= 751, _WorldLv =< 1000, _Rank >= 2, _Rank =< 2 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081612,1,500},{32081613,1,650}]},{3,[{32081632,1,1350},{32081633,1,1600}]}];
get_pool_reward_goods(605,57000014,_WorldLv,_Rank) when _WorldLv >= 751, _WorldLv =< 1000, _Rank >= 3, _Rank =< 3 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081612,1,500},{32081613,1,650}]},{3,[{32081632,1,1350},{32081633,1,1600}]}];
get_pool_reward_goods(605,57000014,_WorldLv,_Rank) when _WorldLv >= 751, _WorldLv =< 1000, _Rank >= 4, _Rank =< 5 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081612,1,500},{32081613,1,650}]},{3,[{32081632,1,1350},{32081633,1,1600}]}];
get_pool_reward_goods(605,57000014,_WorldLv,_Rank) when _WorldLv >= 751, _WorldLv =< 1000, _Rank >= 6, _Rank =< 8 ->
		[{1,[{32090003,1,300}]},{2,[{32080007,1,550},{32080008,1,650},{32081612,1,500},{32081613,1,650}]},{3,[{32081632,1,1350},{32081633,1,1600}]}];
get_pool_reward_goods(_Module_id,_Zone,_WorldLv,_Rank) ->
    [].

