%%%---------------------------------------
%%% module      : data_beauty_contest
%%% description : 靓丽大赛配置
%%%
%%%---------------------------------------
-module(data_beauty_contest).
-compile(export_all).



%%活动人数
get_beauty_contest_kv(act_role_number) ->
    50;

%%每日投票次数
get_beauty_contest_kv(daily_vote) ->
    5;

%%决赛投票次数
get_beauty_contest_kv(finals_vote) ->
    5;

%%4进2投票次数
get_beauty_contest_kv(four_vote) ->
    5;

%%报名奖励
get_beauty_contest_kv(signup_reward) ->
    [{100,102405,1}];

%%投票高的奖励
get_beauty_contest_kv(sp_vote_reward) ->
    [{100,102501,1}];

%%投票低的奖励
get_beauty_contest_kv(vote_reward) ->
    [{100,102401,1}];

get_beauty_contest_kv(_Keycontent) ->
    [].

get_rank_award(Rank) when Rank >= 1  andalso  Rank =< 1 ->
		[{17,433025,1},{100,102408,1},{0,102501,100},{100,109034,1}];
get_rank_award(Rank) when Rank >= 2  andalso  Rank =< 2 ->
		[{17,433026,1},{100,102407,1},{0,102501,80},{100,109033,2}];
get_rank_award(Rank) when Rank >= 3  andalso  Rank =< 4 ->
		[{17,433027,1},{100,102406,1},{0,102501,60},{100,109033,1}];
get_rank_award(Rank) when Rank >= 5  andalso  Rank =< 8 ->
		[{17,433028,1},{100,102405,1},{0,102501,50},{100,109032,2}];
get_rank_award(Rank) when Rank >= 9  andalso  Rank =< 16 ->
		[{17,433029,1},{100,102405,1},{0,102501,40},{100,109032,1}];
get_rank_award(Rank) when Rank >= 17  andalso  Rank =< 50 ->
		[{100,102405,1},{0,102501,30},{100,109031,2}];
get_rank_award(Rank) when Rank >= 51  andalso  Rank =< 9999 ->
		[{100,102404,1},{0,102501,20},{100,109031,1}];
get_rank_award(_Rank) ->
    [].

