%%%---------------------------------------
%%% module      : data_cross_point_fight
%%% description : 配置
%%%
%%%---------------------------------------
-module(data_cross_point_fight).
-compile(export_all).
-include("cross_point_fight.hrl").



%%buff时间：{激活星期，激活时刻，持续时间(秒数)}
get_point_fight_kv(buff_time) ->
    [{6, {20,30},1800}];

%%赛季结算时，如果赛季时间小于3天，则当次不结算
get_point_fight_kv(season_stay_day) ->
    [3];

get_point_fight_kv(_Keycontent) ->
    [].

get_point_fight_point(1011) ->
    #base_cross_point_fight_point{point_id = 1011,name = <<"前哨基地"/utf8>>,type = 1,owner = 1,dun_id = 604011,base_score = 12200,link_point = [],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(1012) ->
    #base_cross_point_fight_point{point_id = 1012,name = <<"前哨基地"/utf8>>,type = 1,owner = 1,dun_id = 604012,base_score = 12200,link_point = [1011,1013],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(1013) ->
    #base_cross_point_fight_point{point_id = 1013,name = <<"前哨基地"/utf8>>,type = 1,owner = 1,dun_id = 604013,base_score = 12200,link_point = [1012,1014],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(1014) ->
    #base_cross_point_fight_point{point_id = 1014,name = <<"星际传送门"/utf8>>,type = 1,owner = 1,dun_id = 604014,base_score = 12200,link_point = [1013,10021,10022,10028],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(2011) ->
    #base_cross_point_fight_point{point_id = 2011,name = <<"前哨基地"/utf8>>,type = 1,owner = 2,dun_id = 604011,base_score = 12200,link_point = [],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(2012) ->
    #base_cross_point_fight_point{point_id = 2012,name = <<"前哨基地"/utf8>>,type = 1,owner = 2,dun_id = 604012,base_score = 12200,link_point = [2011,2013],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(2013) ->
    #base_cross_point_fight_point{point_id = 2013,name = <<"前哨基地"/utf8>>,type = 1,owner = 2,dun_id = 604013,base_score = 12200,link_point = [2012,2014],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(2014) ->
    #base_cross_point_fight_point{point_id = 2014,name = <<"星际传送门"/utf8>>,type = 1,owner = 2,dun_id = 604014,base_score = 12200,link_point = [2013,10026,10027,10028],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(3011) ->
    #base_cross_point_fight_point{point_id = 3011,name = <<"前哨基地"/utf8>>,type = 1,owner = 3,dun_id = 604011,base_score = 12200,link_point = [],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(3012) ->
    #base_cross_point_fight_point{point_id = 3012,name = <<"前哨基地"/utf8>>,type = 1,owner = 3,dun_id = 604012,base_score = 12200,link_point = [3011,3013],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(3013) ->
    #base_cross_point_fight_point{point_id = 3013,name = <<"前哨基地"/utf8>>,type = 1,owner = 3,dun_id = 604013,base_score = 12200,link_point = [3012,3014],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(3014) ->
    #base_cross_point_fight_point{point_id = 3014,name = <<"星际传送门"/utf8>>,type = 1,owner = 3,dun_id = 604014,base_score = 12200,link_point = [3013,10022,10023,10024],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(4011) ->
    #base_cross_point_fight_point{point_id = 4011,name = <<"前哨基地"/utf8>>,type = 1,owner = 4,dun_id = 604011,base_score = 12200,link_point = [],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(4012) ->
    #base_cross_point_fight_point{point_id = 4012,name = <<"前哨基地"/utf8>>,type = 1,owner = 4,dun_id = 604012,base_score = 12200,link_point = [4011,4013],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(4013) ->
    #base_cross_point_fight_point{point_id = 4013,name = <<"前哨基地"/utf8>>,type = 1,owner = 4,dun_id = 604013,base_score = 12200,link_point = [4012,4014],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(4014) ->
    #base_cross_point_fight_point{point_id = 4014,name = <<"星际传送门"/utf8>>,type = 1,owner = 4,dun_id = 604014,base_score = 12200,link_point = [4013,10024,10025,10026],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(10021) ->
    #base_cross_point_fight_point{point_id = 10021,name = <<"异度空间"/utf8>>,type = 2,owner = 0,dun_id = 604021,base_score = 250000,link_point = [1014,10022,10028,10031,10032],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(10022) ->
    #base_cross_point_fight_point{point_id = 10022,name = <<"异度空间"/utf8>>,type = 2,owner = 0,dun_id = 604022,base_score = 250000,link_point = [1014,3014,10021,10032,10023],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(10023) ->
    #base_cross_point_fight_point{point_id = 10023,name = <<"异度空间"/utf8>>,type = 2,owner = 0,dun_id = 604023,base_score = 250000,link_point = [3014,10022,10024,10032,10033],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(10024) ->
    #base_cross_point_fight_point{point_id = 10024,name = <<"异度空间"/utf8>>,type = 2,owner = 0,dun_id = 604024,base_score = 250000,link_point = [3014,4014,10023,10025,10033],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(10025) ->
    #base_cross_point_fight_point{point_id = 10025,name = <<"异度空间"/utf8>>,type = 2,owner = 0,dun_id = 604021,base_score = 250000,link_point = [4014,10024,10026,10033,10034],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(10026) ->
    #base_cross_point_fight_point{point_id = 10026,name = <<"异度空间"/utf8>>,type = 2,owner = 0,dun_id = 604022,base_score = 250000,link_point = [2014,4014,10025,10027,10034],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(10027) ->
    #base_cross_point_fight_point{point_id = 10027,name = <<"异度空间"/utf8>>,type = 2,owner = 0,dun_id = 604023,base_score = 250000,link_point = [2014,10026,10028,10031,10034],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(10028) ->
    #base_cross_point_fight_point{point_id = 10028,name = <<"异度空间"/utf8>>,type = 2,owner = 0,dun_id = 604024,base_score = 250000,link_point = [1014,2014,10021,10027,10031],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 0,attack_reward = [{0,280101,1}]};

get_point_fight_point(10031) ->
    #base_cross_point_fight_point{point_id = 10031,name = <<"古文明遗迹"/utf8>>,type = 3,owner = 0,dun_id = 604031,base_score = 500000,link_point = [10021,10027,10028,10032,10034],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 6040031,attack_reward = [{0,280101,1}]};

get_point_fight_point(10032) ->
    #base_cross_point_fight_point{point_id = 10032,name = <<"古文明遗迹"/utf8>>,type = 3,owner = 0,dun_id = 604032,base_score = 500000,link_point = [10021,10022,10023,10031,10033],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 6040032,attack_reward = [{0,280101,1}]};

get_point_fight_point(10033) ->
    #base_cross_point_fight_point{point_id = 10033,name = <<"古文明遗迹"/utf8>>,type = 3,owner = 0,dun_id = 604031,base_score = 500000,link_point = [10023,10024,10025,10032,10034],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 6040033,attack_reward = [{0,280101,1}]};

get_point_fight_point(10034) ->
    #base_cross_point_fight_point{point_id = 10034,name = <<"古文明遗迹"/utf8>>,type = 3,owner = 0,dun_id = 604032,base_score = 500000,link_point = [10025,10026,10027,10031,10033],cost = [{34,100018,100}],reward = [{0,450069,1}],interval_time = 28800,buff = 6040034,attack_reward = [{0,280101,1}]};

get_point_fight_point(_Pointid) ->
    [].


get_point_by_type(1) ->
    [1011,1012,1013,1014,2011,2012,2013,2014,3011,3012,3013,3014,4011,4012,4013,4014];


get_point_by_type(2) ->
    [10021,10022,10023,10024,10025,10026,10027,10028];


get_point_by_type(3) ->
    [10031,10032,10033,10034];

get_point_by_type(_Type) ->
    [].

get_point_fight_score(604011,Value) when Value >= 10000 ->
		12200;
get_point_fight_score(604011,Value) when Value >= 9500 ->
		12100;
get_point_fight_score(604011,Value) when Value >= 9000 ->
		12000;
get_point_fight_score(604011,Value) when Value >= 8500 ->
		11900;
get_point_fight_score(604011,Value) when Value >= 8000 ->
		11800;
get_point_fight_score(604011,Value) when Value >= 7500 ->
		11700;
get_point_fight_score(604011,Value) when Value >= 7000 ->
		11600;
get_point_fight_score(604011,Value) when Value >= 6500 ->
		11500;
get_point_fight_score(604011,Value) when Value >= 6000 ->
		11400;
get_point_fight_score(604011,Value) when Value >= 5500 ->
		11300;
get_point_fight_score(604011,Value) when Value >= 5000 ->
		11200;
get_point_fight_score(604011,Value) when Value >= 4800 ->
		11100;
get_point_fight_score(604011,Value) when Value >= 4600 ->
		11000;
get_point_fight_score(604011,Value) when Value >= 4400 ->
		10900;
get_point_fight_score(604011,Value) when Value >= 4200 ->
		10800;
get_point_fight_score(604011,Value) when Value >= 4000 ->
		10700;
get_point_fight_score(604011,Value) when Value >= 3800 ->
		10600;
get_point_fight_score(604011,Value) when Value >= 3600 ->
		10500;
get_point_fight_score(604011,Value) when Value >= 3400 ->
		10400;
get_point_fight_score(604011,Value) when Value >= 3200 ->
		10300;
get_point_fight_score(604011,Value) when Value >= 3000 ->
		10200;
get_point_fight_score(604011,Value) when Value >= 2800 ->
		10100;
get_point_fight_score(604011,Value) when Value >= 2600 ->
		10000;
get_point_fight_score(604011,Value) when Value >= 2400 ->
		9900;
get_point_fight_score(604011,Value) when Value >= 2200 ->
		9800;
get_point_fight_score(604011,Value) when Value >= 2000 ->
		9700;
get_point_fight_score(604011,Value) when Value >= 1900 ->
		9600;
get_point_fight_score(604011,Value) when Value >= 1800 ->
		9500;
get_point_fight_score(604011,Value) when Value >= 1700 ->
		9400;
get_point_fight_score(604011,Value) when Value >= 1600 ->
		9300;
get_point_fight_score(604011,Value) when Value >= 1500 ->
		9200;
get_point_fight_score(604011,Value) when Value >= 1400 ->
		9100;
get_point_fight_score(604011,Value) when Value >= 1300 ->
		9000;
get_point_fight_score(604011,Value) when Value >= 1200 ->
		8900;
get_point_fight_score(604011,Value) when Value >= 1100 ->
		8800;
get_point_fight_score(604011,Value) when Value >= 1000 ->
		8700;
get_point_fight_score(604011,Value) when Value >= 950 ->
		8600;
get_point_fight_score(604011,Value) when Value >= 900 ->
		8500;
get_point_fight_score(604011,Value) when Value >= 850 ->
		8400;
get_point_fight_score(604011,Value) when Value >= 800 ->
		8300;
get_point_fight_score(604011,Value) when Value >= 750 ->
		8200;
get_point_fight_score(604011,Value) when Value >= 700 ->
		8100;
get_point_fight_score(604011,Value) when Value >= 650 ->
		8000;
get_point_fight_score(604011,Value) when Value >= 600 ->
		7900;
get_point_fight_score(604011,Value) when Value >= 550 ->
		7800;
get_point_fight_score(604011,Value) when Value >= 500 ->
		7700;
get_point_fight_score(604011,Value) when Value >= 480 ->
		7600;
get_point_fight_score(604011,Value) when Value >= 460 ->
		7500;
get_point_fight_score(604011,Value) when Value >= 440 ->
		7400;
get_point_fight_score(604011,Value) when Value >= 420 ->
		7300;
get_point_fight_score(604011,Value) when Value >= 400 ->
		7200;
get_point_fight_score(604011,Value) when Value >= 380 ->
		7100;
get_point_fight_score(604011,Value) when Value >= 360 ->
		7000;
get_point_fight_score(604011,Value) when Value >= 340 ->
		6900;
get_point_fight_score(604011,Value) when Value >= 320 ->
		6800;
get_point_fight_score(604011,Value) when Value >= 300 ->
		6700;
get_point_fight_score(604011,Value) when Value >= 280 ->
		6600;
get_point_fight_score(604011,Value) when Value >= 260 ->
		6500;
get_point_fight_score(604011,Value) when Value >= 240 ->
		6400;
get_point_fight_score(604011,Value) when Value >= 220 ->
		6300;
get_point_fight_score(604011,Value) when Value >= 200 ->
		6200;
get_point_fight_score(604011,Value) when Value >= 190 ->
		6100;
get_point_fight_score(604011,Value) when Value >= 180 ->
		6000;
get_point_fight_score(604011,Value) when Value >= 170 ->
		5900;
get_point_fight_score(604011,Value) when Value >= 160 ->
		5800;
get_point_fight_score(604011,Value) when Value >= 150 ->
		5700;
get_point_fight_score(604011,Value) when Value >= 140 ->
		5600;
get_point_fight_score(604011,Value) when Value >= 130 ->
		5500;
get_point_fight_score(604011,Value) when Value >= 120 ->
		5400;
get_point_fight_score(604011,Value) when Value >= 110 ->
		5300;
get_point_fight_score(604011,Value) when Value >= 100 ->
		5200;
get_point_fight_score(604011,Value) when Value >= 90 ->
		5100;
get_point_fight_score(604011,Value) when Value >= 80 ->
		5000;
get_point_fight_score(604011,Value) when Value >= 70 ->
		4800;
get_point_fight_score(604011,Value) when Value >= 60 ->
		4600;
get_point_fight_score(604011,Value) when Value >= 50 ->
		4400;
get_point_fight_score(604011,Value) when Value >= 40 ->
		4200;
get_point_fight_score(604011,Value) when Value >= 30 ->
		4000;
get_point_fight_score(604011,Value) when Value >= 20 ->
		3800;
get_point_fight_score(604011,Value) when Value >= 10 ->
		3600;
get_point_fight_score(604011,Value) when Value >= 0 ->
		1000;
get_point_fight_score(604012,Value) when Value >= 10000 ->
		12200;
get_point_fight_score(604012,Value) when Value >= 9500 ->
		12100;
get_point_fight_score(604012,Value) when Value >= 9000 ->
		12000;
get_point_fight_score(604012,Value) when Value >= 8500 ->
		11900;
get_point_fight_score(604012,Value) when Value >= 8000 ->
		11800;
get_point_fight_score(604012,Value) when Value >= 7500 ->
		11700;
get_point_fight_score(604012,Value) when Value >= 7000 ->
		11600;
get_point_fight_score(604012,Value) when Value >= 6500 ->
		11500;
get_point_fight_score(604012,Value) when Value >= 6000 ->
		11400;
get_point_fight_score(604012,Value) when Value >= 5500 ->
		11300;
get_point_fight_score(604012,Value) when Value >= 5000 ->
		11200;
get_point_fight_score(604012,Value) when Value >= 4800 ->
		11100;
get_point_fight_score(604012,Value) when Value >= 4600 ->
		11000;
get_point_fight_score(604012,Value) when Value >= 4400 ->
		10900;
get_point_fight_score(604012,Value) when Value >= 4200 ->
		10800;
get_point_fight_score(604012,Value) when Value >= 4000 ->
		10700;
get_point_fight_score(604012,Value) when Value >= 3800 ->
		10600;
get_point_fight_score(604012,Value) when Value >= 3600 ->
		10500;
get_point_fight_score(604012,Value) when Value >= 3400 ->
		10400;
get_point_fight_score(604012,Value) when Value >= 3200 ->
		10300;
get_point_fight_score(604012,Value) when Value >= 3000 ->
		10200;
get_point_fight_score(604012,Value) when Value >= 2800 ->
		10100;
get_point_fight_score(604012,Value) when Value >= 2600 ->
		10000;
get_point_fight_score(604012,Value) when Value >= 2400 ->
		9900;
get_point_fight_score(604012,Value) when Value >= 2200 ->
		9800;
get_point_fight_score(604012,Value) when Value >= 2000 ->
		9700;
get_point_fight_score(604012,Value) when Value >= 1900 ->
		9600;
get_point_fight_score(604012,Value) when Value >= 1800 ->
		9500;
get_point_fight_score(604012,Value) when Value >= 1700 ->
		9400;
get_point_fight_score(604012,Value) when Value >= 1600 ->
		9300;
get_point_fight_score(604012,Value) when Value >= 1500 ->
		9200;
get_point_fight_score(604012,Value) when Value >= 1400 ->
		9100;
get_point_fight_score(604012,Value) when Value >= 1300 ->
		9000;
get_point_fight_score(604012,Value) when Value >= 1200 ->
		8900;
get_point_fight_score(604012,Value) when Value >= 1100 ->
		8800;
get_point_fight_score(604012,Value) when Value >= 1000 ->
		8700;
get_point_fight_score(604012,Value) when Value >= 950 ->
		8600;
get_point_fight_score(604012,Value) when Value >= 900 ->
		8500;
get_point_fight_score(604012,Value) when Value >= 850 ->
		8400;
get_point_fight_score(604012,Value) when Value >= 800 ->
		8300;
get_point_fight_score(604012,Value) when Value >= 750 ->
		8200;
get_point_fight_score(604012,Value) when Value >= 700 ->
		8100;
get_point_fight_score(604012,Value) when Value >= 650 ->
		8000;
get_point_fight_score(604012,Value) when Value >= 600 ->
		7900;
get_point_fight_score(604012,Value) when Value >= 550 ->
		7800;
get_point_fight_score(604012,Value) when Value >= 500 ->
		7700;
get_point_fight_score(604012,Value) when Value >= 480 ->
		7600;
get_point_fight_score(604012,Value) when Value >= 460 ->
		7500;
get_point_fight_score(604012,Value) when Value >= 440 ->
		7400;
get_point_fight_score(604012,Value) when Value >= 420 ->
		7300;
get_point_fight_score(604012,Value) when Value >= 400 ->
		7200;
get_point_fight_score(604012,Value) when Value >= 380 ->
		7100;
get_point_fight_score(604012,Value) when Value >= 360 ->
		7000;
get_point_fight_score(604012,Value) when Value >= 340 ->
		6900;
get_point_fight_score(604012,Value) when Value >= 320 ->
		6800;
get_point_fight_score(604012,Value) when Value >= 300 ->
		6700;
get_point_fight_score(604012,Value) when Value >= 280 ->
		6600;
get_point_fight_score(604012,Value) when Value >= 260 ->
		6500;
get_point_fight_score(604012,Value) when Value >= 240 ->
		6400;
get_point_fight_score(604012,Value) when Value >= 220 ->
		6300;
get_point_fight_score(604012,Value) when Value >= 200 ->
		6200;
get_point_fight_score(604012,Value) when Value >= 190 ->
		6100;
get_point_fight_score(604012,Value) when Value >= 180 ->
		6000;
get_point_fight_score(604012,Value) when Value >= 170 ->
		5900;
get_point_fight_score(604012,Value) when Value >= 160 ->
		5800;
get_point_fight_score(604012,Value) when Value >= 150 ->
		5700;
get_point_fight_score(604012,Value) when Value >= 140 ->
		5600;
get_point_fight_score(604012,Value) when Value >= 130 ->
		5500;
get_point_fight_score(604012,Value) when Value >= 120 ->
		5400;
get_point_fight_score(604012,Value) when Value >= 110 ->
		5300;
get_point_fight_score(604012,Value) when Value >= 100 ->
		5200;
get_point_fight_score(604012,Value) when Value >= 90 ->
		5100;
get_point_fight_score(604012,Value) when Value >= 80 ->
		5000;
get_point_fight_score(604012,Value) when Value >= 70 ->
		4800;
get_point_fight_score(604012,Value) when Value >= 60 ->
		4600;
get_point_fight_score(604012,Value) when Value >= 50 ->
		4400;
get_point_fight_score(604012,Value) when Value >= 40 ->
		4200;
get_point_fight_score(604012,Value) when Value >= 30 ->
		4000;
get_point_fight_score(604012,Value) when Value >= 20 ->
		3800;
get_point_fight_score(604012,Value) when Value >= 10 ->
		3600;
get_point_fight_score(604012,Value) when Value >= 0 ->
		1000;
get_point_fight_score(604013,Value) when Value >= 10000 ->
		12200;
get_point_fight_score(604013,Value) when Value >= 9500 ->
		12100;
get_point_fight_score(604013,Value) when Value >= 9000 ->
		12000;
get_point_fight_score(604013,Value) when Value >= 8500 ->
		11900;
get_point_fight_score(604013,Value) when Value >= 8000 ->
		11800;
get_point_fight_score(604013,Value) when Value >= 7500 ->
		11700;
get_point_fight_score(604013,Value) when Value >= 7000 ->
		11600;
get_point_fight_score(604013,Value) when Value >= 6500 ->
		11500;
get_point_fight_score(604013,Value) when Value >= 6000 ->
		11400;
get_point_fight_score(604013,Value) when Value >= 5500 ->
		11300;
get_point_fight_score(604013,Value) when Value >= 5000 ->
		11200;
get_point_fight_score(604013,Value) when Value >= 4800 ->
		11100;
get_point_fight_score(604013,Value) when Value >= 4600 ->
		11000;
get_point_fight_score(604013,Value) when Value >= 4400 ->
		10900;
get_point_fight_score(604013,Value) when Value >= 4200 ->
		10800;
get_point_fight_score(604013,Value) when Value >= 4000 ->
		10700;
get_point_fight_score(604013,Value) when Value >= 3800 ->
		10600;
get_point_fight_score(604013,Value) when Value >= 3600 ->
		10500;
get_point_fight_score(604013,Value) when Value >= 3400 ->
		10400;
get_point_fight_score(604013,Value) when Value >= 3200 ->
		10300;
get_point_fight_score(604013,Value) when Value >= 3000 ->
		10200;
get_point_fight_score(604013,Value) when Value >= 2800 ->
		10100;
get_point_fight_score(604013,Value) when Value >= 2600 ->
		10000;
get_point_fight_score(604013,Value) when Value >= 2400 ->
		9900;
get_point_fight_score(604013,Value) when Value >= 2200 ->
		9800;
get_point_fight_score(604013,Value) when Value >= 2000 ->
		9700;
get_point_fight_score(604013,Value) when Value >= 1900 ->
		9600;
get_point_fight_score(604013,Value) when Value >= 1800 ->
		9500;
get_point_fight_score(604013,Value) when Value >= 1700 ->
		9400;
get_point_fight_score(604013,Value) when Value >= 1600 ->
		9300;
get_point_fight_score(604013,Value) when Value >= 1500 ->
		9200;
get_point_fight_score(604013,Value) when Value >= 1400 ->
		9100;
get_point_fight_score(604013,Value) when Value >= 1300 ->
		9000;
get_point_fight_score(604013,Value) when Value >= 1200 ->
		8900;
get_point_fight_score(604013,Value) when Value >= 1100 ->
		8800;
get_point_fight_score(604013,Value) when Value >= 1000 ->
		8700;
get_point_fight_score(604013,Value) when Value >= 950 ->
		8600;
get_point_fight_score(604013,Value) when Value >= 900 ->
		8500;
get_point_fight_score(604013,Value) when Value >= 850 ->
		8400;
get_point_fight_score(604013,Value) when Value >= 800 ->
		8300;
get_point_fight_score(604013,Value) when Value >= 750 ->
		8200;
get_point_fight_score(604013,Value) when Value >= 700 ->
		8100;
get_point_fight_score(604013,Value) when Value >= 650 ->
		8000;
get_point_fight_score(604013,Value) when Value >= 600 ->
		7900;
get_point_fight_score(604013,Value) when Value >= 550 ->
		7800;
get_point_fight_score(604013,Value) when Value >= 500 ->
		7700;
get_point_fight_score(604013,Value) when Value >= 480 ->
		7600;
get_point_fight_score(604013,Value) when Value >= 460 ->
		7500;
get_point_fight_score(604013,Value) when Value >= 440 ->
		7400;
get_point_fight_score(604013,Value) when Value >= 420 ->
		7300;
get_point_fight_score(604013,Value) when Value >= 400 ->
		7200;
get_point_fight_score(604013,Value) when Value >= 380 ->
		7100;
get_point_fight_score(604013,Value) when Value >= 360 ->
		7000;
get_point_fight_score(604013,Value) when Value >= 340 ->
		6900;
get_point_fight_score(604013,Value) when Value >= 320 ->
		6800;
get_point_fight_score(604013,Value) when Value >= 300 ->
		6700;
get_point_fight_score(604013,Value) when Value >= 280 ->
		6600;
get_point_fight_score(604013,Value) when Value >= 260 ->
		6500;
get_point_fight_score(604013,Value) when Value >= 240 ->
		6400;
get_point_fight_score(604013,Value) when Value >= 220 ->
		6300;
get_point_fight_score(604013,Value) when Value >= 200 ->
		6200;
get_point_fight_score(604013,Value) when Value >= 190 ->
		6100;
get_point_fight_score(604013,Value) when Value >= 180 ->
		6000;
get_point_fight_score(604013,Value) when Value >= 170 ->
		5900;
get_point_fight_score(604013,Value) when Value >= 160 ->
		5800;
get_point_fight_score(604013,Value) when Value >= 150 ->
		5700;
get_point_fight_score(604013,Value) when Value >= 140 ->
		5600;
get_point_fight_score(604013,Value) when Value >= 130 ->
		5500;
get_point_fight_score(604013,Value) when Value >= 120 ->
		5400;
get_point_fight_score(604013,Value) when Value >= 110 ->
		5300;
get_point_fight_score(604013,Value) when Value >= 100 ->
		5200;
get_point_fight_score(604013,Value) when Value >= 90 ->
		5100;
get_point_fight_score(604013,Value) when Value >= 80 ->
		5000;
get_point_fight_score(604013,Value) when Value >= 70 ->
		4800;
get_point_fight_score(604013,Value) when Value >= 60 ->
		4600;
get_point_fight_score(604013,Value) when Value >= 50 ->
		4400;
get_point_fight_score(604013,Value) when Value >= 40 ->
		4200;
get_point_fight_score(604013,Value) when Value >= 30 ->
		4000;
get_point_fight_score(604013,Value) when Value >= 20 ->
		3800;
get_point_fight_score(604013,Value) when Value >= 10 ->
		3600;
get_point_fight_score(604013,Value) when Value >= 0 ->
		1000;
get_point_fight_score(604014,Value) when Value >= 10000 ->
		12200;
get_point_fight_score(604014,Value) when Value >= 9500 ->
		12100;
get_point_fight_score(604014,Value) when Value >= 9000 ->
		12000;
get_point_fight_score(604014,Value) when Value >= 8500 ->
		11900;
get_point_fight_score(604014,Value) when Value >= 8000 ->
		11800;
get_point_fight_score(604014,Value) when Value >= 7500 ->
		11700;
get_point_fight_score(604014,Value) when Value >= 7000 ->
		11600;
get_point_fight_score(604014,Value) when Value >= 6500 ->
		11500;
get_point_fight_score(604014,Value) when Value >= 6000 ->
		11400;
get_point_fight_score(604014,Value) when Value >= 5500 ->
		11300;
get_point_fight_score(604014,Value) when Value >= 5000 ->
		11200;
get_point_fight_score(604014,Value) when Value >= 4800 ->
		11100;
get_point_fight_score(604014,Value) when Value >= 4600 ->
		11000;
get_point_fight_score(604014,Value) when Value >= 4400 ->
		10900;
get_point_fight_score(604014,Value) when Value >= 4200 ->
		10800;
get_point_fight_score(604014,Value) when Value >= 4000 ->
		10700;
get_point_fight_score(604014,Value) when Value >= 3800 ->
		10600;
get_point_fight_score(604014,Value) when Value >= 3600 ->
		10500;
get_point_fight_score(604014,Value) when Value >= 3400 ->
		10400;
get_point_fight_score(604014,Value) when Value >= 3200 ->
		10300;
get_point_fight_score(604014,Value) when Value >= 3000 ->
		10200;
get_point_fight_score(604014,Value) when Value >= 2800 ->
		10100;
get_point_fight_score(604014,Value) when Value >= 2600 ->
		10000;
get_point_fight_score(604014,Value) when Value >= 2400 ->
		9900;
get_point_fight_score(604014,Value) when Value >= 2200 ->
		9800;
get_point_fight_score(604014,Value) when Value >= 2000 ->
		9700;
get_point_fight_score(604014,Value) when Value >= 1900 ->
		9600;
get_point_fight_score(604014,Value) when Value >= 1800 ->
		9500;
get_point_fight_score(604014,Value) when Value >= 1700 ->
		9400;
get_point_fight_score(604014,Value) when Value >= 1600 ->
		9300;
get_point_fight_score(604014,Value) when Value >= 1500 ->
		9200;
get_point_fight_score(604014,Value) when Value >= 1400 ->
		9100;
get_point_fight_score(604014,Value) when Value >= 1300 ->
		9000;
get_point_fight_score(604014,Value) when Value >= 1200 ->
		8900;
get_point_fight_score(604014,Value) when Value >= 1100 ->
		8800;
get_point_fight_score(604014,Value) when Value >= 1000 ->
		8700;
get_point_fight_score(604014,Value) when Value >= 950 ->
		8600;
get_point_fight_score(604014,Value) when Value >= 900 ->
		8500;
get_point_fight_score(604014,Value) when Value >= 850 ->
		8400;
get_point_fight_score(604014,Value) when Value >= 800 ->
		8300;
get_point_fight_score(604014,Value) when Value >= 750 ->
		8200;
get_point_fight_score(604014,Value) when Value >= 700 ->
		8100;
get_point_fight_score(604014,Value) when Value >= 650 ->
		8000;
get_point_fight_score(604014,Value) when Value >= 600 ->
		7900;
get_point_fight_score(604014,Value) when Value >= 550 ->
		7800;
get_point_fight_score(604014,Value) when Value >= 500 ->
		7700;
get_point_fight_score(604014,Value) when Value >= 480 ->
		7600;
get_point_fight_score(604014,Value) when Value >= 460 ->
		7500;
get_point_fight_score(604014,Value) when Value >= 440 ->
		7400;
get_point_fight_score(604014,Value) when Value >= 420 ->
		7300;
get_point_fight_score(604014,Value) when Value >= 400 ->
		7200;
get_point_fight_score(604014,Value) when Value >= 380 ->
		7100;
get_point_fight_score(604014,Value) when Value >= 360 ->
		7000;
get_point_fight_score(604014,Value) when Value >= 340 ->
		6900;
get_point_fight_score(604014,Value) when Value >= 320 ->
		6800;
get_point_fight_score(604014,Value) when Value >= 300 ->
		6700;
get_point_fight_score(604014,Value) when Value >= 280 ->
		6600;
get_point_fight_score(604014,Value) when Value >= 260 ->
		6500;
get_point_fight_score(604014,Value) when Value >= 240 ->
		6400;
get_point_fight_score(604014,Value) when Value >= 220 ->
		6300;
get_point_fight_score(604014,Value) when Value >= 200 ->
		6200;
get_point_fight_score(604014,Value) when Value >= 190 ->
		6100;
get_point_fight_score(604014,Value) when Value >= 180 ->
		6000;
get_point_fight_score(604014,Value) when Value >= 170 ->
		5900;
get_point_fight_score(604014,Value) when Value >= 160 ->
		5800;
get_point_fight_score(604014,Value) when Value >= 150 ->
		5700;
get_point_fight_score(604014,Value) when Value >= 140 ->
		5600;
get_point_fight_score(604014,Value) when Value >= 130 ->
		5500;
get_point_fight_score(604014,Value) when Value >= 120 ->
		5400;
get_point_fight_score(604014,Value) when Value >= 110 ->
		5300;
get_point_fight_score(604014,Value) when Value >= 100 ->
		5200;
get_point_fight_score(604014,Value) when Value >= 90 ->
		5100;
get_point_fight_score(604014,Value) when Value >= 80 ->
		5000;
get_point_fight_score(604014,Value) when Value >= 70 ->
		4800;
get_point_fight_score(604014,Value) when Value >= 60 ->
		4600;
get_point_fight_score(604014,Value) when Value >= 50 ->
		4400;
get_point_fight_score(604014,Value) when Value >= 40 ->
		4200;
get_point_fight_score(604014,Value) when Value >= 30 ->
		4000;
get_point_fight_score(604014,Value) when Value >= 20 ->
		3800;
get_point_fight_score(604014,Value) when Value >= 10 ->
		3600;
get_point_fight_score(604014,Value) when Value >= 0 ->
		1000;
get_point_fight_score(604021,Value) when Value >= 20 ->
		7800;
get_point_fight_score(604021,Value) when Value >= 19 ->
		7600;
get_point_fight_score(604021,Value) when Value >= 18 ->
		7400;
get_point_fight_score(604021,Value) when Value >= 17 ->
		7200;
get_point_fight_score(604021,Value) when Value >= 16 ->
		7000;
get_point_fight_score(604021,Value) when Value >= 15 ->
		6800;
get_point_fight_score(604021,Value) when Value >= 14 ->
		6600;
get_point_fight_score(604021,Value) when Value >= 13 ->
		6400;
get_point_fight_score(604021,Value) when Value >= 12 ->
		6200;
get_point_fight_score(604021,Value) when Value >= 11 ->
		6000;
get_point_fight_score(604021,Value) when Value >= 10 ->
		5800;
get_point_fight_score(604021,Value) when Value >= 9 ->
		5600;
get_point_fight_score(604021,Value) when Value >= 8 ->
		5400;
get_point_fight_score(604021,Value) when Value >= 7 ->
		5200;
get_point_fight_score(604021,Value) when Value >= 6 ->
		5000;
get_point_fight_score(604021,Value) when Value >= 5 ->
		4800;
get_point_fight_score(604021,Value) when Value >= 4 ->
		4600;
get_point_fight_score(604021,Value) when Value >= 3 ->
		4400;
get_point_fight_score(604021,Value) when Value >= 2 ->
		4200;
get_point_fight_score(604021,Value) when Value >= 1 ->
		4000;
get_point_fight_score(604021,Value) when Value >= 0 ->
		1000;
get_point_fight_score(604022,Value) when Value >= 20 ->
		7800;
get_point_fight_score(604022,Value) when Value >= 19 ->
		7600;
get_point_fight_score(604022,Value) when Value >= 18 ->
		7400;
get_point_fight_score(604022,Value) when Value >= 17 ->
		7200;
get_point_fight_score(604022,Value) when Value >= 16 ->
		7000;
get_point_fight_score(604022,Value) when Value >= 15 ->
		6800;
get_point_fight_score(604022,Value) when Value >= 14 ->
		6600;
get_point_fight_score(604022,Value) when Value >= 13 ->
		6400;
get_point_fight_score(604022,Value) when Value >= 12 ->
		6200;
get_point_fight_score(604022,Value) when Value >= 11 ->
		6000;
get_point_fight_score(604022,Value) when Value >= 10 ->
		5800;
get_point_fight_score(604022,Value) when Value >= 9 ->
		5600;
get_point_fight_score(604022,Value) when Value >= 8 ->
		5400;
get_point_fight_score(604022,Value) when Value >= 7 ->
		5200;
get_point_fight_score(604022,Value) when Value >= 6 ->
		5000;
get_point_fight_score(604022,Value) when Value >= 5 ->
		4800;
get_point_fight_score(604022,Value) when Value >= 4 ->
		4600;
get_point_fight_score(604022,Value) when Value >= 3 ->
		4400;
get_point_fight_score(604022,Value) when Value >= 2 ->
		4200;
get_point_fight_score(604022,Value) when Value >= 1 ->
		4000;
get_point_fight_score(604022,Value) when Value >= 0 ->
		1000;
get_point_fight_score(604023,Value) when Value >= 20 ->
		7800;
get_point_fight_score(604023,Value) when Value >= 19 ->
		7600;
get_point_fight_score(604023,Value) when Value >= 18 ->
		7400;
get_point_fight_score(604023,Value) when Value >= 17 ->
		7200;
get_point_fight_score(604023,Value) when Value >= 16 ->
		7000;
get_point_fight_score(604023,Value) when Value >= 15 ->
		6800;
get_point_fight_score(604023,Value) when Value >= 14 ->
		6600;
get_point_fight_score(604023,Value) when Value >= 13 ->
		6400;
get_point_fight_score(604023,Value) when Value >= 12 ->
		6200;
get_point_fight_score(604023,Value) when Value >= 11 ->
		6000;
get_point_fight_score(604023,Value) when Value >= 10 ->
		5800;
get_point_fight_score(604023,Value) when Value >= 9 ->
		5600;
get_point_fight_score(604023,Value) when Value >= 8 ->
		5400;
get_point_fight_score(604023,Value) when Value >= 7 ->
		5200;
get_point_fight_score(604023,Value) when Value >= 6 ->
		5000;
get_point_fight_score(604023,Value) when Value >= 5 ->
		4800;
get_point_fight_score(604023,Value) when Value >= 4 ->
		4600;
get_point_fight_score(604023,Value) when Value >= 3 ->
		4400;
get_point_fight_score(604023,Value) when Value >= 2 ->
		4200;
get_point_fight_score(604023,Value) when Value >= 1 ->
		4000;
get_point_fight_score(604023,Value) when Value >= 0 ->
		1000;
get_point_fight_score(604024,Value) when Value >= 20 ->
		7800;
get_point_fight_score(604024,Value) when Value >= 19 ->
		7600;
get_point_fight_score(604024,Value) when Value >= 18 ->
		7400;
get_point_fight_score(604024,Value) when Value >= 17 ->
		7200;
get_point_fight_score(604024,Value) when Value >= 16 ->
		7000;
get_point_fight_score(604024,Value) when Value >= 15 ->
		6800;
get_point_fight_score(604024,Value) when Value >= 14 ->
		6600;
get_point_fight_score(604024,Value) when Value >= 13 ->
		6400;
get_point_fight_score(604024,Value) when Value >= 12 ->
		6200;
get_point_fight_score(604024,Value) when Value >= 11 ->
		6000;
get_point_fight_score(604024,Value) when Value >= 10 ->
		5800;
get_point_fight_score(604024,Value) when Value >= 9 ->
		5600;
get_point_fight_score(604024,Value) when Value >= 8 ->
		5400;
get_point_fight_score(604024,Value) when Value >= 7 ->
		5200;
get_point_fight_score(604024,Value) when Value >= 6 ->
		5000;
get_point_fight_score(604024,Value) when Value >= 5 ->
		4800;
get_point_fight_score(604024,Value) when Value >= 4 ->
		4600;
get_point_fight_score(604024,Value) when Value >= 3 ->
		4400;
get_point_fight_score(604024,Value) when Value >= 2 ->
		4200;
get_point_fight_score(604024,Value) when Value >= 1 ->
		4000;
get_point_fight_score(604024,Value) when Value >= 0 ->
		1000;
get_point_fight_score(604031,Value) when Value >= 20 ->
		7800;
get_point_fight_score(604031,Value) when Value >= 19 ->
		7600;
get_point_fight_score(604031,Value) when Value >= 18 ->
		7400;
get_point_fight_score(604031,Value) when Value >= 17 ->
		7200;
get_point_fight_score(604031,Value) when Value >= 16 ->
		7000;
get_point_fight_score(604031,Value) when Value >= 15 ->
		6800;
get_point_fight_score(604031,Value) when Value >= 14 ->
		6600;
get_point_fight_score(604031,Value) when Value >= 13 ->
		6400;
get_point_fight_score(604031,Value) when Value >= 12 ->
		6200;
get_point_fight_score(604031,Value) when Value >= 11 ->
		6000;
get_point_fight_score(604031,Value) when Value >= 10 ->
		5800;
get_point_fight_score(604031,Value) when Value >= 9 ->
		5600;
get_point_fight_score(604031,Value) when Value >= 8 ->
		5400;
get_point_fight_score(604031,Value) when Value >= 7 ->
		5200;
get_point_fight_score(604031,Value) when Value >= 6 ->
		5000;
get_point_fight_score(604031,Value) when Value >= 5 ->
		4800;
get_point_fight_score(604031,Value) when Value >= 4 ->
		4600;
get_point_fight_score(604031,Value) when Value >= 3 ->
		4400;
get_point_fight_score(604031,Value) when Value >= 2 ->
		4200;
get_point_fight_score(604031,Value) when Value >= 1 ->
		4000;
get_point_fight_score(604031,Value) when Value >= 0 ->
		1000;
get_point_fight_score(604032,Value) when Value >= 20 ->
		7800;
get_point_fight_score(604032,Value) when Value >= 19 ->
		7600;
get_point_fight_score(604032,Value) when Value >= 18 ->
		7400;
get_point_fight_score(604032,Value) when Value >= 17 ->
		7200;
get_point_fight_score(604032,Value) when Value >= 16 ->
		7000;
get_point_fight_score(604032,Value) when Value >= 15 ->
		6800;
get_point_fight_score(604032,Value) when Value >= 14 ->
		6600;
get_point_fight_score(604032,Value) when Value >= 13 ->
		6400;
get_point_fight_score(604032,Value) when Value >= 12 ->
		6200;
get_point_fight_score(604032,Value) when Value >= 11 ->
		6000;
get_point_fight_score(604032,Value) when Value >= 10 ->
		5800;
get_point_fight_score(604032,Value) when Value >= 9 ->
		5600;
get_point_fight_score(604032,Value) when Value >= 8 ->
		5400;
get_point_fight_score(604032,Value) when Value >= 7 ->
		5200;
get_point_fight_score(604032,Value) when Value >= 6 ->
		5000;
get_point_fight_score(604032,Value) when Value >= 5 ->
		4800;
get_point_fight_score(604032,Value) when Value >= 4 ->
		4600;
get_point_fight_score(604032,Value) when Value >= 3 ->
		4400;
get_point_fight_score(604032,Value) when Value >= 2 ->
		4200;
get_point_fight_score(604032,Value) when Value >= 1 ->
		4000;
get_point_fight_score(604032,Value) when Value >= 0 ->
		1000;
get_point_fight_score(_Dun_id,_Value) ->
    0.

get_point_fight_dun_ratio_lv(Lv) when Lv >= 1  andalso  Lv =< 120 ->
		1;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 121  andalso  Lv =< 150 ->
		1.667;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 151  andalso  Lv =< 160 ->
		2.083;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 161  andalso  Lv =< 180 ->
		2.604;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 181  andalso  Lv =< 200 ->
		3.255;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 201  andalso  Lv =< 216 ->
		4.069;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 217  andalso  Lv =< 232 ->
		5.086;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 233  andalso  Lv =< 255 ->
		6.358;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 256  andalso  Lv =< 270 ->
		7.947;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 271  andalso  Lv =< 290 ->
		9.934;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 291  andalso  Lv =< 310 ->
		12.418;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 311  andalso  Lv =< 335 ->
		15.522;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 336  andalso  Lv =< 350 ->
		19.403;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 351  andalso  Lv =< 380 ->
		24.253;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 381  andalso  Lv =< 410 ->
		30.316;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 411  andalso  Lv =< 435 ->
		37.896;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 436  andalso  Lv =< 485 ->
		47.37;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 486  andalso  Lv =< 540 ->
		59.212;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 541  andalso  Lv =< 580 ->
		74.015;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 581  andalso  Lv =< 620 ->
		92.52;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 621  andalso  Lv =< 660 ->
		115.648;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 661  andalso  Lv =< 700 ->
		144.56;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 701  andalso  Lv =< 740 ->
		180.7;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 741  andalso  Lv =< 780 ->
		225.875;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 781  andalso  Lv =< 820 ->
		282.344;
get_point_fight_dun_ratio_lv(Lv) when Lv >= 821  andalso  Lv =< 999 ->
		352.93;
get_point_fight_dun_ratio_lv(_Lv) ->
    1000000000.

get_point_fight_dun_ratio_wave(Wave) when Wave >= 1  andalso  Wave =< 1 ->
		1;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 2  andalso  Wave =< 2 ->
		1.2;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 3  andalso  Wave =< 3 ->
		1.4;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 4  andalso  Wave =< 4 ->
		1.6;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 5  andalso  Wave =< 5 ->
		1.8;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 6  andalso  Wave =< 6 ->
		2;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 7  andalso  Wave =< 7 ->
		2.5;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 8  andalso  Wave =< 8 ->
		3;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 9  andalso  Wave =< 9 ->
		3.5;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 10  andalso  Wave =< 10 ->
		4;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 11  andalso  Wave =< 11 ->
		4.5;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 12  andalso  Wave =< 12 ->
		5;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 13  andalso  Wave =< 13 ->
		6;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 14  andalso  Wave =< 14 ->
		7;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 15  andalso  Wave =< 15 ->
		8;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 16  andalso  Wave =< 16 ->
		9;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 17  andalso  Wave =< 17 ->
		10;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 18  andalso  Wave =< 18 ->
		12;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 19  andalso  Wave =< 19 ->
		15;
get_point_fight_dun_ratio_wave(Wave) when Wave >= 20  andalso  Wave =< 20 ->
		20;
get_point_fight_dun_ratio_wave(_Wave) ->
    100000000.

