%%%---------------------------------------
%%% module      : data_custom_mobilize
%%% description : 全民动员配置
%%%
%%%---------------------------------------
-module(data_custom_mobilize).
-compile(export_all).
-include("custom_act_mobilize.hrl").



%%首充
get_task_type(1) ->
    firstrecharge;

%%投资计划
get_task_type(2) ->
    investment;

%%0元礼包
get_task_type(3) ->
    freegift;

%%尊享卡
get_task_type(4) ->
    supremecard;

%%直购礼包
get_task_type(5) ->
    directbuy;

%%活跃值
get_task_type(6) ->
    activation;

%%日常任务
get_task_type(7) ->
    dailytask;

%%运送
get_task_type(8) ->
    escort;

%%座驾副本
get_task_type(9) ->
    cardun;

%%等级135级
get_task_type(10) ->
    lv135;

%%等级130级
get_task_type(11) ->
    lv130;

%%等级120级
get_task_type(12) ->
    lv120;

%%等级110级
get_task_type(13) ->
    lv110;

%%等级100级
get_task_type(14) ->
    lv100;

%%等级90级
get_task_type(15) ->
    lv90;

%%等级70级
get_task_type(16) ->
    lv70;

%%强化次数
get_task_type(17) ->
    strength;

%%进化次数
get_task_type(18) ->
    equipgreat;

%%宝石升级
get_task_type(19) ->
    gems;

%%战魂升级
get_task_type(20) ->
    warsoul;

%%战力提升
get_task_type(21) ->
    combat;

%%幻魔挑战
get_task_type(22) ->
    killboss;

%%快速挂机
get_task_type(23) ->
    fast_onhook;

%%达到vip1
get_task_type(24) ->
    vip1;

%%万物宝典
get_task_type(25) ->
    passport;

%%达到vip3
get_task_type(26) ->
    vip3;

%%每日首充
get_task_type(27) ->
    dailyrecharge;

%%圣物升级
get_task_type(28) ->
    nucleonup;

%%圣物寻宝
get_task_type(29) ->
    nucleondraw;

%%宝宝升星
get_task_type(30) ->
    babyup;

%%彩钻消费
get_task_type(31) ->
    goldconsume;

%%宠物升级
get_task_type(32) ->
    petup;

%%宠物进化
get_task_type(33) ->
    petstar;

%%达到vip2
get_task_type(34) ->
    vip2;

get_task_type(_Tasktype) ->
    false.

%%首充
get_task_type_id(firstrecharge) ->
    1;

%%投资计划
get_task_type_id(investment) ->
    2;

%%0元礼包
get_task_type_id(freegift) ->
    3;

%%尊享卡
get_task_type_id(supremecard) ->
    4;

%%直购礼包
get_task_type_id(directbuy) ->
    5;

%%活跃值
get_task_type_id(activation) ->
    6;

%%日常任务
get_task_type_id(dailytask) ->
    7;

%%运送
get_task_type_id(escort) ->
    8;

%%座驾副本
get_task_type_id(cardun) ->
    9;

%%等级135级
get_task_type_id(lv135) ->
    10;

%%等级130级
get_task_type_id(lv130) ->
    11;

%%等级120级
get_task_type_id(lv120) ->
    12;

%%等级110级
get_task_type_id(lv110) ->
    13;

%%等级100级
get_task_type_id(lv100) ->
    14;

%%等级90级
get_task_type_id(lv90) ->
    15;

%%等级70级
get_task_type_id(lv70) ->
    16;

%%强化次数
get_task_type_id(strength) ->
    17;

%%进化次数
get_task_type_id(equipgreat) ->
    18;

%%宝石升级
get_task_type_id(gems) ->
    19;

%%战魂升级
get_task_type_id(warsoul) ->
    20;

%%战力提升
get_task_type_id(combat) ->
    21;

%%幻魔挑战
get_task_type_id(killboss) ->
    22;

%%快速挂机
get_task_type_id(fast_onhook) ->
    23;

%%达到vip1
get_task_type_id(vip1) ->
    24;

%%万物宝典
get_task_type_id(passport) ->
    25;

%%达到vip3
get_task_type_id(vip3) ->
    26;

%%每日首充
get_task_type_id(dailyrecharge) ->
    27;

%%圣物升级
get_task_type_id(nucleonup) ->
    28;

%%圣物寻宝
get_task_type_id(nucleondraw) ->
    29;

%%宝宝升星
get_task_type_id(babyup) ->
    30;

%%彩钻消费
get_task_type_id(goldconsume) ->
    31;

%%宠物升级
get_task_type_id(petup) ->
    32;

%%宠物进化
get_task_type_id(petstar) ->
    33;

%%达到vip2
get_task_type_id(vip2) ->
    34;

get_task_type_id(_Taskstring) ->
    false.

%%首充
get_calc_type(1) ->
    1;

%%投资计划
get_calc_type(2) ->
    1;

%%0元礼包
get_calc_type(3) ->
    1;

%%尊享卡
get_calc_type(4) ->
    1;

%%直购礼包
get_calc_type(5) ->
    1;

%%活跃值
get_calc_type(6) ->
    0;

%%日常任务
get_calc_type(7) ->
    0;

%%运送
get_calc_type(8) ->
    0;

%%座驾副本
get_calc_type(9) ->
    0;

%%等级135级
get_calc_type(10) ->
    1;

%%等级130级
get_calc_type(11) ->
    1;

%%等级120级
get_calc_type(12) ->
    1;

%%等级110级
get_calc_type(13) ->
    1;

%%等级100级
get_calc_type(14) ->
    1;

%%等级90级
get_calc_type(15) ->
    1;

%%等级70级
get_calc_type(16) ->
    1;

%%强化次数
get_calc_type(17) ->
    0;

%%进化次数
get_calc_type(18) ->
    0;

%%宝石升级
get_calc_type(19) ->
    0;

%%战魂升级
get_calc_type(20) ->
    0;

%%战力提升
get_calc_type(21) ->
    0;

%%幻魔挑战
get_calc_type(22) ->
    0;

%%快速挂机
get_calc_type(23) ->
    0;

%%达到vip1
get_calc_type(24) ->
    1;

%%万物宝典
get_calc_type(25) ->
    1;

%%达到vip3
get_calc_type(26) ->
    1;

%%每日首充
get_calc_type(27) ->
    0;

%%圣物升级
get_calc_type(28) ->
    0;

%%圣物寻宝
get_calc_type(29) ->
    0;

%%宝宝升星
get_calc_type(30) ->
    0;

%%彩钻消费
get_calc_type(31) ->
    0;

%%宠物升级
get_calc_type(32) ->
    0;

%%宠物进化
get_calc_type(33) ->
    0;

%%达到vip2
get_calc_type(34) ->
    1;

get_calc_type(_Tasktype) ->
    0.

get_mobilize_task(1,1) ->
    #custom_mobilize_task{task_type = 1,task_id = 1,day = 1,end_day = 1,server_pro = 10,person_pro = 0,gain_con = {recharge,1},desc = <<"全民<color=#fdffc2>首充</color>累计%s人"/utf8>>,reward = [{100,230001,1},{100,101014,1}]};

get_mobilize_task(1,2) ->
    #custom_mobilize_task{task_type = 1,task_id = 2,day = 1,end_day = 1,server_pro = 30,person_pro = 0,gain_con = 0,desc = <<"全民<color=#fdffc2>首充</color>累计%s人"/utf8>>,reward = [{100,230001,1},{100,101014,1}]};

get_mobilize_task(1,3) ->
    #custom_mobilize_task{task_type = 1,task_id = 3,day = 1,end_day = 1,server_pro = 60,person_pro = 0,gain_con = {recharge,1},desc = <<"全民<color=#fdffc2>首充</color>累计%s人"/utf8>>,reward = [{100,230001,1},{100,101014,1}]};

get_mobilize_task(1,4) ->
    #custom_mobilize_task{task_type = 1,task_id = 4,day = 1,end_day = 1,server_pro = 100,person_pro = 0,gain_con = {recharge,1},desc = <<"全民<color=#fdffc2>首充</color>累计%s人"/utf8>>,reward = [{100,453062,1},{100,101014,5}]};

get_mobilize_task(2,1) ->
    #custom_mobilize_task{task_type = 2,task_id = 1,day = 5,end_day = 5,server_pro = 20,person_pro = 0,gain_con = {invest,1},desc = <<"全民参与<color=#fdffc2>投资计划</color>累计%s次"/utf8>>,reward = [{100,330901,1},{100,101014,1}]};

get_mobilize_task(2,2) ->
    #custom_mobilize_task{task_type = 2,task_id = 2,day = 5,end_day = 5,server_pro = 30,person_pro = 0,gain_con = 0,desc = <<"全民参与<color=#fdffc2>投资计划</color>累计%s次"/utf8>>,reward = [{100,330901,1},{100,101014,1}]};

get_mobilize_task(2,3) ->
    #custom_mobilize_task{task_type = 2,task_id = 3,day = 5,end_day = 5,server_pro = 40,person_pro = 0,gain_con = {invest,2},desc = <<"全民参与<color=#fdffc2>投资计划</color>累计%s次"/utf8>>,reward = [{100,330901,1},{100,101014,1}]};

get_mobilize_task(2,4) ->
    #custom_mobilize_task{task_type = 2,task_id = 4,day = 5,end_day = 5,server_pro = 50,person_pro = 0,gain_con = {invest,2},desc = <<"全民参与<color=#fdffc2>投资计划</color>累计%s次"/utf8>>,reward = [{100,102305,3},{100,101014,5}]};

get_mobilize_task(3,1) ->
    #custom_mobilize_task{task_type = 3,task_id = 1,day = 3,end_day = 3,server_pro = 100,person_pro = 1,gain_con = 0,desc = <<"全民购买<color=#fdffc2>0元礼包</color>次数"/utf8>>,reward = [{100,230004,1},{100,101015,1}]};

get_mobilize_task(3,2) ->
    #custom_mobilize_task{task_type = 3,task_id = 2,day = 3,end_day = 3,server_pro = 200,person_pro = 3,gain_con = 0,desc = <<"全民购买<color=#fdffc2>0元礼包</color>次数"/utf8>>,reward = [{100,230004,1},{100,101015,1}]};

get_mobilize_task(3,3) ->
    #custom_mobilize_task{task_type = 3,task_id = 3,day = 3,end_day = 3,server_pro = 300,person_pro = 5,gain_con = 0,desc = <<"全民购买<color=#fdffc2>0元礼包</color>次数"/utf8>>,reward = [{100,230004,1},{100,101015,1}]};

get_mobilize_task(3,4) ->
    #custom_mobilize_task{task_type = 3,task_id = 4,day = 3,end_day = 3,server_pro = 400,person_pro = 7,gain_con = 0,desc = <<"全民购买<color=#fdffc2>0元礼包</color>次数"/utf8>>,reward = [{100,453068,1},{100,101015,5}]};

get_mobilize_task(4,1) ->
    #custom_mobilize_task{task_type = 4,task_id = 1,day = 4,end_day = 4,server_pro = 50,person_pro = 0,gain_con = {weekcard,1},desc = <<"全民激活<color=#fdffc2>幻魔UP卡</color>累计%s次"/utf8>>,reward = [{100,230003,1},{100,101015,1}]};

get_mobilize_task(4,2) ->
    #custom_mobilize_task{task_type = 4,task_id = 2,day = 4,end_day = 4,server_pro = 100,person_pro = 0,gain_con = 0,desc = <<"全民激活<color=#fdffc2>幻魔UP卡</color>累计%s次"/utf8>>,reward = [{100,230003,1},{100,101015,1}]};

get_mobilize_task(4,3) ->
    #custom_mobilize_task{task_type = 4,task_id = 3,day = 4,end_day = 4,server_pro = 150,person_pro = 0,gain_con = {moncard,1},desc = <<"全民激活<color=#fdffc2>幻魔UP卡</color>累计%s次"/utf8>>,reward = [{100,230003,1},{100,101015,1}]};

get_mobilize_task(4,4) ->
    #custom_mobilize_task{task_type = 4,task_id = 4,day = 4,end_day = 4,server_pro = 200,person_pro = 0,gain_con = {seasoncard,1},desc = <<"全民激活<color=#fdffc2>幻魔UP卡</color>累计%s次"/utf8>>,reward = [{100,453066,1},{100,101015,5}]};

get_mobilize_task(6,1) ->
    #custom_mobilize_task{task_type = 6,task_id = 1,day = 1,end_day = 1,server_pro = 15000,person_pro = 150,gain_con = 0,desc = <<"今日全民提升<color=#fdffc2>活跃度</color>"/utf8>>,reward = [{100,453061,1},{100,101014,5}]};

get_mobilize_task(6,2) ->
    #custom_mobilize_task{task_type = 6,task_id = 2,day = 2,end_day = 2,server_pro = 12000,person_pro = 150,gain_con = 0,desc = <<"今日全民提升<color=#fdffc2>活跃度</color>"/utf8>>,reward = [{100,453063,1},{100,101014,5}]};

get_mobilize_task(6,3) ->
    #custom_mobilize_task{task_type = 6,task_id = 3,day = 3,end_day = 3,server_pro = 10000,person_pro = 150,gain_con = 0,desc = <<"今日全民提升<color=#fdffc2>活跃度</color>"/utf8>>,reward = [{100,453067,1},{100,101015,5}]};

get_mobilize_task(6,4) ->
    #custom_mobilize_task{task_type = 6,task_id = 4,day = 4,end_day = 4,server_pro = 9000,person_pro = 150,gain_con = 0,desc = <<"今日全民提升<color=#fdffc2>活跃度</color>"/utf8>>,reward = [{100,453065,1},{100,101015,5}]};

get_mobilize_task(6,5) ->
    #custom_mobilize_task{task_type = 6,task_id = 5,day = 5,end_day = 5,server_pro = 7500,person_pro = 150,gain_con = 0,desc = <<"今日全民提升<color=#fdffc2>活跃度</color>"/utf8>>,reward = [{100,102305,3},{100,101014,5}]};

get_mobilize_task(6,6) ->
    #custom_mobilize_task{task_type = 6,task_id = 6,day = 6,end_day = 6,server_pro = 7500,person_pro = 150,gain_con = 0,desc = <<"今日全民提升<color=#fdffc2>活跃度</color>"/utf8>>,reward = [{100,450051,1},{100,101014,5}]};

get_mobilize_task(6,7) ->
    #custom_mobilize_task{task_type = 6,task_id = 7,day = 7,end_day = 7,server_pro = 7500,person_pro = 150,gain_con = 0,desc = <<"今日全民提升<color=#fdffc2>活跃度</color>"/utf8>>,reward = [{100,450023,2},{100,101014,5}]};

get_mobilize_task(7,1) ->
    #custom_mobilize_task{task_type = 7,task_id = 1,day = 0,end_day = 0,server_pro = 500,person_pro = 2,gain_con = 0,desc = <<"全服累计跑环%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(7,2) ->
    #custom_mobilize_task{task_type = 7,task_id = 2,day = 0,end_day = 0,server_pro = 1000,person_pro = 4,gain_con = 0,desc = <<"全服累计跑环%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(7,3) ->
    #custom_mobilize_task{task_type = 7,task_id = 3,day = 0,end_day = 0,server_pro = 1500,person_pro = 6,gain_con = 0,desc = <<"全服累计跑环%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(7,4) ->
    #custom_mobilize_task{task_type = 7,task_id = 4,day = 0,end_day = 0,server_pro = 2000,person_pro = 8,gain_con = 0,desc = <<"全服累计跑环%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(7,5) ->
    #custom_mobilize_task{task_type = 7,task_id = 5,day = 0,end_day = 0,server_pro = 2500,person_pro = 10,gain_con = 0,desc = <<"全服累计跑环%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(7,6) ->
    #custom_mobilize_task{task_type = 7,task_id = 6,day = 0,end_day = 0,server_pro = 3000,person_pro = 12,gain_con = 0,desc = <<"全服累计跑环%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(7,7) ->
    #custom_mobilize_task{task_type = 7,task_id = 7,day = 0,end_day = 0,server_pro = 3500,person_pro = 14,gain_con = 0,desc = <<"全服累计跑环%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(7,8) ->
    #custom_mobilize_task{task_type = 7,task_id = 8,day = 0,end_day = 0,server_pro = 4000,person_pro = 16,gain_con = 0,desc = <<"全服累计跑环%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(7,9) ->
    #custom_mobilize_task{task_type = 7,task_id = 9,day = 0,end_day = 0,server_pro = 4500,person_pro = 18,gain_con = 0,desc = <<"全服累计跑环%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(8,1) ->
    #custom_mobilize_task{task_type = 8,task_id = 1,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服累计护送%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(8,2) ->
    #custom_mobilize_task{task_type = 8,task_id = 2,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服累计护送%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(8,3) ->
    #custom_mobilize_task{task_type = 8,task_id = 3,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服累计护送%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(8,4) ->
    #custom_mobilize_task{task_type = 8,task_id = 4,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服累计护送%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(8,5) ->
    #custom_mobilize_task{task_type = 8,task_id = 5,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服累计护送%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(8,6) ->
    #custom_mobilize_task{task_type = 8,task_id = 6,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服累计护送%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(8,7) ->
    #custom_mobilize_task{task_type = 8,task_id = 7,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服累计护送%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(8,8) ->
    #custom_mobilize_task{task_type = 8,task_id = 8,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服累计护送%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(8,9) ->
    #custom_mobilize_task{task_type = 8,task_id = 9,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服累计护送%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(9,1) ->
    #custom_mobilize_task{task_type = 9,task_id = 1,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服通关座驾副本%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(9,2) ->
    #custom_mobilize_task{task_type = 9,task_id = 2,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服通关座驾副本%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(9,3) ->
    #custom_mobilize_task{task_type = 9,task_id = 3,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服通关座驾副本%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(9,4) ->
    #custom_mobilize_task{task_type = 9,task_id = 4,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服通关座驾副本%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(9,5) ->
    #custom_mobilize_task{task_type = 9,task_id = 5,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服通关座驾副本%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(9,6) ->
    #custom_mobilize_task{task_type = 9,task_id = 6,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服通关座驾副本%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(9,7) ->
    #custom_mobilize_task{task_type = 9,task_id = 7,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服通关座驾副本%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(9,8) ->
    #custom_mobilize_task{task_type = 9,task_id = 8,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服通关座驾副本%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(9,9) ->
    #custom_mobilize_task{task_type = 9,task_id = 9,day = 0,end_day = 0,server_pro = 1,person_pro = 1,gain_con = 0,desc = <<"全服通关座驾副本%s次"/utf8>>,reward = [{0,109013,1},{0,109021,2}]};

get_mobilize_task(10,1) ->
    #custom_mobilize_task{task_type = 10,task_id = 1,day = 2,end_day = 2,server_pro = 80,person_pro = 0,gain_con = {lv,135},desc = <<"全民达到<color=#fdffc2>135级</color>累计%s人"/utf8>>,reward = [{100,453063,1},{100,101014,5}]};

get_mobilize_task(11,1) ->
    #custom_mobilize_task{task_type = 11,task_id = 1,day = 2,end_day = 2,server_pro = 100,person_pro = 0,gain_con = {lv,125},desc = <<"全民达到<color=#fdffc2>130级</color>累计%s人"/utf8>>,reward = [{100,230002,1},{100,101014,1}]};

get_mobilize_task(11,2) ->
    #custom_mobilize_task{task_type = 11,task_id = 2,day = 2,end_day = 2,server_pro = 120,person_pro = 0,gain_con = {lv,130},desc = <<"全民达到<color=#fdffc2>130级</color>累计%s人"/utf8>>,reward = [{100,230002,1},{100,101014,1}]};

get_mobilize_task(12,1) ->
    #custom_mobilize_task{task_type = 12,task_id = 1,day = 2,end_day = 2,server_pro = 150,person_pro = 0,gain_con = {lv,120},desc = <<"全民达到<color=#fdffc2>120级</color>累计%s人"/utf8>>,reward = [{100,230002,1},{100,101014,1}]};

get_mobilize_task(13,1) ->
    #custom_mobilize_task{task_type = 13,task_id = 1,day = 1,end_day = 1,server_pro = 100,person_pro = 0,gain_con = {lv,110},desc = <<"全民达到<color=#fdffc2>110级</color>累计%s人"/utf8>>,reward = [{100,453061,1},{100,101014,5}]};

get_mobilize_task(14,1) ->
    #custom_mobilize_task{task_type = 14,task_id = 1,day = 1,end_day = 1,server_pro = 150,person_pro = 0,gain_con = {lv,100},desc = <<"全民达到<color=#fdffc2>100级</color>累计%s人"/utf8>>,reward = [{100,230001,1},{100,101014,1}]};

get_mobilize_task(15,1) ->
    #custom_mobilize_task{task_type = 15,task_id = 1,day = 1,end_day = 1,server_pro = 200,person_pro = 0,gain_con = {lv,90},desc = <<"全民达到<color=#fdffc2>90级</color>累计%s人"/utf8>>,reward = [{100,230001,1},{100,101014,1}]};

get_mobilize_task(16,1) ->
    #custom_mobilize_task{task_type = 16,task_id = 1,day = 1,end_day = 1,server_pro = 250,person_pro = 0,gain_con = {lv,70},desc = <<"全民达到<color=#fdffc2>70级</color>累计%s人"/utf8>>,reward = [{100,230001,1},{100,101014,1}]};

get_mobilize_task(17,1) ->
    #custom_mobilize_task{task_type = 17,task_id = 1,day = 3,end_day = 3,server_pro = 500,person_pro = 2,gain_con = 0,desc = <<"今日全民<color=#fdffc2>装备精炼</color>次数"/utf8>>,reward = [{100,230004,1},{100,101015,1}]};

get_mobilize_task(17,2) ->
    #custom_mobilize_task{task_type = 17,task_id = 2,day = 3,end_day = 3,server_pro = 1000,person_pro = 4,gain_con = 0,desc = <<"今日全民<color=#fdffc2>装备精炼</color>次数"/utf8>>,reward = [{100,230004,1},{100,101015,1}]};

get_mobilize_task(17,3) ->
    #custom_mobilize_task{task_type = 17,task_id = 3,day = 3,end_day = 3,server_pro = 2000,person_pro = 6,gain_con = 0,desc = <<"今日全民<color=#fdffc2>装备精炼</color>次数"/utf8>>,reward = [{100,230004,1},{100,101015,1}]};

get_mobilize_task(17,4) ->
    #custom_mobilize_task{task_type = 17,task_id = 4,day = 3,end_day = 3,server_pro = 3000,person_pro = 8,gain_con = 0,desc = <<"今日全民<color=#fdffc2>装备精炼</color>次数"/utf8>>,reward = [{100,453067,1},{100,101015,5}]};

get_mobilize_task(18,1) ->
    #custom_mobilize_task{task_type = 18,task_id = 1,day = 4,end_day = 4,server_pro = 300,person_pro = 1,gain_con = 0,desc = <<"今日全民<color=#fdffc2>装备升星</color>次数"/utf8>>,reward = [{100,230003,1},{100,101015,1}]};

get_mobilize_task(18,2) ->
    #custom_mobilize_task{task_type = 18,task_id = 2,day = 4,end_day = 4,server_pro = 500,person_pro = 2,gain_con = 0,desc = <<"今日全民<color=#fdffc2>装备升星</color>次数"/utf8>>,reward = [{100,230003,1},{100,101015,1}]};

get_mobilize_task(18,3) ->
    #custom_mobilize_task{task_type = 18,task_id = 3,day = 4,end_day = 4,server_pro = 700,person_pro = 3,gain_con = 0,desc = <<"今日全民<color=#fdffc2>装备升星</color>次数"/utf8>>,reward = [{100,230003,1},{100,101015,1}]};

get_mobilize_task(18,4) ->
    #custom_mobilize_task{task_type = 18,task_id = 4,day = 4,end_day = 4,server_pro = 1000,person_pro = 5,gain_con = 0,desc = <<"今日全民<color=#fdffc2>装备升星</color>次数"/utf8>>,reward = [{100,453065,1},{100,101015,5}]};

get_mobilize_task(18,9) ->
    #custom_mobilize_task{task_type = 18,task_id = 9,day = 8,end_day = 9,server_pro = 240,person_pro = 3,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>装备进化</color>次数"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(18,10) ->
    #custom_mobilize_task{task_type = 18,task_id = 10,day = 8,end_day = 9,server_pro = 480,person_pro = 6,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>装备进化</color>次数"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(18,11) ->
    #custom_mobilize_task{task_type = 18,task_id = 11,day = 8,end_day = 9,server_pro = 720,person_pro = 9,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>装备进化</color>次数"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(18,12) ->
    #custom_mobilize_task{task_type = 18,task_id = 12,day = 8,end_day = 9,server_pro = 960,person_pro = 12,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>装备进化</color>次数"/utf8>>,reward = [{100,102607,5},{100,101015,1}]};

get_mobilize_task(18,13) ->
    #custom_mobilize_task{task_type = 18,task_id = 13,day = 8,end_day = 9,server_pro = 1200,person_pro = 15,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>装备进化</color>次数"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(18,14) ->
    #custom_mobilize_task{task_type = 18,task_id = 14,day = 8,end_day = 9,server_pro = 1440,person_pro = 18,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>装备进化</color>次数"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(18,15) ->
    #custom_mobilize_task{task_type = 18,task_id = 15,day = 8,end_day = 9,server_pro = 1680,person_pro = 21,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>装备进化</color>次数"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(18,16) ->
    #custom_mobilize_task{task_type = 18,task_id = 16,day = 8,end_day = 9,server_pro = 1920,person_pro = 24,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>装备进化</color>次数"/utf8>>,reward = [{100,102607,1},{100,101015,5}]};

get_mobilize_task(19,1) ->
    #custom_mobilize_task{task_type = 19,task_id = 1,day = 6,end_day = 6,server_pro = 300,person_pro = 2,gain_con = 0,desc = <<"今日全民<color=#fdffc2>宝石总等级</color>提升"/utf8>>,reward = [{100,450051,1},{100,101014,1}]};

get_mobilize_task(19,2) ->
    #custom_mobilize_task{task_type = 19,task_id = 2,day = 6,end_day = 6,server_pro = 800,person_pro = 5,gain_con = 0,desc = <<"今日全民<color=#fdffc2>宝石总等级</color>提升"/utf8>>,reward = [{100,450051,1},{100,101014,1}]};

get_mobilize_task(19,3) ->
    #custom_mobilize_task{task_type = 19,task_id = 3,day = 6,end_day = 6,server_pro = 1500,person_pro = 8,gain_con = 0,desc = <<"今日全民<color=#fdffc2>宝石总等级</color>提升"/utf8>>,reward = [{100,450051,1},{100,101014,1}]};

get_mobilize_task(19,4) ->
    #custom_mobilize_task{task_type = 19,task_id = 4,day = 6,end_day = 6,server_pro = 3000,person_pro = 12,gain_con = 0,desc = <<"今日全民<color=#fdffc2>宝石总等级</color>提升"/utf8>>,reward = [{100,450051,1},{100,101014,5}]};

get_mobilize_task(20,1) ->
    #custom_mobilize_task{task_type = 20,task_id = 1,day = 5,end_day = 5,server_pro = 1000,person_pro = 10,gain_con = 0,desc = <<"今日全民<color=#fdffc2>战魂升级</color>"/utf8>>,reward = [{100,330901,1},{100,101014,1}]};

get_mobilize_task(20,2) ->
    #custom_mobilize_task{task_type = 20,task_id = 2,day = 5,end_day = 5,server_pro = 2000,person_pro = 15,gain_con = 0,desc = <<"今日全民<color=#fdffc2>战魂升级</color>"/utf8>>,reward = [{100,330901,1},{100,101014,1}]};

get_mobilize_task(20,3) ->
    #custom_mobilize_task{task_type = 20,task_id = 3,day = 5,end_day = 5,server_pro = 3000,person_pro = 20,gain_con = 0,desc = <<"今日全民<color=#fdffc2>战魂升级</color>"/utf8>>,reward = [{100,330901,1},{100,101014,1}]};

get_mobilize_task(20,4) ->
    #custom_mobilize_task{task_type = 20,task_id = 4,day = 5,end_day = 5,server_pro = 5000,person_pro = 30,gain_con = 0,desc = <<"今日全民<color=#fdffc2>战魂升级</color>"/utf8>>,reward = [{100,102305,3},{100,101014,5}]};

get_mobilize_task(21,1) ->
    #custom_mobilize_task{task_type = 21,task_id = 1,day = 7,end_day = 7,server_pro = 5000000,person_pro = 10000,gain_con = 0,desc = <<"今日全民<color=#fdffc2>战力提升</color>"/utf8>>,reward = [{100,450023,1},{100,101014,1}]};

get_mobilize_task(21,2) ->
    #custom_mobilize_task{task_type = 21,task_id = 2,day = 7,end_day = 7,server_pro = 6000000,person_pro = 20000,gain_con = 0,desc = <<"今日全民<color=#fdffc2>战力提升</color>"/utf8>>,reward = [{100,450023,1},{100,101014,1}]};

get_mobilize_task(21,3) ->
    #custom_mobilize_task{task_type = 21,task_id = 3,day = 7,end_day = 7,server_pro = 8000000,person_pro = 50000,gain_con = 0,desc = <<"今日全民<color=#fdffc2>战力提升</color>"/utf8>>,reward = [{100,450023,1},{100,101014,1}]};

get_mobilize_task(21,4) ->
    #custom_mobilize_task{task_type = 21,task_id = 4,day = 7,end_day = 7,server_pro = 10000000,person_pro = 90000,gain_con = 0,desc = <<"今日全民<color=#fdffc2>战力提升</color>"/utf8>>,reward = [{100,450023,2},{100,101014,5}]};

get_mobilize_task(22,1) ->
    #custom_mobilize_task{task_type = 22,task_id = 1,day = 3,end_day = 3,server_pro = 500,person_pro = 1,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,230004,1},{100,101015,1}]};

get_mobilize_task(22,2) ->
    #custom_mobilize_task{task_type = 22,task_id = 2,day = 3,end_day = 3,server_pro = 750,person_pro = 3,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,230004,1},{100,101015,1}]};

get_mobilize_task(22,3) ->
    #custom_mobilize_task{task_type = 22,task_id = 3,day = 3,end_day = 3,server_pro = 1000,person_pro = 7,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,230004,1},{100,101015,1}]};

get_mobilize_task(22,4) ->
    #custom_mobilize_task{task_type = 22,task_id = 4,day = 4,end_day = 4,server_pro = 500,person_pro = 1,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,230003,1},{100,101015,1}]};

get_mobilize_task(22,5) ->
    #custom_mobilize_task{task_type = 22,task_id = 5,day = 4,end_day = 4,server_pro = 750,person_pro = 3,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,230003,1},{100,101015,1}]};

get_mobilize_task(22,6) ->
    #custom_mobilize_task{task_type = 22,task_id = 6,day = 4,end_day = 4,server_pro = 1000,person_pro = 7,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,230003,1},{100,101015,1}]};

get_mobilize_task(22,7) ->
    #custom_mobilize_task{task_type = 22,task_id = 7,day = 5,end_day = 5,server_pro = 600,person_pro = 2,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,330901,1},{100,101014,1}]};

get_mobilize_task(22,8) ->
    #custom_mobilize_task{task_type = 22,task_id = 8,day = 5,end_day = 5,server_pro = 800,person_pro = 5,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,330901,1},{100,101014,1}]};

get_mobilize_task(22,9) ->
    #custom_mobilize_task{task_type = 22,task_id = 9,day = 5,end_day = 5,server_pro = 1200,person_pro = 10,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,330901,1},{100,101014,1}]};

get_mobilize_task(22,10) ->
    #custom_mobilize_task{task_type = 22,task_id = 10,day = 6,end_day = 6,server_pro = 600,person_pro = 2,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,450051,1},{100,101014,1}]};

get_mobilize_task(22,11) ->
    #custom_mobilize_task{task_type = 22,task_id = 11,day = 6,end_day = 6,server_pro = 800,person_pro = 5,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,450051,1},{100,101014,1}]};

get_mobilize_task(22,12) ->
    #custom_mobilize_task{task_type = 22,task_id = 12,day = 6,end_day = 6,server_pro = 1200,person_pro = 10,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,450051,1},{100,101014,1}]};

get_mobilize_task(22,13) ->
    #custom_mobilize_task{task_type = 22,task_id = 13,day = 7,end_day = 7,server_pro = 600,person_pro = 2,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,450023,1},{100,101014,1}]};

get_mobilize_task(22,14) ->
    #custom_mobilize_task{task_type = 22,task_id = 14,day = 7,end_day = 7,server_pro = 800,person_pro = 5,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,450023,1},{100,101014,1}]};

get_mobilize_task(22,15) ->
    #custom_mobilize_task{task_type = 22,task_id = 15,day = 7,end_day = 7,server_pro = 1200,person_pro = 10,gain_con = 0,desc = <<"今日全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,450023,1},{100,101014,1}]};

get_mobilize_task(22,16) ->
    #custom_mobilize_task{task_type = 22,task_id = 16,day = 8,end_day = 9,server_pro = 400,person_pro = 5,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(22,17) ->
    #custom_mobilize_task{task_type = 22,task_id = 17,day = 8,end_day = 9,server_pro = 800,person_pro = 10,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(22,18) ->
    #custom_mobilize_task{task_type = 22,task_id = 18,day = 8,end_day = 9,server_pro = 1200,person_pro = 15,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(22,19) ->
    #custom_mobilize_task{task_type = 22,task_id = 19,day = 8,end_day = 9,server_pro = 1600,person_pro = 20,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,102607,1},{100,101015,5}]};

get_mobilize_task(22,20) ->
    #custom_mobilize_task{task_type = 22,task_id = 20,day = 10,end_day = 11,server_pro = 400,person_pro = 5,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(22,21) ->
    #custom_mobilize_task{task_type = 22,task_id = 21,day = 10,end_day = 11,server_pro = 800,person_pro = 10,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(22,22) ->
    #custom_mobilize_task{task_type = 22,task_id = 22,day = 10,end_day = 11,server_pro = 1200,person_pro = 15,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(22,23) ->
    #custom_mobilize_task{task_type = 22,task_id = 23,day = 10,end_day = 11,server_pro = 1600,person_pro = 20,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,280301,1},{100,101014,5}]};

get_mobilize_task(22,24) ->
    #custom_mobilize_task{task_type = 22,task_id = 24,day = 12,end_day = 13,server_pro = 400,person_pro = 5,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(22,25) ->
    #custom_mobilize_task{task_type = 22,task_id = 25,day = 12,end_day = 13,server_pro = 800,person_pro = 10,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(22,26) ->
    #custom_mobilize_task{task_type = 22,task_id = 26,day = 12,end_day = 13,server_pro = 1200,person_pro = 15,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(22,27) ->
    #custom_mobilize_task{task_type = 22,task_id = 27,day = 12,end_day = 13,server_pro = 1600,person_pro = 20,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,260003,1},{100,101014,5}]};

get_mobilize_task(22,28) ->
    #custom_mobilize_task{task_type = 22,task_id = 28,day = 14,end_day = 15,server_pro = 400,person_pro = 5,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(22,29) ->
    #custom_mobilize_task{task_type = 22,task_id = 29,day = 14,end_day = 15,server_pro = 800,person_pro = 10,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(22,30) ->
    #custom_mobilize_task{task_type = 22,task_id = 30,day = 14,end_day = 15,server_pro = 1200,person_pro = 15,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(22,31) ->
    #custom_mobilize_task{task_type = 22,task_id = 31,day = 14,end_day = 15,server_pro = 1600,person_pro = 20,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>挑战幻魔</color>次数"/utf8>>,reward = [{100,251002,1},{100,101014,5}]};

get_mobilize_task(23,1) ->
    #custom_mobilize_task{task_type = 23,task_id = 1,day = 1,end_day = 1,server_pro = 400,person_pro = 2,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,230001,1},{100,101014,1}]};

get_mobilize_task(23,2) ->
    #custom_mobilize_task{task_type = 23,task_id = 2,day = 1,end_day = 1,server_pro = 800,person_pro = 4,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,230001,1},{100,101014,1}]};

get_mobilize_task(23,3) ->
    #custom_mobilize_task{task_type = 23,task_id = 3,day = 1,end_day = 1,server_pro = 1200,person_pro = 6,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,230001,1},{100,101014,1}]};

get_mobilize_task(23,4) ->
    #custom_mobilize_task{task_type = 23,task_id = 4,day = 2,end_day = 2,server_pro = 400,person_pro = 2,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,230002,1},{100,101014,1}]};

get_mobilize_task(23,5) ->
    #custom_mobilize_task{task_type = 23,task_id = 5,day = 2,end_day = 2,server_pro = 800,person_pro = 4,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,230002,1},{100,101014,1}]};

get_mobilize_task(23,6) ->
    #custom_mobilize_task{task_type = 23,task_id = 6,day = 2,end_day = 2,server_pro = 1200,person_pro = 6,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,230002,1},{100,101014,1}]};

get_mobilize_task(23,7) ->
    #custom_mobilize_task{task_type = 23,task_id = 7,day = 8,end_day = 9,server_pro = 240,person_pro = 3,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(23,8) ->
    #custom_mobilize_task{task_type = 23,task_id = 8,day = 8,end_day = 9,server_pro = 480,person_pro = 6,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(23,9) ->
    #custom_mobilize_task{task_type = 23,task_id = 9,day = 8,end_day = 9,server_pro = 720,person_pro = 9,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(23,10) ->
    #custom_mobilize_task{task_type = 23,task_id = 10,day = 8,end_day = 9,server_pro = 960,person_pro = 12,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,102607,5},{100,101015,1}]};

get_mobilize_task(23,11) ->
    #custom_mobilize_task{task_type = 23,task_id = 11,day = 10,end_day = 11,server_pro = 240,person_pro = 3,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(23,12) ->
    #custom_mobilize_task{task_type = 23,task_id = 12,day = 10,end_day = 11,server_pro = 480,person_pro = 6,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(23,13) ->
    #custom_mobilize_task{task_type = 23,task_id = 13,day = 10,end_day = 11,server_pro = 720,person_pro = 9,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(23,14) ->
    #custom_mobilize_task{task_type = 23,task_id = 14,day = 10,end_day = 11,server_pro = 960,person_pro = 12,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,280301,1},{100,101014,1}]};

get_mobilize_task(23,15) ->
    #custom_mobilize_task{task_type = 23,task_id = 15,day = 12,end_day = 13,server_pro = 240,person_pro = 3,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(23,16) ->
    #custom_mobilize_task{task_type = 23,task_id = 16,day = 12,end_day = 13,server_pro = 480,person_pro = 6,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(23,17) ->
    #custom_mobilize_task{task_type = 23,task_id = 17,day = 12,end_day = 13,server_pro = 720,person_pro = 9,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(23,18) ->
    #custom_mobilize_task{task_type = 23,task_id = 18,day = 12,end_day = 13,server_pro = 960,person_pro = 12,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,260003,1},{100,101014,1}]};

get_mobilize_task(23,19) ->
    #custom_mobilize_task{task_type = 23,task_id = 19,day = 14,end_day = 15,server_pro = 240,person_pro = 3,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(23,20) ->
    #custom_mobilize_task{task_type = 23,task_id = 20,day = 14,end_day = 15,server_pro = 480,person_pro = 6,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(23,21) ->
    #custom_mobilize_task{task_type = 23,task_id = 21,day = 14,end_day = 15,server_pro = 720,person_pro = 9,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(23,22) ->
    #custom_mobilize_task{task_type = 23,task_id = 22,day = 14,end_day = 15,server_pro = 960,person_pro = 12,gain_con = 0,desc = <<"今日全民<color=#fdffc2>经验闯关加速</color>次数"/utf8>>,reward = [{100,251002,1},{100,101014,1}]};

get_mobilize_task(25,1) ->
    #custom_mobilize_task{task_type = 25,task_id = 1,day = 6,end_day = 6,server_pro = 10,person_pro = 0,gain_con = {contract,1},desc = <<"全民购买<color=#fdffc2>万物宝典</color>累计%s人"/utf8>>,reward = [{100,450051,1},{100,101014,1}]};

get_mobilize_task(25,2) ->
    #custom_mobilize_task{task_type = 25,task_id = 2,day = 6,end_day = 6,server_pro = 20,person_pro = 0,gain_con = 0,desc = <<"全民购买<color=#fdffc2>万物宝典</color>累计%s人"/utf8>>,reward = [{100,450051,1},{100,101014,1}]};

get_mobilize_task(25,3) ->
    #custom_mobilize_task{task_type = 25,task_id = 3,day = 6,end_day = 6,server_pro = 30,person_pro = 0,gain_con = {contract,1},desc = <<"全民购买<color=#fdffc2>万物宝典</color>累计%s人"/utf8>>,reward = [{100,450051,1},{100,101014,1}]};

get_mobilize_task(25,4) ->
    #custom_mobilize_task{task_type = 25,task_id = 4,day = 6,end_day = 6,server_pro = 50,person_pro = 0,gain_con = {contract,1},desc = <<"全民购买<color=#fdffc2>万物宝典</color>累计%s人"/utf8>>,reward = [{100,450051,1},{100,101014,5}]};

get_mobilize_task(26,1) ->
    #custom_mobilize_task{task_type = 26,task_id = 1,day = 7,end_day = 7,server_pro = 10,person_pro = 0,gain_con = {vip,3},desc = <<"全民<color=#fdffc2>激活VIP3</color>累计%s人"/utf8>>,reward = [{100,450023,1},{100,101014,1}]};

get_mobilize_task(26,2) ->
    #custom_mobilize_task{task_type = 26,task_id = 2,day = 7,end_day = 7,server_pro = 30,person_pro = 0,gain_con = 0,desc = <<"全民<color=#fdffc2>激活VIP3</color>累计%s人"/utf8>>,reward = [{100,450023,1},{100,101014,1}]};

get_mobilize_task(26,3) ->
    #custom_mobilize_task{task_type = 26,task_id = 3,day = 7,end_day = 7,server_pro = 60,person_pro = 0,gain_con = {vip,3},desc = <<"全民<color=#fdffc2>激活VIP3</color>累计%s人"/utf8>>,reward = [{100,450023,1},{100,101014,1}]};

get_mobilize_task(26,4) ->
    #custom_mobilize_task{task_type = 26,task_id = 4,day = 7,end_day = 7,server_pro = 100,person_pro = 0,gain_con = {vip,3},desc = <<"全民<color=#fdffc2>激活VIP3</color>累计%s人"/utf8>>,reward = [{100,450023,2},{100,101014,5}]};

get_mobilize_task(27,1) ->
    #custom_mobilize_task{task_type = 27,task_id = 1,day = 8,end_day = 9,server_pro = 10,person_pro = 1,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>每日首充</color>%s次"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(27,2) ->
    #custom_mobilize_task{task_type = 27,task_id = 2,day = 8,end_day = 9,server_pro = 12,person_pro = 1,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>每日首充</color>%s次"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(27,3) ->
    #custom_mobilize_task{task_type = 27,task_id = 3,day = 8,end_day = 9,server_pro = 14,person_pro = 0,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>每日首充</color>%s次"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(27,4) ->
    #custom_mobilize_task{task_type = 27,task_id = 4,day = 8,end_day = 9,server_pro = 16,person_pro = 1,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>每日首充</color>%s次"/utf8>>,reward = [{100,102607,5},{100,101015,1}]};

get_mobilize_task(27,5) ->
    #custom_mobilize_task{task_type = 27,task_id = 5,day = 8,end_day = 9,server_pro = 18,person_pro = 2,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>每日首充</color>%s次"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(27,6) ->
    #custom_mobilize_task{task_type = 27,task_id = 6,day = 8,end_day = 9,server_pro = 20,person_pro = 0,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>每日首充</color>%s次"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(27,7) ->
    #custom_mobilize_task{task_type = 27,task_id = 7,day = 8,end_day = 9,server_pro = 22,person_pro = 2,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>每日首充</color>%s次"/utf8>>,reward = [{100,101014,5},{100,101015,1}]};

get_mobilize_task(27,8) ->
    #custom_mobilize_task{task_type = 27,task_id = 8,day = 8,end_day = 9,server_pro = 24,person_pro = 2,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>每日首充</color>%s次"/utf8>>,reward = [{100,102607,1},{100,101015,5}]};

get_mobilize_task(28,1) ->
    #custom_mobilize_task{task_type = 28,task_id = 1,day = 10,end_day = 11,server_pro = 375,person_pro = 5,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物升级</color>"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(28,2) ->
    #custom_mobilize_task{task_type = 28,task_id = 2,day = 10,end_day = 11,server_pro = 1000,person_pro = 10,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物升级</color>"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(28,3) ->
    #custom_mobilize_task{task_type = 28,task_id = 3,day = 10,end_day = 11,server_pro = 1125,person_pro = 15,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物升级</color>"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(28,4) ->
    #custom_mobilize_task{task_type = 28,task_id = 4,day = 10,end_day = 11,server_pro = 2000,person_pro = 20,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物升级</color>"/utf8>>,reward = [{100,280301,1},{100,101014,1}]};

get_mobilize_task(28,5) ->
    #custom_mobilize_task{task_type = 28,task_id = 5,day = 10,end_day = 11,server_pro = 1875,person_pro = 25,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物升级</color>"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(28,6) ->
    #custom_mobilize_task{task_type = 28,task_id = 6,day = 10,end_day = 11,server_pro = 3000,person_pro = 30,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物升级</color>"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(28,7) ->
    #custom_mobilize_task{task_type = 28,task_id = 7,day = 10,end_day = 11,server_pro = 2625,person_pro = 35,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物升级</color>"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(28,8) ->
    #custom_mobilize_task{task_type = 28,task_id = 8,day = 10,end_day = 11,server_pro = 4000,person_pro = 40,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物升级</color>"/utf8>>,reward = [{100,280301,1},{100,101014,5}]};

get_mobilize_task(29,1) ->
    #custom_mobilize_task{task_type = 29,task_id = 1,day = 10,end_day = 11,server_pro = 10,person_pro = 1,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物寻宝</color>次数"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(29,2) ->
    #custom_mobilize_task{task_type = 29,task_id = 2,day = 10,end_day = 11,server_pro = 20,person_pro = 1,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物寻宝</color>次数"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(29,3) ->
    #custom_mobilize_task{task_type = 29,task_id = 3,day = 10,end_day = 11,server_pro = 30,person_pro = 2,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物寻宝</color>次数"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(29,4) ->
    #custom_mobilize_task{task_type = 29,task_id = 4,day = 10,end_day = 11,server_pro = 40,person_pro = 3,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物寻宝</color>次数"/utf8>>,reward = [{100,280301,1},{100,101014,1}]};

get_mobilize_task(29,5) ->
    #custom_mobilize_task{task_type = 29,task_id = 5,day = 10,end_day = 11,server_pro = 50,person_pro = 4,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物寻宝</color>次数"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(29,6) ->
    #custom_mobilize_task{task_type = 29,task_id = 6,day = 10,end_day = 11,server_pro = 60,person_pro = 6,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物寻宝</color>次数"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(29,7) ->
    #custom_mobilize_task{task_type = 29,task_id = 7,day = 10,end_day = 11,server_pro = 80,person_pro = 8,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物寻宝</color>次数"/utf8>>,reward = [{100,280101,1},{100,101014,1}]};

get_mobilize_task(29,8) ->
    #custom_mobilize_task{task_type = 29,task_id = 8,day = 10,end_day = 11,server_pro = 100,person_pro = 10,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>圣物寻宝</color>次数"/utf8>>,reward = [{100,280301,1},{100,101014,5}]};

get_mobilize_task(30,1) ->
    #custom_mobilize_task{task_type = 30,task_id = 1,day = 12,end_day = 13,server_pro = 50,person_pro = 1,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宝宝培养</color>升星数"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(30,2) ->
    #custom_mobilize_task{task_type = 30,task_id = 2,day = 12,end_day = 13,server_pro = 100,person_pro = 1,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宝宝培养</color>升星数"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(30,3) ->
    #custom_mobilize_task{task_type = 30,task_id = 3,day = 12,end_day = 13,server_pro = 150,person_pro = 2,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宝宝培养</color>升星数"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(30,4) ->
    #custom_mobilize_task{task_type = 30,task_id = 4,day = 12,end_day = 13,server_pro = 200,person_pro = 2,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宝宝培养</color>升星数"/utf8>>,reward = [{100,260003,1},{100,101014,1}]};

get_mobilize_task(30,5) ->
    #custom_mobilize_task{task_type = 30,task_id = 5,day = 12,end_day = 13,server_pro = 250,person_pro = 3,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宝宝培养</color>升星数"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(30,6) ->
    #custom_mobilize_task{task_type = 30,task_id = 6,day = 12,end_day = 13,server_pro = 300,person_pro = 3,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宝宝培养</color>升星数"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(30,7) ->
    #custom_mobilize_task{task_type = 30,task_id = 7,day = 12,end_day = 13,server_pro = 350,person_pro = 4,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宝宝培养</color>升星数"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(30,8) ->
    #custom_mobilize_task{task_type = 30,task_id = 8,day = 12,end_day = 13,server_pro = 400,person_pro = 5,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宝宝培养</color>升星数"/utf8>>,reward = [{100,260003,1},{100,101014,5}]};

get_mobilize_task(31,1) ->
    #custom_mobilize_task{task_type = 31,task_id = 1,day = 12,end_day = 13,server_pro = 500,person_pro = 60,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>彩钻总消费</color>"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(31,2) ->
    #custom_mobilize_task{task_type = 31,task_id = 2,day = 12,end_day = 13,server_pro = 1000,person_pro = 120,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>彩钻总消费</color>"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(31,3) ->
    #custom_mobilize_task{task_type = 31,task_id = 3,day = 12,end_day = 13,server_pro = 1500,person_pro = 0,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>彩钻总消费</color>"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(31,4) ->
    #custom_mobilize_task{task_type = 31,task_id = 4,day = 12,end_day = 13,server_pro = 2000,person_pro = 180,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>彩钻总消费</color>"/utf8>>,reward = [{100,260003,1},{100,101014,1}]};

get_mobilize_task(31,5) ->
    #custom_mobilize_task{task_type = 31,task_id = 5,day = 12,end_day = 13,server_pro = 3000,person_pro = 300,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>彩钻总消费</color>"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(31,6) ->
    #custom_mobilize_task{task_type = 31,task_id = 6,day = 12,end_day = 13,server_pro = 4000,person_pro = 0,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>彩钻总消费</color>"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(31,7) ->
    #custom_mobilize_task{task_type = 31,task_id = 7,day = 12,end_day = 13,server_pro = 6000,person_pro = 680,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>彩钻总消费</color>"/utf8>>,reward = [{100,260002,1},{100,101014,1}]};

get_mobilize_task(31,8) ->
    #custom_mobilize_task{task_type = 31,task_id = 8,day = 12,end_day = 13,server_pro = 10000,person_pro = 980,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>彩钻总消费</color>"/utf8>>,reward = [{100,260003,1},{100,101014,5}]};

get_mobilize_task(32,1) ->
    #custom_mobilize_task{task_type = 32,task_id = 1,day = 14,end_day = 15,server_pro = 100,person_pro = 2,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物升级</color>"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(32,2) ->
    #custom_mobilize_task{task_type = 32,task_id = 2,day = 14,end_day = 15,server_pro = 400,person_pro = 4,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物升级</color>"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(32,3) ->
    #custom_mobilize_task{task_type = 32,task_id = 3,day = 14,end_day = 15,server_pro = 600,person_pro = 6,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物升级</color>"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(32,4) ->
    #custom_mobilize_task{task_type = 32,task_id = 4,day = 14,end_day = 15,server_pro = 800,person_pro = 8,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物升级</color>"/utf8>>,reward = [{100,251002,1},{100,101014,1}]};

get_mobilize_task(32,5) ->
    #custom_mobilize_task{task_type = 32,task_id = 5,day = 14,end_day = 15,server_pro = 1000,person_pro = 10,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物升级</color>"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(32,6) ->
    #custom_mobilize_task{task_type = 32,task_id = 6,day = 14,end_day = 15,server_pro = 1200,person_pro = 12,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物升级</color>"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(32,7) ->
    #custom_mobilize_task{task_type = 32,task_id = 7,day = 14,end_day = 15,server_pro = 1400,person_pro = 14,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物升级</color>"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(32,8) ->
    #custom_mobilize_task{task_type = 32,task_id = 8,day = 14,end_day = 15,server_pro = 1600,person_pro = 16,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物升级</color>"/utf8>>,reward = [{100,251002,1},{100,101014,5}]};

get_mobilize_task(33,1) ->
    #custom_mobilize_task{task_type = 33,task_id = 1,day = 14,end_day = 15,server_pro = 5,person_pro = 1,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物进化</color>次数"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(33,2) ->
    #custom_mobilize_task{task_type = 33,task_id = 2,day = 14,end_day = 15,server_pro = 10,person_pro = 1,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物进化</color>次数"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(33,3) ->
    #custom_mobilize_task{task_type = 33,task_id = 3,day = 14,end_day = 15,server_pro = 15,person_pro = 0,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物进化</color>次数"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(33,4) ->
    #custom_mobilize_task{task_type = 33,task_id = 4,day = 14,end_day = 15,server_pro = 20,person_pro = 1,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物进化</color>次数"/utf8>>,reward = [{100,251002,1},{100,101014,1}]};

get_mobilize_task(33,5) ->
    #custom_mobilize_task{task_type = 33,task_id = 5,day = 14,end_day = 15,server_pro = 25,person_pro = 2,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物进化</color>次数"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(33,6) ->
    #custom_mobilize_task{task_type = 33,task_id = 6,day = 14,end_day = 15,server_pro = 30,person_pro = 0,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物进化</color>次数"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(33,7) ->
    #custom_mobilize_task{task_type = 33,task_id = 7,day = 14,end_day = 15,server_pro = 40,person_pro = 2,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物进化</color>次数"/utf8>>,reward = [{100,251001,5},{100,101014,1}]};

get_mobilize_task(33,8) ->
    #custom_mobilize_task{task_type = 33,task_id = 8,day = 14,end_day = 15,server_pro = 50,person_pro = 2,gain_con = 0,desc = <<"跨服全民<color=#fdffc2>宠物进化</color>次数"/utf8>>,reward = [{100,251002,1},{100,101014,5}]};

get_mobilize_task(34,1) ->
    #custom_mobilize_task{task_type = 34,task_id = 1,day = 2,end_day = 2,server_pro = 200,person_pro = 0,gain_con = {vip,2},desc = <<"全民<color=#fdffc2>激活VIP2</color>累计%s人"/utf8>>,reward = [{100,230002,1},{100,101014,1}]};

get_mobilize_task(34,2) ->
    #custom_mobilize_task{task_type = 34,task_id = 2,day = 2,end_day = 2,server_pro = 300,person_pro = 0,gain_con = 0,desc = <<"全民<color=#fdffc2>激活VIP2</color>累计%s人"/utf8>>,reward = [{100,230002,1},{100,101014,1}]};

get_mobilize_task(34,3) ->
    #custom_mobilize_task{task_type = 34,task_id = 3,day = 2,end_day = 2,server_pro = 400,person_pro = 0,gain_con = {vip,2},desc = <<"全民<color=#fdffc2>激活VIP2</color>累计%s人"/utf8>>,reward = [{100,230002,1},{100,101014,1}]};

get_mobilize_task(34,4) ->
    #custom_mobilize_task{task_type = 34,task_id = 4,day = 2,end_day = 2,server_pro = 500,person_pro = 0,gain_con = {vip,2},desc = <<"全民<color=#fdffc2>激活VIP2</color>累计%s人"/utf8>>,reward = [{100,453064,1},{100,101014,5}]};

get_mobilize_task(_Tasktype,_Taskid) ->
    [].

%%全民<color=#fdffc2>首充</color>累计%s人
get_task_id_list(1) ->
    [1,2,3,4];

%%全民参与<color=#fdffc2>投资计划</color>累计%s次
get_task_id_list(2) ->
    [1,2,3,4];

%%全民购买<color=#fdffc2>0元礼包</color>次数
get_task_id_list(3) ->
    [1,2,3,4];

%%全民激活<color=#fdffc2>幻魔UP卡</color>累计%s次
get_task_id_list(4) ->
    [1,2,3,4];

%%今日全民提升<color=#fdffc2>活跃度</color>
get_task_id_list(6) ->
    [1,2,3,4,5,6,7];

%%全服累计跑环%s次
get_task_id_list(7) ->
    [1,2,3,4,5,6,7,8,9];

%%全服累计护送%s次
get_task_id_list(8) ->
    [1,2,3,4,5,6,7,8,9];

%%全服通关座驾副本%s次
get_task_id_list(9) ->
    [1,2,3,4,5,6,7,8,9];

%%全民达到<color=#fdffc2>135级</color>累计%s人
get_task_id_list(10) ->
    [1];

%%全民达到<color=#fdffc2>130级</color>累计%s人
get_task_id_list(11) ->
    [1,2];

%%全民达到<color=#fdffc2>120级</color>累计%s人
get_task_id_list(12) ->
    [1];

%%全民达到<color=#fdffc2>110级</color>累计%s人
get_task_id_list(13) ->
    [1];

%%全民达到<color=#fdffc2>100级</color>累计%s人
get_task_id_list(14) ->
    [1];

%%全民达到<color=#fdffc2>90级</color>累计%s人
get_task_id_list(15) ->
    [1];

%%全民达到<color=#fdffc2>70级</color>累计%s人
get_task_id_list(16) ->
    [1];

%%今日全民<color=#fdffc2>装备精炼</color>次数
get_task_id_list(17) ->
    [1,2,3,4];

%%跨服全民<color=#fdffc2>装备进化</color>次数
get_task_id_list(18) ->
    [1,2,3,4,9,10,11,12,13,14,15,16];

%%今日全民<color=#fdffc2>宝石总等级</color>提升
get_task_id_list(19) ->
    [1,2,3,4];

%%今日全民<color=#fdffc2>战魂升级</color>
get_task_id_list(20) ->
    [1,2,3,4];

%%今日全民<color=#fdffc2>战力提升</color>
get_task_id_list(21) ->
    [1,2,3,4];

%%跨服全民<color=#fdffc2>挑战幻魔</color>次数
get_task_id_list(22) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31];

%%今日全民<color=#fdffc2>经验闯关加速</color>次数
get_task_id_list(23) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22];

%%全民购买<color=#fdffc2>万物宝典</color>累计%s人
get_task_id_list(25) ->
    [1,2,3,4];

%%全民<color=#fdffc2>激活VIP3</color>累计%s人
get_task_id_list(26) ->
    [1,2,3,4];

%%跨服全民<color=#fdffc2>每日首充</color>%s次
get_task_id_list(27) ->
    [1,2,3,4,5,6,7,8];

%%跨服全民<color=#fdffc2>圣物升级</color>
get_task_id_list(28) ->
    [1,2,3,4,5,6,7,8];

%%跨服全民<color=#fdffc2>圣物寻宝</color>次数
get_task_id_list(29) ->
    [1,2,3,4,5,6,7,8];

%%跨服全民<color=#fdffc2>宝宝培养</color>升星数
get_task_id_list(30) ->
    [1,2,3,4,5,6,7,8];

%%跨服全民<color=#fdffc2>彩钻总消费</color>
get_task_id_list(31) ->
    [1,2,3,4,5,6,7,8];

%%跨服全民<color=#fdffc2>宠物升级</color>
get_task_id_list(32) ->
    [1,2,3,4,5,6,7,8];

%%跨服全民<color=#fdffc2>宠物进化</color>次数
get_task_id_list(33) ->
    [1,2,3,4,5,6,7,8];

%%全民<color=#fdffc2>激活VIP2</color>累计%s人
get_task_id_list(34) ->
    [1,2,3,4];

get_task_id_list(_Tasktype) ->
    [].

get_task_type_id_list(1,1) ->
    [1,6,13,14,15,16,23];

get_task_type_id_list(1,2) ->
    [6,10,11,12,23,34];

get_task_type_id_list(1,3) ->
    [3,6,17,22];

get_task_type_id_list(1,4) ->
    [4,6,18,22];

get_task_type_id_list(1,5) ->
    [2,6,20,22];

get_task_type_id_list(1,6) ->
    [6,19,22,25];

get_task_type_id_list(1,7) ->
    [6,21,22,26];

get_task_type_id_list(1,8) ->
    [18,22,23,27];

get_task_type_id_list(1,10) ->
    [22,23,28,29];

get_task_type_id_list(1,12) ->
    [22,23,30,31];

get_task_type_id_list(1,14) ->
    [22,23,32,33];

get_task_type_id_list(_Subtype,_Day) ->
    [].

get_task_fake(1,1) ->
    [6];

get_task_fake(1,6) ->
    [3,4,5];

get_task_fake(1,13) ->
    [1];

get_task_fake(1,14) ->
    [1];

get_task_fake(1,15) ->
    [2];

get_task_fake(1,16) ->
    [2];

get_task_fake(1,23) ->
    [5,3];

get_task_fake(1,10) ->
    [1];

get_task_fake(1,11) ->
    [1];

get_task_fake(1,12) ->
    [2];

get_task_fake(1,34) ->
    [7];

get_task_fake(1,3) ->
    [8];

get_task_fake(1,17) ->
    [2];

get_task_fake(1,22) ->
    [5,3,6,4];

get_task_fake(1,4) ->
    [6];

get_task_fake(1,18) ->
    [1];

get_task_fake(1,2) ->
    [7];

get_task_fake(1,20) ->
    [3];

get_task_fake(1,19) ->
    [2];

get_task_fake(1,25) ->
    [6];

get_task_fake(1,21) ->
    [2];

get_task_fake(1,26) ->
    [6];

get_task_fake(1,27) ->
    [7];

get_task_fake(1,28) ->
    [2];

get_task_fake(1,29) ->
    [6];

get_task_fake(1,30) ->
    [3];

get_task_fake(1,31) ->
    [8];

get_task_fake(1,32) ->
    [2];

get_task_fake(1,33) ->
    [6];

get_task_fake(_Subtype,_Tasktype) ->
    [].


get_day_list(1) ->
    [{1,1},{2,2},{3,3},{4,4},{5,5},{6,6},{7,7},{8,9},{10,11},{12,13},{14,15}];

get_day_list(_Subtype) ->
    [].


get_task_type_id_list_by_subtype(1) ->
    [1,6,13,14,15,16,23,10,11,12,34,3,17,22,4,18,2,20,19,25,21,26,27,28,29,30,31,32,33];

get_task_type_id_list_by_subtype(_Subtype) ->
    [].

get_task_type_id_list_by_subtype_fake(1,6) ->
    [1,4,25,26,22,29,33];

get_task_type_id_list_by_subtype_fake(1,3) ->
    [6,22,20,23,30];

get_task_type_id_list_by_subtype_fake(1,1) ->
    [13,14,10,11,18];

get_task_type_id_list_by_subtype_fake(1,2) ->
    [15,16,12,17,19,21,28,32];

get_task_type_id_list_by_subtype_fake(1,5) ->
    [23,22,6];

get_task_type_id_list_by_subtype_fake(1,4) ->
    [6,22];

get_task_type_id_list_by_subtype_fake(1,7) ->
    [34,2,27];

get_task_type_id_list_by_subtype_fake(1,8) ->
    [3,31];

get_task_type_id_list_by_subtype_fake(_Subtype,_Fakeid) ->
    [].

get_day_interval(1,1) ->
    [{1,1}];

get_day_interval(1,6) ->
    [{1,1},{2,2},{3,3},{4,4},{5,5},{6,6},{7,7}];

get_day_interval(1,13) ->
    [{1,1}];

get_day_interval(1,14) ->
    [{1,1}];

get_day_interval(1,15) ->
    [{1,1}];

get_day_interval(1,16) ->
    [{1,1}];

get_day_interval(1,23) ->
    [{1,1},{2,2},{8,9},{10,11},{12,13},{14,15}];

get_day_interval(1,10) ->
    [{2,2}];

get_day_interval(1,11) ->
    [{2,2}];

get_day_interval(1,12) ->
    [{2,2}];

get_day_interval(1,34) ->
    [{2,2}];

get_day_interval(1,3) ->
    [{3,3}];

get_day_interval(1,17) ->
    [{3,3}];

get_day_interval(1,22) ->
    [{3,3},{4,4},{5,5},{6,6},{7,7},{8,9},{10,11},{12,13},{14,15}];

get_day_interval(1,4) ->
    [{4,4}];

get_day_interval(1,18) ->
    [{4,4},{8,9}];

get_day_interval(1,2) ->
    [{5,5}];

get_day_interval(1,20) ->
    [{5,5}];

get_day_interval(1,19) ->
    [{6,6}];

get_day_interval(1,25) ->
    [{6,6}];

get_day_interval(1,21) ->
    [{7,7}];

get_day_interval(1,26) ->
    [{7,7}];

get_day_interval(1,27) ->
    [{8,9}];

get_day_interval(1,28) ->
    [{10,11}];

get_day_interval(1,29) ->
    [{10,11}];

get_day_interval(1,30) ->
    [{12,13}];

get_day_interval(1,31) ->
    [{12,13}];

get_day_interval(1,32) ->
    [{14,15}];

get_day_interval(1,33) ->
    [{14,15}];

get_day_interval(_Subtype,_Tasktype) ->
    [].

get_task_type_id_list(1,1,1) ->
    [1,6,13,14,15,16,23];

get_task_type_id_list(1,2,2) ->
    [6,10,11,12,23,34];

get_task_type_id_list(1,3,3) ->
    [3,6,17,22];

get_task_type_id_list(1,4,4) ->
    [4,6,18,22];

get_task_type_id_list(1,5,5) ->
    [2,6,20,22];

get_task_type_id_list(1,6,6) ->
    [6,19,22,25];

get_task_type_id_list(1,7,7) ->
    [6,21,22,26];

get_task_type_id_list(1,8,9) ->
    [18,22,23,27];

get_task_type_id_list(1,10,11) ->
    [22,23,28,29];

get_task_type_id_list(1,12,13) ->
    [22,23,30,31];

get_task_type_id_list(1,14,15) ->
    [22,23,32,33];

get_task_type_id_list(_Subtype,_Day,_Endday) ->
    [].

get_act_day_reward(1,1,1) ->
	#base_custom_mobilize_day{subtype = 1,day = 1,end_day = 1,reward = [{100,102306,1}],need_num = 9};
							
get_act_day_reward(1,2,2) ->
	#base_custom_mobilize_day{subtype = 1,day = 2,end_day = 2,reward = [{100,412042,1}],need_num = 9};
							
get_act_day_reward(1,3,3) ->
	#base_custom_mobilize_day{subtype = 1,day = 3,end_day = 3,reward = [{100,102306,1}],need_num = 9};
							
get_act_day_reward(1,4,4) ->
	#base_custom_mobilize_day{subtype = 1,day = 4,end_day = 4,reward = [{100,418051,1}],need_num = 9};
							
get_act_day_reward(1,5,5) ->
	#base_custom_mobilize_day{subtype = 1,day = 5,end_day = 5,reward = [{100,102306,1}],need_num = 9};
							
get_act_day_reward(1,6,6) ->
	#base_custom_mobilize_day{subtype = 1,day = 6,end_day = 6,reward = [{100,410042,1}],need_num = 9};
							
get_act_day_reward(1,7,7) ->
	#base_custom_mobilize_day{subtype = 1,day = 7,end_day = 7,reward = [{100,102306,1}],need_num = 9};
							
get_act_day_reward(1,8,9) ->
	#base_custom_mobilize_day{subtype = 1,day = 8,end_day = 9,reward = [{100,102306,1}],need_num = 18};
							
get_act_day_reward(1,10,11) ->
	#base_custom_mobilize_day{subtype = 1,day = 10,end_day = 11,reward = [{100,412043,1}],need_num = 18};
							
get_act_day_reward(1,12,13) ->
	#base_custom_mobilize_day{subtype = 1,day = 12,end_day = 13,reward = [{100,102306,1}],need_num = 18};
							
get_act_day_reward(1,14,15) ->
	#base_custom_mobilize_day{subtype = 1,day = 14,end_day = 15,reward = [{100,410043,1}],need_num = 18};
							
get_act_day_reward(_Subtype,_Day,_Endday) ->
    false.


get_fake_rule(1) ->
    {[{fake,[5,15,35,45,60,80,90]}],[{point,[10,50,80,100,115,130,150]}]};


get_fake_rule(2) ->
    {[{fake,[5,15,30,45,60,75,90]}],[{point,[15,55,90,100,125,140,160]}]};


get_fake_rule(3) ->
    {[{fake,[5,10,30,45,55,75,90]}],[{point,[15,60,90,100,115,125,150]}]};


get_fake_rule(4) ->
    {[{fake,[5,10,30,45,55,70,90]}],[{point,[15,60,90,100,115,130,150]}]};


get_fake_rule(5) ->
    {[{fake,[5,10,30,40,55,70,90]}],[{point,[15,60,90,100,120,130,145]}]};


get_fake_rule(6) ->
    {[{fake,[5,10,30,40,50,70,90]}],[{point,[30,65,70,100,125,140,160]}]};


get_fake_rule(7) ->
    {[{fake,[5,10,30,40,50,70,90]}],[{point,[30,60,80,100,130,150,160]}]};


get_fake_rule(8) ->
    {[{fake,[5,10,20,30,45,60,90]}],[{point,[30,60,80,100,130,150,160]}]};

get_fake_rule(_Fakeid) ->
    {[],[]}.

