%%%---------------------------------------
%%% module      : data_czone
%%% description : 标准跨服分区配置
%%%
%%%---------------------------------------
-module(data_czone).
-compile(export_all).



all_stages() ->
    [1,2,3,4,5,6,7,8].


get_stage(1) ->
    {2,120,2};


get_stage(2) ->
    {7,200,4};


get_stage(3) ->
    {15,270,4};


get_stage(4) ->
    {40,400,4};


get_stage(5) ->
    {65,500,4};


get_stage(6) ->
    {100,570,4};


get_stage(7) ->
    {135,630,4};


get_stage(8) ->
    {180,690,4};

get_stage(_Stage) ->
    [].


rezone_award(1) ->
    [{100,230010,1},{100,230012,1}];


rezone_award(2) ->
    [{100,230013,1},{100,230015,1}];


rezone_award(3) ->
    [{100,450023,1},{100,450024,1}];


rezone_award(4) ->
    [{100,450023,2},{100,450024,2}];


rezone_award(5) ->
    [{100,450023,3},{100,450024,3}];


rezone_award(6) ->
    [{100,450023,5},{100,450024,5}];


rezone_award(7) ->
    [{100,450023,5},{100,450024,5}];


rezone_award(8) ->
    [{100,450023,5},{100,450024,5}];

rezone_award(_Stage) ->
    [].


faction_name(1) ->
    <<"风之国"/utf8>>;


faction_name(2) ->
    <<"水之国"/utf8>>;


faction_name(3) ->
    <<"土之国"/utf8>>;


faction_name(4) ->
    <<"火之国"/utf8>>;

faction_name(_Faction) ->
    <<"迷之国"/utf8>>.

