%%%---------------------------------------
%%% module      : data_degree
%%% description : 境界学位配置
%%%
%%%---------------------------------------
-module(data_degree).
-compile(export_all).
-include("degree.hrl").



get_degree_cfg(1) ->
    #degree_cfg{degree_id = 1,degree_name = "小学生",icon = 10001,attr_list = [{1,100},{2,200}],need_exp = 0,need_matrial = [],finish_dungeon = 0,description = "嘿哈",is_tv = 0};

get_degree_cfg(2) ->
    #degree_cfg{degree_id = 2,degree_name = "中学生",icon = 10002,attr_list = [{1,150},{2,220}],need_exp = 30,need_matrial = [{0,102100,10}],finish_dungeon = 1001,description = "加油中学生",is_tv = 1};

get_degree_cfg(3) ->
    #degree_cfg{degree_id = 3,degree_name = "高中生",icon = 10003,attr_list = [{1,200}, {2, 250}],need_exp = 30,need_matrial = [{0,102100,10}],finish_dungeon = 1001,description = "逆袭吧，高中学生",is_tv = 1};

get_degree_cfg(_Degreeid) ->
    [].

get_all_upgrade_dun() ->
    [0,1001].

get_degree_timetable_cfg(1) ->
    #degree_timetable_cfg{class_id = 1,class_name = "攻略副本",class_desc = "加油少年",target = [{1,1002,1}],award_exp = 20,need_degree = 1};

get_degree_timetable_cfg(2) ->
    #degree_timetable_cfg{class_id = 2,class_name = "杀死小怪吧",class_desc = "冲冲冲",target = [{2,10000005,5}],award_exp = 20,need_degree = 1};

get_degree_timetable_cfg(3) ->
    #degree_timetable_cfg{class_id = 3,class_name = "坐骑升星",class_desc = "完成坐骑升星",target = [{3,0,1}],award_exp = 20,need_degree = 1};

get_degree_timetable_cfg(4) ->
    #degree_timetable_cfg{class_id = 4,class_name = "攻略副本",class_desc = "继续加油少年",target = [{1,1001,1}],award_exp = 30,need_degree = 2};

get_degree_timetable_cfg(5) ->
    #degree_timetable_cfg{class_id = 5,class_name = "杀死小怪吧",class_desc = "哈撒鸡",target = [{2,10000002,6}],award_exp = 20,need_degree = 2};

get_degree_timetable_cfg(6) ->
    #degree_timetable_cfg{class_id = 6,class_name = "坐骑升星",class_desc = "完成坐骑升星",target = [{3,0,1}],award_exp = 40,need_degree = 2};

get_degree_timetable_cfg(7) ->
    #degree_timetable_cfg{class_id = 7,class_name = "攻略副本",class_desc = "少年你可以的",target = [{1,1002,1}],award_exp = 20,need_degree = 3};

get_degree_timetable_cfg(8) ->
    #degree_timetable_cfg{class_id = 8,class_name = "杀死小怪吧",class_desc = "冲冲冲",target = [{2,10000004,5}],award_exp = 20,need_degree = 3};

get_degree_timetable_cfg(9) ->
    #degree_timetable_cfg{class_id = 9,class_name = "坐骑升星",class_desc = "完成坐骑升星",target = [{3,0,1}],award_exp = 20,need_degree = 3};

get_degree_timetable_cfg(_Classid) ->
    [].

get_all_classwork() ->
    [1,2,3,4,5,6,7,8,9].

