%%%---------------------------------------
%%% module      : data_god_dun
%%% description : 唤神副本配置
%%%
%%%---------------------------------------
-module(data_god_dun).
-compile(export_all).
-include("god_dun.hrl").



get_wave_reward(1) ->
    #base_god_dun_wave_reward{wave = 1,rewards = [{0,290001,1},{255,100013,10}],score = 10,rank_score = 50};

get_wave_reward(2) ->
    #base_god_dun_wave_reward{wave = 2,rewards = [{0,290001,1},{255,100013,10}],score = 10,rank_score = 55};

get_wave_reward(3) ->
    #base_god_dun_wave_reward{wave = 3,rewards = [{0,290001,1},{255,100013,10}],score = 10,rank_score = 60};

get_wave_reward(4) ->
    #base_god_dun_wave_reward{wave = 4,rewards = [{0,290001,1},{255,100013,10}],score = 10,rank_score = 65};

get_wave_reward(5) ->
    #base_god_dun_wave_reward{wave = 5,rewards = [{0,290001,1},{0,290002,1},{255,100013,10}],score = 10,rank_score = 70};

get_wave_reward(6) ->
    #base_god_dun_wave_reward{wave = 6,rewards = [{0,290001,1},{255,100013,10}],score = 10,rank_score = 75};

get_wave_reward(7) ->
    #base_god_dun_wave_reward{wave = 7,rewards = [{0,290001,1},{255,100013,10}],score = 10,rank_score = 80};

get_wave_reward(8) ->
    #base_god_dun_wave_reward{wave = 8,rewards = [{0,290001,1},{255,100013,10}],score = 10,rank_score = 85};

get_wave_reward(9) ->
    #base_god_dun_wave_reward{wave = 9,rewards = [{0,290001,1},{255,100013,10}],score = 10,rank_score = 90};

get_wave_reward(10) ->
    #base_god_dun_wave_reward{wave = 10,rewards = [{0,290001,1},{0,290002,1},{255,100013,10}],score = 10,rank_score = 95};

get_wave_reward(11) ->
    #base_god_dun_wave_reward{wave = 11,rewards = [{0,290001,1},{255,100013,10}],score = 10,rank_score = 100};

get_wave_reward(12) ->
    #base_god_dun_wave_reward{wave = 12,rewards = [{0,290001,1},{255,100013,10}],score = 10,rank_score = 105};

get_wave_reward(13) ->
    #base_god_dun_wave_reward{wave = 13,rewards = [{0,290001,1},{255,100013,10}],score = 10,rank_score = 110};

get_wave_reward(14) ->
    #base_god_dun_wave_reward{wave = 14,rewards = [{0,290001,1},{255,100013,10}],score = 10,rank_score = 115};

get_wave_reward(15) ->
    #base_god_dun_wave_reward{wave = 15,rewards = [{0,290001,1},{0,290002,1},{255,100013,10}],score = 10,rank_score = 120};

get_wave_reward(16) ->
    #base_god_dun_wave_reward{wave = 16,rewards = [{0,290001,1},{255,100013,10}],score = 10,rank_score = 125};

get_wave_reward(17) ->
    #base_god_dun_wave_reward{wave = 17,rewards = [{0,290001,1},{255,100013,10}],score = 10,rank_score = 130};

get_wave_reward(18) ->
    #base_god_dun_wave_reward{wave = 18,rewards = [{0,290001,1},{0,290002,1},{255,100013,10}],score = 10,rank_score = 135};

get_wave_reward(19) ->
    #base_god_dun_wave_reward{wave = 19,rewards = [{0,290001,1},{0,290002,1},{255,100013,10}],score = 10,rank_score = 140};

get_wave_reward(20) ->
    #base_god_dun_wave_reward{wave = 20,rewards = [{0,290001,1},{0,290002,1},{255,100013,10}],score = 10,rank_score = 150};

get_wave_reward(_Wave) ->
    [].

get_all_waves() ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20].

get_max_wave() -> 20.

get_rank_reward(1,_Rank) when _Rank >= 1, _Rank =< 10 ->
		[{0,290002,1},{255,100013,250}];
get_rank_reward(2,_Rank) when _Rank >= 1, _Rank =< 1 ->
		[{0,290002,1},{255,100013,200}];
get_rank_reward(2,_Rank) when _Rank >= 1, _Rank =< 3 ->
		[{0,290001,20},{255,100013,150}];
get_rank_reward(2,_Rank) when _Rank >= 3, _Rank =< 5 ->
		[{0,290001,15},{255,100013,120}];
get_rank_reward(2,_Rank) when _Rank >= 5, _Rank =< 10 ->
		[{0,290001,12},{255,100013,100}];
get_rank_reward(2,_Rank) when _Rank >= 10, _Rank =< 20 ->
		[{0,290001,10},{255,100013,80}];
get_rank_reward(2,_Rank) when _Rank >= 20, _Rank =< 30 ->
		[{0,290001,8},{255,100013,60}];
get_rank_reward(2,_Rank) when _Rank >= 30, _Rank =< 50 ->
		[{0,290001,5},{255,100013,50}];
get_rank_reward(_Rank_type,_Rank) ->
    [].

get_max_rank_by_type(1) -> 10;
get_max_rank_by_type(2) -> 50;
get_max_rank_by_type(_Rank_type) -> 0.

%%剩余血量百分比中每0.01%对应积分
get_kv(blood_integral) ->
    0.01;

%%神座召唤冷却缩短至对应百分比
get_kv(cd_decrease) ->
    0.6;

%%需发生变动传闻的排名数
get_kv(ranking_change) ->
    20;

%%排行名次显示数量
get_kv(ranking_number) ->
    50;

%%剩余时间中每毫秒对应积分
get_kv(time_integral) ->
    0.01;

get_kv(_Key) ->
    [].

get_goods(1) ->
    #base_god_dun_shop_goods{index = 1,goods_id = 310101,is_bind = 1,goods_num = 1,price = 50,rank_weight = 1};

get_goods(2) ->
    #base_god_dun_shop_goods{index = 2,goods_id = 310102,is_bind = 1,goods_num = 1,price = 100,rank_weight = 1};

get_goods(3) ->
    #base_god_dun_shop_goods{index = 3,goods_id = 310103,is_bind = 1,goods_num = 1,price = 200,rank_weight = 1};

get_goods(4) ->
    #base_god_dun_shop_goods{index = 4,goods_id = 310104,is_bind = 1,goods_num = 1,price = 1000,rank_weight = 3};

get_goods(5) ->
    #base_god_dun_shop_goods{index = 5,goods_id = 310201,is_bind = 1,goods_num = 1,price = 50,rank_weight = 1};

get_goods(6) ->
    #base_god_dun_shop_goods{index = 6,goods_id = 310202,is_bind = 1,goods_num = 1,price = 100,rank_weight = 1};

get_goods(7) ->
    #base_god_dun_shop_goods{index = 7,goods_id = 310203,is_bind = 1,goods_num = 1,price = 200,rank_weight = 1};

get_goods(8) ->
    #base_god_dun_shop_goods{index = 8,goods_id = 310204,is_bind = 1,goods_num = 1,price = 1000,rank_weight = 3};

get_goods(9) ->
    #base_god_dun_shop_goods{index = 9,goods_id = 310301,is_bind = 1,goods_num = 1,price = 50,rank_weight = 1};

get_goods(10) ->
    #base_god_dun_shop_goods{index = 10,goods_id = 310302,is_bind = 1,goods_num = 1,price = 100,rank_weight = 1};

get_goods(11) ->
    #base_god_dun_shop_goods{index = 11,goods_id = 310303,is_bind = 1,goods_num = 1,price = 200,rank_weight = 1};

get_goods(12) ->
    #base_god_dun_shop_goods{index = 12,goods_id = 310304,is_bind = 1,goods_num = 1,price = 1000,rank_weight = 3};

get_goods(13) ->
    #base_god_dun_shop_goods{index = 13,goods_id = 310401,is_bind = 1,goods_num = 1,price = 50,rank_weight = 1};

get_goods(14) ->
    #base_god_dun_shop_goods{index = 14,goods_id = 310402,is_bind = 1,goods_num = 1,price = 100,rank_weight = 1};

get_goods(15) ->
    #base_god_dun_shop_goods{index = 15,goods_id = 310403,is_bind = 1,goods_num = 1,price = 200,rank_weight = 1};

get_goods(16) ->
    #base_god_dun_shop_goods{index = 16,goods_id = 310404,is_bind = 1,goods_num = 1,price = 1000,rank_weight = 3};

get_goods(17) ->
    #base_god_dun_shop_goods{index = 17,goods_id = 300111,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(18) ->
    #base_god_dun_shop_goods{index = 18,goods_id = 300112,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(19) ->
    #base_god_dun_shop_goods{index = 19,goods_id = 300113,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(20) ->
    #base_god_dun_shop_goods{index = 20,goods_id = 300114,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(21) ->
    #base_god_dun_shop_goods{index = 21,goods_id = 300121,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(22) ->
    #base_god_dun_shop_goods{index = 22,goods_id = 300122,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(23) ->
    #base_god_dun_shop_goods{index = 23,goods_id = 300123,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(24) ->
    #base_god_dun_shop_goods{index = 24,goods_id = 300124,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(25) ->
    #base_god_dun_shop_goods{index = 25,goods_id = 300131,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(26) ->
    #base_god_dun_shop_goods{index = 26,goods_id = 300132,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(27) ->
    #base_god_dun_shop_goods{index = 27,goods_id = 300133,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(28) ->
    #base_god_dun_shop_goods{index = 28,goods_id = 300134,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(29) ->
    #base_god_dun_shop_goods{index = 29,goods_id = 300141,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(30) ->
    #base_god_dun_shop_goods{index = 30,goods_id = 300142,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(31) ->
    #base_god_dun_shop_goods{index = 31,goods_id = 300143,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(32) ->
    #base_god_dun_shop_goods{index = 32,goods_id = 300144,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(33) ->
    #base_god_dun_shop_goods{index = 33,goods_id = 300151,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(34) ->
    #base_god_dun_shop_goods{index = 34,goods_id = 300152,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(35) ->
    #base_god_dun_shop_goods{index = 35,goods_id = 300153,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(36) ->
    #base_god_dun_shop_goods{index = 36,goods_id = 300154,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(37) ->
    #base_god_dun_shop_goods{index = 37,goods_id = 300161,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(38) ->
    #base_god_dun_shop_goods{index = 38,goods_id = 300162,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(39) ->
    #base_god_dun_shop_goods{index = 39,goods_id = 300163,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(40) ->
    #base_god_dun_shop_goods{index = 40,goods_id = 300164,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(41) ->
    #base_god_dun_shop_goods{index = 41,goods_id = 300211,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(42) ->
    #base_god_dun_shop_goods{index = 42,goods_id = 300212,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(43) ->
    #base_god_dun_shop_goods{index = 43,goods_id = 300213,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(44) ->
    #base_god_dun_shop_goods{index = 44,goods_id = 300214,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(45) ->
    #base_god_dun_shop_goods{index = 45,goods_id = 300221,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(46) ->
    #base_god_dun_shop_goods{index = 46,goods_id = 300222,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(47) ->
    #base_god_dun_shop_goods{index = 47,goods_id = 300223,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(48) ->
    #base_god_dun_shop_goods{index = 48,goods_id = 300224,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(49) ->
    #base_god_dun_shop_goods{index = 49,goods_id = 300231,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(50) ->
    #base_god_dun_shop_goods{index = 50,goods_id = 300232,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(51) ->
    #base_god_dun_shop_goods{index = 51,goods_id = 300233,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(52) ->
    #base_god_dun_shop_goods{index = 52,goods_id = 300234,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(53) ->
    #base_god_dun_shop_goods{index = 53,goods_id = 300241,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(54) ->
    #base_god_dun_shop_goods{index = 54,goods_id = 300242,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(55) ->
    #base_god_dun_shop_goods{index = 55,goods_id = 300243,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(56) ->
    #base_god_dun_shop_goods{index = 56,goods_id = 300244,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(57) ->
    #base_god_dun_shop_goods{index = 57,goods_id = 300251,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(58) ->
    #base_god_dun_shop_goods{index = 58,goods_id = 300252,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(59) ->
    #base_god_dun_shop_goods{index = 59,goods_id = 300253,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(60) ->
    #base_god_dun_shop_goods{index = 60,goods_id = 300254,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(61) ->
    #base_god_dun_shop_goods{index = 61,goods_id = 300261,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(62) ->
    #base_god_dun_shop_goods{index = 62,goods_id = 300262,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(63) ->
    #base_god_dun_shop_goods{index = 63,goods_id = 300263,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(64) ->
    #base_god_dun_shop_goods{index = 64,goods_id = 300264,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(65) ->
    #base_god_dun_shop_goods{index = 65,goods_id = 300311,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(66) ->
    #base_god_dun_shop_goods{index = 66,goods_id = 300312,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(67) ->
    #base_god_dun_shop_goods{index = 67,goods_id = 300313,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(68) ->
    #base_god_dun_shop_goods{index = 68,goods_id = 300314,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(69) ->
    #base_god_dun_shop_goods{index = 69,goods_id = 300321,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(70) ->
    #base_god_dun_shop_goods{index = 70,goods_id = 300322,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(71) ->
    #base_god_dun_shop_goods{index = 71,goods_id = 300323,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(72) ->
    #base_god_dun_shop_goods{index = 72,goods_id = 300324,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(73) ->
    #base_god_dun_shop_goods{index = 73,goods_id = 300331,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(74) ->
    #base_god_dun_shop_goods{index = 74,goods_id = 300332,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(75) ->
    #base_god_dun_shop_goods{index = 75,goods_id = 300333,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(76) ->
    #base_god_dun_shop_goods{index = 76,goods_id = 300334,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(77) ->
    #base_god_dun_shop_goods{index = 77,goods_id = 300341,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(78) ->
    #base_god_dun_shop_goods{index = 78,goods_id = 300342,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(79) ->
    #base_god_dun_shop_goods{index = 79,goods_id = 300343,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(80) ->
    #base_god_dun_shop_goods{index = 80,goods_id = 300344,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(81) ->
    #base_god_dun_shop_goods{index = 81,goods_id = 300351,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(82) ->
    #base_god_dun_shop_goods{index = 82,goods_id = 300352,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(83) ->
    #base_god_dun_shop_goods{index = 83,goods_id = 300353,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(84) ->
    #base_god_dun_shop_goods{index = 84,goods_id = 300354,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(85) ->
    #base_god_dun_shop_goods{index = 85,goods_id = 300361,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(86) ->
    #base_god_dun_shop_goods{index = 86,goods_id = 300362,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(87) ->
    #base_god_dun_shop_goods{index = 87,goods_id = 300363,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(88) ->
    #base_god_dun_shop_goods{index = 88,goods_id = 300364,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(89) ->
    #base_god_dun_shop_goods{index = 89,goods_id = 300411,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(90) ->
    #base_god_dun_shop_goods{index = 90,goods_id = 300412,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(91) ->
    #base_god_dun_shop_goods{index = 91,goods_id = 300413,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(92) ->
    #base_god_dun_shop_goods{index = 92,goods_id = 300414,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(93) ->
    #base_god_dun_shop_goods{index = 93,goods_id = 300421,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(94) ->
    #base_god_dun_shop_goods{index = 94,goods_id = 300422,is_bind = 1,goods_num = 1,price = 60,rank_weight = 1};

get_goods(95) ->
    #base_god_dun_shop_goods{index = 95,goods_id = 300423,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(96) ->
    #base_god_dun_shop_goods{index = 96,goods_id = 300424,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(97) ->
    #base_god_dun_shop_goods{index = 97,goods_id = 300431,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(98) ->
    #base_god_dun_shop_goods{index = 98,goods_id = 300432,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(99) ->
    #base_god_dun_shop_goods{index = 99,goods_id = 300433,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(100) ->
    #base_god_dun_shop_goods{index = 100,goods_id = 300434,is_bind = 1,goods_num = 1,price = 120,rank_weight = 1};

get_goods(101) ->
    #base_god_dun_shop_goods{index = 101,goods_id = 300441,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(102) ->
    #base_god_dun_shop_goods{index = 102,goods_id = 300442,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(103) ->
    #base_god_dun_shop_goods{index = 103,goods_id = 300443,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(104) ->
    #base_god_dun_shop_goods{index = 104,goods_id = 300444,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(105) ->
    #base_god_dun_shop_goods{index = 105,goods_id = 300451,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(106) ->
    #base_god_dun_shop_goods{index = 106,goods_id = 300452,is_bind = 1,goods_num = 1,price = 240,rank_weight = 1};

get_goods(107) ->
    #base_god_dun_shop_goods{index = 107,goods_id = 300453,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(108) ->
    #base_god_dun_shop_goods{index = 108,goods_id = 300454,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(109) ->
    #base_god_dun_shop_goods{index = 109,goods_id = 300461,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(110) ->
    #base_god_dun_shop_goods{index = 110,goods_id = 300462,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(111) ->
    #base_god_dun_shop_goods{index = 111,goods_id = 300463,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(112) ->
    #base_god_dun_shop_goods{index = 112,goods_id = 300464,is_bind = 1,goods_num = 1,price = 1200,rank_weight = 3};

get_goods(113) ->
    #base_god_dun_shop_goods{index = 113,goods_id = 291000,is_bind = 1,goods_num = 1,price = 300,rank_weight = 2};

get_goods(114) ->
    #base_god_dun_shop_goods{index = 114,goods_id = 291000,is_bind = 1,goods_num = 30,price = 4000,rank_weight = 4};

get_goods(115) ->
    #base_god_dun_shop_goods{index = 115,goods_id = 291001,is_bind = 1,goods_num = 1,price = 300,rank_weight = 2};

get_goods(116) ->
    #base_god_dun_shop_goods{index = 116,goods_id = 291001,is_bind = 1,goods_num = 30,price = 4000,rank_weight = 4};

get_goods(117) ->
    #base_god_dun_shop_goods{index = 117,goods_id = 291002,is_bind = 1,goods_num = 1,price = 300,rank_weight = 2};

get_goods(118) ->
    #base_god_dun_shop_goods{index = 118,goods_id = 291002,is_bind = 1,goods_num = 30,price = 4000,rank_weight = 4};

get_goods(119) ->
    #base_god_dun_shop_goods{index = 119,goods_id = 290001,is_bind = 1,goods_num = 2,price = 100,rank_weight = 1};

get_goods(120) ->
    #base_god_dun_shop_goods{index = 120,goods_id = 290001,is_bind = 1,goods_num = 6,price = 300,rank_weight = 3};

get_goods(121) ->
    #base_god_dun_shop_goods{index = 121,goods_id = 290002,is_bind = 1,goods_num = 1,price = 400,rank_weight = 3};

get_goods(122) ->
    #base_god_dun_shop_goods{index = 122,goods_id = 290002,is_bind = 1,goods_num = 2,price = 800,rank_weight = 3};

get_goods(123) ->
    #base_god_dun_shop_goods{index = 123,goods_id = 290003,is_bind = 1,goods_num = 1,price = 2000,rank_weight = 3};

get_goods(_Index) ->
    [].

get_all_index() ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123].

get_shop_rule(_Lv) when _Lv >= 180, _Lv =< 190 ->
	#base_god_dun_shop_rule{lv_min=180,lv_max=190,fix_goods=[{113,1},{119,1}],rand_goods=[{500,{1,1}},{375,{2,1}},{375,{3,1}},{0,{4,1}},{500,{5,1}},{375,{6,1}},{375,{7,1}},{0,{8,1}},{83,{17,1}},{83,{18,1}},{83,{19,1}},{83,{20,1}},{83,{21,1}},{83,{22,1}},{63,{23,1}},{63,{24,1}},{63,{25,1}},{63,{26,1}},{63,{27,1}},{63,{28,1}},{63,{29,1}},{63,{30,1}},{63,{31,1}},{63,{32,1}},{63,{33,1}},{63,{34,1}},{0,{35,1}},{0,{36,1}},{0,{37,1}},{0,{38,1}},{0,{39,1}},{0,{40,1}},{83,{41,1}},{83,{42,1}},{83,{43,1}},{83,{44,1}},{83,{45,1}},{83,{46,1}},{63,{47,1}},{63,{48,1}},{63,{49,1}},{63,{50,1}},{63,{51,1}},{63,{52,1}},{63,{53,1}},{63,{54,1}},{63,{55,1}},{63,{56,1}},{63,{57,1}},{63,{58,1}},{0,{59,1}},{0,{60,1}},{0,{61,1}},{0,{62,1}},{0,{63,1}},{0,{64,1}}],rand_num=4,week_fix_goods=[{114,1}],week_rand_goods=[{1000,{4,1}},{1000,{8,1}},{167,{35,1}},{167,{36,1}},{167,{37,1}},{167,{38,1}},{167,{39,1}},{167,{40,1}},{167,{59,1}},{167,{60,1}},{167,{61,1}},{167,{62,1}},{167,{63,1}},{167,{64,1}},{200,{120,1}},{400,{121,1}},{1200,{122,1}},{200,{123,1}}],week_rand_num=2};
get_shop_rule(_Lv) when _Lv >= 191, _Lv =< 220 ->
	#base_god_dun_shop_rule{lv_min=191,lv_max=220,fix_goods=[{113,1},{115,1},{119,1}],rand_goods=[{500,{1,1}},{375,{2,1}},{375,{3,1}},{0,{4,1}},{500,{5,1}},{375,{6,1}},{375,{7,1}},{0,{8,1}},{500,{9,1}},{375,{10,1}},{375,{11,1}},{0,{12,1}},{83,{17,1}},{83,{18,1}},{83,{19,1}},{83,{20,1}},{83,{21,1}},{83,{22,1}},{63,{23,1}},{63,{24,1}},{63,{25,1}},{63,{26,1}},{63,{27,1}},{63,{28,1}},{63,{29,1}},{63,{30,1}},{63,{31,1}},{63,{32,1}},{63,{33,1}},{63,{34,1}},{0,{35,1}},{0,{36,1}},{0,{37,1}},{0,{38,1}},{0,{39,1}},{0,{40,1}},{83,{41,1}},{83,{42,1}},{83,{43,1}},{83,{44,1}},{83,{45,1}},{83,{46,1}},{63,{47,1}},{63,{48,1}},{63,{49,1}},{63,{50,1}},{63,{51,1}},{63,{52,1}},{63,{53,1}},{63,{54,1}},{63,{55,1}},{63,{56,1}},{63,{57,1}},{63,{58,1}},{0,{59,1}},{0,{60,1}},{0,{61,1}},{0,{62,1}},{0,{63,1}},{0,{64,1}},{83,{65,1}},{83,{66,1}},{83,{67,1}},{83,{68,1}},{83,{69,1}},{83,{70,1}},{63,{71,1}},{63,{72,1}},{63,{73,1}},{63,{74,1}},{63,{75,1}},{63,{76,1}},{63,{77,1}},{63,{78,1}},{63,{79,1}},{63,{80,1}},{63,{81,1}},{63,{82,1}},{0,{83,1}},{0,{84,1}},{0,{85,1}},{0,{86,1}},{0,{87,1}},{0,{88,1}}],rand_num=3,week_fix_goods=[{114,1},{116,1}],week_rand_goods=[{1000,{4,1}},{1000,{8,1}},{1000,{12,1}},{167,{35,1}},{167,{36,1}},{167,{37,1}},{167,{38,1}},{167,{39,1}},{167,{40,1}},{167,{59,1}},{167,{60,1}},{167,{61,1}},{167,{62,1}},{167,{63,1}},{167,{64,1}},{167,{83,1}},{167,{84,1}},{167,{85,1}},{167,{86,1}},{167,{87,1}},{167,{88,1}},{200,{120,1}},{400,{121,1}},{1200,{122,1}},{200,{123,1}}],week_rand_num=3};
get_shop_rule(_Lv) when _Lv >= 221, _Lv =< 999 ->
	#base_god_dun_shop_rule{lv_min=221,lv_max=999,fix_goods=[{113,1},{115,1},{117,1},{119,1}],rand_goods=[{500,{1,1}},{375,{2,1}},{375,{3,1}},{0,{4,1}},{500,{5,1}},{375,{6,1}},{375,{7,1}},{0,{8,1}},{500,{9,1}},{375,{10,1}},{375,{11,1}},{0,{12,1}},{500,{13,1}},{375,{14,1}},{375,{15,1}},{0,{16,1}},{83,{17,1}},{83,{18,1}},{83,{19,1}},{83,{20,1}},{83,{21,1}},{83,{22,1}},{63,{23,1}},{63,{24,1}},{63,{25,1}},{63,{26,1}},{63,{27,1}},{63,{28,1}},{63,{29,1}},{63,{30,1}},{63,{31,1}},{63,{32,1}},{63,{33,1}},{63,{34,1}},{0,{35,1}},{0,{36,1}},{0,{37,1}},{0,{38,1}},{0,{39,1}},{0,{40,1}},{83,{41,1}},{83,{42,1}},{83,{43,1}},{83,{44,1}},{83,{45,1}},{83,{46,1}},{63,{47,1}},{63,{48,1}},{63,{49,1}},{63,{50,1}},{63,{51,1}},{63,{52,1}},{63,{53,1}},{63,{54,1}},{63,{55,1}},{63,{56,1}},{63,{57,1}},{63,{58,1}},{0,{59,1}},{0,{60,1}},{0,{61,1}},{0,{62,1}},{0,{63,1}},{0,{64,1}},{83,{65,1}},{83,{66,1}},{83,{67,1}},{83,{68,1}},{83,{69,1}},{83,{70,1}},{63,{71,1}},{63,{72,1}},{63,{73,1}},{63,{74,1}},{63,{75,1}},{63,{76,1}},{63,{77,1}},{63,{78,1}},{63,{79,1}},{63,{80,1}},{63,{81,1}},{63,{82,1}},{0,{83,1}},{0,{84,1}},{0,{85,1}},{0,{86,1}},{0,{87,1}},{0,{88,1}},{83,{89,1}},{83,{90,1}},{83,{91,1}},{83,{92,1}},{83,{93,1}},{83,{94,1}},{63,{95,1}},{63,{96,1}},{63,{97,1}},{63,{98,1}},{63,{99,1}},{63,{100,1}},{63,{101,1}},{63,{102,1}},{63,{103,1}},{63,{104,1}},{63,{105,1}},{63,{106,1}},{0,{107,1}},{0,{108,1}},{0,{109,1}},{0,{110,1}},{0,{111,1}},{0,{112,1}}],rand_num=2,week_fix_goods=[{114,1},{116,1},{118,1}],week_rand_goods=[{1000,{4,1}},{1000,{8,1}},{1000,{12,1}},{1000,{16,1}},{167,{35,1}},{167,{36,1}},{167,{37,1}},{167,{38,1}},{167,{39,1}},{167,{40,1}},{167,{59,1}},{167,{60,1}},{167,{61,1}},{167,{62,1}},{167,{63,1}},{167,{64,1}},{167,{83,1}},{167,{84,1}},{167,{85,1}},{167,{86,1}},{167,{87,1}},{167,{88,1}},{167,{107,1}},{167,{108,1}},{167,{109,1}},{167,{110,1}},{167,{111,1}},{167,{112,1}},{200,{120,1}},{400,{121,1}},{1200,{122,1}},{200,{123,1}}],week_rand_num=3};
get_shop_rule(_Lv) ->
    [].

get_mon(82000001) ->
    #base_god_dun_mon_cfg{mon_id = 82000001,type = 1,rank = 0,attrs = [{1,40},{2,200},{4,40},{5,100},{6,100},{7,100},{8,100}],info_from_rank = 20,figure = 1};

get_mon(82000002) ->
    #base_god_dun_mon_cfg{mon_id = 82000002,type = 1,rank = 0,attrs = [{1,42},{2,210},{4,42},{5,100},{6,100},{7,100},{8,100}],info_from_rank = 19,figure = 1};

get_mon(82000003) ->
    #base_god_dun_mon_cfg{mon_id = 82000003,type = 1,rank = 0,attrs = [{1,44},{2,220},{4,44},{5,100},{6,100},{7,100},{8,100}],info_from_rank = 18,figure = 1};

get_mon(82000004) ->
    #base_god_dun_mon_cfg{mon_id = 82000004,type = 1,rank = 0,attrs = [{1,46},{2,230},{4,46},{5,100},{6,100},{7,100},{8,100}],info_from_rank = 17,figure = 1};

get_mon(82000005) ->
    #base_god_dun_mon_cfg{mon_id = 82000005,type = 1,rank = 0,attrs = [{1,48},{2,240},{4,48},{5,100},{6,100},{7,100},{8,100}],info_from_rank = 16,figure = 1};

get_mon(82000006) ->
    #base_god_dun_mon_cfg{mon_id = 82000006,type = 1,rank = 0,attrs = [{1,50},{2,250},{4,50},{5,100},{6,100},{7,100},{8,100}],info_from_rank = 15,figure = 1};

get_mon(82000007) ->
    #base_god_dun_mon_cfg{mon_id = 82000007,type = 1,rank = 0,attrs = [{1,52},{2,260},{4,52},{5,100},{6,100},{7,100},{8,100}],info_from_rank = 14,figure = 1};

get_mon(82000008) ->
    #base_god_dun_mon_cfg{mon_id = 82000008,type = 1,rank = 0,attrs = [{1,54},{2,270},{4,54},{5,100},{6,100},{7,100},{8,100}],info_from_rank = 13,figure = 1};

get_mon(82000009) ->
    #base_god_dun_mon_cfg{mon_id = 82000009,type = 1,rank = 0,attrs = [{1,56},{2,280},{4,56},{5,100},{6,100},{7,100},{8,100}],info_from_rank = 12,figure = 1};

get_mon(82000010) ->
    #base_god_dun_mon_cfg{mon_id = 82000010,type = 1,rank = 0,attrs = [{1,58},{2,290},{4,58},{5,100},{6,100},{7,100},{8,100}],info_from_rank = 11,figure = 1};

get_mon(82000011) ->
    #base_god_dun_mon_cfg{mon_id = 82000011,type = 2,rank = 94,attrs = [{1,100},{2,350},{4,100},{5,5000},{6,100},{7,100},{8,5000}],info_from_rank = 10,figure = 1};

get_mon(82000012) ->
    #base_god_dun_mon_cfg{mon_id = 82000012,type = 2,rank = 92,attrs = [{1,95},{2,400},{4,100},{5,5000},{6,100},{7,100},{8,5000}],info_from_rank = 9,figure = 1};

get_mon(82000013) ->
    #base_god_dun_mon_cfg{mon_id = 82000013,type = 2,rank = 90,attrs = [{1,90},{2,450},{4,100},{5,5000},{6,100},{7,100},{8,5000}],info_from_rank = 8,figure = 1};

get_mon(82000014) ->
    #base_god_dun_mon_cfg{mon_id = 82000014,type = 2,rank = 88,attrs = [{1,85},{2,500},{4,100},{5,5000},{6,100},{7,100},{8,5000}],info_from_rank = 7,figure = 1};

get_mon(82000015) ->
    #base_god_dun_mon_cfg{mon_id = 82000015,type = 2,rank = 86,attrs = [{1,80},{2,550},{4,100},{5,5000},{6,100},{7,100},{8,5000}],info_from_rank = 6,figure = 1};

get_mon(82000016) ->
    #base_god_dun_mon_cfg{mon_id = 82000016,type = 2,rank = 84,attrs = [{1,75},{2,600},{4,100},{5,5000},{6,100},{7,100},{8,5000}],info_from_rank = 5,figure = 1};

get_mon(82000017) ->
    #base_god_dun_mon_cfg{mon_id = 82000017,type = 2,rank = 83,attrs = [{1,70},{2,650},{4,100},{5,5000},{6,100},{7,100},{8,5000}],info_from_rank = 4,figure = 1};

get_mon(82000018) ->
    #base_god_dun_mon_cfg{mon_id = 82000018,type = 2,rank = 82,attrs = [{1,65},{2,700},{4,100},{5,5000},{6,100},{7,100},{8,5000}],info_from_rank = 3,figure = 1};

get_mon(82000019) ->
    #base_god_dun_mon_cfg{mon_id = 82000019,type = 2,rank = 81,attrs = [{1,60},{2,750},{4,100},{5,5000},{6,100},{7,100},{8,5000}],info_from_rank = 2,figure = 1};

get_mon(82000020) ->
    #base_god_dun_mon_cfg{mon_id = 82000020,type = 2,rank = 80,attrs = [{1,55},{2,800},{4,100},{5,5000},{6,100},{7,100},{8,5000}],info_from_rank = 1,figure = 1};

get_mon(82000021) ->
    #base_god_dun_mon_cfg{mon_id = 82000021,type = 1,rank = 0,attrs = [{1,40},{2,60},{4,40},{5,100},{6,100},{7,100},{8,100}],info_from_rank = 0,figure = 0};

get_mon(_Monid) ->
    [].

get_all_mon() ->
    [82000001,82000002,82000003,82000004,82000005,82000006,82000007,82000008,82000009,82000010,82000011,82000012,82000013,82000014,82000015,82000016,82000017,82000018,82000019,82000020,82000021].

get_all_rank_range() ->
    [{1,1,10},{1,3,20},{3,5,30},{5,10,40},{10,20,50},{20,30,60},{30,50,80}].

get_percent(_Rank) when _Rank >= 1, _Rank < 1 ->
		10;
get_percent(_Rank) when _Rank >= 1, _Rank < 3 ->
		20;
get_percent(_Rank) when _Rank >= 3, _Rank < 5 ->
		30;
get_percent(_Rank) when _Rank >= 5, _Rank < 10 ->
		40;
get_percent(_Rank) when _Rank >= 10, _Rank < 20 ->
		50;
get_percent(_Rank) when _Rank >= 20, _Rank < 30 ->
		60;
get_percent(_Rank) when _Rank >= 30, _Rank < 50 ->
		80;
get_percent(_Rank) ->
    0.

