%%%---------------------------------------
%%% module      : data_kf_1vn
%%% description : 1vn配置
%%%
%%%---------------------------------------
-module(data_kf_1vn).
-compile(export_all).
-include("kf_1vn.hrl").



get_info(1) ->
    #kf_1vn_time_cfg{id = 1,open_week = [7],signtime = {0,1},optime = {20,58},race_1_pre = 120,race_1 = 700,race_1_m_time = 30,race_1_b_time = 40,race_2_pre = 60,race_2 = 980,race_2_m_time = 10,race_2_b_time = 90,bet_time = 40};

get_info(_Id) ->
    [].

get_ac_ids() ->
    [1].

get_area(_Lv) when _Lv >= 360, _Lv =< 1000 ->
		1;
get_area(_Lv) ->
    0.

get_def_num(_SignNum) when _SignNum >= 1, _SignNum =< 29 ->
		[4,3];
get_def_num(_SignNum) when _SignNum >= 30, _SignNum =< 39 ->
		[6,4];
get_def_num(_SignNum) when _SignNum >= 40, _SignNum =< 47 ->
		[7,5];
get_def_num(_SignNum) when _SignNum >= 48, _SignNum =< 55 ->
		[8,6];
get_def_num(_SignNum) when _SignNum >= 56, _SignNum =< 63 ->
		[9,6];
get_def_num(_SignNum) when _SignNum >= 64, _SignNum =< 71 ->
		[11,7];
get_def_num(_SignNum) when _SignNum >= 72, _SignNum =< 79 ->
		[12,8];
get_def_num(_SignNum) when _SignNum >= 80, _SignNum =< 87 ->
		[13,9];
get_def_num(_SignNum) when _SignNum >= 88, _SignNum =< 95 ->
		[14,10];
get_def_num(_SignNum) when _SignNum >= 96, _SignNum =< 103 ->
		[15,10];
get_def_num(_SignNum) when _SignNum >= 104, _SignNum =< 111 ->
		[17,11];
get_def_num(_SignNum) when _SignNum >= 112, _SignNum =< 119 ->
		[18,12];
get_def_num(_SignNum) when _SignNum >= 120, _SignNum =< 127 ->
		[19,13];
get_def_num(_SignNum) when _SignNum >= 128, _SignNum =< 135 ->
		[20,14];
get_def_num(_SignNum) when _SignNum >= 136, _SignNum =< 143 ->
		[21,14];
get_def_num(_SignNum) when _SignNum >= 144, _SignNum =< 151 ->
		[23,15];
get_def_num(_SignNum) when _SignNum >= 152, _SignNum =< 159 ->
		[24,16];
get_def_num(_SignNum) when _SignNum >= 160, _SignNum =< 167 ->
		[25,17];
get_def_num(_SignNum) when _SignNum >= 168, _SignNum =< 175 ->
		[26,18];
get_def_num(_SignNum) when _SignNum >= 176, _SignNum =< 183 ->
		[27,18];
get_def_num(_SignNum) when _SignNum >= 184, _SignNum =< 191 ->
		[29,19];
get_def_num(_SignNum) when _SignNum >= 192, _SignNum =< 199 ->
		[30,20];
get_def_num(_SignNum) when _SignNum >= 200, _SignNum =< 207 ->
		[31,21];
get_def_num(_SignNum) when _SignNum >= 208, _SignNum =< 215 ->
		[32,22];
get_def_num(_SignNum) when _SignNum >= 216, _SignNum =< 223 ->
		[33,22];
get_def_num(_SignNum) when _SignNum >= 224, _SignNum =< 231 ->
		[35,23];
get_def_num(_SignNum) when _SignNum >= 232, _SignNum =< 239 ->
		[36,24];
get_def_num(_SignNum) when _SignNum >= 240, _SignNum =< 247 ->
		[37,25];
get_def_num(_SignNum) when _SignNum >= 248, _SignNum =< 255 ->
		[38,26];
get_def_num(_SignNum) when _SignNum >= 256, _SignNum =< 263 ->
		[39,26];
get_def_num(_SignNum) when _SignNum >= 264, _SignNum =< 271 ->
		[41,27];
get_def_num(_SignNum) when _SignNum >= 272, _SignNum =< 279 ->
		[42,28];
get_def_num(_SignNum) when _SignNum >= 280, _SignNum =< 287 ->
		[43,29];
get_def_num(_SignNum) when _SignNum >= 288, _SignNum =< 295 ->
		[44,30];
get_def_num(_SignNum) when _SignNum >= 296, _SignNum =< 303 ->
		[45,30];
get_def_num(_SignNum) when _SignNum >= 304, _SignNum =< 311 ->
		[47,31];
get_def_num(_SignNum) when _SignNum >= 312, _SignNum =< 319 ->
		[48,32];
get_def_num(_SignNum) when _SignNum >= 320, _SignNum =< 327 ->
		[49,33];
get_def_num(_SignNum) when _SignNum >= 328, _SignNum =< 335 ->
		[50,34];
get_def_num(_SignNum) when _SignNum >= 336, _SignNum =< 343 ->
		[51,34];
get_def_num(_SignNum) when _SignNum >= 344, _SignNum =< 351 ->
		[53,35];
get_def_num(_SignNum) when _SignNum >= 352, _SignNum =< 359 ->
		[54,36];
get_def_num(_SignNum) when _SignNum >= 360, _SignNum =< 367 ->
		[55,37];
get_def_num(_SignNum) when _SignNum >= 368, _SignNum =< 375 ->
		[56,38];
get_def_num(_SignNum) when _SignNum >= 376, _SignNum =< 383 ->
		[57,38];
get_def_num(_SignNum) when _SignNum >= 384, _SignNum =< 391 ->
		[59,39];
get_def_num(_SignNum) when _SignNum >= 392, _SignNum =< 399 ->
		[60,40];
get_def_num(_SignNum) when _SignNum >= 400, _SignNum =< 407 ->
		[61,41];
get_def_num(_SignNum) when _SignNum >= 408, _SignNum =< 415 ->
		[62,42];
get_def_num(_SignNum) when _SignNum >= 416, _SignNum =< 423 ->
		[63,42];
get_def_num(_SignNum) when _SignNum >= 424, _SignNum =< 431 ->
		[65,43];
get_def_num(_SignNum) when _SignNum >= 432, _SignNum =< 439 ->
		[66,44];
get_def_num(_SignNum) when _SignNum >= 440, _SignNum =< 447 ->
		[67,45];
get_def_num(_SignNum) when _SignNum >= 448, _SignNum =< 455 ->
		[68,46];
get_def_num(_SignNum) when _SignNum >= 456, _SignNum =< 463 ->
		[69,46];
get_def_num(_SignNum) when _SignNum >= 464, _SignNum =< 471 ->
		[71,47];
get_def_num(_SignNum) when _SignNum >= 472, _SignNum =< 479 ->
		[72,48];
get_def_num(_SignNum) when _SignNum >= 480, _SignNum =< 487 ->
		[73,49];
get_def_num(_SignNum) when _SignNum >= 488, _SignNum =< 495 ->
		[74,50];
get_def_num(_SignNum) when _SignNum >= 496, _SignNum =< 503 ->
		[75,50];
get_def_num(_SignNum) when _SignNum >= 504, _SignNum =< 511 ->
		[77,51];
get_def_num(_SignNum) when _SignNum >= 512, _SignNum =< 519 ->
		[78,52];
get_def_num(_SignNum) when _SignNum >= 520, _SignNum =< 527 ->
		[79,53];
get_def_num(_SignNum) when _SignNum >= 528, _SignNum =< 535 ->
		[80,54];
get_def_num(_SignNum) when _SignNum >= 536, _SignNum =< 543 ->
		[81,54];
get_def_num(_SignNum) when _SignNum >= 544, _SignNum =< 551 ->
		[83,55];
get_def_num(_SignNum) when _SignNum >= 552, _SignNum =< 559 ->
		[84,56];
get_def_num(_SignNum) when _SignNum >= 560, _SignNum =< 567 ->
		[85,57];
get_def_num(_SignNum) when _SignNum >= 568, _SignNum =< 575 ->
		[86,58];
get_def_num(_SignNum) when _SignNum >= 576, _SignNum =< 583 ->
		[87,58];
get_def_num(_SignNum) when _SignNum >= 584, _SignNum =< 591 ->
		[89,59];
get_def_num(_SignNum) when _SignNum >= 592, _SignNum =< 599 ->
		[90,60];
get_def_num(_SignNum) when _SignNum >= 600, _SignNum =< 607 ->
		[91,61];
get_def_num(_SignNum) when _SignNum >= 608, _SignNum =< 615 ->
		[92,62];
get_def_num(_SignNum) when _SignNum >= 616, _SignNum =< 623 ->
		[93,62];
get_def_num(_SignNum) when _SignNum >= 624, _SignNum =< 631 ->
		[95,63];
get_def_num(_SignNum) when _SignNum >= 632, _SignNum =< 639 ->
		[96,64];
get_def_num(_SignNum) when _SignNum >= 640, _SignNum =< 647 ->
		[97,65];
get_def_num(_SignNum) when _SignNum >= 648, _SignNum =< 655 ->
		[98,66];
get_def_num(_SignNum) when _SignNum >= 656, _SignNum =< 663 ->
		[99,66];
get_def_num(_SignNum) when _SignNum >= 664, _SignNum =< 671 ->
		[101,67];
get_def_num(_SignNum) when _SignNum >= 672, _SignNum =< 679 ->
		[102,68];
get_def_num(_SignNum) when _SignNum >= 680, _SignNum =< 687 ->
		[103,69];
get_def_num(_SignNum) when _SignNum >= 688, _SignNum =< 695 ->
		[104,70];
get_def_num(_SignNum) when _SignNum >= 696, _SignNum =< 703 ->
		[105,70];
get_def_num(_SignNum) when _SignNum >= 704, _SignNum =< 711 ->
		[107,71];
get_def_num(_SignNum) when _SignNum >= 712, _SignNum =< 719 ->
		[108,72];
get_def_num(_SignNum) when _SignNum >= 720, _SignNum =< 727 ->
		[109,73];
get_def_num(_SignNum) when _SignNum >= 728, _SignNum =< 735 ->
		[110,74];
get_def_num(_SignNum) when _SignNum >= 736, _SignNum =< 743 ->
		[111,74];
get_def_num(_SignNum) when _SignNum >= 744, _SignNum =< 751 ->
		[113,75];
get_def_num(_SignNum) when _SignNum >= 752, _SignNum =< 759 ->
		[114,76];
get_def_num(_SignNum) when _SignNum >= 760, _SignNum =< 767 ->
		[115,77];
get_def_num(_SignNum) when _SignNum >= 768, _SignNum =< 775 ->
		[116,78];
get_def_num(_SignNum) when _SignNum >= 776, _SignNum =< 783 ->
		[117,78];
get_def_num(_SignNum) when _SignNum >= 784, _SignNum =< 791 ->
		[119,79];
get_def_num(_SignNum) when _SignNum >= 792, _SignNum =< 799 ->
		[120,80];
get_def_num(_SignNum) when _SignNum >= 800, _SignNum =< 807 ->
		[121,81];
get_def_num(_SignNum) when _SignNum >= 808, _SignNum =< 815 ->
		[122,82];
get_def_num(_SignNum) when _SignNum >= 816, _SignNum =< 823 ->
		[123,82];
get_def_num(_SignNum) when _SignNum >= 824, _SignNum =< 831 ->
		[125,83];
get_def_num(_SignNum) when _SignNum >= 832, _SignNum =< 839 ->
		[126,84];
get_def_num(_SignNum) when _SignNum >= 840, _SignNum =< 847 ->
		[127,85];
get_def_num(_SignNum) when _SignNum >= 848, _SignNum =< 855 ->
		[128,86];
get_def_num(_SignNum) when _SignNum >= 856, _SignNum =< 863 ->
		[129,86];
get_def_num(_SignNum) when _SignNum >= 864, _SignNum =< 871 ->
		[131,87];
get_def_num(_SignNum) when _SignNum >= 872, _SignNum =< 879 ->
		[132,88];
get_def_num(_SignNum) when _SignNum >= 880, _SignNum =< 887 ->
		[133,89];
get_def_num(_SignNum) when _SignNum >= 888, _SignNum =< 895 ->
		[134,90];
get_def_num(_SignNum) when _SignNum >= 896, _SignNum =< 903 ->
		[135,90];
get_def_num(_SignNum) when _SignNum >= 904, _SignNum =< 911 ->
		[137,91];
get_def_num(_SignNum) when _SignNum >= 912, _SignNum =< 919 ->
		[138,92];
get_def_num(_SignNum) when _SignNum >= 920, _SignNum =< 927 ->
		[139,93];
get_def_num(_SignNum) when _SignNum >= 928, _SignNum =< 935 ->
		[140,94];
get_def_num(_SignNum) when _SignNum >= 936, _SignNum =< 943 ->
		[141,94];
get_def_num(_SignNum) when _SignNum >= 944, _SignNum =< 951 ->
		[143,95];
get_def_num(_SignNum) when _SignNum >= 952, _SignNum =< 959 ->
		[144,96];
get_def_num(_SignNum) when _SignNum >= 960, _SignNum =< 967 ->
		[145,97];
get_def_num(_SignNum) when _SignNum >= 968, _SignNum =< 975 ->
		[146,98];
get_def_num(_SignNum) when _SignNum >= 976, _SignNum =< 983 ->
		[147,98];
get_def_num(_SignNum) when _SignNum >= 984, _SignNum =< 991 ->
		[149,99];
get_def_num(_SignNum) when _SignNum >= 992, _SignNum =< 999 ->
		[150,100];
get_def_num(_SignNum) when _SignNum >= 1000, _SignNum =< 1007 ->
		[151,101];
get_def_num(_SignNum) when _SignNum >= 1008, _SignNum =< 1015 ->
		[152,102];
get_def_num(_SignNum) when _SignNum >= 1016, _SignNum =< 1023 ->
		[153,102];
get_def_num(_SignNum) when _SignNum >= 1024, _SignNum =< 1031 ->
		[155,103];
get_def_num(_SignNum) when _SignNum >= 1032, _SignNum =< 1039 ->
		[156,104];
get_def_num(_SignNum) when _SignNum >= 1040, _SignNum =< 1047 ->
		[157,105];
get_def_num(_SignNum) when _SignNum >= 1048, _SignNum =< 1055 ->
		[158,106];
get_def_num(_SignNum) when _SignNum >= 1056, _SignNum =< 1063 ->
		[159,106];
get_def_num(_SignNum) when _SignNum >= 1064, _SignNum =< 1071 ->
		[161,107];
get_def_num(_SignNum) when _SignNum >= 1072, _SignNum =< 1079 ->
		[162,108];
get_def_num(_SignNum) when _SignNum >= 1080, _SignNum =< 1087 ->
		[163,109];
get_def_num(_SignNum) when _SignNum >= 1088, _SignNum =< 1095 ->
		[164,110];
get_def_num(_SignNum) when _SignNum >= 1096, _SignNum =< 1103 ->
		[165,110];
get_def_num(_SignNum) when _SignNum >= 1104, _SignNum =< 1111 ->
		[167,111];
get_def_num(_SignNum) when _SignNum >= 1112, _SignNum =< 1119 ->
		[168,112];
get_def_num(_SignNum) when _SignNum >= 1120, _SignNum =< 1127 ->
		[169,113];
get_def_num(_SignNum) when _SignNum >= 1128, _SignNum =< 1135 ->
		[170,114];
get_def_num(_SignNum) when _SignNum >= 1136, _SignNum =< 1143 ->
		[171,114];
get_def_num(_SignNum) when _SignNum >= 1144, _SignNum =< 1151 ->
		[173,115];
get_def_num(_SignNum) when _SignNum >= 1152, _SignNum =< 1159 ->
		[174,116];
get_def_num(_SignNum) when _SignNum >= 1160, _SignNum =< 1167 ->
		[175,117];
get_def_num(_SignNum) when _SignNum >= 1168, _SignNum =< 1175 ->
		[176,118];
get_def_num(_SignNum) when _SignNum >= 1176, _SignNum =< 1183 ->
		[177,118];
get_def_num(_SignNum) when _SignNum >= 1184, _SignNum =< 1191 ->
		[179,119];
get_def_num(_SignNum) when _SignNum >= 1192, _SignNum =< 1199 ->
		[180,120];
get_def_num(_SignNum) when _SignNum >= 1200, _SignNum =< 1207 ->
		[181,121];
get_def_num(_SignNum) when _SignNum >= 1208, _SignNum =< 1215 ->
		[182,122];
get_def_num(_SignNum) when _SignNum >= 1216, _SignNum =< 1223 ->
		[183,122];
get_def_num(_SignNum) when _SignNum >= 1224, _SignNum =< 1231 ->
		[185,123];
get_def_num(_SignNum) when _SignNum >= 1232, _SignNum =< 1239 ->
		[186,124];
get_def_num(_SignNum) when _SignNum >= 1240, _SignNum =< 1247 ->
		[187,125];
get_def_num(_SignNum) when _SignNum >= 1248, _SignNum =< 1255 ->
		[188,126];
get_def_num(_SignNum) when _SignNum >= 1256, _SignNum =< 1263 ->
		[189,126];
get_def_num(_SignNum) when _SignNum >= 1264, _SignNum =< 1271 ->
		[191,127];
get_def_num(_SignNum) when _SignNum >= 1272, _SignNum =< 1279 ->
		[192,128];
get_def_num(_SignNum) when _SignNum >= 1280, _SignNum =< 1287 ->
		[193,129];
get_def_num(_SignNum) when _SignNum >= 1288, _SignNum =< 1295 ->
		[194,130];
get_def_num(_SignNum) when _SignNum >= 1296, _SignNum =< 1303 ->
		[195,130];
get_def_num(_SignNum) when _SignNum >= 1304, _SignNum =< 1311 ->
		[197,131];
get_def_num(_SignNum) when _SignNum >= 1312, _SignNum =< 1319 ->
		[198,132];
get_def_num(_SignNum) when _SignNum >= 1320, _SignNum =< 1327 ->
		[199,133];
get_def_num(_SignNum) when _SignNum >= 1328, _SignNum =< 1335 ->
		[200,134];
get_def_num(_SignNum) when _SignNum >= 1336, _SignNum =< 1343 ->
		[201,134];
get_def_num(_SignNum) when _SignNum >= 1344, _SignNum =< 1351 ->
		[203,135];
get_def_num(_SignNum) when _SignNum >= 1352, _SignNum =< 1359 ->
		[204,136];
get_def_num(_SignNum) when _SignNum >= 1360, _SignNum =< 1367 ->
		[205,137];
get_def_num(_SignNum) when _SignNum >= 1368, _SignNum =< 1375 ->
		[206,138];
get_def_num(_SignNum) when _SignNum >= 1376, _SignNum =< 1383 ->
		[207,138];
get_def_num(_SignNum) when _SignNum >= 1384, _SignNum =< 1391 ->
		[209,139];
get_def_num(_SignNum) when _SignNum >= 1392, _SignNum =< 1399 ->
		[210,140];
get_def_num(_SignNum) when _SignNum >= 1400, _SignNum =< 1407 ->
		[211,141];
get_def_num(_SignNum) when _SignNum >= 1408, _SignNum =< 1415 ->
		[212,142];
get_def_num(_SignNum) when _SignNum >= 1416, _SignNum =< 1423 ->
		[213,142];
get_def_num(_SignNum) when _SignNum >= 1424, _SignNum =< 1431 ->
		[215,143];
get_def_num(_SignNum) when _SignNum >= 1432, _SignNum =< 1439 ->
		[216,144];
get_def_num(_SignNum) when _SignNum >= 1440, _SignNum =< 1447 ->
		[217,145];
get_def_num(_SignNum) when _SignNum >= 1448, _SignNum =< 1455 ->
		[218,146];
get_def_num(_SignNum) when _SignNum >= 1456, _SignNum =< 1463 ->
		[219,146];
get_def_num(_SignNum) when _SignNum >= 1464, _SignNum =< 1471 ->
		[221,147];
get_def_num(_SignNum) when _SignNum >= 1472, _SignNum =< 1479 ->
		[222,148];
get_def_num(_SignNum) when _SignNum >= 1480, _SignNum =< 1487 ->
		[223,149];
get_def_num(_SignNum) when _SignNum >= 1488, _SignNum =< 1495 ->
		[224,150];
get_def_num(_SignNum) when _SignNum >= 1496, _SignNum =< 1503 ->
		[225,150];
get_def_num(_SignNum) when _SignNum >= 1504, _SignNum =< 1511 ->
		[227,151];
get_def_num(_SignNum) when _SignNum >= 1512, _SignNum =< 1519 ->
		[228,152];
get_def_num(_SignNum) when _SignNum >= 1520, _SignNum =< 1527 ->
		[229,153];
get_def_num(_SignNum) when _SignNum >= 1528, _SignNum =< 1535 ->
		[230,154];
get_def_num(_SignNum) when _SignNum >= 1536, _SignNum =< 1543 ->
		[231,154];
get_def_num(_SignNum) when _SignNum >= 1544, _SignNum =< 1551 ->
		[233,155];
get_def_num(_SignNum) when _SignNum >= 1552, _SignNum =< 1559 ->
		[234,156];
get_def_num(_SignNum) when _SignNum >= 1560, _SignNum =< 1567 ->
		[235,157];
get_def_num(_SignNum) when _SignNum >= 1568, _SignNum =< 1575 ->
		[236,158];
get_def_num(_SignNum) when _SignNum >= 1576, _SignNum =< 1583 ->
		[237,158];
get_def_num(_SignNum) when _SignNum >= 1584, _SignNum =< 1591 ->
		[239,159];
get_def_num(_SignNum) when _SignNum >= 1592, _SignNum =< 1599 ->
		[240,160];
get_def_num(_SignNum) when _SignNum >= 1600, _SignNum =< 1607 ->
		[241,161];
get_def_num(_SignNum) when _SignNum >= 1608, _SignNum =< 1615 ->
		[242,162];
get_def_num(_SignNum) when _SignNum >= 1616, _SignNum =< 1623 ->
		[243,162];
get_def_num(_SignNum) when _SignNum >= 1624, _SignNum =< 1631 ->
		[245,163];
get_def_num(_SignNum) when _SignNum >= 1632, _SignNum =< 1639 ->
		[246,164];
get_def_num(_SignNum) when _SignNum >= 1640, _SignNum =< 1647 ->
		[247,165];
get_def_num(_SignNum) when _SignNum >= 1648, _SignNum =< 1655 ->
		[248,166];
get_def_num(_SignNum) when _SignNum >= 1656, _SignNum =< 1663 ->
		[249,166];
get_def_num(_SignNum) when _SignNum >= 1664, _SignNum =< 1671 ->
		[251,167];
get_def_num(_SignNum) when _SignNum >= 1672, _SignNum =< 1679 ->
		[252,168];
get_def_num(_SignNum) when _SignNum >= 1680, _SignNum =< 1687 ->
		[253,169];
get_def_num(_SignNum) when _SignNum >= 1688, _SignNum =< 1695 ->
		[254,170];
get_def_num(_SignNum) when _SignNum >= 1696, _SignNum =< 1703 ->
		[255,170];
get_def_num(_SignNum) when _SignNum >= 1704, _SignNum =< 1711 ->
		[257,171];
get_def_num(_SignNum) when _SignNum >= 1712, _SignNum =< 1719 ->
		[258,172];
get_def_num(_SignNum) when _SignNum >= 1720, _SignNum =< 1727 ->
		[259,173];
get_def_num(_SignNum) when _SignNum >= 1728, _SignNum =< 1735 ->
		[260,174];
get_def_num(_SignNum) when _SignNum >= 1736, _SignNum =< 1743 ->
		[261,174];
get_def_num(_SignNum) when _SignNum >= 1744, _SignNum =< 1751 ->
		[263,175];
get_def_num(_SignNum) when _SignNum >= 1752, _SignNum =< 1759 ->
		[264,176];
get_def_num(_SignNum) when _SignNum >= 1760, _SignNum =< 1767 ->
		[265,177];
get_def_num(_SignNum) when _SignNum >= 1768, _SignNum =< 1775 ->
		[266,178];
get_def_num(_SignNum) when _SignNum >= 1776, _SignNum =< 1783 ->
		[267,178];
get_def_num(_SignNum) when _SignNum >= 1784, _SignNum =< 1791 ->
		[269,179];
get_def_num(_SignNum) when _SignNum >= 1792, _SignNum =< 1799 ->
		[270,180];
get_def_num(_SignNum) when _SignNum >= 1800, _SignNum =< 1807 ->
		[271,181];
get_def_num(_SignNum) when _SignNum >= 1808, _SignNum =< 1815 ->
		[272,182];
get_def_num(_SignNum) when _SignNum >= 1816, _SignNum =< 1823 ->
		[273,182];
get_def_num(_SignNum) when _SignNum >= 1824, _SignNum =< 1831 ->
		[275,183];
get_def_num(_SignNum) when _SignNum >= 1832, _SignNum =< 1839 ->
		[276,184];
get_def_num(_SignNum) when _SignNum >= 1840, _SignNum =< 1847 ->
		[277,185];
get_def_num(_SignNum) when _SignNum >= 1848, _SignNum =< 1855 ->
		[278,186];
get_def_num(_SignNum) when _SignNum >= 1856, _SignNum =< 1863 ->
		[279,186];
get_def_num(_SignNum) when _SignNum >= 1864, _SignNum =< 1871 ->
		[281,187];
get_def_num(_SignNum) when _SignNum >= 1872, _SignNum =< 1879 ->
		[282,188];
get_def_num(_SignNum) when _SignNum >= 1880, _SignNum =< 1887 ->
		[283,189];
get_def_num(_SignNum) when _SignNum >= 1888, _SignNum =< 1895 ->
		[284,190];
get_def_num(_SignNum) when _SignNum >= 1896, _SignNum =< 1903 ->
		[285,190];
get_def_num(_SignNum) when _SignNum >= 1904, _SignNum =< 1911 ->
		[287,191];
get_def_num(_SignNum) when _SignNum >= 1912, _SignNum =< 1919 ->
		[288,192];
get_def_num(_SignNum) when _SignNum >= 1920, _SignNum =< 1927 ->
		[289,193];
get_def_num(_SignNum) when _SignNum >= 1928, _SignNum =< 1935 ->
		[290,194];
get_def_num(_SignNum) when _SignNum >= 1936, _SignNum =< 1943 ->
		[291,194];
get_def_num(_SignNum) when _SignNum >= 1944, _SignNum =< 1951 ->
		[293,195];
get_def_num(_SignNum) when _SignNum >= 1952, _SignNum =< 1959 ->
		[294,196];
get_def_num(_SignNum) when _SignNum >= 1960, _SignNum =< 1967 ->
		[295,197];
get_def_num(_SignNum) when _SignNum >= 1968, _SignNum =< 1975 ->
		[296,198];
get_def_num(_SignNum) when _SignNum >= 1976, _SignNum =< 1983 ->
		[297,198];
get_def_num(_SignNum) when _SignNum >= 1984, _SignNum =< 1991 ->
		[299,199];
get_def_num(_SignNum) when _SignNum >= 1992, _SignNum =< 1999 ->
		[300,200];
get_def_num(_SignNum) when _SignNum >= 2000, _SignNum =< 2007 ->
		[301,201];
get_def_num(_SignNum) when _SignNum >= 2008, _SignNum =< 2015 ->
		[302,202];
get_def_num(_SignNum) when _SignNum >= 2016, _SignNum =< 2023 ->
		[303,202];
get_def_num(_SignNum) when _SignNum >= 2024, _SignNum =< 2031 ->
		[305,203];
get_def_num(_SignNum) when _SignNum >= 2032, _SignNum =< 2039 ->
		[306,204];
get_def_num(_SignNum) when _SignNum >= 2040, _SignNum =< 2047 ->
		[307,205];
get_def_num(_SignNum) when _SignNum >= 2048, _SignNum =< 2055 ->
		[308,206];
get_def_num(_SignNum) when _SignNum >= 2056, _SignNum =< 2063 ->
		[309,206];
get_def_num(_SignNum) when _SignNum >= 2064, _SignNum =< 2071 ->
		[311,207];
get_def_num(_SignNum) when _SignNum >= 2072, _SignNum =< 2079 ->
		[312,208];
get_def_num(_SignNum) when _SignNum >= 2080, _SignNum =< 2087 ->
		[313,209];
get_def_num(_SignNum) when _SignNum >= 2088, _SignNum =< 2095 ->
		[314,210];
get_def_num(_SignNum) when _SignNum >= 2096, _SignNum =< 2103 ->
		[315,210];
get_def_num(_SignNum) when _SignNum >= 2104, _SignNum =< 2111 ->
		[317,211];
get_def_num(_SignNum) when _SignNum >= 2112, _SignNum =< 2119 ->
		[318,212];
get_def_num(_SignNum) when _SignNum >= 2120, _SignNum =< 2127 ->
		[319,213];
get_def_num(_SignNum) when _SignNum >= 2128, _SignNum =< 2135 ->
		[320,214];
get_def_num(_SignNum) when _SignNum >= 2136, _SignNum =< 2143 ->
		[321,214];
get_def_num(_SignNum) when _SignNum >= 2144, _SignNum =< 2151 ->
		[323,215];
get_def_num(_SignNum) when _SignNum >= 2152, _SignNum =< 2159 ->
		[324,216];
get_def_num(_SignNum) when _SignNum >= 2160, _SignNum =< 2167 ->
		[325,217];
get_def_num(_SignNum) when _SignNum >= 2168, _SignNum =< 2175 ->
		[326,218];
get_def_num(_SignNum) when _SignNum >= 2176, _SignNum =< 2183 ->
		[327,218];
get_def_num(_SignNum) when _SignNum >= 2184, _SignNum =< 2191 ->
		[329,219];
get_def_num(_SignNum) when _SignNum >= 2192, _SignNum =< 2199 ->
		[330,220];
get_def_num(_SignNum) when _SignNum >= 2200, _SignNum =< 2207 ->
		[331,221];
get_def_num(_SignNum) when _SignNum >= 2208, _SignNum =< 2215 ->
		[332,222];
get_def_num(_SignNum) when _SignNum >= 2216, _SignNum =< 2223 ->
		[333,222];
get_def_num(_SignNum) when _SignNum >= 2224, _SignNum =< 2231 ->
		[335,223];
get_def_num(_SignNum) when _SignNum >= 2232, _SignNum =< 2239 ->
		[336,224];
get_def_num(_SignNum) when _SignNum >= 2240, _SignNum =< 2247 ->
		[337,225];
get_def_num(_SignNum) when _SignNum >= 2248, _SignNum =< 2255 ->
		[338,226];
get_def_num(_SignNum) when _SignNum >= 2256, _SignNum =< 2263 ->
		[339,226];
get_def_num(_SignNum) when _SignNum >= 2264, _SignNum =< 2271 ->
		[341,227];
get_def_num(_SignNum) when _SignNum >= 2272, _SignNum =< 2279 ->
		[342,228];
get_def_num(_SignNum) when _SignNum >= 2280, _SignNum =< 2287 ->
		[343,229];
get_def_num(_SignNum) when _SignNum >= 2288, _SignNum =< 2295 ->
		[344,230];
get_def_num(_SignNum) when _SignNum >= 2296, _SignNum =< 2303 ->
		[345,230];
get_def_num(_SignNum) when _SignNum >= 2304, _SignNum =< 2311 ->
		[347,231];
get_def_num(_SignNum) when _SignNum >= 2312, _SignNum =< 2319 ->
		[348,232];
get_def_num(_SignNum) when _SignNum >= 2320, _SignNum =< 2327 ->
		[349,233];
get_def_num(_SignNum) when _SignNum >= 2328, _SignNum =< 2335 ->
		[350,234];
get_def_num(_SignNum) when _SignNum >= 2336, _SignNum =< 2343 ->
		[351,234];
get_def_num(_SignNum) when _SignNum >= 2344, _SignNum =< 2351 ->
		[353,235];
get_def_num(_SignNum) when _SignNum >= 2352, _SignNum =< 2359 ->
		[354,236];
get_def_num(_SignNum) when _SignNum >= 2360, _SignNum =< 2367 ->
		[355,237];
get_def_num(_SignNum) when _SignNum >= 2368, _SignNum =< 2375 ->
		[356,238];
get_def_num(_SignNum) when _SignNum >= 2376, _SignNum =< 2383 ->
		[357,238];
get_def_num(_SignNum) when _SignNum >= 2384, _SignNum =< 2391 ->
		[359,239];
get_def_num(_SignNum) when _SignNum >= 2392, _SignNum =< 2399 ->
		[360,240];
get_def_num(_SignNum) when _SignNum >= 2400, _SignNum =< 2407 ->
		[361,241];
get_def_num(_SignNum) when _SignNum >= 2408, _SignNum =< 2415 ->
		[362,242];
get_def_num(_SignNum) when _SignNum >= 2416, _SignNum =< 2423 ->
		[363,242];
get_def_num(_SignNum) when _SignNum >= 2424, _SignNum =< 2431 ->
		[365,243];
get_def_num(_SignNum) when _SignNum >= 2432, _SignNum =< 2439 ->
		[366,244];
get_def_num(_SignNum) when _SignNum >= 2440, _SignNum =< 2447 ->
		[367,245];
get_def_num(_SignNum) when _SignNum >= 2448, _SignNum =< 2455 ->
		[368,246];
get_def_num(_SignNum) when _SignNum >= 2456, _SignNum =< 2463 ->
		[369,246];
get_def_num(_SignNum) when _SignNum >= 2464, _SignNum =< 2471 ->
		[371,247];
get_def_num(_SignNum) when _SignNum >= 2472, _SignNum =< 2479 ->
		[372,248];
get_def_num(_SignNum) when _SignNum >= 2480, _SignNum =< 2487 ->
		[373,249];
get_def_num(_SignNum) when _SignNum >= 2488, _SignNum =< 2495 ->
		[374,250];
get_def_num(_SignNum) when _SignNum >= 2496, _SignNum =< 2503 ->
		[375,250];
get_def_num(_SignNum) when _SignNum >= 2504, _SignNum =< 2511 ->
		[377,251];
get_def_num(_SignNum) when _SignNum >= 2512, _SignNum =< 2519 ->
		[378,252];
get_def_num(_SignNum) when _SignNum >= 2520, _SignNum =< 2527 ->
		[379,253];
get_def_num(_SignNum) when _SignNum >= 2528, _SignNum =< 2535 ->
		[380,254];
get_def_num(_SignNum) when _SignNum >= 2536, _SignNum =< 2543 ->
		[381,254];
get_def_num(_SignNum) when _SignNum >= 2544, _SignNum =< 2551 ->
		[383,255];
get_def_num(_SignNum) when _SignNum >= 2552, _SignNum =< 2559 ->
		[384,256];
get_def_num(_SignNum) when _SignNum >= 2560, _SignNum =< 2567 ->
		[385,257];
get_def_num(_SignNum) when _SignNum >= 2568, _SignNum =< 2575 ->
		[386,258];
get_def_num(_SignNum) when _SignNum >= 2576, _SignNum =< 2583 ->
		[387,258];
get_def_num(_SignNum) when _SignNum >= 2584, _SignNum =< 2591 ->
		[389,259];
get_def_num(_SignNum) when _SignNum >= 2592, _SignNum =< 2599 ->
		[390,260];
get_def_num(_SignNum) when _SignNum >= 2600, _SignNum =< 2607 ->
		[391,261];
get_def_num(_SignNum) when _SignNum >= 2608, _SignNum =< 2615 ->
		[392,262];
get_def_num(_SignNum) when _SignNum >= 2616, _SignNum =< 2623 ->
		[393,262];
get_def_num(_SignNum) when _SignNum >= 2624, _SignNum =< 2631 ->
		[395,263];
get_def_num(_SignNum) when _SignNum >= 2632, _SignNum =< 2639 ->
		[396,264];
get_def_num(_SignNum) when _SignNum >= 2640, _SignNum =< 2647 ->
		[397,265];
get_def_num(_SignNum) when _SignNum >= 2648, _SignNum =< 2655 ->
		[398,266];
get_def_num(_SignNum) when _SignNum >= 2656, _SignNum =< 2663 ->
		[399,266];
get_def_num(_SignNum) when _SignNum >= 2664, _SignNum =< 2671 ->
		[401,267];
get_def_num(_SignNum) when _SignNum >= 2672, _SignNum =< 2679 ->
		[402,268];
get_def_num(_SignNum) when _SignNum >= 2680, _SignNum =< 2687 ->
		[403,269];
get_def_num(_SignNum) when _SignNum >= 2688, _SignNum =< 2695 ->
		[404,270];
get_def_num(_SignNum) when _SignNum >= 2696, _SignNum =< 2703 ->
		[405,270];
get_def_num(_SignNum) when _SignNum >= 2704, _SignNum =< 2711 ->
		[407,271];
get_def_num(_SignNum) when _SignNum >= 2712, _SignNum =< 2719 ->
		[408,272];
get_def_num(_SignNum) when _SignNum >= 2720, _SignNum =< 2727 ->
		[409,273];
get_def_num(_SignNum) when _SignNum >= 2728, _SignNum =< 2735 ->
		[410,274];
get_def_num(_SignNum) when _SignNum >= 2736, _SignNum =< 2743 ->
		[411,274];
get_def_num(_SignNum) when _SignNum >= 2744, _SignNum =< 2751 ->
		[413,275];
get_def_num(_SignNum) when _SignNum >= 2752, _SignNum =< 2759 ->
		[414,276];
get_def_num(_SignNum) when _SignNum >= 2760, _SignNum =< 2767 ->
		[415,277];
get_def_num(_SignNum) when _SignNum >= 2768, _SignNum =< 2775 ->
		[416,278];
get_def_num(_SignNum) when _SignNum >= 2776, _SignNum =< 2783 ->
		[417,278];
get_def_num(_SignNum) when _SignNum >= 2784, _SignNum =< 2791 ->
		[419,279];
get_def_num(_SignNum) when _SignNum >= 2792, _SignNum =< 2799 ->
		[420,280];
get_def_num(_SignNum) when _SignNum >= 2800, _SignNum =< 2807 ->
		[421,281];
get_def_num(_SignNum) when _SignNum >= 2808, _SignNum =< 2815 ->
		[422,282];
get_def_num(_SignNum) when _SignNum >= 2816, _SignNum =< 2823 ->
		[423,282];
get_def_num(_SignNum) when _SignNum >= 2824, _SignNum =< 2831 ->
		[425,283];
get_def_num(_SignNum) when _SignNum >= 2832, _SignNum =< 2839 ->
		[426,284];
get_def_num(_SignNum) when _SignNum >= 2840, _SignNum =< 2847 ->
		[427,285];
get_def_num(_SignNum) when _SignNum >= 2848, _SignNum =< 2855 ->
		[428,286];
get_def_num(_SignNum) when _SignNum >= 2856, _SignNum =< 2863 ->
		[429,286];
get_def_num(_SignNum) when _SignNum >= 2864, _SignNum =< 2871 ->
		[431,287];
get_def_num(_SignNum) when _SignNum >= 2872, _SignNum =< 2879 ->
		[432,288];
get_def_num(_SignNum) when _SignNum >= 2880, _SignNum =< 2887 ->
		[433,289];
get_def_num(_SignNum) when _SignNum >= 2888, _SignNum =< 2895 ->
		[434,290];
get_def_num(_SignNum) when _SignNum >= 2896, _SignNum =< 2903 ->
		[435,290];
get_def_num(_SignNum) when _SignNum >= 2904, _SignNum =< 2911 ->
		[437,291];
get_def_num(_SignNum) when _SignNum >= 2912, _SignNum =< 2919 ->
		[438,292];
get_def_num(_SignNum) when _SignNum >= 2920, _SignNum =< 2927 ->
		[439,293];
get_def_num(_SignNum) when _SignNum >= 2928, _SignNum =< 2935 ->
		[440,294];
get_def_num(_SignNum) when _SignNum >= 2936, _SignNum =< 2943 ->
		[441,294];
get_def_num(_SignNum) when _SignNum >= 2944, _SignNum =< 2951 ->
		[443,295];
get_def_num(_SignNum) when _SignNum >= 2952, _SignNum =< 2959 ->
		[444,296];
get_def_num(_SignNum) when _SignNum >= 2960, _SignNum =< 2967 ->
		[445,297];
get_def_num(_SignNum) when _SignNum >= 2968, _SignNum =< 2975 ->
		[446,298];
get_def_num(_SignNum) when _SignNum >= 2976, _SignNum =< 2983 ->
		[447,298];
get_def_num(_SignNum) when _SignNum >= 2984, _SignNum =< 2991 ->
		[449,299];
get_def_num(_SignNum) when _SignNum >= 2992, _SignNum =< 2999 ->
		[450,300];
get_def_num(_SignNum) when _SignNum >= 3000, _SignNum =< 3007 ->
		[451,301];
get_def_num(_SignNum) when _SignNum >= 3008, _SignNum =< 3015 ->
		[452,302];
get_def_num(_SignNum) when _SignNum >= 3016, _SignNum =< 3023 ->
		[453,302];
get_def_num(_SignNum) when _SignNum >= 3024, _SignNum =< 3031 ->
		[455,303];
get_def_num(_SignNum) when _SignNum >= 3032, _SignNum =< 3039 ->
		[456,304];
get_def_num(_SignNum) when _SignNum >= 3040, _SignNum =< 3047 ->
		[457,305];
get_def_num(_SignNum) when _SignNum >= 3048, _SignNum =< 3055 ->
		[458,306];
get_def_num(_SignNum) when _SignNum >= 3056, _SignNum =< 3063 ->
		[459,306];
get_def_num(_SignNum) when _SignNum >= 3064, _SignNum =< 3071 ->
		[461,307];
get_def_num(_SignNum) when _SignNum >= 3072, _SignNum =< 3079 ->
		[462,308];
get_def_num(_SignNum) when _SignNum >= 3080, _SignNum =< 3087 ->
		[463,309];
get_def_num(_SignNum) when _SignNum >= 3088, _SignNum =< 3095 ->
		[464,310];
get_def_num(_SignNum) when _SignNum >= 3096, _SignNum =< 3103 ->
		[465,310];
get_def_num(_SignNum) when _SignNum >= 3104, _SignNum =< 3111 ->
		[467,311];
get_def_num(_SignNum) when _SignNum >= 3112, _SignNum =< 3119 ->
		[468,312];
get_def_num(_SignNum) when _SignNum >= 3120, _SignNum =< 3127 ->
		[469,313];
get_def_num(_SignNum) when _SignNum >= 3128, _SignNum =< 3135 ->
		[470,314];
get_def_num(_SignNum) when _SignNum >= 3136, _SignNum =< 3143 ->
		[471,314];
get_def_num(_SignNum) when _SignNum >= 3144, _SignNum =< 3151 ->
		[473,315];
get_def_num(_SignNum) when _SignNum >= 3152, _SignNum =< 3159 ->
		[474,316];
get_def_num(_SignNum) when _SignNum >= 3160, _SignNum =< 3167 ->
		[475,317];
get_def_num(_SignNum) when _SignNum >= 3168, _SignNum =< 3175 ->
		[476,318];
get_def_num(_SignNum) when _SignNum >= 3176, _SignNum =< 3183 ->
		[477,318];
get_def_num(_SignNum) when _SignNum >= 3184, _SignNum =< 3191 ->
		[479,319];
get_def_num(_SignNum) when _SignNum >= 3192, _SignNum =< 3199 ->
		[480,320];
get_def_num(_SignNum) when _SignNum >= 3200, _SignNum =< 3207 ->
		[481,321];
get_def_num(_SignNum) when _SignNum >= 3208, _SignNum =< 3215 ->
		[482,322];
get_def_num(_SignNum) when _SignNum >= 3216, _SignNum =< 3223 ->
		[483,322];
get_def_num(_SignNum) when _SignNum >= 3224, _SignNum =< 3231 ->
		[485,323];
get_def_num(_SignNum) when _SignNum >= 3232, _SignNum =< 3239 ->
		[486,324];
get_def_num(_SignNum) when _SignNum >= 3240, _SignNum =< 3247 ->
		[487,325];
get_def_num(_SignNum) when _SignNum >= 3248, _SignNum =< 3255 ->
		[488,326];
get_def_num(_SignNum) when _SignNum >= 3256, _SignNum =< 3263 ->
		[489,326];
get_def_num(_SignNum) when _SignNum >= 3264, _SignNum =< 3271 ->
		[491,327];
get_def_num(_SignNum) when _SignNum >= 3272, _SignNum =< 3279 ->
		[492,328];
get_def_num(_SignNum) when _SignNum >= 3280, _SignNum =< 3287 ->
		[493,329];
get_def_num(_SignNum) when _SignNum >= 3288, _SignNum =< 3295 ->
		[494,330];
get_def_num(_SignNum) when _SignNum >= 3296, _SignNum =< 3303 ->
		[495,330];
get_def_num(_SignNum) when _SignNum >= 3304, _SignNum =< 3311 ->
		[497,331];
get_def_num(_SignNum) when _SignNum >= 3312, _SignNum =< 3319 ->
		[498,332];
get_def_num(_SignNum) when _SignNum >= 3320, _SignNum =< 3327 ->
		[499,333];
get_def_num(_SignNum) when _SignNum >= 3328, _SignNum =< 3335 ->
		[500,334];
get_def_num(_SignNum) when _SignNum >= 3336, _SignNum =< 3343 ->
		[501,334];
get_def_num(_SignNum) when _SignNum >= 3344, _SignNum =< 3351 ->
		[503,335];
get_def_num(_SignNum) when _SignNum >= 3352, _SignNum =< 3359 ->
		[504,336];
get_def_num(_SignNum) when _SignNum >= 3360, _SignNum =< 3367 ->
		[505,337];
get_def_num(_SignNum) when _SignNum >= 3368, _SignNum =< 3375 ->
		[506,338];
get_def_num(_SignNum) when _SignNum >= 3376, _SignNum =< 3383 ->
		[507,338];
get_def_num(_SignNum) when _SignNum >= 3384, _SignNum =< 3391 ->
		[509,339];
get_def_num(_SignNum) when _SignNum >= 3392, _SignNum =< 3399 ->
		[510,340];
get_def_num(_SignNum) when _SignNum >= 3400, _SignNum =< 3407 ->
		[511,341];
get_def_num(_SignNum) when _SignNum >= 3408, _SignNum =< 3415 ->
		[512,342];
get_def_num(_SignNum) when _SignNum >= 3416, _SignNum =< 3423 ->
		[513,342];
get_def_num(_SignNum) when _SignNum >= 3424, _SignNum =< 3431 ->
		[515,343];
get_def_num(_SignNum) when _SignNum >= 3432, _SignNum =< 3439 ->
		[516,344];
get_def_num(_SignNum) when _SignNum >= 3440, _SignNum =< 3447 ->
		[517,345];
get_def_num(_SignNum) when _SignNum >= 3448, _SignNum =< 3455 ->
		[518,346];
get_def_num(_SignNum) when _SignNum >= 3456, _SignNum =< 3463 ->
		[519,346];
get_def_num(_SignNum) when _SignNum >= 3464, _SignNum =< 3471 ->
		[521,347];
get_def_num(_SignNum) when _SignNum >= 3472, _SignNum =< 3479 ->
		[522,348];
get_def_num(_SignNum) when _SignNum >= 3480, _SignNum =< 3487 ->
		[523,349];
get_def_num(_SignNum) when _SignNum >= 3488, _SignNum =< 3495 ->
		[524,350];
get_def_num(_SignNum) when _SignNum >= 3496, _SignNum =< 3503 ->
		[525,350];
get_def_num(_SignNum) when _SignNum >= 3504, _SignNum =< 3511 ->
		[527,351];
get_def_num(_SignNum) when _SignNum >= 3512, _SignNum =< 3519 ->
		[528,352];
get_def_num(_SignNum) when _SignNum >= 3520, _SignNum =< 3527 ->
		[529,353];
get_def_num(_SignNum) when _SignNum >= 3528, _SignNum =< 3535 ->
		[530,354];
get_def_num(_SignNum) when _SignNum >= 3536, _SignNum =< 3543 ->
		[531,354];
get_def_num(_SignNum) when _SignNum >= 3544, _SignNum =< 3551 ->
		[533,355];
get_def_num(_SignNum) when _SignNum >= 3552, _SignNum =< 3559 ->
		[534,356];
get_def_num(_SignNum) when _SignNum >= 3560, _SignNum =< 3567 ->
		[535,357];
get_def_num(_SignNum) when _SignNum >= 3568, _SignNum =< 3575 ->
		[536,358];
get_def_num(_SignNum) when _SignNum >= 3576, _SignNum =< 3583 ->
		[537,358];
get_def_num(_SignNum) when _SignNum >= 3584, _SignNum =< 3591 ->
		[539,359];
get_def_num(_SignNum) when _SignNum >= 3592, _SignNum =< 3599 ->
		[540,360];
get_def_num(_SignNum) when _SignNum >= 3600, _SignNum =< 3607 ->
		[541,361];
get_def_num(_SignNum) when _SignNum >= 3608, _SignNum =< 3615 ->
		[542,362];
get_def_num(_SignNum) when _SignNum >= 3616, _SignNum =< 3623 ->
		[543,362];
get_def_num(_SignNum) when _SignNum >= 3624, _SignNum =< 3631 ->
		[545,363];
get_def_num(_SignNum) when _SignNum >= 3632, _SignNum =< 3639 ->
		[546,364];
get_def_num(_SignNum) when _SignNum >= 3640, _SignNum =< 3647 ->
		[547,365];
get_def_num(_SignNum) when _SignNum >= 3648, _SignNum =< 3655 ->
		[548,366];
get_def_num(_SignNum) when _SignNum >= 3656, _SignNum =< 3663 ->
		[549,366];
get_def_num(_SignNum) when _SignNum >= 3664, _SignNum =< 3671 ->
		[551,367];
get_def_num(_SignNum) when _SignNum >= 3672, _SignNum =< 3679 ->
		[552,368];
get_def_num(_SignNum) when _SignNum >= 3680, _SignNum =< 3687 ->
		[553,369];
get_def_num(_SignNum) when _SignNum >= 3688, _SignNum =< 3695 ->
		[554,370];
get_def_num(_SignNum) when _SignNum >= 3696, _SignNum =< 3703 ->
		[555,370];
get_def_num(_SignNum) when _SignNum >= 3704, _SignNum =< 3711 ->
		[557,371];
get_def_num(_SignNum) when _SignNum >= 3712, _SignNum =< 3719 ->
		[558,372];
get_def_num(_SignNum) when _SignNum >= 3720, _SignNum =< 3727 ->
		[559,373];
get_def_num(_SignNum) when _SignNum >= 3728, _SignNum =< 3735 ->
		[560,374];
get_def_num(_SignNum) when _SignNum >= 3736, _SignNum =< 3743 ->
		[561,374];
get_def_num(_SignNum) when _SignNum >= 3744, _SignNum =< 3751 ->
		[563,375];
get_def_num(_SignNum) when _SignNum >= 3752, _SignNum =< 3759 ->
		[564,376];
get_def_num(_SignNum) when _SignNum >= 3760, _SignNum =< 3767 ->
		[565,377];
get_def_num(_SignNum) when _SignNum >= 3768, _SignNum =< 3775 ->
		[566,378];
get_def_num(_SignNum) when _SignNum >= 3776, _SignNum =< 3783 ->
		[567,378];
get_def_num(_SignNum) when _SignNum >= 3784, _SignNum =< 3791 ->
		[569,379];
get_def_num(_SignNum) when _SignNum >= 3792, _SignNum =< 3799 ->
		[570,380];
get_def_num(_SignNum) when _SignNum >= 3800, _SignNum =< 3807 ->
		[571,381];
get_def_num(_SignNum) when _SignNum >= 3808, _SignNum =< 3815 ->
		[572,382];
get_def_num(_SignNum) when _SignNum >= 3816, _SignNum =< 3823 ->
		[573,382];
get_def_num(_SignNum) when _SignNum >= 3824, _SignNum =< 3831 ->
		[575,383];
get_def_num(_SignNum) when _SignNum >= 3832, _SignNum =< 3839 ->
		[576,384];
get_def_num(_SignNum) when _SignNum >= 3840, _SignNum =< 3847 ->
		[577,385];
get_def_num(_SignNum) when _SignNum >= 3848, _SignNum =< 3855 ->
		[578,386];
get_def_num(_SignNum) when _SignNum >= 3856, _SignNum =< 3863 ->
		[579,386];
get_def_num(_SignNum) when _SignNum >= 3864, _SignNum =< 3871 ->
		[581,387];
get_def_num(_SignNum) when _SignNum >= 3872, _SignNum =< 3879 ->
		[582,388];
get_def_num(_SignNum) when _SignNum >= 3880, _SignNum =< 3887 ->
		[583,389];
get_def_num(_SignNum) when _SignNum >= 3888, _SignNum =< 3895 ->
		[584,390];
get_def_num(_SignNum) when _SignNum >= 3896, _SignNum =< 3903 ->
		[585,390];
get_def_num(_SignNum) when _SignNum >= 3904, _SignNum =< 3911 ->
		[587,391];
get_def_num(_SignNum) when _SignNum >= 3912, _SignNum =< 3919 ->
		[588,392];
get_def_num(_SignNum) when _SignNum >= 3920, _SignNum =< 3927 ->
		[589,393];
get_def_num(_SignNum) when _SignNum >= 3928, _SignNum =< 3935 ->
		[590,394];
get_def_num(_SignNum) when _SignNum >= 3936, _SignNum =< 3943 ->
		[591,394];
get_def_num(_SignNum) when _SignNum >= 3944, _SignNum =< 3951 ->
		[593,395];
get_def_num(_SignNum) when _SignNum >= 3952, _SignNum =< 3959 ->
		[594,396];
get_def_num(_SignNum) when _SignNum >= 3960, _SignNum =< 3967 ->
		[595,397];
get_def_num(_SignNum) when _SignNum >= 3968, _SignNum =< 3975 ->
		[596,398];
get_def_num(_SignNum) when _SignNum >= 3976, _SignNum =< 3983 ->
		[597,398];
get_def_num(_SignNum) when _SignNum >= 3984, _SignNum =< 3991 ->
		[599,399];
get_def_num(_SignNum) when _SignNum >= 3992, _SignNum =< 3999 ->
		[600,400];
get_def_num(_SignNum) when _SignNum >= 4000, _SignNum =< 4007 ->
		[601,401];
get_def_num(_SignNum) when _SignNum >= 4008, _SignNum =< 4015 ->
		[602,402];
get_def_num(_SignNum) when _SignNum >= 4016, _SignNum =< 4023 ->
		[603,402];
get_def_num(_SignNum) when _SignNum >= 4024, _SignNum =< 4031 ->
		[605,403];
get_def_num(_SignNum) when _SignNum >= 4032, _SignNum =< 4039 ->
		[606,404];
get_def_num(_SignNum) when _SignNum >= 4040, _SignNum =< 4047 ->
		[607,405];
get_def_num(_SignNum) when _SignNum >= 4048, _SignNum =< 4055 ->
		[608,406];
get_def_num(_SignNum) when _SignNum >= 4056, _SignNum =< 4063 ->
		[609,406];
get_def_num(_SignNum) when _SignNum >= 4064, _SignNum =< 4071 ->
		[611,407];
get_def_num(_SignNum) when _SignNum >= 4072, _SignNum =< 4079 ->
		[612,408];
get_def_num(_SignNum) when _SignNum >= 4080, _SignNum =< 4087 ->
		[613,409];
get_def_num(_SignNum) when _SignNum >= 4088, _SignNum =< 4095 ->
		[614,410];
get_def_num(_SignNum) when _SignNum >= 4096, _SignNum =< 4103 ->
		[615,410];
get_def_num(_SignNum) when _SignNum >= 4104, _SignNum =< 4111 ->
		[617,411];
get_def_num(_SignNum) when _SignNum >= 4112, _SignNum =< 4119 ->
		[618,412];
get_def_num(_SignNum) when _SignNum >= 4120, _SignNum =< 4127 ->
		[619,413];
get_def_num(_SignNum) when _SignNum >= 4128, _SignNum =< 4135 ->
		[620,414];
get_def_num(_SignNum) when _SignNum >= 4136, _SignNum =< 4143 ->
		[621,414];
get_def_num(_SignNum) when _SignNum >= 4144, _SignNum =< 4151 ->
		[623,415];
get_def_num(_SignNum) when _SignNum >= 4152, _SignNum =< 4159 ->
		[624,416];
get_def_num(_SignNum) when _SignNum >= 4160, _SignNum =< 4167 ->
		[625,417];
get_def_num(_SignNum) when _SignNum >= 4168, _SignNum =< 4175 ->
		[626,418];
get_def_num(_SignNum) when _SignNum >= 4176, _SignNum =< 4183 ->
		[627,418];
get_def_num(_SignNum) when _SignNum >= 4184, _SignNum =< 4191 ->
		[629,419];
get_def_num(_SignNum) when _SignNum >= 4192, _SignNum =< 4199 ->
		[630,420];
get_def_num(_SignNum) when _SignNum >= 4200, _SignNum =< 4207 ->
		[631,421];
get_def_num(_SignNum) when _SignNum >= 4208, _SignNum =< 4215 ->
		[632,422];
get_def_num(_SignNum) when _SignNum >= 4216, _SignNum =< 4223 ->
		[633,422];
get_def_num(_SignNum) when _SignNum >= 4224, _SignNum =< 4231 ->
		[635,423];
get_def_num(_SignNum) when _SignNum >= 4232, _SignNum =< 4239 ->
		[636,424];
get_def_num(_SignNum) when _SignNum >= 4240, _SignNum =< 4247 ->
		[637,425];
get_def_num(_SignNum) when _SignNum >= 4248, _SignNum =< 4255 ->
		[638,426];
get_def_num(_SignNum) when _SignNum >= 4256, _SignNum =< 4263 ->
		[639,426];
get_def_num(_SignNum) when _SignNum >= 4264, _SignNum =< 4271 ->
		[641,427];
get_def_num(_SignNum) when _SignNum >= 4272, _SignNum =< 4279 ->
		[642,428];
get_def_num(_SignNum) when _SignNum >= 4280, _SignNum =< 4287 ->
		[643,429];
get_def_num(_SignNum) when _SignNum >= 4288, _SignNum =< 4295 ->
		[644,430];
get_def_num(_SignNum) when _SignNum >= 4296, _SignNum =< 4303 ->
		[645,430];
get_def_num(_SignNum) when _SignNum >= 4304, _SignNum =< 4311 ->
		[647,431];
get_def_num(_SignNum) when _SignNum >= 4312, _SignNum =< 4319 ->
		[648,432];
get_def_num(_SignNum) when _SignNum >= 4320, _SignNum =< 4327 ->
		[649,433];
get_def_num(_SignNum) when _SignNum >= 4328, _SignNum =< 4335 ->
		[650,434];
get_def_num(_SignNum) when _SignNum >= 4336, _SignNum =< 4343 ->
		[651,434];
get_def_num(_SignNum) when _SignNum >= 4344, _SignNum =< 4351 ->
		[653,435];
get_def_num(_SignNum) when _SignNum >= 4352, _SignNum =< 4359 ->
		[654,436];
get_def_num(_SignNum) when _SignNum >= 4360, _SignNum =< 4367 ->
		[655,437];
get_def_num(_SignNum) when _SignNum >= 4368, _SignNum =< 4375 ->
		[656,438];
get_def_num(_SignNum) when _SignNum >= 4376, _SignNum =< 4383 ->
		[657,438];
get_def_num(_SignNum) when _SignNum >= 4384, _SignNum =< 4391 ->
		[659,439];
get_def_num(_SignNum) when _SignNum >= 4392, _SignNum =< 4399 ->
		[660,440];
get_def_num(_SignNum) when _SignNum >= 4400, _SignNum =< 4407 ->
		[661,441];
get_def_num(_SignNum) when _SignNum >= 4408, _SignNum =< 4415 ->
		[662,442];
get_def_num(_SignNum) when _SignNum >= 4416, _SignNum =< 4423 ->
		[663,442];
get_def_num(_SignNum) when _SignNum >= 4424, _SignNum =< 4431 ->
		[665,443];
get_def_num(_SignNum) when _SignNum >= 4432, _SignNum =< 4439 ->
		[666,444];
get_def_num(_SignNum) when _SignNum >= 4440, _SignNum =< 4447 ->
		[667,445];
get_def_num(_SignNum) when _SignNum >= 4448, _SignNum =< 4455 ->
		[668,446];
get_def_num(_SignNum) when _SignNum >= 4456, _SignNum =< 4463 ->
		[669,446];
get_def_num(_SignNum) when _SignNum >= 4464, _SignNum =< 4471 ->
		[671,447];
get_def_num(_SignNum) when _SignNum >= 4472, _SignNum =< 4479 ->
		[672,448];
get_def_num(_SignNum) when _SignNum >= 4480, _SignNum =< 4487 ->
		[673,449];
get_def_num(_SignNum) when _SignNum >= 4488, _SignNum =< 4495 ->
		[674,450];
get_def_num(_SignNum) when _SignNum >= 4496, _SignNum =< 4503 ->
		[675,450];
get_def_num(_SignNum) when _SignNum >= 4504, _SignNum =< 4511 ->
		[677,451];
get_def_num(_SignNum) when _SignNum >= 4512, _SignNum =< 4519 ->
		[678,452];
get_def_num(_SignNum) when _SignNum >= 4520, _SignNum =< 4527 ->
		[679,453];
get_def_num(_SignNum) when _SignNum >= 4528, _SignNum =< 4535 ->
		[680,454];
get_def_num(_SignNum) when _SignNum >= 4536, _SignNum =< 4543 ->
		[681,454];
get_def_num(_SignNum) when _SignNum >= 4544, _SignNum =< 4551 ->
		[683,455];
get_def_num(_SignNum) when _SignNum >= 4552, _SignNum =< 4559 ->
		[684,456];
get_def_num(_SignNum) when _SignNum >= 4560, _SignNum =< 4567 ->
		[685,457];
get_def_num(_SignNum) when _SignNum >= 4568, _SignNum =< 4575 ->
		[686,458];
get_def_num(_SignNum) when _SignNum >= 4576, _SignNum =< 4583 ->
		[687,458];
get_def_num(_SignNum) when _SignNum >= 4584, _SignNum =< 4591 ->
		[689,459];
get_def_num(_SignNum) when _SignNum >= 4592, _SignNum =< 4599 ->
		[690,460];
get_def_num(_SignNum) when _SignNum >= 4600, _SignNum =< 4607 ->
		[691,461];
get_def_num(_SignNum) when _SignNum >= 4608, _SignNum =< 4615 ->
		[692,462];
get_def_num(_SignNum) when _SignNum >= 4616, _SignNum =< 4623 ->
		[693,462];
get_def_num(_SignNum) when _SignNum >= 4624, _SignNum =< 4631 ->
		[695,463];
get_def_num(_SignNum) when _SignNum >= 4632, _SignNum =< 4639 ->
		[696,464];
get_def_num(_SignNum) when _SignNum >= 4640, _SignNum =< 4647 ->
		[697,465];
get_def_num(_SignNum) when _SignNum >= 4648, _SignNum =< 4655 ->
		[698,466];
get_def_num(_SignNum) when _SignNum >= 4656, _SignNum =< 4663 ->
		[699,466];
get_def_num(_SignNum) when _SignNum >= 4664, _SignNum =< 4671 ->
		[701,467];
get_def_num(_SignNum) when _SignNum >= 4672, _SignNum =< 4679 ->
		[702,468];
get_def_num(_SignNum) when _SignNum >= 4680, _SignNum =< 4687 ->
		[703,469];
get_def_num(_SignNum) when _SignNum >= 4688, _SignNum =< 4695 ->
		[704,470];
get_def_num(_SignNum) when _SignNum >= 4696, _SignNum =< 4703 ->
		[705,470];
get_def_num(_SignNum) when _SignNum >= 4704, _SignNum =< 4711 ->
		[707,471];
get_def_num(_SignNum) when _SignNum >= 4712, _SignNum =< 4719 ->
		[708,472];
get_def_num(_SignNum) when _SignNum >= 4720, _SignNum =< 4727 ->
		[709,473];
get_def_num(_SignNum) when _SignNum >= 4728, _SignNum =< 4735 ->
		[710,474];
get_def_num(_SignNum) when _SignNum >= 4736, _SignNum =< 4743 ->
		[711,474];
get_def_num(_SignNum) when _SignNum >= 4744, _SignNum =< 4751 ->
		[713,475];
get_def_num(_SignNum) when _SignNum >= 4752, _SignNum =< 4759 ->
		[714,476];
get_def_num(_SignNum) when _SignNum >= 4760, _SignNum =< 4767 ->
		[715,477];
get_def_num(_SignNum) when _SignNum >= 4768, _SignNum =< 4775 ->
		[716,478];
get_def_num(_SignNum) when _SignNum >= 4776, _SignNum =< 4783 ->
		[717,478];
get_def_num(_SignNum) when _SignNum >= 4784, _SignNum =< 4791 ->
		[719,479];
get_def_num(_SignNum) when _SignNum >= 4792, _SignNum =< 4799 ->
		[720,480];
get_def_num(_SignNum) when _SignNum >= 4800, _SignNum =< 4807 ->
		[721,481];
get_def_num(_SignNum) when _SignNum >= 4808, _SignNum =< 4815 ->
		[722,482];
get_def_num(_SignNum) when _SignNum >= 4816, _SignNum =< 4823 ->
		[723,482];
get_def_num(_SignNum) when _SignNum >= 4824, _SignNum =< 4831 ->
		[725,483];
get_def_num(_SignNum) when _SignNum >= 4832, _SignNum =< 4839 ->
		[726,484];
get_def_num(_SignNum) when _SignNum >= 4840, _SignNum =< 4847 ->
		[727,485];
get_def_num(_SignNum) when _SignNum >= 4848, _SignNum =< 4855 ->
		[728,486];
get_def_num(_SignNum) when _SignNum >= 4856, _SignNum =< 4863 ->
		[729,486];
get_def_num(_SignNum) when _SignNum >= 4864, _SignNum =< 4871 ->
		[731,487];
get_def_num(_SignNum) when _SignNum >= 4872, _SignNum =< 4879 ->
		[732,488];
get_def_num(_SignNum) when _SignNum >= 4880, _SignNum =< 4887 ->
		[733,489];
get_def_num(_SignNum) when _SignNum >= 4888, _SignNum =< 4895 ->
		[734,490];
get_def_num(_SignNum) when _SignNum >= 4896, _SignNum =< 4903 ->
		[735,490];
get_def_num(_SignNum) when _SignNum >= 4904, _SignNum =< 4911 ->
		[737,491];
get_def_num(_SignNum) when _SignNum >= 4912, _SignNum =< 4919 ->
		[738,492];
get_def_num(_SignNum) when _SignNum >= 4920, _SignNum =< 4927 ->
		[739,493];
get_def_num(_SignNum) when _SignNum >= 4928, _SignNum =< 4935 ->
		[740,494];
get_def_num(_SignNum) when _SignNum >= 4936, _SignNum =< 4943 ->
		[741,494];
get_def_num(_SignNum) when _SignNum >= 4944, _SignNum =< 4951 ->
		[743,495];
get_def_num(_SignNum) when _SignNum >= 4952, _SignNum =< 4959 ->
		[744,496];
get_def_num(_SignNum) when _SignNum >= 4960, _SignNum =< 4967 ->
		[745,497];
get_def_num(_SignNum) when _SignNum >= 4968, _SignNum =< 4975 ->
		[746,498];
get_def_num(_SignNum) when _SignNum >= 4976, _SignNum =< 4983 ->
		[747,498];
get_def_num(_SignNum) when _SignNum >= 4984, _SignNum =< 4991 ->
		[749,499];
get_def_num(_SignNum) when _SignNum >= 4992, _SignNum =< 4999 ->
		[750,500];
get_def_num(_SignNum) when _SignNum >= 5000, _SignNum =< 5007 ->
		[751,501];
get_def_num(_SignNum) when _SignNum >= 5008, _SignNum =< 5015 ->
		[752,502];
get_def_num(_SignNum) when _SignNum >= 5016, _SignNum =< 5023 ->
		[753,502];
get_def_num(_SignNum) when _SignNum >= 5024, _SignNum =< 5031 ->
		[755,503];
get_def_num(_SignNum) when _SignNum >= 5032, _SignNum =< 5039 ->
		[756,504];
get_def_num(_SignNum) when _SignNum >= 5040, _SignNum =< 5047 ->
		[757,505];
get_def_num(_SignNum) when _SignNum >= 5048, _SignNum =< 5055 ->
		[758,506];
get_def_num(_SignNum) when _SignNum >= 5056, _SignNum =< 5063 ->
		[759,506];
get_def_num(_SignNum) when _SignNum >= 5064, _SignNum =< 5071 ->
		[761,507];
get_def_num(_SignNum) when _SignNum >= 5072, _SignNum =< 5079 ->
		[762,508];
get_def_num(_SignNum) when _SignNum >= 5080, _SignNum =< 5087 ->
		[763,509];
get_def_num(_SignNum) when _SignNum >= 5088, _SignNum =< 5095 ->
		[764,510];
get_def_num(_SignNum) when _SignNum >= 5096, _SignNum =< 5103 ->
		[765,510];
get_def_num(_SignNum) when _SignNum >= 5104, _SignNum =< 5111 ->
		[767,511];
get_def_num(_SignNum) when _SignNum >= 5112, _SignNum =< 5119 ->
		[768,512];
get_def_num(_SignNum) when _SignNum >= 5120, _SignNum =< 5127 ->
		[769,513];
get_def_num(_SignNum) when _SignNum >= 5128, _SignNum =< 5135 ->
		[770,514];
get_def_num(_SignNum) when _SignNum >= 5136, _SignNum =< 5143 ->
		[771,514];
get_def_num(_SignNum) when _SignNum >= 5144, _SignNum =< 5151 ->
		[773,515];
get_def_num(_SignNum) when _SignNum >= 5152, _SignNum =< 5159 ->
		[774,516];
get_def_num(_SignNum) when _SignNum >= 5160, _SignNum =< 5167 ->
		[775,517];
get_def_num(_SignNum) when _SignNum >= 5168, _SignNum =< 5175 ->
		[776,518];
get_def_num(_SignNum) when _SignNum >= 5176, _SignNum =< 5183 ->
		[777,518];
get_def_num(_SignNum) when _SignNum >= 5184, _SignNum =< 5191 ->
		[779,519];
get_def_num(_SignNum) when _SignNum >= 5192, _SignNum =< 5199 ->
		[780,520];
get_def_num(_SignNum) when _SignNum >= 5200, _SignNum =< 5207 ->
		[781,521];
get_def_num(_SignNum) when _SignNum >= 5208, _SignNum =< 5215 ->
		[782,522];
get_def_num(_SignNum) when _SignNum >= 5216, _SignNum =< 5223 ->
		[783,522];
get_def_num(_SignNum) when _SignNum >= 5224, _SignNum =< 5231 ->
		[785,523];
get_def_num(_SignNum) when _SignNum >= 5232, _SignNum =< 5239 ->
		[786,524];
get_def_num(_SignNum) when _SignNum >= 5240, _SignNum =< 5247 ->
		[787,525];
get_def_num(_SignNum) when _SignNum >= 5248, _SignNum =< 5255 ->
		[788,526];
get_def_num(_SignNum) when _SignNum >= 5256, _SignNum =< 5263 ->
		[789,526];
get_def_num(_SignNum) when _SignNum >= 5264, _SignNum =< 5271 ->
		[791,527];
get_def_num(_SignNum) when _SignNum >= 5272, _SignNum =< 5279 ->
		[792,528];
get_def_num(_SignNum) when _SignNum >= 5280, _SignNum =< 5287 ->
		[793,529];
get_def_num(_SignNum) when _SignNum >= 5288, _SignNum =< 5295 ->
		[794,530];
get_def_num(_SignNum) when _SignNum >= 5296, _SignNum =< 5303 ->
		[795,530];
get_def_num(_SignNum) when _SignNum >= 5304, _SignNum =< 5311 ->
		[797,531];
get_def_num(_SignNum) when _SignNum >= 5312, _SignNum =< 5319 ->
		[798,532];
get_def_num(_SignNum) when _SignNum >= 5320, _SignNum =< 5327 ->
		[799,533];
get_def_num(_SignNum) when _SignNum >= 5328, _SignNum =< 5335 ->
		[800,534];
get_def_num(_SignNum) when _SignNum >= 5336, _SignNum =< 5343 ->
		[801,534];
get_def_num(_SignNum) when _SignNum >= 5344, _SignNum =< 5351 ->
		[803,535];
get_def_num(_SignNum) when _SignNum >= 5352, _SignNum =< 5359 ->
		[804,536];
get_def_num(_SignNum) when _SignNum >= 5360, _SignNum =< 5367 ->
		[805,537];
get_def_num(_SignNum) when _SignNum >= 5368, _SignNum =< 5375 ->
		[806,538];
get_def_num(_SignNum) when _SignNum >= 5376, _SignNum =< 5383 ->
		[807,538];
get_def_num(_SignNum) when _SignNum >= 5384, _SignNum =< 5391 ->
		[809,539];
get_def_num(_SignNum) when _SignNum >= 5392, _SignNum =< 5399 ->
		[810,540];
get_def_num(_SignNum) when _SignNum >= 5400, _SignNum =< 5407 ->
		[811,541];
get_def_num(_SignNum) ->
    [0,0].

get_group(1) ->
    #kf_1vn_group{hard = 1,robot_args = 51,height = 100};

get_group(2) ->
    #kf_1vn_group{hard = 2,robot_args = 52,height = 100};

get_group(3) ->
    #kf_1vn_group{hard = 3,robot_args = 53,height = 100};

get_group(4) ->
    #kf_1vn_group{hard = 4,robot_args = 54,height = 100};

get_group(5) ->
    #kf_1vn_group{hard = 5,robot_args = 55,height = 100};

get_group(6) ->
    #kf_1vn_group{hard = 6,robot_args = 56,height = 100};

get_group(7) ->
    #kf_1vn_group{hard = 7,robot_args = 57,height = 100};

get_group(8) ->
    #kf_1vn_group{hard = 8,robot_args = 58,height = 100};

get_group(9) ->
    #kf_1vn_group{hard = 9,robot_args = 59,height = 100};

get_group(10) ->
    #kf_1vn_group{hard = 10,robot_args = 60,height = 100};

get_group(11) ->
    #kf_1vn_group{hard = 11,robot_args = 61,height = 100};

get_group(12) ->
    #kf_1vn_group{hard = 12,robot_args = 62,height = 100};

get_group(13) ->
    #kf_1vn_group{hard = 13,robot_args = 63,height = 100};

get_group(14) ->
    #kf_1vn_group{hard = 14,robot_args = 64,height = 100};

get_group(15) ->
    #kf_1vn_group{hard = 15,robot_args = 65,height = 100};

get_group(16) ->
    #kf_1vn_group{hard = 16,robot_args = 66,height = 100};

get_group(17) ->
    #kf_1vn_group{hard = 17,robot_args = 67,height = 100};

get_group(18) ->
    #kf_1vn_group{hard = 18,robot_args = 68,height = 100};

get_group(19) ->
    #kf_1vn_group{hard = 19,robot_args = 69,height = 100};

get_group(20) ->
    #kf_1vn_group{hard = 20,robot_args = 70,height = 100};

get_group(21) ->
    #kf_1vn_group{hard = 21,robot_args = 71,height = 100};

get_group(22) ->
    #kf_1vn_group{hard = 22,robot_args = 72,height = 100};

get_group(23) ->
    #kf_1vn_group{hard = 23,robot_args = 73,height = 100};

get_group(24) ->
    #kf_1vn_group{hard = 24,robot_args = 74,height = 100};

get_group(25) ->
    #kf_1vn_group{hard = 25,robot_args = 75,height = 100};

get_group(26) ->
    #kf_1vn_group{hard = 26,robot_args = 76,height = 100};

get_group(27) ->
    #kf_1vn_group{hard = 27,robot_args = 77,height = 100};

get_group(28) ->
    #kf_1vn_group{hard = 28,robot_args = 78,height = 100};

get_group(29) ->
    #kf_1vn_group{hard = 29,robot_args = 79,height = 100};

get_group(30) ->
    #kf_1vn_group{hard = 30,robot_args = 80,height = 100};

get_group(31) ->
    #kf_1vn_group{hard = 31,robot_args = 81,height = 100};

get_group(32) ->
    #kf_1vn_group{hard = 32,robot_args = 82,height = 100};

get_group(33) ->
    #kf_1vn_group{hard = 33,robot_args = 83,height = 100};

get_group(34) ->
    #kf_1vn_group{hard = 34,robot_args = 84,height = 100};

get_group(35) ->
    #kf_1vn_group{hard = 35,robot_args = 85,height = 100};

get_group(36) ->
    #kf_1vn_group{hard = 36,robot_args = 86,height = 100};

get_group(37) ->
    #kf_1vn_group{hard = 37,robot_args = 87,height = 100};

get_group(38) ->
    #kf_1vn_group{hard = 38,robot_args = 88,height = 100};

get_group(39) ->
    #kf_1vn_group{hard = 39,robot_args = 89,height = 100};

get_group(40) ->
    #kf_1vn_group{hard = 40,robot_args = 90,height = 100};

get_group(41) ->
    #kf_1vn_group{hard = 41,robot_args = 91,height = 100};

get_group(42) ->
    #kf_1vn_group{hard = 42,robot_args = 92,height = 100};

get_group(43) ->
    #kf_1vn_group{hard = 43,robot_args = 93,height = 100};

get_group(44) ->
    #kf_1vn_group{hard = 44,robot_args = 94,height = 100};

get_group(45) ->
    #kf_1vn_group{hard = 45,robot_args = 95,height = 100};

get_group(46) ->
    #kf_1vn_group{hard = 46,robot_args = 96,height = 100};

get_group(47) ->
    #kf_1vn_group{hard = 47,robot_args = 97,height = 100};

get_group(48) ->
    #kf_1vn_group{hard = 48,robot_args = 98,height = 100};

get_group(49) ->
    #kf_1vn_group{hard = 49,robot_args = 99,height = 100};

get_group(50) ->
    #kf_1vn_group{hard = 50,robot_args = 100,height = 100};

get_group(51) ->
    #kf_1vn_group{hard = 51,robot_args = 101,height = 100};

get_group(52) ->
    #kf_1vn_group{hard = 52,robot_args = 102,height = 100};

get_group(53) ->
    #kf_1vn_group{hard = 53,robot_args = 103,height = 100};

get_group(54) ->
    #kf_1vn_group{hard = 54,robot_args = 104,height = 100};

get_group(55) ->
    #kf_1vn_group{hard = 55,robot_args = 105,height = 100};

get_group(56) ->
    #kf_1vn_group{hard = 56,robot_args = 106,height = 100};

get_group(57) ->
    #kf_1vn_group{hard = 57,robot_args = 107,height = 100};

get_group(58) ->
    #kf_1vn_group{hard = 58,robot_args = 108,height = 100};

get_group(59) ->
    #kf_1vn_group{hard = 59,robot_args = 109,height = 100};

get_group(60) ->
    #kf_1vn_group{hard = 60,robot_args = 110,height = 100};

get_group(_Hard) ->
    [].

get_all_groups() ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60].

get_stage_args(1,1) ->
    #kf_1vn_race_2_match{stage = 1,area = 1,hard_list = [4,6],c_num = 2,all_hard = [8,12]};

get_stage_args(2,1) ->
    #kf_1vn_race_2_match{stage = 2,area = 1,hard_list = [5,8],c_num = 4,all_hard = [24,28]};

get_stage_args(3,1) ->
    #kf_1vn_race_2_match{stage = 3,area = 1,hard_list = [6,10],c_num = 6,all_hard = [42,54]};

get_stage_args(4,1) ->
    #kf_1vn_race_2_match{stage = 4,area = 1,hard_list = [6,10],c_num = 9,all_hard = [61,81]};

get_stage_args(5,1) ->
    #kf_1vn_race_2_match{stage = 5,area = 1,hard_list = [8,12],c_num = 12,all_hard = [108,132]};

get_stage_args(6,1) ->
    #kf_1vn_race_2_match{stage = 6,area = 1,hard_list = [10,14],c_num = 15,all_hard = [165,195]};

get_stage_args(7,1) ->
    #kf_1vn_race_2_match{stage = 7,area = 1,hard_list = [12,16],c_num = 18,all_hard = [234,270]};

get_stage_args(_Stage,_Area) ->
    [].

get_stage_by_area(1) -> 7;
get_stage_by_area(_Area) -> 0.

get_score_rank_reward(1,_Rank) when _Rank >= 1, _Rank =< 1 ->
		[{0,14120001,300}];
get_score_rank_reward(1,_Rank) when _Rank >= 2, _Rank =< 2 ->
		[{0,14120001,250}];
get_score_rank_reward(1,_Rank) when _Rank >= 3, _Rank =< 3 ->
		[{0,14120001,220}];
get_score_rank_reward(1,_Rank) when _Rank >= 4, _Rank =< 5 ->
		[{0,14120001,200}];
get_score_rank_reward(1,_Rank) when _Rank >= 6, _Rank =< 20 ->
		[{0,14120001,180}];
get_score_rank_reward(1,_Rank) when _Rank >= 21, _Rank =< 50 ->
		[{0,14120001,150}];
get_score_rank_reward(1,_Rank) when _Rank >= 51, _Rank =< 200 ->
		[{0,14120001,120}];
get_score_rank_reward(1,_Rank) when _Rank >= 201, _Rank =< 500 ->
		[{0,14120001,90}];
get_score_rank_reward(1,_Rank) when _Rank >= 501, _Rank =< 10000 ->
		[{0,14120001,60}];
get_score_rank_reward(2,_Rank) when _Rank >= 1, _Rank =< 1 ->
		[{0,14120001,450},{0,14110001,20},{0,4912003,1},{0,38220004,1000}];
get_score_rank_reward(2,_Rank) when _Rank >= 2, _Rank =< 2 ->
		[{0,14120001,380},{0,14110001,16},{0,4912002,1},{0,38220004,850}];
get_score_rank_reward(2,_Rank) when _Rank >= 3, _Rank =< 3 ->
		[{0,14120001,320},{0,14110001,12},{0,4912001,1},{0,38220004,700}];
get_score_rank_reward(2,_Rank) when _Rank >= 4, _Rank =< 5 ->
		[{0,14120001,270},{0,14110001,10},{0,38220004,600}];
get_score_rank_reward(2,_Rank) when _Rank >= 6, _Rank =< 20 ->
		[{0,14120001,220},{0,14110001,8},{0,38220004,500}];
get_score_rank_reward(2,_Rank) when _Rank >= 21, _Rank =< 50 ->
		[{0,14120001,180},{0,14110001,6},{0,38220004,400}];
get_score_rank_reward(2,_Rank) when _Rank >= 51, _Rank =< 200 ->
		[{0,14120001,150},{0,14110001,4},{0,38220004,300}];
get_score_rank_reward(2,_Rank) when _Rank >= 201, _Rank =< 500 ->
		[{0,14120001,120},{0,14110001,4},{0,38220004,200}];
get_score_rank_reward(2,_Rank) when _Rank >= 501, _Rank =< 10000 ->
		[{0,14120001,100},{0,14110001,4}];
get_score_rank_reward(_Race_type,_Rank) ->
    [].


get_value(1) ->
    360;


get_value(2) ->
    [{4461,4524}, {5304,4524}];


get_value(3) ->
    [{3783,4636}];


get_value(4) ->
    [{5621,5240},{6146,5223},{6635,5249},{5699,4584},{6478,4619},{7117,4680},{5883,4260},{6557,4278},{7204,4243},{5822,3902},{6443,3989},{7099,3989},{5586,5467},{5901,5922},{6417,6272},{5276,3727},{6329,3184},{6242,4286},{5866,3333},{5358,5844},{6067,5118},{6329,4610},{6355,4855},{6452,4286},{6819,5091},{6041,5494},{5883,3980},{5577,5669},{6583,4094},{6215,4531},{6487,4899},{6294,4488}];


get_value(5) ->
    [{2887,6604,300},{4844,6478,300},{3488,5766,300},{2293,3369,300},{3902,3540,300},{4592,3184,300},{1704,2077,300},{4914,1335,300}];


get_value(6) ->
    40;


get_value(7) ->
    200;


get_value(8) ->
    200;


get_value(9) ->
    60;


get_value(10) ->
    0;


get_value(11) ->
    0;


get_value(12) ->
    0;


get_value(13) ->
    0;


get_value(14) ->
    38220004;


get_value(15) ->
    20;


get_value(16) ->
    50;


get_value(17) ->
    10;


get_value(18) ->
    [{1,10},{2,20},{3,30},{4,40},{5,60},{6,80},{7,100}];


get_value(19) ->
    [{1,[{0,4912004,1}]},{2,[{0,4912004,1}]}];


get_value(20) ->
    48;


get_value(21) ->
    [20,30,50];


get_value(22) ->
    15;


get_value(23) ->
    15;


get_value(24) ->
    500000;

get_value(_Key) ->
    false.

get_race_2_award(1,1) ->
    {[{0,14120001,40}],[{0,14120001,25}]};

get_race_2_award(1,2) ->
    {[{0,14120001,60}],[{0,14120001,35}]};

get_race_2_award(1,3) ->
    {[{0,14120001,80}],[{0,14120001,45}]};

get_race_2_award(1,4) ->
    {[{0,14120001,100}],[{0,14120001,60}]};

get_race_2_award(1,5) ->
    {[{0,14120001,120}],[{0,14120001,75}]};

get_race_2_award(1,6) ->
    {[{0,14120001,140}],[{0,14120001,90}]};

get_race_2_award(1,7) ->
    {[{0,14120001,160}],[{0,14120001,105}]};

get_race_2_award(2,1) ->
    {[{0,14120001,30}],[{0,14120001,15}]};

get_race_2_award(2,2) ->
    {[{0,14120001,40}],[{0,14120001,20}]};

get_race_2_award(2,3) ->
    {[{0,14120001,50}],[{0,14120001,25}]};

get_race_2_award(2,4) ->
    {[{0,14120001,65}],[{0,14120001,30}]};

get_race_2_award(2,5) ->
    {[{0,14120001,80}],[{0,14120001,40}]};

get_race_2_award(2,6) ->
    {[{0,14120001,95}],[{0,14120001,50}]};

get_race_2_award(2,7) ->
    {[{0,14120001,110}],[{0,14120001,60}]};

get_race_2_award(_Type,_Turn) ->
    false.


get_ratio(1) ->
    150;


get_ratio(2) ->
    200;


get_ratio(3) ->
    200;


get_ratio(4) ->
    200;


get_ratio(5) ->
    300;


get_ratio(6) ->
    300;


get_ratio(7) ->
    300;

get_ratio(_Turn) ->
    1.

get_exp(_Lv) when _Lv >= 1, _Lv =< 190 ->
		24582;
get_exp(_Lv) when _Lv >= 191, _Lv =< 200 ->
		27194;
get_exp(_Lv) when _Lv >= 201, _Lv =< 210 ->
		29939;
get_exp(_Lv) when _Lv >= 211, _Lv =< 220 ->
		32815;
get_exp(_Lv) when _Lv >= 221, _Lv =< 230 ->
		34597;
get_exp(_Lv) when _Lv >= 231, _Lv =< 240 ->
		40594;
get_exp(_Lv) when _Lv >= 241, _Lv =< 250 ->
		42230;
get_exp(_Lv) when _Lv >= 251, _Lv =< 260 ->
		43932;
get_exp(_Lv) when _Lv >= 261, _Lv =< 270 ->
		46017;
get_exp(_Lv) when _Lv >= 271, _Lv =< 280 ->
		45721;
get_exp(_Lv) when _Lv >= 281, _Lv =< 290 ->
		48192;
get_exp(_Lv) when _Lv >= 291, _Lv =< 300 ->
		49175;
get_exp(_Lv) when _Lv >= 301, _Lv =< 310 ->
		48786;
get_exp(_Lv) when _Lv >= 311, _Lv =< 320 ->
		51906;
get_exp(_Lv) when _Lv >= 321, _Lv =< 330 ->
		55031;
get_exp(_Lv) when _Lv >= 331, _Lv =< 340 ->
		55257;
get_exp(_Lv) when _Lv >= 341, _Lv =< 350 ->
		59359;
get_exp(_Lv) when _Lv >= 351, _Lv =< 360 ->
		63302;
get_exp(_Lv) when _Lv >= 361, _Lv =< 370 ->
		95915;
get_exp(_Lv) when _Lv >= 371, _Lv =< 380 ->
		120692;
get_exp(_Lv) when _Lv >= 381, _Lv =< 390 ->
		133886;
get_exp(_Lv) when _Lv >= 391, _Lv =< 400 ->
		147081;
get_exp(_Lv) when _Lv >= 401, _Lv =< 410 ->
		160275;
get_exp(_Lv) when _Lv >= 411, _Lv =< 420 ->
		173469;
get_exp(_Lv) when _Lv >= 421, _Lv =< 430 ->
		186664;
get_exp(_Lv) when _Lv >= 431, _Lv =< 440 ->
		198878;
get_exp(_Lv) when _Lv >= 441, _Lv =< 450 ->
		231983;
get_exp(_Lv) when _Lv >= 451, _Lv =< 460 ->
		254271;
get_exp(_Lv) when _Lv >= 461, _Lv =< 470 ->
		277550;
get_exp(_Lv) when _Lv >= 471, _Lv =< 480 ->
		287446;
get_exp(_Lv) when _Lv >= 481, _Lv =< 490 ->
		297342;
get_exp(_Lv) when _Lv >= 491, _Lv =< 500 ->
		307238;
get_exp(_Lv) when _Lv >= 501, _Lv =< 510 ->
		317133;
get_exp(_Lv) when _Lv >= 511, _Lv =< 520 ->
		352732;
get_exp(_Lv) when _Lv >= 521, _Lv =< 530 ->
		378002;
get_exp(_Lv) when _Lv >= 531, _Lv =< 540 ->
		460139;
get_exp(_Lv) when _Lv >= 541, _Lv =< 550 ->
		510772;
get_exp(_Lv) when _Lv >= 551, _Lv =< 560 ->
		564044;
get_exp(_Lv) when _Lv >= 561, _Lv =< 570 ->
		590433;
get_exp(_Lv) when _Lv >= 571, _Lv =< 580 ->
		616822;
get_exp(_Lv) when _Lv >= 581, _Lv =< 590 ->
		643210;
get_exp(_Lv) when _Lv >= 591, _Lv =< 600 ->
		669599;
get_exp(_Lv) when _Lv >= 601, _Lv =< 610 ->
		695988;
get_exp(_Lv) when _Lv >= 611, _Lv =< 620 ->
		722377;
get_exp(_Lv) when _Lv >= 621, _Lv =< 630 ->
		748766;
get_exp(_Lv) when _Lv >= 631, _Lv =< 640 ->
		775155;
get_exp(_Lv) when _Lv >= 641, _Lv =< 650 ->
		801544;
get_exp(_Lv) when _Lv >= 651, _Lv =< 660 ->
		827933;
get_exp(_Lv) when _Lv >= 661, _Lv =< 670 ->
		854322;
get_exp(_Lv) when _Lv >= 671, _Lv =< 680 ->
		880710;
get_exp(_Lv) when _Lv >= 681, _Lv =< 690 ->
		907099;
get_exp(_Lv) when _Lv >= 691, _Lv =< 700 ->
		933488;
get_exp(_Lv) when _Lv >= 701, _Lv =< 710 ->
		959877;
get_exp(_Lv) when _Lv >= 711, _Lv =< 720 ->
		986266;
get_exp(_Lv) when _Lv >= 721, _Lv =< 730 ->
		1012655;
get_exp(_Lv) when _Lv >= 731, _Lv =< 740 ->
		1039044;
get_exp(_Lv) when _Lv >= 741, _Lv =< 750 ->
		1065433;
get_exp(_Lv) when _Lv >= 751, _Lv =< 760 ->
		1091822;
get_exp(_Lv) when _Lv >= 761, _Lv =< 770 ->
		1118210;
get_exp(_Lv) when _Lv >= 771, _Lv =< 780 ->
		1144599;
get_exp(_Lv) when _Lv >= 781, _Lv =< 1000 ->
		1170988;
get_exp(_Lv) ->
    0.

get_auction_info(1) ->
    #kf_1vn_auction_cfg{id = 1,area = 1,goods = [{0,32140001,1}],cost = [{1,0,16000}],ser_award = [{2,36020001,30}]};

get_auction_info(2) ->
    #kf_1vn_auction_cfg{id = 2,area = 1,goods = [{0,32140002,1}],cost = [{1,0,16000}],ser_award = [{2,36020001,30}]};

get_auction_info(3) ->
    #kf_1vn_auction_cfg{id = 3,area = 1,goods = [{0,16030004,1}],cost = [{1,0,12000}],ser_award = [{2,36020001,20}]};

get_auction_info(_Id) ->
    [].

get_auction_ids() ->
    [1,2,3].


get_auction_ids_by_area(1) ->
    [1,2,3];

get_auction_ids_by_area(_Area) ->
    [].

get_extra_score(_Combat) when _Combat >= 1, _Combat =< 6000000 ->
		5;
get_extra_score(_Combat) when _Combat >= 6000001, _Combat =< 12000000 ->
		10;
get_extra_score(_Combat) when _Combat >= 12000001, _Combat =< 20000000 ->
		15;
get_extra_score(_Combat) when _Combat >= 20000001, _Combat =< 32000000 ->
		20;
get_extra_score(_Combat) when _Combat >= 32000001, _Combat =< 1000000000 ->
		30;
get_extra_score(_Combat) ->
    0.

get_all_hard() ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90].

get_hard(_Combat) when _Combat >= 0, _Combat =< 500000 ->
		1;
get_hard(_Combat) when _Combat >= 500001, _Combat =< 1000000 ->
		2;
get_hard(_Combat) when _Combat >= 1000001, _Combat =< 1500000 ->
		3;
get_hard(_Combat) when _Combat >= 1500001, _Combat =< 2000000 ->
		4;
get_hard(_Combat) when _Combat >= 2000001, _Combat =< 2500000 ->
		5;
get_hard(_Combat) when _Combat >= 2500001, _Combat =< 3000000 ->
		6;
get_hard(_Combat) when _Combat >= 3000001, _Combat =< 3500000 ->
		7;
get_hard(_Combat) when _Combat >= 3500001, _Combat =< 4000000 ->
		8;
get_hard(_Combat) when _Combat >= 4000001, _Combat =< 4500000 ->
		9;
get_hard(_Combat) when _Combat >= 4500001, _Combat =< 5000000 ->
		10;
get_hard(_Combat) when _Combat >= 5000001, _Combat =< 5500000 ->
		11;
get_hard(_Combat) when _Combat >= 5500001, _Combat =< 6000000 ->
		12;
get_hard(_Combat) when _Combat >= 6000001, _Combat =< 6500000 ->
		13;
get_hard(_Combat) when _Combat >= 6500001, _Combat =< 7000000 ->
		14;
get_hard(_Combat) when _Combat >= 7000001, _Combat =< 7500000 ->
		15;
get_hard(_Combat) when _Combat >= 7500001, _Combat =< 8000000 ->
		16;
get_hard(_Combat) when _Combat >= 8000001, _Combat =< 8500000 ->
		17;
get_hard(_Combat) when _Combat >= 8500001, _Combat =< 9000000 ->
		18;
get_hard(_Combat) when _Combat >= 9000001, _Combat =< 9500000 ->
		19;
get_hard(_Combat) when _Combat >= 9500001, _Combat =< 10000000 ->
		20;
get_hard(_Combat) when _Combat >= 10000001, _Combat =< 10500000 ->
		21;
get_hard(_Combat) when _Combat >= 10500001, _Combat =< 11000000 ->
		22;
get_hard(_Combat) when _Combat >= 11000001, _Combat =< 11500000 ->
		23;
get_hard(_Combat) when _Combat >= 11500001, _Combat =< 12000000 ->
		24;
get_hard(_Combat) when _Combat >= 12000001, _Combat =< 12500000 ->
		25;
get_hard(_Combat) when _Combat >= 12500001, _Combat =< 13000000 ->
		26;
get_hard(_Combat) when _Combat >= 13000001, _Combat =< 13500000 ->
		27;
get_hard(_Combat) when _Combat >= 13500001, _Combat =< 14000000 ->
		28;
get_hard(_Combat) when _Combat >= 14000001, _Combat =< 14500000 ->
		29;
get_hard(_Combat) when _Combat >= 14500001, _Combat =< 15000000 ->
		30;
get_hard(_Combat) when _Combat >= 15000001, _Combat =< 15500000 ->
		31;
get_hard(_Combat) when _Combat >= 15500001, _Combat =< 16000000 ->
		32;
get_hard(_Combat) when _Combat >= 16000001, _Combat =< 16500000 ->
		33;
get_hard(_Combat) when _Combat >= 16500001, _Combat =< 17000000 ->
		34;
get_hard(_Combat) when _Combat >= 17000001, _Combat =< 17500000 ->
		35;
get_hard(_Combat) when _Combat >= 17500001, _Combat =< 18000000 ->
		36;
get_hard(_Combat) when _Combat >= 18000001, _Combat =< 18500000 ->
		37;
get_hard(_Combat) when _Combat >= 18500001, _Combat =< 19000000 ->
		38;
get_hard(_Combat) when _Combat >= 19000001, _Combat =< 19500000 ->
		39;
get_hard(_Combat) when _Combat >= 19500001, _Combat =< 20000000 ->
		40;
get_hard(_Combat) when _Combat >= 20000001, _Combat =< 20500000 ->
		41;
get_hard(_Combat) when _Combat >= 20500001, _Combat =< 21000000 ->
		42;
get_hard(_Combat) when _Combat >= 21000001, _Combat =< 21500000 ->
		43;
get_hard(_Combat) when _Combat >= 21500001, _Combat =< 22000000 ->
		44;
get_hard(_Combat) when _Combat >= 22000001, _Combat =< 22500000 ->
		45;
get_hard(_Combat) when _Combat >= 22500001, _Combat =< 23000000 ->
		46;
get_hard(_Combat) when _Combat >= 23000001, _Combat =< 23500000 ->
		47;
get_hard(_Combat) when _Combat >= 23500001, _Combat =< 24000000 ->
		48;
get_hard(_Combat) when _Combat >= 24000001, _Combat =< 24500000 ->
		49;
get_hard(_Combat) when _Combat >= 24500001, _Combat =< 25000000 ->
		50;
get_hard(_Combat) when _Combat >= 25000001, _Combat =< 25500000 ->
		51;
get_hard(_Combat) when _Combat >= 25500001, _Combat =< 26000000 ->
		52;
get_hard(_Combat) when _Combat >= 26000001, _Combat =< 26500000 ->
		53;
get_hard(_Combat) when _Combat >= 26500001, _Combat =< 27000000 ->
		54;
get_hard(_Combat) when _Combat >= 27000001, _Combat =< 27500000 ->
		55;
get_hard(_Combat) when _Combat >= 27500001, _Combat =< 28000000 ->
		56;
get_hard(_Combat) when _Combat >= 28000001, _Combat =< 28500000 ->
		57;
get_hard(_Combat) when _Combat >= 28500001, _Combat =< 29000000 ->
		58;
get_hard(_Combat) when _Combat >= 29000001, _Combat =< 29500000 ->
		59;
get_hard(_Combat) when _Combat >= 29500001, _Combat =< 30000000 ->
		60;
get_hard(_Combat) when _Combat >= 30000001, _Combat =< 30500000 ->
		61;
get_hard(_Combat) when _Combat >= 30500001, _Combat =< 31000000 ->
		62;
get_hard(_Combat) when _Combat >= 31000001, _Combat =< 31500000 ->
		63;
get_hard(_Combat) when _Combat >= 31500001, _Combat =< 32000000 ->
		64;
get_hard(_Combat) when _Combat >= 32000001, _Combat =< 32500000 ->
		65;
get_hard(_Combat) when _Combat >= 32500001, _Combat =< 33000000 ->
		66;
get_hard(_Combat) when _Combat >= 33000001, _Combat =< 33500000 ->
		67;
get_hard(_Combat) when _Combat >= 33500001, _Combat =< 34000000 ->
		68;
get_hard(_Combat) when _Combat >= 34000001, _Combat =< 34500000 ->
		69;
get_hard(_Combat) when _Combat >= 34500001, _Combat =< 35000000 ->
		70;
get_hard(_Combat) when _Combat >= 35000001, _Combat =< 35500000 ->
		71;
get_hard(_Combat) when _Combat >= 35500001, _Combat =< 36000000 ->
		72;
get_hard(_Combat) when _Combat >= 36000001, _Combat =< 36500000 ->
		73;
get_hard(_Combat) when _Combat >= 36500001, _Combat =< 37000000 ->
		74;
get_hard(_Combat) when _Combat >= 37000001, _Combat =< 37500000 ->
		75;
get_hard(_Combat) when _Combat >= 37500001, _Combat =< 38000000 ->
		76;
get_hard(_Combat) when _Combat >= 38000001, _Combat =< 38500000 ->
		77;
get_hard(_Combat) when _Combat >= 38500001, _Combat =< 39000000 ->
		78;
get_hard(_Combat) when _Combat >= 39000001, _Combat =< 39500000 ->
		79;
get_hard(_Combat) when _Combat >= 39500001, _Combat =< 40000000 ->
		80;
get_hard(_Combat) when _Combat >= 40000001, _Combat =< 40500000 ->
		81;
get_hard(_Combat) when _Combat >= 40500001, _Combat =< 41000000 ->
		82;
get_hard(_Combat) when _Combat >= 41000001, _Combat =< 41500000 ->
		83;
get_hard(_Combat) when _Combat >= 41500001, _Combat =< 42000000 ->
		84;
get_hard(_Combat) when _Combat >= 42000001, _Combat =< 42500000 ->
		85;
get_hard(_Combat) when _Combat >= 42500001, _Combat =< 43000000 ->
		86;
get_hard(_Combat) when _Combat >= 43000001, _Combat =< 43500000 ->
		87;
get_hard(_Combat) when _Combat >= 43500001, _Combat =< 44000000 ->
		88;
get_hard(_Combat) when _Combat >= 44000001, _Combat =< 44500000 ->
		89;
get_hard(_Combat) when _Combat >= 44500001, _Combat =< 999000000 ->
		90;
get_hard(_Combat) ->
    0.

get_max_hard() -> 90.

get_fake_role_cfg(1,1,1) ->
    {186,{396900,413100},100};

get_fake_role_cfg(1,1,2) ->
    {230,{793800,826200},100};

get_fake_role_cfg(1,1,3) ->
    {247,{1190700,1239300},100};

get_fake_role_cfg(1,1,4) ->
    {265,{1587600,1652400},100};

get_fake_role_cfg(1,1,5) ->
    {285,{1984500,2065500},100};

get_fake_role_cfg(1,1,6) ->
    {303,{2381400,2478600},100};

get_fake_role_cfg(1,1,7) ->
    {318,{2778300,2891700},100};

get_fake_role_cfg(1,1,8) ->
    {333,{3175200,3304800},100};

get_fake_role_cfg(1,1,9) ->
    {348,{3572100,3717900},100};

get_fake_role_cfg(1,1,10) ->
    {358,{3969000,4131000},100};

get_fake_role_cfg(1,1,11) ->
    {368,{4365900,4544100},100};

get_fake_role_cfg(1,1,12) ->
    {378,{4762800,4957200},100};

get_fake_role_cfg(1,1,13) ->
    {389,{5159700,5370300},100};

get_fake_role_cfg(1,1,14) ->
    {399,{5556600,5783400},100};

get_fake_role_cfg(1,1,15) ->
    {410,{5953500,6196500},100};

get_fake_role_cfg(1,1,16) ->
    {422,{6350400,6609600},100};

get_fake_role_cfg(1,1,17) ->
    {434,{6747300,7022700},100};

get_fake_role_cfg(1,1,18) ->
    {445,{7144200,7435800},100};

get_fake_role_cfg(1,1,19) ->
    {454,{7541100,7848900},100};

get_fake_role_cfg(1,1,20) ->
    {462,{7938000,8262000},100};

get_fake_role_cfg(1,1,21) ->
    {470,{8334900,8675100},100};

get_fake_role_cfg(1,1,22) ->
    {477,{8731800,9088200},100};

get_fake_role_cfg(1,1,23) ->
    {485,{9128700,9501300},100};

get_fake_role_cfg(1,1,24) ->
    {493,{9525600,9914400},100};

get_fake_role_cfg(1,1,25) ->
    {500,{9922500,10327500},100};

get_fake_role_cfg(1,1,26) ->
    {506,{10319400,10740600},100};

get_fake_role_cfg(1,1,27) ->
    {512,{10716300,11153700},100};

get_fake_role_cfg(1,1,28) ->
    {519,{11113200,11566800},100};

get_fake_role_cfg(1,1,29) ->
    {525,{11510100,11979900},100};

get_fake_role_cfg(1,1,30) ->
    {531,{11907000,12393000},100};

get_fake_role_cfg(1,1,31) ->
    {537,{12303900,12806100},100};

get_fake_role_cfg(1,1,32) ->
    {543,{12700800,13219200},100};

get_fake_role_cfg(1,1,33) ->
    {549,{13097700,13632300},100};

get_fake_role_cfg(1,1,34) ->
    {555,{13494600,14045400},100};

get_fake_role_cfg(1,1,35) ->
    {562,{13891500,14458500},100};

get_fake_role_cfg(1,1,36) ->
    {568,{14288400,14871600},100};

get_fake_role_cfg(1,1,37) ->
    {574,{14685300,15284700},100};

get_fake_role_cfg(1,1,38) ->
    {580,{15082200,15697800},100};

get_fake_role_cfg(1,1,39) ->
    {587,{15479100,16110900},100};

get_fake_role_cfg(1,1,40) ->
    {593,{15876000,16524000},100};

get_fake_role_cfg(1,1,41) ->
    {599,{16272900,16937100},100};

get_fake_role_cfg(1,1,42) ->
    {605,{16669800,17350200},100};

get_fake_role_cfg(1,1,43) ->
    {610,{17066700,17763300},100};

get_fake_role_cfg(1,1,44) ->
    {615,{17463600,18176400},100};

get_fake_role_cfg(1,1,45) ->
    {621,{17860500,18589500},100};

get_fake_role_cfg(1,1,46) ->
    {626,{18257400,19002600},100};

get_fake_role_cfg(1,1,47) ->
    {631,{18654300,19415700},100};

get_fake_role_cfg(1,1,48) ->
    {637,{19051200,19828800},100};

get_fake_role_cfg(1,1,49) ->
    {642,{19448100,20241900},100};

get_fake_role_cfg(1,1,50) ->
    {647,{19845000,20655000},100};

get_fake_role_cfg(1,1,51) ->
    {652,{20241900,21068100},100};

get_fake_role_cfg(1,1,52) ->
    {657,{20638800,21481200},100};

get_fake_role_cfg(1,1,53) ->
    {662,{21035700,21894300},100};

get_fake_role_cfg(1,1,54) ->
    {667,{21432600,22307400},100};

get_fake_role_cfg(1,1,55) ->
    {672,{21829500,22720500},100};

get_fake_role_cfg(1,1,56) ->
    {676,{22226400,23133600},100};

get_fake_role_cfg(1,1,57) ->
    {681,{22623300,23546700},100};

get_fake_role_cfg(1,1,58) ->
    {686,{23020200,23959800},100};

get_fake_role_cfg(1,1,59) ->
    {691,{23417100,24372900},100};

get_fake_role_cfg(1,1,60) ->
    {695,{23814000,24786000},100};

get_fake_role_cfg(1,1,61) ->
    {700,{24210900,25199100},100};

get_fake_role_cfg(1,1,62) ->
    {706,{24607800,25612200},100};

get_fake_role_cfg(1,1,63) ->
    {711,{25004700,26025300},100};

get_fake_role_cfg(1,1,64) ->
    {716,{25401600,26438400},100};

get_fake_role_cfg(1,1,65) ->
    {721,{25798500,26851500},100};

get_fake_role_cfg(1,1,66) ->
    {727,{26195400,27264600},100};

get_fake_role_cfg(1,1,67) ->
    {732,{26592300,27677700},100};

get_fake_role_cfg(1,1,68) ->
    {737,{26989200,28090800},100};

get_fake_role_cfg(1,1,69) ->
    {742,{27386100,28503900},100};

get_fake_role_cfg(1,1,70) ->
    {748,{27783000,28917000},100};

get_fake_role_cfg(1,1,71) ->
    {753,{28179900,29330100},100};

get_fake_role_cfg(1,1,72) ->
    {757,{28576800,29743200},100};

get_fake_role_cfg(1,1,73) ->
    {762,{28973700,30156300},100};

get_fake_role_cfg(1,1,74) ->
    {766,{29370600,30569400},100};

get_fake_role_cfg(1,1,75) ->
    {771,{29767500,30982500},100};

get_fake_role_cfg(1,1,76) ->
    {776,{30164400,31395600},100};

get_fake_role_cfg(1,1,77) ->
    {780,{30561300,31808700},100};

get_fake_role_cfg(1,1,78) ->
    {785,{30958200,32221800},100};

get_fake_role_cfg(1,1,79) ->
    {789,{31355100,32634900},100};

get_fake_role_cfg(1,1,80) ->
    {794,{31752000,33048000},100};

get_fake_role_cfg(1,1,81) ->
    {799,{32148900,33461100},100};

get_fake_role_cfg(1,1,82) ->
    {800,{32545800,33874200},100};

get_fake_role_cfg(1,1,83) ->
    {800,{32942700,34287300},100};

get_fake_role_cfg(1,1,84) ->
    {800,{33339600,34700400},100};

get_fake_role_cfg(1,1,85) ->
    {800,{33736500,35113500},100};

get_fake_role_cfg(1,1,86) ->
    {800,{34133400,35526600},100};

get_fake_role_cfg(1,1,87) ->
    {800,{34530300,35939700},100};

get_fake_role_cfg(1,1,88) ->
    {800,{34927200,36352800},100};

get_fake_role_cfg(1,1,89) ->
    {800,{35324100,36765900},100};

get_fake_role_cfg(1,1,90) ->
    {800,{35721000,37179000},100};

get_fake_role_cfg(1,2,1) ->
    {191,{441000,459000},100};

get_fake_role_cfg(1,2,2) ->
    {233,{882000,918000},100};

get_fake_role_cfg(1,2,3) ->
    {253,{1323000,1377000},100};

get_fake_role_cfg(1,2,4) ->
    {274,{1764000,1836000},100};

get_fake_role_cfg(1,2,5) ->
    {296,{2205000,2295000},100};

get_fake_role_cfg(1,2,6) ->
    {313,{2646000,2754000},100};

get_fake_role_cfg(1,2,7) ->
    {329,{3087000,3213000},100};

get_fake_role_cfg(1,2,8) ->
    {346,{3528000,3672000},100};

get_fake_role_cfg(1,2,9) ->
    {358,{3969000,4131000},100};

get_fake_role_cfg(1,2,10) ->
    {370,{4410000,4590000},100};

get_fake_role_cfg(1,2,11) ->
    {381,{4851000,5049000},100};

get_fake_role_cfg(1,2,12) ->
    {392,{5292000,5508000},100};

get_fake_role_cfg(1,2,13) ->
    {404,{5733000,5967000},100};

get_fake_role_cfg(1,2,14) ->
    {417,{6174000,6426000},100};

get_fake_role_cfg(1,2,15) ->
    {430,{6615000,6885000},100};

get_fake_role_cfg(1,2,16) ->
    {443,{7056000,7344000},100};

get_fake_role_cfg(1,2,17) ->
    {454,{7497000,7803000},100};

get_fake_role_cfg(1,2,18) ->
    {462,{7938000,8262000},100};

get_fake_role_cfg(1,2,19) ->
    {471,{8379000,8721000},100};

get_fake_role_cfg(1,2,20) ->
    {479,{8820000,9180000},100};

get_fake_role_cfg(1,2,21) ->
    {488,{9261000,9639000},100};

get_fake_role_cfg(1,2,22) ->
    {496,{9702000,10098000},100};

get_fake_role_cfg(1,2,23) ->
    {504,{10143000,10557000},100};

get_fake_role_cfg(1,2,24) ->
    {510,{10584000,11016000},100};

get_fake_role_cfg(1,2,25) ->
    {517,{11025000,11475000},100};

get_fake_role_cfg(1,2,26) ->
    {524,{11466000,11934000},100};

get_fake_role_cfg(1,2,27) ->
    {531,{11907000,12393000},100};

get_fake_role_cfg(1,2,28) ->
    {537,{12348000,12852000},100};

get_fake_role_cfg(1,2,29) ->
    {544,{12789000,13311000},100};

get_fake_role_cfg(1,2,30) ->
    {551,{13230000,13770000},100};

get_fake_role_cfg(1,2,31) ->
    {558,{13671000,14229000},100};

get_fake_role_cfg(1,2,32) ->
    {565,{14112000,14688000},100};

get_fake_role_cfg(1,2,33) ->
    {572,{14553000,15147000},100};

get_fake_role_cfg(1,2,34) ->
    {579,{14994000,15606000},100};

get_fake_role_cfg(1,2,35) ->
    {586,{15435000,16065000},100};

get_fake_role_cfg(1,2,36) ->
    {593,{15876000,16524000},100};

get_fake_role_cfg(1,2,37) ->
    {600,{16317000,16983000},100};

get_fake_role_cfg(1,2,38) ->
    {606,{16758000,17442000},100};

get_fake_role_cfg(1,2,39) ->
    {612,{17199000,17901000},100};

get_fake_role_cfg(1,2,40) ->
    {618,{17640000,18360000},100};

get_fake_role_cfg(1,2,41) ->
    {624,{18081000,18819000},100};

get_fake_role_cfg(1,2,42) ->
    {630,{18522000,19278000},100};

get_fake_role_cfg(1,2,43) ->
    {636,{18963000,19737000},100};

get_fake_role_cfg(1,2,44) ->
    {642,{19404000,20196000},100};

get_fake_role_cfg(1,2,45) ->
    {647,{19845000,20655000},100};

get_fake_role_cfg(1,2,46) ->
    {653,{20286000,21114000},100};

get_fake_role_cfg(1,2,47) ->
    {658,{20727000,21573000},100};

get_fake_role_cfg(1,2,48) ->
    {664,{21168000,22032000},100};

get_fake_role_cfg(1,2,49) ->
    {669,{21609000,22491000},100};

get_fake_role_cfg(1,2,50) ->
    {674,{22050000,22950000},100};

get_fake_role_cfg(1,2,51) ->
    {680,{22491000,23409000},100};

get_fake_role_cfg(1,2,52) ->
    {685,{22932000,23868000},100};

get_fake_role_cfg(1,2,53) ->
    {690,{23373000,24327000},100};

get_fake_role_cfg(1,2,54) ->
    {695,{23814000,24786000},100};

get_fake_role_cfg(1,2,55) ->
    {701,{24255000,25245000},100};

get_fake_role_cfg(1,2,56) ->
    {707,{24696000,25704000},100};

get_fake_role_cfg(1,2,57) ->
    {713,{25137000,26163000},100};

get_fake_role_cfg(1,2,58) ->
    {718,{25578000,26622000},100};

get_fake_role_cfg(1,2,59) ->
    {724,{26019000,27081000},100};

get_fake_role_cfg(1,2,60) ->
    {730,{26460000,27540000},100};

get_fake_role_cfg(1,2,61) ->
    {736,{26901000,27999000},100};

get_fake_role_cfg(1,2,62) ->
    {742,{27342000,28458000},100};

get_fake_role_cfg(1,2,63) ->
    {748,{27783000,28917000},100};

get_fake_role_cfg(1,2,64) ->
    {753,{28224000,29376000},100};

get_fake_role_cfg(1,2,65) ->
    {758,{28665000,29835000},100};

get_fake_role_cfg(1,2,66) ->
    {763,{29106000,30294000},100};

get_fake_role_cfg(1,2,67) ->
    {768,{29547000,30753000},100};

get_fake_role_cfg(1,2,68) ->
    {774,{29988000,31212000},100};

get_fake_role_cfg(1,2,69) ->
    {779,{30429000,31671000},100};

get_fake_role_cfg(1,2,70) ->
    {784,{30870000,32130000},100};

get_fake_role_cfg(1,2,71) ->
    {789,{31311000,32589000},100};

get_fake_role_cfg(1,2,72) ->
    {794,{31752000,33048000},100};

get_fake_role_cfg(1,2,73) ->
    {799,{32193000,33507000},100};

get_fake_role_cfg(1,2,74) ->
    {800,{32634000,33966000},100};

get_fake_role_cfg(1,2,75) ->
    {800,{33075000,34425000},100};

get_fake_role_cfg(1,2,76) ->
    {800,{33516000,34884000},100};

get_fake_role_cfg(1,2,77) ->
    {800,{33957000,35343000},100};

get_fake_role_cfg(1,2,78) ->
    {800,{34398000,35802000},100};

get_fake_role_cfg(1,2,79) ->
    {800,{34839000,36261000},100};

get_fake_role_cfg(1,2,80) ->
    {800,{35280000,36720000},100};

get_fake_role_cfg(1,2,81) ->
    {800,{35721000,37179000},100};

get_fake_role_cfg(1,2,82) ->
    {800,{36162000,37638000},100};

get_fake_role_cfg(1,2,83) ->
    {800,{36603000,38097000},100};

get_fake_role_cfg(1,2,84) ->
    {800,{37044000,38556000},100};

get_fake_role_cfg(1,2,85) ->
    {800,{37485000,39015000},100};

get_fake_role_cfg(1,2,86) ->
    {800,{37926000,39474000},100};

get_fake_role_cfg(1,2,87) ->
    {800,{38367000,39933000},100};

get_fake_role_cfg(1,2,88) ->
    {800,{38808000,40392000},100};

get_fake_role_cfg(1,2,89) ->
    {800,{39249000,40851000},100};

get_fake_role_cfg(1,2,90) ->
    {800,{39690000,41310000},100};

get_fake_role_cfg(2,1,1) ->
    {186,{396900,413100},100};

get_fake_role_cfg(2,1,2) ->
    {230,{793800,826200},100};

get_fake_role_cfg(2,1,3) ->
    {247,{1190700,1239300},100};

get_fake_role_cfg(2,1,4) ->
    {265,{1587600,1652400},100};

get_fake_role_cfg(2,1,5) ->
    {285,{1984500,2065500},100};

get_fake_role_cfg(2,1,6) ->
    {303,{2381400,2478600},100};

get_fake_role_cfg(2,1,7) ->
    {318,{2778300,2891700},100};

get_fake_role_cfg(2,1,8) ->
    {333,{3175200,3304800},100};

get_fake_role_cfg(2,1,9) ->
    {348,{3572100,3717900},100};

get_fake_role_cfg(2,1,10) ->
    {358,{3969000,4131000},100};

get_fake_role_cfg(2,1,11) ->
    {368,{4365900,4544100},100};

get_fake_role_cfg(2,1,12) ->
    {378,{4762800,4957200},100};

get_fake_role_cfg(2,1,13) ->
    {389,{5159700,5370300},100};

get_fake_role_cfg(2,1,14) ->
    {399,{5556600,5783400},100};

get_fake_role_cfg(2,1,15) ->
    {410,{5953500,6196500},100};

get_fake_role_cfg(2,1,16) ->
    {422,{6350400,6609600},100};

get_fake_role_cfg(2,1,17) ->
    {434,{6747300,7022700},100};

get_fake_role_cfg(2,1,18) ->
    {445,{7144200,7435800},100};

get_fake_role_cfg(2,1,19) ->
    {454,{7541100,7848900},100};

get_fake_role_cfg(2,1,20) ->
    {462,{7938000,8262000},100};

get_fake_role_cfg(2,1,21) ->
    {470,{8334900,8675100},100};

get_fake_role_cfg(2,1,22) ->
    {477,{8731800,9088200},100};

get_fake_role_cfg(2,1,23) ->
    {485,{9128700,9501300},100};

get_fake_role_cfg(2,1,24) ->
    {493,{9525600,9914400},100};

get_fake_role_cfg(2,1,25) ->
    {500,{9922500,10327500},100};

get_fake_role_cfg(2,1,26) ->
    {506,{10319400,10740600},100};

get_fake_role_cfg(2,1,27) ->
    {512,{10716300,11153700},100};

get_fake_role_cfg(2,1,28) ->
    {519,{11113200,11566800},100};

get_fake_role_cfg(2,1,29) ->
    {525,{11510100,11979900},100};

get_fake_role_cfg(2,1,30) ->
    {531,{11907000,12393000},100};

get_fake_role_cfg(2,1,31) ->
    {537,{12303900,12806100},100};

get_fake_role_cfg(2,1,32) ->
    {543,{12700800,13219200},100};

get_fake_role_cfg(2,1,33) ->
    {549,{13097700,13632300},100};

get_fake_role_cfg(2,1,34) ->
    {555,{13494600,14045400},100};

get_fake_role_cfg(2,1,35) ->
    {562,{13891500,14458500},100};

get_fake_role_cfg(2,1,36) ->
    {568,{14288400,14871600},100};

get_fake_role_cfg(2,1,37) ->
    {574,{14685300,15284700},100};

get_fake_role_cfg(2,1,38) ->
    {580,{15082200,15697800},100};

get_fake_role_cfg(2,1,39) ->
    {587,{15479100,16110900},100};

get_fake_role_cfg(2,1,40) ->
    {593,{15876000,16524000},100};

get_fake_role_cfg(2,1,41) ->
    {599,{16272900,16937100},100};

get_fake_role_cfg(2,1,42) ->
    {605,{16669800,17350200},100};

get_fake_role_cfg(2,1,43) ->
    {610,{17066700,17763300},100};

get_fake_role_cfg(2,1,44) ->
    {615,{17463600,18176400},100};

get_fake_role_cfg(2,1,45) ->
    {621,{17860500,18589500},100};

get_fake_role_cfg(2,1,46) ->
    {626,{18257400,19002600},100};

get_fake_role_cfg(2,1,47) ->
    {631,{18654300,19415700},100};

get_fake_role_cfg(2,1,48) ->
    {637,{19051200,19828800},100};

get_fake_role_cfg(2,1,49) ->
    {642,{19448100,20241900},100};

get_fake_role_cfg(2,1,50) ->
    {647,{19845000,20655000},100};

get_fake_role_cfg(2,1,51) ->
    {652,{20241900,21068100},100};

get_fake_role_cfg(2,1,52) ->
    {657,{20638800,21481200},100};

get_fake_role_cfg(2,1,53) ->
    {662,{21035700,21894300},100};

get_fake_role_cfg(2,1,54) ->
    {667,{21432600,22307400},100};

get_fake_role_cfg(2,1,55) ->
    {672,{21829500,22720500},100};

get_fake_role_cfg(2,1,56) ->
    {676,{22226400,23133600},100};

get_fake_role_cfg(2,1,57) ->
    {681,{22623300,23546700},100};

get_fake_role_cfg(2,1,58) ->
    {686,{23020200,23959800},100};

get_fake_role_cfg(2,1,59) ->
    {691,{23417100,24372900},100};

get_fake_role_cfg(2,1,60) ->
    {695,{23814000,24786000},100};

get_fake_role_cfg(2,1,61) ->
    {700,{24210900,25199100},100};

get_fake_role_cfg(2,1,62) ->
    {706,{24607800,25612200},100};

get_fake_role_cfg(2,1,63) ->
    {711,{25004700,26025300},100};

get_fake_role_cfg(2,1,64) ->
    {716,{25401600,26438400},100};

get_fake_role_cfg(2,1,65) ->
    {721,{25798500,26851500},100};

get_fake_role_cfg(2,1,66) ->
    {727,{26195400,27264600},100};

get_fake_role_cfg(2,1,67) ->
    {732,{26592300,27677700},100};

get_fake_role_cfg(2,1,68) ->
    {737,{26989200,28090800},100};

get_fake_role_cfg(2,1,69) ->
    {742,{27386100,28503900},100};

get_fake_role_cfg(2,1,70) ->
    {748,{27783000,28917000},100};

get_fake_role_cfg(2,1,71) ->
    {753,{28179900,29330100},100};

get_fake_role_cfg(2,1,72) ->
    {757,{28576800,29743200},100};

get_fake_role_cfg(2,1,73) ->
    {762,{28973700,30156300},100};

get_fake_role_cfg(2,1,74) ->
    {766,{29370600,30569400},100};

get_fake_role_cfg(2,1,75) ->
    {771,{29767500,30982500},100};

get_fake_role_cfg(2,1,76) ->
    {776,{30164400,31395600},100};

get_fake_role_cfg(2,1,77) ->
    {780,{30561300,31808700},100};

get_fake_role_cfg(2,1,78) ->
    {785,{30958200,32221800},100};

get_fake_role_cfg(2,1,79) ->
    {789,{31355100,32634900},100};

get_fake_role_cfg(2,1,80) ->
    {794,{31752000,33048000},100};

get_fake_role_cfg(2,1,81) ->
    {799,{32148900,33461100},100};

get_fake_role_cfg(2,1,82) ->
    {800,{32545800,33874200},100};

get_fake_role_cfg(2,1,83) ->
    {800,{32942700,34287300},100};

get_fake_role_cfg(2,1,84) ->
    {800,{33339600,34700400},100};

get_fake_role_cfg(2,1,85) ->
    {800,{33736500,35113500},100};

get_fake_role_cfg(2,1,86) ->
    {800,{34133400,35526600},100};

get_fake_role_cfg(2,1,87) ->
    {800,{34530300,35939700},100};

get_fake_role_cfg(2,1,88) ->
    {800,{34927200,36352800},100};

get_fake_role_cfg(2,1,89) ->
    {800,{35324100,36765900},100};

get_fake_role_cfg(2,1,90) ->
    {800,{35721000,37179000},100};

get_fake_role_cfg(2,2,1) ->
    {191,{441000,459000},100};

get_fake_role_cfg(2,2,2) ->
    {233,{882000,918000},100};

get_fake_role_cfg(2,2,3) ->
    {253,{1323000,1377000},100};

get_fake_role_cfg(2,2,4) ->
    {274,{1764000,1836000},100};

get_fake_role_cfg(2,2,5) ->
    {296,{2205000,2295000},100};

get_fake_role_cfg(2,2,6) ->
    {313,{2646000,2754000},100};

get_fake_role_cfg(2,2,7) ->
    {329,{3087000,3213000},100};

get_fake_role_cfg(2,2,8) ->
    {346,{3528000,3672000},100};

get_fake_role_cfg(2,2,9) ->
    {358,{3969000,4131000},100};

get_fake_role_cfg(2,2,10) ->
    {370,{4410000,4590000},100};

get_fake_role_cfg(2,2,11) ->
    {381,{4851000,5049000},100};

get_fake_role_cfg(2,2,12) ->
    {392,{5292000,5508000},100};

get_fake_role_cfg(2,2,13) ->
    {404,{5733000,5967000},100};

get_fake_role_cfg(2,2,14) ->
    {417,{6174000,6426000},100};

get_fake_role_cfg(2,2,15) ->
    {430,{6615000,6885000},100};

get_fake_role_cfg(2,2,16) ->
    {443,{7056000,7344000},100};

get_fake_role_cfg(2,2,17) ->
    {454,{7497000,7803000},100};

get_fake_role_cfg(2,2,18) ->
    {462,{7938000,8262000},100};

get_fake_role_cfg(2,2,19) ->
    {471,{8379000,8721000},100};

get_fake_role_cfg(2,2,20) ->
    {479,{8820000,9180000},100};

get_fake_role_cfg(2,2,21) ->
    {488,{9261000,9639000},100};

get_fake_role_cfg(2,2,22) ->
    {496,{9702000,10098000},100};

get_fake_role_cfg(2,2,23) ->
    {504,{10143000,10557000},100};

get_fake_role_cfg(2,2,24) ->
    {510,{10584000,11016000},100};

get_fake_role_cfg(2,2,25) ->
    {517,{11025000,11475000},100};

get_fake_role_cfg(2,2,26) ->
    {524,{11466000,11934000},100};

get_fake_role_cfg(2,2,27) ->
    {531,{11907000,12393000},100};

get_fake_role_cfg(2,2,28) ->
    {537,{12348000,12852000},100};

get_fake_role_cfg(2,2,29) ->
    {544,{12789000,13311000},100};

get_fake_role_cfg(2,2,30) ->
    {551,{13230000,13770000},100};

get_fake_role_cfg(2,2,31) ->
    {558,{13671000,14229000},100};

get_fake_role_cfg(2,2,32) ->
    {565,{14112000,14688000},100};

get_fake_role_cfg(2,2,33) ->
    {572,{14553000,15147000},100};

get_fake_role_cfg(2,2,34) ->
    {579,{14994000,15606000},100};

get_fake_role_cfg(2,2,35) ->
    {586,{15435000,16065000},100};

get_fake_role_cfg(2,2,36) ->
    {593,{15876000,16524000},100};

get_fake_role_cfg(2,2,37) ->
    {600,{16317000,16983000},100};

get_fake_role_cfg(2,2,38) ->
    {606,{16758000,17442000},100};

get_fake_role_cfg(2,2,39) ->
    {612,{17199000,17901000},100};

get_fake_role_cfg(2,2,40) ->
    {618,{17640000,18360000},100};

get_fake_role_cfg(2,2,41) ->
    {624,{18081000,18819000},100};

get_fake_role_cfg(2,2,42) ->
    {630,{18522000,19278000},100};

get_fake_role_cfg(2,2,43) ->
    {636,{18963000,19737000},100};

get_fake_role_cfg(2,2,44) ->
    {642,{19404000,20196000},100};

get_fake_role_cfg(2,2,45) ->
    {647,{19845000,20655000},100};

get_fake_role_cfg(2,2,46) ->
    {653,{20286000,21114000},100};

get_fake_role_cfg(2,2,47) ->
    {658,{20727000,21573000},100};

get_fake_role_cfg(2,2,48) ->
    {664,{21168000,22032000},100};

get_fake_role_cfg(2,2,49) ->
    {669,{21609000,22491000},100};

get_fake_role_cfg(2,2,50) ->
    {674,{22050000,22950000},100};

get_fake_role_cfg(2,2,51) ->
    {680,{22491000,23409000},100};

get_fake_role_cfg(2,2,52) ->
    {685,{22932000,23868000},100};

get_fake_role_cfg(2,2,53) ->
    {690,{23373000,24327000},100};

get_fake_role_cfg(2,2,54) ->
    {695,{23814000,24786000},100};

get_fake_role_cfg(2,2,55) ->
    {701,{24255000,25245000},100};

get_fake_role_cfg(2,2,56) ->
    {707,{24696000,25704000},100};

get_fake_role_cfg(2,2,57) ->
    {713,{25137000,26163000},100};

get_fake_role_cfg(2,2,58) ->
    {718,{25578000,26622000},100};

get_fake_role_cfg(2,2,59) ->
    {724,{26019000,27081000},100};

get_fake_role_cfg(2,2,60) ->
    {730,{26460000,27540000},100};

get_fake_role_cfg(2,2,61) ->
    {736,{26901000,27999000},100};

get_fake_role_cfg(2,2,62) ->
    {742,{27342000,28458000},100};

get_fake_role_cfg(2,2,63) ->
    {748,{27783000,28917000},100};

get_fake_role_cfg(2,2,64) ->
    {753,{28224000,29376000},100};

get_fake_role_cfg(2,2,65) ->
    {758,{28665000,29835000},100};

get_fake_role_cfg(2,2,66) ->
    {763,{29106000,30294000},100};

get_fake_role_cfg(2,2,67) ->
    {768,{29547000,30753000},100};

get_fake_role_cfg(2,2,68) ->
    {774,{29988000,31212000},100};

get_fake_role_cfg(2,2,69) ->
    {779,{30429000,31671000},100};

get_fake_role_cfg(2,2,70) ->
    {784,{30870000,32130000},100};

get_fake_role_cfg(2,2,71) ->
    {789,{31311000,32589000},100};

get_fake_role_cfg(2,2,72) ->
    {794,{31752000,33048000},100};

get_fake_role_cfg(2,2,73) ->
    {799,{32193000,33507000},100};

get_fake_role_cfg(2,2,74) ->
    {800,{32634000,33966000},100};

get_fake_role_cfg(2,2,75) ->
    {800,{33075000,34425000},100};

get_fake_role_cfg(2,2,76) ->
    {800,{33516000,34884000},100};

get_fake_role_cfg(2,2,77) ->
    {800,{33957000,35343000},100};

get_fake_role_cfg(2,2,78) ->
    {800,{34398000,35802000},100};

get_fake_role_cfg(2,2,79) ->
    {800,{34839000,36261000},100};

get_fake_role_cfg(2,2,80) ->
    {800,{35280000,36720000},100};

get_fake_role_cfg(2,2,81) ->
    {800,{35721000,37179000},100};

get_fake_role_cfg(2,2,82) ->
    {800,{36162000,37638000},100};

get_fake_role_cfg(2,2,83) ->
    {800,{36603000,38097000},100};

get_fake_role_cfg(2,2,84) ->
    {800,{37044000,38556000},100};

get_fake_role_cfg(2,2,85) ->
    {800,{37485000,39015000},100};

get_fake_role_cfg(2,2,86) ->
    {800,{37926000,39474000},100};

get_fake_role_cfg(2,2,87) ->
    {800,{38367000,39933000},100};

get_fake_role_cfg(2,2,88) ->
    {800,{38808000,40392000},100};

get_fake_role_cfg(2,2,89) ->
    {800,{39249000,40851000},100};

get_fake_role_cfg(2,2,90) ->
    {800,{39690000,41310000},100};

get_fake_role_cfg(_Type,_Area,_Hard) ->
    [].

