%%%---------------------------------------
%%% module      : data_legion
%%% description : 跨服战团配置
%%%
%%%---------------------------------------
-module(data_legion).
-compile(export_all).
-include("kf_legion.hrl").



get_task(1) ->
    #base_legion_task{id = 1,color = 1,desc = <<"挑战1次经验闯关"/utf8>>,content = {610,2,1},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(2) ->
    #base_legion_task{id = 2,color = 1,desc = <<"在社团晚宴赛马活动中投注1次"/utf8>>,content = {142,0,1},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(3) ->
    #base_legion_task{id = 3,color = 1,desc = <<"完成经验跑环10环"/utf8>>,content = {300,1,10},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(4) ->
    #base_legion_task{id = 4,color = 1,desc = <<"好友送礼1次"/utf8>>,content = {223,0,1},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(5) ->
    #base_legion_task{id = 5,color = 1,desc = <<"通关5次进阶副本"/utf8>>,content = {610,1,5},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(6) ->
    #base_legion_task{id = 6,color = 1,desc = <<"参与10次竞技联赛"/utf8>>,content = {280,0,10},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(7) ->
    #base_legion_task{id = 7,color = 1,desc = <<"击杀1次专属幻魔"/utf8>>,content = {460,1,1},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(8) ->
    #base_legion_task{id = 8,color = 1,desc = <<"击杀1次赏金幻魔"/utf8>>,content = {460,3,1},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(9) ->
    #base_legion_task{id = 9,color = 1,desc = <<"击杀1次星域幻魔"/utf8>>,content = {461,1,1},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(10) ->
    #base_legion_task{id = 10,color = 1,desc = <<"击杀1次星域精英"/utf8>>,content = {461,2,1},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(11) ->
    #base_legion_task{id = 11,color = 1,desc = <<"参与1次护送"/utf8>>,content = {500,1,1},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(12) ->
    #base_legion_task{id = 12,color = 1,desc = <<"通关1次装备副本"/utf8>>,content = {215,1,1},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(13) ->
    #base_legion_task{id = 13,color = 1,desc = <<"消费100红钻"/utf8>>,content = {631,1,100},awards = [{4,100003,5},{34,100018,25}],active = 150};

get_task(14) ->
    #base_legion_task{id = 14,color = 1,desc = <<"充值10彩钻"/utf8>>,content = {158,0,10},awards = [{4,100003,5},{34,100018,25}],active = 150};

get_task(15) ->
    #base_legion_task{id = 15,color = 1,desc = <<"消费10彩钻"/utf8>>,content = {631,0,10},awards = [{4,100003,5},{34,100018,25}],active = 150};

get_task(16) ->
    #base_legion_task{id = 16,color = 2,desc = <<"挑战1次幻光副本"/utf8>>,content = {610,7,1},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(17) ->
    #base_legion_task{id = 17,color = 2,desc = <<"在社团封印裂隙中封印10次"/utf8>>,content = {408,0,10},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(18) ->
    #base_legion_task{id = 18,color = 2,desc = <<"参与击杀社团幻魔1次"/utf8>>,content = {406,0,1},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(19) ->
    #base_legion_task{id = 19,color = 2,desc = <<"好友送礼3次"/utf8>>,content = {223,0,3},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(20) ->
    #base_legion_task{id = 20,color = 2,desc = <<"通关8次进阶副本"/utf8>>,content = {610,1,8},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(21) ->
    #base_legion_task{id = 21,color = 2,desc = <<"参与15次竞技联赛"/utf8>>,content = {280,0,15},awards = [{4,100003,5},{34,100018,25}],active = 150};

get_task(22) ->
    #base_legion_task{id = 22,color = 2,desc = <<"击杀2次专属幻魔"/utf8>>,content = {460,1,2},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(23) ->
    #base_legion_task{id = 23,color = 2,desc = <<"击杀2次赏金幻魔"/utf8>>,content = {460,3,2},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(24) ->
    #base_legion_task{id = 24,color = 2,desc = <<"击杀2次星域幻魔"/utf8>>,content = {461,1,2},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(25) ->
    #base_legion_task{id = 25,color = 2,desc = <<"击杀3次星域精英"/utf8>>,content = {461,2,3},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(26) ->
    #base_legion_task{id = 26,color = 2,desc = <<"参与2次护送"/utf8>>,content = {500,1,2},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(27) ->
    #base_legion_task{id = 27,color = 2,desc = <<"通关3次装备副本"/utf8>>,content = {215,1,3},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(28) ->
    #base_legion_task{id = 28,color = 2,desc = <<"消费200红钻"/utf8>>,content = {631,1,200},awards = [{4,100003,5},{34,100018,40}],active = 200};

get_task(29) ->
    #base_legion_task{id = 29,color = 2,desc = <<"充值100彩钻"/utf8>>,content = {158,0,100},awards = [{4,100003,5},{34,100018,40}],active = 200};

get_task(30) ->
    #base_legion_task{id = 30,color = 2,desc = <<"消费50彩钻"/utf8>>,content = {631,0,50},awards = [{4,100003,5},{34,100018,40}],active = 200};

get_task(31) ->
    #base_legion_task{id = 31,color = 3,desc = <<"在社团封印裂隙中封印20次"/utf8>>,content = {408,0,20},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(32) ->
    #base_legion_task{id = 32,color = 3,desc = <<"参与击杀社团幻魔2次"/utf8>>,content = {406,0,2},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(33) ->
    #base_legion_task{id = 33,color = 3,desc = <<"参与1次舞池派对"/utf8>>,content = {418,0,1},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(34) ->
    #base_legion_task{id = 34,color = 3,desc = <<"好友送礼5次"/utf8>>,content = {223,0,5},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(35) ->
    #base_legion_task{id = 35,color = 3,desc = <<"通关12次进阶副本"/utf8>>,content = {610,1,12},awards = [{4,100003,5},{34,100018,25}],active = 150};

get_task(36) ->
    #base_legion_task{id = 36,color = 3,desc = <<"参与20次竞技联赛"/utf8>>,content = {280,0,20},awards = [{4,100003,5},{34,100018,25}],active = 150};

get_task(37) ->
    #base_legion_task{id = 37,color = 3,desc = <<"击杀3次专属幻魔"/utf8>>,content = {460,1,3},awards = [{4,100003,5},{34,100018,25}],active = 150};

get_task(38) ->
    #base_legion_task{id = 38,color = 3,desc = <<"击杀3次赏金幻魔"/utf8>>,content = {460,3,3},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(39) ->
    #base_legion_task{id = 39,color = 3,desc = <<"击杀3次星域幻魔"/utf8>>,content = {461,1,3},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(40) ->
    #base_legion_task{id = 40,color = 3,desc = <<"击杀6次星域精英"/utf8>>,content = {461,2,6},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(41) ->
    #base_legion_task{id = 41,color = 3,desc = <<"参与3次护送"/utf8>>,content = {500,1,3},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(42) ->
    #base_legion_task{id = 42,color = 3,desc = <<"通关6次装备副本"/utf8>>,content = {215,1,6},awards = [{4,100003,5},{34,100018,15}],active = 100};

get_task(43) ->
    #base_legion_task{id = 43,color = 3,desc = <<"消费500红钻"/utf8>>,content = {631,1,500},awards = [{4,100003,5},{34,100018,60}],active = 500};

get_task(44) ->
    #base_legion_task{id = 44,color = 3,desc = <<"充值500彩钻"/utf8>>,content = {158,0,500},awards = [{4,100003,5},{34,100018,60}],active = 500};

get_task(45) ->
    #base_legion_task{id = 45,color = 3,desc = <<"消费200彩钻"/utf8>>,content = {631,0,200},awards = [{4,100003,5},{34,100018,60}],active = 500};

get_task(_Id) ->
    [].

get_all() ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45].

get_active_awards(1) ->
    #base_legion_active_award{id = 1,round = 1,active = 1000,awards = [{0,280101,1}]};

get_active_awards(2) ->
    #base_legion_active_award{id = 2,round = 1,active = 1500,awards = [{0,280101,1}]};

get_active_awards(3) ->
    #base_legion_active_award{id = 3,round = 1,active = 2000,awards = [{0,100019,1}]};

get_active_awards(4) ->
    #base_legion_active_award{id = 4,round = 1,active = 2500,awards = [{0,280301,1}]};

get_active_awards(5) ->
    #base_legion_active_award{id = 5,round = 1,active = 3000,awards = [{0,100019,1}]};

get_active_awards(6) ->
    #base_legion_active_award{id = 6,round = 2,active = 3500,awards = [{0,280101,1}]};

get_active_awards(7) ->
    #base_legion_active_award{id = 7,round = 2,active = 4000,awards = [{0,280301,1}]};

get_active_awards(8) ->
    #base_legion_active_award{id = 8,round = 2,active = 4500,awards = [{0,280101,2}]};

get_active_awards(9) ->
    #base_legion_active_award{id = 9,round = 2,active = 5000,awards = [{0,280101,3}]};

get_active_awards(10) ->
    #base_legion_active_award{id = 10,round = 2,active = 6000,awards = [{0,100019,1}]};

get_active_awards(_Id) ->
    [].

%%执政官员记录排名最大显示数量
get(chairman_max_rank) ->
    15;

%%执政官员称号奖励
get(chairman_reward) ->
    [{17,433031,1}];

%%战功排行可膜拜名次
get(click_rank) ->
    5;

%%指挥官员记录排名最大显示数量
get(commander_max_rank) ->
    15;

%%指挥官员称号奖励
get(commander_reward) ->
    [{17,433032,1}];

%%战功排名最大显示数量
get(honor_max_rank) ->
    50;

%%单次膜拜奖励
get(like_reward) ->
    [{4,100003,50}];

%%军衔排行重新分区后数据整理，马上同步条件限制天数（n天后需上线才同步）
get(limit_day) ->
    3;

%%最低上榜积分
get(min_score) ->
    100;

get(_Key) ->
    [].

get_rank_awards(Rank) when 1 =< Rank, Rank =< 1 ->
		[{0,100019,3},{4,100003,200},{0,450023,10}];
get_rank_awards(Rank) when 2 =< Rank, Rank =< 5 ->
		[{0,100019,3},{4,100003,180},{0,450023,5}];
get_rank_awards(Rank) when 6 =< Rank, Rank =< 10 ->
		[{0,100019,3},{4,100003,150},{0,450023,3}];
get_rank_awards(Rank) when 11 =< Rank, Rank =< 20 ->
		[{0,100019,2},{4,100003,120},{0,450023,2}];
get_rank_awards(Rank) when 21 =< Rank, Rank =< 30 ->
		[{0,100019,2},{4,100003,100}];
get_rank_awards(Rank) when 31 =< Rank, Rank =< 50 ->
		[{0,100019,2},{4,100003,80}];
get_rank_awards(Rank) when 51 =< Rank, Rank =< 70 ->
		[{0,100019,1},{4,100003,60}];
get_rank_awards(Rank) when 71 =< Rank, Rank =< 100 ->
		[{0,100019,1},{4,100003,50}];
get_rank_awards(Rank) when 101 =< Rank, Rank =< 9999 ->
		[{0,100019,1},{4,100003,40}];
get_rank_awards(_Rank) ->
    [].

get_legion_post(0) ->
    #base_legion_post{lv = 0,next = 1,need = 1200000,attr = [{1,200},{2,2000},{4,16},{5,12}],cost = [{0,100019,1}]};

get_legion_post(1) ->
    #base_legion_post{lv = 1,next = 2,need = 1250000,attr = [{1,400},{2,4000},{4,32},{5,24}],cost = [{0,100019,1}]};

get_legion_post(2) ->
    #base_legion_post{lv = 2,next = 3,need = 1300000,attr = [{1,600},{2,6000},{4,48},{5,36}],cost = [{0,100019,1}]};

get_legion_post(3) ->
    #base_legion_post{lv = 3,next = 4,need = 1350000,attr = [{1,800},{2,8000},{4,64},{5,48}],cost = [{0,100019,1}]};

get_legion_post(4) ->
    #base_legion_post{lv = 4,next = 5,need = 1400000,attr = [{1,1000},{2,10000},{4,80},{5,60}],cost = [{0,100019,1}]};

get_legion_post(5) ->
    #base_legion_post{lv = 5,next = 6,need = 1450000,attr = [{1,1200},{2,12000},{4,96},{5,72}],cost = [{0,100019,1}]};

get_legion_post(6) ->
    #base_legion_post{lv = 6,next = 7,need = 1500000,attr = [{1,1400},{2,14000},{4,112},{5,84}],cost = [{0,100019,1}]};

get_legion_post(7) ->
    #base_legion_post{lv = 7,next = 8,need = 1550000,attr = [{1,1600},{2,16000},{4,128},{5,96}],cost = [{0,100019,1}]};

get_legion_post(8) ->
    #base_legion_post{lv = 8,next = 9,need = 1600000,attr = [{1,1800},{2,18000},{4,144},{5,108}],cost = [{0,100019,1}]};

get_legion_post(9) ->
    #base_legion_post{lv = 9,next = 10,need = 1650000,attr = [{1,2000},{2,20000},{4,160},{5,120}],cost = [{0,100019,1}]};

get_legion_post(10) ->
    #base_legion_post{lv = 10,next = 11,need = 1700000,attr = [{1,2200},{2,22000},{4,176},{5,132}],cost = [{0,100019,1}]};

get_legion_post(11) ->
    #base_legion_post{lv = 11,next = 12,need = 1750000,attr = [{1,2400},{2,24000},{4,192},{5,144}],cost = [{0,100019,1}]};

get_legion_post(12) ->
    #base_legion_post{lv = 12,next = 13,need = 1800000,attr = [{1,2600},{2,26000},{4,208},{5,156}],cost = [{0,100019,1}]};

get_legion_post(13) ->
    #base_legion_post{lv = 13,next = 14,need = 1850000,attr = [{1,2800},{2,28000},{4,224},{5,168}],cost = [{0,100019,1}]};

get_legion_post(14) ->
    #base_legion_post{lv = 14,next = 15,need = 1900000,attr = [{1,3000},{2,30000},{4,240},{5,180}],cost = [{0,100019,1}]};

get_legion_post(15) ->
    #base_legion_post{lv = 15,next = 16,need = 1950000,attr = [{1,3200},{2,32000},{4,256},{5,192}],cost = [{0,100019,1}]};

get_legion_post(16) ->
    #base_legion_post{lv = 16,next = 17,need = 2000000,attr = [{1,3400},{2,34000},{4,272},{5,204}],cost = [{0,100019,1}]};

get_legion_post(17) ->
    #base_legion_post{lv = 17,next = 18,need = 2050000,attr = [{1,3600},{2,36000},{4,288},{5,216}],cost = [{0,100019,1}]};

get_legion_post(18) ->
    #base_legion_post{lv = 18,next = 19,need = 2100000,attr = [{1,3800},{2,38000},{4,304},{5,228}],cost = [{0,100019,1}]};

get_legion_post(19) ->
    #base_legion_post{lv = 19,next = 20,need = 2150000,attr = [{1,4000},{2,40000},{4,320},{5,240}],cost = [{0,100019,1}]};

get_legion_post(20) ->
    #base_legion_post{lv = 20,next = 21,need = 2200000,attr = [{1,4200},{2,42000},{4,336},{5,252}],cost = [{0,100019,1}]};

get_legion_post(21) ->
    #base_legion_post{lv = 21,next = 22,need = 2250000,attr = [{1,4400},{2,44000},{4,352},{5,264}],cost = [{0,100019,1}]};

get_legion_post(22) ->
    #base_legion_post{lv = 22,next = 23,need = 2300000,attr = [{1,4600},{2,46000},{4,368},{5,276}],cost = [{0,100019,1}]};

get_legion_post(23) ->
    #base_legion_post{lv = 23,next = 24,need = 2350000,attr = [{1,4800},{2,48000},{4,384},{5,288}],cost = [{0,100019,1}]};

get_legion_post(24) ->
    #base_legion_post{lv = 24,next = 25,need = 2400000,attr = [{1,5000},{2,50000},{4,400},{5,300}],cost = [{0,100019,2}]};

get_legion_post(25) ->
    #base_legion_post{lv = 25,next = 26,need = 2450000,attr = [{1,5200},{2,52000},{4,416},{5,312}],cost = [{0,100019,2}]};

get_legion_post(26) ->
    #base_legion_post{lv = 26,next = 27,need = 2500000,attr = [{1,5400},{2,54000},{4,432},{5,324}],cost = [{0,100019,2}]};

get_legion_post(27) ->
    #base_legion_post{lv = 27,next = 28,need = 2550000,attr = [{1,5600},{2,56000},{4,448},{5,336}],cost = [{0,100019,2}]};

get_legion_post(28) ->
    #base_legion_post{lv = 28,next = 29,need = 2600000,attr = [{1,5800},{2,58000},{4,464},{5,348}],cost = [{0,100019,2}]};

get_legion_post(29) ->
    #base_legion_post{lv = 29,next = 30,need = 2650000,attr = [{1,6000},{2,60000},{4,480},{5,360}],cost = [{0,100019,2}]};

get_legion_post(30) ->
    #base_legion_post{lv = 30,next = 31,need = 2700000,attr = [{1,6200},{2,62000},{4,496},{5,372}],cost = [{0,100019,2}]};

get_legion_post(31) ->
    #base_legion_post{lv = 31,next = 32,need = 2750000,attr = [{1,6400},{2,64000},{4,512},{5,384}],cost = [{0,100019,2}]};

get_legion_post(32) ->
    #base_legion_post{lv = 32,next = 33,need = 2800000,attr = [{1,6600},{2,66000},{4,528},{5,396}],cost = [{0,100019,2}]};

get_legion_post(33) ->
    #base_legion_post{lv = 33,next = 34,need = 2850000,attr = [{1,6800},{2,68000},{4,544},{5,408}],cost = [{0,100019,2}]};

get_legion_post(34) ->
    #base_legion_post{lv = 34,next = 35,need = 2900000,attr = [{1,7000},{2,70000},{4,560},{5,420}],cost = [{0,100019,2}]};

get_legion_post(35) ->
    #base_legion_post{lv = 35,next = 36,need = 2950000,attr = [{1,7200},{2,72000},{4,576},{5,432}],cost = [{0,100019,2}]};

get_legion_post(36) ->
    #base_legion_post{lv = 36,next = 37,need = 3000000,attr = [{1,7400},{2,74000},{4,592},{5,444}],cost = [{0,100019,2}]};

get_legion_post(37) ->
    #base_legion_post{lv = 37,next = 38,need = 3050000,attr = [{1,7600},{2,76000},{4,608},{5,456}],cost = [{0,100019,2}]};

get_legion_post(38) ->
    #base_legion_post{lv = 38,next = 39,need = 3100000,attr = [{1,7800},{2,78000},{4,624},{5,468}],cost = [{0,100019,2}]};

get_legion_post(39) ->
    #base_legion_post{lv = 39,next = 40,need = 3150000,attr = [{1,8000},{2,80000},{4,640},{5,480}],cost = [{0,100019,2}]};

get_legion_post(40) ->
    #base_legion_post{lv = 40,next = 41,need = 3200000,attr = [{1,8200},{2,82000},{4,656},{5,492}],cost = [{0,100019,2}]};

get_legion_post(41) ->
    #base_legion_post{lv = 41,next = 42,need = 3250000,attr = [{1,8400},{2,84000},{4,672},{5,504}],cost = [{0,100019,3}]};

get_legion_post(42) ->
    #base_legion_post{lv = 42,next = 43,need = 3300000,attr = [{1,8600},{2,86000},{4,688},{5,516}],cost = [{0,100019,3}]};

get_legion_post(43) ->
    #base_legion_post{lv = 43,next = 44,need = 3350000,attr = [{1,8800},{2,88000},{4,704},{5,528}],cost = [{0,100019,3}]};

get_legion_post(44) ->
    #base_legion_post{lv = 44,next = 45,need = 3400000,attr = [{1,9000},{2,90000},{4,720},{5,540}],cost = [{0,100019,3}]};

get_legion_post(45) ->
    #base_legion_post{lv = 45,next = 46,need = 3450000,attr = [{1,9200},{2,92000},{4,736},{5,552}],cost = [{0,100019,3}]};

get_legion_post(46) ->
    #base_legion_post{lv = 46,next = 47,need = 3500000,attr = [{1,9400},{2,94000},{4,752},{5,564}],cost = [{0,100019,4}]};

get_legion_post(47) ->
    #base_legion_post{lv = 47,next = 48,need = 4000000,attr = [{1,9600},{2,96000},{4,768},{5,576}],cost = [{0,100019,4}]};

get_legion_post(48) ->
    #base_legion_post{lv = 48,next = 49,need = 4500000,attr = [{1,9800},{2,98000},{4,784},{5,588}],cost = [{0,100019,4}]};

get_legion_post(49) ->
    #base_legion_post{lv = 49,next = 50,need = 5000000,attr = [{1,10000},{2,100000},{4,800},{5,600}],cost = [{0,100019,4}]};

get_legion_post(50) ->
    #base_legion_post{lv = 50,next = 51,need = 6000000,attr = [{1,10200},{2,102000},{4,816},{5,612}],cost = [{0,100019,5}]};

get_legion_post(51) ->
    #base_legion_post{lv = 51,next = 52,need = 7000000,attr = [{1,10400},{2,104000},{4,832},{5,624}],cost = [{0,100019,5}]};

get_legion_post(52) ->
    #base_legion_post{lv = 52,next = 53,need = 8000000,attr = [{1,10600},{2,106000},{4,848},{5,636}],cost = [{0,100019,5}]};

get_legion_post(53) ->
    #base_legion_post{lv = 53,next = 54,need = 9000000,attr = [{1,10800},{2,108000},{4,864},{5,648}],cost = [{0,100019,6}]};

get_legion_post(54) ->
    #base_legion_post{lv = 54,next = 55,need = 10000000,attr = [{1,11000},{2,110000},{4,880},{5,660}],cost = [{0,100019,6}]};

get_legion_post(55) ->
    #base_legion_post{lv = 55,next = 56,need = 11000000,attr = [{1,11200},{2,112000},{4,896},{5,672}],cost = [{0,100019,7}]};

get_legion_post(56) ->
    #base_legion_post{lv = 56,next = 57,need = 12000000,attr = [{1,11400},{2,114000},{4,912},{5,684}],cost = [{0,100019,8}]};

get_legion_post(57) ->
    #base_legion_post{lv = 57,next = 58,need = 13000000,attr = [{1,11600},{2,116000},{4,928},{5,696}],cost = [{0,100019,9}]};

get_legion_post(58) ->
    #base_legion_post{lv = 58,next = 59,need = 14000000,attr = [{1,11800},{2,118000},{4,944},{5,708}],cost = [{0,100019,10}]};

get_legion_post(59) ->
    #base_legion_post{lv = 59,next = 60,need = 15000000,attr = [{1,12000},{2,120000},{4,960},{5,720}],cost = [{0,100019,11}]};

get_legion_post(60) ->
    #base_legion_post{lv = 60,next = 61,need = 16000000,attr = [{1,12200},{2,122000},{4,976},{5,732}],cost = [{0,100019,12}]};

get_legion_post(61) ->
    #base_legion_post{lv = 61,next = 62,need = 17000000,attr = [{1,12400},{2,124000},{4,992},{5,744}],cost = [{0,100019,13}]};

get_legion_post(62) ->
    #base_legion_post{lv = 62,next = 63,need = 18000000,attr = [{1,12600},{2,126000},{4,1008},{5,756}],cost = [{0,100019,14}]};

get_legion_post(63) ->
    #base_legion_post{lv = 63,next = 64,need = 19000000,attr = [{1,12800},{2,128000},{4,1024},{5,768}],cost = [{0,100019,15}]};

get_legion_post(64) ->
    #base_legion_post{lv = 64,next = 65,need = 20000000,attr = [{1,13000},{2,130000},{4,1040},{5,780}],cost = [{0,100019,16}]};

get_legion_post(65) ->
    #base_legion_post{lv = 65,next = 66,need = 21000000,attr = [{1,13200},{2,132000},{4,1056},{5,792}],cost = [{0,100019,17}]};

get_legion_post(66) ->
    #base_legion_post{lv = 66,next = 67,need = 22000000,attr = [{1,13400},{2,134000},{4,1072},{5,804}],cost = [{0,100019,18}]};

get_legion_post(67) ->
    #base_legion_post{lv = 67,next = 68,need = 23000000,attr = [{1,13600},{2,136000},{4,1088},{5,816}],cost = [{0,100019,19}]};

get_legion_post(68) ->
    #base_legion_post{lv = 68,next = 69,need = 24000000,attr = [{1,13800},{2,138000},{4,1104},{5,828}],cost = [{0,100019,20}]};

get_legion_post(69) ->
    #base_legion_post{lv = 69,next = 70,need = 25000000,attr = [{1,14000},{2,140000},{4,1120},{5,840}],cost = [{0,100019,22}]};

get_legion_post(70) ->
    #base_legion_post{lv = 70,next = 71,need = 26000000,attr = [{1,14200},{2,142000},{4,1136},{5,852}],cost = [{0,100019,24}]};

get_legion_post(71) ->
    #base_legion_post{lv = 71,next = 72,need = 27000000,attr = [{1,14400},{2,144000},{4,1152},{5,864}],cost = [{0,100019,26}]};

get_legion_post(72) ->
    #base_legion_post{lv = 72,next = 73,need = 28000000,attr = [{1,14600},{2,146000},{4,1168},{5,876}],cost = [{0,100019,28}]};

get_legion_post(73) ->
    #base_legion_post{lv = 73,next = 74,need = 29000000,attr = [{1,14800},{2,148000},{4,1184},{5,888}],cost = [{0,100019,30}]};

get_legion_post(74) ->
    #base_legion_post{lv = 74,next = 75,need = 30000000,attr = [{1,15000},{2,150000},{4,1200},{5,900}],cost = [{0,100019,32}]};

get_legion_post(75) ->
    #base_legion_post{lv = 75,next = 76,need = 31000000,attr = [{1,15200},{2,152000},{4,1216},{5,912}],cost = [{0,100019,34}]};

get_legion_post(76) ->
    #base_legion_post{lv = 76,next = 77,need = 32000000,attr = [{1,15400},{2,154000},{4,1232},{5,924}],cost = [{0,100019,36}]};

get_legion_post(77) ->
    #base_legion_post{lv = 77,next = 78,need = 33000000,attr = [{1,15600},{2,156000},{4,1248},{5,936}],cost = [{0,100019,38}]};

get_legion_post(78) ->
    #base_legion_post{lv = 78,next = 79,need = 34000000,attr = [{1,15800},{2,158000},{4,1264},{5,948}],cost = [{0,100019,40}]};

get_legion_post(79) ->
    #base_legion_post{lv = 79,next = 80,need = 35000000,attr = [{1,16000},{2,160000},{4,1280},{5,960}],cost = [{0,100019,42}]};

get_legion_post(80) ->
    #base_legion_post{lv = 80,next = 81,need = 36000000,attr = [{1,16200},{2,162000},{4,1296},{5,972}],cost = [{0,100019,44}]};

get_legion_post(81) ->
    #base_legion_post{lv = 81,next = 82,need = 37000000,attr = [{1,16400},{2,164000},{4,1312},{5,984}],cost = [{0,100019,46}]};

get_legion_post(82) ->
    #base_legion_post{lv = 82,next = 83,need = 38000000,attr = [{1,16600},{2,166000},{4,1328},{5,996}],cost = [{0,100019,48}]};

get_legion_post(83) ->
    #base_legion_post{lv = 83,next = 84,need = 39000000,attr = [{1,16800},{2,168000},{4,1344},{5,1008}],cost = [{0,100019,50}]};

get_legion_post(84) ->
    #base_legion_post{lv = 84,next = 85,need = 40000000,attr = [{1,17000},{2,170000},{4,1360},{5,1020}],cost = [{0,100019,52}]};

get_legion_post(85) ->
    #base_legion_post{lv = 85,next = 86,need = 42000000,attr = [{1,17200},{2,172000},{4,1376},{5,1032}],cost = [{0,100019,54}]};

get_legion_post(86) ->
    #base_legion_post{lv = 86,next = 87,need = 44000000,attr = [{1,17400},{2,174000},{4,1392},{5,1044}],cost = [{0,100019,56}]};

get_legion_post(87) ->
    #base_legion_post{lv = 87,next = 88,need = 46000000,attr = [{1,17600},{2,176000},{4,1408},{5,1056}],cost = [{0,100019,58}]};

get_legion_post(88) ->
    #base_legion_post{lv = 88,next = 89,need = 48000000,attr = [{1,17800},{2,178000},{4,1424},{5,1068}],cost = [{0,100019,60}]};

get_legion_post(89) ->
    #base_legion_post{lv = 89,next = 90,need = 50000000,attr = [{1,18000},{2,180000},{4,1440},{5,1080}],cost = [{0,100019,65}]};

get_legion_post(90) ->
    #base_legion_post{lv = 90,next = 91,need = 55000000,attr = [{1,18200},{2,182000},{4,1456},{5,1092}],cost = [{0,100019,70}]};

get_legion_post(91) ->
    #base_legion_post{lv = 91,next = 92,need = 60000000,attr = [{1,18400},{2,184000},{4,1472},{5,1104}],cost = [{0,100019,75}]};

get_legion_post(92) ->
    #base_legion_post{lv = 92,next = 93,need = 65000000,attr = [{1,18600},{2,186000},{4,1488},{5,1116}],cost = [{0,100019,80}]};

get_legion_post(93) ->
    #base_legion_post{lv = 93,next = 94,need = 70000000,attr = [{1,18800},{2,188000},{4,1504},{5,1128}],cost = [{0,100019,85}]};

get_legion_post(94) ->
    #base_legion_post{lv = 94,next = 95,need = 75000000,attr = [{1,19000},{2,190000},{4,1520},{5,1140}],cost = [{0,100019,90}]};

get_legion_post(95) ->
    #base_legion_post{lv = 95,next = 96,need = 80000000,attr = [{1,19200},{2,192000},{4,1536},{5,1152}],cost = [{0,100019,95}]};

get_legion_post(96) ->
    #base_legion_post{lv = 96,next = 97,need = 85000000,attr = [{1,19400},{2,194000},{4,1552},{5,1164}],cost = [{0,100019,100}]};

get_legion_post(97) ->
    #base_legion_post{lv = 97,next = 98,need = 90000000,attr = [{1,19600},{2,196000},{4,1568},{5,1176}],cost = [{0,100019,110}]};

get_legion_post(98) ->
    #base_legion_post{lv = 98,next = 99,need = 95000000,attr = [{1,19800},{2,198000},{4,1584},{5,1188}],cost = [{0,100019,120}]};

get_legion_post(99) ->
    #base_legion_post{lv = 99,next = 100,need = 100000000,attr = [{1,20000},{2,200000},{4,1600},{5,1200}],cost = [{0,100019,130}]};

get_legion_post(100) ->
    #base_legion_post{lv = 100,next = 101,need = 110000000,attr = [{1,20200},{2,202000},{4,1616},{5,1212}],cost = [{0,100019,140}]};

get_legion_post(101) ->
    #base_legion_post{lv = 101,next = 102,need = 120000000,attr = [{1,20400},{2,204000},{4,1632},{5,1224}],cost = [{0,100019,150}]};

get_legion_post(102) ->
    #base_legion_post{lv = 102,next = 103,need = 140000000,attr = [{1,20600},{2,206000},{4,1648},{5,1236}],cost = [{0,100019,160}]};

get_legion_post(103) ->
    #base_legion_post{lv = 103,next = 104,need = 160000000,attr = [{1,20800},{2,208000},{4,1664},{5,1248}],cost = [{0,100019,170}]};

get_legion_post(104) ->
    #base_legion_post{lv = 104,next = 105,need = 180000000,attr = [{1,21000},{2,210000},{4,1680},{5,1260}],cost = [{0,100019,180}]};

get_legion_post(105) ->
    #base_legion_post{lv = 105,next = 0,need = 200000000,attr = [{1,21200},{2,212000},{4,1696},{5,1272}],cost = [{0,100019,190}]};

get_legion_post(_Lv) ->
    [].

get_days() ->
    [1,2,3,4,5,6,7].


get_day_advance_awards(1) ->
    [{100,230001,1}];


get_day_advance_awards(2) ->
    [{100,230002,1}];


get_day_advance_awards(3) ->
    [{100,230004,1}];


get_day_advance_awards(4) ->
    [{100,230003,1}];


get_day_advance_awards(5) ->
    [{100,230010,1}];


get_day_advance_awards(6) ->
    [{100,230012,1}];


get_day_advance_awards(7) ->
    [{100,230016,1}];

get_day_advance_awards(_Day) ->
    [].

