%%%---------------------------------------
%%% module      : data_pass_codex
%%% description : 通行证宝典奖励配置
%%%
%%%---------------------------------------
-module(data_pass_codex).
-compile(export_all).
-include("pass_codex.hrl").



get_reward_info(80,1,1) ->
    #base_pass_rewards{type = 80,sub_type = 1,pass_lv = 1,lv_exp = 1,normal_rewards = [{100,102305,5}],trump_rewards = [{100,102303,1},{100,280301,5}],node_reward = 0};

get_reward_info(80,1,2) ->
    #base_pass_rewards{type = 80,sub_type = 1,pass_lv = 2,lv_exp = 2,normal_rewards = [{100,450050,2}],trump_rewards = [{100,102303,1},{100,280301,5}],node_reward = 0};

get_reward_info(80,1,3) ->
    #base_pass_rewards{type = 80,sub_type = 1,pass_lv = 3,lv_exp = 3,normal_rewards = [{100,450050,2}],trump_rewards = [{100,102303,1},{100,280301,5}],node_reward = 0};

get_reward_info(80,1,4) ->
    #base_pass_rewards{type = 80,sub_type = 1,pass_lv = 4,lv_exp = 4,normal_rewards = [{100,102305,5}],trump_rewards = [{100,102303,1},{100,280301,5}],node_reward = 0};

get_reward_info(80,1,5) ->
    #base_pass_rewards{type = 80,sub_type = 1,pass_lv = 5,lv_exp = 5,normal_rewards = [{100,450050,2}],trump_rewards = [{100,102303,1},{100,280301,5}],node_reward = 0};

get_reward_info(80,1,6) ->
    #base_pass_rewards{type = 80,sub_type = 1,pass_lv = 6,lv_exp = 6,normal_rewards = [{100,450050,2}],trump_rewards = [{100,102303,1},{100,280301,5}],node_reward = 0};

get_reward_info(80,1,7) ->
    #base_pass_rewards{type = 80,sub_type = 1,pass_lv = 7,lv_exp = 7,normal_rewards = [{100,450019,1}],trump_rewards = [{100,102303,2},{100,450022,1}],node_reward = 0};

get_reward_info(81,1,1) ->
    #base_pass_rewards{type = 81,sub_type = 1,pass_lv = 1,lv_exp = 0,normal_rewards = [{100,450077,2}],trump_rewards = [{100,102303,1},{100,102607,5}],node_reward = 0};

get_reward_info(81,1,2) ->
    #base_pass_rewards{type = 81,sub_type = 1,pass_lv = 2,lv_exp = 30,normal_rewards = [{100,450077,2}],trump_rewards = [{100,102303,1},{100,102607,5}],node_reward = 0};

get_reward_info(81,1,3) ->
    #base_pass_rewards{type = 81,sub_type = 1,pass_lv = 3,lv_exp = 60,normal_rewards = [{100,450077,2}],trump_rewards = [{100,102303,1},{100,102607,5}],node_reward = 0};

get_reward_info(81,1,4) ->
    #base_pass_rewards{type = 81,sub_type = 1,pass_lv = 4,lv_exp = 100,normal_rewards = [{100,450077,2}],trump_rewards = [{100,102303,1},{100,280301,5}],node_reward = 0};

get_reward_info(81,1,5) ->
    #base_pass_rewards{type = 81,sub_type = 1,pass_lv = 5,lv_exp = 200,normal_rewards = [{100,450077,2}],trump_rewards = [{100,102303,1},{100,280301,5}],node_reward = 0};

get_reward_info(81,1,6) ->
    #base_pass_rewards{type = 81,sub_type = 1,pass_lv = 6,lv_exp = 300,normal_rewards = [{100,450077,2}],trump_rewards = [{100,102303,1},{100,280301,5}],node_reward = 0};

get_reward_info(81,1,7) ->
    #base_pass_rewards{type = 81,sub_type = 1,pass_lv = 7,lv_exp = 450,normal_rewards = [{100,450077,5}],trump_rewards = [{100,102303,2},{100,280301,10}],node_reward = 1};

get_reward_info(81,2,1) ->
    #base_pass_rewards{type = 81,sub_type = 2,pass_lv = 1,lv_exp = 0,normal_rewards = [{100,109001,8}],trump_rewards = [{100,109002,3},{100,109014,3}],node_reward = 0};

get_reward_info(81,2,2) ->
    #base_pass_rewards{type = 81,sub_type = 2,pass_lv = 2,lv_exp = 20,normal_rewards = [{100,109001,9}],trump_rewards = [{100,109003,3},{100,109015,3}],node_reward = 0};

get_reward_info(81,2,3) ->
    #base_pass_rewards{type = 81,sub_type = 2,pass_lv = 3,lv_exp = 30,normal_rewards = [{100,109001,10}],trump_rewards = [{100,109004,3},{100,109016,3}],node_reward = 0};

get_reward_info(81,2,4) ->
    #base_pass_rewards{type = 81,sub_type = 2,pass_lv = 4,lv_exp = 50,normal_rewards = [{100,109001,11}],trump_rewards = [{100,109005,3},{100,109017,3}],node_reward = 0};

get_reward_info(81,2,5) ->
    #base_pass_rewards{type = 81,sub_type = 2,pass_lv = 5,lv_exp = 100,normal_rewards = [{100,109001,12}],trump_rewards = [{100,109006,3},{100,109018,3}],node_reward = 1};

get_reward_info(104,1,1) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 1,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,1,2) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 2,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,1,3) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 3,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,1,4) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 4,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,1,5) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 5,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109004,1},{100,109021,1}],node_reward = 1};

get_reward_info(104,1,6) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 6,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,1,7) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 7,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,1,8) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 8,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,1,9) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 9,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,1,10) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 10,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109004,1},{100,109021,1}],node_reward = 1};

get_reward_info(104,1,11) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 11,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,1,12) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 12,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,1,13) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 13,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,1,14) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 14,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,1,15) ->
    #base_pass_rewards{type = 104,sub_type = 1,pass_lv = 15,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,403005,1},{100,109004,1}],node_reward = 1};

get_reward_info(104,2,1) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 1,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,2) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 2,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,3) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 3,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109035,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,4) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 4,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,5) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 5,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,6) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 6,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109035,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,7) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 7,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,8) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 8,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,9) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 9,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,10) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 10,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109035,1},{100,109021,1}],node_reward = 1};

get_reward_info(104,2,11) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 11,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,12) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 12,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,13) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 13,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,14) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 14,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109035,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,15) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 15,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,16) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 16,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,17) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 17,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,109035,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,18) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 18,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,19) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 19,lv_exp = 100,normal_rewards = [{100,109013,1}],trump_rewards = [{100,109013,1},{100,109021,1}],node_reward = 0};

get_reward_info(104,2,20) ->
    #base_pass_rewards{type = 104,sub_type = 2,pass_lv = 20,lv_exp = 100,normal_rewards = [{100,109023,1}],trump_rewards = [{100,403009,1},{100,109035,1}],node_reward = 1};

get_reward_info(_Type,_Subtype,_Passlv) ->
    [].

get_lv_exp(80,1,1) ->
    1;

get_lv_exp(80,1,2) ->
    2;

get_lv_exp(80,1,3) ->
    3;

get_lv_exp(80,1,4) ->
    4;

get_lv_exp(80,1,5) ->
    5;

get_lv_exp(80,1,6) ->
    6;

get_lv_exp(80,1,7) ->
    7;

get_lv_exp(81,1,1) ->
    0;

get_lv_exp(81,1,2) ->
    30;

get_lv_exp(81,1,3) ->
    60;

get_lv_exp(81,1,4) ->
    100;

get_lv_exp(81,1,5) ->
    200;

get_lv_exp(81,1,6) ->
    300;

get_lv_exp(81,1,7) ->
    450;

get_lv_exp(81,2,1) ->
    0;

get_lv_exp(81,2,2) ->
    20;

get_lv_exp(81,2,3) ->
    30;

get_lv_exp(81,2,4) ->
    50;

get_lv_exp(81,2,5) ->
    100;

get_lv_exp(104,1,1) ->
    100;

get_lv_exp(104,1,2) ->
    100;

get_lv_exp(104,1,3) ->
    100;

get_lv_exp(104,1,4) ->
    100;

get_lv_exp(104,1,5) ->
    100;

get_lv_exp(104,1,6) ->
    100;

get_lv_exp(104,1,7) ->
    100;

get_lv_exp(104,1,8) ->
    100;

get_lv_exp(104,1,9) ->
    100;

get_lv_exp(104,1,10) ->
    100;

get_lv_exp(104,1,11) ->
    100;

get_lv_exp(104,1,12) ->
    100;

get_lv_exp(104,1,13) ->
    100;

get_lv_exp(104,1,14) ->
    100;

get_lv_exp(104,1,15) ->
    100;

get_lv_exp(104,2,1) ->
    100;

get_lv_exp(104,2,2) ->
    100;

get_lv_exp(104,2,3) ->
    100;

get_lv_exp(104,2,4) ->
    100;

get_lv_exp(104,2,5) ->
    100;

get_lv_exp(104,2,6) ->
    100;

get_lv_exp(104,2,7) ->
    100;

get_lv_exp(104,2,8) ->
    100;

get_lv_exp(104,2,9) ->
    100;

get_lv_exp(104,2,10) ->
    100;

get_lv_exp(104,2,11) ->
    100;

get_lv_exp(104,2,12) ->
    100;

get_lv_exp(104,2,13) ->
    100;

get_lv_exp(104,2,14) ->
    100;

get_lv_exp(104,2,15) ->
    100;

get_lv_exp(104,2,16) ->
    100;

get_lv_exp(104,2,17) ->
    100;

get_lv_exp(104,2,18) ->
    100;

get_lv_exp(104,2,19) ->
    100;

get_lv_exp(104,2,20) ->
    100;

get_lv_exp(_Type,_Subtype,_Passlv) ->
    [].

get_act_lv(80,1) ->
    [1,2,3,4,5,6,7];

get_act_lv(81,1) ->
    [1,2,3,4,5,6,7];

get_act_lv(81,2) ->
    [1,2,3,4,5];

get_act_lv(104,1) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15];

get_act_lv(104,2) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20];

get_act_lv(_Type,_Subtype) ->
    [].

get_max_lv(104,1) -> 15;
get_max_lv(104,2) -> 20;
get_max_lv(80,1) -> 7;
get_max_lv(81,1) -> 7;
get_max_lv(81,2) -> 5;
get_max_lv(_Type,_Sub_type) -> 0.

get_phantom_task_info(1) ->
    #base_phantom_task_type{task_type_id = 1,open_lv = 90,open_day = 1,task_type = bountyboss,point = 15,limit_times = 3};

get_phantom_task_info(2) ->
    #base_phantom_task_type{task_type_id = 2,open_lv = 90,open_day = 1,task_type = personboss,point = 15,limit_times = 3};

get_phantom_task_info(3) ->
    #base_phantom_task_type{task_type_id = 3,open_lv = 85,open_day = 2,task_type = guildboss,point = 15,limit_times = 2};

get_phantom_task_info(5) ->
    #base_phantom_task_type{task_type_id = 5,open_lv = 120,open_day = 10,task_type = desertedboss,point = 15,limit_times = 3};

get_phantom_task_info(_Tasktypeid) ->
    [].

get_phantom_task_ids() ->
    [1,2,3,5].


get_phantom_task_score(bountyboss) ->
    15;


get_phantom_task_score(personboss) ->
    15;


get_phantom_task_score(guildboss) ->
    15;


get_phantom_task_score(desertedboss) ->
    15;

get_phantom_task_score(_Tasktype) ->
    [].


get_phantom_task_id(bountyboss) ->
    [1];


get_phantom_task_id(personboss) ->
    [2];


get_phantom_task_id(guildboss) ->
    [3];


get_phantom_task_id(desertedboss) ->
    [5];

get_phantom_task_id(_Tasktype) ->
    [].

