%%%---------------------------------------
%%% module      : data_ranking
%%% description : 排行榜配置
%%%
%%%---------------------------------------
-module(data_ranking).
-compile(export_all).
-include("common_rank.hrl").



get_rank_config(112) ->
    #rank_config{type = 112,rank_name = "聊天榜",rank_max = 100,rank_limit = 1,title_id = 0};

get_rank_config(143) ->
    #rank_config{type = 143,rank_name = "战魂榜",rank_max = 100,rank_limit = 100,title_id = 0};

get_rank_config(163) ->
    #rank_config{type = 163,rank_name = "孩子榜",rank_max = 100,rank_limit = 1000,title_id = 0};

get_rank_config(407) ->
    #rank_config{type = 407,rank_name = "社团榜",rank_max = 100,rank_limit = 10000,title_id = 0};

get_rank_config(411) ->
    #rank_config{type = 411,rank_name = "称号榜",rank_max = 100,rank_limit = 1,title_id = 0};

get_rank_config(413) ->
    #rank_config{type = 413,rank_name = "时装榜",rank_max = 100,rank_limit = 1,title_id = 0};

get_rank_config(1461) ->
    #rank_config{type = 1461,rank_name = "座驾榜",rank_max = 100,rank_limit = 1,title_id = 0};

get_rank_config(1462) ->
    #rank_config{type = 1462,rank_name = "炫翼榜",rank_max = 100,rank_limit = 1,title_id = 0};

get_rank_config(1463) ->
    #rank_config{type = 1463,rank_name = "宝具榜",rank_max = 100,rank_limit = 1,title_id = 0};

get_rank_config(1464) ->
    #rank_config{type = 1464,rank_name = "武器榜",rank_max = 100,rank_limit = 1,title_id = 0};

get_rank_config(1465) ->
    #rank_config{type = 1465,rank_name = "AI娘榜",rank_max = 100,rank_limit = 1,title_id = 0};

get_rank_config(1466) ->
    #rank_config{type = 1466,rank_name = "磁炮榜",rank_max = 100,rank_limit = 1,title_id = 0};

get_rank_config(1467) ->
    #rank_config{type = 1467,rank_name = "星翼榜",rank_max = 100,rank_limit = 1,title_id = 0};

get_rank_config(1468) ->
    #rank_config{type = 1468,rank_name = "幻甲榜",rank_max = 100,rank_limit = 1,title_id = 0};

get_rank_config(1520) ->
    #rank_config{type = 1520,rank_name = "装备总榜",rank_max = 100,rank_limit = 1000,title_id = 0};

get_rank_config(1521) ->
    #rank_config{type = 1521,rank_name = "装备鬼猎榜",rank_max = 100,rank_limit = 1000,title_id = 0};

get_rank_config(1522) ->
    #rank_config{type = 1522,rank_name = "装备夙星榜",rank_max = 100,rank_limit = 1000,title_id = 0};

get_rank_config(1523) ->
    #rank_config{type = 1523,rank_name = "装备暗鸦榜",rank_max = 100,rank_limit = 1000,title_id = 0};

get_rank_config(1524) ->
    #rank_config{type = 1524,rank_name = "装备梦枭榜",rank_max = 100,rank_limit = 1000,title_id = 0};

get_rank_config(2000) ->
    #rank_config{type = 2000,rank_name = "战力总榜",rank_max = 100,rank_limit = 10000,title_id = 433012};

get_rank_config(2001) ->
    #rank_config{type = 2001,rank_name = "战力鬼猎榜",rank_max = 100,rank_limit = 10000,title_id = 0};

get_rank_config(2002) ->
    #rank_config{type = 2002,rank_name = "战力夙星榜",rank_max = 100,rank_limit = 10000,title_id = 0};

get_rank_config(2003) ->
    #rank_config{type = 2003,rank_name = "战力暗鸦榜",rank_max = 100,rank_limit = 10000,title_id = 0};

get_rank_config(2004) ->
    #rank_config{type = 2004,rank_name = "战力梦枭榜",rank_max = 100,rank_limit = 10000,title_id = 0};

get_rank_config(2231) ->
    #rank_config{type = 2231,rank_name = "人气榜",rank_max = 100,rank_limit = 10,title_id = 0};

get_rank_config(2232) ->
    #rank_config{type = 2232,rank_name = "豪气榜",rank_max = 100,rank_limit = 10,title_id = 0};

get_rank_config(3000) ->
    #rank_config{type = 3000,rank_name = "等级总榜",rank_max = 100,rank_limit = 60,title_id = 433013};

get_rank_config(3001) ->
    #rank_config{type = 3001,rank_name = "等级鬼猎榜",rank_max = 100,rank_limit = 60,title_id = 0};

get_rank_config(3002) ->
    #rank_config{type = 3002,rank_name = "等级夙星榜",rank_max = 100,rank_limit = 60,title_id = 0};

get_rank_config(3003) ->
    #rank_config{type = 3003,rank_name = "等级暗鸦榜",rank_max = 100,rank_limit = 60,title_id = 0};

get_rank_config(3004) ->
    #rank_config{type = 3004,rank_name = "等级梦枭榜",rank_max = 100,rank_limit = 60,title_id = 0};

get_rank_config(4001) ->
    #rank_config{type = 4001,rank_name = "社团活跃周榜",rank_max = 100,rank_limit = 1,title_id = 0};

get_rank_config(4002) ->
    #rank_config{type = 4002,rank_name = "社团上期活跃周榜",rank_max = 100,rank_limit = 1,title_id = 0};

get_rank_config(14600) ->
    #rank_config{type = 14600,rank_name = "进阶总榜",rank_max = 100,rank_limit = 1000,title_id = 0};

get_rank_config(14601) ->
    #rank_config{type = 14601,rank_name = "AI娘总榜",rank_max = 100,rank_limit = 1000,title_id = 0};

get_rank_config(_Type) ->
    #rank_config{}.


get_value(max_praise_num) ->
    1;


get_value(refresh_time) ->
    3600;

get_value(_Key) ->
    [].

get_all_target_type() ->
    [{112,1},{112,2},{112,3},{112,4},{112,5},{112,6},{112,7},{112,8},{112,9},{112,10},{143,1},{143,2},{143,3},{143,4},{143,5},{143,6},{143,7},{143,8},{143,9},{143,10},{143,11},{143,12},{143,13},{143,14},{143,15},{143,16},{143,17},{143,18},{143,19},{143,20},{143,21},{143,22},{143,23},{143,24},{143,25},{143,26},{411,1},{411,2},{411,3},{411,4},{411,5},{411,6},{411,7},{411,8},{411,9},{411,10},{411,11},{411,12},{411,13},{411,14},{411,15},{413,1},{413,2},{413,3},{413,4},{413,5},{413,6},{413,7},{413,8},{413,9},{413,10},{413,11},{413,12},{413,13},{413,14},{413,15},{413,16},{413,17},{413,18},{413,19},{413,20},{1461,1},{1461,2},{1461,3},{1461,4},{1461,5},{1461,6},{1461,7},{1462,1},{1462,2},{1462,3},{1462,4},{1462,5},{1462,6},{1462,7},{1463,1},{1463,2},{1463,3},{1463,4},{1463,5},{1463,6},{1463,7},{1464,1},{1464,2},{1464,3},{1464,4},{1464,5},{1464,6},{1464,7},{1465,1},{1465,2},{1465,3},{1465,4},{1465,5},{1465,6},{1465,7},{1466,1},{1466,2},{1466,3},{1466,4},{1466,5},{1466,6},{1466,7},{1467,1},{1467,2},{1467,3},{1467,4},{1467,5},{1467,6},{1467,7},{1468,1},{1468,2},{1468,3},{1468,4},{1468,5},{1468,6},{1468,7},{1520,1},{1520,2},{1520,3},{1520,4},{1520,5},{1520,6},{1520,7},{1520,8},{1520,9},{1520,10},{1520,11},{1520,12},{1520,13},{1520,14},{1520,15},{1520,16},{1520,17},{1520,18},{1520,19},{1520,20},{1520,21},{1520,22},{1520,23},{1520,24},{1520,25},{1520,26},{1520,27},{1520,28},{1520,29},{1520,30},{1520,31},{1520,32},{1520,33},{1520,34},{1520,35},{1520,36},{1520,37},{1520,38},{1520,39},{1520,40},{1520,41},{1520,42},{1520,43},{1520,44},{1520,45},{1520,46},{1520,47},{1520,48},{1520,49},{1520,50},{1520,51},{1520,52},{1520,53},{1520,54},{1520,55},{1520,56},{2000,1},{2000,2},{2000,3},{2000,4},{2000,5},{2000,6},{2000,7},{2000,8},{2000,9},{2000,10},{2000,11},{2000,12},{2000,13},{2000,14},{2000,15},{2000,16},{2000,17},{2000,18},{2000,19},{2000,20},{2000,21},{2000,22},{2000,23},{2000,24},{2000,25},{2000,26},{2000,27},{2000,28},{2000,29},{2000,30},{2000,31},{2000,32},{2000,33},{2000,34},{2000,35},{2000,36},{2000,37},{2000,38},{2000,39},{2000,40},{2000,41},{2000,42},{2000,43},{2000,44},{2000,45},{2000,46},{2000,47},{2000,48},{2000,49},{2000,50},{2000,51},{2000,52},{2000,53},{2000,54},{2000,55},{2000,56},{2000,57},{2000,58},{2000,59},{2000,60},{2000,61},{2000,62},{2000,63},{2000,64},{2000,65},{2000,66},{2000,67},{2000,68},{2000,69},{2000,70},{2000,71},{2000,72},{2000,73},{2000,74},{2000,75},{2000,76},{2000,77},{2000,78},{2000,79},{2000,80},{2000,81},{2000,82},{2000,83},{2000,84},{2000,85},{2000,86},{2000,87},{2000,88},{2000,89},{2000,90},{2000,91},{2000,92},{2000,93},{2000,94},{2231,1},{2231,2},{2231,3},{2231,4},{2231,5},{2231,6},{2231,7},{2231,8},{2231,9},{2231,10},{2231,11},{2231,12},{2231,13},{2232,1},{2232,2},{2232,3},{2232,4},{2232,5},{2232,6},{2232,7},{2232,8},{2232,9},{2232,10},{2232,11},{2232,12},{2232,13},{2232,14},{2232,15},{2232,16},{2232,17},{2232,18},{2232,19},{2232,20},{2232,21},{2232,22},{2232,23},{2232,24},{2232,25},{2232,26},{2232,27},{2232,28},{2232,29},{2232,30},{2232,31},{2232,32},{3000,1},{3000,2},{3000,3},{3000,4},{3000,5},{3000,6},{3000,7},{3000,8},{3000,9},{3000,10},{3000,11},{3000,12},{3000,13},{3000,14},{3000,15},{3000,16},{3000,17},{3000,18},{3000,19},{3000,20},{3000,21},{3000,22},{3000,23},{3000,24},{3000,25},{3000,26},{3000,27},{3000,28},{3000,29},{3000,30},{3000,31},{3000,32},{3000,33},{3000,34},{3000,35},{3000,36},{3000,37},{3000,38},{3000,39},{3000,40},{3000,41},{3000,42},{3000,43},{3000,44},{3000,45},{3000,46},{3000,47},{3000,48},{3000,49},{3000,50},{3000,51},{3000,52},{3000,53},{3000,54},{3000,55},{3000,56},{3000,57},{3000,58},{3000,59},{3000,60},{3000,61},{3000,62},{3000,63},{3000,64},{3000,65},{3000,66},{3000,67},{3000,68},{3000,69},{3000,70},{3000,71},{3000,72},{3000,73},{3000,74},{3000,75},{3000,76},{3000,77},{3000,78},{3000,79},{3000,80}].

get_target_reward(112,1) ->
    [{100,101014,2}];

get_target_reward(112,2) ->
    [{100,101014,2}];

get_target_reward(112,3) ->
    [{100,101014,3}];

get_target_reward(112,4) ->
    [{100,101014,3}];

get_target_reward(112,5) ->
    [{100,101014,4}];

get_target_reward(112,6) ->
    [{100,101014,4}];

get_target_reward(112,7) ->
    [{100,101014,5}];

get_target_reward(112,8) ->
    [{100,101014,5}];

get_target_reward(112,9) ->
    [{100,101014,5}];

get_target_reward(112,10) ->
    [{100,101014,5}];

get_target_reward(143,1) ->
    [{100,101014,2}];

get_target_reward(143,2) ->
    [{100,101014,2}];

get_target_reward(143,3) ->
    [{100,101014,2}];

get_target_reward(143,4) ->
    [{100,101014,2}];

get_target_reward(143,5) ->
    [{100,101014,2}];

get_target_reward(143,6) ->
    [{100,101014,2}];

get_target_reward(143,7) ->
    [{100,101014,2}];

get_target_reward(143,8) ->
    [{100,101014,2}];

get_target_reward(143,9) ->
    [{100,101014,2}];

get_target_reward(143,10) ->
    [{100,101014,3}];

get_target_reward(143,11) ->
    [{100,101014,3}];

get_target_reward(143,12) ->
    [{100,101014,3}];

get_target_reward(143,13) ->
    [{100,101014,3}];

get_target_reward(143,14) ->
    [{100,101014,3}];

get_target_reward(143,15) ->
    [{100,101014,3}];

get_target_reward(143,16) ->
    [{100,101014,5}];

get_target_reward(143,17) ->
    [{100,101014,5}];

get_target_reward(143,18) ->
    [{100,101014,5}];

get_target_reward(143,19) ->
    [{100,101014,5}];

get_target_reward(143,20) ->
    [{100,101014,5}];

get_target_reward(143,21) ->
    [{100,101014,5}];

get_target_reward(143,22) ->
    [{100,101014,5}];

get_target_reward(143,23) ->
    [{100,101014,5}];

get_target_reward(143,24) ->
    [{100,101014,5}];

get_target_reward(143,25) ->
    [{100,101014,5}];

get_target_reward(143,26) ->
    [{100,101014,5}];

get_target_reward(411,1) ->
    [{100,101014,2}];

get_target_reward(411,2) ->
    [{100,101014,2}];

get_target_reward(411,3) ->
    [{100,101014,3}];

get_target_reward(411,4) ->
    [{100,101014,3}];

get_target_reward(411,5) ->
    [{100,101014,4}];

get_target_reward(411,6) ->
    [{100,101014,4}];

get_target_reward(411,7) ->
    [{100,101014,5}];

get_target_reward(411,8) ->
    [{100,101014,5}];

get_target_reward(411,9) ->
    [{100,101014,5}];

get_target_reward(411,10) ->
    [{100,101014,5}];

get_target_reward(411,11) ->
    [{100,101014,5}];

get_target_reward(411,12) ->
    [{100,101014,5}];

get_target_reward(411,13) ->
    [{100,101014,5}];

get_target_reward(411,14) ->
    [{100,101014,5}];

get_target_reward(411,15) ->
    [{100,101014,5}];

get_target_reward(413,1) ->
    [{100,101014,2}];

get_target_reward(413,2) ->
    [{100,101014,2}];

get_target_reward(413,3) ->
    [{100,101014,3}];

get_target_reward(413,4) ->
    [{100,101014,3}];

get_target_reward(413,5) ->
    [{100,101014,4}];

get_target_reward(413,6) ->
    [{100,101014,4}];

get_target_reward(413,7) ->
    [{100,101014,5}];

get_target_reward(413,8) ->
    [{100,101014,5}];

get_target_reward(413,9) ->
    [{100,101014,5}];

get_target_reward(413,10) ->
    [{100,101014,5}];

get_target_reward(413,11) ->
    [{100,101014,5}];

get_target_reward(413,12) ->
    [{100,101014,5}];

get_target_reward(413,13) ->
    [{100,101014,5}];

get_target_reward(413,14) ->
    [{100,101014,5}];

get_target_reward(413,15) ->
    [{100,101014,5}];

get_target_reward(413,16) ->
    [{100,101014,5}];

get_target_reward(413,17) ->
    [{100,101014,5}];

get_target_reward(413,18) ->
    [{100,101014,5}];

get_target_reward(413,19) ->
    [{100,101014,5}];

get_target_reward(413,20) ->
    [{100,101014,5}];

get_target_reward(1461,1) ->
    [{100,101014,1}];

get_target_reward(1461,2) ->
    [{100,101014,2}];

get_target_reward(1461,3) ->
    [{100,101014,3}];

get_target_reward(1461,4) ->
    [{100,101014,4}];

get_target_reward(1461,5) ->
    [{100,101014,5}];

get_target_reward(1461,6) ->
    [{100,101014,7}];

get_target_reward(1461,7) ->
    [{100,101014,10}];

get_target_reward(1462,1) ->
    [{100,101014,1}];

get_target_reward(1462,2) ->
    [{100,101014,2}];

get_target_reward(1462,3) ->
    [{100,101014,3}];

get_target_reward(1462,4) ->
    [{100,101014,4}];

get_target_reward(1462,5) ->
    [{100,101014,5}];

get_target_reward(1462,6) ->
    [{100,101014,7}];

get_target_reward(1462,7) ->
    [{100,101014,10}];

get_target_reward(1463,1) ->
    [{100,101014,1}];

get_target_reward(1463,2) ->
    [{100,101014,2}];

get_target_reward(1463,3) ->
    [{100,101014,3}];

get_target_reward(1463,4) ->
    [{100,101014,4}];

get_target_reward(1463,5) ->
    [{100,101014,5}];

get_target_reward(1463,6) ->
    [{100,101014,7}];

get_target_reward(1463,7) ->
    [{100,101014,10}];

get_target_reward(1464,1) ->
    [{100,101014,1}];

get_target_reward(1464,2) ->
    [{100,101014,2}];

get_target_reward(1464,3) ->
    [{100,101014,3}];

get_target_reward(1464,4) ->
    [{100,101014,4}];

get_target_reward(1464,5) ->
    [{100,101014,5}];

get_target_reward(1464,6) ->
    [{100,101014,7}];

get_target_reward(1464,7) ->
    [{100,101014,10}];

get_target_reward(1465,1) ->
    [{100,101014,1}];

get_target_reward(1465,2) ->
    [{100,101014,2}];

get_target_reward(1465,3) ->
    [{100,101014,3}];

get_target_reward(1465,4) ->
    [{100,101014,4}];

get_target_reward(1465,5) ->
    [{100,101014,5}];

get_target_reward(1465,6) ->
    [{100,101014,7}];

get_target_reward(1465,7) ->
    [{100,101014,10}];

get_target_reward(1466,1) ->
    [{100,101014,1}];

get_target_reward(1466,2) ->
    [{100,101014,2}];

get_target_reward(1466,3) ->
    [{100,101014,3}];

get_target_reward(1466,4) ->
    [{100,101014,4}];

get_target_reward(1466,5) ->
    [{100,101014,5}];

get_target_reward(1466,6) ->
    [{100,101014,7}];

get_target_reward(1466,7) ->
    [{100,101014,10}];

get_target_reward(1467,1) ->
    [{100,101014,1}];

get_target_reward(1467,2) ->
    [{100,101014,2}];

get_target_reward(1467,3) ->
    [{100,101014,3}];

get_target_reward(1467,4) ->
    [{100,101014,4}];

get_target_reward(1467,5) ->
    [{100,101014,5}];

get_target_reward(1467,6) ->
    [{100,101014,7}];

get_target_reward(1467,7) ->
    [{100,101014,10}];

get_target_reward(1468,1) ->
    [{100,101014,1}];

get_target_reward(1468,2) ->
    [{100,101014,2}];

get_target_reward(1468,3) ->
    [{100,101014,3}];

get_target_reward(1468,4) ->
    [{100,101014,4}];

get_target_reward(1468,5) ->
    [{100,101014,5}];

get_target_reward(1468,6) ->
    [{100,101014,7}];

get_target_reward(1468,7) ->
    [{100,101014,10}];

get_target_reward(1520,1) ->
    [{100,101014,2}];

get_target_reward(1520,2) ->
    [{100,101014,2}];

get_target_reward(1520,3) ->
    [{100,101014,2}];

get_target_reward(1520,4) ->
    [{100,101014,2}];

get_target_reward(1520,5) ->
    [{100,101014,2}];

get_target_reward(1520,6) ->
    [{100,101014,2}];

get_target_reward(1520,7) ->
    [{100,101014,2}];

get_target_reward(1520,8) ->
    [{100,101014,2}];

get_target_reward(1520,9) ->
    [{100,101014,2}];

get_target_reward(1520,10) ->
    [{100,101014,2}];

get_target_reward(1520,11) ->
    [{100,101014,2}];

get_target_reward(1520,12) ->
    [{100,101014,2}];

get_target_reward(1520,13) ->
    [{100,101014,2}];

get_target_reward(1520,14) ->
    [{100,101014,2}];

get_target_reward(1520,15) ->
    [{100,101014,2}];

get_target_reward(1520,16) ->
    [{100,101014,2}];

get_target_reward(1520,17) ->
    [{100,101014,2}];

get_target_reward(1520,18) ->
    [{100,101014,2}];

get_target_reward(1520,19) ->
    [{100,101014,2}];

get_target_reward(1520,20) ->
    [{100,101014,2}];

get_target_reward(1520,21) ->
    [{100,101014,3}];

get_target_reward(1520,22) ->
    [{100,101014,3}];

get_target_reward(1520,23) ->
    [{100,101014,3}];

get_target_reward(1520,24) ->
    [{100,101014,3}];

get_target_reward(1520,25) ->
    [{100,101014,3}];

get_target_reward(1520,26) ->
    [{100,101014,3}];

get_target_reward(1520,27) ->
    [{100,101014,3}];

get_target_reward(1520,28) ->
    [{100,101014,3}];

get_target_reward(1520,29) ->
    [{100,101014,3}];

get_target_reward(1520,30) ->
    [{100,101014,3}];

get_target_reward(1520,31) ->
    [{100,101014,4}];

get_target_reward(1520,32) ->
    [{100,101014,4}];

get_target_reward(1520,33) ->
    [{100,101014,4}];

get_target_reward(1520,34) ->
    [{100,101014,4}];

get_target_reward(1520,35) ->
    [{100,101014,4}];

get_target_reward(1520,36) ->
    [{100,101014,4}];

get_target_reward(1520,37) ->
    [{100,101014,4}];

get_target_reward(1520,38) ->
    [{100,101014,4}];

get_target_reward(1520,39) ->
    [{100,101014,4}];

get_target_reward(1520,40) ->
    [{100,101014,4}];

get_target_reward(1520,41) ->
    [{100,101014,5}];

get_target_reward(1520,42) ->
    [{100,101014,5}];

get_target_reward(1520,43) ->
    [{100,101014,5}];

get_target_reward(1520,44) ->
    [{100,101014,5}];

get_target_reward(1520,45) ->
    [{100,101014,5}];

get_target_reward(1520,46) ->
    [{100,101014,5}];

get_target_reward(1520,47) ->
    [{100,101014,5}];

get_target_reward(1520,48) ->
    [{100,101014,5}];

get_target_reward(1520,49) ->
    [{100,101014,5}];

get_target_reward(1520,50) ->
    [{100,101014,5}];

get_target_reward(1520,51) ->
    [{100,101014,5}];

get_target_reward(1520,52) ->
    [{100,101014,5}];

get_target_reward(1520,53) ->
    [{100,101014,5}];

get_target_reward(1520,54) ->
    [{100,101014,5}];

get_target_reward(1520,55) ->
    [{100,101014,5}];

get_target_reward(1520,56) ->
    [{100,101014,5}];

get_target_reward(2000,1) ->
    [{100,101014,5}];

get_target_reward(2000,2) ->
    [{100,101014,5}];

get_target_reward(2000,3) ->
    [{100,101014,5}];

get_target_reward(2000,4) ->
    [{100,101014,5}];

get_target_reward(2000,5) ->
    [{100,101014,5}];

get_target_reward(2000,6) ->
    [{100,101014,5}];

get_target_reward(2000,7) ->
    [{100,101014,5}];

get_target_reward(2000,8) ->
    [{100,101014,5}];

get_target_reward(2000,9) ->
    [{100,101014,5}];

get_target_reward(2000,10) ->
    [{100,101014,5}];

get_target_reward(2000,11) ->
    [{100,101014,5}];

get_target_reward(2000,12) ->
    [{100,101014,5}];

get_target_reward(2000,13) ->
    [{100,101014,5}];

get_target_reward(2000,14) ->
    [{100,101014,5}];

get_target_reward(2000,15) ->
    [{100,101014,5}];

get_target_reward(2000,16) ->
    [{100,101014,5}];

get_target_reward(2000,17) ->
    [{100,101014,5}];

get_target_reward(2000,18) ->
    [{100,101014,5}];

get_target_reward(2000,19) ->
    [{100,101014,5}];

get_target_reward(2000,20) ->
    [{100,101014,5}];

get_target_reward(2000,21) ->
    [{100,101014,5}];

get_target_reward(2000,22) ->
    [{100,101014,5}];

get_target_reward(2000,23) ->
    [{100,101014,5}];

get_target_reward(2000,24) ->
    [{100,101014,5}];

get_target_reward(2000,25) ->
    [{100,101014,5}];

get_target_reward(2000,26) ->
    [{100,101014,5}];

get_target_reward(2000,27) ->
    [{100,101014,5}];

get_target_reward(2000,28) ->
    [{100,101014,5}];

get_target_reward(2000,29) ->
    [{100,101014,5}];

get_target_reward(2000,30) ->
    [{100,101014,5}];

get_target_reward(2000,31) ->
    [{100,101014,5}];

get_target_reward(2000,32) ->
    [{100,101014,5}];

get_target_reward(2000,33) ->
    [{100,101014,5}];

get_target_reward(2000,34) ->
    [{100,101014,5}];

get_target_reward(2000,35) ->
    [{100,101014,5}];

get_target_reward(2000,36) ->
    [{100,101014,5}];

get_target_reward(2000,37) ->
    [{100,101014,5}];

get_target_reward(2000,38) ->
    [{100,101014,5}];

get_target_reward(2000,39) ->
    [{100,101014,5}];

get_target_reward(2000,40) ->
    [{100,101014,5}];

get_target_reward(2000,41) ->
    [{100,101014,5}];

get_target_reward(2000,42) ->
    [{100,101014,5}];

get_target_reward(2000,43) ->
    [{100,101014,5}];

get_target_reward(2000,44) ->
    [{100,101014,5}];

get_target_reward(2000,45) ->
    [{100,101014,5}];

get_target_reward(2000,46) ->
    [{100,101014,5}];

get_target_reward(2000,47) ->
    [{100,101014,5}];

get_target_reward(2000,48) ->
    [{100,101014,5}];

get_target_reward(2000,49) ->
    [{100,101014,5}];

get_target_reward(2000,50) ->
    [{100,101014,5}];

get_target_reward(2000,51) ->
    [{100,101014,5}];

get_target_reward(2000,52) ->
    [{100,101014,5}];

get_target_reward(2000,53) ->
    [{100,101014,5}];

get_target_reward(2000,54) ->
    [{100,101014,5}];

get_target_reward(2000,55) ->
    [{100,101014,5}];

get_target_reward(2000,56) ->
    [{100,101014,5}];

get_target_reward(2000,57) ->
    [{100,101014,5}];

get_target_reward(2000,58) ->
    [{100,101014,5}];

get_target_reward(2000,59) ->
    [{100,101014,5}];

get_target_reward(2000,60) ->
    [{100,101014,5}];

get_target_reward(2000,61) ->
    [{100,101014,5}];

get_target_reward(2000,62) ->
    [{100,101014,5}];

get_target_reward(2000,63) ->
    [{100,101014,5}];

get_target_reward(2000,64) ->
    [{100,101014,5}];

get_target_reward(2000,65) ->
    [{100,101014,5}];

get_target_reward(2000,66) ->
    [{100,101014,5}];

get_target_reward(2000,67) ->
    [{100,101014,5}];

get_target_reward(2000,68) ->
    [{100,101014,5}];

get_target_reward(2000,69) ->
    [{100,101014,5}];

get_target_reward(2000,70) ->
    [{100,101014,5}];

get_target_reward(2000,71) ->
    [{100,101014,5}];

get_target_reward(2000,72) ->
    [{100,101014,5}];

get_target_reward(2000,73) ->
    [{100,101014,5}];

get_target_reward(2000,74) ->
    [{100,101014,5}];

get_target_reward(2000,75) ->
    [{100,101014,5}];

get_target_reward(2000,76) ->
    [{100,101014,5}];

get_target_reward(2000,77) ->
    [{100,101014,5}];

get_target_reward(2000,78) ->
    [{100,101014,5}];

get_target_reward(2000,79) ->
    [{100,101014,5}];

get_target_reward(2000,80) ->
    [{100,101014,5}];

get_target_reward(2000,81) ->
    [{100,101014,5}];

get_target_reward(2000,82) ->
    [{100,101014,5}];

get_target_reward(2000,83) ->
    [{100,101014,5}];

get_target_reward(2000,84) ->
    [{100,101014,5}];

get_target_reward(2000,85) ->
    [{100,101014,5}];

get_target_reward(2000,86) ->
    [{100,101014,5}];

get_target_reward(2000,87) ->
    [{100,101014,5}];

get_target_reward(2000,88) ->
    [{100,101014,5}];

get_target_reward(2000,89) ->
    [{100,101014,5}];

get_target_reward(2000,90) ->
    [{100,101014,5}];

get_target_reward(2000,91) ->
    [{100,101014,5}];

get_target_reward(2000,92) ->
    [{100,101014,5}];

get_target_reward(2000,93) ->
    [{100,101014,5}];

get_target_reward(2000,94) ->
    [{100,101014,5}];

get_target_reward(2231,1) ->
    [{100,101014,2}];

get_target_reward(2231,2) ->
    [{100,101014,2}];

get_target_reward(2231,3) ->
    [{100,101014,3}];

get_target_reward(2231,4) ->
    [{100,101014,3}];

get_target_reward(2231,5) ->
    [{100,101014,4}];

get_target_reward(2231,6) ->
    [{100,101014,4}];

get_target_reward(2231,7) ->
    [{100,101014,5}];

get_target_reward(2231,8) ->
    [{100,101014,5}];

get_target_reward(2231,9) ->
    [{100,101014,5}];

get_target_reward(2231,10) ->
    [{100,101014,5}];

get_target_reward(2231,11) ->
    [{100,101014,5}];

get_target_reward(2231,12) ->
    [{100,101014,5}];

get_target_reward(2231,13) ->
    [{100,101014,5}];

get_target_reward(2232,1) ->
    [{100,101014,2}];

get_target_reward(2232,2) ->
    [{100,101014,2}];

get_target_reward(2232,3) ->
    [{100,101014,3}];

get_target_reward(2232,4) ->
    [{100,101014,3}];

get_target_reward(2232,5) ->
    [{100,101014,4}];

get_target_reward(2232,6) ->
    [{100,101014,4}];

get_target_reward(2232,7) ->
    [{100,101014,5}];

get_target_reward(2232,8) ->
    [{100,101014,5}];

get_target_reward(2232,9) ->
    [{100,101014,5}];

get_target_reward(2232,10) ->
    [{100,101014,5}];

get_target_reward(2232,11) ->
    [{100,101014,5}];

get_target_reward(2232,12) ->
    [{100,101014,5}];

get_target_reward(2232,13) ->
    [{100,101014,5}];

get_target_reward(2232,14) ->
    [{100,101014,5}];

get_target_reward(2232,15) ->
    [{100,101014,5}];

get_target_reward(2232,16) ->
    [{100,101014,5}];

get_target_reward(2232,17) ->
    [{100,101014,5}];

get_target_reward(2232,18) ->
    [{100,101014,5}];

get_target_reward(2232,19) ->
    [{100,101014,5}];

get_target_reward(2232,20) ->
    [{100,101014,5}];

get_target_reward(2232,21) ->
    [{100,101014,5}];

get_target_reward(2232,22) ->
    [{100,101014,5}];

get_target_reward(2232,23) ->
    [{100,101014,5}];

get_target_reward(2232,24) ->
    [{100,101014,5}];

get_target_reward(2232,25) ->
    [{100,101014,5}];

get_target_reward(2232,26) ->
    [{100,101014,5}];

get_target_reward(2232,27) ->
    [{100,101014,5}];

get_target_reward(2232,28) ->
    [{100,101014,5}];

get_target_reward(2232,29) ->
    [{100,101014,5}];

get_target_reward(2232,30) ->
    [{100,101014,5}];

get_target_reward(2232,31) ->
    [{100,101014,5}];

get_target_reward(2232,32) ->
    [{100,101014,5}];

get_target_reward(3000,1) ->
    [{100,101014,1}];

get_target_reward(3000,2) ->
    [{100,101014,1}];

get_target_reward(3000,3) ->
    [{100,101014,1}];

get_target_reward(3000,4) ->
    [{100,101014,1}];

get_target_reward(3000,5) ->
    [{100,101014,1}];

get_target_reward(3000,6) ->
    [{100,101014,1}];

get_target_reward(3000,7) ->
    [{100,101014,1}];

get_target_reward(3000,8) ->
    [{100,101014,1}];

get_target_reward(3000,9) ->
    [{100,101014,1}];

get_target_reward(3000,10) ->
    [{100,101014,2}];

get_target_reward(3000,11) ->
    [{100,101014,2}];

get_target_reward(3000,12) ->
    [{100,101014,2}];

get_target_reward(3000,13) ->
    [{100,101014,2}];

get_target_reward(3000,14) ->
    [{100,101014,2}];

get_target_reward(3000,15) ->
    [{100,101014,2}];

get_target_reward(3000,16) ->
    [{100,101014,2}];

get_target_reward(3000,17) ->
    [{100,101014,2}];

get_target_reward(3000,18) ->
    [{100,101014,2}];

get_target_reward(3000,19) ->
    [{100,101014,2}];

get_target_reward(3000,20) ->
    [{100,101014,3}];

get_target_reward(3000,21) ->
    [{100,101014,3}];

get_target_reward(3000,22) ->
    [{100,101014,3}];

get_target_reward(3000,23) ->
    [{100,101014,3}];

get_target_reward(3000,24) ->
    [{100,101014,3}];

get_target_reward(3000,25) ->
    [{100,101014,3}];

get_target_reward(3000,26) ->
    [{100,101014,3}];

get_target_reward(3000,27) ->
    [{100,101014,3}];

get_target_reward(3000,28) ->
    [{100,101014,3}];

get_target_reward(3000,29) ->
    [{100,101014,3}];

get_target_reward(3000,30) ->
    [{100,101014,4}];

get_target_reward(3000,31) ->
    [{100,101014,4}];

get_target_reward(3000,32) ->
    [{100,101014,4}];

get_target_reward(3000,33) ->
    [{100,101014,4}];

get_target_reward(3000,34) ->
    [{100,101014,4}];

get_target_reward(3000,35) ->
    [{100,101014,4}];

get_target_reward(3000,36) ->
    [{100,101014,4}];

get_target_reward(3000,37) ->
    [{100,101014,4}];

get_target_reward(3000,38) ->
    [{100,101014,4}];

get_target_reward(3000,39) ->
    [{100,101014,4}];

get_target_reward(3000,40) ->
    [{100,101014,5}];

get_target_reward(3000,41) ->
    [{100,101014,5}];

get_target_reward(3000,42) ->
    [{100,101014,5}];

get_target_reward(3000,43) ->
    [{100,101014,5}];

get_target_reward(3000,44) ->
    [{100,101014,5}];

get_target_reward(3000,45) ->
    [{100,101014,5}];

get_target_reward(3000,46) ->
    [{100,101014,5}];

get_target_reward(3000,47) ->
    [{100,101014,5}];

get_target_reward(3000,48) ->
    [{100,101014,5}];

get_target_reward(3000,49) ->
    [{100,101014,5}];

get_target_reward(3000,50) ->
    [{100,101014,5}];

get_target_reward(3000,51) ->
    [{100,101014,5}];

get_target_reward(3000,52) ->
    [{100,101014,5}];

get_target_reward(3000,53) ->
    [{100,101014,5}];

get_target_reward(3000,54) ->
    [{100,101014,5}];

get_target_reward(3000,55) ->
    [{100,101014,5}];

get_target_reward(3000,56) ->
    [{100,101014,5}];

get_target_reward(3000,57) ->
    [{100,101014,5}];

get_target_reward(3000,58) ->
    [{100,101014,5}];

get_target_reward(3000,59) ->
    [{100,101014,5}];

get_target_reward(3000,60) ->
    [{100,101014,5}];

get_target_reward(3000,61) ->
    [{100,101014,5}];

get_target_reward(3000,62) ->
    [{100,101014,5}];

get_target_reward(3000,63) ->
    [{100,101014,5}];

get_target_reward(3000,64) ->
    [{100,101014,5}];

get_target_reward(3000,65) ->
    [{100,101014,5}];

get_target_reward(3000,66) ->
    [{100,101014,5}];

get_target_reward(3000,67) ->
    [{100,101014,5}];

get_target_reward(3000,68) ->
    [{100,101014,5}];

get_target_reward(3000,69) ->
    [{100,101014,5}];

get_target_reward(3000,70) ->
    [{100,101014,5}];

get_target_reward(3000,71) ->
    [{100,101014,5}];

get_target_reward(3000,72) ->
    [{100,101014,5}];

get_target_reward(3000,73) ->
    [{100,101014,5}];

get_target_reward(3000,74) ->
    [{100,101014,5}];

get_target_reward(3000,75) ->
    [{100,101014,5}];

get_target_reward(3000,76) ->
    [{100,101014,5}];

get_target_reward(3000,77) ->
    [{100,101014,5}];

get_target_reward(3000,78) ->
    [{100,101014,5}];

get_target_reward(3000,79) ->
    [{100,101014,5}];

get_target_reward(3000,80) ->
    [{100,101014,5}];

get_target_reward(_Type,_Index) ->
    [].


get_target_by_type(112) ->
    [{1,5},{2,10},{3,15},{4,20},{5,25},{6,30},{7,35},{8,40},{9,45},{10,50}];


get_target_by_type(143) ->
    [{1,50000},{2,100000},{3,150000},{4,200000},{5,250000},{6,300000},{7,350000},{8,400000},{9,450000},{10,500000},{11,600000},{12,700000},{13,800000},{14,900000},{15,1000000},{16,1200000},{17,1400000},{18,1600000},{19,1800000},{20,2000000},{21,2500000},{22,3000000},{23,3500000},{24,4000000},{25,4500000},{26,5000000}];


get_target_by_type(411) ->
    [{1,10},{2,20},{3,30},{4,40},{5,50},{6,60},{7,70},{8,80},{9,90},{10,100},{11,110},{12,120},{13,130},{14,140},{15,150}];


get_target_by_type(413) ->
    [{1,10},{2,20},{3,30},{4,40},{5,50},{6,60},{7,70},{8,80},{9,90},{10,100},{11,110},{12,120},{13,130},{14,140},{15,150},{16,160},{17,170},{18,180},{19,190},{20,200}];


get_target_by_type(1461) ->
    [{1,4},{2,5},{3,6},{4,7},{5,8},{6,9},{7,10}];


get_target_by_type(1462) ->
    [{1,4},{2,5},{3,6},{4,7},{5,8},{6,9},{7,10}];


get_target_by_type(1463) ->
    [{1,4},{2,5},{3,6},{4,7},{5,8},{6,9},{7,10}];


get_target_by_type(1464) ->
    [{1,4},{2,5},{3,6},{4,7},{5,8},{6,9},{7,10}];


get_target_by_type(1465) ->
    [{1,20},{2,50},{3,100},{4,150},{5,200},{6,250},{7,300}];


get_target_by_type(1466) ->
    [{1,20},{2,50},{3,100},{4,150},{5,200},{6,250},{7,300}];


get_target_by_type(1467) ->
    [{1,20},{2,50},{3,100},{4,150},{5,200},{6,250},{7,300}];


get_target_by_type(1468) ->
    [{1,20},{2,50},{3,100},{4,150},{5,200},{6,250},{7,300}];


get_target_by_type(1520) ->
    [{1,100000},{2,120000},{3,140000},{4,160000},{5,180000},{6,200000},{7,220000},{8,240000},{9,260000},{10,280000},{11,300000},{12,320000},{13,340000},{14,360000},{15,380000},{16,400000},{17,420000},{18,440000},{19,460000},{20,480000},{21,500000},{22,550000},{23,600000},{24,650000},{25,700000},{26,750000},{27,800000},{28,850000},{29,900000},{30,950000},{31,1000000},{32,1100000},{33,1200000},{34,1300000},{35,1400000},{36,1500000},{37,1600000},{38,1700000},{39,1800000},{40,1900000},{41,2000000},{42,2200000},{43,2400000},{44,2600000},{45,2800000},{46,3000000},{47,3200000},{48,3400000},{49,3600000},{50,3800000},{51,4000000},{52,4200000},{53,4400000},{54,4600000},{55,4800000},{56,5000000}];


get_target_by_type(2000) ->
    [{1,150000},{2,200000},{3,250000},{4,300000},{5,350000},{6,400000},{7,500000},{8,600000},{9,700000},{10,800000},{11,900000},{12,1000000},{13,1200000},{14,1400000},{15,1600000},{16,1800000},{17,2000000},{18,2200000},{19,2400000},{20,2600000},{21,2800000},{22,3000000},{23,3200000},{24,3400000},{25,3600000},{26,3800000},{27,4000000},{28,4200000},{29,4400000},{30,4600000},{31,4800000},{32,5000000},{33,5500000},{34,6000000},{35,6500000},{36,7000000},{37,7500000},{38,8000000},{39,8500000},{40,9000000},{41,9500000},{42,10000000},{43,11000000},{44,12000000},{45,13000000},{46,14000000},{47,15000000},{48,16000000},{49,17000000},{50,18000000},{51,19000000},{52,20000000},{53,22000000},{54,24000000},{55,26000000},{56,28000000},{57,30000000},{58,32000000},{59,34000000},{60,36000000},{61,38000000},{62,40000000},{63,42000000},{64,44000000},{65,46000000},{66,48000000},{67,50000000},{68,52000000},{69,54000000},{70,56000000},{71,58000000},{72,60000000},{73,62000000},{74,64000000},{75,66000000},{76,68000000},{77,70000000},{78,72000000},{79,74000000},{80,76000000},{81,78000000},{82,80000000},{83,82000000},{84,84000000},{85,86000000},{86,88000000},{87,90000000},{88,92000000},{89,94000000},{90,96000000},{91,98000000},{92,100000000},{93,102000000},{94,104000000}];


get_target_by_type(2231) ->
    [{1,200},{2,500},{3,1000},{4,2000},{5,5000},{6,10000},{7,20000},{8,50000},{9,100000},{10,200000},{11,500000},{12,1000000},{13,2000000}];


get_target_by_type(2232) ->
    [{1,233},{2,666},{3,1999},{4,3344},{5,5200},{6,9999},{7,13149},{8,25899},{9,33449},{10,52099},{11,68899},{12,100001},{13,139999},{14,179999},{15,219999},{16,259999},{17,299999},{18,339999},{19,379999},{20,419999},{21,459999},{22,499999},{23,589999},{24,679999},{25,769999},{26,859999},{27,949999},{28,1169999},{29,1389999},{30,1609999},{31,1829999},{32,2049999}];


get_target_by_type(3000) ->
    [{1,110},{2,120},{3,130},{4,140},{5,150},{6,160},{7,170},{8,180},{9,190},{10,200},{11,210},{12,220},{13,230},{14,240},{15,250},{16,260},{17,270},{18,280},{19,290},{20,300},{21,310},{22,320},{23,330},{24,340},{25,350},{26,360},{27,370},{28,380},{29,390},{30,400},{31,410},{32,420},{33,430},{34,440},{35,450},{36,460},{37,470},{38,480},{39,490},{40,500},{41,510},{42,520},{43,530},{44,540},{45,550},{46,560},{47,570},{48,580},{49,590},{50,600},{51,610},{52,620},{53,630},{54,640},{55,650},{56,660},{57,670},{58,680},{59,690},{60,700},{61,710},{62,720},{63,730},{64,740},{65,750},{66,760},{67,770},{68,780},{69,790},{70,800},{71,810},{72,820},{73,830},{74,840},{75,850},{76,860},{77,870},{78,880},{79,890},{80,900}];

get_target_by_type(_Type) ->
    [].

get_all_target_by_type(112,1) ->
    [5];

get_all_target_by_type(112,2) ->
    [10];

get_all_target_by_type(112,3) ->
    [15];

get_all_target_by_type(112,4) ->
    [20];

get_all_target_by_type(112,5) ->
    [25];

get_all_target_by_type(112,6) ->
    [30];

get_all_target_by_type(112,7) ->
    [35];

get_all_target_by_type(112,8) ->
    [40];

get_all_target_by_type(112,9) ->
    [45];

get_all_target_by_type(112,10) ->
    [50];

get_all_target_by_type(143,1) ->
    [50000];

get_all_target_by_type(143,2) ->
    [100000];

get_all_target_by_type(143,3) ->
    [150000];

get_all_target_by_type(143,4) ->
    [200000];

get_all_target_by_type(143,5) ->
    [250000];

get_all_target_by_type(143,6) ->
    [300000];

get_all_target_by_type(143,7) ->
    [350000];

get_all_target_by_type(143,8) ->
    [400000];

get_all_target_by_type(143,9) ->
    [450000];

get_all_target_by_type(143,10) ->
    [500000];

get_all_target_by_type(143,11) ->
    [600000];

get_all_target_by_type(143,12) ->
    [700000];

get_all_target_by_type(143,13) ->
    [800000];

get_all_target_by_type(143,14) ->
    [900000];

get_all_target_by_type(143,15) ->
    [1000000];

get_all_target_by_type(143,16) ->
    [1200000];

get_all_target_by_type(143,17) ->
    [1400000];

get_all_target_by_type(143,18) ->
    [1600000];

get_all_target_by_type(143,19) ->
    [1800000];

get_all_target_by_type(143,20) ->
    [2000000];

get_all_target_by_type(143,21) ->
    [2500000];

get_all_target_by_type(143,22) ->
    [3000000];

get_all_target_by_type(143,23) ->
    [3500000];

get_all_target_by_type(143,24) ->
    [4000000];

get_all_target_by_type(143,25) ->
    [4500000];

get_all_target_by_type(143,26) ->
    [5000000];

get_all_target_by_type(411,1) ->
    [10];

get_all_target_by_type(411,2) ->
    [20];

get_all_target_by_type(411,3) ->
    [30];

get_all_target_by_type(411,4) ->
    [40];

get_all_target_by_type(411,5) ->
    [50];

get_all_target_by_type(411,6) ->
    [60];

get_all_target_by_type(411,7) ->
    [70];

get_all_target_by_type(411,8) ->
    [80];

get_all_target_by_type(411,9) ->
    [90];

get_all_target_by_type(411,10) ->
    [100];

get_all_target_by_type(411,11) ->
    [110];

get_all_target_by_type(411,12) ->
    [120];

get_all_target_by_type(411,13) ->
    [130];

get_all_target_by_type(411,14) ->
    [140];

get_all_target_by_type(411,15) ->
    [150];

get_all_target_by_type(413,1) ->
    [10];

get_all_target_by_type(413,2) ->
    [20];

get_all_target_by_type(413,3) ->
    [30];

get_all_target_by_type(413,4) ->
    [40];

get_all_target_by_type(413,5) ->
    [50];

get_all_target_by_type(413,6) ->
    [60];

get_all_target_by_type(413,7) ->
    [70];

get_all_target_by_type(413,8) ->
    [80];

get_all_target_by_type(413,9) ->
    [90];

get_all_target_by_type(413,10) ->
    [100];

get_all_target_by_type(413,11) ->
    [110];

get_all_target_by_type(413,12) ->
    [120];

get_all_target_by_type(413,13) ->
    [130];

get_all_target_by_type(413,14) ->
    [140];

get_all_target_by_type(413,15) ->
    [150];

get_all_target_by_type(413,16) ->
    [160];

get_all_target_by_type(413,17) ->
    [170];

get_all_target_by_type(413,18) ->
    [180];

get_all_target_by_type(413,19) ->
    [190];

get_all_target_by_type(413,20) ->
    [200];

get_all_target_by_type(1461,1) ->
    [4];

get_all_target_by_type(1461,2) ->
    [5];

get_all_target_by_type(1461,3) ->
    [6];

get_all_target_by_type(1461,4) ->
    [7];

get_all_target_by_type(1461,5) ->
    [8];

get_all_target_by_type(1461,6) ->
    [9];

get_all_target_by_type(1461,7) ->
    [10];

get_all_target_by_type(1462,1) ->
    [4];

get_all_target_by_type(1462,2) ->
    [5];

get_all_target_by_type(1462,3) ->
    [6];

get_all_target_by_type(1462,4) ->
    [7];

get_all_target_by_type(1462,5) ->
    [8];

get_all_target_by_type(1462,6) ->
    [9];

get_all_target_by_type(1462,7) ->
    [10];

get_all_target_by_type(1463,1) ->
    [4];

get_all_target_by_type(1463,2) ->
    [5];

get_all_target_by_type(1463,3) ->
    [6];

get_all_target_by_type(1463,4) ->
    [7];

get_all_target_by_type(1463,5) ->
    [8];

get_all_target_by_type(1463,6) ->
    [9];

get_all_target_by_type(1463,7) ->
    [10];

get_all_target_by_type(1464,1) ->
    [4];

get_all_target_by_type(1464,2) ->
    [5];

get_all_target_by_type(1464,3) ->
    [6];

get_all_target_by_type(1464,4) ->
    [7];

get_all_target_by_type(1464,5) ->
    [8];

get_all_target_by_type(1464,6) ->
    [9];

get_all_target_by_type(1464,7) ->
    [10];

get_all_target_by_type(1465,1) ->
    [20];

get_all_target_by_type(1465,2) ->
    [50];

get_all_target_by_type(1465,3) ->
    [100];

get_all_target_by_type(1465,4) ->
    [150];

get_all_target_by_type(1465,5) ->
    [200];

get_all_target_by_type(1465,6) ->
    [250];

get_all_target_by_type(1465,7) ->
    [300];

get_all_target_by_type(1466,1) ->
    [20];

get_all_target_by_type(1466,2) ->
    [50];

get_all_target_by_type(1466,3) ->
    [100];

get_all_target_by_type(1466,4) ->
    [150];

get_all_target_by_type(1466,5) ->
    [200];

get_all_target_by_type(1466,6) ->
    [250];

get_all_target_by_type(1466,7) ->
    [300];

get_all_target_by_type(1467,1) ->
    [20];

get_all_target_by_type(1467,2) ->
    [50];

get_all_target_by_type(1467,3) ->
    [100];

get_all_target_by_type(1467,4) ->
    [150];

get_all_target_by_type(1467,5) ->
    [200];

get_all_target_by_type(1467,6) ->
    [250];

get_all_target_by_type(1467,7) ->
    [300];

get_all_target_by_type(1468,1) ->
    [20];

get_all_target_by_type(1468,2) ->
    [50];

get_all_target_by_type(1468,3) ->
    [100];

get_all_target_by_type(1468,4) ->
    [150];

get_all_target_by_type(1468,5) ->
    [200];

get_all_target_by_type(1468,6) ->
    [250];

get_all_target_by_type(1468,7) ->
    [300];

get_all_target_by_type(1520,1) ->
    [100000];

get_all_target_by_type(1520,2) ->
    [120000];

get_all_target_by_type(1520,3) ->
    [140000];

get_all_target_by_type(1520,4) ->
    [160000];

get_all_target_by_type(1520,5) ->
    [180000];

get_all_target_by_type(1520,6) ->
    [200000];

get_all_target_by_type(1520,7) ->
    [220000];

get_all_target_by_type(1520,8) ->
    [240000];

get_all_target_by_type(1520,9) ->
    [260000];

get_all_target_by_type(1520,10) ->
    [280000];

get_all_target_by_type(1520,11) ->
    [300000];

get_all_target_by_type(1520,12) ->
    [320000];

get_all_target_by_type(1520,13) ->
    [340000];

get_all_target_by_type(1520,14) ->
    [360000];

get_all_target_by_type(1520,15) ->
    [380000];

get_all_target_by_type(1520,16) ->
    [400000];

get_all_target_by_type(1520,17) ->
    [420000];

get_all_target_by_type(1520,18) ->
    [440000];

get_all_target_by_type(1520,19) ->
    [460000];

get_all_target_by_type(1520,20) ->
    [480000];

get_all_target_by_type(1520,21) ->
    [500000];

get_all_target_by_type(1520,22) ->
    [550000];

get_all_target_by_type(1520,23) ->
    [600000];

get_all_target_by_type(1520,24) ->
    [650000];

get_all_target_by_type(1520,25) ->
    [700000];

get_all_target_by_type(1520,26) ->
    [750000];

get_all_target_by_type(1520,27) ->
    [800000];

get_all_target_by_type(1520,28) ->
    [850000];

get_all_target_by_type(1520,29) ->
    [900000];

get_all_target_by_type(1520,30) ->
    [950000];

get_all_target_by_type(1520,31) ->
    [1000000];

get_all_target_by_type(1520,32) ->
    [1100000];

get_all_target_by_type(1520,33) ->
    [1200000];

get_all_target_by_type(1520,34) ->
    [1300000];

get_all_target_by_type(1520,35) ->
    [1400000];

get_all_target_by_type(1520,36) ->
    [1500000];

get_all_target_by_type(1520,37) ->
    [1600000];

get_all_target_by_type(1520,38) ->
    [1700000];

get_all_target_by_type(1520,39) ->
    [1800000];

get_all_target_by_type(1520,40) ->
    [1900000];

get_all_target_by_type(1520,41) ->
    [2000000];

get_all_target_by_type(1520,42) ->
    [2200000];

get_all_target_by_type(1520,43) ->
    [2400000];

get_all_target_by_type(1520,44) ->
    [2600000];

get_all_target_by_type(1520,45) ->
    [2800000];

get_all_target_by_type(1520,46) ->
    [3000000];

get_all_target_by_type(1520,47) ->
    [3200000];

get_all_target_by_type(1520,48) ->
    [3400000];

get_all_target_by_type(1520,49) ->
    [3600000];

get_all_target_by_type(1520,50) ->
    [3800000];

get_all_target_by_type(1520,51) ->
    [4000000];

get_all_target_by_type(1520,52) ->
    [4200000];

get_all_target_by_type(1520,53) ->
    [4400000];

get_all_target_by_type(1520,54) ->
    [4600000];

get_all_target_by_type(1520,55) ->
    [4800000];

get_all_target_by_type(1520,56) ->
    [5000000];

get_all_target_by_type(2000,1) ->
    [150000];

get_all_target_by_type(2000,2) ->
    [200000];

get_all_target_by_type(2000,3) ->
    [250000];

get_all_target_by_type(2000,4) ->
    [300000];

get_all_target_by_type(2000,5) ->
    [350000];

get_all_target_by_type(2000,6) ->
    [400000];

get_all_target_by_type(2000,7) ->
    [500000];

get_all_target_by_type(2000,8) ->
    [600000];

get_all_target_by_type(2000,9) ->
    [700000];

get_all_target_by_type(2000,10) ->
    [800000];

get_all_target_by_type(2000,11) ->
    [900000];

get_all_target_by_type(2000,12) ->
    [1000000];

get_all_target_by_type(2000,13) ->
    [1200000];

get_all_target_by_type(2000,14) ->
    [1400000];

get_all_target_by_type(2000,15) ->
    [1600000];

get_all_target_by_type(2000,16) ->
    [1800000];

get_all_target_by_type(2000,17) ->
    [2000000];

get_all_target_by_type(2000,18) ->
    [2200000];

get_all_target_by_type(2000,19) ->
    [2400000];

get_all_target_by_type(2000,20) ->
    [2600000];

get_all_target_by_type(2000,21) ->
    [2800000];

get_all_target_by_type(2000,22) ->
    [3000000];

get_all_target_by_type(2000,23) ->
    [3200000];

get_all_target_by_type(2000,24) ->
    [3400000];

get_all_target_by_type(2000,25) ->
    [3600000];

get_all_target_by_type(2000,26) ->
    [3800000];

get_all_target_by_type(2000,27) ->
    [4000000];

get_all_target_by_type(2000,28) ->
    [4200000];

get_all_target_by_type(2000,29) ->
    [4400000];

get_all_target_by_type(2000,30) ->
    [4600000];

get_all_target_by_type(2000,31) ->
    [4800000];

get_all_target_by_type(2000,32) ->
    [5000000];

get_all_target_by_type(2000,33) ->
    [5500000];

get_all_target_by_type(2000,34) ->
    [6000000];

get_all_target_by_type(2000,35) ->
    [6500000];

get_all_target_by_type(2000,36) ->
    [7000000];

get_all_target_by_type(2000,37) ->
    [7500000];

get_all_target_by_type(2000,38) ->
    [8000000];

get_all_target_by_type(2000,39) ->
    [8500000];

get_all_target_by_type(2000,40) ->
    [9000000];

get_all_target_by_type(2000,41) ->
    [9500000];

get_all_target_by_type(2000,42) ->
    [10000000];

get_all_target_by_type(2000,43) ->
    [11000000];

get_all_target_by_type(2000,44) ->
    [12000000];

get_all_target_by_type(2000,45) ->
    [13000000];

get_all_target_by_type(2000,46) ->
    [14000000];

get_all_target_by_type(2000,47) ->
    [15000000];

get_all_target_by_type(2000,48) ->
    [16000000];

get_all_target_by_type(2000,49) ->
    [17000000];

get_all_target_by_type(2000,50) ->
    [18000000];

get_all_target_by_type(2000,51) ->
    [19000000];

get_all_target_by_type(2000,52) ->
    [20000000];

get_all_target_by_type(2000,53) ->
    [22000000];

get_all_target_by_type(2000,54) ->
    [24000000];

get_all_target_by_type(2000,55) ->
    [26000000];

get_all_target_by_type(2000,56) ->
    [28000000];

get_all_target_by_type(2000,57) ->
    [30000000];

get_all_target_by_type(2000,58) ->
    [32000000];

get_all_target_by_type(2000,59) ->
    [34000000];

get_all_target_by_type(2000,60) ->
    [36000000];

get_all_target_by_type(2000,61) ->
    [38000000];

get_all_target_by_type(2000,62) ->
    [40000000];

get_all_target_by_type(2000,63) ->
    [42000000];

get_all_target_by_type(2000,64) ->
    [44000000];

get_all_target_by_type(2000,65) ->
    [46000000];

get_all_target_by_type(2000,66) ->
    [48000000];

get_all_target_by_type(2000,67) ->
    [50000000];

get_all_target_by_type(2000,68) ->
    [52000000];

get_all_target_by_type(2000,69) ->
    [54000000];

get_all_target_by_type(2000,70) ->
    [56000000];

get_all_target_by_type(2000,71) ->
    [58000000];

get_all_target_by_type(2000,72) ->
    [60000000];

get_all_target_by_type(2000,73) ->
    [62000000];

get_all_target_by_type(2000,74) ->
    [64000000];

get_all_target_by_type(2000,75) ->
    [66000000];

get_all_target_by_type(2000,76) ->
    [68000000];

get_all_target_by_type(2000,77) ->
    [70000000];

get_all_target_by_type(2000,78) ->
    [72000000];

get_all_target_by_type(2000,79) ->
    [74000000];

get_all_target_by_type(2000,80) ->
    [76000000];

get_all_target_by_type(2000,81) ->
    [78000000];

get_all_target_by_type(2000,82) ->
    [80000000];

get_all_target_by_type(2000,83) ->
    [82000000];

get_all_target_by_type(2000,84) ->
    [84000000];

get_all_target_by_type(2000,85) ->
    [86000000];

get_all_target_by_type(2000,86) ->
    [88000000];

get_all_target_by_type(2000,87) ->
    [90000000];

get_all_target_by_type(2000,88) ->
    [92000000];

get_all_target_by_type(2000,89) ->
    [94000000];

get_all_target_by_type(2000,90) ->
    [96000000];

get_all_target_by_type(2000,91) ->
    [98000000];

get_all_target_by_type(2000,92) ->
    [100000000];

get_all_target_by_type(2000,93) ->
    [102000000];

get_all_target_by_type(2000,94) ->
    [104000000];

get_all_target_by_type(2231,1) ->
    [200];

get_all_target_by_type(2231,2) ->
    [500];

get_all_target_by_type(2231,3) ->
    [1000];

get_all_target_by_type(2231,4) ->
    [2000];

get_all_target_by_type(2231,5) ->
    [5000];

get_all_target_by_type(2231,6) ->
    [10000];

get_all_target_by_type(2231,7) ->
    [20000];

get_all_target_by_type(2231,8) ->
    [50000];

get_all_target_by_type(2231,9) ->
    [100000];

get_all_target_by_type(2231,10) ->
    [200000];

get_all_target_by_type(2231,11) ->
    [500000];

get_all_target_by_type(2231,12) ->
    [1000000];

get_all_target_by_type(2231,13) ->
    [2000000];

get_all_target_by_type(2232,1) ->
    [233];

get_all_target_by_type(2232,2) ->
    [666];

get_all_target_by_type(2232,3) ->
    [1999];

get_all_target_by_type(2232,4) ->
    [3344];

get_all_target_by_type(2232,5) ->
    [5200];

get_all_target_by_type(2232,6) ->
    [9999];

get_all_target_by_type(2232,7) ->
    [13149];

get_all_target_by_type(2232,8) ->
    [25899];

get_all_target_by_type(2232,9) ->
    [33449];

get_all_target_by_type(2232,10) ->
    [52099];

get_all_target_by_type(2232,11) ->
    [68899];

get_all_target_by_type(2232,12) ->
    [100001];

get_all_target_by_type(2232,13) ->
    [139999];

get_all_target_by_type(2232,14) ->
    [179999];

get_all_target_by_type(2232,15) ->
    [219999];

get_all_target_by_type(2232,16) ->
    [259999];

get_all_target_by_type(2232,17) ->
    [299999];

get_all_target_by_type(2232,18) ->
    [339999];

get_all_target_by_type(2232,19) ->
    [379999];

get_all_target_by_type(2232,20) ->
    [419999];

get_all_target_by_type(2232,21) ->
    [459999];

get_all_target_by_type(2232,22) ->
    [499999];

get_all_target_by_type(2232,23) ->
    [589999];

get_all_target_by_type(2232,24) ->
    [679999];

get_all_target_by_type(2232,25) ->
    [769999];

get_all_target_by_type(2232,26) ->
    [859999];

get_all_target_by_type(2232,27) ->
    [949999];

get_all_target_by_type(2232,28) ->
    [1169999];

get_all_target_by_type(2232,29) ->
    [1389999];

get_all_target_by_type(2232,30) ->
    [1609999];

get_all_target_by_type(2232,31) ->
    [1829999];

get_all_target_by_type(2232,32) ->
    [2049999];

get_all_target_by_type(3000,1) ->
    [110];

get_all_target_by_type(3000,2) ->
    [120];

get_all_target_by_type(3000,3) ->
    [130];

get_all_target_by_type(3000,4) ->
    [140];

get_all_target_by_type(3000,5) ->
    [150];

get_all_target_by_type(3000,6) ->
    [160];

get_all_target_by_type(3000,7) ->
    [170];

get_all_target_by_type(3000,8) ->
    [180];

get_all_target_by_type(3000,9) ->
    [190];

get_all_target_by_type(3000,10) ->
    [200];

get_all_target_by_type(3000,11) ->
    [210];

get_all_target_by_type(3000,12) ->
    [220];

get_all_target_by_type(3000,13) ->
    [230];

get_all_target_by_type(3000,14) ->
    [240];

get_all_target_by_type(3000,15) ->
    [250];

get_all_target_by_type(3000,16) ->
    [260];

get_all_target_by_type(3000,17) ->
    [270];

get_all_target_by_type(3000,18) ->
    [280];

get_all_target_by_type(3000,19) ->
    [290];

get_all_target_by_type(3000,20) ->
    [300];

get_all_target_by_type(3000,21) ->
    [310];

get_all_target_by_type(3000,22) ->
    [320];

get_all_target_by_type(3000,23) ->
    [330];

get_all_target_by_type(3000,24) ->
    [340];

get_all_target_by_type(3000,25) ->
    [350];

get_all_target_by_type(3000,26) ->
    [360];

get_all_target_by_type(3000,27) ->
    [370];

get_all_target_by_type(3000,28) ->
    [380];

get_all_target_by_type(3000,29) ->
    [390];

get_all_target_by_type(3000,30) ->
    [400];

get_all_target_by_type(3000,31) ->
    [410];

get_all_target_by_type(3000,32) ->
    [420];

get_all_target_by_type(3000,33) ->
    [430];

get_all_target_by_type(3000,34) ->
    [440];

get_all_target_by_type(3000,35) ->
    [450];

get_all_target_by_type(3000,36) ->
    [460];

get_all_target_by_type(3000,37) ->
    [470];

get_all_target_by_type(3000,38) ->
    [480];

get_all_target_by_type(3000,39) ->
    [490];

get_all_target_by_type(3000,40) ->
    [500];

get_all_target_by_type(3000,41) ->
    [510];

get_all_target_by_type(3000,42) ->
    [520];

get_all_target_by_type(3000,43) ->
    [530];

get_all_target_by_type(3000,44) ->
    [540];

get_all_target_by_type(3000,45) ->
    [550];

get_all_target_by_type(3000,46) ->
    [560];

get_all_target_by_type(3000,47) ->
    [570];

get_all_target_by_type(3000,48) ->
    [580];

get_all_target_by_type(3000,49) ->
    [590];

get_all_target_by_type(3000,50) ->
    [600];

get_all_target_by_type(3000,51) ->
    [610];

get_all_target_by_type(3000,52) ->
    [620];

get_all_target_by_type(3000,53) ->
    [630];

get_all_target_by_type(3000,54) ->
    [640];

get_all_target_by_type(3000,55) ->
    [650];

get_all_target_by_type(3000,56) ->
    [660];

get_all_target_by_type(3000,57) ->
    [670];

get_all_target_by_type(3000,58) ->
    [680];

get_all_target_by_type(3000,59) ->
    [690];

get_all_target_by_type(3000,60) ->
    [700];

get_all_target_by_type(3000,61) ->
    [710];

get_all_target_by_type(3000,62) ->
    [720];

get_all_target_by_type(3000,63) ->
    [730];

get_all_target_by_type(3000,64) ->
    [740];

get_all_target_by_type(3000,65) ->
    [750];

get_all_target_by_type(3000,66) ->
    [760];

get_all_target_by_type(3000,67) ->
    [770];

get_all_target_by_type(3000,68) ->
    [780];

get_all_target_by_type(3000,69) ->
    [790];

get_all_target_by_type(3000,70) ->
    [800];

get_all_target_by_type(3000,71) ->
    [810];

get_all_target_by_type(3000,72) ->
    [820];

get_all_target_by_type(3000,73) ->
    [830];

get_all_target_by_type(3000,74) ->
    [840];

get_all_target_by_type(3000,75) ->
    [850];

get_all_target_by_type(3000,76) ->
    [860];

get_all_target_by_type(3000,77) ->
    [870];

get_all_target_by_type(3000,78) ->
    [880];

get_all_target_by_type(3000,79) ->
    [890];

get_all_target_by_type(3000,80) ->
    [900];

get_all_target_by_type(_Type,_Index) ->
    [].

