%%%---------------------------------------
%%% module      : data_resource_back
%%% description : 资源找回配置
%%%
%%%---------------------------------------
-module(data_resource_back).
-compile(export_all).
-include("resource_back.hrl").



get_act_ids() ->
    [{215,1},{215,2},{280,0},{300,1},{300,2},{408,0},{500,0},{610,4},{610,7},{610,8},{610,10},{610,1001},{610,1002},{610,1003},{610,1004},{610,1005},{610,1006},{610,1007},{610,1008}].

get_reward_lv_list(215,1) ->
    [370,320,275,230,180,130,96];

get_reward_lv_list(215,2) ->
    [250];

get_reward_lv_list(280,0) ->
    [94];

get_reward_lv_list(300,1) ->
    [96];

get_reward_lv_list(300,2) ->
    [96];

get_reward_lv_list(408,0) ->
    [84];

get_reward_lv_list(500,0) ->
    [96];

get_reward_lv_list(610,4) ->
    [82];

get_reward_lv_list(610,7) ->
    [140];

get_reward_lv_list(610,8) ->
    [170];

get_reward_lv_list(610,10) ->
    [380];

get_reward_lv_list(610,1001) ->
    [40];

get_reward_lv_list(610,1002) ->
    [42];

get_reward_lv_list(610,1003) ->
    [82];

get_reward_lv_list(610,1004) ->
    [110];

get_reward_lv_list(610,1005) ->
    [116];

get_reward_lv_list(610,1006) ->
    [150];

get_reward_lv_list(610,1007) ->
    [180];

get_reward_lv_list(610,1008) ->
    [220];

get_reward_lv_list(_Actid,_Actsub) ->
    [].

get_res_cfg_by_lv(215,1,_Level) when _Level >= 96, _Level =< 129 ->
	#base_res_act{act_id=215,act_sub=1,type=2,level=96,level_max=129,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "小队讨伐",coin_per=[{2,100001,5}],coin_goods=[{5,100007,500000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,500000}],gold_exp=0};
get_res_cfg_by_lv(215,1,_Level) when _Level >= 130, _Level =< 179 ->
	#base_res_act{act_id=215,act_sub=1,type=2,level=130,level_max=179,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "小队讨伐",coin_per=[{2,100001,5}],coin_goods=[{5,100007,500000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,500000}],gold_exp=0};
get_res_cfg_by_lv(215,1,_Level) when _Level >= 180, _Level =< 229 ->
	#base_res_act{act_id=215,act_sub=1,type=2,level=180,level_max=229,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "小队讨伐",coin_per=[{2,100001,5}],coin_goods=[{5,100007,500000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,500000}],gold_exp=0};
get_res_cfg_by_lv(215,1,_Level) when _Level >= 230, _Level =< 274 ->
	#base_res_act{act_id=215,act_sub=1,type=2,level=230,level_max=274,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "小队讨伐",coin_per=[{2,100001,5}],coin_goods=[{5,100007,500000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,500000}],gold_exp=0};
get_res_cfg_by_lv(215,1,_Level) when _Level >= 275, _Level =< 319 ->
	#base_res_act{act_id=215,act_sub=1,type=2,level=275,level_max=319,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "小队讨伐",coin_per=[{2,100001,5}],coin_goods=[{5,100007,500000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,500000}],gold_exp=0};
get_res_cfg_by_lv(215,1,_Level) when _Level >= 320, _Level =< 369 ->
	#base_res_act{act_id=215,act_sub=1,type=2,level=320,level_max=369,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "小队讨伐",coin_per=[{2,100001,5}],coin_goods=[{5,100007,500000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,500000}],gold_exp=0};
get_res_cfg_by_lv(215,1,_Level) when _Level >= 370, _Level =< 999 ->
	#base_res_act{act_id=215,act_sub=1,type=2,level=370,level_max=999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "小队讨伐",coin_per=[{2,100001,5}],coin_goods=[{5,100007,500000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,500000}],gold_exp=0};
get_res_cfg_by_lv(215,2,_Level) when _Level >= 250, _Level =< 9999 ->
	#base_res_act{act_id=215,act_sub=2,type=2,level=250,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "守卫信标",coin_per=[{2,100001,5}],coin_goods=[{0,230008,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230008,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_lv(280,0,_Level) when _Level >= 94, _Level =< 9999 ->
	#base_res_act{act_id=280,act_sub=0,type=2,level=94,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "竞技场",coin_per=[{2,100001,5}],coin_goods=[{5,100007,100000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,100000}],gold_exp=0};
get_res_cfg_by_lv(300,1,_Level) when _Level >= 96, _Level =< 9999 ->
	#base_res_act{act_id=300,act_sub=1,type=2,level=96,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "日常跑环",coin_per=[{2,100001,5}],coin_goods=[],coin_exp=10000,gold_per=[{2,100001,5}],gold_goods=[],gold_exp=10000};
get_res_cfg_by_lv(300,2,_Level) when _Level >= 96, _Level =< 9999 ->
	#base_res_act{act_id=300,act_sub=2,type=2,level=96,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=1,name= "社团任务",coin_per=[{2,100001,5}],coin_goods=[],coin_exp=677,gold_per=[{2,100001,5}],gold_goods=[],gold_exp=677};
get_res_cfg_by_lv(408,0,_Level) when _Level >= 84, _Level =< 9999 ->
	#base_res_act{act_id=408,act_sub=0,type=2,level=84,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "封印裂隙",coin_per=[{2,100001,5}],coin_goods=[{0,450034,1}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,450034,1}],gold_exp=0};
get_res_cfg_by_lv(500,0,_Level) when _Level >= 96, _Level =< 9999 ->
	#base_res_act{act_id=500,act_sub=0,type=2,level=96,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "护送",coin_per=[{2,100001,20}],coin_goods=[],coin_exp=16667,gold_per=[{2,100001,20}],gold_goods=[],gold_exp=16667};
get_res_cfg_by_lv(610,4,_Level) when _Level >= 82, _Level =< 9999 ->
	#base_res_act{act_id=610,act_sub=4,type=2,level=82,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "无尽回廊",coin_per=[{2,100001,5}],coin_goods=[{0,230008,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230008,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_lv(610,7,_Level) when _Level >= 140, _Level =< 9999 ->
	#base_res_act{act_id=610,act_sub=7,type=2,level=140,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "幻光副本",coin_per=[{2,100001,5}],coin_goods=[{0,230008,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230008,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_lv(610,8,_Level) when _Level >= 170, _Level =< 9999 ->
	#base_res_act{act_id=610,act_sub=8,type=2,level=170,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "宠物副本",coin_per=[{2,100001,5}],coin_goods=[{0,230008,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230008,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_lv(610,10,_Level) when _Level >= 380, _Level =< 9999 ->
	#base_res_act{act_id=610,act_sub=10,type=2,level=380,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "未来神域",coin_per=[{2,100001,5}],coin_goods=[{0,290001,18},{0,290002,19},{0,290003,1}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,290001,18},{0,290002,19},{0,290003,1}],gold_exp=0};
get_res_cfg_by_lv(610,1001,_Level) when _Level >= 40, _Level =< 9999 ->
	#base_res_act{act_id=610,act_sub=1001,type=2,level=40,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "座驾副本",coin_per=[{2,100001,5}],coin_goods=[{0,230001,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230001,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_lv(610,1002,_Level) when _Level >= 42, _Level =< 9999 ->
	#base_res_act{act_id=610,act_sub=1002,type=2,level=42,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "宝具副本",coin_per=[{2,100001,5}],coin_goods=[{0,230002,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230002,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_lv(610,1003,_Level) when _Level >= 82, _Level =< 9999 ->
	#base_res_act{act_id=610,act_sub=1003,type=2,level=82,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "AI娘副本",coin_per=[{2,100001,5}],coin_goods=[{0,230003,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230003,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_lv(610,1004,_Level) when _Level >= 110, _Level =< 9999 ->
	#base_res_act{act_id=610,act_sub=1004,type=2,level=110,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "神翼副本",coin_per=[{2,100001,5}],coin_goods=[{0,230004,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230004,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_lv(610,1005,_Level) when _Level >= 116, _Level =< 9999 ->
	#base_res_act{act_id=610,act_sub=1005,type=2,level=116,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "武器副本",coin_per=[{2,100001,5}],coin_goods=[{0,230005,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230005,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_lv(610,1006,_Level) when _Level >= 150, _Level =< 9999 ->
	#base_res_act{act_id=610,act_sub=1006,type=2,level=150,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "磁炮副本",coin_per=[{2,100001,5}],coin_goods=[{0,230006,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230006,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_lv(610,1007,_Level) when _Level >= 180, _Level =< 9999 ->
	#base_res_act{act_id=610,act_sub=1007,type=2,level=180,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "幻甲副本",coin_per=[{2,100001,5}],coin_goods=[{0,230007,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230007,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_lv(610,1008,_Level) when _Level >= 220, _Level =< 9999 ->
	#base_res_act{act_id=610,act_sub=1008,type=2,level=220,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "星翼副本",coin_per=[{2,100001,5}],coin_goods=[{0,230008,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230008,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_lv(_Act_id,_Act_sub,_Level) ->
    [].

get_res_cfg_by_server_lv(215,1,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=215,act_sub=1,type=2,level=96,level_max=129,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "小队讨伐",coin_per=[{2,100001,5}],coin_goods=[{5,100007,500000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,500000}],gold_exp=0};
get_res_cfg_by_server_lv(215,1,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=215,act_sub=1,type=2,level=130,level_max=179,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "小队讨伐",coin_per=[{2,100001,5}],coin_goods=[{5,100007,500000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,500000}],gold_exp=0};
get_res_cfg_by_server_lv(215,1,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=215,act_sub=1,type=2,level=180,level_max=229,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "小队讨伐",coin_per=[{2,100001,5}],coin_goods=[{5,100007,500000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,500000}],gold_exp=0};
get_res_cfg_by_server_lv(215,1,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=215,act_sub=1,type=2,level=230,level_max=274,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "小队讨伐",coin_per=[{2,100001,5}],coin_goods=[{5,100007,500000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,500000}],gold_exp=0};
get_res_cfg_by_server_lv(215,1,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=215,act_sub=1,type=2,level=275,level_max=319,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "小队讨伐",coin_per=[{2,100001,5}],coin_goods=[{5,100007,500000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,500000}],gold_exp=0};
get_res_cfg_by_server_lv(215,1,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=215,act_sub=1,type=2,level=320,level_max=369,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "小队讨伐",coin_per=[{2,100001,5}],coin_goods=[{5,100007,500000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,500000}],gold_exp=0};
get_res_cfg_by_server_lv(215,1,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=215,act_sub=1,type=2,level=370,level_max=999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "小队讨伐",coin_per=[{2,100001,5}],coin_goods=[{5,100007,500000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,500000}],gold_exp=0};
get_res_cfg_by_server_lv(215,2,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=215,act_sub=2,type=2,level=250,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "守卫信标",coin_per=[{2,100001,5}],coin_goods=[{0,230008,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230008,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_server_lv(280,0,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=280,act_sub=0,type=2,level=94,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "竞技场",coin_per=[{2,100001,5}],coin_goods=[{5,100007,100000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{5,100007,100000}],gold_exp=0};
get_res_cfg_by_server_lv(300,1,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=300,act_sub=1,type=2,level=96,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "日常跑环",coin_per=[{2,100001,5}],coin_goods=[],coin_exp=10000,gold_per=[{2,100001,5}],gold_goods=[],gold_exp=10000};
get_res_cfg_by_server_lv(300,2,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=300,act_sub=2,type=2,level=96,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=1,name= "社团任务",coin_per=[{2,100001,5}],coin_goods=[],coin_exp=677,gold_per=[{2,100001,5}],gold_goods=[],gold_exp=677};
get_res_cfg_by_server_lv(408,0,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=408,act_sub=0,type=2,level=84,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "封印裂隙",coin_per=[{2,100001,5}],coin_goods=[{0,450034,1}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,450034,1}],gold_exp=0};
get_res_cfg_by_server_lv(500,0,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=500,act_sub=0,type=2,level=96,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "护送",coin_per=[{2,100001,20}],coin_goods=[],coin_exp=16667,gold_per=[{2,100001,20}],gold_goods=[],gold_exp=16667};
get_res_cfg_by_server_lv(610,4,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=610,act_sub=4,type=2,level=82,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "无尽回廊",coin_per=[{2,100001,5}],coin_goods=[{0,230008,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230008,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_server_lv(610,7,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=610,act_sub=7,type=2,level=140,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "幻光副本",coin_per=[{2,100001,5}],coin_goods=[{0,230008,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230008,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_server_lv(610,8,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=610,act_sub=8,type=2,level=170,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "宠物副本",coin_per=[{2,100001,5}],coin_goods=[{0,230008,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230008,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_server_lv(610,10,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=610,act_sub=10,type=2,level=380,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "未来神域",coin_per=[{2,100001,5}],coin_goods=[{0,290001,18},{0,290002,19},{0,290003,1}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,290001,18},{0,290002,19},{0,290003,1}],gold_exp=0};
get_res_cfg_by_server_lv(610,1001,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=610,act_sub=1001,type=2,level=40,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "座驾副本",coin_per=[{2,100001,5}],coin_goods=[{0,230001,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230001,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_server_lv(610,1002,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=610,act_sub=1002,type=2,level=42,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "宝具副本",coin_per=[{2,100001,5}],coin_goods=[{0,230002,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230002,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_server_lv(610,1003,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=610,act_sub=1003,type=2,level=82,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "AI娘副本",coin_per=[{2,100001,5}],coin_goods=[{0,230003,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230003,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_server_lv(610,1004,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=610,act_sub=1004,type=2,level=110,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "神翼副本",coin_per=[{2,100001,5}],coin_goods=[{0,230004,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230004,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_server_lv(610,1005,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=610,act_sub=1005,type=2,level=116,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "武器副本",coin_per=[{2,100001,5}],coin_goods=[{0,230005,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230005,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_server_lv(610,1006,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=610,act_sub=1006,type=2,level=150,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "磁炮副本",coin_per=[{2,100001,5}],coin_goods=[{0,230006,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230006,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_server_lv(610,1007,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=610,act_sub=1007,type=2,level=180,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "幻甲副本",coin_per=[{2,100001,5}],coin_goods=[{0,230007,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230007,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_server_lv(610,1008,_Level) when _Level >= 0, _Level =< 0 ->
	#base_res_act{act_id=610,act_sub=1008,type=2,level=220,level_max=9999,server_min_lv=0,server_max_lv=0,dun_id=0,guild_limit=0,name= "星翼副本",coin_per=[{2,100001,5}],coin_goods=[{0,230008,1},{5,100007,30000}],coin_exp=0,gold_per=[{2,100001,5}],gold_goods=[{0,230008,1},{5,100007,30000}],gold_exp=0};
get_res_cfg_by_server_lv(_Act_id,_Act_sub,_Level) ->
    [].

get_type(157,1) ->
    1;

get_type(157,2) ->
    1;

get_type(215,1) ->
    1;

get_type(215,2) ->
    1;

get_type(280,0) ->
    1;

get_type(300,1) ->
    1;

get_type(300,2) ->
    1;

get_type(400,7) ->
    1;

get_type(406,1) ->
    1;

get_type(406,2) ->
    1;

get_type(408,0) ->
    1;

get_type(460,2) ->
    1;

get_type(500,0) ->
    1;

get_type(610,4) ->
    1;

get_type(610,7) ->
    1;

get_type(610,8) ->
    1;

get_type(610,10) ->
    1;

get_type(610,1001) ->
    1;

get_type(610,1002) ->
    1;

get_type(610,1003) ->
    1;

get_type(610,1004) ->
    1;

get_type(610,1005) ->
    1;

get_type(610,1006) ->
    1;

get_type(610,1007) ->
    1;

get_type(610,1008) ->
    1;

get_type(_Actid,_Actsub) ->
    0.

