%%%---------------------------------------
%%% module      : data_setting
%%% description : 设置配置
%%%
%%%---------------------------------------
-module(data_setting).
-compile(export_all).



get_keys() ->
    [{1,1},{1,2},{1,3},{1,4},{1,5},{1,6},{1,7},{2,1},{2,2},{2,3},{2,4},{2,5},{2,6},{2,7},{2,8}].

get_values() ->
    [{1,1,1},{1,2,1},{1,3,1},{1,4,1},{1,5,1},{1,6,1},{1,7,1},{2,1,0},{2,2,1},{2,3,0},{2,4,1},{2,5,1},{2,6,1},{2,7,0},{2,8,1}].


get_subtype_list(1) ->
    [1,2,3,4,5,6,7];


get_subtype_list(2) ->
    [1,2,3,4,5,6,7,8];

get_subtype_list(_Type) ->
    [].

is_open(1,1) ->
    1;

is_open(1,2) ->
    1;

is_open(1,3) ->
    1;

is_open(1,4) ->
    1;

is_open(1,5) ->
    1;

is_open(1,6) ->
    1;

is_open(1,7) ->
    1;

is_open(2,1) ->
    0;

is_open(2,2) ->
    1;

is_open(2,3) ->
    0;

is_open(2,4) ->
    1;

is_open(2,5) ->
    1;

is_open(2,6) ->
    1;

is_open(2,7) ->
    0;

is_open(2,8) ->
    1;

is_open(_Type,_Subtype) ->
    0.

