%%%---------------------------------------
%%% module      : data_sup_vip
%%% description : 贵族配置
%%%
%%%---------------------------------------
-module(data_sup_vip).
-compile(export_all).
-include("vip.hrl").



%%二阶贵族激活所需累充天数
get_kv(continue_day) ->
    3;

%%二阶贵族激活所需连充彩钻数
get_kv(continue_day_charge) ->
    60;

%%每日礼包
get_kv(daily_sup_vip_gift) ->
    [{2,0,30},{100,450023,1},{100,102603,1},{100,102501,2},{100,101014,1}];

%%永久进阶材料兑换次数[{vip等级上限,次数}]
get_kv(foster_goods_exchange_count) ->
    [{1,5},{2,10},{3,15},{4,20},{5,25},{6,30},{7,40},{8,50},{9,60},{10,70},{11,80},{12,90},{13,100},{14,120},{15,150}];

%%二阶贵族彩钻兑换 [{[vip下限,vip上限], 兑换次数}]
get_kv(gold_exchange) ->
    [{[1,1], 1}, {[2, 2], 2}, {[3, 3], 3}, {[4, 4], 4}, {[5, 5], 6}, {[6, 6], 8}, {[7, 7], 10}, {[8, 8], 12}, {[9, 9], 15}, {[10, 10], 20}, {[11, 11], 25}, {[12, 12], 30}, {[13, 13], 35}, {[14, 14], 40}, {[15, 15], 50}];

%%彩钻兑换比例{红钻数,彩钻数}
get_kv(gold_exchange_price) ->
    [{20, 10}];

%%星钻库存超过时提醒
get_kv(remind_num) ->
    100;

%%定制每日礼包(第1天)
get_kv(sup_vip_gift_1) ->
    [{100,432027,1},{100,102323,1},{100,230101,1}];

%%定制每日礼包(第2天)
get_kv(sup_vip_gift_2) ->
    [{100,431002,1},{100,102320,1},{100,230002,5}];

%%定制每日礼包(第3天)
get_kv(sup_vip_gift_3) ->
    [{100,102351,1},{100,100021,30},{100,230004,5}];

%%定制每日礼包(第4天)
get_kv(sup_vip_gift_4) ->
    [{100,100021,50},{100,230103,1},{100,230003,5}];

%%定制每日礼包(第5天)
get_kv(sup_vip_gift_5) ->
    [{100,230005,1},{100,102305,5},{100,230010,20}];

%%定制每日礼包(第6天)
get_kv(sup_vip_gift_6) ->
    [{100,230006,1},{100,270013,1},{100,230012,20}];

%%定制每日礼包(第7天)
get_kv(sup_vip_gift_7) ->
    [{100,230007,1},{100,250004,5},{100,230014,20}];

%%二阶贵族礼包次数
get_kv(sup_vip_gift_count) ->
    2;

%%二阶贵族激活所需充值彩钻
get_kv(total_charge) ->
    [{1,0,1980}];

%%一阶贵族彩钻兑换 [{[vip下限,vip上限], 兑换次数}]
get_kv(trial_gold_exchange) ->
    [{[1,15], 1}];

%%激活一阶贵族消耗
get_kv(trial_sup_vip_active) ->
    [{1,0,988}];

%%一阶贵族礼包次数
get_kv(trial_sup_vip_gift_count) ->
    1;

%%VIP几开放贵族
get_kv(trial_sup_vip_lv_limit) ->
    4;

get_kv(_Key) ->
    undefined.

get_goods(101017) ->
    #base_sup_vip_store{goods_id = 101017,type = 2,index = 4,limit_buy = [{2,1}],price = [{11,50}],lv = [1,999]};

get_goods(101018) ->
    #base_sup_vip_store{goods_id = 101018,type = 2,index = 14,limit_buy = [{2,5}],price = [{11,100}],lv = [1,999]};

get_goods(102009) ->
    #base_sup_vip_store{goods_id = 102009,type = 2,index = 5,limit_buy = [{2,99}],price = [{11,10}],lv = [1,999]};

get_goods(102113) ->
    #base_sup_vip_store{goods_id = 102113,type = 1,index = 1,limit_buy = [{1,1}],price = [{11,20}],lv = [1,999]};

get_goods(102303) ->
    #base_sup_vip_store{goods_id = 102303,type = 2,index = 20,limit_buy = [{3,1}],price = [{11,300}],lv = [250,999]};

get_goods(102305) ->
    #base_sup_vip_store{goods_id = 102305,type = 2,index = 8,limit_buy = [{3,1}],price = [{11,200}],lv = [1,999]};

get_goods(102405) ->
    #base_sup_vip_store{goods_id = 102405,type = 2,index = 12,limit_buy = [{2,1}],price = [{11,220}],lv = [1,999]};

get_goods(102406) ->
    #base_sup_vip_store{goods_id = 102406,type = 2,index = 22,limit_buy = [{2,1}],price = [{11,520}],lv = [250,999]};

get_goods(102603) ->
    #base_sup_vip_store{goods_id = 102603,type = 2,index = 10,limit_buy = [{2,10}],price = [{11,10}],lv = [1,999]};

get_goods(109032) ->
    #base_sup_vip_store{goods_id = 109032,type = 2,index = 3,limit_buy = [{2,5}],price = [{11,30}],lv = [1,999]};

get_goods(109033) ->
    #base_sup_vip_store{goods_id = 109033,type = 2,index = 7,limit_buy = [{3,1}],price = [{11,90}],lv = [1,999]};

get_goods(230001) ->
    #base_sup_vip_store{goods_id = 230001,type = 2,index = 2,limit_buy = [{2,99}],price = [{11,30}],lv = [1,999]};

get_goods(230002) ->
    #base_sup_vip_store{goods_id = 230002,type = 2,index = 9,limit_buy = [{2,99}],price = [{11,30}],lv = [1,999]};

get_goods(230102) ->
    #base_sup_vip_store{goods_id = 230102,type = 2,index = 11,limit_buy = [{2,1}],price = [{11,100}],lv = [1,999]};

get_goods(251003) ->
    #base_sup_vip_store{goods_id = 251003,type = 2,index = 16,limit_buy = [{2,99}],price = [{11,60}],lv = [170,999]};

get_goods(260004) ->
    #base_sup_vip_store{goods_id = 260004,type = 2,index = 18,limit_buy = [{2,99}],price = [{11,50}],lv = [185,999]};

get_goods(280301) ->
    #base_sup_vip_store{goods_id = 280301,type = 2,index = 21,limit_buy = [{2,5}],price = [{11,50}],lv = [250,999]};

get_goods(290002) ->
    #base_sup_vip_store{goods_id = 290002,type = 2,index = 24,limit_buy = [{2,99}],price = [{11,50}],lv = [280,999]};

get_goods(290005) ->
    #base_sup_vip_store{goods_id = 290005,type = 2,index = 23,limit_buy = [{3,1}],price = [{11,68}],lv = [280,999]};

get_goods(450021) ->
    #base_sup_vip_store{goods_id = 450021,type = 2,index = 13,limit_buy = [{3,1}],price = [{11,600}],lv = [1,999]};

get_goods(450023) ->
    #base_sup_vip_store{goods_id = 450023,type = 2,index = 15,limit_buy = [{2,99}],price = [{11,30}],lv = [1,999]};

get_goods(450026) ->
    #base_sup_vip_store{goods_id = 450026,type = 2,index = 6,limit_buy = [{2,10}],price = [{11,50}],lv = [1,999]};

get_goods(450037) ->
    #base_sup_vip_store{goods_id = 450037,type = 2,index = 17,limit_buy = [{3,1}],price = [{11,1200}],lv = [170,999]};

get_goods(450054) ->
    #base_sup_vip_store{goods_id = 450054,type = 2,index = 19,limit_buy = [{3,1}],price = [{11,800}],lv = [185,999]};

get_goods(450063) ->
    #base_sup_vip_store{goods_id = 450063,type = 2,index = 25,limit_buy = [{3,1}],price = [{11,15000}],lv = [280,999]};

get_goods(_Goodsid) ->
    [].

get_all_goods() ->
    [101017,101018,102009,102113,102303,102305,102405,102406,102603,109032,109033,230001,230002,230102,251003,260004,280301,290002,290005,450021,450023,450026,450037,450054,450063].

get_all_exchange_goods() ->
    [230001,230002,230003,230004].


get_goods_count(230001) ->
    [[{1,0,10}]];


get_goods_count(230002) ->
    [[{1,0,10}]];


get_goods_count(230003) ->
    [[{1,0,10}]];


get_goods_count(230004) ->
    [[{1,0,10}]];

get_goods_count(_Goodsid) ->
    [].

