%%%---------------------------------------
%%% module      : data_team_ui
%%% description : 组队大厅ui配置
%%%
%%%---------------------------------------
-module(data_team_ui).
-compile(export_all).
-include("team.hrl").



get(1,0) ->
    #team_enlist_cfg{activity_id = 1,activity_name = "自选目标",subtype_id = 0,subtype_name = "自选目标",module_id = 0,sub_module = 0,dun_id = 0,scene_id = 0,num = 3,auto_pos = [],default_lv_min = 1,default_lv_max = 1000,can_set_lv_limit = 0,can_set_power_limit = 0,auto_pair = 0,exp_scale_type = 1};

get(2,1) ->
    #team_enlist_cfg{activity_id = 2,activity_name = "幻魔",subtype_id = 1,subtype_name = "赏金幻魔",module_id = 460,sub_module = 3,dun_id = 5201,scene_id = 5200,num = 3,auto_pos = [],default_lv_min = 0,default_lv_max = 1000,can_set_lv_limit = 0,can_set_power_limit = 0,auto_pair = 0,exp_scale_type = 1};

get(2,2) ->
    #team_enlist_cfg{activity_id = 2,activity_name = "幻魔",subtype_id = 2,subtype_name = "幻魔星域",module_id = 461,sub_module = 1,dun_id = 5200,scene_id = 5200,num = 3,auto_pos = [],default_lv_min = 100,default_lv_max = 1000,can_set_lv_limit = 0,can_set_power_limit = 0,auto_pair = 0,exp_scale_type = 1};

get(_Activityid,_Subtypeid) ->
    [].


get_activity_subtype_ids(1) ->
    [0];


get_activity_subtype_ids(2) ->
    [1,2];

get_activity_subtype_ids(_Activityid) ->
    [].


get_keylist_with_module(0) ->
    [{1,0}];


get_keylist_with_module(460) ->
    [{2,1}];


get_keylist_with_module(461) ->
    [{2,2}];

get_keylist_with_module(_Moduleid) ->
    [].


get_act_key(0) ->
    [{1,0}];


get_act_key(5201) ->
    [{2,1}];


get_act_key(5200) ->
    [{2,2}];

get_act_key(_Dunid) ->
    [].


get_exp_scale(2) ->
    2000;


get_exp_scale(3) ->
    3000;

get_exp_scale(_Membercount) ->
    0.

