%%%---------------------------------------
%%% module      : data_vip
%%% description : vip配置
%%%
%%%---------------------------------------
-module(data_vip).
-compile(export_all).
-include("vip.hrl").



get_privilege_cfg(0,601,1,1) ->
    #base_vip_privilege{lv = 0,class_id = 601,subclass_id = 1,type = 1,describe = "跨服国战应援次数+3",value = 3,can_try = 0};

get_privilege_cfg(0,610,8,1) ->
    #base_vip_privilege{lv = 0,class_id = 610,subclass_id = 8,type = 1,describe = "可额外购买守卫幼宠副本<color=#DB7093>+1</color>",value = 1,can_try = 0};

get_privilege_cfg(0,610,12,1) ->
    #base_vip_privilege{lv = 0,class_id = 610,subclass_id = 12,type = 1,describe = "可额外购买星辰副本次数<color=#DB7093>+1</color>",value = 1,can_try = 0};

get_privilege_cfg(0,610,1001,1) ->
    #base_vip_privilege{lv = 0,class_id = 610,subclass_id = 1001,type = 1,describe = "可额外购买座驾副本次数<color=#DB7093>+1</color>",value = 1,can_try = 0};

get_privilege_cfg(0,610,1002,1) ->
    #base_vip_privilege{lv = 0,class_id = 610,subclass_id = 1002,type = 1,describe = "可额外购买宝具副本次数<color=#DB7093>+1</color>",value = 1,can_try = 0};

get_privilege_cfg(0,610,1003,1) ->
    #base_vip_privilege{lv = 0,class_id = 610,subclass_id = 1003,type = 1,describe = "可额外购买AI娘副本次数<color=#DB7093>+1</color>",value = 1,can_try = 0};

get_privilege_cfg(0,610,1004,1) ->
    #base_vip_privilege{lv = 0,class_id = 610,subclass_id = 1004,type = 1,describe = "可额外购买神翼副本次数<color=#DB7093>+1</color>",value = 1,can_try = 0};

get_privilege_cfg(0,610,1005,1) ->
    #base_vip_privilege{lv = 0,class_id = 610,subclass_id = 1005,type = 1,describe = "可额外购买武器副本次数<color=#DB7093>+1</color>",value = 1,can_try = 0};

get_privilege_cfg(0,610,1006,1) ->
    #base_vip_privilege{lv = 0,class_id = 610,subclass_id = 1006,type = 1,describe = "可额外购买磁炮副本次数<color=#DB7093>+1</color>",value = 1,can_try = 0};

get_privilege_cfg(0,610,1007,1) ->
    #base_vip_privilege{lv = 0,class_id = 610,subclass_id = 1007,type = 1,describe = "可额外购买幻甲副本次数<color=#DB7093>+1</color>",value = 1,can_try = 0};

get_privilege_cfg(0,610,1008,1) ->
    #base_vip_privilege{lv = 0,class_id = 610,subclass_id = 1008,type = 1,describe = "可额外购买星翼副本次数<color=#DB7093>+1</color>",value = 1,can_try = 0};

get_privilege_cfg(1,1,1,1) ->
    #base_vip_privilege{lv = 1,class_id = 1,subclass_id = 1,type = 1,describe = "免费全地图无限传送",value = 1,can_try = 1};

get_privilege_cfg(1,4,1,1) ->
    #base_vip_privilege{lv = 1,class_id = 4,subclass_id = 1,type = 1,describe = "激活VIP专属全屏大招",value = 1,can_try = 1};

get_privilege_cfg(1,150,1,1) ->
    #base_vip_privilege{lv = 1,class_id = 150,subclass_id = 1,type = 1,describe = "每日可购买交易券次数<color=#DB7093>+3</color>",value = 3,can_try = 0};

get_privilege_cfg(2,5,1,1) ->
    #base_vip_privilege{lv = 2,class_id = 5,subclass_id = 1,type = 1,describe = "VIP副本开启<color=#DB7093>一键扫荡</color>功能",value = 1,can_try = 0};

get_privilege_cfg(2,150,1,1) ->
    #base_vip_privilege{lv = 2,class_id = 150,subclass_id = 1,type = 1,describe = "每日可购买交易券次数<color=#DB7093>+6</color>",value = 6,can_try = 0};

get_privilege_cfg(2,280,0,1) ->
    #base_vip_privilege{lv = 2,class_id = 280,subclass_id = 0,type = 1,describe = "可购买竞技场次数<color=#DB7093>+2</color>",value = 2,can_try = 0};

get_privilege_cfg(3,4,1,1) ->
    #base_vip_privilege{lv = 3,class_id = 4,subclass_id = 1,type = 1,describe = "强化版VIP专属全屏大招EX",value = 1,can_try = 0};

get_privilege_cfg(3,150,1,1) ->
    #base_vip_privilege{lv = 3,class_id = 150,subclass_id = 1,type = 1,describe = "每日可购买交易券次数<color=#DB7093>+9</color>",value = 9,can_try = 0};

get_privilege_cfg(3,460,1,1) ->
    #base_vip_privilege{lv = 3,class_id = 460,subclass_id = 1,type = 1,describe = "可额外专属幻魔次数<color=#DB7093>+1</color>",value = 1,can_try = 0};

get_privilege_cfg(4,150,1,1) ->
    #base_vip_privilege{lv = 4,class_id = 150,subclass_id = 1,type = 1,describe = "每日可购买交易券次数<color=#DB7093>+12</color>",value = 12,can_try = 0};

get_privilege_cfg(4,280,0,1) ->
    #base_vip_privilege{lv = 4,class_id = 280,subclass_id = 0,type = 1,describe = "可购买竞技场次数<color=#DB7093>+4</color>",value = 4,can_try = 0};

get_privilege_cfg(4,601,1,1) ->
    #base_vip_privilege{lv = 4,class_id = 601,subclass_id = 1,type = 1,describe = "跨服国战应援次数+5",value = 5,can_try = 0};

get_privilege_cfg(4,610,8,1) ->
    #base_vip_privilege{lv = 4,class_id = 610,subclass_id = 8,type = 1,describe = "可额外购买守卫幼宠副本<color=#DB7093>+2</color>",value = 2,can_try = 0};

get_privilege_cfg(4,610,1001,1) ->
    #base_vip_privilege{lv = 4,class_id = 610,subclass_id = 1001,type = 1,describe = "可额外购买座驾副本次数<color=#DB7093>+2</color>",value = 2,can_try = 0};

get_privilege_cfg(4,610,1002,1) ->
    #base_vip_privilege{lv = 4,class_id = 610,subclass_id = 1002,type = 1,describe = "可额外购买宝具副本次数<color=#DB7093>+2</color>",value = 2,can_try = 0};

get_privilege_cfg(4,610,1003,1) ->
    #base_vip_privilege{lv = 4,class_id = 610,subclass_id = 1003,type = 1,describe = "可额外购买AI娘副本次数<color=#DB7093>+2</color>",value = 2,can_try = 0};

get_privilege_cfg(4,610,1004,1) ->
    #base_vip_privilege{lv = 4,class_id = 610,subclass_id = 1004,type = 1,describe = "可额外购买神翼副本次数<color=#DB7093>+2</color>",value = 2,can_try = 0};

get_privilege_cfg(4,610,1005,1) ->
    #base_vip_privilege{lv = 4,class_id = 610,subclass_id = 1005,type = 1,describe = "可额外购买武器副本次数<color=#DB7093>+2</color>",value = 2,can_try = 0};

get_privilege_cfg(4,610,1006,1) ->
    #base_vip_privilege{lv = 4,class_id = 610,subclass_id = 1006,type = 1,describe = "可额外购买磁炮副本次数<color=#DB7093>+2</color>",value = 2,can_try = 0};

get_privilege_cfg(4,610,1007,1) ->
    #base_vip_privilege{lv = 4,class_id = 610,subclass_id = 1007,type = 1,describe = "可额外购买幻甲副本次数<color=#DB7093>+2</color>",value = 2,can_try = 0};

get_privilege_cfg(4,610,1008,1) ->
    #base_vip_privilege{lv = 4,class_id = 610,subclass_id = 1008,type = 1,describe = "可额外购买星翼副本次数<color=#DB7093>+2</color>",value = 2,can_try = 0};

get_privilege_cfg(5,150,1,1) ->
    #base_vip_privilege{lv = 5,class_id = 150,subclass_id = 1,type = 1,describe = "每日可购买交易券次数<color=#DB7093>+15</color>",value = 15,can_try = 0};

get_privilege_cfg(5,610,12,1) ->
    #base_vip_privilege{lv = 5,class_id = 610,subclass_id = 12,type = 1,describe = "可额外购买星辰副本次数<color=#DB7093>+2</color>",value = 2,can_try = 0};

get_privilege_cfg(5,610,1001,1) ->
    #base_vip_privilege{lv = 5,class_id = 610,subclass_id = 1001,type = 1,describe = "可额外购买座驾副本次数<color=#DB7093>+3</color>",value = 3,can_try = 0};

get_privilege_cfg(5,610,1002,1) ->
    #base_vip_privilege{lv = 5,class_id = 610,subclass_id = 1002,type = 1,describe = "可额外购买宝具副本次数<color=#DB7093>+3</color>",value = 3,can_try = 0};

get_privilege_cfg(5,610,1003,1) ->
    #base_vip_privilege{lv = 5,class_id = 610,subclass_id = 1003,type = 1,describe = "可额外购买AI娘副本次数<color=#DB7093>+3</color>",value = 3,can_try = 0};

get_privilege_cfg(5,610,1004,1) ->
    #base_vip_privilege{lv = 5,class_id = 610,subclass_id = 1004,type = 1,describe = "可额外购买神翼副本次数<color=#DB7093>+3</color>",value = 3,can_try = 0};

get_privilege_cfg(5,610,1005,1) ->
    #base_vip_privilege{lv = 5,class_id = 610,subclass_id = 1005,type = 1,describe = "可额外购买武器副本次数<color=#DB7093>+3</color>",value = 3,can_try = 0};

get_privilege_cfg(5,610,1006,1) ->
    #base_vip_privilege{lv = 5,class_id = 610,subclass_id = 1006,type = 1,describe = "可额外购买磁炮副本次数<color=#DB7093>+3</color>",value = 3,can_try = 0};

get_privilege_cfg(5,610,1007,1) ->
    #base_vip_privilege{lv = 5,class_id = 610,subclass_id = 1007,type = 1,describe = "可额外购买幻甲副本次数<color=#DB7093>+3</color>",value = 3,can_try = 0};

get_privilege_cfg(5,610,1008,1) ->
    #base_vip_privilege{lv = 5,class_id = 610,subclass_id = 1008,type = 1,describe = "可额外购买星翼副本次数<color=#DB7093>+3</color>",value = 3,can_try = 0};

get_privilege_cfg(6,150,1,1) ->
    #base_vip_privilege{lv = 6,class_id = 150,subclass_id = 1,type = 1,describe = "每日可购买交易券次数<color=#DB7093>+20</color>",value = 20,can_try = 0};

get_privilege_cfg(6,280,0,1) ->
    #base_vip_privilege{lv = 6,class_id = 280,subclass_id = 0,type = 1,describe = "可购买竞技场次数<color=#DB7093>+6</color>",value = 6,can_try = 0};

get_privilege_cfg(6,610,1001,1) ->
    #base_vip_privilege{lv = 6,class_id = 610,subclass_id = 1001,type = 1,describe = "可额外购买座驾副本次数<color=#DB7093>+4</color>",value = 4,can_try = 0};

get_privilege_cfg(6,610,1002,1) ->
    #base_vip_privilege{lv = 6,class_id = 610,subclass_id = 1002,type = 1,describe = "可额外购买宝具副本次数<color=#DB7093>+4</color>",value = 4,can_try = 0};

get_privilege_cfg(6,610,1003,1) ->
    #base_vip_privilege{lv = 6,class_id = 610,subclass_id = 1003,type = 1,describe = "可额外购买AI娘副本次数<color=#DB7093>+4</color>",value = 4,can_try = 0};

get_privilege_cfg(6,610,1004,1) ->
    #base_vip_privilege{lv = 6,class_id = 610,subclass_id = 1004,type = 1,describe = "可额外购买神翼副本次数<color=#DB7093>+4</color>",value = 4,can_try = 0};

get_privilege_cfg(6,610,1005,1) ->
    #base_vip_privilege{lv = 6,class_id = 610,subclass_id = 1005,type = 1,describe = "可额外购买武器副本次数<color=#DB7093>+4</color>",value = 4,can_try = 0};

get_privilege_cfg(6,610,1006,1) ->
    #base_vip_privilege{lv = 6,class_id = 610,subclass_id = 1006,type = 1,describe = "可额外购买磁炮副本次数<color=#DB7093>+4</color>",value = 4,can_try = 0};

get_privilege_cfg(6,610,1007,1) ->
    #base_vip_privilege{lv = 6,class_id = 610,subclass_id = 1007,type = 1,describe = "可额外购买幻甲副本次数<color=#DB7093>+4</color>",value = 4,can_try = 0};

get_privilege_cfg(6,610,1008,1) ->
    #base_vip_privilege{lv = 6,class_id = 610,subclass_id = 1008,type = 1,describe = "可额外购买星翼副本次数<color=#DB7093>+4</color>",value = 4,can_try = 0};

get_privilege_cfg(7,2,1,1) ->
    #base_vip_privilege{lv = 7,class_id = 2,subclass_id = 1,type = 1,describe = "经验副本享受<color=#DB7093>+20%</color>离线加成",value = 20,can_try = 0};

get_privilege_cfg(7,150,1,1) ->
    #base_vip_privilege{lv = 7,class_id = 150,subclass_id = 1,type = 1,describe = "每日可购买交易券次数<color=#DB7093>+25</color>",value = 25,can_try = 0};

get_privilege_cfg(7,460,1,1) ->
    #base_vip_privilege{lv = 7,class_id = 460,subclass_id = 1,type = 1,describe = "可额外专属幻魔次数<color=#DB7093>+2</color>",value = 2,can_try = 0};

get_privilege_cfg(8,2,1,1) ->
    #base_vip_privilege{lv = 8,class_id = 2,subclass_id = 1,type = 1,describe = "经验副本享受<color=#DB7093>+30%</color>离线加成",value = 30,can_try = 0};

get_privilege_cfg(8,150,1,1) ->
    #base_vip_privilege{lv = 8,class_id = 150,subclass_id = 1,type = 1,describe = "每日可购买交易券次数<color=#DB7093>+30</color>",value = 30,can_try = 0};

get_privilege_cfg(8,280,0,1) ->
    #base_vip_privilege{lv = 8,class_id = 280,subclass_id = 0,type = 1,describe = "可购买竞技场次数<color=#DB7093>+8</color>",value = 8,can_try = 0};

get_privilege_cfg(8,610,8,1) ->
    #base_vip_privilege{lv = 8,class_id = 610,subclass_id = 8,type = 1,describe = "可额外购买守卫幼宠副本<color=#DB7093>+3</color>",value = 3,can_try = 0};

get_privilege_cfg(9,2,1,1) ->
    #base_vip_privilege{lv = 9,class_id = 2,subclass_id = 1,type = 1,describe = "经验副本享受<color=#DB7093>+40%</color>离线加成",value = 40,can_try = 0};

get_privilege_cfg(9,150,1,1) ->
    #base_vip_privilege{lv = 9,class_id = 150,subclass_id = 1,type = 1,describe = "每日可购买交易券次数<color=#DB7093>+35</color>",value = 35,can_try = 0};

get_privilege_cfg(_Lv,_Classid,_Subclassid,_Type) ->
    [].

get_access_vip(601,1,1) ->
    [{0,3,0},{4,5,0}];

get_access_vip(610,8,1) ->
    [{0,1,0},{4,2,0},{8,3,0}];

get_access_vip(610,12,1) ->
    [{0,1,0},{5,2,0}];

get_access_vip(610,1001,1) ->
    [{0,1,0},{4,2,0},{5,3,0},{6,4,0}];

get_access_vip(610,1002,1) ->
    [{0,1,0},{4,2,0},{5,3,0},{6,4,0}];

get_access_vip(610,1003,1) ->
    [{0,1,0},{4,2,0},{5,3,0},{6,4,0}];

get_access_vip(610,1004,1) ->
    [{0,1,0},{4,2,0},{5,3,0},{6,4,0}];

get_access_vip(610,1005,1) ->
    [{0,1,0},{4,2,0},{5,3,0},{6,4,0}];

get_access_vip(610,1006,1) ->
    [{0,1,0},{4,2,0},{5,3,0},{6,4,0}];

get_access_vip(610,1007,1) ->
    [{0,1,0},{4,2,0},{5,3,0},{6,4,0}];

get_access_vip(610,1008,1) ->
    [{0,1,0},{4,2,0},{5,3,0},{6,4,0}];

get_access_vip(1,1,1) ->
    [{1,1,1}];

get_access_vip(4,1,1) ->
    [{1,1,1},{3,1,0}];

get_access_vip(150,1,1) ->
    [{1,3,0},{2,6,0},{3,9,0},{4,12,0},{5,15,0},{6,20,0},{7,25,0},{8,30,0},{9,35,0}];

get_access_vip(5,1,1) ->
    [{2,1,0}];

get_access_vip(280,0,1) ->
    [{2,2,0},{4,4,0},{6,6,0},{8,8,0}];

get_access_vip(460,1,1) ->
    [{3,1,0},{7,2,0}];

get_access_vip(2,1,1) ->
    [{7,20,0},{8,30,0},{9,40,0}];

get_access_vip(_Classid,_Subclassid,_Type) ->
    [].

%%vip经验卡对应经验
get_cfg(1) ->
    [{102005,10},{102006,100},{102007,1000}];

%%体验卡到期时间
get_cfg(2) ->
    [{102008,1,900},{102099,1,900}];

%%vip大招
get_cfg(3) ->
    [101091,102091,103091,104091];

%%v0红钻获得上限
get_cfg(4) ->
    10000;

%%v0彩钻获得上限
get_cfg(5) ->
    5000;

%%V3引导每日礼包
get_cfg(6) ->
    [{100,101014,1}];

get_cfg(_Id) ->
    0.

get_vip(1) ->
    #base_vip_cfg{lv = 1,name = "vip1",type = 101,gold = 60,reward = [{100,102110,1},{100,102305,1},{100,102403,1},{100,230001,1},{100,450026,1},{100,101008,88}],daily_gold_limit = 5000,daily_bgold_limit = 100000};

get_vip(2) ->
    #base_vip_cfg{lv = 2,name = "vip2",type = 102,gold = 360,reward = [{100,432029,1},{100,102405,1},{100,102305,1},{100,230301,2},{100,230001,2},{100,101008,128}],daily_gold_limit = 50000,daily_bgold_limit = 100000};

get_vip(3) ->
    #base_vip_cfg{lv = 3,name = "vip3",type = 201,gold = 980,reward = [{100,210499,1},{100,210499,1},{100,406003,1},{100,420018,1},{100,230301,3},{100,101008,188}],daily_gold_limit = 50000,daily_bgold_limit = 100000};

get_vip(4) ->
    #base_vip_cfg{lv = 4,name = "vip4",type = 202,gold = 2000,reward = [{100,416051,1},{100,432025,1},{100,450061,1},{100,102604,1},{100,102607,3},{100,101008,288}],daily_gold_limit = 100000,daily_bgold_limit = 100000};

get_vip(5) ->
    #base_vip_cfg{lv = 5,name = "vip5",type = 203,gold = 5000,reward = [{100,406006,1},{100,432014,1},{100,109005,1},{100,102604,3},{100,450025,5},{100,101008,388}],daily_gold_limit = 100000,daily_bgold_limit = 100000};

get_vip(6) ->
    #base_vip_cfg{lv = 6,name = "vip6",type = 204,gold = 10000,reward = [{100,433008,1},{100,109006,1},{100,109016,1},{100,109026,1},{100,230102,2},{100,101008,588}],daily_gold_limit = 100000,daily_bgold_limit = 200000};

get_vip(7) ->
    #base_vip_cfg{lv = 7,name = "vip7",type = 301,gold = 20000,reward = [{100,420002,1},{100,425002,1},{100,109007,1},{100,230104,2},{100,450023,10},{100,101008,688}],daily_gold_limit = 100000,daily_bgold_limit = 200000};

get_vip(8) ->
    #base_vip_cfg{lv = 8,name = "vip8",type = 302,gold = 50000,reward = [{100,450062,1},{100,109008,1},{100,102306,1},{100,450025,10},{100,230103,3},{100,101008,888}],daily_gold_limit = 200000,daily_bgold_limit = 200000};

get_vip(9) ->
    #base_vip_cfg{lv = 9,name = "vip9",type = 303,gold = 100000,reward = [{100,433009,1},{100,109009,1},{100,102306,1},{100,230153,1},{100,453066,3},{100,101008,1088}],daily_gold_limit = 9999999,daily_bgold_limit = 9999999};

get_vip(_Lv) ->
    [].

get_all_vip_lv() ->
    [1,2,3,4,5,6,7,8,9].

get_max_vip() -> 9.

get_min_vip() -> 1.

get_vip_gift(1) ->
    #base_vip_gift{vip_lv = 1,gift_reward = [{100,230001,1},{100,102120,1},{100,101008,8},{0,109031,1}],cur_type = 1,price = 48,cur_price = 1,dicount = 1};

get_vip_gift(2) ->
    #base_vip_gift{vip_lv = 2,gift_reward = [{0,102305,3},{0,230301,3},{0,109003,1},{0,450008,1}],cur_type = 1,price = 600,cur_price = 98,dicount = 15};

get_vip_gift(3) ->
    #base_vip_gift{vip_lv = 3,gift_reward = [{0,431001,1},{0,230101,2},{0,450009,1},{0,109033,1}],cur_type = 1,price = 1300,cur_price = 198,dicount = 15};

get_vip_gift(4) ->
    #base_vip_gift{vip_lv = 4,gift_reward = [{0,412003,1},{0,431000,1},{0,424005,1},{0,109004,1}],cur_type = 1,price = 2588,cur_price = 398,dicount = 15};

get_vip_gift(5) ->
    #base_vip_gift{vip_lv = 5,gift_reward = [{0,450011,1},{0,413181,1},{0,102306,1},{0,450026,3}],cur_type = 1,price = 6588,cur_price = 988,dicount = 17};

get_vip_gift(6) ->
    #base_vip_gift{vip_lv = 6,gift_reward = [{0,450017,1},{0,410003,1},{0,230151,1},{0,450025,10}],cur_type = 1,price = 11888,cur_price = 1988,dicount = 17};

get_vip_gift(7) ->
    #base_vip_gift{vip_lv = 7,gift_reward = [{0,260005,3},{0,431003,1},{0,401002,45},{0,401002,45}],cur_type = 1,price = 16888,cur_price = 2988,dicount = 18};

get_vip_gift(8) ->
    #base_vip_gift{vip_lv = 8,gift_reward = [{100,405007,45},{100,405007,45},{0,250103,30},{0,424003,1}],cur_type = 1,price = 22888,cur_price = 3988,dicount = 18};

get_vip_gift(9) ->
    #base_vip_gift{vip_lv = 9,gift_reward = [{0,252152,1},{0,252052,1},{0,403008,100},{0,424004,1}],cur_type = 1,price = 29888,cur_price = 5988,dicount = 23};

get_vip_gift(_Viplv) ->
    [].

get_all_gift_lv() ->
    [1,2,3,4,5,6,7,8,9].

