%%%---------------------------------------
%%% module      : data_wardrobe
%%% description : 衣橱配置
%%%
%%%---------------------------------------
-module(data_wardrobe).
-compile(export_all).
-include("wardrobe.hrl").



get_store_goods(_,_) ->
    [].

get_all_goods(_Storeid) ->
    [].

get_store_open(_Storeid) ->
    [].

get_wardrobe_stage(Value) when Value >= 0, Value =< 99 ->
		1;
get_wardrobe_stage(Value) when Value >= 100, Value =< 199 ->
		2;
get_wardrobe_stage(Value) when Value >= 200, Value =< 399 ->
		3;
get_wardrobe_stage(Value) when Value >= 400, Value =< 599 ->
		4;
get_wardrobe_stage(Value) when Value >= 600, Value =< 899 ->
		5;
get_wardrobe_stage(Value) when Value >= 900, Value =< 1199 ->
		6;
get_wardrobe_stage(Value) when Value >= 1200, Value =< 1499 ->
		7;
get_wardrobe_stage(Value) when Value >= 1500, Value =< 1999 ->
		8;
get_wardrobe_stage(Value) when Value >= 2000, Value =< 2999 ->
		9;
get_wardrobe_stage(Value) when Value >= 3000, Value =< 9999 ->
		10;
get_wardrobe_stage(_Value) ->
    0.

get_wardrobe_apperance(1,1,{1,1}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 1,level = {1,1},appearance_value = 10,goods_type = [{12,2}],name = "时装-服饰"};

get_wardrobe_apperance(1,1,{1,2}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 1,level = {1,2},appearance_value = 15,goods_type = [{12,2}],name = "时装-服饰"};

get_wardrobe_apperance(1,1,{1,3}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 1,level = {1,3},appearance_value = 10,goods_type = [{12,2}],name = "时装-服饰"};

get_wardrobe_apperance(1,1,{1,4}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 1,level = {1,4},appearance_value = 25,goods_type = [{12,2}],name = "时装-服饰"};

get_wardrobe_apperance(1,1,{1,5}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 1,level = {1,5},appearance_value = 50,goods_type = [{12,2}],name = "时装-服饰"};

get_wardrobe_apperance(1,2,{1,1}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 2,level = {1,1},appearance_value = 5,goods_type = [{12,3}],name = "时装-头饰"};

get_wardrobe_apperance(1,2,{1,2}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 2,level = {1,2},appearance_value = 10,goods_type = [{12,3}],name = "时装-头饰"};

get_wardrobe_apperance(1,2,{1,3}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 2,level = {1,3},appearance_value = 15,goods_type = [{12,3}],name = "时装-头饰"};

get_wardrobe_apperance(1,2,{1,4}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 2,level = {1,4},appearance_value = 20,goods_type = [{12,3}],name = "时装-头饰"};

get_wardrobe_apperance(1,2,{1,5}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 2,level = {1,5},appearance_value = 25,goods_type = [{12,3}],name = "时装-头饰"};

get_wardrobe_apperance(1,3,{1,1}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 3,level = {1,1},appearance_value = 5,goods_type = [{12,4}],name = "时装-背饰"};

get_wardrobe_apperance(1,3,{1,2}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 3,level = {1,2},appearance_value = 10,goods_type = [{12,4}],name = "时装-背饰"};

get_wardrobe_apperance(1,3,{1,3}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 3,level = {1,3},appearance_value = 15,goods_type = [{12,4}],name = "时装-背饰"};

get_wardrobe_apperance(1,3,{1,4}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 3,level = {1,4},appearance_value = 20,goods_type = [{12,4}],name = "时装-背饰"};

get_wardrobe_apperance(1,3,{1,5}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 3,level = {1,5},appearance_value = 25,goods_type = [{12,4}],name = "时装-背饰"};

get_wardrobe_apperance(1,4,{1,1}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 4,level = {1,1},appearance_value = 5,goods_type = [{12,5}],name = "时装-武器"};

get_wardrobe_apperance(1,4,{1,2}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 4,level = {1,2},appearance_value = 10,goods_type = [{12,5}],name = "时装-武器"};

get_wardrobe_apperance(1,4,{1,3}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 4,level = {1,3},appearance_value = 15,goods_type = [{12,5}],name = "时装-武器"};

get_wardrobe_apperance(1,4,{1,4}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 4,level = {1,4},appearance_value = 20,goods_type = [{12,5}],name = "时装-武器"};

get_wardrobe_apperance(1,4,{1,5}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 4,level = {1,5},appearance_value = 25,goods_type = [{12,5}],name = "时装-武器"};

get_wardrobe_apperance(1,5,{1,1}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 5,level = {1,1},appearance_value = 5,goods_type = [{12,6}],name = "时装-发型"};

get_wardrobe_apperance(1,5,{1,2}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 5,level = {1,2},appearance_value = 10,goods_type = [{12,6}],name = "时装-发型"};

get_wardrobe_apperance(1,5,{1,3}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 5,level = {1,3},appearance_value = 15,goods_type = [{12,6}],name = "时装-发型"};

get_wardrobe_apperance(1,5,{1,4}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 5,level = {1,4},appearance_value = 20,goods_type = [{12,6}],name = "时装-发型"};

get_wardrobe_apperance(1,5,{1,5}) ->
    #base_wardrobe_appearance{type = 1,sub_type = 5,level = {1,5},appearance_value = 25,goods_type = [{12,6}],name = "时装-发型"};

get_wardrobe_apperance(2,1,{1,1}) ->
    #base_wardrobe_appearance{type = 2,sub_type = 1,level = {1,1},appearance_value = 5,goods_type = [{17,1},{17,2},{17,3},{17,4}],name = "称号"};

get_wardrobe_apperance(2,1,{1,2}) ->
    #base_wardrobe_appearance{type = 2,sub_type = 1,level = {1,2},appearance_value = 10,goods_type = [{17,1},{17,2},{17,3},{17,4}],name = "称号"};

get_wardrobe_apperance(2,1,{1,3}) ->
    #base_wardrobe_appearance{type = 2,sub_type = 1,level = {1,3},appearance_value = 15,goods_type = [{17,1},{17,2},{17,3},{17,4}],name = "称号"};

get_wardrobe_apperance(2,1,{1,4}) ->
    #base_wardrobe_appearance{type = 2,sub_type = 1,level = {1,4},appearance_value = 20,goods_type = [{17,1},{17,2},{17,3},{17,4}],name = "称号"};

get_wardrobe_apperance(2,1,{1,5}) ->
    #base_wardrobe_appearance{type = 2,sub_type = 1,level = {1,5},appearance_value = 25,goods_type = [{17,1},{17,2},{17,3},{17,4}],name = "称号"};

get_wardrobe_apperance(3,1,{1,1}) ->
    #base_wardrobe_appearance{type = 3,sub_type = 1,level = {1,1},appearance_value = 5,goods_type = [{14,1},{14,2}],name = "头像"};

get_wardrobe_apperance(3,1,{1,2}) ->
    #base_wardrobe_appearance{type = 3,sub_type = 1,level = {1,2},appearance_value = 10,goods_type = [{14,1},{14,2}],name = "头像"};

get_wardrobe_apperance(3,1,{1,3}) ->
    #base_wardrobe_appearance{type = 3,sub_type = 1,level = {1,3},appearance_value = 15,goods_type = [{14,1},{14,2}],name = "头像"};

get_wardrobe_apperance(3,1,{1,4}) ->
    #base_wardrobe_appearance{type = 3,sub_type = 1,level = {1,4},appearance_value = 20,goods_type = [{14,1},{14,2}],name = "头像"};

get_wardrobe_apperance(3,1,{1,5}) ->
    #base_wardrobe_appearance{type = 3,sub_type = 1,level = {1,5},appearance_value = 25,goods_type = [{14,1},{14,2}],name = "头像"};

get_wardrobe_apperance(4,1,{1,1}) ->
    #base_wardrobe_appearance{type = 4,sub_type = 1,level = {1,1},appearance_value = 5,goods_type = [{13,1}],name = "相框"};

get_wardrobe_apperance(4,1,{1,2}) ->
    #base_wardrobe_appearance{type = 4,sub_type = 1,level = {1,2},appearance_value = 10,goods_type = [{13,1}],name = "相框"};

get_wardrobe_apperance(4,1,{1,3}) ->
    #base_wardrobe_appearance{type = 4,sub_type = 1,level = {1,3},appearance_value = 15,goods_type = [{13,1}],name = "相框"};

get_wardrobe_apperance(4,1,{1,4}) ->
    #base_wardrobe_appearance{type = 4,sub_type = 1,level = {1,4},appearance_value = 20,goods_type = [{13,1}],name = "相框"};

get_wardrobe_apperance(4,1,{1,5}) ->
    #base_wardrobe_appearance{type = 4,sub_type = 1,level = {1,5},appearance_value = 25,goods_type = [{13,1}],name = "相框"};

get_wardrobe_apperance(5,1,{1,1}) ->
    #base_wardrobe_appearance{type = 5,sub_type = 1,level = {1,1},appearance_value = 5,goods_type = [{15,1}],name = "气泡"};

get_wardrobe_apperance(5,1,{1,2}) ->
    #base_wardrobe_appearance{type = 5,sub_type = 1,level = {1,2},appearance_value = 10,goods_type = [{15,1}],name = "气泡"};

get_wardrobe_apperance(5,1,{1,3}) ->
    #base_wardrobe_appearance{type = 5,sub_type = 1,level = {1,3},appearance_value = 15,goods_type = [{15,1}],name = "气泡"};

get_wardrobe_apperance(5,1,{1,4}) ->
    #base_wardrobe_appearance{type = 5,sub_type = 1,level = {1,4},appearance_value = 20,goods_type = [{15,1}],name = "气泡"};

get_wardrobe_apperance(5,1,{1,5}) ->
    #base_wardrobe_appearance{type = 5,sub_type = 1,level = {1,5},appearance_value = 25,goods_type = [{15,1}],name = "气泡"};

get_wardrobe_apperance(6,1,{1,1}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 1,level = {1,1},appearance_value = 20,goods_type = [{11,1}],name = "珍宝-座驾"};

get_wardrobe_apperance(6,1,{1,2}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 1,level = {1,2},appearance_value = 30,goods_type = [{11,1}],name = "珍宝-座驾"};

get_wardrobe_apperance(6,1,{1,3}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 1,level = {1,3},appearance_value = 40,goods_type = [{11,1}],name = "珍宝-座驾"};

get_wardrobe_apperance(6,1,{1,4}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 1,level = {1,4},appearance_value = 50,goods_type = [{11,1}],name = "珍宝-座驾"};

get_wardrobe_apperance(6,1,{1,5}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 1,level = {1,5},appearance_value = 60,goods_type = [{11,1}],name = "珍宝-座驾"};

get_wardrobe_apperance(6,2,{1,1}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 2,level = {1,1},appearance_value = 20,goods_type = [{11,2}],name = "珍宝-炫翼"};

get_wardrobe_apperance(6,2,{1,2}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 2,level = {1,2},appearance_value = 30,goods_type = [{11,2}],name = "珍宝-炫翼"};

get_wardrobe_apperance(6,2,{1,3}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 2,level = {1,3},appearance_value = 40,goods_type = [{11,2}],name = "珍宝-炫翼"};

get_wardrobe_apperance(6,2,{1,4}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 2,level = {1,4},appearance_value = 50,goods_type = [{11,2}],name = "珍宝-炫翼"};

get_wardrobe_apperance(6,2,{1,5}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 2,level = {1,5},appearance_value = 60,goods_type = [{11,2}],name = "珍宝-炫翼"};

get_wardrobe_apperance(6,3,{1,1}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 3,level = {1,1},appearance_value = 20,goods_type = [{11,3}],name = "珍宝-宝具"};

get_wardrobe_apperance(6,3,{1,2}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 3,level = {1,2},appearance_value = 30,goods_type = [{11,3}],name = "珍宝-宝具"};

get_wardrobe_apperance(6,3,{1,3}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 3,level = {1,3},appearance_value = 40,goods_type = [{11,3}],name = "珍宝-宝具"};

get_wardrobe_apperance(6,3,{1,4}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 3,level = {1,4},appearance_value = 50,goods_type = [{11,3}],name = "珍宝-宝具"};

get_wardrobe_apperance(6,3,{1,5}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 3,level = {1,5},appearance_value = 60,goods_type = [{11,3}],name = "珍宝-宝具"};

get_wardrobe_apperance(6,4,{1,1}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 4,level = {1,1},appearance_value = 20,goods_type = [{11,4}],name = "珍宝-武器"};

get_wardrobe_apperance(6,4,{1,2}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 4,level = {1,2},appearance_value = 30,goods_type = [{11,4}],name = "珍宝-武器"};

get_wardrobe_apperance(6,4,{1,3}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 4,level = {1,3},appearance_value = 40,goods_type = [{11,4}],name = "珍宝-武器"};

get_wardrobe_apperance(6,4,{1,4}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 4,level = {1,4},appearance_value = 50,goods_type = [{11,4}],name = "珍宝-武器"};

get_wardrobe_apperance(6,4,{1,5}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 4,level = {1,5},appearance_value = 60,goods_type = [{11,4}],name = "珍宝-武器"};

get_wardrobe_apperance(6,5,{1,1}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 5,level = {1,1},appearance_value = 20,goods_type = [{11,5}],name = "珍宝-AI娘"};

get_wardrobe_apperance(6,5,{1,2}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 5,level = {1,2},appearance_value = 30,goods_type = [{11,5}],name = "珍宝-AI娘"};

get_wardrobe_apperance(6,5,{1,3}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 5,level = {1,3},appearance_value = 40,goods_type = [{11,5}],name = "珍宝-AI娘"};

get_wardrobe_apperance(6,5,{1,4}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 5,level = {1,4},appearance_value = 50,goods_type = [{11,5}],name = "珍宝-AI娘"};

get_wardrobe_apperance(6,5,{1,5}) ->
    #base_wardrobe_appearance{type = 6,sub_type = 5,level = {1,5},appearance_value = 60,goods_type = [{11,5}],name = "珍宝-AI娘"};

get_wardrobe_apperance(7,1,{1,1}) ->
    #base_wardrobe_appearance{type = 7,sub_type = 1,level = {1,1},appearance_value = 10,goods_type = [{7,3}],name = "宝宝时装"};

get_wardrobe_apperance(7,1,{1,2}) ->
    #base_wardrobe_appearance{type = 7,sub_type = 1,level = {1,2},appearance_value = 15,goods_type = [{7,3}],name = "宝宝时装"};

get_wardrobe_apperance(7,1,{1,3}) ->
    #base_wardrobe_appearance{type = 7,sub_type = 1,level = {1,3},appearance_value = 10,goods_type = [{7,3}],name = "宝宝时装"};

get_wardrobe_apperance(7,1,{1,4}) ->
    #base_wardrobe_appearance{type = 7,sub_type = 1,level = {1,4},appearance_value = 25,goods_type = [{7,3}],name = "宝宝时装"};

get_wardrobe_apperance(7,1,{1,5}) ->
    #base_wardrobe_appearance{type = 7,sub_type = 1,level = {1,5},appearance_value = 50,goods_type = [{7,3}],name = "宝宝时装"};

get_wardrobe_apperance(8,1,{1,1}) ->
    #base_wardrobe_appearance{type = 8,sub_type = 1,level = {1,1},appearance_value = 10,goods_type = [{22,3}],name = "灵珠皮肤"};

get_wardrobe_apperance(8,1,{1,2}) ->
    #base_wardrobe_appearance{type = 8,sub_type = 1,level = {1,2},appearance_value = 15,goods_type = [{22,3}],name = "灵珠皮肤"};

get_wardrobe_apperance(8,1,{1,3}) ->
    #base_wardrobe_appearance{type = 8,sub_type = 1,level = {1,3},appearance_value = 10,goods_type = [{22,3}],name = "灵珠皮肤"};

get_wardrobe_apperance(8,1,{1,4}) ->
    #base_wardrobe_appearance{type = 8,sub_type = 1,level = {1,4},appearance_value = 25,goods_type = [{22,3}],name = "灵珠皮肤"};

get_wardrobe_apperance(8,1,{1,5}) ->
    #base_wardrobe_appearance{type = 8,sub_type = 1,level = {1,5},appearance_value = 50,goods_type = [{22,3}],name = "灵珠皮肤"};

get_wardrobe_apperance(9,1,{2,10}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 1,level = {2,10},appearance_value = 80,goods_type = [],name = "进阶-座驾"};

get_wardrobe_apperance(9,1,{2,1}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 1,level = {2,1},appearance_value = 10,goods_type = [],name = "进阶-座驾"};

get_wardrobe_apperance(9,1,{2,2}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 1,level = {2,2},appearance_value = 15,goods_type = [],name = "进阶-座驾"};

get_wardrobe_apperance(9,1,{2,3}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 1,level = {2,3},appearance_value = 20,goods_type = [],name = "进阶-座驾"};

get_wardrobe_apperance(9,1,{2,4}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 1,level = {2,4},appearance_value = 25,goods_type = [],name = "进阶-座驾"};

get_wardrobe_apperance(9,1,{2,5}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 1,level = {2,5},appearance_value = 30,goods_type = [],name = "进阶-座驾"};

get_wardrobe_apperance(9,1,{2,6}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 1,level = {2,6},appearance_value = 40,goods_type = [],name = "进阶-座驾"};

get_wardrobe_apperance(9,1,{2,7}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 1,level = {2,7},appearance_value = 50,goods_type = [],name = "进阶-座驾"};

get_wardrobe_apperance(9,1,{2,8}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 1,level = {2,8},appearance_value = 60,goods_type = [],name = "进阶-座驾"};

get_wardrobe_apperance(9,1,{2,9}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 1,level = {2,9},appearance_value = 70,goods_type = [],name = "进阶-座驾"};

get_wardrobe_apperance(9,2,{2,10}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 2,level = {2,10},appearance_value = 80,goods_type = [],name = "进阶-炫翼"};

get_wardrobe_apperance(9,2,{2,1}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 2,level = {2,1},appearance_value = 10,goods_type = [],name = "进阶-炫翼"};

get_wardrobe_apperance(9,2,{2,2}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 2,level = {2,2},appearance_value = 15,goods_type = [],name = "进阶-炫翼"};

get_wardrobe_apperance(9,2,{2,3}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 2,level = {2,3},appearance_value = 20,goods_type = [],name = "进阶-炫翼"};

get_wardrobe_apperance(9,2,{2,4}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 2,level = {2,4},appearance_value = 25,goods_type = [],name = "进阶-炫翼"};

get_wardrobe_apperance(9,2,{2,5}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 2,level = {2,5},appearance_value = 30,goods_type = [],name = "进阶-炫翼"};

get_wardrobe_apperance(9,2,{2,6}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 2,level = {2,6},appearance_value = 40,goods_type = [],name = "进阶-炫翼"};

get_wardrobe_apperance(9,2,{2,7}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 2,level = {2,7},appearance_value = 50,goods_type = [],name = "进阶-炫翼"};

get_wardrobe_apperance(9,2,{2,8}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 2,level = {2,8},appearance_value = 60,goods_type = [],name = "进阶-炫翼"};

get_wardrobe_apperance(9,2,{2,9}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 2,level = {2,9},appearance_value = 70,goods_type = [],name = "进阶-炫翼"};

get_wardrobe_apperance(9,3,{2,10}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 3,level = {2,10},appearance_value = 80,goods_type = [],name = "进阶-宝具"};

get_wardrobe_apperance(9,3,{2,1}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 3,level = {2,1},appearance_value = 10,goods_type = [],name = "进阶-宝具"};

get_wardrobe_apperance(9,3,{2,2}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 3,level = {2,2},appearance_value = 15,goods_type = [],name = "进阶-宝具"};

get_wardrobe_apperance(9,3,{2,3}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 3,level = {2,3},appearance_value = 20,goods_type = [],name = "进阶-宝具"};

get_wardrobe_apperance(9,3,{2,4}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 3,level = {2,4},appearance_value = 25,goods_type = [],name = "进阶-宝具"};

get_wardrobe_apperance(9,3,{2,5}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 3,level = {2,5},appearance_value = 30,goods_type = [],name = "进阶-宝具"};

get_wardrobe_apperance(9,3,{2,6}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 3,level = {2,6},appearance_value = 40,goods_type = [],name = "进阶-宝具"};

get_wardrobe_apperance(9,3,{2,7}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 3,level = {2,7},appearance_value = 50,goods_type = [],name = "进阶-宝具"};

get_wardrobe_apperance(9,3,{2,8}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 3,level = {2,8},appearance_value = 60,goods_type = [],name = "进阶-宝具"};

get_wardrobe_apperance(9,3,{2,9}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 3,level = {2,9},appearance_value = 70,goods_type = [],name = "进阶-宝具"};

get_wardrobe_apperance(9,4,{2,10}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 4,level = {2,10},appearance_value = 80,goods_type = [],name = "进阶-武器"};

get_wardrobe_apperance(9,4,{2,1}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 4,level = {2,1},appearance_value = 10,goods_type = [],name = "进阶-武器"};

get_wardrobe_apperance(9,4,{2,2}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 4,level = {2,2},appearance_value = 15,goods_type = [],name = "进阶-武器"};

get_wardrobe_apperance(9,4,{2,3}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 4,level = {2,3},appearance_value = 20,goods_type = [],name = "进阶-武器"};

get_wardrobe_apperance(9,4,{2,4}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 4,level = {2,4},appearance_value = 25,goods_type = [],name = "进阶-武器"};

get_wardrobe_apperance(9,4,{2,5}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 4,level = {2,5},appearance_value = 30,goods_type = [],name = "进阶-武器"};

get_wardrobe_apperance(9,4,{2,6}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 4,level = {2,6},appearance_value = 40,goods_type = [],name = "进阶-武器"};

get_wardrobe_apperance(9,4,{2,7}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 4,level = {2,7},appearance_value = 50,goods_type = [],name = "进阶-武器"};

get_wardrobe_apperance(9,4,{2,8}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 4,level = {2,8},appearance_value = 60,goods_type = [],name = "进阶-武器"};

get_wardrobe_apperance(9,4,{2,9}) ->
    #base_wardrobe_appearance{type = 9,sub_type = 4,level = {2,9},appearance_value = 70,goods_type = [],name = "进阶-武器"};

get_wardrobe_apperance(10,1,{2,10}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 1,level = {2,10},appearance_value = 80,goods_type = [],name = "伙伴-AI娘"};

get_wardrobe_apperance(10,1,{2,1}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 1,level = {2,1},appearance_value = 10,goods_type = [],name = "伙伴-AI娘"};

get_wardrobe_apperance(10,1,{2,2}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 1,level = {2,2},appearance_value = 15,goods_type = [],name = "伙伴-AI娘"};

get_wardrobe_apperance(10,1,{2,3}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 1,level = {2,3},appearance_value = 20,goods_type = [],name = "伙伴-AI娘"};

get_wardrobe_apperance(10,1,{2,4}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 1,level = {2,4},appearance_value = 25,goods_type = [],name = "伙伴-AI娘"};

get_wardrobe_apperance(10,1,{2,5}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 1,level = {2,5},appearance_value = 30,goods_type = [],name = "伙伴-AI娘"};

get_wardrobe_apperance(10,1,{2,6}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 1,level = {2,6},appearance_value = 40,goods_type = [],name = "伙伴-AI娘"};

get_wardrobe_apperance(10,1,{2,7}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 1,level = {2,7},appearance_value = 50,goods_type = [],name = "伙伴-AI娘"};

get_wardrobe_apperance(10,1,{2,8}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 1,level = {2,8},appearance_value = 60,goods_type = [],name = "伙伴-AI娘"};

get_wardrobe_apperance(10,1,{2,9}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 1,level = {2,9},appearance_value = 70,goods_type = [],name = "伙伴-AI娘"};

get_wardrobe_apperance(10,2,{2,10}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 2,level = {2,10},appearance_value = 80,goods_type = [],name = "伙伴-磁炮"};

get_wardrobe_apperance(10,2,{2,1}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 2,level = {2,1},appearance_value = 10,goods_type = [],name = "伙伴-磁炮"};

get_wardrobe_apperance(10,2,{2,2}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 2,level = {2,2},appearance_value = 15,goods_type = [],name = "伙伴-磁炮"};

get_wardrobe_apperance(10,2,{2,3}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 2,level = {2,3},appearance_value = 20,goods_type = [],name = "伙伴-磁炮"};

get_wardrobe_apperance(10,2,{2,4}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 2,level = {2,4},appearance_value = 25,goods_type = [],name = "伙伴-磁炮"};

get_wardrobe_apperance(10,2,{2,5}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 2,level = {2,5},appearance_value = 30,goods_type = [],name = "伙伴-磁炮"};

get_wardrobe_apperance(10,2,{2,6}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 2,level = {2,6},appearance_value = 40,goods_type = [],name = "伙伴-磁炮"};

get_wardrobe_apperance(10,2,{2,7}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 2,level = {2,7},appearance_value = 50,goods_type = [],name = "伙伴-磁炮"};

get_wardrobe_apperance(10,2,{2,8}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 2,level = {2,8},appearance_value = 60,goods_type = [],name = "伙伴-磁炮"};

get_wardrobe_apperance(10,2,{2,9}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 2,level = {2,9},appearance_value = 70,goods_type = [],name = "伙伴-磁炮"};

get_wardrobe_apperance(10,3,{2,10}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 3,level = {2,10},appearance_value = 80,goods_type = [],name = "伙伴-星翼"};

get_wardrobe_apperance(10,3,{2,1}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 3,level = {2,1},appearance_value = 10,goods_type = [],name = "伙伴-星翼"};

get_wardrobe_apperance(10,3,{2,2}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 3,level = {2,2},appearance_value = 15,goods_type = [],name = "伙伴-星翼"};

get_wardrobe_apperance(10,3,{2,3}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 3,level = {2,3},appearance_value = 20,goods_type = [],name = "伙伴-星翼"};

get_wardrobe_apperance(10,3,{2,4}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 3,level = {2,4},appearance_value = 25,goods_type = [],name = "伙伴-星翼"};

get_wardrobe_apperance(10,3,{2,5}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 3,level = {2,5},appearance_value = 30,goods_type = [],name = "伙伴-星翼"};

get_wardrobe_apperance(10,3,{2,6}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 3,level = {2,6},appearance_value = 40,goods_type = [],name = "伙伴-星翼"};

get_wardrobe_apperance(10,3,{2,7}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 3,level = {2,7},appearance_value = 50,goods_type = [],name = "伙伴-星翼"};

get_wardrobe_apperance(10,3,{2,8}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 3,level = {2,8},appearance_value = 60,goods_type = [],name = "伙伴-星翼"};

get_wardrobe_apperance(10,3,{2,9}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 3,level = {2,9},appearance_value = 70,goods_type = [],name = "伙伴-星翼"};

get_wardrobe_apperance(10,4,{2,10}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 4,level = {2,10},appearance_value = 80,goods_type = [],name = "伙伴-幻甲"};

get_wardrobe_apperance(10,4,{2,1}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 4,level = {2,1},appearance_value = 10,goods_type = [],name = "伙伴-幻甲"};

get_wardrobe_apperance(10,4,{2,2}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 4,level = {2,2},appearance_value = 15,goods_type = [],name = "伙伴-幻甲"};

get_wardrobe_apperance(10,4,{2,3}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 4,level = {2,3},appearance_value = 20,goods_type = [],name = "伙伴-幻甲"};

get_wardrobe_apperance(10,4,{2,4}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 4,level = {2,4},appearance_value = 25,goods_type = [],name = "伙伴-幻甲"};

get_wardrobe_apperance(10,4,{2,5}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 4,level = {2,5},appearance_value = 30,goods_type = [],name = "伙伴-幻甲"};

get_wardrobe_apperance(10,4,{2,6}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 4,level = {2,6},appearance_value = 40,goods_type = [],name = "伙伴-幻甲"};

get_wardrobe_apperance(10,4,{2,7}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 4,level = {2,7},appearance_value = 50,goods_type = [],name = "伙伴-幻甲"};

get_wardrobe_apperance(10,4,{2,8}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 4,level = {2,8},appearance_value = 60,goods_type = [],name = "伙伴-幻甲"};

get_wardrobe_apperance(10,4,{2,9}) ->
    #base_wardrobe_appearance{type = 10,sub_type = 4,level = {2,9},appearance_value = 70,goods_type = [],name = "伙伴-幻甲"};

get_wardrobe_apperance(_Type,_Subtype,_Level) ->
    [].

get_all_type() ->
    [1,2,3,4,5,6,7,8,9,10].

get_type_all_level(1,1) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(1,2) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(1,3) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(1,4) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(1,5) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(2,1) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(3,1) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(4,1) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(5,1) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(6,1) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(6,2) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(6,3) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(6,4) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(6,5) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(7,1) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(8,1) ->
    [{1,1},{1,2},{1,3},{1,4},{1,5}];

get_type_all_level(9,1) ->
    [{2,10},{2,1},{2,2},{2,3},{2,4},{2,5},{2,6},{2,7},{2,8},{2,9}];

get_type_all_level(9,2) ->
    [{2,10},{2,1},{2,2},{2,3},{2,4},{2,5},{2,6},{2,7},{2,8},{2,9}];

get_type_all_level(9,3) ->
    [{2,10},{2,1},{2,2},{2,3},{2,4},{2,5},{2,6},{2,7},{2,8},{2,9}];

get_type_all_level(9,4) ->
    [{2,10},{2,1},{2,2},{2,3},{2,4},{2,5},{2,6},{2,7},{2,8},{2,9}];

get_type_all_level(10,1) ->
    [{2,10},{2,1},{2,2},{2,3},{2,4},{2,5},{2,6},{2,7},{2,8},{2,9}];

get_type_all_level(10,2) ->
    [{2,10},{2,1},{2,2},{2,3},{2,4},{2,5},{2,6},{2,7},{2,8},{2,9}];

get_type_all_level(10,3) ->
    [{2,10},{2,1},{2,2},{2,3},{2,4},{2,5},{2,6},{2,7},{2,8},{2,9}];

get_type_all_level(10,4) ->
    [{2,10},{2,1},{2,2},{2,3},{2,4},{2,5},{2,6},{2,7},{2,8},{2,9}];

get_type_all_level(_Type,_Subtype) ->
    [].

get_type_value(1,1,{1,1}) ->
    10;

get_type_value(1,1,{1,2}) ->
    15;

get_type_value(1,1,{1,3}) ->
    10;

get_type_value(1,1,{1,4}) ->
    25;

get_type_value(1,1,{1,5}) ->
    50;

get_type_value(1,2,{1,1}) ->
    5;

get_type_value(1,2,{1,2}) ->
    10;

get_type_value(1,2,{1,3}) ->
    15;

get_type_value(1,2,{1,4}) ->
    20;

get_type_value(1,2,{1,5}) ->
    25;

get_type_value(1,3,{1,1}) ->
    5;

get_type_value(1,3,{1,2}) ->
    10;

get_type_value(1,3,{1,3}) ->
    15;

get_type_value(1,3,{1,4}) ->
    20;

get_type_value(1,3,{1,5}) ->
    25;

get_type_value(1,4,{1,1}) ->
    5;

get_type_value(1,4,{1,2}) ->
    10;

get_type_value(1,4,{1,3}) ->
    15;

get_type_value(1,4,{1,4}) ->
    20;

get_type_value(1,4,{1,5}) ->
    25;

get_type_value(1,5,{1,1}) ->
    5;

get_type_value(1,5,{1,2}) ->
    10;

get_type_value(1,5,{1,3}) ->
    15;

get_type_value(1,5,{1,4}) ->
    20;

get_type_value(1,5,{1,5}) ->
    25;

get_type_value(2,1,{1,1}) ->
    5;

get_type_value(2,1,{1,2}) ->
    10;

get_type_value(2,1,{1,3}) ->
    15;

get_type_value(2,1,{1,4}) ->
    20;

get_type_value(2,1,{1,5}) ->
    25;

get_type_value(3,1,{1,1}) ->
    5;

get_type_value(3,1,{1,2}) ->
    10;

get_type_value(3,1,{1,3}) ->
    15;

get_type_value(3,1,{1,4}) ->
    20;

get_type_value(3,1,{1,5}) ->
    25;

get_type_value(4,1,{1,1}) ->
    5;

get_type_value(4,1,{1,2}) ->
    10;

get_type_value(4,1,{1,3}) ->
    15;

get_type_value(4,1,{1,4}) ->
    20;

get_type_value(4,1,{1,5}) ->
    25;

get_type_value(5,1,{1,1}) ->
    5;

get_type_value(5,1,{1,2}) ->
    10;

get_type_value(5,1,{1,3}) ->
    15;

get_type_value(5,1,{1,4}) ->
    20;

get_type_value(5,1,{1,5}) ->
    25;

get_type_value(6,1,{1,1}) ->
    20;

get_type_value(6,1,{1,2}) ->
    30;

get_type_value(6,1,{1,3}) ->
    40;

get_type_value(6,1,{1,4}) ->
    50;

get_type_value(6,1,{1,5}) ->
    60;

get_type_value(6,2,{1,1}) ->
    20;

get_type_value(6,2,{1,2}) ->
    30;

get_type_value(6,2,{1,3}) ->
    40;

get_type_value(6,2,{1,4}) ->
    50;

get_type_value(6,2,{1,5}) ->
    60;

get_type_value(6,3,{1,1}) ->
    20;

get_type_value(6,3,{1,2}) ->
    30;

get_type_value(6,3,{1,3}) ->
    40;

get_type_value(6,3,{1,4}) ->
    50;

get_type_value(6,3,{1,5}) ->
    60;

get_type_value(6,4,{1,1}) ->
    20;

get_type_value(6,4,{1,2}) ->
    30;

get_type_value(6,4,{1,3}) ->
    40;

get_type_value(6,4,{1,4}) ->
    50;

get_type_value(6,4,{1,5}) ->
    60;

get_type_value(6,5,{1,1}) ->
    20;

get_type_value(6,5,{1,2}) ->
    30;

get_type_value(6,5,{1,3}) ->
    40;

get_type_value(6,5,{1,4}) ->
    50;

get_type_value(6,5,{1,5}) ->
    60;

get_type_value(7,1,{1,1}) ->
    10;

get_type_value(7,1,{1,2}) ->
    15;

get_type_value(7,1,{1,3}) ->
    10;

get_type_value(7,1,{1,4}) ->
    25;

get_type_value(7,1,{1,5}) ->
    50;

get_type_value(8,1,{1,1}) ->
    10;

get_type_value(8,1,{1,2}) ->
    15;

get_type_value(8,1,{1,3}) ->
    10;

get_type_value(8,1,{1,4}) ->
    25;

get_type_value(8,1,{1,5}) ->
    50;

get_type_value(9,1,{2,10}) ->
    80;

get_type_value(9,1,{2,1}) ->
    10;

get_type_value(9,1,{2,2}) ->
    15;

get_type_value(9,1,{2,3}) ->
    20;

get_type_value(9,1,{2,4}) ->
    25;

get_type_value(9,1,{2,5}) ->
    30;

get_type_value(9,1,{2,6}) ->
    40;

get_type_value(9,1,{2,7}) ->
    50;

get_type_value(9,1,{2,8}) ->
    60;

get_type_value(9,1,{2,9}) ->
    70;

get_type_value(9,2,{2,10}) ->
    80;

get_type_value(9,2,{2,1}) ->
    10;

get_type_value(9,2,{2,2}) ->
    15;

get_type_value(9,2,{2,3}) ->
    20;

get_type_value(9,2,{2,4}) ->
    25;

get_type_value(9,2,{2,5}) ->
    30;

get_type_value(9,2,{2,6}) ->
    40;

get_type_value(9,2,{2,7}) ->
    50;

get_type_value(9,2,{2,8}) ->
    60;

get_type_value(9,2,{2,9}) ->
    70;

get_type_value(9,3,{2,10}) ->
    80;

get_type_value(9,3,{2,1}) ->
    10;

get_type_value(9,3,{2,2}) ->
    15;

get_type_value(9,3,{2,3}) ->
    20;

get_type_value(9,3,{2,4}) ->
    25;

get_type_value(9,3,{2,5}) ->
    30;

get_type_value(9,3,{2,6}) ->
    40;

get_type_value(9,3,{2,7}) ->
    50;

get_type_value(9,3,{2,8}) ->
    60;

get_type_value(9,3,{2,9}) ->
    70;

get_type_value(9,4,{2,10}) ->
    80;

get_type_value(9,4,{2,1}) ->
    10;

get_type_value(9,4,{2,2}) ->
    15;

get_type_value(9,4,{2,3}) ->
    20;

get_type_value(9,4,{2,4}) ->
    25;

get_type_value(9,4,{2,5}) ->
    30;

get_type_value(9,4,{2,6}) ->
    40;

get_type_value(9,4,{2,7}) ->
    50;

get_type_value(9,4,{2,8}) ->
    60;

get_type_value(9,4,{2,9}) ->
    70;

get_type_value(10,1,{2,10}) ->
    80;

get_type_value(10,1,{2,1}) ->
    10;

get_type_value(10,1,{2,2}) ->
    15;

get_type_value(10,1,{2,3}) ->
    20;

get_type_value(10,1,{2,4}) ->
    25;

get_type_value(10,1,{2,5}) ->
    30;

get_type_value(10,1,{2,6}) ->
    40;

get_type_value(10,1,{2,7}) ->
    50;

get_type_value(10,1,{2,8}) ->
    60;

get_type_value(10,1,{2,9}) ->
    70;

get_type_value(10,2,{2,10}) ->
    80;

get_type_value(10,2,{2,1}) ->
    10;

get_type_value(10,2,{2,2}) ->
    15;

get_type_value(10,2,{2,3}) ->
    20;

get_type_value(10,2,{2,4}) ->
    25;

get_type_value(10,2,{2,5}) ->
    30;

get_type_value(10,2,{2,6}) ->
    40;

get_type_value(10,2,{2,7}) ->
    50;

get_type_value(10,2,{2,8}) ->
    60;

get_type_value(10,2,{2,9}) ->
    70;

get_type_value(10,3,{2,10}) ->
    80;

get_type_value(10,3,{2,1}) ->
    10;

get_type_value(10,3,{2,2}) ->
    15;

get_type_value(10,3,{2,3}) ->
    20;

get_type_value(10,3,{2,4}) ->
    25;

get_type_value(10,3,{2,5}) ->
    30;

get_type_value(10,3,{2,6}) ->
    40;

get_type_value(10,3,{2,7}) ->
    50;

get_type_value(10,3,{2,8}) ->
    60;

get_type_value(10,3,{2,9}) ->
    70;

get_type_value(10,4,{2,10}) ->
    80;

get_type_value(10,4,{2,1}) ->
    10;

get_type_value(10,4,{2,2}) ->
    15;

get_type_value(10,4,{2,3}) ->
    20;

get_type_value(10,4,{2,4}) ->
    25;

get_type_value(10,4,{2,5}) ->
    30;

get_type_value(10,4,{2,6}) ->
    40;

get_type_value(10,4,{2,7}) ->
    50;

get_type_value(10,4,{2,8}) ->
    60;

get_type_value(10,4,{2,9}) ->
    70;

get_type_value(_Type,_Subtype,_Level) ->
    0.

