%%%---------------------------------------
%%% module      : data_welfare
%%% description : 福利大厅配置
%%%
%%%---------------------------------------
-module(data_welfare).
-compile(export_all).
-include("welfare.hrl").



%%资源下载奖励
get_welfare_kv(download_award) ->
    [{0,102405,1},{0,109032,1},{0,102009,1},{0,102603,1}];

get_welfare_kv(_Keycontent) ->
    error.


get_welfare_cumulative_sign_in_award(1) ->
    [{1,2,[{100,450014,1}]},{2,3,[{100,450036,1}]},{3,7,[{100,450021,1}]},{4,14,[{100,450037,1}]},{5,28,[{100,450022,1}]}];


get_welfare_cumulative_sign_in_award(2) ->
    [{1,2,[{100,450014,1}]},{2,3,[{100,450036,1}]},{3,7,[{100,450021,1}]},{4,14,[{100,450037,1}]},{5,28,[{100,450022,1}]}];

get_welfare_cumulative_sign_in_award(_Round) ->
    [].

get_welfare_sign_in_round(Lv) when Lv >= 250 ->
		2;
get_welfare_sign_in_round(Lv) when Lv >= 1 ->
		1;
get_welfare_sign_in_round(_Lv) ->
    0.

get_welfare_sign_in_max_round() -> 2.

get_welfare_sign_in_award(1,1) ->
    #base_welfare_sign_in_award{round = 1,day = 1,award = [{100,230001,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,2) ->
    #base_welfare_sign_in_award{round = 1,day = 2,award = [{100,230002,1}],vip_lv = 3,vip_ratio = 2};

get_welfare_sign_in_award(1,3) ->
    #base_welfare_sign_in_award{round = 1,day = 3,award = [{100,230004,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,4) ->
    #base_welfare_sign_in_award{round = 1,day = 4,award = [{100,230003,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,5) ->
    #base_welfare_sign_in_award{round = 1,day = 5,award = [{100,230010,1}],vip_lv = 3,vip_ratio = 2};

get_welfare_sign_in_award(1,6) ->
    #base_welfare_sign_in_award{round = 1,day = 6,award = [{100,230012,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,7) ->
    #base_welfare_sign_in_award{round = 1,day = 7,award = [{100,230014,1}],vip_lv = 3,vip_ratio = 2};

get_welfare_sign_in_award(1,8) ->
    #base_welfare_sign_in_award{round = 1,day = 8,award = [{100,230016,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,9) ->
    #base_welfare_sign_in_award{round = 1,day = 9,award = [{100,230001,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,10) ->
    #base_welfare_sign_in_award{round = 1,day = 10,award = [{100,230002,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,11) ->
    #base_welfare_sign_in_award{round = 1,day = 11,award = [{100,230004,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,12) ->
    #base_welfare_sign_in_award{round = 1,day = 12,award = [{100,230003,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,13) ->
    #base_welfare_sign_in_award{round = 1,day = 13,award = [{100,230010,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,14) ->
    #base_welfare_sign_in_award{round = 1,day = 14,award = [{100,230012,1}],vip_lv = 3,vip_ratio = 2};

get_welfare_sign_in_award(1,15) ->
    #base_welfare_sign_in_award{round = 1,day = 15,award = [{100,230014,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,16) ->
    #base_welfare_sign_in_award{round = 1,day = 16,award = [{100,230016,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,17) ->
    #base_welfare_sign_in_award{round = 1,day = 17,award = [{100,230001,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,18) ->
    #base_welfare_sign_in_award{round = 1,day = 18,award = [{100,230002,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,19) ->
    #base_welfare_sign_in_award{round = 1,day = 19,award = [{100,230004,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,20) ->
    #base_welfare_sign_in_award{round = 1,day = 20,award = [{100,230003,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,21) ->
    #base_welfare_sign_in_award{round = 1,day = 21,award = [{100,230010,1}],vip_lv = 3,vip_ratio = 2};

get_welfare_sign_in_award(1,22) ->
    #base_welfare_sign_in_award{round = 1,day = 22,award = [{100,230012,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,23) ->
    #base_welfare_sign_in_award{round = 1,day = 23,award = [{100,230014,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,24) ->
    #base_welfare_sign_in_award{round = 1,day = 24,award = [{100,230016,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,25) ->
    #base_welfare_sign_in_award{round = 1,day = 25,award = [{100,230001,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,26) ->
    #base_welfare_sign_in_award{round = 1,day = 26,award = [{100,230002,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,27) ->
    #base_welfare_sign_in_award{round = 1,day = 27,award = [{100,230004,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,28) ->
    #base_welfare_sign_in_award{round = 1,day = 28,award = [{100,230003,1}],vip_lv = 3,vip_ratio = 2};

get_welfare_sign_in_award(1,29) ->
    #base_welfare_sign_in_award{round = 1,day = 29,award = [{100,230010,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(1,30) ->
    #base_welfare_sign_in_award{round = 1,day = 30,award = [{100,230012,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,1) ->
    #base_welfare_sign_in_award{round = 2,day = 1,award = [{100,230001,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,2) ->
    #base_welfare_sign_in_award{round = 2,day = 2,award = [{100,230002,1}],vip_lv = 3,vip_ratio = 2};

get_welfare_sign_in_award(2,3) ->
    #base_welfare_sign_in_award{round = 2,day = 3,award = [{100,230004,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,4) ->
    #base_welfare_sign_in_award{round = 2,day = 4,award = [{100,230003,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,5) ->
    #base_welfare_sign_in_award{round = 2,day = 5,award = [{100,230010,1}],vip_lv = 3,vip_ratio = 2};

get_welfare_sign_in_award(2,6) ->
    #base_welfare_sign_in_award{round = 2,day = 6,award = [{100,230012,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,7) ->
    #base_welfare_sign_in_award{round = 2,day = 7,award = [{100,230014,1}],vip_lv = 3,vip_ratio = 2};

get_welfare_sign_in_award(2,8) ->
    #base_welfare_sign_in_award{round = 2,day = 8,award = [{100,230016,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,9) ->
    #base_welfare_sign_in_award{round = 2,day = 9,award = [{100,230001,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,10) ->
    #base_welfare_sign_in_award{round = 2,day = 10,award = [{100,230002,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,11) ->
    #base_welfare_sign_in_award{round = 2,day = 11,award = [{100,230004,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,12) ->
    #base_welfare_sign_in_award{round = 2,day = 12,award = [{100,230003,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,13) ->
    #base_welfare_sign_in_award{round = 2,day = 13,award = [{100,230010,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,14) ->
    #base_welfare_sign_in_award{round = 2,day = 14,award = [{100,230012,1}],vip_lv = 3,vip_ratio = 2};

get_welfare_sign_in_award(2,15) ->
    #base_welfare_sign_in_award{round = 2,day = 15,award = [{100,230014,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,16) ->
    #base_welfare_sign_in_award{round = 2,day = 16,award = [{100,230016,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,17) ->
    #base_welfare_sign_in_award{round = 2,day = 17,award = [{100,230001,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,18) ->
    #base_welfare_sign_in_award{round = 2,day = 18,award = [{100,230002,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,19) ->
    #base_welfare_sign_in_award{round = 2,day = 19,award = [{100,230004,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,20) ->
    #base_welfare_sign_in_award{round = 2,day = 20,award = [{100,230003,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,21) ->
    #base_welfare_sign_in_award{round = 2,day = 21,award = [{100,230010,1}],vip_lv = 3,vip_ratio = 2};

get_welfare_sign_in_award(2,22) ->
    #base_welfare_sign_in_award{round = 2,day = 22,award = [{100,230012,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,23) ->
    #base_welfare_sign_in_award{round = 2,day = 23,award = [{100,230014,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,24) ->
    #base_welfare_sign_in_award{round = 2,day = 24,award = [{100,230016,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,25) ->
    #base_welfare_sign_in_award{round = 2,day = 25,award = [{100,230001,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,26) ->
    #base_welfare_sign_in_award{round = 2,day = 26,award = [{100,230002,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,27) ->
    #base_welfare_sign_in_award{round = 2,day = 27,award = [{100,230004,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,28) ->
    #base_welfare_sign_in_award{round = 2,day = 28,award = [{100,230003,1}],vip_lv = 3,vip_ratio = 2};

get_welfare_sign_in_award(2,29) ->
    #base_welfare_sign_in_award{round = 2,day = 29,award = [{100,230010,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(2,30) ->
    #base_welfare_sign_in_award{round = 2,day = 30,award = [{100,230012,1}],vip_lv = 0,vip_ratio = 1};

get_welfare_sign_in_award(_Round,_Day) ->
    [].

get_welfare_level_award(1,1) ->
    #base_welfare_level_award{career = 1,id = 1,level = 90,award = [{100,230001,2},{100,102401,10},{100,101008,20}],limit_award = [{100,102603,5}],limit_num = 1000};

get_welfare_level_award(1,2) ->
    #base_welfare_level_award{career = 1,id = 2,level = 100,award = [{100,230001,4},{100,102607,1},{2,101008,30}],limit_award = [{100,230101,1}],limit_num = 800};

get_welfare_level_award(1,3) ->
    #base_welfare_level_award{career = 1,id = 3,level = 105,award = [{100,230001,6},{100,102305,1},{2,101008,30}],limit_award = [{100,330901,5}],limit_num = 700};

get_welfare_level_award(1,4) ->
    #base_welfare_level_award{career = 1,id = 4,level = 110,award = [{100,230001,8},{100,102603,2},{2,101008,40}],limit_award = [{100,230151,1}],limit_num = 600};

get_welfare_level_award(1,5) ->
    #base_welfare_level_award{career = 1,id = 5,level = 115,award = [{100,230001,8},{100,230301,1},{2,101008,40}],limit_award = [{100,24101013,1}],limit_num = 500};

get_welfare_level_award(1,6) ->
    #base_welfare_level_award{career = 1,id = 6,level = 120,award = [{100,450026,1},{100,109032,3},{2,101008,50}],limit_award = [{100,108012,2}],limit_num = 450};

get_welfare_level_award(1,7) ->
    #base_welfare_level_award{career = 1,id = 7,level = 125,award = [{100,102402,2},{100,102501,2},{2,101008,50}],limit_award = [{100,102604,2}],limit_num = 400};

get_welfare_level_award(1,8) ->
    #base_welfare_level_award{career = 1,id = 8,level = 130,award = [{100,230002,4},{100,230102,1},{2,101008,60}],limit_award = [{100,24101023,1}],limit_num = 350};

get_welfare_level_award(1,9) ->
    #base_welfare_level_award{career = 1,id = 9,level = 135,award = [{100,230002,6},{100,24101033,1},{2,101008,60}],limit_award = [{100,24101044,1}],limit_num = 300};

get_welfare_level_award(1,10) ->
    #base_welfare_level_award{career = 1,id = 10,level = 140,award = [{100,230002,8},{100,230004,8},{2,101008,80}],limit_award = [{100,109004,1}],limit_num = 250};

get_welfare_level_award(1,11) ->
    #base_welfare_level_award{career = 1,id = 11,level = 150,award = [{100,230004,10},{100,230104,1},{2,101008,80}],limit_award = [{100,24102013,1}],limit_num = 200};

get_welfare_level_award(1,12) ->
    #base_welfare_level_award{career = 1,id = 12,level = 160,award = [{100,230003,12},{100,230053,1},{2,101008,100}],limit_award = [{100,102608,1}],limit_num = 150};

get_welfare_level_award(1,13) ->
    #base_welfare_level_award{career = 1,id = 13,level = 180,award = [{100,109004,2},{100,109014,2},{2,101008,200}],limit_award = [{100,102306,1}],limit_num = 120};

get_welfare_level_award(1,14) ->
    #base_welfare_level_award{career = 1,id = 14,level = 200,award = [{100,102405,1},{100,251001,10},{2,101008,200}],limit_award = [{100,250004,15}],limit_num = 100};

get_welfare_level_award(1,15) ->
    #base_welfare_level_award{career = 1,id = 15,level = 250,award = [{100,450067,1},{100,450023,2},{2,101008,200}],limit_award = [{100,24103033,1}],limit_num = 80};

get_welfare_level_award(1,16) ->
    #base_welfare_level_award{career = 1,id = 16,level = 300,award = [{100,102301,2},{100,280101,2},{2,101008,200}],limit_award = [{100,102303,1}],limit_num = 60};

get_welfare_level_award(1,17) ->
    #base_welfare_level_award{career = 1,id = 17,level = 350,award = [{100,290005,1},{100,290002,1},{2,101008,200}],limit_award = [{100,24104043,1}],limit_num = 50};

get_welfare_level_award(1,18) ->
    #base_welfare_level_award{career = 1,id = 18,level = 400,award = [{100,102632,2},{100,102631,2},{2,101008,400}],limit_award = [{100,102306,1}],limit_num = 30};

get_welfare_level_award(1,19) ->
    #base_welfare_level_award{career = 1,id = 19,level = 450,award = [{100,109005,1},{100,109015,1},{2,101008,600}],limit_award = [{100,24105053,1}],limit_num = 10};

get_welfare_level_award(1,20) ->
    #base_welfare_level_award{career = 1,id = 20,level = 500,award = [{100,109036,1},{100,450023,5},{2,101008,1000}],limit_award = [{100,102304,1}],limit_num = 10};

get_welfare_level_award(2,1) ->
    #base_welfare_level_award{career = 2,id = 1,level = 90,award = [{100,230001,2},{100,102401,10},{100,101008,20}],limit_award = [{100,102603,5}],limit_num = 1000};

get_welfare_level_award(2,2) ->
    #base_welfare_level_award{career = 2,id = 2,level = 100,award = [{100,230001,4},{100,102607,1},{2,101008,30}],limit_award = [{100,230101,1}],limit_num = 800};

get_welfare_level_award(2,3) ->
    #base_welfare_level_award{career = 2,id = 3,level = 105,award = [{100,230001,6},{100,102305,1},{2,101008,30}],limit_award = [{100,330901,5}],limit_num = 700};

get_welfare_level_award(2,4) ->
    #base_welfare_level_award{career = 2,id = 4,level = 110,award = [{100,230001,8},{100,102603,2},{2,101008,40}],limit_award = [{100,230151,1}],limit_num = 600};

get_welfare_level_award(2,5) ->
    #base_welfare_level_award{career = 2,id = 5,level = 115,award = [{100,230001,8},{100,230301,1},{2,101008,40}],limit_award = [{100,24101013,1}],limit_num = 500};

get_welfare_level_award(2,6) ->
    #base_welfare_level_award{career = 2,id = 6,level = 120,award = [{100,450026,1},{100,109032,3},{2,101008,50}],limit_award = [{100,108012,2}],limit_num = 450};

get_welfare_level_award(2,7) ->
    #base_welfare_level_award{career = 2,id = 7,level = 125,award = [{100,102402,2},{100,102501,2},{2,101008,50}],limit_award = [{100,102604,2}],limit_num = 400};

get_welfare_level_award(2,8) ->
    #base_welfare_level_award{career = 2,id = 8,level = 130,award = [{100,230002,4},{100,230102,1},{2,101008,60}],limit_award = [{100,24201023,1}],limit_num = 350};

get_welfare_level_award(2,9) ->
    #base_welfare_level_award{career = 2,id = 9,level = 135,award = [{100,230002,6},{100,24201033,1},{2,101008,60}],limit_award = [{100,24201044,1}],limit_num = 300};

get_welfare_level_award(2,10) ->
    #base_welfare_level_award{career = 2,id = 10,level = 140,award = [{100,230002,8},{100,230004,8},{2,101008,80}],limit_award = [{100,109004,1}],limit_num = 250};

get_welfare_level_award(2,11) ->
    #base_welfare_level_award{career = 2,id = 11,level = 150,award = [{100,230004,10},{100,230104,1},{2,101008,80}],limit_award = [{100,24102013,1}],limit_num = 200};

get_welfare_level_award(2,12) ->
    #base_welfare_level_award{career = 2,id = 12,level = 160,award = [{100,230003,12},{100,230053,1},{2,101008,100}],limit_award = [{100,102608,1}],limit_num = 150};

get_welfare_level_award(2,13) ->
    #base_welfare_level_award{career = 2,id = 13,level = 180,award = [{100,109004,2},{100,109014,2},{2,101008,200}],limit_award = [{100,102306,1}],limit_num = 120};

get_welfare_level_award(2,14) ->
    #base_welfare_level_award{career = 2,id = 14,level = 200,award = [{100,102405,1},{100,251001,10},{2,101008,200}],limit_award = [{100,250004,15}],limit_num = 100};

get_welfare_level_award(2,15) ->
    #base_welfare_level_award{career = 2,id = 15,level = 250,award = [{100,450067,1},{100,450023,2},{2,101008,200}],limit_award = [{100,24203033,1}],limit_num = 80};

get_welfare_level_award(2,16) ->
    #base_welfare_level_award{career = 2,id = 16,level = 300,award = [{100,102301,2},{100,280101,2},{2,101008,200}],limit_award = [{100,102303,1}],limit_num = 60};

get_welfare_level_award(2,17) ->
    #base_welfare_level_award{career = 2,id = 17,level = 350,award = [{100,290005,1},{100,290002,1},{2,101008,200}],limit_award = [{100,24204043,1}],limit_num = 50};

get_welfare_level_award(2,18) ->
    #base_welfare_level_award{career = 2,id = 18,level = 400,award = [{100,102632,2},{100,102631,2},{2,101008,400}],limit_award = [{100,102306,1}],limit_num = 30};

get_welfare_level_award(2,19) ->
    #base_welfare_level_award{career = 2,id = 19,level = 450,award = [{100,109005,1},{100,109015,1},{2,101008,600}],limit_award = [{100,24205053,1}],limit_num = 10};

get_welfare_level_award(2,20) ->
    #base_welfare_level_award{career = 2,id = 20,level = 500,award = [{100,109036,1},{100,450023,5},{2,101008,1000}],limit_award = [{100,102304,1}],limit_num = 10};

get_welfare_level_award(3,1) ->
    #base_welfare_level_award{career = 3,id = 1,level = 90,award = [{100,230001,2},{100,102401,10},{100,101008,20}],limit_award = [{100,102603,5}],limit_num = 1000};

get_welfare_level_award(3,2) ->
    #base_welfare_level_award{career = 3,id = 2,level = 100,award = [{100,230001,4},{100,102607,1},{2,101008,30}],limit_award = [{100,230101,1}],limit_num = 800};

get_welfare_level_award(3,3) ->
    #base_welfare_level_award{career = 3,id = 3,level = 105,award = [{100,230001,6},{100,102305,1},{2,101008,30}],limit_award = [{100,330901,5}],limit_num = 700};

get_welfare_level_award(3,4) ->
    #base_welfare_level_award{career = 3,id = 4,level = 110,award = [{100,230001,8},{100,102603,2},{2,101008,40}],limit_award = [{100,230151,1}],limit_num = 600};

get_welfare_level_award(3,5) ->
    #base_welfare_level_award{career = 3,id = 5,level = 115,award = [{100,230001,8},{100,230301,1},{2,101008,40}],limit_award = [{100,24201013,1}],limit_num = 500};

get_welfare_level_award(3,6) ->
    #base_welfare_level_award{career = 3,id = 6,level = 120,award = [{100,450026,1},{100,109032,3},{2,101008,50}],limit_award = [{100,108012,2}],limit_num = 450};

get_welfare_level_award(3,7) ->
    #base_welfare_level_award{career = 3,id = 7,level = 125,award = [{100,102402,2},{100,102501,2},{2,101008,50}],limit_award = [{100,102604,2}],limit_num = 400};

get_welfare_level_award(3,8) ->
    #base_welfare_level_award{career = 3,id = 8,level = 130,award = [{100,230002,4},{100,230102,1},{2,101008,60}],limit_award = [{100,24101023,1}],limit_num = 350};

get_welfare_level_award(3,9) ->
    #base_welfare_level_award{career = 3,id = 9,level = 135,award = [{100,230002,6},{100,24101033,1},{2,101008,60}],limit_award = [{100,24101044,1}],limit_num = 300};

get_welfare_level_award(3,10) ->
    #base_welfare_level_award{career = 3,id = 10,level = 140,award = [{100,230002,8},{100,230004,8},{2,101008,80}],limit_award = [{100,109004,1}],limit_num = 250};

get_welfare_level_award(3,11) ->
    #base_welfare_level_award{career = 3,id = 11,level = 150,award = [{100,230004,10},{100,230104,1},{2,101008,80}],limit_award = [{100,24202013,1}],limit_num = 200};

get_welfare_level_award(3,12) ->
    #base_welfare_level_award{career = 3,id = 12,level = 160,award = [{100,230003,12},{100,230053,1},{2,101008,100}],limit_award = [{100,102608,1}],limit_num = 150};

get_welfare_level_award(3,13) ->
    #base_welfare_level_award{career = 3,id = 13,level = 180,award = [{100,109004,2},{100,109014,2},{2,101008,200}],limit_award = [{100,102306,1}],limit_num = 120};

get_welfare_level_award(3,14) ->
    #base_welfare_level_award{career = 3,id = 14,level = 200,award = [{100,102405,1},{100,251001,10},{2,101008,200}],limit_award = [{100,250004,15}],limit_num = 100};

get_welfare_level_award(3,15) ->
    #base_welfare_level_award{career = 3,id = 15,level = 250,award = [{100,450067,1},{100,450023,2},{2,101008,200}],limit_award = [{100,24103033,1}],limit_num = 80};

get_welfare_level_award(3,16) ->
    #base_welfare_level_award{career = 3,id = 16,level = 300,award = [{100,102301,2},{100,280101,2},{2,101008,200}],limit_award = [{100,102303,1}],limit_num = 60};

get_welfare_level_award(3,17) ->
    #base_welfare_level_award{career = 3,id = 17,level = 350,award = [{100,290005,1},{100,290002,1},{2,101008,200}],limit_award = [{100,24104043,1}],limit_num = 50};

get_welfare_level_award(3,18) ->
    #base_welfare_level_award{career = 3,id = 18,level = 400,award = [{100,102632,2},{100,102631,2},{2,101008,400}],limit_award = [{100,102306,1}],limit_num = 30};

get_welfare_level_award(3,19) ->
    #base_welfare_level_award{career = 3,id = 19,level = 450,award = [{100,109005,1},{100,109015,1},{2,101008,600}],limit_award = [{100,24105053,1}],limit_num = 10};

get_welfare_level_award(3,20) ->
    #base_welfare_level_award{career = 3,id = 20,level = 500,award = [{100,109036,1},{100,450023,5},{2,101008,1000}],limit_award = [{100,102304,1}],limit_num = 10};

get_welfare_level_award(4,1) ->
    #base_welfare_level_award{career = 4,id = 1,level = 90,award = [{100,230001,2},{100,102401,10},{100,101008,20}],limit_award = [{100,102603,5}],limit_num = 1000};

get_welfare_level_award(4,2) ->
    #base_welfare_level_award{career = 4,id = 2,level = 100,award = [{100,230001,4},{100,102607,1},{2,101008,30}],limit_award = [{100,230101,1}],limit_num = 800};

get_welfare_level_award(4,3) ->
    #base_welfare_level_award{career = 4,id = 3,level = 105,award = [{100,230001,6},{100,102305,1},{2,101008,30}],limit_award = [{100,330901,5}],limit_num = 700};

get_welfare_level_award(4,4) ->
    #base_welfare_level_award{career = 4,id = 4,level = 110,award = [{100,230001,8},{100,102603,2},{2,101008,40}],limit_award = [{100,230151,1}],limit_num = 600};

get_welfare_level_award(4,5) ->
    #base_welfare_level_award{career = 4,id = 5,level = 115,award = [{100,230001,8},{100,230301,1},{2,101008,40}],limit_award = [{100,24201013,1}],limit_num = 500};

get_welfare_level_award(4,6) ->
    #base_welfare_level_award{career = 4,id = 6,level = 120,award = [{100,450026,1},{100,109032,3},{2,101008,50}],limit_award = [{100,108012,2}],limit_num = 450};

get_welfare_level_award(4,7) ->
    #base_welfare_level_award{career = 4,id = 7,level = 125,award = [{100,102402,2},{100,102501,2},{2,101008,50}],limit_award = [{100,102604,2}],limit_num = 400};

get_welfare_level_award(4,8) ->
    #base_welfare_level_award{career = 4,id = 8,level = 130,award = [{100,230002,4},{100,230102,1},{2,101008,60}],limit_award = [{100,24201023,1}],limit_num = 350};

get_welfare_level_award(4,9) ->
    #base_welfare_level_award{career = 4,id = 9,level = 135,award = [{100,230002,6},{100,24201033,1},{2,101008,60}],limit_award = [{100,24201044,1}],limit_num = 300};

get_welfare_level_award(4,10) ->
    #base_welfare_level_award{career = 4,id = 10,level = 140,award = [{100,230002,8},{100,230004,8},{2,101008,80}],limit_award = [{100,109004,1}],limit_num = 250};

get_welfare_level_award(4,11) ->
    #base_welfare_level_award{career = 4,id = 11,level = 150,award = [{100,230004,10},{100,230104,1},{2,101008,80}],limit_award = [{100,24202013,1}],limit_num = 200};

get_welfare_level_award(4,12) ->
    #base_welfare_level_award{career = 4,id = 12,level = 160,award = [{100,230003,12},{100,230053,1},{2,101008,100}],limit_award = [{100,102608,1}],limit_num = 150};

get_welfare_level_award(4,13) ->
    #base_welfare_level_award{career = 4,id = 13,level = 180,award = [{100,109004,2},{100,109014,2},{2,101008,200}],limit_award = [{100,102306,1}],limit_num = 120};

get_welfare_level_award(4,14) ->
    #base_welfare_level_award{career = 4,id = 14,level = 200,award = [{100,102405,1},{100,251001,10},{2,101008,200}],limit_award = [{100,250004,15}],limit_num = 100};

get_welfare_level_award(4,15) ->
    #base_welfare_level_award{career = 4,id = 15,level = 250,award = [{100,450067,1},{100,450023,2},{2,101008,200}],limit_award = [{100,24203033,1}],limit_num = 80};

get_welfare_level_award(4,16) ->
    #base_welfare_level_award{career = 4,id = 16,level = 300,award = [{100,102301,2},{100,280101,2},{2,101008,200}],limit_award = [{100,102303,1}],limit_num = 60};

get_welfare_level_award(4,17) ->
    #base_welfare_level_award{career = 4,id = 17,level = 350,award = [{100,290005,1},{100,290002,1},{2,101008,200}],limit_award = [{100,24204043,1}],limit_num = 50};

get_welfare_level_award(4,18) ->
    #base_welfare_level_award{career = 4,id = 18,level = 400,award = [{100,102632,2},{100,102631,2},{2,101008,400}],limit_award = [{100,102306,1}],limit_num = 30};

get_welfare_level_award(4,19) ->
    #base_welfare_level_award{career = 4,id = 19,level = 450,award = [{100,109005,1},{100,109015,1},{2,101008,600}],limit_award = [{100,24205053,1}],limit_num = 10};

get_welfare_level_award(4,20) ->
    #base_welfare_level_award{career = 4,id = 20,level = 500,award = [{100,109036,1},{100,450023,5},{2,101008,1000}],limit_award = [{100,102304,1}],limit_num = 10};

get_welfare_level_award(_Career,_Id) ->
    [].


get_all_limit_level_award_id(1) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20];


get_all_limit_level_award_id(2) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20];


get_all_limit_level_award_id(3) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20];


get_all_limit_level_award_id(4) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20];

get_all_limit_level_award_id(_Career) ->
    [].

get_welfare_online_award(1,1) ->
    {600,[{0,109011,1},{0,102009,1},{0,102004,1}]};

get_welfare_online_award(1,2) ->
    {1200,[{0,230001,1},{0,102009,1},{0,102004,1}]};

get_welfare_online_award(1,3) ->
    {1800,[{0,109002,1},{0,102009,1},{0,102004,1}]};

get_welfare_online_award(1,4) ->
    {3600,[{0,230001,1},{0,102009,1},{0,102004,1}]};

get_welfare_online_award(1,5) ->
    {5400,[{0,102305,1},{0,102120,1},{0,102009,1}]};

get_welfare_online_award(1,6) ->
    {7200,[{0,405001,5},{0,102120,1},{0,102009,1}]};

get_welfare_online_award(2,1) ->
    {600,[{0,109011,1},{0,102009,1},{0,102004,1}]};

get_welfare_online_award(2,2) ->
    {1200,[{0,450077,1},{0,102009,1},{0,102004,1}]};

get_welfare_online_award(2,3) ->
    {1800,[{0,109002,1},{0,102009,1},{0,102004,1}]};

get_welfare_online_award(2,4) ->
    {3600,[{0,450077,1},{0,102009,1},{0,102004,1}]};

get_welfare_online_award(2,5) ->
    {5400,[{0,102305,1},{0,102120,1},{0,102009,1}]};

get_welfare_online_award(2,6) ->
    {7200,[{0,405001,1},{0,102120,1},{0,102009,1}]};

get_welfare_online_award(_Type,_Id) ->
    [].

get_welfare_online_max_id(1) -> 6;
get_welfare_online_max_id(2) -> 6;
get_welfare_online_max_id(_Type) -> 0.

