%% ---------------------------------------------------------------------------
%% @doc    充值系统对外api
%% @author hek
%% @since  2016-11-14
%% @deprecated
%% ---------------------------------------------------------------------------

-module (lib_recharge_api).
-include ("predefine.hrl").
-include("common.hrl").
-export ([
	nofity_pay/1, 					%% 通知充值入账游戏服务器
	notify_handle_all_orders/0		%% 通知处理一批待处理的充值订单
]).

-export ([
	get_total/1,  					%% 获取充值总额
	get_today_pay_gold/1 			%% 获取玩家当天充值元宝量
]).

%% 通知充值入账游戏服务器
nofity_pay(PlayerId) ->
	lib_player:apply_cast(PlayerId, ?APPLY_CAST_STATUS, lib_recharge, pay, []),
	ok.

%% 通知处理一批待处理的充值订单
notify_handle_all_orders() ->
	lib_recharge:notify_handle_all_orders(),
	ok.

%% 获取充值总额
get_total(PlayerId) ->
	lib_recharge_data:get_total(PlayerId).

%% 获取玩家当天充值量
get_today_pay_gold(PlayerId) ->
	lib_recharge_data:get_today_pay_gold(PlayerId).

%% -------------------------------------------------------------------
%%  local function
%% -------------------------------------------------------------------

