%%% -------------------------------------------------------
%%% @author huangyongxing@yeah.net
%%% @doc
%%% 虚拟客户端app
%%% @end
%%% -------------------------------------------------------
-module(cli_simu).

-behaviour(application).

-export([start/2, stop/1]).

-export([start/0]).

%%%===================================================================
%%% API
%%%===================================================================

start(_Type, _StartArgs) ->
    case cli_simu_sup:start_link() of
        {ok, Pid} ->
            {ok, Pid};
        Other ->
              {error, Other}
    end.

stop(_State) ->
    ok.

start() ->
    application:start(?MODULE),
    ok.

%%%===================================================================
%%% Internal functions
%%%===================================================================

