-- 增加索引，便于后台全服发邮件提升查找效率
ALTER TABLE `vip_role_record` ADD INDEX `vip_lv`(`vip_lv`);
ALTER TABLE `player_login` ADD INDEX `last_logout_time`(`last_logout_time`);

-- 聊天屏蔽
DROP TABLE IF EXISTS `role_chat_limit`;
CREATE TABLE `role_chat_limit` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家id',
  `chat_count` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '玩家聊天次数',
  `chat_limit` varchar(500) NOT NULL DEFAULT '[]' COMMENT '限制内容[{模块id,点击与否}]',
  `role_shield` varchar(500) NOT NULL DEFAULT '[]' COMMENT '屏蔽列表',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='玩家次数监控';

