-- zmh
-- 进阶系统
CREATE TABLE `player_foster` (
  `rid` bigint(20) UNSIGNED NOT NULL COMMENT '玩家id',
  `type` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '系统类型',
  `grade` int(11) UNSIGNED NOT NULL DEFAULT '1' COMMENT '阶',
  `star` int(11) UNSIGNED NOT NULL DEFAULT '1' COMMENT '星',
  `exp` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '进度',
  `clear` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '是否清零',
  `display` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '当前幻化',
  `lowcore` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '初级核心',
  `highcore` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '高级核心',
  `etime` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '有效时间',
  `skills` varchar(500) NOT NULL DEFAULT '[]' COMMENT '技能列表',
  PRIMARY KEY (`rid`,`type`),
  KEY `type` (`type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='玩家进阶系统表';

-- 进阶装备
CREATE TABLE `player_foster_equip` (
  `rid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家id',
  `type` int(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '系统类型',
  `grade` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '阶数',
  `equips` varchar(2000) NOT NULL DEFAULT '[]' COMMENT '穿戴',
  PRIMARY KEY (`rid`,`type`,`grade`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='进阶装备';

-- liushl
-- 装备系统
CREATE TABLE `equipment` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
  `stars` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT '当前激活的星级数',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='装备-通用信息';
