-- liushl
-- 羁绊系统
CREATE TABLE `mate_role` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家id',
  `boat_stage` tinyint(2) NOT NULL DEFAULT '0' COMMENT '友谊的小船阶数',
  `boat_star` tinyint(2) NOT NULL DEFAULT '0' COMMENT '友谊的小船星级',
  `boat_exp` int(11) NOT NULL DEFAULT '0' COMMENT '友谊的小船经验值',
  `wear_mate` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '佩戴的羁绊称号对象',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='羁绊-玩家羁绊系统信息(合服保留)';
CREATE TABLE `mate_info` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家id',
  `other` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '羁绊玩家',
  `remarks` tinyint(2) NOT NULL DEFAULT '1' COMMENT '备注',
  `title` varchar(50) NOT NULL DEFAULT '<<>>' COMMENT '羁绊称号(自定义)',
  `time` int(11) NOT NULL DEFAULT '0' COMMENT '结交时间戳',
  `anniversary` varchar(5000) NOT NULL DEFAULT '[]' COMMENT '纪念日奖励领取情况',
  PRIMARY KEY (`role_id`, `other`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='羁绊-玩家羁绊伙伴(合服保留)';


ALTER TABLE `player_guild`
DROP COLUMN `leave_donate`,
DROP COLUMN `receive_salary_time`,
DROP COLUMN `depot_score`,
DROP COLUMN `live_reward_ids`;

drop table if exists guild_depot_goods;
drop table if exists guild_donate;
drop table if exists log_guild_building_up;
drop table if exists log_guild_depot;
drop table if exists log_guild_liveness;
drop table if exists log_guild_liveness_extra_reward;


-- 社团合并
-- zmh
CREATE TABLE `guild_merge` (
  `guild_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '社团id',
  `identity` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '身份',
  `target` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '对方公会',
  `create_time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '开单时间',
  PRIMARY KEY (`guild_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='社团合并';
