-- hh

CREATE TABLE `role_exp_dun_drop`(
    `role_id` bigint(20) UNSIGNED NOT NULL COMMENT '人物id',
    `calc_time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '最近一次结算时间',
    `start_time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '开始结算时间',
    PRIMARY KEY(`role_id`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT='人物放置经验信息';

CREATE TABLE `role_exp_dun_drop_goods`(
    `role_id` bigint(20) UNSIGNED NOT NULL COMMENT '人物id',
    `goods_type` int(11) UNSIGNED NOT NULL COMMENT '物品类型',
    `goods_id` int(11) UNSIGNED NOT NULL COMMENT '物品id',
    `num` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '物品数量',
    PRIMARY KEY(`role_id`, `goods_type`, `goods_id`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT='人物放置掉落物品';

CREATE TABLE `role_exp_dun_wave_info`(
    `role_id` bigint(20) UNSIGNED NOT NULL COMMENT '人物id',
    `wave` int(11) UNSIGNED NOT NULL COMMENT '波数',
    `time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '时间',
    PRIMARY KEY(`role_id`, `wave`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT='人物经验本里程碑波数时间信息';
