-- tyl
-- 孩子系统修改

alter table child_vote_rank drop primary key,add primary key (`role_id`);
alter table child_vote_rank drop column `rank`;

alter table role_child drop column be_voted_count, add column show_off_times tinyint(3) UNSIGNED NOT NULL DEFAULT 0 COMMENT '当天晒娃次数' after vote_times;
alter table role_child add column refresh_time int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '刷新时间' after show_off_times;


-- zmh
-- 无尽领域
CREATE TABLE `void_server_zone` (
  `server_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '服id',
  `zone` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '分区号',
  `time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '分区时间',
  PRIMARY KEY (`server_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='无尽分区表,合服清理';


CREATE TABLE `void_fam_kf_rank` (
  `rank` int(10) unsigned NOT NULL COMMENT '排序',
  `zone` int(10) NOT NULL DEFAULT '0' COMMENT '分区',
  `rid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
  `ser_num` int(20) NOT NULL DEFAULT '0' COMMENT '所在服号',
  `name` varchar(50) NOT NULL DEFAULT '' COMMENT '名字',
  `floor` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '最高层',
  `kills` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '击杀',
  `combo` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '连斩',
  `score` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '积分',
  PRIMARY KEY (`rank`,`zone`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='无尽领域跨服榜单 合服清理';


CREATE TABLE `void_fam_rank` (
  `rank` int(10) unsigned NOT NULL COMMENT '排序',
  `zone` int(10) NOT NULL DEFAULT '0' COMMENT '分区',
  `rid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
  `ser_num` int(20) NOT NULL DEFAULT '0' COMMENT '所在服号',
  `name` varchar(50) NOT NULL DEFAULT '' COMMENT '名字',
  `floor` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '最高层',
  `kills` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '击杀',
  `combo` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '连斩',
  `score` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '积分',
  PRIMARY KEY (`rank`,`zone`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='无尽领域本地榜单 合服清理';


CREATE TABLE `log_void_fam` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '编号',
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家id',
  `type` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '类型 进入/退出',
  `floor` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '进入层数',
  `score` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '进入积分',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1215 DEFAULT CHARSET=utf8 COMMENT='无尽领域日志';



DROP TABLE IF EXISTS `player_mount`;
DROP TABLE IF EXISTS `player_mount_figure`;




