-- hh
-- 贵族兑换日志

CREATE TABLE `log_sup_vip_exchange`(
    `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '序号',
    `role_id` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '玩家id',
    `role_name` varchar(300) NOT NULL DEFAULT "" COMMENT '玩家名称',
    `vip_lv` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'vip等级',
    `type` tinyint(3) UNSIGNED NOT NULL DEFAULT 0 COMMENT '操作类型 1彩钻|2培养丹|3商城',
    `cost` varchar(255) NOT NULL DEFAULT '[]' COMMENT '消耗列表',
    `reward` varchar(300) NOT NULL DEFAULT '[]' COMMENT '奖励',
    `time_before` int(11) NOT NULL DEFAULT 0 COMMENT '兑换前次数',
    `time_after` int(11) NOT NULL DEFAULT 0 COMMENT '兑换后次数',
    `gold_before` int(11) NOT NULL DEFAULT 0 COMMENT '兑换前彩钻',
    `gold_after` int(11) NOT NULL DEFAULT 0 COMMENT '兑换后彩钻',
    `time` int(11) NOT NULL DEFAULT 0 COMMENT '时间',
    PRIMARY KEY(`id`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="贵族兑换日志";


--  钻石vip日志贵族状态变更&贵族充值记录

CREATE TABLE `log_sup_vip_status`(
    `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增主键',
    `role_id` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '玩家id',
    `sup_vip_type` tinyint(2) UNSIGNED NOT NULL DEFAULT 0 COMMENT '贵族状态',
    `active_type` tinyint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '变更操作',
    `time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '操作时间',
    PRIMARY KEY(`id`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="贵族状态变更";


CREATE TABLE `log_trial_sup_vip_charge`(
    `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增主键',
    `role_id` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '玩家id',
    `gold` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '本次增加钻石数',
    `total_gold` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '总钻石数',
    `time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '操作时间',
    PRIMARY KEY(`id`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="贵族期间充值记录";

-- 器灵寻宝
CREATE TABLE `log_marble`(
    `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增主键',
    `role_id` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '玩家id',
    `role_name` varchar(255) NOT NULL DEFAULT "" COMMENT '玩家名称',
    `qual_id` tinyint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '品质ID',
    `award` varchar(255) NOT NULL DEFAULT '[]' COMMENT '奖励列表',
    `increase_point` tinyint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '增加能量点',
    `current_point` tinyint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '当前能量点',
    `time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '时间',
    PRIMARY KEY(`id`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="器灵寻宝";

-- liushl
-- 首充日志
alter table log_recharge_first add column
isnew tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '是否创角当天充值##1是;0否';
alter table log_recharge_first add column
reg_time int(11) unsigned NOT NULL DEFAULT '0' COMMENT '创角时间';
alter table log_recharge_first add column
charge_day int(11) unsigned NOT NULL DEFAULT '0' COMMENT '首充开服天数';

alter table player_login add column
`last_behavior` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '最后行为';

-- 每日在线时长日志
ALTER TABLE `log_all_online`
    ADD COLUMN `day` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '当天0点时间戳' AFTER `last_login_time`;
