-- hh
-- 七天登录

ALTER TABLE `login_reward_player`
    DROP COLUMN `day_id`;

ALTER TABLE `login_reward_player`
    ADD COLUMN `day_states` varchar(500) NOT NULL DEFAULT '[]' COMMENT '已领取天数';


-- zmh
-- 活动数据
CREATE TABLE `custom_act_data` (
  `rid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `type` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '定制活动主类型',
  `subtype` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '定制活动次类型',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '活动数据最后更新时间',
  `act_data` varchar(5000) NOT NULL DEFAULT '[]' COMMENT '定制活动统计数据',
  PRIMARY KEY (`rid`,`type`,`subtype`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='定制活动-活动统计数据，合服保留';

-- liushl
-- 角色差异化定制活动
CREATE TABLE `custom_act_personal` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `type` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '定制活动主类型',
  `subtype` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '定制活动次类型',
  `s_time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '活动开始时间',
  `e_time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '活动结束时间',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '活动数据最后更新时间',
  `act_data` varchar(5000) NOT NULL DEFAULT '[]' COMMENT '定制活动统计数据##具体活动类型自定义',
  PRIMARY KEY (`role_id`,`type`,`subtype`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='定制活动-角色差异化活动，合服保留';
