-- 跨服团战
-- hh

CREATE TABLE `camp_war_guild_info`(
    `guild_id` bigint(20) UNSIGNED NOT NULL COMMENT '社团ID',
    `guild_name` varchar(300) NOT NULL DEFAULT "" COMMENT '社团名称',
    `guild_flag` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '社团旗帜',
    `score` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '百团大战积分',
    `server_id` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '服务器ID',
    `server_num` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '服务num',
    `zone_id` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '分区ID',
    `fac_id` smallint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '阵营ID',
    PRIMARY KEY(`guild_id`)
) ENGINE=InnoDB CHARSET=utf8 COMMENT="跨服团战-百团大战积分信息(合跨服保留)";


CREATE TABLE `camp_war_fac_info`(
    `guild_id` bigint(20) UNSIGNED NOT NULL COMMENT '社团ID',
    `guild_name` varchar(300) NOT NULL DEFAULT "" COMMENT '社团名称',
    `guild_flag` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '社团旗帜',
    `rank` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '阵营内名次',
    `server_id` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '服务ID',
    `server_num` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '服务器num',
    `zone_id` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '分区ID',
    `fac_id` smallint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '阵营ID',
    PRIMARY KEY(`guild_id`)
) ENGINE=InnoDB CHARSET=utf8 COMMENT="跨服团战结果信息(合跨服保留)";
