-- ljy
-- 星辰副本
CREATE TABLE `galaxy_dun_chapter_reward` (
  `role_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '人物id',
  `chapter_id` smallint(5) NOT NULL DEFAULT '0' COMMENT '章节id',
  `star_list` varchar(255) NOT NULL DEFAULT '[]' COMMENT '已领取的星数奖励列表',
  PRIMARY KEY (`role_id`,`chapter_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='星辰副本-章节奖励领取状态';

CREATE TABLE `galaxy_dun_chapter` (
  `role_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '玩家id',
  `chapter_id` smallint(5) NOT NULL COMMENT '玩家所处章节',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='星辰副本-玩家所在章节';
