-- liushl
CREATE TABLE `seckill_goods`(
    `zone_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '分区id',
    `grade_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '奖励档次',
    `count` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '购买数量',
    `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '购买时间',
    PRIMARY KEY(`zone_id`, `grade_id`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="秒杀-商品数据(合服保留)";

CREATE TABLE `seckill_log`(
    `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '序号',
    `zone_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '分区id',
    `goods_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '物品id',
    `num` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '物品数量',
    `server` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '服务器',
    `name` varchar(50) NOT NULL DEFAULT '[]' COMMENT '购买玩家',
    `cost` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '花费',
    `tv_id` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '传闻id',
    `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '购买时间',
    PRIMARY KEY(`id`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="秒杀-购买记录(合服保留)";
