-- liushl
CREATE TABLE `log_offline_hosting`(
    `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '序号',
    `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
    `name` varchar(50) NOT NULL DEFAULT '' COMMENT '名字',
    `module_id` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '功能ID',
    `sub_id` tinyint(2) UNSIGNED NOT NULL DEFAULT 0 COMMENT '子ID',
    `cost_value` smallint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '托管值',
    `award` varchar(2000) NOT NULL DEFAULT '' COMMENT '奖励记录',
    `duration` smallint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '持续时间',
    `time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '时间',
    PRIMARY KEY(`id`),
    KEY role(`role_id`),
    KEY time(`time`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="离线托管日志";

-- liushl
CREATE TABLE role_war_soul_collect(
    `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
    `goods_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '物品id',
    PRIMARY KEY (`role_id`,`goods_id`)
)ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='战魂-收集(合服保留)';

-- 删除旧的收集活动相关数据表（与采集名称冲突）
DROP TABLE IF EXISTS `collect_all_num`;
DROP TABLE IF EXISTS `collect_player_info`;

