-- liushl
CREATE TABLE `log_skill_active` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '序号',
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
  `name` varchar(50) NOT NULL DEFAULT '[]' COMMENT '名称',
  `skill_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '技能ID',
  `lv_after` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '技能等级',
  `cost` varchar(500) NOT NULL DEFAULT '[]' COMMENT '消耗列表',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`),
  KEY role_id(`role_id`),
  KEY name(`name`),
  KEY time(`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='日志-技能激活';

ALTER TABLE log_transform ADD COLUMN
`task_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '任务ID' after transform_id;

-- zmh
-- 补充天数
ALTER TABLE `log_mobilize_progress`
ADD COLUMN `day`  int(11) NOT NULL DEFAULT 0 COMMENT '第几天' AFTER `real_pro`;

-- ljy
-- 修改字段类型
ALTER TABLE role_legion modify click_role VARCHAR(255) NOT NULL DEFAULT '[]' COMMENT '已膜拜列表';
UPDATE role_legion set click_role = '[]';