-- tyl 新成就库表
DROP TABLE IF EXISTS `achievement`;
CREATE TABLE `achievement` (
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家id',
  `type` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '成就大类',
  `sub_type` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '小类',
  `id` int(11) NOT NULL,
  `progress` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '进度',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '状态',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '更新时间',
  PRIMARY KEY (`role_id`,`type`,`sub_type`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='玩家成就数据';

-- zmh
CREATE TABLE `task_daily` (
  `rid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家id',
  `dailys` varchar(300) NOT NULL DEFAULT '[]' COMMENT '奖励',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='玩家跑环奖励(合服保留)';
