-- liushl
ALTER TABLE log_transform ADD COLUMN `role_lv` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '玩家等级' AFTER `task_id`;

CREATE TABLE `log_devour` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '序号',
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
  `name` varchar(50) NOT NULL DEFAULT '[]' COMMENT '名称',
  `exp_gain` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '获得吞噬经验',
  `lv_after` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '吞噬后等级',
  `exp` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '当前经验',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`),
  KEY role_id(`role_id`),
  KEY name(`name`),
  KEY time(`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='日志-装备吞噬';

-- ljy
-- 七日目标日志
CREATE TABLE `log_seven_goal_task`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `role_id` bigint(20) NULL DEFAULT NULL COMMENT '角色ID',
  `role_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色名',
  `role_lv` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色等级',
  `rfmt` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'rfmt',
  `day` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '归属天数',
  `task` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务完成情况',
  `time` int(11) NOT NULL COMMENT '完成时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '七日目标任务完成日志' ROW_FORMAT = Dynamic;

ALTER TABLE log_seven_days_goal ADD COLUMN `role_name` varchar(255) NOT NULL DEFAULT '[]' COMMENT '玩家名' after type;
ALTER TABLE log_seven_days_goal ADD COLUMN `role_lv` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '等级'  after role_name;
ALTER TABLE log_seven_days_goal ADD COLUMN `score` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '积分' after role_name;
ALTER TABLE log_seven_days_goal ADD COLUMN `open_day` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '开服天数'  after score;