-- liushl
CREATE TABLE `log_cross_point_fight` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '序号',
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '玩家ID',
  `name` varchar(50) NOT NULL DEFAULT '[]' COMMENT '玩家名称',
  `guild_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '公会ID',
  `country` smallint(8) unsigned NOT NULL DEFAULT '0' COMMENT '所属国家',
  `point_id` smallint(11) unsigned NOT NULL DEFAULT '0' COMMENT '挑战据点ID',
  `point_name` varchar(50) NOT NULL DEFAULT '[]' COMMENT '据点名',
  `type` smallint(11) unsigned NOT NULL DEFAULT '0' COMMENT '类型（1-挑战；2-扫荡）',
  `cost` varchar(500) NOT NULL DEFAULT '[]' COMMENT '进入消耗',
  `reward` varchar(500) NOT NULL DEFAULT '[]' COMMENT '奖励列表',
  `point_add` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '据点贡献',
  `score` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '当前战功',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`),
  KEY role_id(`role_id`),
  KEY name(`name`),
  KEY time(`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='日志-跨服沙盘挑战';


-- ljy
-- 七日目标字段拓展
ALTER TABLE seven_day_task ADD COLUMN `diff` SMALLINT(6) NOT NULL DEFAULT '0' COMMENT '任务级别' after sub_id;
ALTER TABLE seven_day_task drop primary key;
ALTER TABLE seven_day_task add primary key(role_id,days,mod_id,sub_id,diff);