-- ljy
DROP TABLE IF EXISTS `dance`;
CREATE TABLE `dance`  (
  `role_id` bigint(20) NOT NULL COMMENT '玩家id',
  `is_rand` tinyint(2) NOT NULL COMMENT '是否随机舞蹈',
  `dance_id` int(11) NOT NULL COMMENT '选中的舞蹈动作id',
  `dance_list` varchar(511) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '[]' COMMENT '已激活的舞蹈id',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '舞姿' ROW_FORMAT = Dynamic;

-- 弹珠抽奖调整
-- huangyongxing
ALTER TABLE `role_pellet_draw`
  ADD COLUMN `draw_subtype` smallint(5) UNSIGNED NOT NULL DEFAULT 0 COMMENT '上次抽奖的活动类型' AFTER `draw_time`,
  ADD COLUMN `draw_key` varchar(10) NOT NULL DEFAULT '' COMMENT '上次抽奖的key' AFTER `draw_subtype`,
  ADD COLUMN `draw_over` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '上次抽奖的时间' AFTER `draw_key`;

-- 弹珠抽奖日志
ALTER TABLE `log_pellet_draw` 
  ADD COLUMN `vaild` tinyint(1) UNSIGNED NOT NULL DEFAULT 1 COMMENT '抽奖是否通过校验（仅限抽奖）' AFTER `vip`,
  ADD COLUMN `draw_grade` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT '抽中的品质（仅限抽奖）' AFTER `vaild`,
  ADD COLUMN `draw_time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '开始抽奖时间（仅限抽奖）' AFTER `draw_grade`,
  MODIFY COLUMN `time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '获取奖励的时间' AFTER `draw_time`;
