-- ljy
ALTER TABLE `player_low` ADD COLUMN `c_default` tinyint(2) UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否自选职业';

-- tyl
-- 协助感谢信 和 记录表
CREATE TABLE `guild_support_thank` (
  `support_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '协助唯一Id',
  `guild_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '社团Id',
  `ask_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '请求者Id',
  `support_cfg_id` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '协助配置Id',
  `role_list` varchar(1000) NOT NULL DEFAULT '[]' COMMENT '角色列表',
  `content` varchar(500) NOT NULL DEFAULT '[]' COMMENT '协助内容',
  `is_send` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '是否已经发送',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`support_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='社团协助-感谢信';

CREATE TABLE `guild_support_log` (
  `support_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '协助唯一Id',
  `guild_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '社团Id',
  `role_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '角色Id',
  `ask_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '请求者Id',
  `support_cfg_id` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '协助配置Id',
  `content` varchar(500) NOT NULL DEFAULT '[]' COMMENT '内容',
  `chat_msg` varchar(1000) NOT NULL DEFAULT '' COMMENT '交流信息',
  `is_receive` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '是否领取',
  `time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`support_id`,`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='社团协助-协助记录';