-- ljy 羁绊日常
CREATE TABLE `mate_daily_info`  (
  `role_id` bigint(20) NOT NULL COMMENT '玩家id',
  `time` int(11) NOT NULL COMMENT '上次刷新时间',
  `stranger` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '路人id列表',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '羁绊-日常信息' ROW_FORMAT = Dynamic;

CREATE TABLE `mate_task_info`  (
  `role_id` bigint(20) NOT NULL COMMENT '玩家id',
  `mate_id` bigint(20) NOT NULL COMMENT '羁绊对象id',
  `task_id` smallint(6) NOT NULL COMMENT '任务id',
  `progress` smallint(6) NOT NULL COMMENT '进度',
  `state` tinyint(4) NOT NULL COMMENT '奖励状态',
  PRIMARY KEY (`role_id`, `mate_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '羁绊-任务进度' ROW_FORMAT = Dynamic;