-- hh
-- 放置经验挂机字段修改
ALTER TABLE `role_exp_dun_drop`
    ADD COLUMN `extra_data` varchar(500) NOT NULL DEFAULT '[]' COMMENT '额外数据' AFTER `start_time`;

-- 放置经验-离线时间节点
CREATE TABLE `role_exp_dun_off_point`(
    `role_id` bigint(20) UNSIGNED NOT NULL COMMENT '玩家id',
    `off_start` int(11) UNSIGNED NOT NULL COMMENT '离线开始',
    `off_end` int(11) UNSIGNED NOT NULL COMMENT '离线结束',
    PRIMARY KEY(`role_id`, `off_start`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="玩家放置挂机离线时间节点";

-- 经验副本波数排行
CREATE TABLE `role_exp_wave_rank`(
    `role_id` bigint(20) UNSIGNED NOT NULL COMMENT '玩家id',
    `wave` smallint(6) UNSIGNED NOT NULL DEFAULT 0 COMMENT '波数',
    `time` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '上榜时间',
    PRIMARY KEY(`role_id`)
)ENGINE=InnoDB CHARSET=utf8 COMMENT="经验副本波数排行";