%%----------------------------------------------------
%% 连接器相关数据结构定义
%%----------------------------------------------------
-record(conn, {
        type                %% 连接器类型
        ,account = <<>>     %% 连接器的所有者帐号名
        ,pid_msg_handler    %% 控制对象pid
        ,socket             %% socket
        ,ip                 %% 客户端IP
        ,port               %% 客户端连接端口
        ,connect_time = 0   %% 建立连接的时间
        ,length = 0         %% 包体长度
        ,seq = 0            %% 当前包序
        ,read_head = false  %% 标识正在读取数据包头
        ,recv_count = 0     %% 已接收的消息数量
        ,send_count = 0     %% 已发送的消息数量
        ,error_send = 0     %% 发送错误次数
        ,bad_req_count = 0  %% 记录客户端发送的错误数据包个数
        ,last_heartbeat = 0 %% 上一次心跳时间
        ,bad_heartbeat = 0  %% 错误心跳(主要用于防加速)
        ,other_data = []    %% 非核心的其他数据（由登录逻辑模块自定义）
    }).
