%% #ets_scene_user.act_label 的type值定义

%%% Usage:
%%% 1. 新增一个act_label类型定义，如ACT_LABEL_SKYWAR_TITLE
%%% 2. 设置活动标识形象
%%%  (2.1)调用更新玩家act_label信息接口
%%%       lib_player:update_player_info(RoleId, [{act_label, [{?ACT_LABEL_SKYWAR_TITLE, ModelId}]}]).
%%%  (2.2)调用更新场景玩家act_label信息接口
%%%       mod_scene_agent:update(SceneId, PoolId, RoleId, [{act_label, [{?ACT_LABEL_SKYWAR_TITLE, ModelId}]}])
%%%  (2.3)广播玩家act_label改变的接口
%%%       lib_scene:broadcast_player_act_label(RoleId, SceneId, PoolId, CopyId, X, Y, [{?ACT_LABEL_SKYWAR_TITLE, ModelId}])
%%%
%%% 3. 移除活动标识形象
%%%  lib_player:update_player_info(RoleId, [{act_label, [{?ACT_LABEL_SKYWAR_TITLE, 0}]}]).
%%%  mod_scene_agent:update(SceneId, PoolId, RoleId, [{act_label, [{?ACT_LABEL_SKYWAR_TITLE, 0}]}])
%%%  lib_scene:broadcast_player_act_label(RoleId, SceneId, PoolId, CopyId, X, Y, [{?ACT_LABEL_SKYWAR_TITLE, 0}])
%%% End.
%%% 【注】:设置了活动标识形象的活动，退出场景或者某个事件触发后要移除标识

-define(ACT_LABEL_GUILD_WAR_COLLECTION,  1).   % 本服公会战采集头标
-define(ACT_LABEL_CONVOY_ROB,			 2).   % 护送抢夺“劫”字形象
-define(ACT_LABEL_KF_TOWN_WAR_SHIP,		 3).   % 跨服城战船形象
-define(ACT_LABEL_MADNESS_LAND_TOP,		 5).   % 狂战领域积分第一
-define(ACT_LABEL_MELEE_GRADE,           6).   % 大乱斗段位形象
-define(ACT_LABEL_CHARM_BEACH,           7).   % 魅力海滩休闲状态
-define(ACT_LABEL_FISHING,               8).   % 钓鱼状态
-define(ACT_LABEL_FISHING_ACT,          12).   % 钓鱼动作id
-define(ACT_LABEL_GUILD_WAR_EQUIP_BLUNT,13).   % 公会争霸冲车形象
-define(ACT_LABEL_KF_1VN_SIDE,			14).   % 跨服1vn身份 (1擂主)
-define(ACT_LABEL_CHARM_BEACH_CHAIR,	15).   % 魅力海滩座椅交互（场景物件id）
-define(ACT_LABEL_CONVOY,			    16).   % 护送形象
-define(ACT_LABEL_MATE_RHYTHM_MASTER,   17).   % 羁绊-节奏大师-跳舞标识
-define(ACT_LABEL_MATE_CATCH_BALL,      18).   % 羁绊-抛接球-玩球标识
-define(ACT_LABEL_MAX_HURT,             19).   % BOSS攻击最高伤害
-define(ACT_LABEL_BOSS_TIRED,           20).   % BOSS疲劳值
-define(ACT_LABEL_SUPPORT,              21).   % 协助标识
-define(ACT_LABEL_CAMP_WAR_TOP,			23).   % 跨服团战第一社团
