%% ---------------------------------------------------------------------------
%% @doc 角色形象记录
%% @author ming_up@foxmail.com
%% @since  2016-04-06
%% @deprecated 角色外观形象 此形象为场景中外观形象，并不包含ui中的形象字段
%% ---------------------------------------------------------------------------

%% 玩家形象信息
-record(figure, {
          id = 0,                                 % 玩家id
          name="",                                % 角色昵称
          accname = "",                           % 平台账号
          sex = 0,                                % 性别 1男 2女
          realm = 0,                              % 阵营
          career = 0,                             % 职业
          lv = 1,                                 % 等级
          power = 0,                              % 战力
          gm = 0,                                 % 是否GM(0:不是GM,1:GM)
          vip_type = 0,                           % Vip类型(暂无用)
          vip = 0,                                % VIP等级
          sup_vip = 0,                            % 贵族类型 0无类型|1体验|2永久
          body = 0,                               % 身上形象（人物：衣服，怪物：资源id）
          title=0,                                % 怪物蓝白旗标识
          lv_model = [],                          % 等级模型[{部位, 模型id}]
          fashion_model = [],                     % 时装模型[{部位, 模型id, 贴图id}]
          picture = "",                           % 玩家上传的头像地址(默认是玩家id)
          picture_ver = 0,                        % 玩家上传的头像版本号
          guild_id = 0,                           % 公会id
          guild_name = <<>>,                      % 公会名字
          flag = 0,                               % 社团旗帜
          position = 0,                           % 公会职位
          position_name = "",                     % 公会职位名字
          %% sec_position = 0,                       % 公会第二职位
          %% sec_position_name = "",                 % 公会第二职位名字
          designation = 0,                        % 玩家称号id
          %% designation_name = "",                  % 玩家称号名
          weapon_effect = 0,                      % 武器附魔光效
          wing_figure = 0,                        % 翅膀id
          dress_list = [],                        % 个性装扮[{装扮类型, 装扮id}]
          liveness = 0,                           % 活跃度形象Id
          fairy_figure = 0,                       % 宝具
          turn = 0,                               % 转生次数（01234）
          turn_stage = 0,                         % 转生阶段
          juewei_lv = 0,                          % 爵位等级
          baby_if_show = [],                      % 宝宝形象是否显示［Show(0不显示 1显示)，Sex, AgeMonth]
          baby_vehicle = 0,                       % 宝宝载具
          baby_model = [],                        % 宝宝时装列表 [{时装类型, 时装id},...] 类型详见child.hrl
          husong_angel_id = 0,                    % 护送天使id
          lb_mount_figure = 0,                    % 坐骑排行榜形象id 只有lib_role缓存里面的figure是有数据的
          profile_photo_id = 0,                   % 图片id
          light_weapon_model = [],                % 光武幻化模型 [{幻化类型, 模型id, 贴图id},...] 幻化类型 1:专武 2:光武
          is_ride     = 0,                        % 坐骑骑乘状态
          role_foster = [],                       % 培养外观[{Type, DisplayStar}...]
          foster_skin = [],                       % 强进阶珍宝外观[{Type, DisplayStar}...]
          foster_sub_skin = [],                   % 弱进阶皮肤外观[{Type, DisplayStar}...]
          nucleon_lv  = 0,                        % 灵能等级
          follow_pet = []                         % 跟战的宠物[宠物Id,宠物星级]
          ,wear_fashion = []                     % 穿戴的时装：[{pos,时装id，颜色}]

          ,galaxy_display  = 0                    %是否展示星辰
          ,galaxy_pos_list = []                   %星辰列表
          ,galaxy_skin = {0,0}                    %星辰皮肤{皮肤ID,皮肤星级}
          ,follow_guard = 0                       % 跟随的守护id
          ,visus = 0                              % 幻光表现
          ,king  = 0                              % 是否霸主
          ,post  = 0                              % 军衔
     }).

%% 玩家头像信息
-record(rec_picture, {
          id = 0,                                 % 玩家id
          name="",                                % 角色昵称
          sex = 0,                                % 性别 1男 2女
          career = 0,                             % 职业
          vip_type = 0,                           % Vip类型 1白银 2黄金 3荣耀
          vip = 0,                                % VIP等级
          sup_vip = 0,
          turn = 0,                               % 转生次数（01234）
          lv = 1,                                 % 等级
          power = 0,                              % 战力
          picture_frame = 0,                      % 头像装扮
          picture = "",                           % 玩家上传的头像地址(默认是玩家id)
          picture_ver = 0,                        % 玩家上传的头像版本号
          profile_photo_id = 0                    % 图片id
     }).
