%%% -------------------------------------------------------
%%% @author huangyongxing@yeah.net
%%% @doc
%%% 语言版本
%%% 由编译时提供宏定义，决定编译版本
%%% 如果未定义，则为主版本
%%% @end
%%% -------------------------------------------------------

%% 设置默认编译时版本，如果编译时未指定，则为国内简体版
-ifndef(CP_VER).
-define(CP_VER, "MAIN").
-endif.


%% 版本配置
-ifndef(GAME_VSN_HRL).
-define(GAME_VSN_HRL, ok).

%% 第一分类：以语言区分版本
-define(VER_TEST,   0).             % 简体服
-define(VER_MAIN,   1).             % 简体服
-define(VER_TW,     2).             % 繁体服
-define(VER_SG,     3).             % 新加坡马来西亚-简体中文
-define(VER_EN,     4).             % 英文版
-define(VER_VN,     5).             % 越南版
-define(VER_TH,     6).             % 泰文版
-define(VER_KR,     7).             % 韩文版
-define(VER_JP,     8).             % 日文版

%% 第二分类：以运营商来区分版本
-define(VER_ISSUER_OTHER, 0).       % 其他运营版本
-define(VER_ISSUER_ML,    1).       % 国内漫灵版

%% 获取当前游戏版本
-define(GAME_VER, data_vsn:get_game_vsn()).

-endif.
