%%-----------------------------------------------------------------------------
%% desc     :通行证宝典-奖励配置
%% author   :ljy
%% time     :20/9/23
%%-----------------------------------------------------------------------------

%% 宝典奖励配置
-record(base_pass_rewards, {
    type              = 0,       %% 活动主类型
    sub_type          = 0,       %% 活动子类型
    pass_lv           = 0,       %% 等级
    lv_exp            = 0,       %% 等级经验
    normal_rewards    = [],      %% 普通奖励
    trump_rewards     = [],      %% 王牌奖励
    node_reward       = 0        %% 是否为节点奖励
}).

%% 幻魔宝典任务
-record(base_phantom_task_type, {
    task_type_id = 0,               %% 任务类型id
    open_lv = 0,                    %% 开放等级
    open_day = 0,                   %% 开放天数
    task_type = undefined,          %% 任务类型
    desc = "",                      %% 描述
    link = [],                      %% 跳转
    point = 0,                      %% 击杀积分
    limit_times = 0                 %% 次数上限
}).