%% ---------------------------------------------------------------------------
%% @doc 角色头像头文件.
%% @author zhaoyu
%% @since  2019-11-20
%% ---------------------------------------------------------------------------
-ifndef(PROFILE_PHOTO_HRL).
-define(PROFILE_PHOTO_HRL, ok).


%% 角色头像头文件配置 
-record(profile_photo, {
    photo_id = 0        %% 头像Id
    ,name = <<>>        %% 头像名称
    ,career = []        %% 职业：0不限职业，1男战士，2女战士，3男法师，4女法师
    ,cost = 0           %% 激活消耗道具
    ,attr_list = []     %% 头像属性
    ,turn = 0           %% 转职Id
    ,open_day = 0       %% 开启天数
    ,open_time = ""     %% 开启时间
    }
).



%% 角色头像数据
-record(profile_photo_info, {
    photo_list = []     %% 角色已激活头像列表
    ,pp_attr = []       %% 头像属性
    }
).


-endif.                 %% PROFILE_PHOTO_HRL

