%%%-------------------------------------------------------------------
%%% @doc    惊喜红包-头文件
%%% Module  : red_packet.hrl
%%% @end
%%% Created : 2020-10-27
%%% @Author : tyl
%%%-------------------------------------------------------------------

%% 配置
-record(base_sup_red_packet, {
	id = 0                  %% 奖励唯一Id
	,draw_pool = 0          %% 抽签池Id
	,recharge_gold = 1      %% 需要达到的充值勾玉数
	,mid_draw = {0, 0}      %% 中档奖励{奖励,权重}
	,up_draw = {0, 0}       %% 上档奖励
	,dream_draw = {0, 0}    %% 上上档奖励
}).

-record(sup_red_packet, {
	draw_times  = 0     %% 抽奖次数(用于判断是否首抽)
	,grade      = 0     %% 奖励档位
	,draw_id  = 0       %% 已经抽取到的奖励Id(对应不同充值金额)
	,box_received = 0   %% 宝箱是否已经领取
}).