%% ---------------------------------------------------------------------------
%% @doc reversi.hrl
%% @author ljy
%% @since  2020-11-23
%% @deprecated 黑白棋抽奖
%% ---------------------------------------------------------------------------
-define(LATTICE_NUM, 16).   %% 格子数

-record(reversi_data,{
    pool_info       = [],   %% 奖池信息[{格子编号，奖励id，格子转态(0未翻开|1已翻开)}]
    grade_order     = [],   %% [GradeId]
    score           = 0,    %% 幸运值
    limit_grades    = [],   %% 活动期间，GradeId的已获取次数
    route           = [],   %% 剩余未走线路
    free_times      = 3     %% 剩余免费次数
}).

%% 黑白棋抽奖路线
-record(reversi_route,{
    route_id        = 0,   %% 路线id
    route_step      = [],  %% 路线
    weight          = 0,   %% 路线权重
    weight_temp     = 0,   %% 临时权重
    temp_lowlimit   = 0,   %% 临时权重下限
    temp_toplimit   = 0    %% 临时权重上限
}).

%% 黑白棋奖励
-record(reversi_reward,{
    type        = 0,    %% 奖池类型
    reward      = [],   %% 奖励
    weight      = 0,    %% 奖励权重
    limit       = 0,    %% 一轮奖池里最高出现次数
    total_limit = 0,    %% 活动期间，最大获取次数
    req_limit   = 0,    %% 一轮奖池里第几个格子出现
    is_lucky    = 0,    %% 是否幸运大奖
    is_tv       = 0,    %% 是否传闻
    lucky       = [],   %% 幸运值限制
    role_lv     = []    %% 等级限制
}).