%%%---------------------------------------
%%% module  : data_3v3
%%% description : 跨服3v3配置
%%%---------------------------------------
-module(data_3v3).
-compile(export_all).
-include("3v3.hrl").

get_act_list() -> [1].

get_act_info(1) ->
    #act_info{id = 1, week = [2,4], time = [{21, 00, 00},{21, 20, 00}]};
get_act_info(_) -> [].

get_act_rewards(1) -> [{255,36160002,200}];
get_act_rewards(3) -> [{255,36160002,400}];
get_act_rewards(6) -> [{255,36160002,700}];
get_act_rewards(0) -> [{255,36160002,400}];
get_act_rewards(_) -> [].

get_act_rewards_list() -> [1,3,6,0].

get_tier_info(1) ->
    #tier_info{tier = 1,tier_name= <<"青铜Ⅲ"/utf8>>,star = 0, daily_reward = 100, win_star = 8, lose_star = 4, win_reward = 40, lose_reward = 20};
get_tier_info(2) ->
    #tier_info{tier = 2,tier_name= <<"青铜Ⅱ"/utf8>>,star = 16, daily_reward = 120, win_star = 8, lose_star = 4, win_reward = 48, lose_reward = 24};
get_tier_info(3) ->
    #tier_info{tier = 3,tier_name= <<"青铜Ⅰ"/utf8>>,star = 32, daily_reward = 140, win_star = 8, lose_star = 4, win_reward = 56, lose_reward = 28};
get_tier_info(4) ->
    #tier_info{tier = 4,tier_name= <<"白银Ⅲ"/utf8>>,star = 48, daily_reward = 160, win_star = 10, lose_star = 4, win_reward = 64, lose_reward = 32};
get_tier_info(5) ->
    #tier_info{tier = 5,tier_name= <<"白银Ⅱ"/utf8>>,star = 78, daily_reward = 180, win_star = 10, lose_star = 4, win_reward = 72, lose_reward = 36};
get_tier_info(6) ->
    #tier_info{tier = 6,tier_name= <<"白银Ⅰ"/utf8>>,star = 108, daily_reward = 200, win_star = 10, lose_star = 4, win_reward = 80, lose_reward = 40};
get_tier_info(7) ->
    #tier_info{tier = 7,tier_name= <<"黄金Ⅲ"/utf8>>,star = 138, daily_reward = 230, win_star = 12, lose_star = 5, win_reward = 92, lose_reward = 46};
get_tier_info(8) ->
    #tier_info{tier = 8,tier_name= <<"黄金Ⅱ"/utf8>>,star = 174, daily_reward = 260, win_star = 12, lose_star = 5, win_reward = 104, lose_reward = 52};
get_tier_info(9) ->
    #tier_info{tier = 9,tier_name= <<"黄金Ⅰ"/utf8>>,star = 210, daily_reward = 290, win_star = 12, lose_star = 5, win_reward = 116, lose_reward = 58};
get_tier_info(10) ->
    #tier_info{tier = 10,tier_name= <<"铂金Ⅳ"/utf8>>,star = 246, daily_reward = 320, win_star = 15, lose_star = 6, win_reward = 128, lose_reward = 64};
get_tier_info(11) ->
    #tier_info{tier = 11,tier_name= <<"铂金Ⅲ"/utf8>>,star = 291, daily_reward = 350, win_star = 15, lose_star = 6, win_reward = 140, lose_reward = 70};
get_tier_info(12) ->
    #tier_info{tier = 12,tier_name= <<"铂金Ⅱ"/utf8>>,star = 336, daily_reward = 380, win_star = 15, lose_star = 6, win_reward = 152, lose_reward = 76};
get_tier_info(13) ->
    #tier_info{tier = 13,tier_name= <<"铂金Ⅰ"/utf8>>,star = 381, daily_reward = 410, win_star = 15, lose_star = 6, win_reward = 164, lose_reward = 82};
get_tier_info(14) ->
    #tier_info{tier = 14,tier_name= <<"钻石Ⅳ"/utf8>>,star = 426, daily_reward = 440, win_star = 18, lose_star = 7, win_reward = 176, lose_reward = 88};
get_tier_info(15) ->
    #tier_info{tier = 15,tier_name= <<"钻石Ⅲ"/utf8>>,star = 498, daily_reward = 480, win_star = 18, lose_star = 7, win_reward = 192, lose_reward = 96};
get_tier_info(16) ->
    #tier_info{tier = 16,tier_name= <<"钻石Ⅱ"/utf8>>,star = 570, daily_reward = 520, win_star = 18, lose_star = 7, win_reward = 208, lose_reward = 104};
get_tier_info(17) ->
    #tier_info{tier = 17,tier_name= <<"钻石Ⅰ"/utf8>>,star = 642, daily_reward = 560, win_star = 18, lose_star = 7, win_reward = 224, lose_reward = 112};
get_tier_info(18) ->
    #tier_info{tier = 18,tier_name= <<"王者Ⅴ"/utf8>>,star = 714, daily_reward = 600, win_star = 20, lose_star = 8, win_reward = 240, lose_reward = 120};
get_tier_info(19) ->
    #tier_info{tier = 19,tier_name= <<"王者Ⅳ"/utf8>>,star = 794, daily_reward = 640, win_star = 20, lose_star = 8, win_reward = 256, lose_reward = 128};
get_tier_info(20) ->
    #tier_info{tier = 20,tier_name= <<"王者Ⅲ"/utf8>>,star = 874, daily_reward = 680, win_star = 20, lose_star = 8, win_reward = 272, lose_reward = 136};
get_tier_info(21) ->
    #tier_info{tier = 21,tier_name= <<"王者Ⅱ"/utf8>>,star = 954, daily_reward = 720, win_star = 20, lose_star = 8, win_reward = 288, lose_reward = 144};
get_tier_info(22) ->
    #tier_info{tier = 22,tier_name= <<"王者Ⅰ"/utf8>>,star = 1034, daily_reward = 760, win_star = 25, lose_star = 8, win_reward = 304, lose_reward = 152};
get_tier_info(23) ->
    #tier_info{tier = 23,tier_name= <<"史诗"/utf8>>,star = 1134, daily_reward = 800, win_star = 25, lose_star = 8, win_reward = 320, lose_reward = 160};
get_tier_info(_) -> [].

get_tier_and_star_info() -> [{1,0},{2,16},{3,32},{4,48},{5,78},{6,108},{7,138},{8,174},{9,210},{10,246},{11,291},{12,336},{13,381},{14,426},{15,498},{16,570},{17,642},{18,714},{19,794},{20,874},{21,954},{22,1034},{23,1134}].

get_win_row(1) -> 0;
get_win_row(2) -> 1;
get_win_row(3) -> 2;
get_win_row(4) -> 3;
get_win_row(5) -> 3;
get_win_row(6) -> 4;
get_win_row(7) -> 4;
get_win_row(8) -> 4;
get_win_row(9) -> 4;
get_win_row(10) -> 5;
get_win_row (_) -> 0.

get_rank_rewards(Rank) when 1 =< Rank andalso Rank =< 1 -> [{2,36020001,600},{0,4911011,1}];
get_rank_rewards(Rank) when 2 =< Rank andalso Rank =< 2 -> [{2,36020001,450},{0,4911010,1}];
get_rank_rewards(Rank) when 3 =< Rank andalso Rank =< 5 -> [{2,36020001,350},{0,4911009,1}];
get_rank_rewards(Rank) when 6 =< Rank andalso Rank =< 20 -> [{2,36020001,280}];
get_rank_rewards(Rank) when 21 =< Rank andalso Rank =< 50 -> [{2,36020001,240}];
get_rank_rewards(Rank) when 51 =< Rank andalso Rank =< 100 -> [{2,36020001,200}];
get_rank_rewards(Rank) when 101 =< Rank andalso Rank =< 99999 -> [{2,36020001,150}];
get_rank_rewards(_) -> 0.

get_inherit_tier(1) -> 1;
get_inherit_tier(2) -> 1;
get_inherit_tier(3) -> 1;
get_inherit_tier(4) -> 1;
get_inherit_tier(5) -> 1;
get_inherit_tier(6) -> 1;
get_inherit_tier(7) -> 1;
get_inherit_tier(8) -> 2;
get_inherit_tier(9) -> 2;
get_inherit_tier(10) -> 3;
get_inherit_tier(11) -> 3;
get_inherit_tier(12) -> 4;
get_inherit_tier(13) -> 4;
get_inherit_tier(14) -> 5;
get_inherit_tier(15) -> 5;
get_inherit_tier(16) -> 6;
get_inherit_tier(17) -> 6;
get_inherit_tier(18) -> 7;
get_inherit_tier(19) -> 7;
get_inherit_tier(20) -> 8;
get_inherit_tier(21) -> 8;
get_inherit_tier(22) -> 9;
get_inherit_tier(23) -> 10;
get_inherit_tier(24) -> 11;
get_inherit_tier(25) -> 12;
get_inherit_tier(26) -> 13;
get_inherit_tier(27) -> 14;
get_inherit_tier(28) -> 15;
get_inherit_tier(29) -> 16;
get_inherit_tier(_) -> false.

