%%%---------------------------------------
%%% module      : data_act_adventure
%%% description : 冒险征途配置
%%%
%%%---------------------------------------
-module(data_act_adventure).
-compile(export_all).
-include("act_adventure.hrl").
-include("hi_point.hrl").



get_rand_reward(1,1) ->
    #rand_reward{sub_id = 1,grade_id = 1,reward_list = [{100,109039,2}],rate = 500};

get_rand_reward(1,2) ->
    #rand_reward{sub_id = 1,grade_id = 2,reward_list = [{100,109039,1}],rate = 1000};

get_rand_reward(1,3) ->
    #rand_reward{sub_id = 1,grade_id = 3,reward_list = [{100,109038,1}],rate = 1500};

get_rand_reward(1,4) ->
    #rand_reward{sub_id = 1,grade_id = 4,reward_list = [{100,109037,1}],rate = 2000};

get_rand_reward(1,5) ->
    #rand_reward{sub_id = 1,grade_id = 5,reward_list = [{100,109036,1}],rate = 2500};

get_rand_reward(1,6) ->
    #rand_reward{sub_id = 1,grade_id = 6,reward_list = [{100,109035,1}],rate = 3000};

get_rand_reward(1,7) ->
    #rand_reward{sub_id = 1,grade_id = 7,reward_list = [{100,109034,1}],rate = 3500};

get_rand_reward(1,8) ->
    #rand_reward{sub_id = 1,grade_id = 8,reward_list = [{100,109033,1}],rate = 4000};

get_rand_reward(1,9) ->
    #rand_reward{sub_id = 1,grade_id = 9,reward_list = [{100,109032,1}],rate = 4500};

get_rand_reward(1,10) ->
    #rand_reward{sub_id = 1,grade_id = 10,reward_list = [{100,109031,1}],rate = 5000};

get_rand_reward(2,1) ->
    #rand_reward{sub_id = 2,grade_id = 1,reward_list = [{100,450007,1}],rate = 500};

get_rand_reward(2,2) ->
    #rand_reward{sub_id = 2,grade_id = 2,reward_list = [{100,450008,1}],rate = 1000};

get_rand_reward(2,3) ->
    #rand_reward{sub_id = 2,grade_id = 3,reward_list = [{100,450009,1}],rate = 1500};

get_rand_reward(2,4) ->
    #rand_reward{sub_id = 2,grade_id = 4,reward_list = [{100,450010,1}],rate = 2000};

get_rand_reward(2,5) ->
    #rand_reward{sub_id = 2,grade_id = 5,reward_list = [{100,450011,1}],rate = 2500};

get_rand_reward(2,6) ->
    #rand_reward{sub_id = 2,grade_id = 6,reward_list = [{100,450012,1}],rate = 3000};

get_rand_reward(2,7) ->
    #rand_reward{sub_id = 2,grade_id = 7,reward_list = [{100,450013,1}],rate = 3500};

get_rand_reward(2,8) ->
    #rand_reward{sub_id = 2,grade_id = 8,reward_list = [{100,450014,1}],rate = 4000};

get_rand_reward(2,9) ->
    #rand_reward{sub_id = 2,grade_id = 9,reward_list = [{100,450015,1}],rate = 4500};

get_rand_reward(2,10) ->
    #rand_reward{sub_id = 2,grade_id = 10,reward_list = [{100,450016,1}],rate = 5000};

get_rand_reward(_Subid,_Gradeid) ->
    [].


get_rand_list(1) ->
    [{500,1},{1000,2},{1500,3},{2000,4},{2500,5},{3000,6},{3500,7},{4000,8},{4500,9},{5000,10}];


get_rand_list(2) ->
    [{500,1},{1000,2},{1500,3},{2000,4},{2500,5},{3000,6},{3500,7},{4000,8},{4500,9},{5000,10}];

get_rand_list(_Subid) ->
    [].


get_reward_list(1) ->
    [[{100,109039,2}],[{100,109039,1}],[{100,109038,1}],[{100,109037,1}],[{100,109036,1}],[{100,109035,1}],[{100,109034,1}],[{100,109033,1}],[{100,109032,1}],[{100,109031,1}]];


get_reward_list(2) ->
    [[{100,450007,1}],[{100,450008,1}],[{100,450009,1}],[{100,450010,1}],[{100,450011,1}],[{100,450012,1}],[{100,450013,1}],[{100,450014,1}],[{100,450015,1}],[{100,450016,1}]];

get_reward_list(_Subid) ->
    [].

get_task_cfg(101,158,500) ->
    #base_hi_point{suit_id = 101,mod_id = 158,sub_id = 500,name = "累充500钻",one_points = 50,max_count = 1,order_id = 1,jump_id = [{158,0}]};

get_task_cfg(101,158,2000) ->
    #base_hi_point{suit_id = 101,mod_id = 158,sub_id = 2000,name = "累充2000钻",one_points = 100,max_count = 1,order_id = 2,jump_id = [{158,0}]};

get_task_cfg(101,159,2) ->
    #base_hi_point{suit_id = 101,mod_id = 159,sub_id = 2,name = "弹珠机抽奖",one_points = 5,max_count = 20,order_id = 20,jump_id = [{331,6}]};

get_task_cfg(101,170,1) ->
    #base_hi_point{suit_id = 101,mod_id = 170,sub_id = 1,name = "龙神宝库",one_points = 5,max_count = 20,order_id = 19,jump_id = [{170,1}]};

get_task_cfg(101,215,1) ->
    #base_hi_point{suit_id = 101,mod_id = 215,sub_id = 1,name = "小队讨伐",one_points = 5,max_count = 30,order_id = 10,jump_id = [{215,1}]};

get_task_cfg(101,280,0) ->
    #base_hi_point{suit_id = 101,mod_id = 280,sub_id = 0,name = "竞技场",one_points = 5,max_count = 30,order_id = 6,jump_id = [{280,0}]};

get_task_cfg(101,300,1) ->
    #base_hi_point{suit_id = 101,mod_id = 300,sub_id = 1,name = "日常任务",one_points = 1,max_count = 50,order_id = 16,jump_id = [{300,1}]};

get_task_cfg(101,300,2) ->
    #base_hi_point{suit_id = 101,mod_id = 300,sub_id = 2,name = "社团任务",one_points = 1,max_count = 50,order_id = 18,jump_id = [{300,2}]};

get_task_cfg(101,400,3) ->
    #base_hi_point{suit_id = 101,mod_id = 400,sub_id = 3,name = "社团拼单",one_points = 5,max_count = 9,order_id = 17,jump_id = [{400,3}]};

get_task_cfg(101,415,0) ->
    #base_hi_point{suit_id = 101,mod_id = 415,sub_id = 0,name = "狂战领域",one_points = 5,max_count = 2,order_id = 9,jump_id = [{415,0}]};

get_task_cfg(101,460,1) ->
    #base_hi_point{suit_id = 101,mod_id = 460,sub_id = 1,name = "个人幻魔",one_points = 5,max_count = 5,order_id = 12,jump_id = [{460,1}]};

get_task_cfg(101,460,3) ->
    #base_hi_point{suit_id = 101,mod_id = 460,sub_id = 3,name = "次元幻魔",one_points = 5,max_count = 20,order_id = 11,jump_id = [{460,3}]};

get_task_cfg(101,461,1) ->
    #base_hi_point{suit_id = 101,mod_id = 461,sub_id = 1,name = "星域幻魔",one_points = 5,max_count = 5,order_id = 15,jump_id = [{461,0}]};

get_task_cfg(101,461,2) ->
    #base_hi_point{suit_id = 101,mod_id = 461,sub_id = 2,name = "星域精英",one_points = 1,max_count = 30,order_id = 14,jump_id = [{461,0}]};

get_task_cfg(101,600,1) ->
    #base_hi_point{suit_id = 101,mod_id = 600,sub_id = 1,name = "无尽领域",one_points = 5,max_count = 3,order_id = 7,jump_id = [{600,2}]};

get_task_cfg(101,602,0) ->
    #base_hi_point{suit_id = 101,mod_id = 602,sub_id = 0,name = "饥饿游戏",one_points = 5,max_count = 2,order_id = 8,jump_id = [{602,0}]};

get_task_cfg(101,610,1) ->
    #base_hi_point{suit_id = 101,mod_id = 610,sub_id = 1,name = "材料副本",one_points = 2,max_count = 10,order_id = 4,jump_id = [{610,1}]};

get_task_cfg(101,610,3) ->
    #base_hi_point{suit_id = 101,mod_id = 610,sub_id = 3,name = "VIP副本",one_points = 2,max_count = 5,order_id = 21,jump_id = [{610,3}]};

get_task_cfg(101,610,8) ->
    #base_hi_point{suit_id = 101,mod_id = 610,sub_id = 8,name = "守卫幼宠",one_points = 2,max_count = 5,order_id = 5,jump_id = [{610,8}]};

get_task_cfg(101,631,10) ->
    #base_hi_point{suit_id = 101,mod_id = 631,sub_id = 10,name = "消费10彩钻",one_points = 5,max_count = 200,order_id = 3,jump_id = [{153,5}]};

get_task_cfg(102,158,500) ->
    #base_hi_point{suit_id = 102,mod_id = 158,sub_id = 500,name = "累充500钻",one_points = 50,max_count = 1,order_id = 1,jump_id = [{158,0}]};

get_task_cfg(102,158,2000) ->
    #base_hi_point{suit_id = 102,mod_id = 158,sub_id = 2000,name = "累充2000钻",one_points = 100,max_count = 1,order_id = 2,jump_id = [{158,0}]};

get_task_cfg(102,159,2) ->
    #base_hi_point{suit_id = 102,mod_id = 159,sub_id = 2,name = "弹珠机抽奖",one_points = 5,max_count = 20,order_id = 20,jump_id = [{331,6}]};

get_task_cfg(102,170,1) ->
    #base_hi_point{suit_id = 102,mod_id = 170,sub_id = 1,name = "龙神宝库",one_points = 5,max_count = 20,order_id = 19,jump_id = [{170,1}]};

get_task_cfg(102,215,1) ->
    #base_hi_point{suit_id = 102,mod_id = 215,sub_id = 1,name = "小队讨伐",one_points = 5,max_count = 30,order_id = 10,jump_id = [{215,1}]};

get_task_cfg(102,280,0) ->
    #base_hi_point{suit_id = 102,mod_id = 280,sub_id = 0,name = "竞技场",one_points = 5,max_count = 30,order_id = 6,jump_id = [{280,0}]};

get_task_cfg(102,300,1) ->
    #base_hi_point{suit_id = 102,mod_id = 300,sub_id = 1,name = "日常任务",one_points = 1,max_count = 50,order_id = 16,jump_id = [{300,1}]};

get_task_cfg(102,300,2) ->
    #base_hi_point{suit_id = 102,mod_id = 300,sub_id = 2,name = "社团任务",one_points = 1,max_count = 50,order_id = 18,jump_id = [{300,2}]};

get_task_cfg(102,400,3) ->
    #base_hi_point{suit_id = 102,mod_id = 400,sub_id = 3,name = "社团拼单",one_points = 5,max_count = 9,order_id = 17,jump_id = [{400,3}]};

get_task_cfg(102,415,0) ->
    #base_hi_point{suit_id = 102,mod_id = 415,sub_id = 0,name = "狂战领域",one_points = 5,max_count = 2,order_id = 9,jump_id = [{415,0}]};

get_task_cfg(102,460,1) ->
    #base_hi_point{suit_id = 102,mod_id = 460,sub_id = 1,name = "个人幻魔",one_points = 5,max_count = 5,order_id = 12,jump_id = [{460,1}]};

get_task_cfg(102,460,3) ->
    #base_hi_point{suit_id = 102,mod_id = 460,sub_id = 3,name = "次元幻魔",one_points = 5,max_count = 20,order_id = 11,jump_id = [{460,3}]};

get_task_cfg(102,461,1) ->
    #base_hi_point{suit_id = 102,mod_id = 461,sub_id = 1,name = "星域幻魔",one_points = 5,max_count = 5,order_id = 15,jump_id = [{461,0}]};

get_task_cfg(102,461,2) ->
    #base_hi_point{suit_id = 102,mod_id = 461,sub_id = 2,name = "星域精英",one_points = 1,max_count = 30,order_id = 14,jump_id = [{461,0}]};

get_task_cfg(102,600,1) ->
    #base_hi_point{suit_id = 102,mod_id = 600,sub_id = 1,name = "无尽领域",one_points = 5,max_count = 3,order_id = 7,jump_id = [{600,2}]};

get_task_cfg(102,602,0) ->
    #base_hi_point{suit_id = 102,mod_id = 602,sub_id = 0,name = "饥饿游戏",one_points = 5,max_count = 2,order_id = 8,jump_id = [{602,0}]};

get_task_cfg(102,610,1) ->
    #base_hi_point{suit_id = 102,mod_id = 610,sub_id = 1,name = "材料副本",one_points = 2,max_count = 10,order_id = 4,jump_id = [{610,1}]};

get_task_cfg(102,610,3) ->
    #base_hi_point{suit_id = 102,mod_id = 610,sub_id = 3,name = "VIP副本",one_points = 2,max_count = 5,order_id = 21,jump_id = [{610,3}]};

get_task_cfg(102,610,8) ->
    #base_hi_point{suit_id = 102,mod_id = 610,sub_id = 8,name = "守卫幼宠",one_points = 2,max_count = 5,order_id = 5,jump_id = [{610,8}]};

get_task_cfg(102,631,10) ->
    #base_hi_point{suit_id = 102,mod_id = 631,sub_id = 10,name = "消费10彩钻",one_points = 5,max_count = 200,order_id = 3,jump_id = [{153,5}]};

get_task_cfg(_Suitid,_Modid,_Subid) ->
    [].


get_keys(101) ->
    [{158,500},{158,2000},{159,2},{170,1},{215,1},{280,0},{300,1},{300,2},{400,3},{415,0},{460,1},{460,3},{461,1},{461,2},{600,1},{602,0},{610,1},{610,3},{610,8},{631,10}];


get_keys(102) ->
    [{158,500},{158,2000},{159,2},{170,1},{215,1},{280,0},{300,1},{300,2},{400,3},{415,0},{460,1},{460,3},{461,1},{461,2},{600,1},{602,0},{610,1},{610,3},{610,8},{631,10}];

get_keys(_Suitid) ->
    [].

