%%%---------------------------------------
%%% module      : data_auction
%%% description : 拍卖配置
%%%
%%%---------------------------------------
-module(data_auction).
-compile(export_all).
-include("rec_auction.hrl").



get_goods(17020003,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=17020003,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=100,guild_add_price=10,guild_one_price=200,world_price_type=1,world_base_price=100,world_add_price=10,world_one_price=200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=200,personal_base_price=100,personal_one_price=200};
get_goods(17020004,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=17020004,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=200,guild_add_price=20,guild_one_price=400,world_price_type=1,world_base_price=200,world_add_price=20,world_one_price=400,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=400,personal_base_price=200,personal_one_price=400};
get_goods(20040002,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=20040002,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=200,guild_add_price=20,guild_one_price=400,world_price_type=1,world_base_price=200,world_add_price=20,world_one_price=400,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=400,personal_base_price=200,personal_one_price=400};
get_goods(20040003,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=20040003,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=500,guild_add_price=20,guild_one_price=1000,world_price_type=1,world_base_price=500,world_add_price=20,world_one_price=1000,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1000,personal_base_price=500,personal_one_price=1000};
get_goods(20040004,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=20040004,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=800,guild_add_price=20,guild_one_price=1500,world_price_type=1,world_base_price=800,world_add_price=20,world_one_price=1500,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=15000,personal_base_price=800,personal_one_price=1500};
get_goods(24020003,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=24020003,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=100,guild_add_price=10,guild_one_price=200,world_price_type=1,world_base_price=100,world_add_price=10,world_one_price=200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=200,personal_base_price=100,personal_one_price=200};
get_goods(24020004,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=24020004,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=200,guild_add_price=20,guild_one_price=400,world_price_type=1,world_base_price=200,world_add_price=20,world_one_price=400,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=400,personal_base_price=200,personal_one_price=400};
get_goods(32080001,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080001,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=48,guild_add_price=5,guild_one_price=80,world_price_type=1,world_base_price=48,world_add_price=5,world_one_price=80,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=80,personal_base_price=48,personal_one_price=80};
get_goods(32080002,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080002,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=60,guild_add_price=10,guild_one_price=100,world_price_type=1,world_base_price=60,world_add_price=10,world_one_price=100,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=100,personal_base_price=60,personal_one_price=100};
get_goods(32080003,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080003,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=48,guild_add_price=5,guild_one_price=80,world_price_type=1,world_base_price=48,world_add_price=5,world_one_price=80,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=80,personal_base_price=48,personal_one_price=80};
get_goods(32080004,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080004,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=60,guild_add_price=10,guild_one_price=100,world_price_type=1,world_base_price=60,world_add_price=10,world_one_price=100,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=100,personal_base_price=60,personal_one_price=100};
get_goods(32080005,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080005,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=60,guild_add_price=10,guild_one_price=100,world_price_type=1,world_base_price=60,world_add_price=10,world_one_price=100,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=100,personal_base_price=60,personal_one_price=100};
get_goods(32080006,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080006,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=72,guild_add_price=10,guild_one_price=120,world_price_type=1,world_base_price=72,world_add_price=10,world_one_price=120,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=120,personal_base_price=72,personal_one_price=120};
get_goods(32080007,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080007,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=72,guild_add_price=10,guild_one_price=120,world_price_type=1,world_base_price=72,world_add_price=10,world_one_price=120,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=120,personal_base_price=72,personal_one_price=120};
get_goods(32080008,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080008,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=84,guild_add_price=10,guild_one_price=140,world_price_type=1,world_base_price=84,world_add_price=10,world_one_price=140,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=140,personal_base_price=84,personal_one_price=140};
get_goods(32080112,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080112,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=30,guild_add_price=5,guild_one_price=60,world_price_type=1,world_base_price=30,world_add_price=5,world_one_price=60,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=60,personal_base_price=30,personal_one_price=60};
get_goods(32080113,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080113,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=50,guild_add_price=5,guild_one_price=100,world_price_type=1,world_base_price=50,world_add_price=5,world_one_price=100,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=100,personal_base_price=50,personal_one_price=100};
get_goods(32080114,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080114,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=100,guild_add_price=5,guild_one_price=200,world_price_type=1,world_base_price=100,world_add_price=5,world_one_price=200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=200,personal_base_price=100,personal_one_price=200};
get_goods(32080132,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080132,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=75,guild_add_price=5,guild_one_price=150,world_price_type=1,world_base_price=75,world_add_price=5,world_one_price=150,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=150,personal_base_price=75,personal_one_price=150};
get_goods(32080133,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080133,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=125,guild_add_price=5,guild_one_price=250,world_price_type=1,world_base_price=125,world_add_price=5,world_one_price=250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=250,personal_base_price=125,personal_one_price=250};
get_goods(32080134,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080134,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=300,guild_add_price=10,guild_one_price=600,world_price_type=1,world_base_price=300,world_add_price=10,world_one_price=600,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=600,personal_base_price=300,personal_one_price=600};
get_goods(32080142,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080142,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=188,guild_add_price=10,guild_one_price=375,world_price_type=1,world_base_price=188,world_add_price=10,world_one_price=375,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=375,personal_base_price=188,personal_one_price=375};
get_goods(32080143,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080143,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=313,guild_add_price=10,guild_one_price=625,world_price_type=1,world_base_price=313,world_add_price=10,world_one_price=625,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=625,personal_base_price=313,personal_one_price=625};
get_goods(32080144,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080144,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=900,guild_add_price=15,guild_one_price=1800,world_price_type=1,world_base_price=900,world_add_price=15,world_one_price=1800,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1800,personal_base_price=900,personal_one_price=1800};
get_goods(32080212,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080212,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=30,guild_add_price=5,guild_one_price=60,world_price_type=1,world_base_price=30,world_add_price=5,world_one_price=60,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=60,personal_base_price=30,personal_one_price=60};
get_goods(32080213,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080213,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=50,guild_add_price=5,guild_one_price=100,world_price_type=1,world_base_price=50,world_add_price=5,world_one_price=100,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=100,personal_base_price=50,personal_one_price=100};
get_goods(32080214,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080214,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=100,guild_add_price=5,guild_one_price=200,world_price_type=1,world_base_price=100,world_add_price=5,world_one_price=200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=200,personal_base_price=100,personal_one_price=200};
get_goods(32080232,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080232,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=75,guild_add_price=5,guild_one_price=150,world_price_type=1,world_base_price=75,world_add_price=5,world_one_price=150,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=150,personal_base_price=75,personal_one_price=150};
get_goods(32080233,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080233,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=125,guild_add_price=5,guild_one_price=250,world_price_type=1,world_base_price=125,world_add_price=5,world_one_price=250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=250,personal_base_price=125,personal_one_price=250};
get_goods(32080234,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080234,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=300,guild_add_price=10,guild_one_price=600,world_price_type=1,world_base_price=300,world_add_price=10,world_one_price=600,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=600,personal_base_price=300,personal_one_price=600};
get_goods(32080242,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080242,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=188,guild_add_price=10,guild_one_price=375,world_price_type=1,world_base_price=188,world_add_price=10,world_one_price=375,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=375,personal_base_price=188,personal_one_price=375};
get_goods(32080243,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080243,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=313,guild_add_price=10,guild_one_price=625,world_price_type=1,world_base_price=313,world_add_price=10,world_one_price=625,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=625,personal_base_price=313,personal_one_price=625};
get_goods(32080244,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080244,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=900,guild_add_price=15,guild_one_price=1800,world_price_type=1,world_base_price=900,world_add_price=15,world_one_price=1800,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1800,personal_base_price=900,personal_one_price=1800};
get_goods(32080312,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080312,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=30,guild_add_price=5,guild_one_price=60,world_price_type=1,world_base_price=30,world_add_price=5,world_one_price=60,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=60,personal_base_price=30,personal_one_price=60};
get_goods(32080313,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080313,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=50,guild_add_price=5,guild_one_price=100,world_price_type=1,world_base_price=50,world_add_price=5,world_one_price=100,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=100,personal_base_price=50,personal_one_price=100};
get_goods(32080314,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080314,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=100,guild_add_price=5,guild_one_price=200,world_price_type=1,world_base_price=100,world_add_price=5,world_one_price=200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=200,personal_base_price=100,personal_one_price=200};
get_goods(32080332,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080332,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=75,guild_add_price=10,guild_one_price=150,world_price_type=1,world_base_price=75,world_add_price=10,world_one_price=150,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=150,personal_base_price=75,personal_one_price=150};
get_goods(32080333,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080333,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=125,guild_add_price=10,guild_one_price=250,world_price_type=1,world_base_price=125,world_add_price=10,world_one_price=250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=250,personal_base_price=125,personal_one_price=250};
get_goods(32080334,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080334,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=300,guild_add_price=15,guild_one_price=600,world_price_type=1,world_base_price=300,world_add_price=15,world_one_price=600,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=600,personal_base_price=300,personal_one_price=600};
get_goods(32080342,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080342,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=188,guild_add_price=15,guild_one_price=375,world_price_type=1,world_base_price=188,world_add_price=15,world_one_price=375,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=375,personal_base_price=188,personal_one_price=375};
get_goods(32080343,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080343,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=313,guild_add_price=15,guild_one_price=625,world_price_type=1,world_base_price=313,world_add_price=15,world_one_price=625,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=625,personal_base_price=313,personal_one_price=625};
get_goods(32080344,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080344,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=900,guild_add_price=20,guild_one_price=1800,world_price_type=1,world_base_price=900,world_add_price=20,world_one_price=1800,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1800,personal_base_price=900,personal_one_price=1800};
get_goods(32080412,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080412,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=30,guild_add_price=5,guild_one_price=60,world_price_type=1,world_base_price=30,world_add_price=5,world_one_price=60,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=60,personal_base_price=30,personal_one_price=60};
get_goods(32080413,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080413,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=50,guild_add_price=5,guild_one_price=100,world_price_type=1,world_base_price=50,world_add_price=5,world_one_price=100,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=100,personal_base_price=50,personal_one_price=100};
get_goods(32080414,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080414,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=100,guild_add_price=10,guild_one_price=200,world_price_type=1,world_base_price=100,world_add_price=10,world_one_price=200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=200,personal_base_price=100,personal_one_price=200};
get_goods(32080432,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080432,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=75,guild_add_price=10,guild_one_price=150,world_price_type=1,world_base_price=75,world_add_price=10,world_one_price=150,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=150,personal_base_price=75,personal_one_price=150};
get_goods(32080433,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080433,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=125,guild_add_price=10,guild_one_price=250,world_price_type=1,world_base_price=125,world_add_price=10,world_one_price=250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=250,personal_base_price=125,personal_one_price=250};
get_goods(32080434,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080434,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=300,guild_add_price=15,guild_one_price=600,world_price_type=1,world_base_price=300,world_add_price=15,world_one_price=600,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=600,personal_base_price=300,personal_one_price=600};
get_goods(32080442,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080442,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=188,guild_add_price=20,guild_one_price=375,world_price_type=1,world_base_price=188,world_add_price=20,world_one_price=375,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=375,personal_base_price=188,personal_one_price=375};
get_goods(32080443,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080443,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=313,guild_add_price=20,guild_one_price=625,world_price_type=1,world_base_price=313,world_add_price=20,world_one_price=625,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=625,personal_base_price=313,personal_one_price=625};
get_goods(32080444,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080444,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=900,guild_add_price=20,guild_one_price=1800,world_price_type=1,world_base_price=900,world_add_price=20,world_one_price=1800,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1800,personal_base_price=900,personal_one_price=1800};
get_goods(32080512,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080512,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=30,guild_add_price=5,guild_one_price=60,world_price_type=1,world_base_price=30,world_add_price=5,world_one_price=60,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=60,personal_base_price=30,personal_one_price=60};
get_goods(32080513,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080513,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=50,guild_add_price=5,guild_one_price=100,world_price_type=1,world_base_price=50,world_add_price=5,world_one_price=100,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=100,personal_base_price=50,personal_one_price=100};
get_goods(32080514,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080514,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=100,guild_add_price=10,guild_one_price=200,world_price_type=1,world_base_price=100,world_add_price=10,world_one_price=200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=200,personal_base_price=100,personal_one_price=200};
get_goods(32080532,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080532,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=75,guild_add_price=10,guild_one_price=150,world_price_type=1,world_base_price=75,world_add_price=10,world_one_price=150,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=150,personal_base_price=75,personal_one_price=150};
get_goods(32080533,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080533,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=125,guild_add_price=15,guild_one_price=250,world_price_type=1,world_base_price=125,world_add_price=15,world_one_price=250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=250,personal_base_price=125,personal_one_price=250};
get_goods(32080534,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080534,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=300,guild_add_price=20,guild_one_price=600,world_price_type=1,world_base_price=300,world_add_price=20,world_one_price=600,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=600,personal_base_price=300,personal_one_price=600};
get_goods(32080542,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080542,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=188,guild_add_price=20,guild_one_price=375,world_price_type=1,world_base_price=188,world_add_price=20,world_one_price=375,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=375,personal_base_price=188,personal_one_price=375};
get_goods(32080543,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080543,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=313,guild_add_price=20,guild_one_price=625,world_price_type=1,world_base_price=313,world_add_price=20,world_one_price=625,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=625,personal_base_price=313,personal_one_price=625};
get_goods(32080544,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080544,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=900,guild_add_price=20,guild_one_price=1800,world_price_type=1,world_base_price=900,world_add_price=20,world_one_price=1800,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1800,personal_base_price=900,personal_one_price=1800};
get_goods(32080612,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080612,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=40,guild_add_price=5,guild_one_price=80,world_price_type=1,world_base_price=40,world_add_price=5,world_one_price=80,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=80,personal_base_price=40,personal_one_price=80};
get_goods(32080613,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080613,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=65,guild_add_price=10,guild_one_price=130,world_price_type=1,world_base_price=65,world_add_price=10,world_one_price=130,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=130,personal_base_price=65,personal_one_price=130};
get_goods(32080614,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080614,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=125,guild_add_price=10,guild_one_price=250,world_price_type=1,world_base_price=125,world_add_price=10,world_one_price=250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=250,personal_base_price=125,personal_one_price=250};
get_goods(32080632,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080632,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=100,guild_add_price=15,guild_one_price=200,world_price_type=1,world_base_price=100,world_add_price=15,world_one_price=200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=200,personal_base_price=100,personal_one_price=200};
get_goods(32080633,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080633,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=163,guild_add_price=15,guild_one_price=325,world_price_type=1,world_base_price=163,world_add_price=15,world_one_price=325,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=325,personal_base_price=163,personal_one_price=325};
get_goods(32080634,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080634,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=375,guild_add_price=20,guild_one_price=750,world_price_type=1,world_base_price=375,world_add_price=20,world_one_price=750,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=750,personal_base_price=375,personal_one_price=750};
get_goods(32080642,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080642,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=250,guild_add_price=20,guild_one_price=500,world_price_type=1,world_base_price=250,world_add_price=20,world_one_price=500,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=500,personal_base_price=250,personal_one_price=500};
get_goods(32080643,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080643,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=400,guild_add_price=20,guild_one_price=800,world_price_type=1,world_base_price=400,world_add_price=20,world_one_price=800,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=800,personal_base_price=400,personal_one_price=800};
get_goods(32080644,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080644,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=1125,guild_add_price=20,guild_one_price=2250,world_price_type=1,world_base_price=1125,world_add_price=20,world_one_price=2250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=2250,personal_base_price=1125,personal_one_price=2250};
get_goods(32080712,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080712,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=50,guild_add_price=10,guild_one_price=100,world_price_type=1,world_base_price=50,world_add_price=10,world_one_price=100,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=100,personal_base_price=50,personal_one_price=100};
get_goods(32080713,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080713,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=80,guild_add_price=10,guild_one_price=160,world_price_type=1,world_base_price=80,world_add_price=10,world_one_price=160,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=160,personal_base_price=80,personal_one_price=160};
get_goods(32080714,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080714,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=150,guild_add_price=15,guild_one_price=300,world_price_type=1,world_base_price=150,world_add_price=15,world_one_price=300,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=300,personal_base_price=150,personal_one_price=300};
get_goods(32080732,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080732,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=125,guild_add_price=20,guild_one_price=250,world_price_type=1,world_base_price=125,world_add_price=20,world_one_price=250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=250,personal_base_price=125,personal_one_price=250};
get_goods(32080733,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080733,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=200,guild_add_price=20,guild_one_price=400,world_price_type=1,world_base_price=200,world_add_price=20,world_one_price=400,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=400,personal_base_price=200,personal_one_price=400};
get_goods(32080734,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080734,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=450,guild_add_price=20,guild_one_price=900,world_price_type=1,world_base_price=450,world_add_price=20,world_one_price=900,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=900,personal_base_price=450,personal_one_price=900};
get_goods(32080742,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080742,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=313,guild_add_price=20,guild_one_price=625,world_price_type=1,world_base_price=313,world_add_price=20,world_one_price=625,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=625,personal_base_price=313,personal_one_price=625};
get_goods(32080743,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080743,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=500,guild_add_price=20,guild_one_price=1000,world_price_type=1,world_base_price=500,world_add_price=20,world_one_price=1000,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1000,personal_base_price=500,personal_one_price=1000};
get_goods(32080744,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080744,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=1350,guild_add_price=20,guild_one_price=2700,world_price_type=1,world_base_price=1350,world_add_price=20,world_one_price=2700,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=2700,personal_base_price=1350,personal_one_price=2700};
get_goods(32080812,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080812,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=60,guild_add_price=10,guild_one_price=120,world_price_type=1,world_base_price=60,world_add_price=10,world_one_price=120,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=120,personal_base_price=60,personal_one_price=120};
get_goods(32080813,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080813,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=95,guild_add_price=10,guild_one_price=190,world_price_type=1,world_base_price=95,world_add_price=10,world_one_price=190,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=190,personal_base_price=95,personal_one_price=190};
get_goods(32080814,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080814,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=175,guild_add_price=15,guild_one_price=350,world_price_type=1,world_base_price=175,world_add_price=15,world_one_price=350,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=350,personal_base_price=175,personal_one_price=350};
get_goods(32080832,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080832,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=150,guild_add_price=20,guild_one_price=300,world_price_type=1,world_base_price=150,world_add_price=20,world_one_price=300,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=300,personal_base_price=150,personal_one_price=300};
get_goods(32080833,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080833,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=238,guild_add_price=20,guild_one_price=475,world_price_type=1,world_base_price=238,world_add_price=20,world_one_price=475,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=475,personal_base_price=238,personal_one_price=475};
get_goods(32080834,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080834,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=525,guild_add_price=20,guild_one_price=1050,world_price_type=1,world_base_price=525,world_add_price=20,world_one_price=1050,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1050,personal_base_price=525,personal_one_price=1050};
get_goods(32080842,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080842,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=375,guild_add_price=20,guild_one_price=750,world_price_type=1,world_base_price=375,world_add_price=20,world_one_price=750,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=750,personal_base_price=375,personal_one_price=750};
get_goods(32080843,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080843,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=575,guild_add_price=20,guild_one_price=1150,world_price_type=1,world_base_price=575,world_add_price=20,world_one_price=1150,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1150,personal_base_price=575,personal_one_price=1150};
get_goods(32080844,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080844,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=1575,guild_add_price=20,guild_one_price=3150,world_price_type=1,world_base_price=1575,world_add_price=20,world_one_price=3150,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=3150,personal_base_price=1575,personal_one_price=3150};
get_goods(32080912,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080912,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=70,guild_add_price=10,guild_one_price=140,world_price_type=1,world_base_price=70,world_add_price=10,world_one_price=140,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=140,personal_base_price=70,personal_one_price=140};
get_goods(32080913,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080913,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=110,guild_add_price=10,guild_one_price=220,world_price_type=1,world_base_price=110,world_add_price=10,world_one_price=220,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=220,personal_base_price=110,personal_one_price=220};
get_goods(32080914,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080914,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=200,guild_add_price=10,guild_one_price=400,world_price_type=1,world_base_price=200,world_add_price=10,world_one_price=400,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=400,personal_base_price=200,personal_one_price=400};
get_goods(32080932,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080932,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=175,guild_add_price=10,guild_one_price=350,world_price_type=1,world_base_price=175,world_add_price=10,world_one_price=350,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=350,personal_base_price=175,personal_one_price=350};
get_goods(32080933,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080933,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=275,guild_add_price=20,guild_one_price=550,world_price_type=1,world_base_price=275,world_add_price=20,world_one_price=550,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=550,personal_base_price=275,personal_one_price=550};
get_goods(32080934,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080934,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=600,guild_add_price=20,guild_one_price=1200,world_price_type=1,world_base_price=600,world_add_price=20,world_one_price=1200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1200,personal_base_price=600,personal_one_price=1200};
get_goods(32080942,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080942,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=438,guild_add_price=20,guild_one_price=875,world_price_type=1,world_base_price=438,world_add_price=20,world_one_price=875,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=875,personal_base_price=438,personal_one_price=875};
get_goods(32080943,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080943,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=688,guild_add_price=20,guild_one_price=1375,world_price_type=1,world_base_price=688,world_add_price=20,world_one_price=1375,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1375,personal_base_price=688,personal_one_price=1375};
get_goods(32080944,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32080944,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=1800,guild_add_price=20,guild_one_price=3600,world_price_type=1,world_base_price=1800,world_add_price=20,world_one_price=3600,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=3600,personal_base_price=1800,personal_one_price=3600};
get_goods(32081012,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081012,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=80,guild_add_price=10,guild_one_price=160,world_price_type=1,world_base_price=80,world_add_price=10,world_one_price=160,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=160,personal_base_price=80,personal_one_price=160};
get_goods(32081013,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081013,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=125,guild_add_price=10,guild_one_price=250,world_price_type=1,world_base_price=125,world_add_price=10,world_one_price=250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=250,personal_base_price=125,personal_one_price=250};
get_goods(32081014,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081014,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=225,guild_add_price=10,guild_one_price=450,world_price_type=1,world_base_price=225,world_add_price=10,world_one_price=450,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=450,personal_base_price=225,personal_one_price=450};
get_goods(32081032,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081032,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=200,guild_add_price=10,guild_one_price=400,world_price_type=1,world_base_price=200,world_add_price=10,world_one_price=400,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=400,personal_base_price=200,personal_one_price=400};
get_goods(32081033,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081033,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=313,guild_add_price=20,guild_one_price=625,world_price_type=1,world_base_price=313,world_add_price=20,world_one_price=625,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=625,personal_base_price=313,personal_one_price=625};
get_goods(32081034,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081034,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=675,guild_add_price=20,guild_one_price=1350,world_price_type=1,world_base_price=675,world_add_price=20,world_one_price=1350,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1350,personal_base_price=675,personal_one_price=1350};
get_goods(32081042,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081042,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=500,guild_add_price=20,guild_one_price=1000,world_price_type=1,world_base_price=500,world_add_price=20,world_one_price=1000,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1000,personal_base_price=500,personal_one_price=1000};
get_goods(32081043,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081043,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=770,guild_add_price=20,guild_one_price=1540,world_price_type=1,world_base_price=770,world_add_price=20,world_one_price=1540,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1540,personal_base_price=770,personal_one_price=1540};
get_goods(32081044,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081044,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=2025,guild_add_price=20,guild_one_price=4050,world_price_type=1,world_base_price=2025,world_add_price=20,world_one_price=4050,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=4050,personal_base_price=2025,personal_one_price=4050};
get_goods(32081112,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081112,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=90,guild_add_price=10,guild_one_price=180,world_price_type=1,world_base_price=90,world_add_price=10,world_one_price=180,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=180,personal_base_price=90,personal_one_price=180};
get_goods(32081113,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081113,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=140,guild_add_price=10,guild_one_price=280,world_price_type=1,world_base_price=140,world_add_price=10,world_one_price=280,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=280,personal_base_price=140,personal_one_price=280};
get_goods(32081114,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081114,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=250,guild_add_price=10,guild_one_price=500,world_price_type=1,world_base_price=250,world_add_price=10,world_one_price=500,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=500,personal_base_price=250,personal_one_price=500};
get_goods(32081132,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081132,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=225,guild_add_price=10,guild_one_price=450,world_price_type=1,world_base_price=225,world_add_price=10,world_one_price=450,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=450,personal_base_price=225,personal_one_price=450};
get_goods(32081133,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081133,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=350,guild_add_price=20,guild_one_price=700,world_price_type=1,world_base_price=350,world_add_price=20,world_one_price=700,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=700,personal_base_price=350,personal_one_price=700};
get_goods(32081134,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081134,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=750,guild_add_price=20,guild_one_price=1500,world_price_type=1,world_base_price=750,world_add_price=20,world_one_price=1500,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1500,personal_base_price=750,personal_one_price=1500};
get_goods(32081142,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081142,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=563,guild_add_price=20,guild_one_price=1125,world_price_type=1,world_base_price=563,world_add_price=20,world_one_price=1125,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1125,personal_base_price=563,personal_one_price=1125};
get_goods(32081143,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081143,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=875,guild_add_price=20,guild_one_price=1750,world_price_type=1,world_base_price=875,world_add_price=20,world_one_price=1750,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1750,personal_base_price=875,personal_one_price=1750};
get_goods(32081144,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081144,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=2250,guild_add_price=20,guild_one_price=4500,world_price_type=1,world_base_price=2250,world_add_price=20,world_one_price=4500,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=4500,personal_base_price=2250,personal_one_price=4500};
get_goods(32081212,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081212,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=100,guild_add_price=10,guild_one_price=200,world_price_type=1,world_base_price=100,world_add_price=10,world_one_price=200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=200,personal_base_price=100,personal_one_price=200};
get_goods(32081213,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081213,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=160,guild_add_price=10,guild_one_price=320,world_price_type=1,world_base_price=160,world_add_price=10,world_one_price=320,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=320,personal_base_price=160,personal_one_price=320};
get_goods(32081214,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081214,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=275,guild_add_price=10,guild_one_price=550,world_price_type=1,world_base_price=275,world_add_price=10,world_one_price=550,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=550,personal_base_price=275,personal_one_price=550};
get_goods(32081232,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081232,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=250,guild_add_price=10,guild_one_price=500,world_price_type=1,world_base_price=250,world_add_price=10,world_one_price=500,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=500,personal_base_price=250,personal_one_price=500};
get_goods(32081233,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081233,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=400,guild_add_price=20,guild_one_price=800,world_price_type=1,world_base_price=400,world_add_price=20,world_one_price=800,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=800,personal_base_price=400,personal_one_price=800};
get_goods(32081234,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081234,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=825,guild_add_price=20,guild_one_price=1650,world_price_type=1,world_base_price=825,world_add_price=20,world_one_price=1650,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1650,personal_base_price=825,personal_one_price=1650};
get_goods(32081242,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081242,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=625,guild_add_price=20,guild_one_price=1250,world_price_type=1,world_base_price=625,world_add_price=20,world_one_price=1250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1250,personal_base_price=625,personal_one_price=1250};
get_goods(32081243,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081243,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=1000,guild_add_price=20,guild_one_price=2000,world_price_type=1,world_base_price=1000,world_add_price=20,world_one_price=2000,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=2000,personal_base_price=1000,personal_one_price=2000};
get_goods(32081244,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081244,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=2475,guild_add_price=20,guild_one_price=4950,world_price_type=1,world_base_price=2475,world_add_price=20,world_one_price=4950,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=4950,personal_base_price=2475,personal_one_price=4950};
get_goods(32081312,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081312,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=100,guild_add_price=10,guild_one_price=200,world_price_type=1,world_base_price=100,world_add_price=10,world_one_price=200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=200,personal_base_price=100,personal_one_price=200};
get_goods(32081313,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081313,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=160,guild_add_price=10,guild_one_price=320,world_price_type=1,world_base_price=160,world_add_price=10,world_one_price=320,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=320,personal_base_price=160,personal_one_price=320};
get_goods(32081314,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081314,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=275,guild_add_price=10,guild_one_price=550,world_price_type=1,world_base_price=275,world_add_price=10,world_one_price=550,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=550,personal_base_price=275,personal_one_price=550};
get_goods(32081332,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081332,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=250,guild_add_price=10,guild_one_price=500,world_price_type=1,world_base_price=250,world_add_price=10,world_one_price=500,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=500,personal_base_price=250,personal_one_price=500};
get_goods(32081333,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081333,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=400,guild_add_price=20,guild_one_price=800,world_price_type=1,world_base_price=400,world_add_price=20,world_one_price=800,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=800,personal_base_price=400,personal_one_price=800};
get_goods(32081334,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081334,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=825,guild_add_price=20,guild_one_price=1650,world_price_type=1,world_base_price=825,world_add_price=20,world_one_price=1650,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1650,personal_base_price=825,personal_one_price=1650};
get_goods(32081342,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081342,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=625,guild_add_price=20,guild_one_price=1250,world_price_type=1,world_base_price=625,world_add_price=20,world_one_price=1250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1250,personal_base_price=625,personal_one_price=1250};
get_goods(32081343,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081343,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=1000,guild_add_price=20,guild_one_price=2000,world_price_type=1,world_base_price=1000,world_add_price=20,world_one_price=2000,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=2000,personal_base_price=1000,personal_one_price=2000};
get_goods(32081344,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081344,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=2475,guild_add_price=20,guild_one_price=4950,world_price_type=1,world_base_price=2475,world_add_price=20,world_one_price=4950,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=4950,personal_base_price=2475,personal_one_price=4950};
get_goods(32081412,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081412,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=100,guild_add_price=10,guild_one_price=200,world_price_type=1,world_base_price=100,world_add_price=10,world_one_price=200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=200,personal_base_price=100,personal_one_price=200};
get_goods(32081413,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081413,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=160,guild_add_price=10,guild_one_price=320,world_price_type=1,world_base_price=160,world_add_price=10,world_one_price=320,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=320,personal_base_price=160,personal_one_price=320};
get_goods(32081414,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081414,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=275,guild_add_price=10,guild_one_price=550,world_price_type=1,world_base_price=275,world_add_price=10,world_one_price=550,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=550,personal_base_price=275,personal_one_price=550};
get_goods(32081432,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081432,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=250,guild_add_price=10,guild_one_price=500,world_price_type=1,world_base_price=250,world_add_price=10,world_one_price=500,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=500,personal_base_price=250,personal_one_price=500};
get_goods(32081433,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081433,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=400,guild_add_price=20,guild_one_price=800,world_price_type=1,world_base_price=400,world_add_price=20,world_one_price=800,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=800,personal_base_price=400,personal_one_price=800};
get_goods(32081434,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081434,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=825,guild_add_price=20,guild_one_price=1650,world_price_type=1,world_base_price=825,world_add_price=20,world_one_price=1650,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1650,personal_base_price=825,personal_one_price=1650};
get_goods(32081442,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081442,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=625,guild_add_price=20,guild_one_price=1250,world_price_type=1,world_base_price=625,world_add_price=20,world_one_price=1250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1250,personal_base_price=625,personal_one_price=1250};
get_goods(32081443,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081443,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=1000,guild_add_price=20,guild_one_price=2000,world_price_type=1,world_base_price=1000,world_add_price=20,world_one_price=2000,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=2000,personal_base_price=1000,personal_one_price=2000};
get_goods(32081444,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081444,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=2475,guild_add_price=20,guild_one_price=4950,world_price_type=1,world_base_price=2475,world_add_price=20,world_one_price=4950,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=4950,personal_base_price=2475,personal_one_price=4950};
get_goods(32081512,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081512,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=100,guild_add_price=10,guild_one_price=200,world_price_type=1,world_base_price=100,world_add_price=10,world_one_price=200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=200,personal_base_price=100,personal_one_price=200};
get_goods(32081513,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081513,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=160,guild_add_price=10,guild_one_price=320,world_price_type=1,world_base_price=160,world_add_price=10,world_one_price=320,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=320,personal_base_price=160,personal_one_price=320};
get_goods(32081514,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081514,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=275,guild_add_price=10,guild_one_price=550,world_price_type=1,world_base_price=275,world_add_price=10,world_one_price=550,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=550,personal_base_price=275,personal_one_price=550};
get_goods(32081532,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081532,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=250,guild_add_price=10,guild_one_price=500,world_price_type=1,world_base_price=250,world_add_price=10,world_one_price=500,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=500,personal_base_price=250,personal_one_price=500};
get_goods(32081533,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081533,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=400,guild_add_price=20,guild_one_price=800,world_price_type=1,world_base_price=400,world_add_price=20,world_one_price=800,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=800,personal_base_price=400,personal_one_price=800};
get_goods(32081534,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081534,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=825,guild_add_price=20,guild_one_price=1650,world_price_type=1,world_base_price=825,world_add_price=20,world_one_price=1650,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1650,personal_base_price=825,personal_one_price=1650};
get_goods(32081542,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081542,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=625,guild_add_price=20,guild_one_price=1250,world_price_type=1,world_base_price=625,world_add_price=20,world_one_price=1250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1250,personal_base_price=625,personal_one_price=1250};
get_goods(32081543,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081543,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=1000,guild_add_price=20,guild_one_price=2000,world_price_type=1,world_base_price=1000,world_add_price=20,world_one_price=2000,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=2000,personal_base_price=1000,personal_one_price=2000};
get_goods(32081544,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081544,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=2475,guild_add_price=20,guild_one_price=4950,world_price_type=1,world_base_price=2475,world_add_price=20,world_one_price=4950,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=4950,personal_base_price=2475,personal_one_price=4950};
get_goods(32081612,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081612,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=100,guild_add_price=10,guild_one_price=200,world_price_type=1,world_base_price=100,world_add_price=10,world_one_price=200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=200,personal_base_price=100,personal_one_price=200};
get_goods(32081613,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081613,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=160,guild_add_price=10,guild_one_price=320,world_price_type=1,world_base_price=160,world_add_price=10,world_one_price=320,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=320,personal_base_price=160,personal_one_price=320};
get_goods(32081614,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081614,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=275,guild_add_price=10,guild_one_price=550,world_price_type=1,world_base_price=275,world_add_price=10,world_one_price=550,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=550,personal_base_price=275,personal_one_price=550};
get_goods(32081632,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081632,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=250,guild_add_price=10,guild_one_price=500,world_price_type=1,world_base_price=250,world_add_price=10,world_one_price=500,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=500,personal_base_price=250,personal_one_price=500};
get_goods(32081633,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081633,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=400,guild_add_price=20,guild_one_price=800,world_price_type=1,world_base_price=400,world_add_price=20,world_one_price=800,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=800,personal_base_price=400,personal_one_price=800};
get_goods(32081634,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081634,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=825,guild_add_price=20,guild_one_price=1650,world_price_type=1,world_base_price=825,world_add_price=20,world_one_price=1650,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1650,personal_base_price=825,personal_one_price=1650};
get_goods(32081642,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081642,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=625,guild_add_price=20,guild_one_price=1250,world_price_type=1,world_base_price=625,world_add_price=20,world_one_price=1250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1250,personal_base_price=625,personal_one_price=1250};
get_goods(32081643,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081643,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=1000,guild_add_price=20,guild_one_price=2000,world_price_type=1,world_base_price=1000,world_add_price=20,world_one_price=2000,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=2000,personal_base_price=1000,personal_one_price=2000};
get_goods(32081644,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32081644,server_lv_min=1,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=2475,guild_add_price=20,guild_one_price=4950,world_price_type=1,world_base_price=2475,world_add_price=20,world_one_price=4950,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=4950,personal_base_price=2475,personal_one_price=4950};
get_goods(32090001,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32090001,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=24,guild_add_price=5,guild_one_price=48,world_price_type=1,world_base_price=24,world_add_price=5,world_one_price=48,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=48,personal_base_price=24,personal_one_price=48};
get_goods(32090002,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32090002,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=45,guild_add_price=5,guild_one_price=75,world_price_type=1,world_base_price=45,world_add_price=5,world_one_price=75,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=75,personal_base_price=45,personal_one_price=75};
get_goods(32090003,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=32090003,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=80,guild_add_price=10,guild_one_price=130,world_price_type=1,world_base_price=80,world_add_price=10,world_one_price=130,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=130,personal_base_price=80,personal_one_price=130};
get_goods(34010001,_ServerLv) when _ServerLv >= 1, _ServerLv =< 390 ->
	#base_auction_goods{goods_id=34010001,server_lv_min=1,server_lv_max=390,type=1,guild_price_type=1,guild_base_price=1000,guild_add_price=20,guild_one_price=2000,world_price_type=1,world_base_price=1000,world_add_price=20,world_one_price=2000,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1600,personal_base_price=1000,personal_one_price=2000};
get_goods(34010001,_ServerLv) when _ServerLv >= 391, _ServerLv =< 430 ->
	#base_auction_goods{goods_id=34010001,server_lv_min=391,server_lv_max=430,type=1,guild_price_type=1,guild_base_price=900,guild_add_price=20,guild_one_price=1800,world_price_type=1,world_base_price=900,world_add_price=20,world_one_price=1800,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1600,personal_base_price=900,personal_one_price=1800};
get_goods(34010001,_ServerLv) when _ServerLv >= 431, _ServerLv =< 500 ->
	#base_auction_goods{goods_id=34010001,server_lv_min=431,server_lv_max=500,type=1,guild_price_type=1,guild_base_price=800,guild_add_price=20,guild_one_price=1600,world_price_type=1,world_base_price=800,world_add_price=20,world_one_price=1600,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1500,personal_base_price=800,personal_one_price=1600};
get_goods(34010001,_ServerLv) when _ServerLv >= 501, _ServerLv =< 560 ->
	#base_auction_goods{goods_id=34010001,server_lv_min=501,server_lv_max=560,type=1,guild_price_type=1,guild_base_price=750,guild_add_price=20,guild_one_price=1500,world_price_type=1,world_base_price=750,world_add_price=20,world_one_price=1500,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1500,personal_base_price=750,personal_one_price=1500};
get_goods(34010001,_ServerLv) when _ServerLv >= 561, _ServerLv =< 610 ->
	#base_auction_goods{goods_id=34010001,server_lv_min=561,server_lv_max=610,type=1,guild_price_type=1,guild_base_price=700,guild_add_price=20,guild_one_price=1400,world_price_type=1,world_base_price=700,world_add_price=20,world_one_price=1400,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1400,personal_base_price=700,personal_one_price=1400};
get_goods(34010001,_ServerLv) when _ServerLv >= 611, _ServerLv =< 660 ->
	#base_auction_goods{goods_id=34010001,server_lv_min=611,server_lv_max=660,type=1,guild_price_type=1,guild_base_price=650,guild_add_price=20,guild_one_price=1300,world_price_type=1,world_base_price=650,world_add_price=20,world_one_price=1300,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1400,personal_base_price=650,personal_one_price=1300};
get_goods(34010001,_ServerLv) when _ServerLv >= 661, _ServerLv =< 750 ->
	#base_auction_goods{goods_id=34010001,server_lv_min=661,server_lv_max=750,type=1,guild_price_type=1,guild_base_price=600,guild_add_price=20,guild_one_price=1200,world_price_type=1,world_base_price=600,world_add_price=20,world_one_price=1200,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1300,personal_base_price=600,personal_one_price=1200};
get_goods(34010001,_ServerLv) when _ServerLv >= 751, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=34010001,server_lv_min=751,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=500,guild_add_price=20,guild_one_price=1000,world_price_type=1,world_base_price=500,world_add_price=20,world_one_price=1000,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1300,personal_base_price=500,personal_one_price=1000};
get_goods(34010002,_ServerLv) when _ServerLv >= 1, _ServerLv =< 390 ->
	#base_auction_goods{goods_id=34010002,server_lv_min=1,server_lv_max=390,type=1,guild_price_type=1,guild_base_price=1500,guild_add_price=20,guild_one_price=3000,world_price_type=1,world_base_price=1500,world_add_price=20,world_one_price=3000,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=2400,personal_base_price=1500,personal_one_price=3000};
get_goods(34010002,_ServerLv) when _ServerLv >= 391, _ServerLv =< 430 ->
	#base_auction_goods{goods_id=34010002,server_lv_min=391,server_lv_max=430,type=1,guild_price_type=1,guild_base_price=1350,guild_add_price=20,guild_one_price=2700,world_price_type=1,world_base_price=1350,world_add_price=20,world_one_price=2700,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=2400,personal_base_price=1350,personal_one_price=2700};
get_goods(34010002,_ServerLv) when _ServerLv >= 431, _ServerLv =< 500 ->
	#base_auction_goods{goods_id=34010002,server_lv_min=431,server_lv_max=500,type=1,guild_price_type=1,guild_base_price=1200,guild_add_price=20,guild_one_price=2400,world_price_type=1,world_base_price=1200,world_add_price=20,world_one_price=2400,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=2250,personal_base_price=1200,personal_one_price=2400};
get_goods(34010002,_ServerLv) when _ServerLv >= 501, _ServerLv =< 560 ->
	#base_auction_goods{goods_id=34010002,server_lv_min=501,server_lv_max=560,type=1,guild_price_type=1,guild_base_price=1125,guild_add_price=20,guild_one_price=2250,world_price_type=1,world_base_price=1125,world_add_price=20,world_one_price=2250,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=2250,personal_base_price=1125,personal_one_price=2250};
get_goods(34010002,_ServerLv) when _ServerLv >= 561, _ServerLv =< 610 ->
	#base_auction_goods{goods_id=34010002,server_lv_min=561,server_lv_max=610,type=1,guild_price_type=1,guild_base_price=1050,guild_add_price=20,guild_one_price=2100,world_price_type=1,world_base_price=1050,world_add_price=20,world_one_price=2100,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=2100,personal_base_price=1050,personal_one_price=2100};
get_goods(34010002,_ServerLv) when _ServerLv >= 611, _ServerLv =< 660 ->
	#base_auction_goods{goods_id=34010002,server_lv_min=611,server_lv_max=660,type=1,guild_price_type=1,guild_base_price=975,guild_add_price=20,guild_one_price=1950,world_price_type=1,world_base_price=975,world_add_price=20,world_one_price=1950,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=2100,personal_base_price=975,personal_one_price=1950};
get_goods(34010002,_ServerLv) when _ServerLv >= 661, _ServerLv =< 750 ->
	#base_auction_goods{goods_id=34010002,server_lv_min=661,server_lv_max=750,type=1,guild_price_type=1,guild_base_price=900,guild_add_price=20,guild_one_price=1800,world_price_type=1,world_base_price=900,world_add_price=20,world_one_price=1800,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1950,personal_base_price=900,personal_one_price=1800};
get_goods(34010002,_ServerLv) when _ServerLv >= 751, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=34010002,server_lv_min=751,server_lv_max=1000,type=1,guild_price_type=1,guild_base_price=750,guild_add_price=20,guild_one_price=1500,world_price_type=1,world_base_price=750,world_add_price=20,world_one_price=1500,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=1950,personal_base_price=750,personal_one_price=1500};
get_goods(38280620,_ServerLv) when _ServerLv >= 1, _ServerLv =< 1000 ->
	#base_auction_goods{goods_id=38280620,server_lv_min=1,server_lv_max=1000,type=2,guild_price_type=1,guild_base_price=200,guild_add_price=20,guild_one_price=400,world_price_type=1,world_base_price=200,world_add_price=20,world_one_price=400,price_add_ratio=0,server_lv=0,gold_type=1,price_types=1,world_price=400,personal_base_price=200,personal_one_price=400};
get_goods(_Goods_id,_ServerLv) ->
    [].

get_act(_,_) ->
    [].

opday_slot_list() ->
    [].

cfg_id_list(_Opdayslot) ->
    [].

get_liveness_tax(_Liveness) when _Liveness >= 0, _Liveness =< 16 ->
		100;
get_liveness_tax(_Liveness) when _Liveness >= 17, _Liveness =< 33 ->
		99;
get_liveness_tax(_Liveness) when _Liveness >= 34, _Liveness =< 50 ->
		98;
get_liveness_tax(_Liveness) when _Liveness >= 51, _Liveness =< 67 ->
		97;
get_liveness_tax(_Liveness) when _Liveness >= 68, _Liveness =< 84 ->
		96;
get_liveness_tax(_Liveness) when _Liveness >= 85, _Liveness =< 101 ->
		95;
get_liveness_tax(_Liveness) when _Liveness >= 102, _Liveness =< 118 ->
		93;
get_liveness_tax(_Liveness) when _Liveness >= 119, _Liveness =< 135 ->
		92;
get_liveness_tax(_Liveness) when _Liveness >= 136, _Liveness =< 152 ->
		90;
get_liveness_tax(_Liveness) when _Liveness >= 153, _Liveness =< 169 ->
		89;
get_liveness_tax(_Liveness) when _Liveness >= 170, _Liveness =< 186 ->
		87;
get_liveness_tax(_Liveness) when _Liveness >= 187, _Liveness =< 197 ->
		85;
get_liveness_tax(_Liveness) when _Liveness >= 198, _Liveness =< 208 ->
		84;
get_liveness_tax(_Liveness) when _Liveness >= 209, _Liveness =< 219 ->
		82;
get_liveness_tax(_Liveness) when _Liveness >= 220, _Liveness =< 230 ->
		80;
get_liveness_tax(_Liveness) when _Liveness >= 231, _Liveness =< 241 ->
		78;
get_liveness_tax(_Liveness) when _Liveness >= 242, _Liveness =< 252 ->
		77;
get_liveness_tax(_Liveness) when _Liveness >= 253, _Liveness =< 263 ->
		75;
get_liveness_tax(_Liveness) when _Liveness >= 264, _Liveness =< 271 ->
		73;
get_liveness_tax(_Liveness) when _Liveness >= 272, _Liveness =< 279 ->
		72;
get_liveness_tax(_Liveness) when _Liveness >= 280, _Liveness =< 287 ->
		70;
get_liveness_tax(_Liveness) when _Liveness >= 288, _Liveness =< 295 ->
		69;
get_liveness_tax(_Liveness) when _Liveness >= 296, _Liveness =< 303 ->
		67;
get_liveness_tax(_Liveness) when _Liveness >= 304, _Liveness =< 311 ->
		65;
get_liveness_tax(_Liveness) when _Liveness >= 312, _Liveness =< 319 ->
		64;
get_liveness_tax(_Liveness) when _Liveness >= 320, _Liveness =< 327 ->
		62;
get_liveness_tax(_Liveness) when _Liveness >= 328, _Liveness =< 335 ->
		61;
get_liveness_tax(_Liveness) when _Liveness >= 336, _Liveness =< 343 ->
		59;
get_liveness_tax(_Liveness) when _Liveness >= 344, _Liveness =< 349 ->
		58;
get_liveness_tax(_Liveness) when _Liveness >= 350, _Liveness =< 355 ->
		56;
get_liveness_tax(_Liveness) when _Liveness >= 356, _Liveness =< 361 ->
		55;
get_liveness_tax(_Liveness) when _Liveness >= 362, _Liveness =< 367 ->
		54;
get_liveness_tax(_Liveness) when _Liveness >= 368, _Liveness =< 373 ->
		52;
get_liveness_tax(_Liveness) when _Liveness >= 374, _Liveness =< 379 ->
		51;
get_liveness_tax(_Liveness) when _Liveness >= 380, _Liveness =< 385 ->
		50;
get_liveness_tax(_Liveness) when _Liveness >= 386, _Liveness =< 391 ->
		48;
get_liveness_tax(_Liveness) when _Liveness >= 392, _Liveness =< 397 ->
		47;
get_liveness_tax(_Liveness) when _Liveness >= 398, _Liveness =< 403 ->
		45;
get_liveness_tax(_Liveness) when _Liveness >= 404, _Liveness =< 409 ->
		44;
get_liveness_tax(_Liveness) when _Liveness >= 410, _Liveness =< 415 ->
		43;
get_liveness_tax(_Liveness) when _Liveness >= 416, _Liveness =< 421 ->
		41;
get_liveness_tax(_Liveness) when _Liveness >= 422, _Liveness =< 427 ->
		40;
get_liveness_tax(_Liveness) when _Liveness >= 428, _Liveness =< 432 ->
		39;
get_liveness_tax(_Liveness) when _Liveness >= 433, _Liveness =< 437 ->
		38;
get_liveness_tax(_Liveness) when _Liveness >= 438, _Liveness =< 442 ->
		36;
get_liveness_tax(_Liveness) when _Liveness >= 443, _Liveness =< 447 ->
		35;
get_liveness_tax(_Liveness) when _Liveness >= 448, _Liveness =< 452 ->
		34;
get_liveness_tax(_Liveness) when _Liveness >= 453, _Liveness =< 457 ->
		33;
get_liveness_tax(_Liveness) when _Liveness >= 458, _Liveness =< 462 ->
		32;
get_liveness_tax(_Liveness) when _Liveness >= 463, _Liveness =< 467 ->
		31;
get_liveness_tax(_Liveness) when _Liveness >= 468, _Liveness =< 472 ->
		29;
get_liveness_tax(_Liveness) when _Liveness >= 473, _Liveness =< 477 ->
		28;
get_liveness_tax(_Liveness) when _Liveness >= 478, _Liveness =< 482 ->
		27;
get_liveness_tax(_Liveness) when _Liveness >= 483, _Liveness =< 487 ->
		26;
get_liveness_tax(_Liveness) when _Liveness >= 488, _Liveness =< 492 ->
		25;
get_liveness_tax(_Liveness) when _Liveness >= 493, _Liveness =< 497 ->
		24;
get_liveness_tax(_Liveness) when _Liveness >= 498, _Liveness =< 502 ->
		22;
get_liveness_tax(_Liveness) when _Liveness >= 503, _Liveness =< 507 ->
		21;
get_liveness_tax(_Liveness) when _Liveness >= 508, _Liveness =< 512 ->
		20;
get_liveness_tax(_Liveness) when _Liveness >= 513, _Liveness =< 597 ->
		20;
get_liveness_tax(_Liveness) when _Liveness >= 598, _Liveness =< 682 ->
		19;
get_liveness_tax(_Liveness) when _Liveness >= 683, _Liveness =< 767 ->
		18;
get_liveness_tax(_Liveness) when _Liveness >= 768, _Liveness =< 852 ->
		17;
get_liveness_tax(_Liveness) when _Liveness >= 853, _Liveness =< 937 ->
		16;
get_liveness_tax(_Liveness) when _Liveness >= 938, _Liveness =< 1022 ->
		15;
get_liveness_tax(_Liveness) when _Liveness >= 1023, _Liveness =< 1359 ->
		15;
get_liveness_tax(_Liveness) when _Liveness >= 1360, _Liveness =< 1696 ->
		14;
get_liveness_tax(_Liveness) when _Liveness >= 1697, _Liveness =< 2033 ->
		13;
get_liveness_tax(_Liveness) when _Liveness >= 2034, _Liveness =< 2370 ->
		12;
get_liveness_tax(_Liveness) when _Liveness >= 2371, _Liveness =< 2707 ->
		11;
get_liveness_tax(_Liveness) when _Liveness >= 2708, _Liveness =< 3044 ->
		10;
get_liveness_tax(_Liveness) when _Liveness >= 3045, _Liveness =< 3381 ->
		9;
get_liveness_tax(_Liveness) when _Liveness >= 3382, _Liveness =< 3802 ->
		8;
get_liveness_tax(_Liveness) when _Liveness >= 3803, _Liveness =< 4223 ->
		7;
get_liveness_tax(_Liveness) when _Liveness >= 4224, _Liveness =< 4644 ->
		6;
get_liveness_tax(_Liveness) when _Liveness >= 4645, _Liveness =< 5065 ->
		5;
get_liveness_tax(_Liveness) when _Liveness >= 5066, _Liveness =< 5486 ->
		4;
get_liveness_tax(_Liveness) when _Liveness >= 5487, _Liveness =< 84363 ->
		4;
get_liveness_tax(_Liveness) when _Liveness >= 84364, _Liveness =< 163240 ->
		3;
get_liveness_tax(_Liveness) when _Liveness >= 163241, _Liveness =< 263240 ->
		3;
get_liveness_tax(_Liveness) when _Liveness >= 263241, _Liveness =< 363240 ->
		3;
get_liveness_tax(_Liveness) when _Liveness >= 363241, _Liveness =< 463240 ->
		3;
get_liveness_tax(_Liveness) when _Liveness >= 463241, _Liveness =< 563240 ->
		3;
get_liveness_tax(_Liveness) when _Liveness >= 563241, _Liveness =< 663240 ->
		3;
get_liveness_tax(_Liveness) ->
    0.

get_mem_tax(_Mem) when _Mem >= 1, _Mem =< 1 ->
		80;
get_mem_tax(_Mem) when _Mem >= 2, _Mem =< 3 ->
		40;
get_mem_tax(_Mem) when _Mem >= 4, _Mem =< 5 ->
		20;
get_mem_tax(_Mem) when _Mem >= 6, _Mem =< 10 ->
		15;
get_mem_tax(_Mem) when _Mem >= 11, _Mem =< 15 ->
		10;
get_mem_tax(_Mem) when _Mem >= 16, _Mem =< 20 ->
		5;
get_mem_tax(_Mem) when _Mem >= 21, _Mem =< 999 ->
		3;
get_mem_tax(_Mem) ->
    0.

get_keyvalues(1) ->
    #base_auction_keyvalues{id = 1,value = 60,about = "流拍分红折扣(百分制，60表示只取拍出分红的60%)"};

get_keyvalues(_Id) ->
    [].

