%%%---------------------------------------
%%% module      : data_currencywish
%%% description : 货币祈愿配置
%%%
%%%---------------------------------------
-module(data_currencywish).
-compile(export_all).



%%豪华祈愿免费次数CD(S)
get_currencywish_kv(prayer_1) ->
    [259200];

%%豪华祈愿每日兑换次数
get_currencywish_kv(prayer_times_1) ->
    [15];

%%经验祈愿每日兑换次数
get_currencywish_kv(prayer_times_2) ->
    [10];

get_currencywish_kv(_Key) ->
    [].

get_wish_config(0,Lv,WishCount) when Lv >= 1, Lv =< 9999, WishCount >= 0, WishCount =< 9999 ->
		[0,[{0,101014,1}],[{3,100002,10}],0,[]];
get_wish_config(1,Lv,WishCount) when Lv >= 1, Lv =< 9999, WishCount >= 0, WishCount =< 10 ->
		[1,[{1,100000,40}],[{3,100002,600}],100,[1,3]];
get_wish_config(1,Lv,WishCount) when Lv >= 1, Lv =< 9999, WishCount >= 11, WishCount =< 50 ->
		[1,[{1,100000,40}],[{3,100002,600}],50,[5,10]];
get_wish_config(1,Lv,WishCount) when Lv >= 1, Lv =< 9999, WishCount >= 51, WishCount =< 100 ->
		[1,[{1,100000,40}],[{3,100002,600}],15,[2,6]];
get_wish_config(1,Lv,WishCount) when Lv >= 1, Lv =< 9999, WishCount >= 100, WishCount =< 9999 ->
		[1,[{1,100000,40}],[{3,100002,600}],10,[3,8]];
get_wish_config(2,Lv,WishCount) when Lv >= 48, Lv =< 100, WishCount >= 0, WishCount =< 5 ->
		[2,[{1,100000,40}],[{5,100007,100000}],100,[3,3]];
get_wish_config(2,Lv,WishCount) when Lv >= 48, Lv =< 100, WishCount >= 6, WishCount =< 50 ->
		[2,[{1,100000,40}],[{5,100007,100000}],50,[5,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 48, Lv =< 100, WishCount >= 51, WishCount =< 100 ->
		[2,[{1,100000,40}],[{5,100007,100000}],15,[2,6]];
get_wish_config(2,Lv,WishCount) when Lv >= 48, Lv =< 100, WishCount >= 100, WishCount =< 9999 ->
		[2,[{1,100000,40}],[{5,100007,100000}],10,[3,8]];
get_wish_config(2,Lv,WishCount) when Lv >= 101, Lv =< 180, WishCount >= 0, WishCount =< 5 ->
		[2,[{1,100000,40}],[{5,100007,100000}],100,[1,4]];
get_wish_config(2,Lv,WishCount) when Lv >= 101, Lv =< 180, WishCount >= 6, WishCount =< 6 ->
		[2,[{1,100000,40}],[{5,100007,100000}],80,[10,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 101, Lv =< 180, WishCount >= 7, WishCount =< 999 ->
		[2,[{1,100000,40}],[{5,100007,100000}],20,[5,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 181, Lv =< 210, WishCount >= 0, WishCount =< 5 ->
		[2,[{1,100000,40}],[{5,100007,200000}],100,[1,4]];
get_wish_config(2,Lv,WishCount) when Lv >= 181, Lv =< 210, WishCount >= 6, WishCount =< 6 ->
		[2,[{1,100000,40}],[{5,100007,200000}],80,[10,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 181, Lv =< 210, WishCount >= 7, WishCount =< 999 ->
		[2,[{1,100000,40}],[{5,100007,200000}],20,[5,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 211, Lv =< 230, WishCount >= 0, WishCount =< 5 ->
		[2,[{1,100000,40}],[{5,100007,200000}],100,[1,4]];
get_wish_config(2,Lv,WishCount) when Lv >= 211, Lv =< 230, WishCount >= 6, WishCount =< 6 ->
		[2,[{1,100000,40}],[{5,100007,200000}],80,[10,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 211, Lv =< 230, WishCount >= 7, WishCount =< 999 ->
		[2,[{1,100000,40}],[{5,100007,200000}],20,[5,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 231, Lv =< 245, WishCount >= 0, WishCount =< 5 ->
		[2,[{1,100000,40}],[{5,100007,200000}],100,[1,4]];
get_wish_config(2,Lv,WishCount) when Lv >= 231, Lv =< 245, WishCount >= 6, WishCount =< 6 ->
		[2,[{1,100000,40}],[{5,100007,200000}],80,[10,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 231, Lv =< 245, WishCount >= 7, WishCount =< 999 ->
		[2,[{1,100000,40}],[{5,100007,200000}],20,[5,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 246, Lv =< 280, WishCount >= 0, WishCount =< 5 ->
		[2,[{1,100000,40}],[{5,100007,250000}],100,[1,4]];
get_wish_config(2,Lv,WishCount) when Lv >= 246, Lv =< 280, WishCount >= 6, WishCount =< 6 ->
		[2,[{1,100000,40}],[{5,100007,250000}],80,[10,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 246, Lv =< 280, WishCount >= 7, WishCount =< 999 ->
		[2,[{1,100000,40}],[{5,100007,250000}],20,[5,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 281, Lv =< 300, WishCount >= 0, WishCount =< 5 ->
		[2,[{1,100000,40}],[{5,100007,300000}],100,[1,4]];
get_wish_config(2,Lv,WishCount) when Lv >= 281, Lv =< 300, WishCount >= 6, WishCount =< 6 ->
		[2,[{1,100000,40}],[{5,100007,300000}],80,[10,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 281, Lv =< 300, WishCount >= 7, WishCount =< 999 ->
		[2,[{1,100000,40}],[{5,100007,300000}],20,[5,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 301, Lv =< 335, WishCount >= 0, WishCount =< 5 ->
		[2,[{1,100000,40}],[{5,100007,400000}],100,[1,4]];
get_wish_config(2,Lv,WishCount) when Lv >= 301, Lv =< 335, WishCount >= 6, WishCount =< 6 ->
		[2,[{1,100000,40}],[{5,100007,400000}],80,[10,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 301, Lv =< 335, WishCount >= 7, WishCount =< 999 ->
		[2,[{1,100000,40}],[{5,100007,400000}],20,[5,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 336, Lv =< 380, WishCount >= 0, WishCount =< 5 ->
		[2,[{1,100000,40}],[{5,100007,500000}],100,[1,4]];
get_wish_config(2,Lv,WishCount) when Lv >= 336, Lv =< 380, WishCount >= 6, WishCount =< 6 ->
		[2,[{1,100000,40}],[{5,100007,500000}],80,[10,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 336, Lv =< 380, WishCount >= 7, WishCount =< 999 ->
		[2,[{1,100000,40}],[{5,100007,500000}],20,[5,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 381, Lv =< 430, WishCount >= 0, WishCount =< 5 ->
		[2,[{1,100000,40}],[{5,100007,750000}],100,[1,4]];
get_wish_config(2,Lv,WishCount) when Lv >= 381, Lv =< 430, WishCount >= 6, WishCount =< 6 ->
		[2,[{1,100000,40}],[{5,100007,750000}],80,[10,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 381, Lv =< 430, WishCount >= 7, WishCount =< 999 ->
		[2,[{1,100000,40}],[{5,100007,750000}],20,[5,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 431, Lv =< 480, WishCount >= 0, WishCount =< 5 ->
		[2,[{1,100000,40}],[{5,100007,1000000}],100,[1,4]];
get_wish_config(2,Lv,WishCount) when Lv >= 431, Lv =< 480, WishCount >= 6, WishCount =< 6 ->
		[2,[{1,100000,40}],[{5,100007,1000000}],80,[10,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 431, Lv =< 480, WishCount >= 7, WishCount =< 999 ->
		[2,[{1,100000,40}],[{5,100007,1000000}],20,[5,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 481, Lv =< 9999, WishCount >= 0, WishCount =< 5 ->
		[2,[{1,100000,40}],[{5,100007,1500000}],100,[1,4]];
get_wish_config(2,Lv,WishCount) when Lv >= 481, Lv =< 9999, WishCount >= 6, WishCount =< 6 ->
		[2,[{1,100000,40}],[{5,100007,1500000}],80,[10,10]];
get_wish_config(2,Lv,WishCount) when Lv >= 481, Lv =< 9999, WishCount >= 7, WishCount =< 999 ->
		[2,[{1,100000,40}],[{5,100007,1500000}],20,[5,10]];
get_wish_config(_Type,_Lv,_WishCount) ->
    [].

