%%%---------------------------------------
%%% module      : data_customer_service
%%% description : 客服信息配置
%%%
%%%---------------------------------------
-module(data_customer_service).
-compile(export_all).
-include("customer_service.hrl").



get_cfg(1) ->
    #base_customer_service{id = 1,display = 1,display_code = 0,keyword = "sy",medium = "mr_suyou_fkys",link_info_1 = "",link_info_2 = "客服QQ：<color@4>3068375943</color>",code_path = "xwangame",remark = "添加客服QQ，咨询游戏问题",work_time = "10:00-22:00"};

get_cfg(2) ->
    #base_customer_service{id = 2,display = 1,display_code = 0,keyword = "suyou",medium = "mr_suyou_fkys",link_info_1 = "",link_info_2 = "客服QQ：<color@4>3068375943</color>",code_path = "xwangame",remark = "添加客服QQ，咨询游戏问题",work_time = "10:00-22:00"};

get_cfg(14) ->
    #base_customer_service{id = 14,display = 1,display_code = 0,keyword = "mrsddev",medium = "mrzj_develop",link_info_1 = "",link_info_2 = "客服QQ：<color@4>3068375943</color>",code_path = "xwangame",remark = "添加客服QQ，咨询游戏问题",work_time = "10:00-22:00"};

get_cfg(21) ->
    #base_customer_service{id = 21,display = 1,display_code = 0,keyword = "sy",medium = "mr_suyou_fkys_v2",link_info_1 = "",link_info_2 = "客服QQ：<color@4>3068375943</color>",code_path = "xwangame",remark = "添加客服QQ，咨询游戏问题",work_time = "10:00-22:00"};

get_cfg(22) ->
    #base_customer_service{id = 22,display = 1,display_code = 0,keyword = "suyou",medium = "mr_suyou_fkys_v2",link_info_1 = "",link_info_2 = "客服QQ：<color@4>3068375943</color>",code_path = "xwangame",remark = "添加客服QQ，咨询游戏问题",work_time = "10:00-22:00"};

get_cfg(_Id) ->
    [].

get_ids() ->
    [1,2,14,21,22].

get_vip_cfg(1) ->
    #base_customer_service_vip{id = 1,display = 1,keyword = "ml",medium = "bf_ml",menu_gold = 5000,qq_gold = 10000,qq = "800081361"};

get_vip_cfg(2) ->
    #base_customer_service_vip{id = 2,display = 1,keyword = "ml",medium = "bf_ml_1340040",menu_gold = 5000,qq_gold = 10000,qq = "800081361"};

get_vip_cfg(3) ->
    #base_customer_service_vip{id = 3,display = 1,keyword = "ml",medium = "bf_ml_1340137",menu_gold = 5000,qq_gold = 10000,qq = "800081361"};

get_vip_cfg(4) ->
    #base_customer_service_vip{id = 4,display = 1,keyword = "ml",medium = "bf_ml_1340140",menu_gold = 5000,qq_gold = 10000,qq = "800081361"};

get_vip_cfg(5) ->
    #base_customer_service_vip{id = 5,display = 1,keyword = "ml",medium = "bf_ml_1340237",menu_gold = 5000,qq_gold = 10000,qq = "800081361"};

get_vip_cfg(6) ->
    #base_customer_service_vip{id = 6,display = 1,keyword = "ml",medium = "bf_ml_1340240",menu_gold = 5000,qq_gold = 10000,qq = "800081361"};

get_vip_cfg(7) ->
    #base_customer_service_vip{id = 7,display = 1,keyword = "ml",medium = "bf_ml_ios",menu_gold = 5000,qq_gold = 10000,qq = "800081361"};

get_vip_cfg(8) ->
    #base_customer_service_vip{id = 8,display = 1,keyword = "ml",medium = "bf_ml_ios_1340940",menu_gold = 5000,qq_gold = 10000,qq = "800081361"};

get_vip_cfg(9) ->
    #base_customer_service_vip{id = 9,display = 1,keyword = "suyou",medium = "bf_suyou_wzqst",menu_gold = 3000,qq_gold = 5000,qq = "1472631382"};

get_vip_cfg(_Id) ->
    [].

get_vip_ids() ->
    [1,2,3,4,5,6,7,8,9].

