%%%---------------------------------------
%%% module      : data_fashion_workroom
%%% description : 时装工坊配置
%%%
%%%---------------------------------------
-module(data_fashion_workroom).
-compile(export_all).
-include("fashion_workroom.hrl").




get_kv_cfg(store_refresh_num) ->
    3;


get_kv_cfg(store_refresh_time) ->
    10800;


get_kv_cfg(store_refresh_goods) ->
    [{0,102200,2}];


get_kv_cfg(store_recovery_num) ->
    3;


get_kv_cfg(store_goodstype) ->
    3;

get_kv_cfg(_Key) ->
    [].

get_forge_goods(410002) ->
    #base_workroom_forge{fashion_type = 1,goods_id = 410002,cost = [{0,601003,2},{0,601002,2},{0,601001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 5};

get_forge_goods(410003) ->
    #base_workroom_forge{fashion_type = 1,goods_id = 410003,cost = [{0,601003,2},{0,601002,2},{0,601001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 2};

get_forge_goods(410043) ->
    #base_workroom_forge{fashion_type = 1,goods_id = 410043,cost = [{0,601003,2},{0,601002,2},{0,601001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 8};

get_forge_goods(410052) ->
    #base_workroom_forge{fashion_type = 1,goods_id = 410052,cost = [{0,601003,2},{0,601002,2},{0,601001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 6};

get_forge_goods(410053) ->
    #base_workroom_forge{fashion_type = 1,goods_id = 410053,cost = [{0,601002,6},{0,601001,12}],open_day = 0,open_time = 0,is_recommend = 1,sequence = 1};

get_forge_goods(410062) ->
    #base_workroom_forge{fashion_type = 1,goods_id = 410062,cost = [{0,601003,2},{0,601002,2},{0,601001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 4};

get_forge_goods(410063) ->
    #base_workroom_forge{fashion_type = 1,goods_id = 410063,cost = [{0,601003,2},{0,601002,2},{0,601001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 9};

get_forge_goods(410072) ->
    #base_workroom_forge{fashion_type = 1,goods_id = 410072,cost = [{0,601003,2},{0,601002,2},{0,601001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 7};

get_forge_goods(410073) ->
    #base_workroom_forge{fashion_type = 1,goods_id = 410073,cost = [{0,601003,2},{0,601002,2},{0,601001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 10};

get_forge_goods(410082) ->
    #base_workroom_forge{fashion_type = 1,goods_id = 410082,cost = [{0,601003,2},{0,601002,2},{0,601001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 3};

get_forge_goods(413011) ->
    #base_workroom_forge{fashion_type = 2,goods_id = 413011,cost = [{0,602002,4},{0,602001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 10};

get_forge_goods(413031) ->
    #base_workroom_forge{fashion_type = 2,goods_id = 413031,cost = [{0,602002,4},{0,602001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 5};

get_forge_goods(413041) ->
    #base_workroom_forge{fashion_type = 2,goods_id = 413041,cost = [{0,602002,4},{0,602001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 7};

get_forge_goods(413081) ->
    #base_workroom_forge{fashion_type = 2,goods_id = 413081,cost = [{0,602002,4},{0,602001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 4};

get_forge_goods(413091) ->
    #base_workroom_forge{fashion_type = 2,goods_id = 413091,cost = [{0,602002,4},{0,602001,4}],open_day = 0,open_time = 0,is_recommend = 1,sequence = 1};

get_forge_goods(413101) ->
    #base_workroom_forge{fashion_type = 2,goods_id = 413101,cost = [{0,602002,4},{0,602001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 3};

get_forge_goods(413121) ->
    #base_workroom_forge{fashion_type = 2,goods_id = 413121,cost = [{0,602002,4},{0,602001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 9};

get_forge_goods(413151) ->
    #base_workroom_forge{fashion_type = 2,goods_id = 413151,cost = [{0,602002,4},{0,602001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 8};

get_forge_goods(413181) ->
    #base_workroom_forge{fashion_type = 2,goods_id = 413181,cost = [{0,602002,4},{0,602001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 6};

get_forge_goods(413191) ->
    #base_workroom_forge{fashion_type = 2,goods_id = 413191,cost = [{0,602002,4},{0,602001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 2};

get_forge_goods(416011) ->
    #base_workroom_forge{fashion_type = 3,goods_id = 416011,cost = [{0,603003,1},{0,603002,3},{0,603001,5}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 6};

get_forge_goods(416031) ->
    #base_workroom_forge{fashion_type = 3,goods_id = 416031,cost = [{0,603003,1},{0,603002,3},{0,603001,5}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 4};

get_forge_goods(416051) ->
    #base_workroom_forge{fashion_type = 3,goods_id = 416051,cost = [{0,603003,1},{0,603002,3},{0,603001,5}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 7};

get_forge_goods(416071) ->
    #base_workroom_forge{fashion_type = 3,goods_id = 416071,cost = [{0,603003,1},{0,603002,3},{0,603001,5}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 8};

get_forge_goods(416081) ->
    #base_workroom_forge{fashion_type = 3,goods_id = 416081,cost = [{0,603002,5},{0,603001,9}],open_day = 0,open_time = 0,is_recommend = 1,sequence = 1};

get_forge_goods(416091) ->
    #base_workroom_forge{fashion_type = 3,goods_id = 416091,cost = [{0,603003,1},{0,603002,3},{0,603001,5}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 3};

get_forge_goods(416101) ->
    #base_workroom_forge{fashion_type = 3,goods_id = 416101,cost = [{0,603003,1},{0,603002,3},{0,603001,5}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 10};

get_forge_goods(416121) ->
    #base_workroom_forge{fashion_type = 3,goods_id = 416121,cost = [{0,603003,1},{0,603002,3},{0,603001,5}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 2};

get_forge_goods(416141) ->
    #base_workroom_forge{fashion_type = 3,goods_id = 416141,cost = [{0,603003,1},{0,603002,3},{0,603001,5}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 9};

get_forge_goods(416161) ->
    #base_workroom_forge{fashion_type = 3,goods_id = 416161,cost = [{0,603003,1},{0,603002,3},{0,603001,5}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 5};

get_forge_goods(418011) ->
    #base_workroom_forge{fashion_type = 4,goods_id = 418011,cost = [{0,604003,1},{0,604002,2},{0,604001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 5};

get_forge_goods(418021) ->
    #base_workroom_forge{fashion_type = 4,goods_id = 418021,cost = [{0,604003,1},{0,604002,2},{0,604001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 4};

get_forge_goods(418031) ->
    #base_workroom_forge{fashion_type = 4,goods_id = 418031,cost = [{0,604002,5},{0,604001,5}],open_day = 0,open_time = 0,is_recommend = 1,sequence = 1};

get_forge_goods(418041) ->
    #base_workroom_forge{fashion_type = 4,goods_id = 418041,cost = [{0,604003,1},{0,604002,2},{0,604001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 10};

get_forge_goods(418051) ->
    #base_workroom_forge{fashion_type = 4,goods_id = 418051,cost = [{0,604003,1},{0,604002,2},{0,604001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 3};

get_forge_goods(418061) ->
    #base_workroom_forge{fashion_type = 4,goods_id = 418061,cost = [{0,604003,1},{0,604002,2},{0,604001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 2};

get_forge_goods(418071) ->
    #base_workroom_forge{fashion_type = 4,goods_id = 418071,cost = [{0,604003,1},{0,604002,2},{0,604001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 6};

get_forge_goods(418081) ->
    #base_workroom_forge{fashion_type = 4,goods_id = 418081,cost = [{0,604003,1},{0,604002,2},{0,604001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 7};

get_forge_goods(418091) ->
    #base_workroom_forge{fashion_type = 4,goods_id = 418091,cost = [{0,604003,1},{0,604002,2},{0,604001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 8};

get_forge_goods(418101) ->
    #base_workroom_forge{fashion_type = 4,goods_id = 418101,cost = [{0,604003,1},{0,604002,2},{0,604001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 9};

get_forge_goods(412002) ->
    #base_workroom_forge{fashion_type = 5,goods_id = 412002,cost = [{0,605002,2},{0,605001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 5};

get_forge_goods(412003) ->
    #base_workroom_forge{fashion_type = 5,goods_id = 412003,cost = [{0,605002,2},{0,605001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 2};

get_forge_goods(412043) ->
    #base_workroom_forge{fashion_type = 5,goods_id = 412043,cost = [{0,605002,2},{0,605001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 8};

get_forge_goods(412052) ->
    #base_workroom_forge{fashion_type = 5,goods_id = 412052,cost = [{0,605002,2},{0,605001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 6};

get_forge_goods(412053) ->
    #base_workroom_forge{fashion_type = 5,goods_id = 412053,cost = [{0,605002,2},{0,605001,4}],open_day = 0,open_time = 0,is_recommend = 1,sequence = 1};

get_forge_goods(412062) ->
    #base_workroom_forge{fashion_type = 5,goods_id = 412062,cost = [{0,605002,2},{0,605001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 4};

get_forge_goods(412063) ->
    #base_workroom_forge{fashion_type = 5,goods_id = 412063,cost = [{0,605002,2},{0,605001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 9};

get_forge_goods(412072) ->
    #base_workroom_forge{fashion_type = 5,goods_id = 412072,cost = [{0,605002,2},{0,605001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 7};

get_forge_goods(412073) ->
    #base_workroom_forge{fashion_type = 5,goods_id = 412073,cost = [{0,605002,2},{0,605001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 10};

get_forge_goods(412082) ->
    #base_workroom_forge{fashion_type = 5,goods_id = 412082,cost = [{0,605002,2},{0,605001,4}],open_day = 0,open_time = 0,is_recommend = 0,sequence = 3};

get_forge_goods(_Goodsid) ->
    [].

get_suit(1) ->
    #base_workroom_suit{suit_id = 1,goods_list = [{1,410053},{2,413091},{3,416081},{4,418031},{5,412053}],sequence = 1,suit_name = "朋克时代",is_recommend = 1,attr_list = [{1,[{4,100}]},{2,[{1,150}]},{3,[{2,2000}]},{4,[{16,200}]},{5,[{15,300}]}]};

get_suit(2) ->
    #base_workroom_suit{suit_id = 2,goods_list = [{1,410003},{2,413191},{3,416121},{4,418061},{5,412003}],sequence = 2,suit_name = "离子未来",is_recommend = 1,attr_list = [{1,[{4,100}]},{2,[{1,150}]},{3,[{2,2000}]},{4,[{16,200}]},{5,[{15,300}]}]};

get_suit(3) ->
    #base_workroom_suit{suit_id = 3,goods_list = [{1,410082},{2,413101},{3,416091},{4,418051},{5,412082}],sequence = 3,suit_name = "流沙飞鱼",is_recommend = 1,attr_list = [{1,[{4,100}]},{2,[{1,150}]},{3,[{2,2000}]},{4,[{16,200}]},{5,[{15,300}]}]};

get_suit(4) ->
    #base_workroom_suit{suit_id = 4,goods_list = [{1,410062},{2,413081},{3,416031},{4,418021},{5,412062}],sequence = 4,suit_name = "电音派对",is_recommend = 0,attr_list = [{1,[{4,100}]},{2,[{1,150}]},{3,[{2,2000}]},{4,[{16,200}]},{5,[{15,300}]}]};

get_suit(5) ->
    #base_workroom_suit{suit_id = 5,goods_list = [{1,410002},{2,413031},{3,416161},{4,418011},{5,412002}],sequence = 5,suit_name = "科技之光",is_recommend = 0,attr_list = [{1,[{4,100}]},{2,[{1,150}]},{3,[{2,2000}]},{4,[{16,200}]},{5,[{15,300}]}]};

get_suit(6) ->
    #base_workroom_suit{suit_id = 6,goods_list = [{1,410052},{2,413181},{3,416011},{4,418071},{5,412052}],sequence = 6,suit_name = "凉爽一夏",is_recommend = 0,attr_list = [{1,[{4,100}]},{2,[{1,150}]},{3,[{2,2000}]},{4,[{16,200}]},{5,[{15,300}]}]};

get_suit(7) ->
    #base_workroom_suit{suit_id = 7,goods_list = [{1,410072},{2,413041},{3,416051},{4,418081},{5,412072}],sequence = 7,suit_name = "蔷薇使徒",is_recommend = 0,attr_list = [{1,[{4,100}]},{2,[{1,150}]},{3,[{2,2000}]},{4,[{16,200}]},{5,[{15,300}]}]};

get_suit(8) ->
    #base_workroom_suit{suit_id = 8,goods_list = [{1,410043},{2,413151},{3,416071},{4,418091},{5,412043}],sequence = 8,suit_name = "加班青年",is_recommend = 0,attr_list = [{1,[{4,100}]},{2,[{1,150}]},{3,[{2,2000}]},{4,[{16,200}]},{5,[{15,300}]}]};

get_suit(9) ->
    #base_workroom_suit{suit_id = 9,goods_list = [{1,410063},{2,413121},{3,416141},{4,418101},{5,412063}],sequence = 9,suit_name = "水果派对",is_recommend = 0,attr_list = [{1,[{4,100}]},{2,[{1,150}]},{3,[{2,2000}]},{4,[{16,200}]},{5,[{15,300}]}]};

get_suit(10) ->
    #base_workroom_suit{suit_id = 10,goods_list = [{1,410073},{2,413011},{3,416101},{4,418041},{5,412073}],sequence = 10,suit_name = "健康卫士",is_recommend = 0,attr_list = [{1,[{4,100}]},{2,[{1,150}]},{3,[{2,2000}]},{4,[{16,200}]},{5,[{15,300}]}]};

get_suit(_Suitid) ->
    [].

get_all_suit() ->
    [1,2,3,4,5,6,7,8,9,10].

get_suit_star(1,0) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 0,attr_list = [{1,100},{4,50},{2,1000}]};

get_suit_star(1,1) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 1,attr_list = [{1,200},{4,100},{2,2000}]};

get_suit_star(1,2) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 2,attr_list = [{1,300},{4,150},{2,3000}]};

get_suit_star(1,3) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 3,attr_list = [{1,400},{4,200},{2,4000}]};

get_suit_star(1,4) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 4,attr_list = [{1,500},{4,250},{2,5000}]};

get_suit_star(1,5) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 5,attr_list = [{1,600},{4,300},{2,6000},{64,100}]};

get_suit_star(1,6) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 6,attr_list = [{1,700},{4,350},{2,7000},{64,100}]};

get_suit_star(1,7) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 7,attr_list = [{1,800},{4,400},{2,8000},{64,100}]};

get_suit_star(1,8) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 8,attr_list = [{1,900},{4,450},{2,9000},{64,100}]};

get_suit_star(1,9) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 9,attr_list = [{1,1000},{4,500},{2,10000},{64,100}]};

get_suit_star(1,10) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 10,attr_list = [{1,1100},{4,550},{2,11000},{64,100},{65,100}]};

get_suit_star(1,11) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 11,attr_list = [{1,1200},{4,600},{2,12000},{64,100},{65,100}]};

get_suit_star(1,12) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 12,attr_list = [{1,1300},{4,650},{2,13000},{64,100},{65,100}]};

get_suit_star(1,13) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 13,attr_list = [{1,1400},{4,700},{2,14000},{64,100},{65,100}]};

get_suit_star(1,14) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 14,attr_list = [{1,1500},{4,750},{2,15000},{64,100},{65,100}]};

get_suit_star(1,15) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 15,attr_list = [{1,1600},{4,800},{2,16000},{64,100},{65,100},{66,100}]};

get_suit_star(1,16) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 16,attr_list = [{1,1700},{4,850},{2,17000},{64,100},{65,100},{66,100}]};

get_suit_star(1,17) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 17,attr_list = [{1,1800},{4,900},{2,18000},{64,100},{65,100},{66,100}]};

get_suit_star(1,18) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 18,attr_list = [{1,1900},{4,950},{2,19000},{64,100},{65,100},{66,100}]};

get_suit_star(1,19) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 19,attr_list = [{1,2000},{4,1000},{2,20000},{64,100},{65,100},{66,100}]};

get_suit_star(1,20) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 20,attr_list = [{1,2100},{4,1050},{2,21000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(1,21) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 21,attr_list = [{1,2200},{4,1100},{2,22000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(1,22) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 22,attr_list = [{1,2300},{4,1150},{2,23000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(1,23) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 23,attr_list = [{1,2400},{4,1200},{2,24000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(1,24) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 24,attr_list = [{1,2500},{4,1250},{2,25000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(1,25) ->
    #base_workroom_suit_star{suit_id = 1,sum_star = 25,attr_list = [{1,2600},{4,1300},{2,26000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(2,0) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 0,attr_list = [{1,100},{4,50},{2,1000}]};

get_suit_star(2,1) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 1,attr_list = [{1,200},{4,100},{2,2000}]};

get_suit_star(2,2) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 2,attr_list = [{1,300},{4,150},{2,3000}]};

get_suit_star(2,3) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 3,attr_list = [{1,400},{4,200},{2,4000}]};

get_suit_star(2,4) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 4,attr_list = [{1,500},{4,250},{2,5000}]};

get_suit_star(2,5) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 5,attr_list = [{1,600},{4,300},{2,6000},{64,100}]};

get_suit_star(2,6) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 6,attr_list = [{1,700},{4,350},{2,7000},{64,100}]};

get_suit_star(2,7) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 7,attr_list = [{1,800},{4,400},{2,8000},{64,100}]};

get_suit_star(2,8) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 8,attr_list = [{1,900},{4,450},{2,9000},{64,100}]};

get_suit_star(2,9) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 9,attr_list = [{1,1000},{4,500},{2,10000},{64,100}]};

get_suit_star(2,10) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 10,attr_list = [{1,1100},{4,550},{2,11000},{64,100},{65,100}]};

get_suit_star(2,11) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 11,attr_list = [{1,1200},{4,600},{2,12000},{64,100},{65,100}]};

get_suit_star(2,12) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 12,attr_list = [{1,1300},{4,650},{2,13000},{64,100},{65,100}]};

get_suit_star(2,13) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 13,attr_list = [{1,1400},{4,700},{2,14000},{64,100},{65,100}]};

get_suit_star(2,14) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 14,attr_list = [{1,1500},{4,750},{2,15000},{64,100},{65,100}]};

get_suit_star(2,15) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 15,attr_list = [{1,1600},{4,800},{2,16000},{64,100},{65,100},{66,100}]};

get_suit_star(2,16) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 16,attr_list = [{1,1700},{4,850},{2,17000},{64,100},{65,100},{66,100}]};

get_suit_star(2,17) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 17,attr_list = [{1,1800},{4,900},{2,18000},{64,100},{65,100},{66,100}]};

get_suit_star(2,18) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 18,attr_list = [{1,1900},{4,950},{2,19000},{64,100},{65,100},{66,100}]};

get_suit_star(2,19) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 19,attr_list = [{1,2000},{4,1000},{2,20000},{64,100},{65,100},{66,100}]};

get_suit_star(2,20) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 20,attr_list = [{1,2100},{4,1050},{2,21000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(2,21) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 21,attr_list = [{1,2200},{4,1100},{2,22000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(2,22) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 22,attr_list = [{1,2300},{4,1150},{2,23000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(2,23) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 23,attr_list = [{1,2400},{4,1200},{2,24000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(2,24) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 24,attr_list = [{1,2500},{4,1250},{2,25000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(2,25) ->
    #base_workroom_suit_star{suit_id = 2,sum_star = 25,attr_list = [{1,2600},{4,1300},{2,26000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(3,0) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 0,attr_list = [{1,100},{4,50},{2,1000}]};

get_suit_star(3,1) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 1,attr_list = [{1,200},{4,100},{2,2000}]};

get_suit_star(3,2) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 2,attr_list = [{1,300},{4,150},{2,3000}]};

get_suit_star(3,3) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 3,attr_list = [{1,400},{4,200},{2,4000}]};

get_suit_star(3,4) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 4,attr_list = [{1,500},{4,250},{2,5000}]};

get_suit_star(3,5) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 5,attr_list = [{1,600},{4,300},{2,6000},{64,100}]};

get_suit_star(3,6) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 6,attr_list = [{1,700},{4,350},{2,7000},{64,100}]};

get_suit_star(3,7) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 7,attr_list = [{1,800},{4,400},{2,8000},{64,100}]};

get_suit_star(3,8) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 8,attr_list = [{1,900},{4,450},{2,9000},{64,100}]};

get_suit_star(3,9) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 9,attr_list = [{1,1000},{4,500},{2,10000},{64,100}]};

get_suit_star(3,10) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 10,attr_list = [{1,1100},{4,550},{2,11000},{64,100},{65,100}]};

get_suit_star(3,11) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 11,attr_list = [{1,1200},{4,600},{2,12000},{64,100},{65,100}]};

get_suit_star(3,12) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 12,attr_list = [{1,1300},{4,650},{2,13000},{64,100},{65,100}]};

get_suit_star(3,13) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 13,attr_list = [{1,1400},{4,700},{2,14000},{64,100},{65,100}]};

get_suit_star(3,14) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 14,attr_list = [{1,1500},{4,750},{2,15000},{64,100},{65,100}]};

get_suit_star(3,15) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 15,attr_list = [{1,1600},{4,800},{2,16000},{64,100},{65,100},{66,100}]};

get_suit_star(3,16) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 16,attr_list = [{1,1700},{4,850},{2,17000},{64,100},{65,100},{66,100}]};

get_suit_star(3,17) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 17,attr_list = [{1,1800},{4,900},{2,18000},{64,100},{65,100},{66,100}]};

get_suit_star(3,18) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 18,attr_list = [{1,1900},{4,950},{2,19000},{64,100},{65,100},{66,100}]};

get_suit_star(3,19) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 19,attr_list = [{1,2000},{4,1000},{2,20000},{64,100},{65,100},{66,100}]};

get_suit_star(3,20) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 20,attr_list = [{1,2100},{4,1050},{2,21000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(3,21) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 21,attr_list = [{1,2200},{4,1100},{2,22000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(3,22) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 22,attr_list = [{1,2300},{4,1150},{2,23000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(3,23) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 23,attr_list = [{1,2400},{4,1200},{2,24000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(3,24) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 24,attr_list = [{1,2500},{4,1250},{2,25000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(3,25) ->
    #base_workroom_suit_star{suit_id = 3,sum_star = 25,attr_list = [{1,2600},{4,1300},{2,26000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(4,0) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 0,attr_list = [{1,100},{4,50},{2,1000}]};

get_suit_star(4,1) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 1,attr_list = [{1,200},{4,100},{2,2000}]};

get_suit_star(4,2) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 2,attr_list = [{1,300},{4,150},{2,3000}]};

get_suit_star(4,3) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 3,attr_list = [{1,400},{4,200},{2,4000}]};

get_suit_star(4,4) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 4,attr_list = [{1,500},{4,250},{2,5000}]};

get_suit_star(4,5) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 5,attr_list = [{1,600},{4,300},{2,6000},{64,100}]};

get_suit_star(4,6) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 6,attr_list = [{1,700},{4,350},{2,7000},{64,100}]};

get_suit_star(4,7) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 7,attr_list = [{1,800},{4,400},{2,8000},{64,100}]};

get_suit_star(4,8) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 8,attr_list = [{1,900},{4,450},{2,9000},{64,100}]};

get_suit_star(4,9) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 9,attr_list = [{1,1000},{4,500},{2,10000},{64,100}]};

get_suit_star(4,10) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 10,attr_list = [{1,1100},{4,550},{2,11000},{64,100},{65,100}]};

get_suit_star(4,11) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 11,attr_list = [{1,1200},{4,600},{2,12000},{64,100},{65,100}]};

get_suit_star(4,12) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 12,attr_list = [{1,1300},{4,650},{2,13000},{64,100},{65,100}]};

get_suit_star(4,13) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 13,attr_list = [{1,1400},{4,700},{2,14000},{64,100},{65,100}]};

get_suit_star(4,14) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 14,attr_list = [{1,1500},{4,750},{2,15000},{64,100},{65,100}]};

get_suit_star(4,15) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 15,attr_list = [{1,1600},{4,800},{2,16000},{64,100},{65,100},{66,100}]};

get_suit_star(4,16) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 16,attr_list = [{1,1700},{4,850},{2,17000},{64,100},{65,100},{66,100}]};

get_suit_star(4,17) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 17,attr_list = [{1,1800},{4,900},{2,18000},{64,100},{65,100},{66,100}]};

get_suit_star(4,18) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 18,attr_list = [{1,1900},{4,950},{2,19000},{64,100},{65,100},{66,100}]};

get_suit_star(4,19) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 19,attr_list = [{1,2000},{4,1000},{2,20000},{64,100},{65,100},{66,100}]};

get_suit_star(4,20) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 20,attr_list = [{1,2100},{4,1050},{2,21000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(4,21) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 21,attr_list = [{1,2200},{4,1100},{2,22000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(4,22) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 22,attr_list = [{1,2300},{4,1150},{2,23000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(4,23) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 23,attr_list = [{1,2400},{4,1200},{2,24000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(4,24) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 24,attr_list = [{1,2500},{4,1250},{2,25000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(4,25) ->
    #base_workroom_suit_star{suit_id = 4,sum_star = 25,attr_list = [{1,2600},{4,1300},{2,26000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(5,0) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 0,attr_list = [{1,100},{4,50},{2,1000}]};

get_suit_star(5,1) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 1,attr_list = [{1,200},{4,100},{2,2000}]};

get_suit_star(5,2) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 2,attr_list = [{1,300},{4,150},{2,3000}]};

get_suit_star(5,3) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 3,attr_list = [{1,400},{4,200},{2,4000}]};

get_suit_star(5,4) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 4,attr_list = [{1,500},{4,250},{2,5000}]};

get_suit_star(5,5) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 5,attr_list = [{1,600},{4,300},{2,6000},{64,100}]};

get_suit_star(5,6) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 6,attr_list = [{1,700},{4,350},{2,7000},{64,100}]};

get_suit_star(5,7) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 7,attr_list = [{1,800},{4,400},{2,8000},{64,100}]};

get_suit_star(5,8) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 8,attr_list = [{1,900},{4,450},{2,9000},{64,100}]};

get_suit_star(5,9) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 9,attr_list = [{1,1000},{4,500},{2,10000},{64,100}]};

get_suit_star(5,10) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 10,attr_list = [{1,1100},{4,550},{2,11000},{64,100},{65,100}]};

get_suit_star(5,11) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 11,attr_list = [{1,1200},{4,600},{2,12000},{64,100},{65,100}]};

get_suit_star(5,12) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 12,attr_list = [{1,1300},{4,650},{2,13000},{64,100},{65,100}]};

get_suit_star(5,13) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 13,attr_list = [{1,1400},{4,700},{2,14000},{64,100},{65,100}]};

get_suit_star(5,14) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 14,attr_list = [{1,1500},{4,750},{2,15000},{64,100},{65,100}]};

get_suit_star(5,15) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 15,attr_list = [{1,1600},{4,800},{2,16000},{64,100},{65,100},{66,100}]};

get_suit_star(5,16) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 16,attr_list = [{1,1700},{4,850},{2,17000},{64,100},{65,100},{66,100}]};

get_suit_star(5,17) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 17,attr_list = [{1,1800},{4,900},{2,18000},{64,100},{65,100},{66,100}]};

get_suit_star(5,18) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 18,attr_list = [{1,1900},{4,950},{2,19000},{64,100},{65,100},{66,100}]};

get_suit_star(5,19) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 19,attr_list = [{1,2000},{4,1000},{2,20000},{64,100},{65,100},{66,100}]};

get_suit_star(5,20) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 20,attr_list = [{1,2100},{4,1050},{2,21000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(5,21) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 21,attr_list = [{1,2200},{4,1100},{2,22000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(5,22) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 22,attr_list = [{1,2300},{4,1150},{2,23000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(5,23) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 23,attr_list = [{1,2400},{4,1200},{2,24000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(5,24) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 24,attr_list = [{1,2500},{4,1250},{2,25000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(5,25) ->
    #base_workroom_suit_star{suit_id = 5,sum_star = 25,attr_list = [{1,2600},{4,1300},{2,26000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(6,0) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 0,attr_list = [{1,100},{4,50},{2,1000}]};

get_suit_star(6,1) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 1,attr_list = [{1,200},{4,100},{2,2000}]};

get_suit_star(6,2) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 2,attr_list = [{1,300},{4,150},{2,3000}]};

get_suit_star(6,3) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 3,attr_list = [{1,400},{4,200},{2,4000}]};

get_suit_star(6,4) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 4,attr_list = [{1,500},{4,250},{2,5000}]};

get_suit_star(6,5) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 5,attr_list = [{1,600},{4,300},{2,6000},{64,100}]};

get_suit_star(6,6) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 6,attr_list = [{1,700},{4,350},{2,7000},{64,100}]};

get_suit_star(6,7) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 7,attr_list = [{1,800},{4,400},{2,8000},{64,100}]};

get_suit_star(6,8) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 8,attr_list = [{1,900},{4,450},{2,9000},{64,100}]};

get_suit_star(6,9) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 9,attr_list = [{1,1000},{4,500},{2,10000},{64,100}]};

get_suit_star(6,10) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 10,attr_list = [{1,1100},{4,550},{2,11000},{64,100},{65,100}]};

get_suit_star(6,11) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 11,attr_list = [{1,1200},{4,600},{2,12000},{64,100},{65,100}]};

get_suit_star(6,12) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 12,attr_list = [{1,1300},{4,650},{2,13000},{64,100},{65,100}]};

get_suit_star(6,13) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 13,attr_list = [{1,1400},{4,700},{2,14000},{64,100},{65,100}]};

get_suit_star(6,14) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 14,attr_list = [{1,1500},{4,750},{2,15000},{64,100},{65,100}]};

get_suit_star(6,15) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 15,attr_list = [{1,1600},{4,800},{2,16000},{64,100},{65,100},{66,100}]};

get_suit_star(6,16) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 16,attr_list = [{1,1700},{4,850},{2,17000},{64,100},{65,100},{66,100}]};

get_suit_star(6,17) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 17,attr_list = [{1,1800},{4,900},{2,18000},{64,100},{65,100},{66,100}]};

get_suit_star(6,18) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 18,attr_list = [{1,1900},{4,950},{2,19000},{64,100},{65,100},{66,100}]};

get_suit_star(6,19) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 19,attr_list = [{1,2000},{4,1000},{2,20000},{64,100},{65,100},{66,100}]};

get_suit_star(6,20) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 20,attr_list = [{1,2100},{4,1050},{2,21000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(6,21) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 21,attr_list = [{1,2200},{4,1100},{2,22000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(6,22) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 22,attr_list = [{1,2300},{4,1150},{2,23000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(6,23) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 23,attr_list = [{1,2400},{4,1200},{2,24000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(6,24) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 24,attr_list = [{1,2500},{4,1250},{2,25000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(6,25) ->
    #base_workroom_suit_star{suit_id = 6,sum_star = 25,attr_list = [{1,2600},{4,1300},{2,26000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(7,0) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 0,attr_list = [{1,100},{4,50},{2,1000}]};

get_suit_star(7,1) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 1,attr_list = [{1,200},{4,100},{2,2000}]};

get_suit_star(7,2) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 2,attr_list = [{1,300},{4,150},{2,3000}]};

get_suit_star(7,3) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 3,attr_list = [{1,400},{4,200},{2,4000}]};

get_suit_star(7,4) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 4,attr_list = [{1,500},{4,250},{2,5000}]};

get_suit_star(7,5) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 5,attr_list = [{1,600},{4,300},{2,6000},{64,100}]};

get_suit_star(7,6) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 6,attr_list = [{1,700},{4,350},{2,7000},{64,100}]};

get_suit_star(7,7) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 7,attr_list = [{1,800},{4,400},{2,8000},{64,100}]};

get_suit_star(7,8) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 8,attr_list = [{1,900},{4,450},{2,9000},{64,100}]};

get_suit_star(7,9) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 9,attr_list = [{1,1000},{4,500},{2,10000},{64,100}]};

get_suit_star(7,10) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 10,attr_list = [{1,1100},{4,550},{2,11000},{64,100},{65,100}]};

get_suit_star(7,11) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 11,attr_list = [{1,1200},{4,600},{2,12000},{64,100},{65,100}]};

get_suit_star(7,12) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 12,attr_list = [{1,1300},{4,650},{2,13000},{64,100},{65,100}]};

get_suit_star(7,13) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 13,attr_list = [{1,1400},{4,700},{2,14000},{64,100},{65,100}]};

get_suit_star(7,14) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 14,attr_list = [{1,1500},{4,750},{2,15000},{64,100},{65,100}]};

get_suit_star(7,15) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 15,attr_list = [{1,1600},{4,800},{2,16000},{64,100},{65,100},{66,100}]};

get_suit_star(7,16) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 16,attr_list = [{1,1700},{4,850},{2,17000},{64,100},{65,100},{66,100}]};

get_suit_star(7,17) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 17,attr_list = [{1,1800},{4,900},{2,18000},{64,100},{65,100},{66,100}]};

get_suit_star(7,18) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 18,attr_list = [{1,1900},{4,950},{2,19000},{64,100},{65,100},{66,100}]};

get_suit_star(7,19) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 19,attr_list = [{1,2000},{4,1000},{2,20000},{64,100},{65,100},{66,100}]};

get_suit_star(7,20) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 20,attr_list = [{1,2100},{4,1050},{2,21000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(7,21) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 21,attr_list = [{1,2200},{4,1100},{2,22000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(7,22) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 22,attr_list = [{1,2300},{4,1150},{2,23000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(7,23) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 23,attr_list = [{1,2400},{4,1200},{2,24000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(7,24) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 24,attr_list = [{1,2500},{4,1250},{2,25000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(7,25) ->
    #base_workroom_suit_star{suit_id = 7,sum_star = 25,attr_list = [{1,2600},{4,1300},{2,26000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(8,0) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 0,attr_list = [{1,100},{4,50},{2,1000}]};

get_suit_star(8,1) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 1,attr_list = [{1,200},{4,100},{2,2000}]};

get_suit_star(8,2) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 2,attr_list = [{1,300},{4,150},{2,3000}]};

get_suit_star(8,3) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 3,attr_list = [{1,400},{4,200},{2,4000}]};

get_suit_star(8,4) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 4,attr_list = [{1,500},{4,250},{2,5000}]};

get_suit_star(8,5) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 5,attr_list = [{1,600},{4,300},{2,6000},{64,100}]};

get_suit_star(8,6) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 6,attr_list = [{1,700},{4,350},{2,7000},{64,100}]};

get_suit_star(8,7) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 7,attr_list = [{1,800},{4,400},{2,8000},{64,100}]};

get_suit_star(8,8) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 8,attr_list = [{1,900},{4,450},{2,9000},{64,100}]};

get_suit_star(8,9) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 9,attr_list = [{1,1000},{4,500},{2,10000},{64,100}]};

get_suit_star(8,10) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 10,attr_list = [{1,1100},{4,550},{2,11000},{64,100},{65,100}]};

get_suit_star(8,11) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 11,attr_list = [{1,1200},{4,600},{2,12000},{64,100},{65,100}]};

get_suit_star(8,12) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 12,attr_list = [{1,1300},{4,650},{2,13000},{64,100},{65,100}]};

get_suit_star(8,13) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 13,attr_list = [{1,1400},{4,700},{2,14000},{64,100},{65,100}]};

get_suit_star(8,14) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 14,attr_list = [{1,1500},{4,750},{2,15000},{64,100},{65,100}]};

get_suit_star(8,15) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 15,attr_list = [{1,1600},{4,800},{2,16000},{64,100},{65,100},{66,100}]};

get_suit_star(8,16) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 16,attr_list = [{1,1700},{4,850},{2,17000},{64,100},{65,100},{66,100}]};

get_suit_star(8,17) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 17,attr_list = [{1,1800},{4,900},{2,18000},{64,100},{65,100},{66,100}]};

get_suit_star(8,18) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 18,attr_list = [{1,1900},{4,950},{2,19000},{64,100},{65,100},{66,100}]};

get_suit_star(8,19) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 19,attr_list = [{1,2000},{4,1000},{2,20000},{64,100},{65,100},{66,100}]};

get_suit_star(8,20) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 20,attr_list = [{1,2100},{4,1050},{2,21000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(8,21) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 21,attr_list = [{1,2200},{4,1100},{2,22000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(8,22) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 22,attr_list = [{1,2300},{4,1150},{2,23000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(8,23) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 23,attr_list = [{1,2400},{4,1200},{2,24000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(8,24) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 24,attr_list = [{1,2500},{4,1250},{2,25000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(8,25) ->
    #base_workroom_suit_star{suit_id = 8,sum_star = 25,attr_list = [{1,2600},{4,1300},{2,26000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(9,0) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 0,attr_list = [{1,100},{4,50},{2,1000}]};

get_suit_star(9,1) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 1,attr_list = [{1,200},{4,100},{2,2000}]};

get_suit_star(9,2) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 2,attr_list = [{1,300},{4,150},{2,3000}]};

get_suit_star(9,3) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 3,attr_list = [{1,400},{4,200},{2,4000}]};

get_suit_star(9,4) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 4,attr_list = [{1,500},{4,250},{2,5000}]};

get_suit_star(9,5) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 5,attr_list = [{1,600},{4,300},{2,6000},{64,100}]};

get_suit_star(9,6) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 6,attr_list = [{1,700},{4,350},{2,7000},{64,100}]};

get_suit_star(9,7) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 7,attr_list = [{1,800},{4,400},{2,8000},{64,100}]};

get_suit_star(9,8) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 8,attr_list = [{1,900},{4,450},{2,9000},{64,100}]};

get_suit_star(9,9) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 9,attr_list = [{1,1000},{4,500},{2,10000},{64,100}]};

get_suit_star(9,10) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 10,attr_list = [{1,1100},{4,550},{2,11000},{64,100},{65,100}]};

get_suit_star(9,11) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 11,attr_list = [{1,1200},{4,600},{2,12000},{64,100},{65,100}]};

get_suit_star(9,12) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 12,attr_list = [{1,1300},{4,650},{2,13000},{64,100},{65,100}]};

get_suit_star(9,13) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 13,attr_list = [{1,1400},{4,700},{2,14000},{64,100},{65,100}]};

get_suit_star(9,14) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 14,attr_list = [{1,1500},{4,750},{2,15000},{64,100},{65,100}]};

get_suit_star(9,15) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 15,attr_list = [{1,1600},{4,800},{2,16000},{64,100},{65,100},{66,100}]};

get_suit_star(9,16) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 16,attr_list = [{1,1700},{4,850},{2,17000},{64,100},{65,100},{66,100}]};

get_suit_star(9,17) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 17,attr_list = [{1,1800},{4,900},{2,18000},{64,100},{65,100},{66,100}]};

get_suit_star(9,18) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 18,attr_list = [{1,1900},{4,950},{2,19000},{64,100},{65,100},{66,100}]};

get_suit_star(9,19) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 19,attr_list = [{1,2000},{4,1000},{2,20000},{64,100},{65,100},{66,100}]};

get_suit_star(9,20) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 20,attr_list = [{1,2100},{4,1050},{2,21000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(9,21) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 21,attr_list = [{1,2200},{4,1100},{2,22000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(9,22) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 22,attr_list = [{1,2300},{4,1150},{2,23000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(9,23) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 23,attr_list = [{1,2400},{4,1200},{2,24000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(9,24) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 24,attr_list = [{1,2500},{4,1250},{2,25000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(9,25) ->
    #base_workroom_suit_star{suit_id = 9,sum_star = 25,attr_list = [{1,2600},{4,1300},{2,26000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(10,0) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 0,attr_list = [{1,100},{4,50},{2,1000}]};

get_suit_star(10,1) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 1,attr_list = [{1,200},{4,100},{2,2000}]};

get_suit_star(10,2) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 2,attr_list = [{1,300},{4,150},{2,3000}]};

get_suit_star(10,3) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 3,attr_list = [{1,400},{4,200},{2,4000}]};

get_suit_star(10,4) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 4,attr_list = [{1,500},{4,250},{2,5000}]};

get_suit_star(10,5) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 5,attr_list = [{1,600},{4,300},{2,6000},{64,100}]};

get_suit_star(10,6) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 6,attr_list = [{1,700},{4,350},{2,7000},{64,100}]};

get_suit_star(10,7) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 7,attr_list = [{1,800},{4,400},{2,8000},{64,100}]};

get_suit_star(10,8) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 8,attr_list = [{1,900},{4,450},{2,9000},{64,100}]};

get_suit_star(10,9) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 9,attr_list = [{1,1000},{4,500},{2,10000},{64,100}]};

get_suit_star(10,10) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 10,attr_list = [{1,1100},{4,550},{2,11000},{64,100},{65,100}]};

get_suit_star(10,11) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 11,attr_list = [{1,1200},{4,600},{2,12000},{64,100},{65,100}]};

get_suit_star(10,12) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 12,attr_list = [{1,1300},{4,650},{2,13000},{64,100},{65,100}]};

get_suit_star(10,13) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 13,attr_list = [{1,1400},{4,700},{2,14000},{64,100},{65,100}]};

get_suit_star(10,14) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 14,attr_list = [{1,1500},{4,750},{2,15000},{64,100},{65,100}]};

get_suit_star(10,15) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 15,attr_list = [{1,1600},{4,800},{2,16000},{64,100},{65,100},{66,100}]};

get_suit_star(10,16) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 16,attr_list = [{1,1700},{4,850},{2,17000},{64,100},{65,100},{66,100}]};

get_suit_star(10,17) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 17,attr_list = [{1,1800},{4,900},{2,18000},{64,100},{65,100},{66,100}]};

get_suit_star(10,18) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 18,attr_list = [{1,1900},{4,950},{2,19000},{64,100},{65,100},{66,100}]};

get_suit_star(10,19) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 19,attr_list = [{1,2000},{4,1000},{2,20000},{64,100},{65,100},{66,100}]};

get_suit_star(10,20) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 20,attr_list = [{1,2100},{4,1050},{2,21000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(10,21) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 21,attr_list = [{1,2200},{4,1100},{2,22000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(10,22) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 22,attr_list = [{1,2300},{4,1150},{2,23000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(10,23) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 23,attr_list = [{1,2400},{4,1200},{2,24000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(10,24) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 24,attr_list = [{1,2500},{4,1250},{2,25000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(10,25) ->
    #base_workroom_suit_star{suit_id = 10,sum_star = 25,attr_list = [{1,2600},{4,1300},{2,26000},{64,100},{65,100},{66,100},{67,100}]};

get_suit_star(_Suitid,_Sumstar) ->
    [].

get_good_cfg(601001) ->
    #base_workroom_store{fashion_id = 601001,price_list = [{24,100021,100}],weight = 3000,limit = 2,tag = 1};

get_good_cfg(601002) ->
    #base_workroom_store{fashion_id = 601002,price_list = [{24,100021,300}],weight = 1000,limit = 2,tag = 1};

get_good_cfg(601003) ->
    #base_workroom_store{fashion_id = 601003,price_list = [{24,100021,1000}],weight = 300,limit = 2,tag = 1};

get_good_cfg(602001) ->
    #base_workroom_store{fashion_id = 602001,price_list = [{24,100021,100}],weight = 3000,limit = 2,tag = 2};

get_good_cfg(602002) ->
    #base_workroom_store{fashion_id = 602002,price_list = [{24,100021,300}],weight = 1000,limit = 2,tag = 2};

get_good_cfg(603001) ->
    #base_workroom_store{fashion_id = 603001,price_list = [{24,100021,100}],weight = 3000,limit = 2,tag = 3};

get_good_cfg(603002) ->
    #base_workroom_store{fashion_id = 603002,price_list = [{24,100021,300}],weight = 1000,limit = 2,tag = 3};

get_good_cfg(603003) ->
    #base_workroom_store{fashion_id = 603003,price_list = [{24,100021,1000}],weight = 300,limit = 2,tag = 3};

get_good_cfg(604001) ->
    #base_workroom_store{fashion_id = 604001,price_list = [{24,100021,100}],weight = 3000,limit = 2,tag = 4};

get_good_cfg(604002) ->
    #base_workroom_store{fashion_id = 604002,price_list = [{24,100021,300}],weight = 1000,limit = 2,tag = 4};

get_good_cfg(604003) ->
    #base_workroom_store{fashion_id = 604003,price_list = [{24,100021,1000}],weight = 300,limit = 2,tag = 4};

get_good_cfg(605001) ->
    #base_workroom_store{fashion_id = 605001,price_list = [{24,100021,100}],weight = 3000,limit = 2,tag = 5};

get_good_cfg(605002) ->
    #base_workroom_store{fashion_id = 605002,price_list = [{24,100021,300}],weight = 1000,limit = 2,tag = 5};

get_good_cfg(_Fashionid) ->
    [].

get_all_goods() ->
    [601001,601002,601003,602001,602002,603001,603002,603003,604001,604002,604003,605001,605002].

