%%%---------------------------------------
%%% module      : data_goods_compose_evolution
%%% description : 物品合成进化配置
%%%
%%%---------------------------------------
-module(data_goods_compose_evolution).
-compile(export_all).
-include("goods.hrl").



get_goods_compose_evolution(1) ->
    #base_goods_compose_or_evolution_info{rule_id = 1,classify_id = 1,subclass = 198,target_goods_id = 24000012,condition = [],main_goods_id = 24000011,cost_goods = [{0,102610,1},{0,102603,10},{0,102604,5}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(2) ->
    #base_goods_compose_or_evolution_info{rule_id = 2,classify_id = 1,subclass = 199,target_goods_id = 24000013,condition = [],main_goods_id = 24000012,cost_goods = [{0,102611,1},{0,102603,20},{0,102604,10},{0,102607,5},{0,109023,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(3) ->
    #base_goods_compose_or_evolution_info{rule_id = 3,classify_id = 1,subclass = 198,target_goods_id = 24000022,condition = [{open_lv,130}],main_goods_id = 24000021,cost_goods = [{0,102612,1},{0,102603,12},{0,102604,6}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(4) ->
    #base_goods_compose_or_evolution_info{rule_id = 4,classify_id = 1,subclass = 199,target_goods_id = 24000023,condition = [{open_lv,130}],main_goods_id = 24000022,cost_goods = [{0,102613,1},{0,102603,24},{0,102604,12},{0,102607,6},{0,109003,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(5) ->
    #base_goods_compose_or_evolution_info{rule_id = 5,classify_id = 1,subclass = 198,target_goods_id = 24000032,condition = [{open_lv,230}],main_goods_id = 24000031,cost_goods = [{0,102614,1},{0,102603,15},{0,102604,8}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(6) ->
    #base_goods_compose_or_evolution_info{rule_id = 6,classify_id = 1,subclass = 199,target_goods_id = 24000033,condition = [{open_lv,230}],main_goods_id = 24000032,cost_goods = [{0,102615,1},{0,102603,30},{0,102604,15},{0,102607,8},{0,109024,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(7) ->
    #base_goods_compose_or_evolution_info{rule_id = 7,classify_id = 1,subclass = 198,target_goods_id = 24000042,condition = [{open_lv,320}],main_goods_id = 24000041,cost_goods = [{0,102616,1},{0,102603,20},{0,102604,10}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(8) ->
    #base_goods_compose_or_evolution_info{rule_id = 8,classify_id = 1,subclass = 199,target_goods_id = 24000043,condition = [{open_lv,320}],main_goods_id = 24000042,cost_goods = [{0,102617,1},{0,102603,40},{0,102604,20},{0,102607,10},{0,109004,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(9) ->
    #base_goods_compose_or_evolution_info{rule_id = 9,classify_id = 1,subclass = 198,target_goods_id = 24000052,condition = [{open_lv,420}],main_goods_id = 24000051,cost_goods = [{0,102618,1},{0,102603,25},{0,102604,12}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(10) ->
    #base_goods_compose_or_evolution_info{rule_id = 10,classify_id = 1,subclass = 199,target_goods_id = 24000053,condition = [{open_lv,420}],main_goods_id = 24000052,cost_goods = [{0,102619,1},{0,102603,50},{0,102604,25},{0,102607,12},{0,109025,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(11) ->
    #base_goods_compose_or_evolution_info{rule_id = 11,classify_id = 1,subclass = 198,target_goods_id = 24000062,condition = [{open_lv,520}],main_goods_id = 24000061,cost_goods = [{0,102620,1},{0,102603,30},{0,102604,15}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(12) ->
    #base_goods_compose_or_evolution_info{rule_id = 12,classify_id = 1,subclass = 199,target_goods_id = 24000063,condition = [{open_lv,520}],main_goods_id = 24000062,cost_goods = [{0,102621,1},{0,102603,60},{0,102604,30},{0,102607,15},{0,109005,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(13) ->
    #base_goods_compose_or_evolution_info{rule_id = 13,classify_id = 1,subclass = 198,target_goods_id = 24000012,condition = [],main_goods_id = 0,cost_goods = [{0,24000011,1},{0,102610,1},{0,102603,10},{0,102604,5}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(14) ->
    #base_goods_compose_or_evolution_info{rule_id = 14,classify_id = 1,subclass = 199,target_goods_id = 24000013,condition = [],main_goods_id = 0,cost_goods = [{0,24000012,1},{0,102611,1},{0,102603,20},{0,102604,10},{0,102607,5},{0,109023,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(15) ->
    #base_goods_compose_or_evolution_info{rule_id = 15,classify_id = 1,subclass = 198,target_goods_id = 24000022,condition = [{open_lv,130}],main_goods_id = 0,cost_goods = [{0,24000021,1},{0,102612,1},{0,102603,12},{0,102604,6}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(16) ->
    #base_goods_compose_or_evolution_info{rule_id = 16,classify_id = 1,subclass = 199,target_goods_id = 24000023,condition = [{open_lv,130}],main_goods_id = 0,cost_goods = [{0,24000022,1},{0,102613,1},{0,102603,24},{0,102604,12},{0,102607,6},{0,109003,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(17) ->
    #base_goods_compose_or_evolution_info{rule_id = 17,classify_id = 1,subclass = 198,target_goods_id = 24000032,condition = [{open_lv,230}],main_goods_id = 0,cost_goods = [{0,24000031,1},{0,102614,1},{0,102603,15},{0,102604,8}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(18) ->
    #base_goods_compose_or_evolution_info{rule_id = 18,classify_id = 1,subclass = 199,target_goods_id = 24000033,condition = [{open_lv,230}],main_goods_id = 0,cost_goods = [{0,24000032,1},{0,102615,1},{0,102603,30},{0,102604,15},{0,102607,8},{0,109024,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(19) ->
    #base_goods_compose_or_evolution_info{rule_id = 19,classify_id = 1,subclass = 198,target_goods_id = 24000042,condition = [{open_lv,320}],main_goods_id = 0,cost_goods = [{0,24000041,1},{0,102610,1},{0,102603,20},{0,102604,10}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20) ->
    #base_goods_compose_or_evolution_info{rule_id = 20,classify_id = 1,subclass = 199,target_goods_id = 24000043,condition = [{open_lv,320}],main_goods_id = 0,cost_goods = [{0,24000042,1},{0,102611,1},{0,102603,40},{0,102604,20},{0,102607,10},{0,109004,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(21) ->
    #base_goods_compose_or_evolution_info{rule_id = 21,classify_id = 1,subclass = 198,target_goods_id = 24000052,condition = [{open_lv,420}],main_goods_id = 0,cost_goods = [{0,24000051,1},{0,102612,1},{0,102603,25},{0,102604,12}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(22) ->
    #base_goods_compose_or_evolution_info{rule_id = 22,classify_id = 1,subclass = 199,target_goods_id = 24000053,condition = [{open_lv,420}],main_goods_id = 0,cost_goods = [{0,24000052,1},{0,102613,1},{0,102603,50},{0,102604,25},{0,102607,12},{0,109025,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(23) ->
    #base_goods_compose_or_evolution_info{rule_id = 23,classify_id = 1,subclass = 198,target_goods_id = 24000062,condition = [{open_lv,520}],main_goods_id = 0,cost_goods = [{0,24000061,1},{0,102614,1},{0,102603,30},{0,102604,15}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(24) ->
    #base_goods_compose_or_evolution_info{rule_id = 24,classify_id = 1,subclass = 199,target_goods_id = 24000063,condition = [{open_lv,520}],main_goods_id = 0,cost_goods = [{0,24000062,1},{0,102615,1},{0,102603,60},{0,102604,30},{0,102607,15},{0,109005,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(25) ->
    #base_goods_compose_or_evolution_info{rule_id = 25,classify_id = 2,subclass = 200,target_goods_id = 24001084,condition = [],main_goods_id = 24001083,cost_goods = [{0,24001081,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(26) ->
    #base_goods_compose_or_evolution_info{rule_id = 26,classify_id = 2,subclass = 200,target_goods_id = 24001094,condition = [],main_goods_id = 24001093,cost_goods = [{0,24001091,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(27) ->
    #base_goods_compose_or_evolution_info{rule_id = 27,classify_id = 2,subclass = 200,target_goods_id = 24001104,condition = [],main_goods_id = 24001103,cost_goods = [{0,24001101,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(28) ->
    #base_goods_compose_or_evolution_info{rule_id = 28,classify_id = 2,subclass = 201,target_goods_id = 24002084,condition = [],main_goods_id = 24002083,cost_goods = [{0,24002081,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(29) ->
    #base_goods_compose_or_evolution_info{rule_id = 29,classify_id = 2,subclass = 201,target_goods_id = 24002094,condition = [],main_goods_id = 24002093,cost_goods = [{0,24002091,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(30) ->
    #base_goods_compose_or_evolution_info{rule_id = 30,classify_id = 2,subclass = 201,target_goods_id = 24002104,condition = [],main_goods_id = 24002103,cost_goods = [{0,24002101,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(31) ->
    #base_goods_compose_or_evolution_info{rule_id = 31,classify_id = 2,subclass = 202,target_goods_id = 24003084,condition = [],main_goods_id = 24003083,cost_goods = [{0,24003081,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(32) ->
    #base_goods_compose_or_evolution_info{rule_id = 32,classify_id = 2,subclass = 202,target_goods_id = 24003094,condition = [],main_goods_id = 24003093,cost_goods = [{0,24003091,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(33) ->
    #base_goods_compose_or_evolution_info{rule_id = 33,classify_id = 2,subclass = 202,target_goods_id = 24003104,condition = [],main_goods_id = 24003103,cost_goods = [{0,24003101,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(34) ->
    #base_goods_compose_or_evolution_info{rule_id = 34,classify_id = 2,subclass = 203,target_goods_id = 24004084,condition = [],main_goods_id = 24004083,cost_goods = [{0,24004081,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(35) ->
    #base_goods_compose_or_evolution_info{rule_id = 35,classify_id = 2,subclass = 203,target_goods_id = 24004094,condition = [],main_goods_id = 24004093,cost_goods = [{0,24004091,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(36) ->
    #base_goods_compose_or_evolution_info{rule_id = 36,classify_id = 2,subclass = 203,target_goods_id = 24004104,condition = [],main_goods_id = 24004103,cost_goods = [{0,24004101,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(37) ->
    #base_goods_compose_or_evolution_info{rule_id = 37,classify_id = 2,subclass = 204,target_goods_id = 24005084,condition = [],main_goods_id = 24005083,cost_goods = [{0,24005081,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(38) ->
    #base_goods_compose_or_evolution_info{rule_id = 38,classify_id = 2,subclass = 204,target_goods_id = 24005094,condition = [],main_goods_id = 24005093,cost_goods = [{0,24005091,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(39) ->
    #base_goods_compose_or_evolution_info{rule_id = 39,classify_id = 2,subclass = 204,target_goods_id = 24005104,condition = [],main_goods_id = 24005103,cost_goods = [{0,24005101,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(40) ->
    #base_goods_compose_or_evolution_info{rule_id = 40,classify_id = 2,subclass = 205,target_goods_id = 24006084,condition = [],main_goods_id = 24006083,cost_goods = [{0,24006081,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(41) ->
    #base_goods_compose_or_evolution_info{rule_id = 41,classify_id = 2,subclass = 205,target_goods_id = 24006094,condition = [],main_goods_id = 24006093,cost_goods = [{0,24006091,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(42) ->
    #base_goods_compose_or_evolution_info{rule_id = 42,classify_id = 2,subclass = 205,target_goods_id = 24006104,condition = [],main_goods_id = 24006103,cost_goods = [{0,24006101,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(43) ->
    #base_goods_compose_or_evolution_info{rule_id = 43,classify_id = 2,subclass = 200,target_goods_id = 24001084,condition = [],main_goods_id = 24001081,cost_goods = [{0,24001083,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(44) ->
    #base_goods_compose_or_evolution_info{rule_id = 44,classify_id = 2,subclass = 200,target_goods_id = 24001094,condition = [],main_goods_id = 24001091,cost_goods = [{0,24001093,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(45) ->
    #base_goods_compose_or_evolution_info{rule_id = 45,classify_id = 2,subclass = 200,target_goods_id = 24001104,condition = [],main_goods_id = 24001101,cost_goods = [{0,24001103,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(46) ->
    #base_goods_compose_or_evolution_info{rule_id = 46,classify_id = 2,subclass = 201,target_goods_id = 24002084,condition = [],main_goods_id = 24002081,cost_goods = [{0,24002083,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(47) ->
    #base_goods_compose_or_evolution_info{rule_id = 47,classify_id = 2,subclass = 201,target_goods_id = 24002094,condition = [],main_goods_id = 24002091,cost_goods = [{0,24002093,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(48) ->
    #base_goods_compose_or_evolution_info{rule_id = 48,classify_id = 2,subclass = 201,target_goods_id = 24002104,condition = [],main_goods_id = 24002101,cost_goods = [{0,24002103,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(49) ->
    #base_goods_compose_or_evolution_info{rule_id = 49,classify_id = 2,subclass = 202,target_goods_id = 24003084,condition = [],main_goods_id = 24003081,cost_goods = [{0,24003083,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(50) ->
    #base_goods_compose_or_evolution_info{rule_id = 50,classify_id = 2,subclass = 202,target_goods_id = 24003094,condition = [],main_goods_id = 24003091,cost_goods = [{0,24003093,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(51) ->
    #base_goods_compose_or_evolution_info{rule_id = 51,classify_id = 2,subclass = 202,target_goods_id = 24003104,condition = [],main_goods_id = 24003101,cost_goods = [{0,24003103,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(52) ->
    #base_goods_compose_or_evolution_info{rule_id = 52,classify_id = 2,subclass = 203,target_goods_id = 24004084,condition = [],main_goods_id = 24004081,cost_goods = [{0,24004083,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(53) ->
    #base_goods_compose_or_evolution_info{rule_id = 53,classify_id = 2,subclass = 203,target_goods_id = 24004094,condition = [],main_goods_id = 24004091,cost_goods = [{0,24004093,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(54) ->
    #base_goods_compose_or_evolution_info{rule_id = 54,classify_id = 2,subclass = 203,target_goods_id = 24004104,condition = [],main_goods_id = 24004101,cost_goods = [{0,24004103,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(55) ->
    #base_goods_compose_or_evolution_info{rule_id = 55,classify_id = 2,subclass = 204,target_goods_id = 24005084,condition = [],main_goods_id = 24005081,cost_goods = [{0,24005083,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(56) ->
    #base_goods_compose_or_evolution_info{rule_id = 56,classify_id = 2,subclass = 204,target_goods_id = 24005094,condition = [],main_goods_id = 24005091,cost_goods = [{0,24005093,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(57) ->
    #base_goods_compose_or_evolution_info{rule_id = 57,classify_id = 2,subclass = 204,target_goods_id = 24005104,condition = [],main_goods_id = 24005101,cost_goods = [{0,24005103,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(58) ->
    #base_goods_compose_or_evolution_info{rule_id = 58,classify_id = 2,subclass = 205,target_goods_id = 24006084,condition = [],main_goods_id = 24006081,cost_goods = [{0,24006083,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(59) ->
    #base_goods_compose_or_evolution_info{rule_id = 59,classify_id = 2,subclass = 205,target_goods_id = 24006094,condition = [],main_goods_id = 24006091,cost_goods = [{0,24006093,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(60) ->
    #base_goods_compose_or_evolution_info{rule_id = 60,classify_id = 2,subclass = 205,target_goods_id = 24006104,condition = [],main_goods_id = 24006101,cost_goods = [{0,24006103,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(61) ->
    #base_goods_compose_or_evolution_info{rule_id = 61,classify_id = 2,subclass = 200,target_goods_id = 24001084,condition = [],main_goods_id = 0,cost_goods = [{0,24001081,1},{0,24001083,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(62) ->
    #base_goods_compose_or_evolution_info{rule_id = 62,classify_id = 2,subclass = 200,target_goods_id = 24001094,condition = [],main_goods_id = 0,cost_goods = [{0,24001091,1},{0,24001093,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(63) ->
    #base_goods_compose_or_evolution_info{rule_id = 63,classify_id = 2,subclass = 200,target_goods_id = 24001104,condition = [],main_goods_id = 0,cost_goods = [{0,24001101,1},{0,24001103,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(64) ->
    #base_goods_compose_or_evolution_info{rule_id = 64,classify_id = 2,subclass = 201,target_goods_id = 24002084,condition = [],main_goods_id = 0,cost_goods = [{0,24002081,1},{0,24002083,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(65) ->
    #base_goods_compose_or_evolution_info{rule_id = 65,classify_id = 2,subclass = 201,target_goods_id = 24002094,condition = [],main_goods_id = 0,cost_goods = [{0,24002091,1},{0,24002093,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(66) ->
    #base_goods_compose_or_evolution_info{rule_id = 66,classify_id = 2,subclass = 201,target_goods_id = 24002104,condition = [],main_goods_id = 0,cost_goods = [{0,24002101,1},{0,24002103,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(67) ->
    #base_goods_compose_or_evolution_info{rule_id = 67,classify_id = 2,subclass = 202,target_goods_id = 24003084,condition = [],main_goods_id = 0,cost_goods = [{0,24003081,1},{0,24003083,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(68) ->
    #base_goods_compose_or_evolution_info{rule_id = 68,classify_id = 2,subclass = 202,target_goods_id = 24003094,condition = [],main_goods_id = 0,cost_goods = [{0,24003091,1},{0,24003093,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(69) ->
    #base_goods_compose_or_evolution_info{rule_id = 69,classify_id = 2,subclass = 202,target_goods_id = 24003104,condition = [],main_goods_id = 0,cost_goods = [{0,24003101,1},{0,24003103,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(70) ->
    #base_goods_compose_or_evolution_info{rule_id = 70,classify_id = 2,subclass = 203,target_goods_id = 24004084,condition = [],main_goods_id = 0,cost_goods = [{0,24004081,1},{0,24004083,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(71) ->
    #base_goods_compose_or_evolution_info{rule_id = 71,classify_id = 2,subclass = 203,target_goods_id = 24004094,condition = [],main_goods_id = 0,cost_goods = [{0,24004091,1},{0,24004093,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(72) ->
    #base_goods_compose_or_evolution_info{rule_id = 72,classify_id = 2,subclass = 203,target_goods_id = 24004104,condition = [],main_goods_id = 0,cost_goods = [{0,24004101,1},{0,24004103,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(73) ->
    #base_goods_compose_or_evolution_info{rule_id = 73,classify_id = 2,subclass = 204,target_goods_id = 24005084,condition = [],main_goods_id = 0,cost_goods = [{0,24005081,1},{0,24005083,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(74) ->
    #base_goods_compose_or_evolution_info{rule_id = 74,classify_id = 2,subclass = 204,target_goods_id = 24005094,condition = [],main_goods_id = 0,cost_goods = [{0,24005091,1},{0,24005093,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(75) ->
    #base_goods_compose_or_evolution_info{rule_id = 75,classify_id = 2,subclass = 204,target_goods_id = 24005104,condition = [],main_goods_id = 0,cost_goods = [{0,24005101,1},{0,24005103,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(76) ->
    #base_goods_compose_or_evolution_info{rule_id = 76,classify_id = 2,subclass = 205,target_goods_id = 24006084,condition = [],main_goods_id = 0,cost_goods = [{0,24006081,1},{0,24006083,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(77) ->
    #base_goods_compose_or_evolution_info{rule_id = 77,classify_id = 2,subclass = 205,target_goods_id = 24006094,condition = [],main_goods_id = 0,cost_goods = [{0,24006091,1},{0,24006093,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(78) ->
    #base_goods_compose_or_evolution_info{rule_id = 78,classify_id = 2,subclass = 205,target_goods_id = 24006104,condition = [],main_goods_id = 0,cost_goods = [{0,24006101,1},{0,24006103,1}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(99) ->
    #base_goods_compose_or_evolution_info{rule_id = 99,classify_id = 4,subclass = 400,target_goods_id = 109002,condition = [],main_goods_id = 0,cost_goods = [{0,109001,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(100) ->
    #base_goods_compose_or_evolution_info{rule_id = 100,classify_id = 4,subclass = 400,target_goods_id = 109003,condition = [],main_goods_id = 0,cost_goods = [{0,109002,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(101) ->
    #base_goods_compose_or_evolution_info{rule_id = 101,classify_id = 4,subclass = 400,target_goods_id = 109004,condition = [],main_goods_id = 0,cost_goods = [{0,109003,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(102) ->
    #base_goods_compose_or_evolution_info{rule_id = 102,classify_id = 4,subclass = 400,target_goods_id = 109005,condition = [],main_goods_id = 0,cost_goods = [{0,109004,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(103) ->
    #base_goods_compose_or_evolution_info{rule_id = 103,classify_id = 4,subclass = 400,target_goods_id = 109006,condition = [],main_goods_id = 0,cost_goods = [{0,109005,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(104) ->
    #base_goods_compose_or_evolution_info{rule_id = 104,classify_id = 4,subclass = 400,target_goods_id = 109007,condition = [],main_goods_id = 0,cost_goods = [{0,109006,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(105) ->
    #base_goods_compose_or_evolution_info{rule_id = 105,classify_id = 4,subclass = 400,target_goods_id = 109008,condition = [],main_goods_id = 0,cost_goods = [{0,109007,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(106) ->
    #base_goods_compose_or_evolution_info{rule_id = 106,classify_id = 4,subclass = 400,target_goods_id = 109009,condition = [],main_goods_id = 0,cost_goods = [{0,109008,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(107) ->
    #base_goods_compose_or_evolution_info{rule_id = 107,classify_id = 4,subclass = 401,target_goods_id = 109012,condition = [],main_goods_id = 0,cost_goods = [{0,109011,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(108) ->
    #base_goods_compose_or_evolution_info{rule_id = 108,classify_id = 4,subclass = 401,target_goods_id = 109013,condition = [],main_goods_id = 0,cost_goods = [{0,109012,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(109) ->
    #base_goods_compose_or_evolution_info{rule_id = 109,classify_id = 4,subclass = 401,target_goods_id = 109014,condition = [],main_goods_id = 0,cost_goods = [{0,109013,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(110) ->
    #base_goods_compose_or_evolution_info{rule_id = 110,classify_id = 4,subclass = 401,target_goods_id = 109015,condition = [],main_goods_id = 0,cost_goods = [{0,109014,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(111) ->
    #base_goods_compose_or_evolution_info{rule_id = 111,classify_id = 4,subclass = 401,target_goods_id = 109016,condition = [],main_goods_id = 0,cost_goods = [{0,109015,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(112) ->
    #base_goods_compose_or_evolution_info{rule_id = 112,classify_id = 4,subclass = 401,target_goods_id = 109017,condition = [],main_goods_id = 0,cost_goods = [{0,109016,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(113) ->
    #base_goods_compose_or_evolution_info{rule_id = 113,classify_id = 4,subclass = 401,target_goods_id = 109018,condition = [],main_goods_id = 0,cost_goods = [{0,109017,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(114) ->
    #base_goods_compose_or_evolution_info{rule_id = 114,classify_id = 4,subclass = 401,target_goods_id = 109019,condition = [],main_goods_id = 0,cost_goods = [{0,109018,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(115) ->
    #base_goods_compose_or_evolution_info{rule_id = 115,classify_id = 4,subclass = 402,target_goods_id = 109022,condition = [],main_goods_id = 0,cost_goods = [{0,109021,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(116) ->
    #base_goods_compose_or_evolution_info{rule_id = 116,classify_id = 4,subclass = 402,target_goods_id = 109023,condition = [],main_goods_id = 0,cost_goods = [{0,109022,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(117) ->
    #base_goods_compose_or_evolution_info{rule_id = 117,classify_id = 4,subclass = 402,target_goods_id = 109024,condition = [],main_goods_id = 0,cost_goods = [{0,109023,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(118) ->
    #base_goods_compose_or_evolution_info{rule_id = 118,classify_id = 4,subclass = 402,target_goods_id = 109025,condition = [],main_goods_id = 0,cost_goods = [{0,109024,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(119) ->
    #base_goods_compose_or_evolution_info{rule_id = 119,classify_id = 4,subclass = 402,target_goods_id = 109026,condition = [],main_goods_id = 0,cost_goods = [{0,109025,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(120) ->
    #base_goods_compose_or_evolution_info{rule_id = 120,classify_id = 4,subclass = 402,target_goods_id = 109027,condition = [],main_goods_id = 0,cost_goods = [{0,109026,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(121) ->
    #base_goods_compose_or_evolution_info{rule_id = 121,classify_id = 4,subclass = 402,target_goods_id = 109028,condition = [],main_goods_id = 0,cost_goods = [{0,109027,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(122) ->
    #base_goods_compose_or_evolution_info{rule_id = 122,classify_id = 4,subclass = 402,target_goods_id = 109029,condition = [],main_goods_id = 0,cost_goods = [{0,109028,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(123) ->
    #base_goods_compose_or_evolution_info{rule_id = 123,classify_id = 5,subclass = 500,target_goods_id = 710201,condition = [],main_goods_id = 0,cost_goods = [{0,740201,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(124) ->
    #base_goods_compose_or_evolution_info{rule_id = 124,classify_id = 5,subclass = 500,target_goods_id = 710202,condition = [],main_goods_id = 0,cost_goods = [{0,740202,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(125) ->
    #base_goods_compose_or_evolution_info{rule_id = 125,classify_id = 5,subclass = 500,target_goods_id = 710203,condition = [],main_goods_id = 0,cost_goods = [{0,740203,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(126) ->
    #base_goods_compose_or_evolution_info{rule_id = 126,classify_id = 5,subclass = 500,target_goods_id = 710204,condition = [],main_goods_id = 0,cost_goods = [{0,740204,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(127) ->
    #base_goods_compose_or_evolution_info{rule_id = 127,classify_id = 5,subclass = 500,target_goods_id = 710205,condition = [],main_goods_id = 0,cost_goods = [{0,740205,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(128) ->
    #base_goods_compose_or_evolution_info{rule_id = 128,classify_id = 5,subclass = 500,target_goods_id = 710206,condition = [],main_goods_id = 0,cost_goods = [{0,740206,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(129) ->
    #base_goods_compose_or_evolution_info{rule_id = 129,classify_id = 5,subclass = 500,target_goods_id = 710207,condition = [],main_goods_id = 0,cost_goods = [{0,740207,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(130) ->
    #base_goods_compose_or_evolution_info{rule_id = 130,classify_id = 5,subclass = 501,target_goods_id = 710301,condition = [],main_goods_id = 0,cost_goods = [{0,740301,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(131) ->
    #base_goods_compose_or_evolution_info{rule_id = 131,classify_id = 5,subclass = 501,target_goods_id = 710302,condition = [],main_goods_id = 0,cost_goods = [{0,740302,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(132) ->
    #base_goods_compose_or_evolution_info{rule_id = 132,classify_id = 5,subclass = 501,target_goods_id = 710303,condition = [],main_goods_id = 0,cost_goods = [{0,740303,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(133) ->
    #base_goods_compose_or_evolution_info{rule_id = 133,classify_id = 5,subclass = 501,target_goods_id = 710304,condition = [],main_goods_id = 0,cost_goods = [{0,740304,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(134) ->
    #base_goods_compose_or_evolution_info{rule_id = 134,classify_id = 5,subclass = 501,target_goods_id = 710305,condition = [],main_goods_id = 0,cost_goods = [{0,740305,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(135) ->
    #base_goods_compose_or_evolution_info{rule_id = 135,classify_id = 5,subclass = 501,target_goods_id = 710306,condition = [],main_goods_id = 0,cost_goods = [{0,740306,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(136) ->
    #base_goods_compose_or_evolution_info{rule_id = 136,classify_id = 5,subclass = 501,target_goods_id = 710307,condition = [],main_goods_id = 0,cost_goods = [{0,740307,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(137) ->
    #base_goods_compose_or_evolution_info{rule_id = 137,classify_id = 5,subclass = 502,target_goods_id = 710401,condition = [],main_goods_id = 0,cost_goods = [{0,740401,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(138) ->
    #base_goods_compose_or_evolution_info{rule_id = 138,classify_id = 5,subclass = 502,target_goods_id = 710402,condition = [],main_goods_id = 0,cost_goods = [{0,740402,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(139) ->
    #base_goods_compose_or_evolution_info{rule_id = 139,classify_id = 5,subclass = 502,target_goods_id = 710403,condition = [],main_goods_id = 0,cost_goods = [{0,740403,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(140) ->
    #base_goods_compose_or_evolution_info{rule_id = 140,classify_id = 5,subclass = 502,target_goods_id = 710404,condition = [],main_goods_id = 0,cost_goods = [{0,740404,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(141) ->
    #base_goods_compose_or_evolution_info{rule_id = 141,classify_id = 5,subclass = 502,target_goods_id = 710405,condition = [],main_goods_id = 0,cost_goods = [{0,740405,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(142) ->
    #base_goods_compose_or_evolution_info{rule_id = 142,classify_id = 5,subclass = 502,target_goods_id = 710406,condition = [],main_goods_id = 0,cost_goods = [{0,740406,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(143) ->
    #base_goods_compose_or_evolution_info{rule_id = 143,classify_id = 5,subclass = 502,target_goods_id = 710407,condition = [],main_goods_id = 0,cost_goods = [{0,740407,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(10001) ->
    #base_goods_compose_or_evolution_info{rule_id = 10001,classify_id = 6,subclass = 601,target_goods_id = 109002,condition = [{open_lv,100},{opday,8}],main_goods_id = 0,cost_goods = [{0,740303,30},{0,740304,30},{0,740305,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(10002) ->
    #base_goods_compose_or_evolution_info{rule_id = 10002,classify_id = 6,subclass = 601,target_goods_id = 109003,condition = [{open_lv,100},{opday,8}],main_goods_id = 0,cost_goods = [{0,740304,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(10003) ->
    #base_goods_compose_or_evolution_info{rule_id = 10003,classify_id = 6,subclass = 601,target_goods_id = 109004,condition = [{open_lv,100},{opday,15}],main_goods_id = 0,cost_goods = [{0,740305,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(10004) ->
    #base_goods_compose_or_evolution_info{rule_id = 10004,classify_id = 7,subclass = 701,target_goods_id = 109005,condition = [{open_lv,220},{opday,0}],main_goods_id = 0,cost_goods = [{0,740306,30},{0,740307,30},{0,740401,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(10005) ->
    #base_goods_compose_or_evolution_info{rule_id = 10005,classify_id = 7,subclass = 701,target_goods_id = 109006,condition = [{open_lv,220},{opday,0}],main_goods_id = 0,cost_goods = [{0,740307,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(10006) ->
    #base_goods_compose_or_evolution_info{rule_id = 10006,classify_id = 7,subclass = 701,target_goods_id = 109007,condition = [{open_lv,220},{opday,12}],main_goods_id = 0,cost_goods = [{0,740401,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(10007) ->
    #base_goods_compose_or_evolution_info{rule_id = 10007,classify_id = 7,subclass = 702,target_goods_id = 109008,condition = [{open_lv,220},{opday,15}],main_goods_id = 0,cost_goods = [{0,740402,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(10008) ->
    #base_goods_compose_or_evolution_info{rule_id = 10008,classify_id = 7,subclass = 702,target_goods_id = 109009,condition = [{open_lv,220},{opday,20}],main_goods_id = 0,cost_goods = [{0,740403,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(10009) ->
    #base_goods_compose_or_evolution_info{rule_id = 10009,classify_id = 7,subclass = 703,target_goods_id = 109012,condition = [{open_lv,300},{opday,31}],main_goods_id = 0,cost_goods = [{0,740404,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(10010) ->
    #base_goods_compose_or_evolution_info{rule_id = 10010,classify_id = 7,subclass = 703,target_goods_id = 109013,condition = [{open_lv,300},{opday,31}],main_goods_id = 0,cost_goods = [{0,740405,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(10011) ->
    #base_goods_compose_or_evolution_info{rule_id = 10011,classify_id = 7,subclass = 703,target_goods_id = 109014,condition = [{open_lv,300},{opday,61}],main_goods_id = 0,cost_goods = [{0,740406,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(10012) ->
    #base_goods_compose_or_evolution_info{rule_id = 10012,classify_id = 7,subclass = 703,target_goods_id = 109015,condition = [{open_lv,300},{opday,61}],main_goods_id = 0,cost_goods = [{0,740407,30}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20001) ->
    #base_goods_compose_or_evolution_info{rule_id = 20001,classify_id = 8,subclass = 801,target_goods_id = 24101014,condition = [],main_goods_id = 0,cost_goods = [{0,108012,5}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20002) ->
    #base_goods_compose_or_evolution_info{rule_id = 20002,classify_id = 8,subclass = 801,target_goods_id = 24101024,condition = [],main_goods_id = 0,cost_goods = [{0,108012,2}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20003) ->
    #base_goods_compose_or_evolution_info{rule_id = 20003,classify_id = 8,subclass = 801,target_goods_id = 24101034,condition = [],main_goods_id = 0,cost_goods = [{0,108012,4}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20004) ->
    #base_goods_compose_or_evolution_info{rule_id = 20004,classify_id = 8,subclass = 801,target_goods_id = 24101044,condition = [],main_goods_id = 0,cost_goods = [{0,108012,4}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20005) ->
    #base_goods_compose_or_evolution_info{rule_id = 20005,classify_id = 8,subclass = 801,target_goods_id = 24101054,condition = [],main_goods_id = 0,cost_goods = [{0,108012,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20006) ->
    #base_goods_compose_or_evolution_info{rule_id = 20006,classify_id = 8,subclass = 801,target_goods_id = 24101064,condition = [],main_goods_id = 0,cost_goods = [{0,108012,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20007) ->
    #base_goods_compose_or_evolution_info{rule_id = 20007,classify_id = 8,subclass = 801,target_goods_id = 24101074,condition = [],main_goods_id = 0,cost_goods = [{0,108012,2}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20008) ->
    #base_goods_compose_or_evolution_info{rule_id = 20008,classify_id = 8,subclass = 802,target_goods_id = 24102014,condition = [],main_goods_id = 0,cost_goods = [{0,108022,15}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20009) ->
    #base_goods_compose_or_evolution_info{rule_id = 20009,classify_id = 8,subclass = 802,target_goods_id = 24102024,condition = [],main_goods_id = 0,cost_goods = [{0,108022,6}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20010) ->
    #base_goods_compose_or_evolution_info{rule_id = 20010,classify_id = 8,subclass = 802,target_goods_id = 24102034,condition = [],main_goods_id = 0,cost_goods = [{0,108022,12}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20011) ->
    #base_goods_compose_or_evolution_info{rule_id = 20011,classify_id = 8,subclass = 802,target_goods_id = 24102044,condition = [],main_goods_id = 0,cost_goods = [{0,108022,12}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20012) ->
    #base_goods_compose_or_evolution_info{rule_id = 20012,classify_id = 8,subclass = 802,target_goods_id = 24102054,condition = [],main_goods_id = 0,cost_goods = [{0,108022,9}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20013) ->
    #base_goods_compose_or_evolution_info{rule_id = 20013,classify_id = 8,subclass = 802,target_goods_id = 24102064,condition = [],main_goods_id = 0,cost_goods = [{0,108022,9}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20014) ->
    #base_goods_compose_or_evolution_info{rule_id = 20014,classify_id = 8,subclass = 802,target_goods_id = 24102074,condition = [],main_goods_id = 0,cost_goods = [{0,108022,6}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20015) ->
    #base_goods_compose_or_evolution_info{rule_id = 20015,classify_id = 8,subclass = 803,target_goods_id = 24103014,condition = [],main_goods_id = 0,cost_goods = [{0,108032,25}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20016) ->
    #base_goods_compose_or_evolution_info{rule_id = 20016,classify_id = 8,subclass = 803,target_goods_id = 24103024,condition = [],main_goods_id = 0,cost_goods = [{0,108032,10}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20017) ->
    #base_goods_compose_or_evolution_info{rule_id = 20017,classify_id = 8,subclass = 803,target_goods_id = 24103034,condition = [],main_goods_id = 0,cost_goods = [{0,108032,20}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20018) ->
    #base_goods_compose_or_evolution_info{rule_id = 20018,classify_id = 8,subclass = 803,target_goods_id = 24103044,condition = [],main_goods_id = 0,cost_goods = [{0,108032,20}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20019) ->
    #base_goods_compose_or_evolution_info{rule_id = 20019,classify_id = 8,subclass = 803,target_goods_id = 24103054,condition = [],main_goods_id = 0,cost_goods = [{0,108032,15}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20020) ->
    #base_goods_compose_or_evolution_info{rule_id = 20020,classify_id = 8,subclass = 803,target_goods_id = 24103064,condition = [],main_goods_id = 0,cost_goods = [{0,108032,15}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20021) ->
    #base_goods_compose_or_evolution_info{rule_id = 20021,classify_id = 8,subclass = 803,target_goods_id = 24103074,condition = [],main_goods_id = 0,cost_goods = [{0,108032,10}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20022) ->
    #base_goods_compose_or_evolution_info{rule_id = 20022,classify_id = 8,subclass = 804,target_goods_id = 24104014,condition = [],main_goods_id = 0,cost_goods = [{0,108042,40}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20023) ->
    #base_goods_compose_or_evolution_info{rule_id = 20023,classify_id = 8,subclass = 804,target_goods_id = 24104024,condition = [],main_goods_id = 0,cost_goods = [{0,108042,16}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20024) ->
    #base_goods_compose_or_evolution_info{rule_id = 20024,classify_id = 8,subclass = 804,target_goods_id = 24104034,condition = [],main_goods_id = 0,cost_goods = [{0,108042,32}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20025) ->
    #base_goods_compose_or_evolution_info{rule_id = 20025,classify_id = 8,subclass = 804,target_goods_id = 24104044,condition = [],main_goods_id = 0,cost_goods = [{0,108042,32}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20026) ->
    #base_goods_compose_or_evolution_info{rule_id = 20026,classify_id = 8,subclass = 804,target_goods_id = 24104054,condition = [],main_goods_id = 0,cost_goods = [{0,108042,24}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20027) ->
    #base_goods_compose_or_evolution_info{rule_id = 20027,classify_id = 8,subclass = 804,target_goods_id = 24104064,condition = [],main_goods_id = 0,cost_goods = [{0,108042,24}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20028) ->
    #base_goods_compose_or_evolution_info{rule_id = 20028,classify_id = 8,subclass = 804,target_goods_id = 24104074,condition = [],main_goods_id = 0,cost_goods = [{0,108042,16}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20029) ->
    #base_goods_compose_or_evolution_info{rule_id = 20029,classify_id = 8,subclass = 805,target_goods_id = 24105014,condition = [],main_goods_id = 0,cost_goods = [{0,108052,65}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20030) ->
    #base_goods_compose_or_evolution_info{rule_id = 20030,classify_id = 8,subclass = 805,target_goods_id = 24105024,condition = [],main_goods_id = 0,cost_goods = [{0,108052,26}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20031) ->
    #base_goods_compose_or_evolution_info{rule_id = 20031,classify_id = 8,subclass = 805,target_goods_id = 24105034,condition = [],main_goods_id = 0,cost_goods = [{0,108052,52}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20032) ->
    #base_goods_compose_or_evolution_info{rule_id = 20032,classify_id = 8,subclass = 805,target_goods_id = 24105044,condition = [],main_goods_id = 0,cost_goods = [{0,108052,52}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20033) ->
    #base_goods_compose_or_evolution_info{rule_id = 20033,classify_id = 8,subclass = 805,target_goods_id = 24105054,condition = [],main_goods_id = 0,cost_goods = [{0,108052,39}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20034) ->
    #base_goods_compose_or_evolution_info{rule_id = 20034,classify_id = 8,subclass = 805,target_goods_id = 24105064,condition = [],main_goods_id = 0,cost_goods = [{0,108052,39}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20035) ->
    #base_goods_compose_or_evolution_info{rule_id = 20035,classify_id = 8,subclass = 805,target_goods_id = 24105074,condition = [],main_goods_id = 0,cost_goods = [{0,108052,26}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20036) ->
    #base_goods_compose_or_evolution_info{rule_id = 20036,classify_id = 8,subclass = 806,target_goods_id = 24106014,condition = [],main_goods_id = 0,cost_goods = [{0,108062,100}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20037) ->
    #base_goods_compose_or_evolution_info{rule_id = 20037,classify_id = 8,subclass = 806,target_goods_id = 24106024,condition = [],main_goods_id = 0,cost_goods = [{0,108062,40}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20038) ->
    #base_goods_compose_or_evolution_info{rule_id = 20038,classify_id = 8,subclass = 806,target_goods_id = 24106034,condition = [],main_goods_id = 0,cost_goods = [{0,108062,80}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20039) ->
    #base_goods_compose_or_evolution_info{rule_id = 20039,classify_id = 8,subclass = 806,target_goods_id = 24106044,condition = [],main_goods_id = 0,cost_goods = [{0,108062,80}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20040) ->
    #base_goods_compose_or_evolution_info{rule_id = 20040,classify_id = 8,subclass = 806,target_goods_id = 24106054,condition = [],main_goods_id = 0,cost_goods = [{0,108062,60}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20041) ->
    #base_goods_compose_or_evolution_info{rule_id = 20041,classify_id = 8,subclass = 806,target_goods_id = 24106064,condition = [],main_goods_id = 0,cost_goods = [{0,108062,60}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20042) ->
    #base_goods_compose_or_evolution_info{rule_id = 20042,classify_id = 8,subclass = 806,target_goods_id = 24106074,condition = [],main_goods_id = 0,cost_goods = [{0,108062,40}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20043) ->
    #base_goods_compose_or_evolution_info{rule_id = 20043,classify_id = 8,subclass = 801,target_goods_id = 24201014,condition = [],main_goods_id = 0,cost_goods = [{0,108012,5}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20044) ->
    #base_goods_compose_or_evolution_info{rule_id = 20044,classify_id = 8,subclass = 801,target_goods_id = 24201024,condition = [],main_goods_id = 0,cost_goods = [{0,108012,2}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20045) ->
    #base_goods_compose_or_evolution_info{rule_id = 20045,classify_id = 8,subclass = 801,target_goods_id = 24201034,condition = [],main_goods_id = 0,cost_goods = [{0,108012,4}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20046) ->
    #base_goods_compose_or_evolution_info{rule_id = 20046,classify_id = 8,subclass = 801,target_goods_id = 24201044,condition = [],main_goods_id = 0,cost_goods = [{0,108012,4}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20047) ->
    #base_goods_compose_or_evolution_info{rule_id = 20047,classify_id = 8,subclass = 801,target_goods_id = 24201054,condition = [],main_goods_id = 0,cost_goods = [{0,108012,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20048) ->
    #base_goods_compose_or_evolution_info{rule_id = 20048,classify_id = 8,subclass = 801,target_goods_id = 24201064,condition = [],main_goods_id = 0,cost_goods = [{0,108012,3}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20049) ->
    #base_goods_compose_or_evolution_info{rule_id = 20049,classify_id = 8,subclass = 801,target_goods_id = 24201074,condition = [],main_goods_id = 0,cost_goods = [{0,108012,2}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20050) ->
    #base_goods_compose_or_evolution_info{rule_id = 20050,classify_id = 8,subclass = 802,target_goods_id = 24202014,condition = [],main_goods_id = 0,cost_goods = [{0,108022,15}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20051) ->
    #base_goods_compose_or_evolution_info{rule_id = 20051,classify_id = 8,subclass = 802,target_goods_id = 24202024,condition = [],main_goods_id = 0,cost_goods = [{0,108022,6}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20052) ->
    #base_goods_compose_or_evolution_info{rule_id = 20052,classify_id = 8,subclass = 802,target_goods_id = 24202034,condition = [],main_goods_id = 0,cost_goods = [{0,108022,12}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20053) ->
    #base_goods_compose_or_evolution_info{rule_id = 20053,classify_id = 8,subclass = 802,target_goods_id = 24202044,condition = [],main_goods_id = 0,cost_goods = [{0,108022,12}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20054) ->
    #base_goods_compose_or_evolution_info{rule_id = 20054,classify_id = 8,subclass = 802,target_goods_id = 24202054,condition = [],main_goods_id = 0,cost_goods = [{0,108022,9}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20055) ->
    #base_goods_compose_or_evolution_info{rule_id = 20055,classify_id = 8,subclass = 802,target_goods_id = 24202064,condition = [],main_goods_id = 0,cost_goods = [{0,108022,9}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20056) ->
    #base_goods_compose_or_evolution_info{rule_id = 20056,classify_id = 8,subclass = 802,target_goods_id = 24202074,condition = [],main_goods_id = 0,cost_goods = [{0,108022,6}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20057) ->
    #base_goods_compose_or_evolution_info{rule_id = 20057,classify_id = 8,subclass = 803,target_goods_id = 24203014,condition = [],main_goods_id = 0,cost_goods = [{0,108032,25}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20058) ->
    #base_goods_compose_or_evolution_info{rule_id = 20058,classify_id = 8,subclass = 803,target_goods_id = 24203024,condition = [],main_goods_id = 0,cost_goods = [{0,108032,10}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20059) ->
    #base_goods_compose_or_evolution_info{rule_id = 20059,classify_id = 8,subclass = 803,target_goods_id = 24203034,condition = [],main_goods_id = 0,cost_goods = [{0,108032,20}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20060) ->
    #base_goods_compose_or_evolution_info{rule_id = 20060,classify_id = 8,subclass = 803,target_goods_id = 24203044,condition = [],main_goods_id = 0,cost_goods = [{0,108032,20}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20061) ->
    #base_goods_compose_or_evolution_info{rule_id = 20061,classify_id = 8,subclass = 803,target_goods_id = 24203054,condition = [],main_goods_id = 0,cost_goods = [{0,108032,15}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20062) ->
    #base_goods_compose_or_evolution_info{rule_id = 20062,classify_id = 8,subclass = 803,target_goods_id = 24203064,condition = [],main_goods_id = 0,cost_goods = [{0,108032,15}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20063) ->
    #base_goods_compose_or_evolution_info{rule_id = 20063,classify_id = 8,subclass = 803,target_goods_id = 24203074,condition = [],main_goods_id = 0,cost_goods = [{0,108032,10}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20064) ->
    #base_goods_compose_or_evolution_info{rule_id = 20064,classify_id = 8,subclass = 804,target_goods_id = 24204014,condition = [],main_goods_id = 0,cost_goods = [{0,108042,40}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20065) ->
    #base_goods_compose_or_evolution_info{rule_id = 20065,classify_id = 8,subclass = 804,target_goods_id = 24204024,condition = [],main_goods_id = 0,cost_goods = [{0,108042,16}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20066) ->
    #base_goods_compose_or_evolution_info{rule_id = 20066,classify_id = 8,subclass = 804,target_goods_id = 24204034,condition = [],main_goods_id = 0,cost_goods = [{0,108042,32}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20067) ->
    #base_goods_compose_or_evolution_info{rule_id = 20067,classify_id = 8,subclass = 804,target_goods_id = 24204044,condition = [],main_goods_id = 0,cost_goods = [{0,108042,32}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20068) ->
    #base_goods_compose_or_evolution_info{rule_id = 20068,classify_id = 8,subclass = 804,target_goods_id = 24204054,condition = [],main_goods_id = 0,cost_goods = [{0,108042,24}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20069) ->
    #base_goods_compose_or_evolution_info{rule_id = 20069,classify_id = 8,subclass = 804,target_goods_id = 24204064,condition = [],main_goods_id = 0,cost_goods = [{0,108042,24}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20070) ->
    #base_goods_compose_or_evolution_info{rule_id = 20070,classify_id = 8,subclass = 804,target_goods_id = 24204074,condition = [],main_goods_id = 0,cost_goods = [{0,108042,16}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20071) ->
    #base_goods_compose_or_evolution_info{rule_id = 20071,classify_id = 8,subclass = 805,target_goods_id = 24205014,condition = [],main_goods_id = 0,cost_goods = [{0,108052,65}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20072) ->
    #base_goods_compose_or_evolution_info{rule_id = 20072,classify_id = 8,subclass = 805,target_goods_id = 24205024,condition = [],main_goods_id = 0,cost_goods = [{0,108052,26}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20073) ->
    #base_goods_compose_or_evolution_info{rule_id = 20073,classify_id = 8,subclass = 805,target_goods_id = 24205034,condition = [],main_goods_id = 0,cost_goods = [{0,108052,52}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20074) ->
    #base_goods_compose_or_evolution_info{rule_id = 20074,classify_id = 8,subclass = 805,target_goods_id = 24205044,condition = [],main_goods_id = 0,cost_goods = [{0,108052,52}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20075) ->
    #base_goods_compose_or_evolution_info{rule_id = 20075,classify_id = 8,subclass = 805,target_goods_id = 24205054,condition = [],main_goods_id = 0,cost_goods = [{0,108052,39}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20076) ->
    #base_goods_compose_or_evolution_info{rule_id = 20076,classify_id = 8,subclass = 805,target_goods_id = 24205064,condition = [],main_goods_id = 0,cost_goods = [{0,108052,39}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20077) ->
    #base_goods_compose_or_evolution_info{rule_id = 20077,classify_id = 8,subclass = 805,target_goods_id = 24205074,condition = [],main_goods_id = 0,cost_goods = [{0,108052,26}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20078) ->
    #base_goods_compose_or_evolution_info{rule_id = 20078,classify_id = 8,subclass = 806,target_goods_id = 24206014,condition = [],main_goods_id = 0,cost_goods = [{0,108062,100}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20079) ->
    #base_goods_compose_or_evolution_info{rule_id = 20079,classify_id = 8,subclass = 806,target_goods_id = 24206024,condition = [],main_goods_id = 0,cost_goods = [{0,108062,40}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20080) ->
    #base_goods_compose_or_evolution_info{rule_id = 20080,classify_id = 8,subclass = 806,target_goods_id = 24206034,condition = [],main_goods_id = 0,cost_goods = [{0,108062,80}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20081) ->
    #base_goods_compose_or_evolution_info{rule_id = 20081,classify_id = 8,subclass = 806,target_goods_id = 24206044,condition = [],main_goods_id = 0,cost_goods = [{0,108062,80}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20082) ->
    #base_goods_compose_or_evolution_info{rule_id = 20082,classify_id = 8,subclass = 806,target_goods_id = 24206054,condition = [],main_goods_id = 0,cost_goods = [{0,108062,60}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20083) ->
    #base_goods_compose_or_evolution_info{rule_id = 20083,classify_id = 8,subclass = 806,target_goods_id = 24206064,condition = [],main_goods_id = 0,cost_goods = [{0,108062,60}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(20084) ->
    #base_goods_compose_or_evolution_info{rule_id = 20084,classify_id = 8,subclass = 806,target_goods_id = 24206074,condition = [],main_goods_id = 0,cost_goods = [{0,108062,40}],cost_money = [],base_ratio = 10000};

get_goods_compose_evolution(_Ruleid) ->
    [].

