%%%---------------------------------------
%%% module      : data_goods_effect
%%% description : 物品效果配置
%%%
%%%---------------------------------------
-module(data_goods_effect).
-compile(export_all).
-include("goods.hrl").



get(101000) ->
    #goods_effect{goods_id = 101000,goods_type = 0,buff_type = 0,effect_list = [{charge_card,1}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(101001) ->
    #goods_effect{goods_id = 101001,goods_type = 0,buff_type = 0,effect_list = [{charge_card,2}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(101002) ->
    #goods_effect{goods_id = 101002,goods_type = 0,buff_type = 0,effect_list = [{charge_card,3}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(101003) ->
    #goods_effect{goods_id = 101003,goods_type = 0,buff_type = 0,effect_list = [{charge_card,4}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(101004) ->
    #goods_effect{goods_id = 101004,goods_type = 0,buff_type = 0,effect_list = [{charge_card,5}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(101005) ->
    #goods_effect{goods_id = 101005,goods_type = 0,buff_type = 0,effect_list = [{charge_card,6}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(101006) ->
    #goods_effect{goods_id = 101006,goods_type = 0,buff_type = 0,effect_list = [{charge_card,7}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(101007) ->
    #goods_effect{goods_id = 101007,goods_type = 0,buff_type = 0,effect_list = [{charge_card,8}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(101101) ->
    #goods_effect{goods_id = 101101,goods_type = 0,buff_type = 0,effect_list = [{charge_card,702}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(101102) ->
    #goods_effect{goods_id = 101102,goods_type = 0,buff_type = 0,effect_list = [{charge_card,704}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(101150) ->
    #goods_effect{goods_id = 101150,goods_type = 0,buff_type = 0,effect_list = [{charge_card,301}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(101151) ->
    #goods_effect{goods_id = 101151,goods_type = 0,buff_type = 0,effect_list = [{charge_card,302}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(101152) ->
    #goods_effect{goods_id = 101152,goods_type = 0,buff_type = 0,effect_list = [{charge_card,303}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102001) ->
    #goods_effect{goods_id = 102001,goods_type = 0,buff_type = 0,effect_list = [{del_pk_value,10}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102011) ->
    #goods_effect{goods_id = 102011,goods_type = 0,buff_type = 0,effect_list = [{foster_grade_up,1,6,[{100,230001,300}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102012) ->
    #goods_effect{goods_id = 102012,goods_type = 0,buff_type = 0,effect_list = [{foster_grade_up,2,6,[{100,230002,300}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102013) ->
    #goods_effect{goods_id = 102013,goods_type = 0,buff_type = 0,effect_list = [{foster_grade_up,3,6,[{100,230003,300}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102014) ->
    #goods_effect{goods_id = 102014,goods_type = 0,buff_type = 0,effect_list = [{foster_grade_up,4,6,[{100,230004,300}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102015) ->
    #goods_effect{goods_id = 102015,goods_type = 0,buff_type = 0,effect_list = [{foster_grade_up,1,5,[{100,230001,200}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102016) ->
    #goods_effect{goods_id = 102016,goods_type = 0,buff_type = 0,effect_list = [{foster_grade_up,2,5,[{100,230002,200}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102017) ->
    #goods_effect{goods_id = 102017,goods_type = 0,buff_type = 0,effect_list = [{foster_grade_up,3,5,[{100,230003,200}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102018) ->
    #goods_effect{goods_id = 102018,goods_type = 0,buff_type = 0,effect_list = [{foster_grade_up,4,5,[{100,230004,200}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102041) ->
    #goods_effect{goods_id = 102041,goods_type = 0,buff_type = 0,effect_list = [{foster_star_up,1,7,[{100,230001,200}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102042) ->
    #goods_effect{goods_id = 102042,goods_type = 0,buff_type = 0,effect_list = [{foster_star_up,2,7,[{100,230002,200}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102043) ->
    #goods_effect{goods_id = 102043,goods_type = 0,buff_type = 0,effect_list = [{foster_star_up,3,7,[{100,230003,200}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102044) ->
    #goods_effect{goods_id = 102044,goods_type = 0,buff_type = 0,effect_list = [{foster_star_up,4,7,[{100,230004,200}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102045) ->
    #goods_effect{goods_id = 102045,goods_type = 0,buff_type = 0,effect_list = [{foster_star_up,1,6,[{100,230001,100}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102046) ->
    #goods_effect{goods_id = 102046,goods_type = 0,buff_type = 0,effect_list = [{foster_star_up,2,6,[{100,230002,100}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102047) ->
    #goods_effect{goods_id = 102047,goods_type = 0,buff_type = 0,effect_list = [{foster_star_up,3,6,[{100,230003,100}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102048) ->
    #goods_effect{goods_id = 102048,goods_type = 0,buff_type = 0,effect_list = [{foster_star_up,4,6,[{100,230004,100}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102051) ->
    #goods_effect{goods_id = 102051,goods_type = 0,buff_type = 0,effect_list = [{foster_star_up,1,5,[{100,230001,50}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102052) ->
    #goods_effect{goods_id = 102052,goods_type = 0,buff_type = 0,effect_list = [{foster_star_up,2,5,[{100,230002,50}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102053) ->
    #goods_effect{goods_id = 102053,goods_type = 0,buff_type = 0,effect_list = [{foster_star_up,3,5,[{100,230003,50}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102054) ->
    #goods_effect{goods_id = 102054,goods_type = 0,buff_type = 0,effect_list = [{foster_star_up,4,5,[{100,230004,50}]}],time = 0,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102100) ->
    #goods_effect{goods_id = 102100,goods_type = 1,buff_type = 1,effect_list = [{exp_mon,0.5}],time = 3600,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102111) ->
    #goods_effect{goods_id = 102111,goods_type = 1,buff_type = 1,effect_list = [{exp_mon,1}],time = 3600,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102112) ->
    #goods_effect{goods_id = 102112,goods_type = 1,buff_type = 1,effect_list = [{exp_mon,2}],time = 3600,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = []};

get(102708) ->
    #goods_effect{goods_id = 102708,goods_type = 0,buff_type = 15,effect_list = [{attr,[{19,100}]}],time = 1200,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = [4200]};

get(102709) ->
    #goods_effect{goods_id = 102709,goods_type = 0,buff_type = 15,effect_list = [{attr,[{25,100}]}],time = 1200,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = [4200]};

get(102710) ->
    #goods_effect{goods_id = 102710,goods_type = 0,buff_type = 15,effect_list = [{attr,[{54,100}]}],time = 1200,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = [4200]};

get(102711) ->
    #goods_effect{goods_id = 102711,goods_type = 0,buff_type = 15,effect_list = [{attr,[{27,100}]}],time = 1200,limit_type = 0,counter_module = 0,counter_id = 0,limit_scene = [4200]};

get(_Goodsid) ->
    [].


get_goods_lv(102101) ->
    [{1,999}];


get_goods_lv(102102) ->
    [{1,119},{120,999}];


get_goods_lv(102103) ->
    [{1,999}];


get_goods_lv(102104) ->
    [{1,999}];


get_goods_lv(102105) ->
    [{1,999}];


get_goods_lv(102106) ->
    [{1,999}];


get_goods_lv(102107) ->
    [{1,139},{140,999}];


get_goods_lv(102108) ->
    [{1,164},{165,999}];


get_goods_lv(102109) ->
    [{1,189},{190,999}];


get_goods_lv(102110) ->
    [{1,144},{145,999}];


get_goods_lv(102113) ->
    [{96,999}];


get_goods_lv(102114) ->
    [{115,999}];


get_goods_lv(102115) ->
    [{100,999}];


get_goods_lv(102116) ->
    [{145,999}];


get_goods_lv(102117) ->
    [{160,999}];


get_goods_lv(102118) ->
    [{100,999}];


get_goods_lv(102119) ->
    [{200,999}];

get_goods_lv(_Goodsid) ->
    [].

get_goods_dynamic_exp(102101,_Lv) when _Lv >= 1, _Lv =< 999 ->
		[300000,0];
get_goods_dynamic_exp(102102,_Lv) when _Lv >= 1, _Lv =< 119 ->
		[10,1];
get_goods_dynamic_exp(102102,_Lv) when _Lv >= 120, _Lv =< 999 ->
		[980000,0];
get_goods_dynamic_exp(102103,_Lv) when _Lv >= 1, _Lv =< 999 ->
		[1000000,0];
get_goods_dynamic_exp(102104,_Lv) when _Lv >= 1, _Lv =< 999 ->
		[2000000,0];
get_goods_dynamic_exp(102105,_Lv) when _Lv >= 1, _Lv =< 999 ->
		[4000000,0];
get_goods_dynamic_exp(102106,_Lv) when _Lv >= 1, _Lv =< 999 ->
		[8000000,0];
get_goods_dynamic_exp(102107,_Lv) when _Lv >= 1, _Lv =< 139 ->
		[10,1];
get_goods_dynamic_exp(102107,_Lv) when _Lv >= 140, _Lv =< 999 ->
		[1100000,0];
get_goods_dynamic_exp(102108,_Lv) when _Lv >= 1, _Lv =< 164 ->
		[10,1];
get_goods_dynamic_exp(102108,_Lv) when _Lv >= 165, _Lv =< 999 ->
		[1270000,0];
get_goods_dynamic_exp(102109,_Lv) when _Lv >= 1, _Lv =< 189 ->
		[10,1];
get_goods_dynamic_exp(102109,_Lv) when _Lv >= 190, _Lv =< 999 ->
		[1850000,0];
get_goods_dynamic_exp(102110,_Lv) when _Lv >= 1, _Lv =< 144 ->
		[10,1];
get_goods_dynamic_exp(102110,_Lv) when _Lv >= 145, _Lv =< 999 ->
		[1120000,0];
get_goods_dynamic_exp(102113,_Lv) when _Lv >= 96, _Lv =< 999 ->
		[100000,0];
get_goods_dynamic_exp(102114,_Lv) when _Lv >= 115, _Lv =< 999 ->
		[120000,0];
get_goods_dynamic_exp(102115,_Lv) when _Lv >= 100, _Lv =< 999 ->
		[50000,0];
get_goods_dynamic_exp(102116,_Lv) when _Lv >= 145, _Lv =< 999 ->
		[200000,0];
get_goods_dynamic_exp(102117,_Lv) when _Lv >= 160, _Lv =< 999 ->
		[300000,0];
get_goods_dynamic_exp(102118,_Lv) when _Lv >= 100, _Lv =< 999 ->
		[500000,0];
get_goods_dynamic_exp(102119,_Lv) when _Lv >= 200, _Lv =< 999 ->
		[600000,0];
get_goods_dynamic_exp(_Goods_id,_Lv) ->
    [0,0].

