%%%---------------------------------------
%%% module      : data_guild_collect
%%% description : 社团午间采集配置
%%%
%%%---------------------------------------
-module(data_guild_collect).
-compile(export_all).
-include("guild_collect.hrl").



get_mon(_WorldLv) when 1 =< _WorldLv, 999 >= _WorldLv ->
		650001;
get_mon(_WorldLv) ->
    [].

get_rewards(_Lv) when _Lv >= 1, _Lv =< 100 ->
		[{0,450034,1}];
get_rewards(_Lv) when _Lv >= 101, _Lv =< 150 ->
		[{0,450034,1}];
get_rewards(_Lv) when _Lv >= 151, _Lv =< 200 ->
		[{0,450034,1}];
get_rewards(_Lv) when _Lv >= 201, _Lv =< 250 ->
		[{0,450034,1}];
get_rewards(_Lv) when _Lv >= 251, _Lv =< 300 ->
		[{0,450034,1}];
get_rewards(_Lv) when _Lv >= 301, _Lv =< 350 ->
		[{0,450034,1}];
get_rewards(_Lv) when _Lv >= 351, _Lv =< 400 ->
		[{0,450034,1}];
get_rewards(_Lv) when _Lv >= 401, _Lv =< 450 ->
		[{0,450034,1}];
get_rewards(_Lv) when _Lv >= 451, _Lv =< 500 ->
		[{0,450034,1}];
get_rewards(_Lv) when _Lv >= 501, _Lv =< 550 ->
		[{0,450034,1}];
get_rewards(_Lv) when _Lv >= 551, _Lv =< 600 ->
		[{0,450034,1}];
get_rewards(_Lv) when _Lv >= 601, _Lv =< 650 ->
		[{0,450034,1}];
get_rewards(_Lv) when _Lv >= 651, _Lv =< 700 ->
		[{0,450034,1}];
get_rewards(_Lv) when _Lv >= 701, _Lv =< 999 ->
		[{0,450034,1}];
get_rewards(_Lv) ->
    [].

get_help_rewards(_Lv) when _Lv >= 1, _Lv =< 100 ->
		[{0,450035,1}];
get_help_rewards(_Lv) when _Lv >= 101, _Lv =< 150 ->
		[{0,450035,1}];
get_help_rewards(_Lv) when _Lv >= 151, _Lv =< 200 ->
		[{0,450035,1}];
get_help_rewards(_Lv) when _Lv >= 201, _Lv =< 250 ->
		[{0,450035,1}];
get_help_rewards(_Lv) when _Lv >= 251, _Lv =< 300 ->
		[{0,450035,1}];
get_help_rewards(_Lv) when _Lv >= 301, _Lv =< 350 ->
		[{0,450035,1}];
get_help_rewards(_Lv) when _Lv >= 351, _Lv =< 400 ->
		[{0,450035,1}];
get_help_rewards(_Lv) when _Lv >= 401, _Lv =< 450 ->
		[{0,450035,1}];
get_help_rewards(_Lv) when _Lv >= 451, _Lv =< 500 ->
		[{0,450035,1}];
get_help_rewards(_Lv) when _Lv >= 501, _Lv =< 550 ->
		[{0,450035,1}];
get_help_rewards(_Lv) when _Lv >= 551, _Lv =< 600 ->
		[{0,450035,1}];
get_help_rewards(_Lv) when _Lv >= 601, _Lv =< 650 ->
		[{0,450035,1}];
get_help_rewards(_Lv) when _Lv >= 651, _Lv =< 700 ->
		[{0,450035,1}];
get_help_rewards(_Lv) when _Lv >= 701, _Lv =< 999 ->
		[{0,450035,1}];
get_help_rewards(_Lv) ->
    [].

%%每次活动可采集次数
get_kv(collet_time) ->
    [10];

%%入侵怪id
get_kv(invade_mon) ->
    [650002];

%%每日可参与次数
get_kv(join_time_day) ->
    [20];

%%采集怪id
get_kv(mon_id) ->
    [650001];

%%召唤怪物数量
get_kv(mon_num) ->
    [20];

%%不刷新采集怪的水池区域
get_kv(pool_area) ->
    [[{{95,1905},{1030,2175},{1787,304},{2100,1152}},{{3199,4959},{1030,2175},{3948,3064},{4801,3305}}]];

%%刷怪检查时间
get_kv(refresh_mon_time) ->
    [90];

%%采集物场景位置
get_kv(scene_point) ->
    [[{2500,2600}]];

%%封印BOSS协助奖励
get_kv(seal_assist_reward) ->
    [[{100,101010,1},{100,450023,1},{100,101016,1},{100,101014,1},{100,101015,1},{100,102009,1},{100,109001,1}]];

%%封印BOSS奖励
get_kv(seal_boss_reward) ->
    [[{100,101010,1},{100,450023,1},{100,101016,1},{100,101014,1},{100,101015,1},{100,102009,1},{100,109001,1}]];

%%封印奖励展示
get_kv(seal_reward) ->
    [[{100,101014,1},{100,101015,1},{100,101016,1},{100,102009,1},{100,109001,1}]];

%%总波数
get_kv(total_wave) ->
    [10];

%%入侵怪概率(万分比)
get_kv(weight) ->
    [1000];

get_kv(_Key) ->
    [].

