%%%---------------------------------------
%%% module      : data_guild_labor
%%% description : 社团劳务配置
%%%
%%%---------------------------------------
-module(data_guild_labor).
-compile(export_all).
-include("guild_labor.hrl").



get_guild_task(1) ->
    #guild_task_base{id = 1,type = 1,content = {1,0,10},add = 5,days = [],awards = [{0,101014,1}]};

get_guild_task(2) ->
    #guild_task_base{id = 2,type = 2,content = {2,0,3},add = 10,days = [],awards = [{0,101015,1}]};

get_guild_task(3) ->
    #guild_task_base{id = 3,type = 3,content = {3,0,1},add = 10,days = [],awards = [{0,101011,1}]};

get_guild_task(4) ->
    #guild_task_base{id = 4,type = 3,content = {4,0,1},add = 10,days = [],awards = [{0,101014,2}]};

get_guild_task(5) ->
    #guild_task_base{id = 5,type = 4,content = {5,0,10},add = 10,days = [],awards = [{0,101015,2}]};

get_guild_task(6) ->
    #guild_task_base{id = 6,type = 5,content = {6,0,1},add = 5,days = [],awards = [{0,101012,1}]};

get_guild_task(_Id) ->
    [].

get_all_task() ->
    [1,2,3,4,5,6].

get_role_labor_award(1,GLv,Day) when 1 =< GLv, GLv =< 3, 1 =< Day, Day =< 99 ->
	#guild_labor_awards{need=50,awards=[{0,102009,1}]};
get_role_labor_award(1,GLv,Day) when 1 =< GLv, GLv =< 3, 100 =< Day, Day =< 999 ->
	#guild_labor_awards{need=50,awards=[{0,102009,1}]};
get_role_labor_award(1,GLv,Day) when 4 =< GLv, GLv =< 10, 1 =< Day, Day =< 99 ->
	#guild_labor_awards{need=50,awards=[{0,102009,1}]};
get_role_labor_award(1,GLv,Day) when 4 =< GLv, GLv =< 10, 100 =< Day, Day =< 999 ->
	#guild_labor_awards{need=50,awards=[{0,102009,1}]};
get_role_labor_award(2,GLv,Day) when 1 =< GLv, GLv =< 3, 1 =< Day, Day =< 99 ->
	#guild_labor_awards{need=100,awards=[{0,102402,1}]};
get_role_labor_award(2,GLv,Day) when 1 =< GLv, GLv =< 3, 100 =< Day, Day =< 999 ->
	#guild_labor_awards{need=100,awards=[{0,102402,1}]};
get_role_labor_award(2,GLv,Day) when 4 =< GLv, GLv =< 10, 1 =< Day, Day =< 99 ->
	#guild_labor_awards{need=100,awards=[{0,102402,1}]};
get_role_labor_award(2,GLv,Day) when 4 =< GLv, GLv =< 10, 100 =< Day, Day =< 999 ->
	#guild_labor_awards{need=100,awards=[{0,102402,1}]};
get_role_labor_award(3,GLv,Day) when 1 =< GLv, GLv =< 3, 1 =< Day, Day =< 99 ->
	#guild_labor_awards{need=150,awards=[{0,450026,1}]};
get_role_labor_award(3,GLv,Day) when 1 =< GLv, GLv =< 3, 100 =< Day, Day =< 999 ->
	#guild_labor_awards{need=150,awards=[{0,450026,1}]};
get_role_labor_award(3,GLv,Day) when 4 =< GLv, GLv =< 10, 1 =< Day, Day =< 99 ->
	#guild_labor_awards{need=150,awards=[{0,450026,1}]};
get_role_labor_award(3,GLv,Day) when 4 =< GLv, GLv =< 10, 100 =< Day, Day =< 999 ->
	#guild_labor_awards{need=150,awards=[{0,450026,1}]};
get_role_labor_award(_Id,_GLv,_Day) ->
    [].

get_guild_labor_award(1,GLv,Day) when 1 =< GLv, GLv =< 3, 1 =< Day, Day =< 99999 ->
	#guild_labor_awards{need=1000,awards=[{0,109031,1}]};
get_guild_labor_award(1,GLv,Day) when 4 =< GLv, GLv =< 10, 1 =< Day, Day =< 99999 ->
	#guild_labor_awards{need=1000,awards=[{0,109031,2}]};
get_guild_labor_award(2,GLv,Day) when 1 =< GLv, GLv =< 3, 1 =< Day, Day =< 99999 ->
	#guild_labor_awards{need=2500,awards=[{0,102604,1}]};
get_guild_labor_award(2,GLv,Day) when 4 =< GLv, GLv =< 10, 1 =< Day, Day =< 99999 ->
	#guild_labor_awards{need=2500,awards=[{0,102604,2}]};
get_guild_labor_award(3,GLv,Day) when 1 =< GLv, GLv =< 3, 1 =< Day, Day =< 99999 ->
	#guild_labor_awards{need=5000,awards=[{0,109031,2}]};
get_guild_labor_award(3,GLv,Day) when 4 =< GLv, GLv =< 10, 1 =< Day, Day =< 99999 ->
	#guild_labor_awards{need=5000,awards=[{0,109031,3}]};
get_guild_labor_award(4,GLv,Day) when 1 =< GLv, GLv =< 3, 1 =< Day, Day =< 99999 ->
	#guild_labor_awards{need=7500,awards=[{0,102604,1}]};
get_guild_labor_award(4,GLv,Day) when 4 =< GLv, GLv =< 10, 1 =< Day, Day =< 99999 ->
	#guild_labor_awards{need=7500,awards=[{0,102604,2}]};
get_guild_labor_award(5,GLv,Day) when 1 =< GLv, GLv =< 3, 1 =< Day, Day =< 99999 ->
	#guild_labor_awards{need=10000,awards=[{0,230101,1}]};
get_guild_labor_award(5,GLv,Day) when 4 =< GLv, GLv =< 10, 1 =< Day, Day =< 99999 ->
	#guild_labor_awards{need=10000,awards=[{0,230101,1}]};
get_guild_labor_award(_Id,_GLv,_Day) ->
    [].

get_guild_cargo(1) ->
    #guild_cargo_base{id = 1,lv_min = 1,lv_max = 999,guild_lv = 1,cargo = [{0,102305,1}],type = 1,num = 1,cost = [{8,100004,300}]};

get_guild_cargo(2) ->
    #guild_cargo_base{id = 2,lv_min = 1,lv_max = 999,guild_lv = 1,cargo = [{0,109032,1}],type = 1,num = 5,cost = [{8,100004,60}]};

get_guild_cargo(3) ->
    #guild_cargo_base{id = 3,lv_min = 1,lv_max = 999,guild_lv = 1,cargo = [{0,230001,1}],type = 1,num = 5,cost = [{8,100004,60}]};

get_guild_cargo(4) ->
    #guild_cargo_base{id = 4,lv_min = 1,lv_max = 999,guild_lv = 1,cargo = [{0,230002,1}],type = 1,num = 5,cost = [{8,100004,60}]};

get_guild_cargo(5) ->
    #guild_cargo_base{id = 5,lv_min = 1,lv_max = 999,guild_lv = 2,cargo = [{0,230003,1}],type = 1,num = 5,cost = [{8,100004,60}]};

get_guild_cargo(6) ->
    #guild_cargo_base{id = 6,lv_min = 1,lv_max = 999,guild_lv = 2,cargo = [{0,230004,1}],type = 1,num = 5,cost = [{8,100004,60}]};

get_guild_cargo(7) ->
    #guild_cargo_base{id = 7,lv_min = 1,lv_max = 999,guild_lv = 3,cargo = [{0,230010,1}],type = 1,num = 10,cost = [{8,100004,40}]};

get_guild_cargo(8) ->
    #guild_cargo_base{id = 8,lv_min = 1,lv_max = 999,guild_lv = 3,cargo = [{0,230012,1}],type = 1,num = 10,cost = [{8,100004,40}]};

get_guild_cargo(9) ->
    #guild_cargo_base{id = 9,lv_min = 1,lv_max = 999,guild_lv = 4,cargo = [{0,230010,2}],type = 1,num = 10,cost = [{8,100004,40}]};

get_guild_cargo(10) ->
    #guild_cargo_base{id = 10,lv_min = 1,lv_max = 999,guild_lv = 4,cargo = [{0,230012,2}],type = 1,num = 10,cost = [{8,100004,40}]};

get_guild_cargo(11) ->
    #guild_cargo_base{id = 11,lv_min = 1,lv_max = 999,guild_lv = 1,cargo = [{0,102501,1}],type = 1,num = 10,cost = [{8,100004,100}]};

get_guild_cargo(_Id) ->
    [].

get_all() ->
    [1,2,3,4,5,6,7,8,9,10,11].

