%%%---------------------------------------
%%% module      : data_hi_point
%%% description : 嗨点值配置
%%%
%%%---------------------------------------
-module(data_hi_point).
-compile(export_all).
-include("hi_point.hrl").



get_hi_point_cfg(1,158,100) ->
    #base_hi_point{suit_id = 1,mod_id = 158,sub_id = 100,name = "累充100钻",one_points = 20,max_count = 1,order_id = 1,jump_id = [{158,0}]};

get_hi_point_cfg(1,158,500) ->
    #base_hi_point{suit_id = 1,mod_id = 158,sub_id = 500,name = "累充500钻",one_points = 50,max_count = 1,order_id = 2,jump_id = [{158,0}]};

get_hi_point_cfg(1,158,2000) ->
    #base_hi_point{suit_id = 1,mod_id = 158,sub_id = 2000,name = "累充2000钻",one_points = 100,max_count = 1,order_id = 3,jump_id = [{158,0}]};

get_hi_point_cfg(1,159,2) ->
    #base_hi_point{suit_id = 1,mod_id = 159,sub_id = 2,name = "弹珠机抽奖",one_points = 20,max_count = 5,order_id = 20,jump_id = [{331,6}]};

get_hi_point_cfg(1,170,1) ->
    #base_hi_point{suit_id = 1,mod_id = 170,sub_id = 1,name = "龙神宝库",one_points = 5,max_count = 100,order_id = 19,jump_id = [{170,1}]};

get_hi_point_cfg(1,215,1) ->
    #base_hi_point{suit_id = 1,mod_id = 215,sub_id = 1,name = "小队讨伐",one_points = 1,max_count = 60,order_id = 10,jump_id = [{215,1}]};

get_hi_point_cfg(1,280,0) ->
    #base_hi_point{suit_id = 1,mod_id = 280,sub_id = 0,name = "竞技联赛",one_points = 1,max_count = 50,order_id = 6,jump_id = [{280,0}]};

get_hi_point_cfg(1,300,1) ->
    #base_hi_point{suit_id = 1,mod_id = 300,sub_id = 1,name = "日常跑环",one_points = 1,max_count = 50,order_id = 16,jump_id = [{300,1}]};

get_hi_point_cfg(1,300,2) ->
    #base_hi_point{suit_id = 1,mod_id = 300,sub_id = 2,name = "社团跑环",one_points = 1,max_count = 50,order_id = 18,jump_id = [{300,2}]};

get_hi_point_cfg(1,400,3) ->
    #base_hi_point{suit_id = 1,mod_id = 400,sub_id = 3,name = "社团拼单",one_points = 10,max_count = 9,order_id = 17,jump_id = [{400,3}]};

get_hi_point_cfg(1,415,0) ->
    #base_hi_point{suit_id = 1,mod_id = 415,sub_id = 0,name = "狂战领域",one_points = 50,max_count = 2,order_id = 9,jump_id = [{415,0}]};

get_hi_point_cfg(1,460,1) ->
    #base_hi_point{suit_id = 1,mod_id = 460,sub_id = 1,name = "专属幻魔",one_points = 10,max_count = 5,order_id = 12,jump_id = [{460,1}]};

get_hi_point_cfg(1,460,3) ->
    #base_hi_point{suit_id = 1,mod_id = 460,sub_id = 3,name = "赏金幻魔",one_points = 5,max_count = 20,order_id = 11,jump_id = [{460,3}]};

get_hi_point_cfg(1,461,1) ->
    #base_hi_point{suit_id = 1,mod_id = 461,sub_id = 1,name = "星域幻魔",one_points = 10,max_count = 5,order_id = 15,jump_id = [{461,0}]};

get_hi_point_cfg(1,461,2) ->
    #base_hi_point{suit_id = 1,mod_id = 461,sub_id = 2,name = "星域精英",one_points = 1,max_count = 30,order_id = 14,jump_id = [{461,0}]};

get_hi_point_cfg(1,600,1) ->
    #base_hi_point{suit_id = 1,mod_id = 600,sub_id = 1,name = "无尽领域",one_points = 50,max_count = 3,order_id = 7,jump_id = [{600,2}]};

get_hi_point_cfg(1,602,0) ->
    #base_hi_point{suit_id = 1,mod_id = 602,sub_id = 0,name = "饥饿游戏",one_points = 50,max_count = 2,order_id = 8,jump_id = [{602,0}]};

get_hi_point_cfg(1,610,1) ->
    #base_hi_point{suit_id = 1,mod_id = 610,sub_id = 1,name = "进阶副本",one_points = 5,max_count = 10,order_id = 4,jump_id = [{610,1}]};

get_hi_point_cfg(1,610,3) ->
    #base_hi_point{suit_id = 1,mod_id = 610,sub_id = 3,name = "VIP副本",one_points = 30,max_count = 5,order_id = 21,jump_id = [{610,3}]};

get_hi_point_cfg(1,610,8) ->
    #base_hi_point{suit_id = 1,mod_id = 610,sub_id = 8,name = "守卫幼宠",one_points = 10,max_count = 5,order_id = 5,jump_id = [{610,8}]};

get_hi_point_cfg(101,158,500) ->
    #base_hi_point{suit_id = 101,mod_id = 158,sub_id = 500,name = "累充500钻",one_points = 50,max_count = 1,order_id = 1,jump_id = [{158,0}]};

get_hi_point_cfg(101,158,2000) ->
    #base_hi_point{suit_id = 101,mod_id = 158,sub_id = 2000,name = "累充2000钻",one_points = 100,max_count = 1,order_id = 2,jump_id = [{158,0}]};

get_hi_point_cfg(101,159,2) ->
    #base_hi_point{suit_id = 101,mod_id = 159,sub_id = 2,name = "弹珠机抽奖",one_points = 5,max_count = 20,order_id = 20,jump_id = [{331,6}]};

get_hi_point_cfg(101,170,1) ->
    #base_hi_point{suit_id = 101,mod_id = 170,sub_id = 1,name = "龙神宝库",one_points = 5,max_count = 20,order_id = 19,jump_id = [{170,1}]};

get_hi_point_cfg(101,215,1) ->
    #base_hi_point{suit_id = 101,mod_id = 215,sub_id = 1,name = "小队讨伐",one_points = 5,max_count = 30,order_id = 10,jump_id = [{215,1}]};

get_hi_point_cfg(101,280,0) ->
    #base_hi_point{suit_id = 101,mod_id = 280,sub_id = 0,name = "竞技联赛",one_points = 5,max_count = 30,order_id = 6,jump_id = [{280,0}]};

get_hi_point_cfg(101,300,1) ->
    #base_hi_point{suit_id = 101,mod_id = 300,sub_id = 1,name = "日常跑环",one_points = 1,max_count = 50,order_id = 16,jump_id = [{300,1}]};

get_hi_point_cfg(101,300,2) ->
    #base_hi_point{suit_id = 101,mod_id = 300,sub_id = 2,name = "社团跑环",one_points = 1,max_count = 50,order_id = 18,jump_id = [{300,2}]};

get_hi_point_cfg(101,400,3) ->
    #base_hi_point{suit_id = 101,mod_id = 400,sub_id = 3,name = "社团拼单",one_points = 5,max_count = 9,order_id = 17,jump_id = [{400,3}]};

get_hi_point_cfg(101,415,0) ->
    #base_hi_point{suit_id = 101,mod_id = 415,sub_id = 0,name = "狂战领域",one_points = 5,max_count = 2,order_id = 9,jump_id = [{415,0}]};

get_hi_point_cfg(101,460,1) ->
    #base_hi_point{suit_id = 101,mod_id = 460,sub_id = 1,name = "专属幻魔",one_points = 5,max_count = 5,order_id = 12,jump_id = [{460,1}]};

get_hi_point_cfg(101,460,3) ->
    #base_hi_point{suit_id = 101,mod_id = 460,sub_id = 3,name = "赏金幻魔",one_points = 5,max_count = 20,order_id = 11,jump_id = [{460,3}]};

get_hi_point_cfg(101,461,1) ->
    #base_hi_point{suit_id = 101,mod_id = 461,sub_id = 1,name = "星域幻魔",one_points = 5,max_count = 5,order_id = 15,jump_id = [{461,0}]};

get_hi_point_cfg(101,461,2) ->
    #base_hi_point{suit_id = 101,mod_id = 461,sub_id = 2,name = "星域精英",one_points = 1,max_count = 30,order_id = 14,jump_id = [{461,0}]};

get_hi_point_cfg(101,600,1) ->
    #base_hi_point{suit_id = 101,mod_id = 600,sub_id = 1,name = "无尽领域",one_points = 5,max_count = 3,order_id = 7,jump_id = [{600,2}]};

get_hi_point_cfg(101,602,0) ->
    #base_hi_point{suit_id = 101,mod_id = 602,sub_id = 0,name = "饥饿游戏",one_points = 5,max_count = 2,order_id = 8,jump_id = [{602,0}]};

get_hi_point_cfg(101,610,1) ->
    #base_hi_point{suit_id = 101,mod_id = 610,sub_id = 1,name = "进阶副本",one_points = 2,max_count = 10,order_id = 4,jump_id = [{610,1}]};

get_hi_point_cfg(101,610,3) ->
    #base_hi_point{suit_id = 101,mod_id = 610,sub_id = 3,name = "VIP副本",one_points = 2,max_count = 5,order_id = 21,jump_id = [{610,3}]};

get_hi_point_cfg(101,610,8) ->
    #base_hi_point{suit_id = 101,mod_id = 610,sub_id = 8,name = "守卫幼宠",one_points = 2,max_count = 5,order_id = 5,jump_id = [{610,8}]};

get_hi_point_cfg(101,631,10) ->
    #base_hi_point{suit_id = 101,mod_id = 631,sub_id = 10,name = "消费10彩钻",one_points = 5,max_count = 200,order_id = 3,jump_id = [{153,5}]};

get_hi_point_cfg(_Suitid,_Modid,_Subid) ->
    [].


get_keys(1) ->
    [{158,100},{158,500},{158,2000},{159,2},{170,1},{215,1},{280,0},{300,1},{300,2},{400,3},{415,0},{460,1},{460,3},{461,1},{461,2},{600,1},{602,0},{610,1},{610,3},{610,8}];


get_keys(101) ->
    [{158,500},{158,2000},{159,2},{170,1},{215,1},{280,0},{300,1},{300,2},{400,3},{415,0},{460,1},{460,3},{461,1},{461,2},{600,1},{602,0},{610,1},{610,3},{610,8},{631,10}];

get_keys(_Suitid) ->
    [].

