%%%---------------------------------------
%%% module      : data_home_boss
%%% description : 幻魔之家配置
%%%
%%%---------------------------------------
-module(data_home_boss).
-compile(export_all).
-include("local_boss.hrl").



get_home_boss_level(1,1) ->
    #base_home_boss_level{sub_module = 1,level = 1,scene = 2071,enter_lv = 100,condition = [{vip,3}],cost = [{2,100001,100}]};

get_home_boss_level(1,2) ->
    #base_home_boss_level{sub_module = 1,level = 2,scene = 2072,enter_lv = 130,condition = [{vip,4}],cost = [{2,100001,200}]};

get_home_boss_level(1,3) ->
    #base_home_boss_level{sub_module = 1,level = 3,scene = 2073,enter_lv = 230,condition = [{vip,4}],cost = []};

get_home_boss_level(1,4) ->
    #base_home_boss_level{sub_module = 1,level = 4,scene = 2074,enter_lv = 320,condition = [{vip,5}],cost = []};

get_home_boss_level(1,5) ->
    #base_home_boss_level{sub_module = 1,level = 5,scene = 2075,enter_lv = 420,condition = [{vip,5}],cost = []};

get_home_boss_level(1,6) ->
    #base_home_boss_level{sub_module = 1,level = 6,scene = 2076,enter_lv = 520,condition = [{vip,5}],cost = []};

get_home_boss_level(2,1) ->
    #base_home_boss_level{sub_module = 2,level = 1,scene = 2171,enter_lv = 100,condition = [{vip,3}],cost = [{2,100001,50}]};

get_home_boss_level(2,2) ->
    #base_home_boss_level{sub_module = 2,level = 2,scene = 2172,enter_lv = 130,condition = [{vip,4}],cost = [{2,100001,80}]};

get_home_boss_level(2,3) ->
    #base_home_boss_level{sub_module = 2,level = 3,scene = 2173,enter_lv = 230,condition = [{vip,4}],cost = []};

get_home_boss_level(2,4) ->
    #base_home_boss_level{sub_module = 2,level = 4,scene = 2174,enter_lv = 320,condition = [{vip,5}],cost = []};

get_home_boss_level(2,5) ->
    #base_home_boss_level{sub_module = 2,level = 5,scene = 2175,enter_lv = 420,condition = [{vip,5}],cost = []};

get_home_boss_level(2,6) ->
    #base_home_boss_level{sub_module = 2,level = 6,scene = 2176,enter_lv = 520,condition = [{vip,5}],cost = []};

get_home_boss_level(_Submodule,_Level) ->
    [].


get_all_level(1) ->
    [1,2,3,4,5,6];


get_all_level(2) ->
    [1,2,3,4,5,6];

get_all_level(_Submodule) ->
    [].


get_scene_sub_module(2071) ->
    1;


get_scene_sub_module(2072) ->
    1;


get_scene_sub_module(2073) ->
    1;


get_scene_sub_module(2074) ->
    1;


get_scene_sub_module(2075) ->
    1;


get_scene_sub_module(2076) ->
    1;


get_scene_sub_module(2171) ->
    2;


get_scene_sub_module(2172) ->
    2;


get_scene_sub_module(2173) ->
    2;


get_scene_sub_module(2174) ->
    2;


get_scene_sub_module(2175) ->
    2;


get_scene_sub_module(2176) ->
    2;

get_scene_sub_module(_Scene) ->
    0.

get_max_level(1) -> 6;
get_max_level(2) -> 6;
get_max_level(_Sub_module) -> 0.

get_min_level(1) -> 1;
get_min_level(2) -> 1;
get_min_level(_Sub_module) -> 0.

get_boss_info(1,19010001) ->
    #base_home_boss{sub_module = 1,boss_id = 19010001,grade = 1,name = <<"执首领主"/utf8>>,level = 1,born_pos = {5848,4507},reborn_time = [{1,1080},{2,1125},{3,1173},{4,1227},{5,1285},{6,1350},{7,1421},{8,1500},{9,1542},{10,1588},{11,1636},{12,1687},{13,1741},{14,1800}],drop_show = [{0,0,400010,1},{0,0,230012,1},{0,0,108012,1},{1,0,24101034,1},{2,0,24201034,1},{3,0,24101034,1},{4,0,24201034,1},{1,0,24101013,1},{2,0,24101013,1},{3,0,24201013,1},{4,0,24201013,1},{1,0,24101023,1},{2,0,24201023,1},{3,0,24101023,1},{4,0,24201023,1}],boss_pic = 10010102,recommend_power = 30000,recommend_lv = 100,drop_lv_limit = 20,recommend_attr = [{1,2500},{2,30000}]};

get_boss_info(1,19010002) ->
    #base_home_boss{sub_module = 1,boss_id = 19010002,grade = 1,name = <<"光刃利爪"/utf8>>,level = 1,born_pos = {9061,7260},reborn_time = [{1,1260},{2,1312},{3,1369},{4,1431},{5,1500},{6,1575},{7,1657},{8,1750},{9,1800},{10,1852},{11,1909},{12,1968},{13,2032},{14,2100}],drop_show = [{0,0,400010,1},{0,0,230012,1},{0,0,108012,1},{1,0,24101034,1},{2,0,24201034,1},{3,0,24101034,1},{4,0,24201034,1},{1,0,24101013,1},{2,0,24101013,1},{3,0,24201013,1},{4,0,24201013,1},{1,0,24101023,1},{2,0,24201023,1},{3,0,24101023,1},{4,0,24201023,1}],boss_pic = 10010106,recommend_power = 0,recommend_lv = 105,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19010003) ->
    #base_home_boss{sub_module = 1,boss_id = 19010003,grade = 1,name = <<"变异死神"/utf8>>,level = 1,born_pos = {4926,11889},reborn_time = [{1,1440},{2,1500},{3,1565},{4,1636},{5,1714},{6,1800},{7,1894},{8,2000},{9,2057},{10,2117},{11,2181},{12,2250},{13,2322},{14,2400}],drop_show = [{0,0,400010,1},{0,0,230012,1},{0,0,108012,1},{1,0,24101034,1},{2,0,24201034,1},{3,0,24101034,1},{4,0,24201034,1},{1,0,24101013,1},{2,0,24101013,1},{3,0,24201013,1},{4,0,24201013,1},{1,0,24101023,1},{2,0,24201023,1},{3,0,24101023,1},{4,0,24201023,1}],boss_pic = 10020101,recommend_power = 0,recommend_lv = 110,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19010004) ->
    #base_home_boss{sub_module = 1,boss_id = 19010004,grade = 1,name = <<"能量光侍"/utf8>>,level = 1,born_pos = {3129,8265},reborn_time = [{1,1800},{2,1875},{3,1956},{4,2045},{5,2142},{6,2250},{7,2368},{8,2500},{9,2571},{10,2647},{11,2727},{12,2812},{13,2903},{14,3000}],drop_show = [{0,0,400010,1},{0,0,230012,1},{0,0,108012,1},{1,0,24101034,1},{2,0,24201034,1},{3,0,24101034,1},{4,0,24201034,1},{1,0,24101013,1},{2,0,24101013,1},{3,0,24201013,1},{4,0,24201013,1},{1,0,24101023,1},{2,0,24201023,1},{3,0,24101023,1},{4,0,24201023,1}],boss_pic = 10040103,recommend_power = 0,recommend_lv = 115,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19010005) ->
    #base_home_boss{sub_module = 1,boss_id = 19010005,grade = 1,name = <<"爆裂机甲"/utf8>>,level = 1,born_pos = {1429,13406},reborn_time = [{1,2160},{2,2250},{3,2347},{4,2454},{5,2571},{6,2700},{7,2842},{8,3000},{9,3085},{10,3176},{11,3272},{12,3375},{13,3483},{14,3600}],drop_show = [{0,0,400010,1},{0,0,230012,1},{0,0,108012,1},{1,0,24101034,1},{2,0,24201034,1},{3,0,24101034,1},{4,0,24201034,1},{1,0,24101013,1},{2,0,24101013,1},{3,0,24201013,1},{4,0,24201013,1},{1,0,24101023,1},{2,0,24201023,1},{3,0,24101023,1},{4,0,24201023,1}],boss_pic = 10050101,recommend_power = 40000,recommend_lv = 120,drop_lv_limit = 20,recommend_attr = [{4,2500},{2,50000}]};

get_boss_info(1,19010006) ->
    #base_home_boss{sub_module = 1,boss_id = 19010006,grade = 1,name = <<"异形长枪"/utf8>>,level = 1,born_pos = {8869,13313},reborn_time = [{1,2880},{2,3000},{3,3130},{4,3272},{5,3428},{6,3600},{7,3789},{8,4000},{9,4114},{10,4235},{11,4363},{12,4500},{13,4645},{14,4800}],drop_show = [{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108012,1},{1,0,24101034,1},{2,0,24201034,1},{3,0,24101034,1},{4,0,24201034,1},{1,0,24101013,1},{2,0,24101013,1},{3,0,24201013,1},{4,0,24201013,1}],boss_pic = 10050102,recommend_power = 80000,recommend_lv = 125,drop_lv_limit = 20,recommend_attr = [{1,2500},{2,30000},{5,3000}]};

get_boss_info(1,19020001) ->
    #base_home_boss{sub_module = 1,boss_id = 19020001,grade = 2,name = <<"机甲环刃"/utf8>>,level = 2,born_pos = {5848,4507},reborn_time = [{1,1260},{2,1312},{3,1369},{4,1431},{5,1500},{6,1575},{7,1657},{8,1750},{9,1800},{10,1852},{11,1909},{12,1968},{13,2032},{14,2100}],drop_show = [{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1},{1,0,24102013,1},{2,0,24102013,1},{3,0,24202013,1},{4,0,24202013,1}],boss_pic = 10010102,recommend_power = 200000,recommend_lv = 130,drop_lv_limit = 20,recommend_attr = [{1,4500},{2,50000},{5,3000}]};

get_boss_info(1,19020002) ->
    #base_home_boss{sub_module = 1,boss_id = 19020002,grade = 2,name = <<"远古血魔"/utf8>>,level = 2,born_pos = {9061,7260},reborn_time = [{1,1440},{2,1500},{3,1565},{4,1636},{5,1714},{6,1800},{7,1894},{8,2000},{9,2057},{10,2117},{11,2181},{12,2250},{13,2322},{14,2400}],drop_show = [{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1},{1,0,24102013,1},{2,0,24102013,1},{3,0,24202013,1},{4,0,24202013,1}],boss_pic = 10010106,recommend_power = 0,recommend_lv = 135,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19020003) ->
    #base_home_boss{sub_module = 1,boss_id = 19020003,grade = 2,name = <<"霹雳人马"/utf8>>,level = 2,born_pos = {4926,11889},reborn_time = [{1,1620},{2,1687},{3,1760},{4,1840},{5,1928},{6,2025},{7,2131},{8,2250},{9,2314},{10,2382},{11,2454},{12,2531},{13,2612},{14,2700}],drop_show = [{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1},{1,0,24102013,1},{2,0,24102013,1},{3,0,24202013,1},{4,0,24202013,1}],boss_pic = 10020101,recommend_power = 0,recommend_lv = 140,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19020004) ->
    #base_home_boss{sub_module = 1,boss_id = 19020004,grade = 2,name = <<"寄生触手"/utf8>>,level = 2,born_pos = {3129,8265},reborn_time = [{1,1980},{2,2062},{3,2152},{4,2250},{5,2357},{6,2475},{7,2605},{8,2750},{9,2828},{10,2911},{11,3000},{12,3093},{13,3193},{14,3300}],drop_show = [{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1},{1,0,24102013,1},{2,0,24102013,1},{3,0,24202013,1},{4,0,24202013,1}],boss_pic = 10040103,recommend_power = 0,recommend_lv = 145,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19020005) ->
    #base_home_boss{sub_module = 1,boss_id = 19020005,grade = 2,name = <<"雇佣兵长"/utf8>>,level = 2,born_pos = {1429,13406},reborn_time = [{1,2340},{2,2437},{3,2543},{4,2659},{5,2785},{6,2925},{7,3078},{8,3250},{9,3342},{10,3441},{11,3545},{12,3656},{13,3774},{14,3900}],drop_show = [{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1},{1,0,24102013,1},{2,0,24102013,1},{3,0,24202013,1},{4,0,24202013,1}],boss_pic = 10050101,recommend_power = 0,recommend_lv = 150,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19020006) ->
    #base_home_boss{sub_module = 1,boss_id = 19020006,grade = 2,name = <<"兵器少女"/utf8>>,level = 2,born_pos = {8869,13313},reborn_time = [{1,3060},{2,3187},{3,3326},{4,3477},{5,3642},{6,3825},{7,4026},{8,4250},{9,4371},{10,4500},{11,4636},{12,4781},{13,4935},{14,5100}],drop_show = [{0,0,400012,1},{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1}],boss_pic = 10050102,recommend_power = 0,recommend_lv = 155,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19030001) ->
    #base_home_boss{sub_module = 1,boss_id = 19030001,grade = 3,name = <<"爆裂机甲"/utf8>>,level = 3,born_pos = {5848,4507},reborn_time = [{1,1440},{2,1500},{3,1565},{4,1636},{5,1714},{6,1800},{7,1894},{8,2000},{9,2057},{10,2117},{11,2181},{12,2250},{13,2322},{14,2400}],drop_show = [{0,0,400012,1},{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1}],boss_pic = 10010102,recommend_power = 0,recommend_lv = 160,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19030002) ->
    #base_home_boss{sub_module = 1,boss_id = 19030002,grade = 3,name = <<"能量光侍"/utf8>>,level = 3,born_pos = {9061,7260},reborn_time = [{1,1620},{2,1687},{3,1760},{4,1840},{5,1928},{6,2025},{7,2131},{8,2250},{9,2314},{10,2382},{11,2454},{12,2531},{13,2612},{14,2700}],drop_show = [{0,0,400012,1},{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1}],boss_pic = 10010106,recommend_power = 0,recommend_lv = 165,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19030003) ->
    #base_home_boss{sub_module = 1,boss_id = 19030003,grade = 3,name = <<"变异死神"/utf8>>,level = 3,born_pos = {4926,11889},reborn_time = [{1,1800},{2,1875},{3,1956},{4,2045},{5,2142},{6,2250},{7,2368},{8,2500},{9,2571},{10,2647},{11,2727},{12,2812},{13,2903},{14,3000}],drop_show = [{0,0,400012,1},{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1}],boss_pic = 10020101,recommend_power = 0,recommend_lv = 170,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19030004) ->
    #base_home_boss{sub_module = 1,boss_id = 19030004,grade = 3,name = <<"光刃利爪"/utf8>>,level = 3,born_pos = {3129,8265},reborn_time = [{1,2160},{2,2250},{3,2347},{4,2454},{5,2571},{6,2700},{7,2842},{8,3000},{9,3085},{10,3176},{11,3272},{12,3375},{13,3483},{14,3600}],drop_show = [{0,0,400012,1},{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1}],boss_pic = 10040103,recommend_power = 0,recommend_lv = 175,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19030005) ->
    #base_home_boss{sub_module = 1,boss_id = 19030005,grade = 3,name = <<"王级行者"/utf8>>,level = 3,born_pos = {1429,13406},reborn_time = [{1,2520},{2,2625},{3,2739},{4,2863},{5,3000},{6,3150},{7,3315},{8,3500},{9,3600},{10,3705},{11,3818},{12,3937},{13,4064},{14,4200}],drop_show = [{0,0,400012,1},{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1}],boss_pic = 10050101,recommend_power = 0,recommend_lv = 180,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19030006) ->
    #base_home_boss{sub_module = 1,boss_id = 19030006,grade = 3,name = <<"将级异形"/utf8>>,level = 3,born_pos = {8869,13313},reborn_time = [{1,3240},{2,3375},{3,3521},{4,3681},{5,3857},{6,4050},{7,4263},{8,4500},{9,4628},{10,4764},{11,4909},{12,5062},{13,5225},{14,5400}],drop_show = [{0,0,400013,1},{0,0,400012,1},{0,0,400011,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1}],boss_pic = 10050102,recommend_power = 0,recommend_lv = 185,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19040001) ->
    #base_home_boss{sub_module = 1,boss_id = 19040001,grade = 4,name = <<"改造机甲"/utf8>>,level = 4,born_pos = {5848,4507},reborn_time = [{1,1620},{2,1687},{3,1760},{4,1840},{5,1928},{6,2025},{7,2131},{8,2250},{9,2314},{10,2382},{11,2454},{12,2531},{13,2612},{14,2700}],drop_show = [{0,0,400013,1},{0,0,400012,1},{0,0,400011,1},{0,0,230012,1},{0,0,108042,1},{1,0,24104034,1},{2,0,24204034,1},{3,0,24104034,1},{4,0,24204034,1}],boss_pic = 10010102,recommend_power = 0,recommend_lv = 190,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19040002) ->
    #base_home_boss{sub_module = 1,boss_id = 19040002,grade = 4,name = <<"不灭血魔"/utf8>>,level = 4,born_pos = {9061,7260},reborn_time = [{1,1800},{2,1875},{3,1956},{4,2045},{5,2142},{6,2250},{7,2368},{8,2500},{9,2571},{10,2647},{11,2727},{12,2812},{13,2903},{14,3000}],drop_show = [{0,0,400013,1},{0,0,400012,1},{0,0,400011,1},{0,0,230012,1},{0,0,108042,1},{1,0,24104034,1},{2,0,24204034,1},{3,0,24104034,1},{4,0,24204034,1}],boss_pic = 10010106,recommend_power = 0,recommend_lv = 195,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19040003) ->
    #base_home_boss{sub_module = 1,boss_id = 19040003,grade = 4,name = <<"人马王者"/utf8>>,level = 4,born_pos = {4926,11889},reborn_time = [{1,1980},{2,2062},{3,2152},{4,2250},{5,2357},{6,2475},{7,2605},{8,2750},{9,2828},{10,2911},{11,3000},{12,3093},{13,3193},{14,3300}],drop_show = [{0,0,400013,1},{0,0,400012,1},{0,0,400011,1},{0,0,230012,1},{0,0,108042,1},{1,0,24104034,1},{2,0,24204034,1},{3,0,24104034,1},{4,0,24204034,1}],boss_pic = 10020101,recommend_power = 0,recommend_lv = 200,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19040004) ->
    #base_home_boss{sub_module = 1,boss_id = 19040004,grade = 4,name = <<"寄生之爪"/utf8>>,level = 4,born_pos = {3129,8265},reborn_time = [{1,2340},{2,2437},{3,2543},{4,2659},{5,2785},{6,2925},{7,3078},{8,3250},{9,3342},{10,3441},{11,3545},{12,3656},{13,3774},{14,3900}],drop_show = [{0,0,400013,1},{0,0,400012,1},{0,0,400011,1},{0,0,230012,1},{0,0,108042,1},{1,0,24104034,1},{2,0,24204034,1},{3,0,24104034,1},{4,0,24204034,1}],boss_pic = 10010102,recommend_power = 0,recommend_lv = 205,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19040005) ->
    #base_home_boss{sub_module = 1,boss_id = 19040005,grade = 4,name = <<"雇佣兵王"/utf8>>,level = 4,born_pos = {1429,13406},reborn_time = [{1,2700},{2,2812},{3,2934},{4,3068},{5,3214},{6,3375},{7,3552},{8,3750},{9,3857},{10,3970},{11,4090},{12,4218},{13,4354},{14,4500}],drop_show = [{0,0,400013,1},{0,0,400012,1},{0,0,400011,1},{0,0,230012,1},{0,0,108042,1},{1,0,24104034,1},{2,0,24204034,1},{3,0,24104034,1},{4,0,24204034,1}],boss_pic = 10010106,recommend_power = 0,recommend_lv = 210,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19040006) ->
    #base_home_boss{sub_module = 1,boss_id = 19040006,grade = 4,name = <<"超能兵器"/utf8>>,level = 4,born_pos = {8869,13313},reborn_time = [{1,3420},{2,3562},{3,3717},{4,3886},{5,4071},{6,4275},{7,4500},{8,4750},{9,4885},{10,5029},{11,5181},{12,5343},{13,5516},{14,5700}],drop_show = [{0,0,400014,1},{0,0,400013,1},{0,0,400012,1},{0,0,230012,1},{0,0,108042,1},{1,0,24104034,1},{2,0,24204034,1},{3,0,24104034,1},{4,0,24204034,1}],boss_pic = 10020101,recommend_power = 0,recommend_lv = 215,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19050001) ->
    #base_home_boss{sub_module = 1,boss_id = 19050001,grade = 5,name = <<"莱姆战士"/utf8>>,level = 5,born_pos = {5848,4507},reborn_time = [{1,1800},{2,1875},{3,1956},{4,2045},{5,2142},{6,2250},{7,2368},{8,2500},{9,2571},{10,2647},{11,2727},{12,2812},{13,2903},{14,3000}],drop_show = [{0,0,400015,1},{0,0,400014,1},{0,0,400013,1},{0,0,230012,1},{0,0,108052,1},{1,0,24105034,1},{2,0,24205034,1},{3,0,24105034,1},{4,0,24205034,1}],boss_pic = 10040103,recommend_power = 0,recommend_lv = 220,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19050002) ->
    #base_home_boss{sub_module = 1,boss_id = 19050002,grade = 5,name = <<"疯狂博士"/utf8>>,level = 5,born_pos = {9061,7260},reborn_time = [{1,1980},{2,2062},{3,2152},{4,2250},{5,2357},{6,2475},{7,2605},{8,2750},{9,2828},{10,2911},{11,3000},{12,3093},{13,3193},{14,3300}],drop_show = [{0,0,400015,1},{0,0,400014,1},{0,0,400013,1},{0,0,230012,1},{0,0,108052,1},{1,0,24105034,1},{2,0,24205034,1},{3,0,24105034,1},{4,0,24205034,1}],boss_pic = 10050101,recommend_power = 0,recommend_lv = 225,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19050003) ->
    #base_home_boss{sub_module = 1,boss_id = 19050003,grade = 5,name = <<"投弹猩猩"/utf8>>,level = 5,born_pos = {4926,11889},reborn_time = [{1,2160},{2,2250},{3,2347},{4,2454},{5,2571},{6,2700},{7,2842},{8,3000},{9,3085},{10,3176},{11,3272},{12,3375},{13,3483},{14,3600}],drop_show = [{0,0,400015,1},{0,0,400014,1},{0,0,400013,1},{0,0,230012,1},{0,0,108052,1},{1,0,24105034,1},{2,0,24205034,1},{3,0,24105034,1},{4,0,24205034,1}],boss_pic = 10050102,recommend_power = 0,recommend_lv = 230,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19050004) ->
    #base_home_boss{sub_module = 1,boss_id = 19050004,grade = 5,name = <<"超级机甲"/utf8>>,level = 5,born_pos = {3129,8265},reborn_time = [{1,2520},{2,2625},{3,2739},{4,2863},{5,3000},{6,3150},{7,3315},{8,3500},{9,3600},{10,3705},{11,3818},{12,3937},{13,4064},{14,4200}],drop_show = [{0,0,400015,1},{0,0,400014,1},{0,0,400013,1},{0,0,230012,1},{0,0,108052,1},{1,0,24105034,1},{2,0,24205034,1},{3,0,24105034,1},{4,0,24205034,1}],boss_pic = 10010102,recommend_power = 0,recommend_lv = 235,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19050005) ->
    #base_home_boss{sub_module = 1,boss_id = 19050005,grade = 5,name = <<"阴影侍从"/utf8>>,level = 5,born_pos = {1429,13406},reborn_time = [{1,2880},{2,3000},{3,3130},{4,3272},{5,3428},{6,3600},{7,3789},{8,4000},{9,4114},{10,4235},{11,4363},{12,4500},{13,4645},{14,4800}],drop_show = [{0,0,400015,1},{0,0,400014,1},{0,0,400013,1},{0,0,230012,1},{0,0,108052,1},{1,0,24105034,1},{2,0,24205034,1},{3,0,24105034,1},{4,0,24205034,1}],boss_pic = 10010106,recommend_power = 0,recommend_lv = 240,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19050006) ->
    #base_home_boss{sub_module = 1,boss_id = 19050006,grade = 5,name = <<"收割死神"/utf8>>,level = 5,born_pos = {8869,13313},reborn_time = [{1,3600},{2,3750},{3,3913},{4,4090},{5,4285},{6,4500},{7,4736},{8,5000},{9,5142},{10,5294},{11,5454},{12,5625},{13,5806},{14,6000}],drop_show = [{0,0,400016,1},{0,0,400015,1},{0,0,400014,1},{0,0,230012,1},{0,0,108052,1},{1,0,24105034,1},{2,0,24205034,1},{3,0,24105034,1},{4,0,24205034,1}],boss_pic = 10020101,recommend_power = 0,recommend_lv = 245,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19060001) ->
    #base_home_boss{sub_module = 1,boss_id = 19060001,grade = 6,name = <<"病毒利爪"/utf8>>,level = 6,born_pos = {5848,4507},reborn_time = [{1,1980},{2,2062},{3,2152},{4,2250},{5,2357},{6,2475},{7,2605},{8,2750},{9,2828},{10,2911},{11,3000},{12,3093},{13,3193},{14,3300}],drop_show = [{0,0,400016,1},{0,0,400015,1},{0,0,400014,1},{0,0,230012,1},{0,0,108062,1},{1,0,24106034,1},{2,0,24206034,1},{3,0,24106034,1},{4,0,24206034,1}],boss_pic = 10040103,recommend_power = 0,recommend_lv = 250,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19060002) ->
    #base_home_boss{sub_module = 1,boss_id = 19060002,grade = 6,name = <<"病毒行者"/utf8>>,level = 6,born_pos = {9061,7260},reborn_time = [{1,2160},{2,2250},{3,2347},{4,2454},{5,2571},{6,2700},{7,2842},{8,3000},{9,3085},{10,3176},{11,3272},{12,3375},{13,3483},{14,3600}],drop_show = [{0,0,400016,1},{0,0,400015,1},{0,0,400014,1},{0,0,230012,1},{0,0,108062,1},{1,0,24106034,1},{2,0,24206034,1},{3,0,24106034,1},{4,0,24206034,1}],boss_pic = 10050101,recommend_power = 0,recommend_lv = 255,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19060003) ->
    #base_home_boss{sub_module = 1,boss_id = 19060003,grade = 6,name = <<"病毒异形"/utf8>>,level = 6,born_pos = {4926,11889},reborn_time = [{1,2340},{2,2437},{3,2543},{4,2659},{5,2785},{6,2925},{7,3078},{8,3250},{9,3342},{10,3441},{11,3545},{12,3656},{13,3774},{14,3900}],drop_show = [{0,0,400016,1},{0,0,400015,1},{0,0,400014,1},{0,0,230012,1},{0,0,108062,1},{1,0,24106034,1},{2,0,24206034,1},{3,0,24106034,1},{4,0,24206034,1}],boss_pic = 10050102,recommend_power = 0,recommend_lv = 260,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19060004) ->
    #base_home_boss{sub_module = 1,boss_id = 19060004,grade = 6,name = <<"病毒机甲"/utf8>>,level = 6,born_pos = {3129,8265},reborn_time = [{1,2700},{2,2812},{3,2934},{4,3068},{5,3214},{6,3375},{7,3552},{8,3750},{9,3857},{10,3970},{11,4090},{12,4218},{13,4354},{14,4500}],drop_show = [{0,0,400016,1},{0,0,400015,1},{0,0,400014,1},{0,0,230012,1},{0,0,108062,1},{1,0,24106034,1},{2,0,24206034,1},{3,0,24106034,1},{4,0,24206034,1}],boss_pic = 10010102,recommend_power = 0,recommend_lv = 265,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19060005) ->
    #base_home_boss{sub_module = 1,boss_id = 19060005,grade = 6,name = <<"病毒血魔"/utf8>>,level = 6,born_pos = {1429,13406},reborn_time = [{1,3060},{2,3187},{3,3326},{4,3477},{5,3642},{6,3825},{7,4026},{8,4250},{9,4371},{10,4500},{11,4636},{12,4781},{13,4935},{14,5100}],drop_show = [{0,0,400016,1},{0,0,400015,1},{0,0,400014,1},{0,0,230012,1},{0,0,108062,1},{1,0,24106034,1},{2,0,24206034,1},{3,0,24106034,1},{4,0,24206034,1}],boss_pic = 10010106,recommend_power = 0,recommend_lv = 270,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(1,19060006) ->
    #base_home_boss{sub_module = 1,boss_id = 19060006,grade = 6,name = <<"病毒人马"/utf8>>,level = 6,born_pos = {8869,13313},reborn_time = [{1,3780},{2,3937},{3,4108},{4,4295},{5,4500},{6,4725},{7,4973},{8,5250},{9,5400},{10,5558},{11,5727},{12,5906},{13,6096},{14,6300}],drop_show = [{0,0,400016,1},{0,0,400015,1},{0,0,400014,1},{0,0,230012,1},{0,0,108062,1},{1,0,24106034,1},{2,0,24206034,1},{3,0,24106034,1},{4,0,24206034,1}],boss_pic = 10020101,recommend_power = 0,recommend_lv = 275,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20010001) ->
    #base_home_boss{sub_module = 2,boss_id = 20010001,grade = 1,name = <<"执首领主"/utf8>>,level = 1,born_pos = {5848,4507},reborn_time = [{1,1080},{2,1125},{3,1173},{4,1227},{5,1285},{6,1350},{7,1421},{8,1500},{9,1542},{10,1588},{11,1636},{12,1687},{13,1741},{14,1800}],drop_show = [{0,0,400010,1},{0,0,230012,1},{0,0,108012,1},{1,0,24101034,1},{2,0,24201034,1},{3,0,24101034,1},{4,0,24201034,1},{1,0,24101013,1},{2,0,24101013,1},{3,0,24201013,1},{4,0,24201013,1},{1,0,24101023,1},{2,0,24201023,1},{3,0,24101023,1},{4,0,24201023,1}],boss_pic = 10010102,recommend_power = 0,recommend_lv = 100,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20010002) ->
    #base_home_boss{sub_module = 2,boss_id = 20010002,grade = 1,name = <<"光刃利爪"/utf8>>,level = 1,born_pos = {9061,7260},reborn_time = [{1,1260},{2,1312},{3,1369},{4,1431},{5,1500},{6,1575},{7,1657},{8,1750},{9,1800},{10,1852},{11,1909},{12,1968},{13,2032},{14,2100}],drop_show = [{0,0,400010,1},{0,0,230012,1},{0,0,108012,1},{1,0,24101034,1},{2,0,24201034,1},{3,0,24101034,1},{4,0,24201034,1},{1,0,24101013,1},{2,0,24101013,1},{3,0,24201013,1},{4,0,24201013,1},{1,0,24101023,1},{2,0,24201023,1},{3,0,24101023,1},{4,0,24201023,1}],boss_pic = 10010106,recommend_power = 0,recommend_lv = 105,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20010003) ->
    #base_home_boss{sub_module = 2,boss_id = 20010003,grade = 1,name = <<"变异死神"/utf8>>,level = 1,born_pos = {4926,11889},reborn_time = [{1,1440},{2,1500},{3,1565},{4,1636},{5,1714},{6,1800},{7,1894},{8,2000},{9,2057},{10,2117},{11,2181},{12,2250},{13,2322},{14,2400}],drop_show = [{0,0,400010,1},{0,0,230012,1},{0,0,108012,1},{1,0,24101034,1},{2,0,24201034,1},{3,0,24101034,1},{4,0,24201034,1},{1,0,24101013,1},{2,0,24101013,1},{3,0,24201013,1},{4,0,24201013,1},{1,0,24101023,1},{2,0,24201023,1},{3,0,24101023,1},{4,0,24201023,1}],boss_pic = 10020101,recommend_power = 0,recommend_lv = 110,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20010004) ->
    #base_home_boss{sub_module = 2,boss_id = 20010004,grade = 1,name = <<"能量光侍"/utf8>>,level = 1,born_pos = {3129,8265},reborn_time = [{1,1800},{2,1875},{3,1956},{4,2045},{5,2142},{6,2250},{7,2368},{8,2500},{9,2571},{10,2647},{11,2727},{12,2812},{13,2903},{14,3000}],drop_show = [{0,0,400010,1},{0,0,230012,1},{0,0,108012,1},{1,0,24101034,1},{2,0,24201034,1},{3,0,24101034,1},{4,0,24201034,1},{1,0,24101013,1},{2,0,24101013,1},{3,0,24201013,1},{4,0,24201013,1},{1,0,24101023,1},{2,0,24201023,1},{3,0,24101023,1},{4,0,24201023,1}],boss_pic = 10040103,recommend_power = 0,recommend_lv = 115,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20010005) ->
    #base_home_boss{sub_module = 2,boss_id = 20010005,grade = 1,name = <<"爆裂机甲"/utf8>>,level = 1,born_pos = {1429,13406},reborn_time = [{1,2160},{2,2250},{3,2347},{4,2454},{5,2571},{6,2700},{7,2842},{8,3000},{9,3085},{10,3176},{11,3272},{12,3375},{13,3483},{14,3600}],drop_show = [{0,0,400010,1},{0,0,230012,1},{0,0,108012,1},{1,0,24101034,1},{2,0,24201034,1},{3,0,24101034,1},{4,0,24201034,1},{1,0,24101013,1},{2,0,24101013,1},{3,0,24201013,1},{4,0,24201013,1},{1,0,24101023,1},{2,0,24201023,1},{3,0,24101023,1},{4,0,24201023,1}],boss_pic = 10050101,recommend_power = 0,recommend_lv = 120,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20010006) ->
    #base_home_boss{sub_module = 2,boss_id = 20010006,grade = 1,name = <<"异形长枪"/utf8>>,level = 1,born_pos = {8869,13313},reborn_time = [{1,2880},{2,3000},{3,3130},{4,3272},{5,3428},{6,3600},{7,3789},{8,4000},{9,4114},{10,4235},{11,4363},{12,4500},{13,4645},{14,4800}],drop_show = [{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108012,1},{1,0,24101034,1},{2,0,24201034,1},{3,0,24101034,1},{4,0,24201034,1},{1,0,24101013,1},{2,0,24101013,1},{3,0,24201013,1},{4,0,24201013,1}],boss_pic = 10050102,recommend_power = 0,recommend_lv = 125,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20020001) ->
    #base_home_boss{sub_module = 2,boss_id = 20020001,grade = 2,name = <<"机甲环刃"/utf8>>,level = 2,born_pos = {5848,4507},reborn_time = [{1,1260},{2,1312},{3,1369},{4,1431},{5,1500},{6,1575},{7,1657},{8,1750},{9,1800},{10,1852},{11,1909},{12,1968},{13,2032},{14,2100}],drop_show = [{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1},{1,0,24102013,1},{2,0,24102013,1},{3,0,24202013,1},{4,0,24202013,1}],boss_pic = 10010102,recommend_power = 0,recommend_lv = 130,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20020002) ->
    #base_home_boss{sub_module = 2,boss_id = 20020002,grade = 2,name = <<"远古血魔"/utf8>>,level = 2,born_pos = {9061,7260},reborn_time = [{1,1440},{2,1500},{3,1565},{4,1636},{5,1714},{6,1800},{7,1894},{8,2000},{9,2057},{10,2117},{11,2181},{12,2250},{13,2322},{14,2400}],drop_show = [{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1},{1,0,24102013,1},{2,0,24102013,1},{3,0,24202013,1},{4,0,24202013,1}],boss_pic = 10010106,recommend_power = 0,recommend_lv = 135,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20020003) ->
    #base_home_boss{sub_module = 2,boss_id = 20020003,grade = 2,name = <<"霹雳人马"/utf8>>,level = 2,born_pos = {4926,11889},reborn_time = [{1,1620},{2,1687},{3,1760},{4,1840},{5,1928},{6,2025},{7,2131},{8,2250},{9,2314},{10,2382},{11,2454},{12,2531},{13,2612},{14,2700}],drop_show = [{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1},{1,0,24102013,1},{2,0,24102013,1},{3,0,24202013,1},{4,0,24202013,1}],boss_pic = 10020101,recommend_power = 0,recommend_lv = 140,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20020004) ->
    #base_home_boss{sub_module = 2,boss_id = 20020004,grade = 2,name = <<"寄生触手"/utf8>>,level = 2,born_pos = {3129,8265},reborn_time = [{1,1980},{2,2062},{3,2152},{4,2250},{5,2357},{6,2475},{7,2605},{8,2750},{9,2828},{10,2911},{11,3000},{12,3093},{13,3193},{14,3300}],drop_show = [{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1},{1,0,24102013,1},{2,0,24102013,1},{3,0,24202013,1},{4,0,24202013,1}],boss_pic = 10040103,recommend_power = 0,recommend_lv = 145,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20020005) ->
    #base_home_boss{sub_module = 2,boss_id = 20020005,grade = 2,name = <<"雇佣兵长"/utf8>>,level = 2,born_pos = {1429,13406},reborn_time = [{1,2340},{2,2437},{3,2543},{4,2659},{5,2785},{6,2925},{7,3078},{8,3250},{9,3342},{10,3441},{11,3545},{12,3656},{13,3774},{14,3900}],drop_show = [{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1},{1,0,24102013,1},{2,0,24102013,1},{3,0,24202013,1},{4,0,24202013,1}],boss_pic = 10050101,recommend_power = 0,recommend_lv = 150,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20020006) ->
    #base_home_boss{sub_module = 2,boss_id = 20020006,grade = 2,name = <<"兵器少女"/utf8>>,level = 2,born_pos = {8869,13313},reborn_time = [{1,3060},{2,3187},{3,3326},{4,3477},{5,3642},{6,3825},{7,4026},{8,4250},{9,4371},{10,4500},{11,4636},{12,4781},{13,4935},{14,5100}],drop_show = [{0,0,400012,1},{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1}],boss_pic = 10050102,recommend_power = 0,recommend_lv = 155,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20030001) ->
    #base_home_boss{sub_module = 2,boss_id = 20030001,grade = 3,name = <<"爆裂机甲"/utf8>>,level = 3,born_pos = {5848,4507},reborn_time = [{1,1440},{2,1500},{3,1565},{4,1636},{5,1714},{6,1800},{7,1894},{8,2000},{9,2057},{10,2117},{11,2181},{12,2250},{13,2322},{14,2400}],drop_show = [{0,0,400012,1},{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1}],boss_pic = 10010102,recommend_power = 0,recommend_lv = 160,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20030002) ->
    #base_home_boss{sub_module = 2,boss_id = 20030002,grade = 3,name = <<"能量光侍"/utf8>>,level = 3,born_pos = {9061,7260},reborn_time = [{1,1620},{2,1687},{3,1760},{4,1840},{5,1928},{6,2025},{7,2131},{8,2250},{9,2314},{10,2382},{11,2454},{12,2531},{13,2612},{14,2700}],drop_show = [{0,0,400012,1},{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1}],boss_pic = 10010106,recommend_power = 0,recommend_lv = 165,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20030003) ->
    #base_home_boss{sub_module = 2,boss_id = 20030003,grade = 3,name = <<"变异死神"/utf8>>,level = 3,born_pos = {4926,11889},reborn_time = [{1,1800},{2,1875},{3,1956},{4,2045},{5,2142},{6,2250},{7,2368},{8,2500},{9,2571},{10,2647},{11,2727},{12,2812},{13,2903},{14,3000}],drop_show = [{0,0,400012,1},{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1}],boss_pic = 10020101,recommend_power = 0,recommend_lv = 170,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20030004) ->
    #base_home_boss{sub_module = 2,boss_id = 20030004,grade = 3,name = <<"光刃利爪"/utf8>>,level = 3,born_pos = {3129,8265},reborn_time = [{1,2160},{2,2250},{3,2347},{4,2454},{5,2571},{6,2700},{7,2842},{8,3000},{9,3085},{10,3176},{11,3272},{12,3375},{13,3483},{14,3600}],drop_show = [{0,0,400012,1},{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1}],boss_pic = 10040103,recommend_power = 0,recommend_lv = 175,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20030005) ->
    #base_home_boss{sub_module = 2,boss_id = 20030005,grade = 3,name = <<"王级行者"/utf8>>,level = 3,born_pos = {1429,13406},reborn_time = [{1,2520},{2,2625},{3,2739},{4,2863},{5,3000},{6,3150},{7,3315},{8,3500},{9,3600},{10,3705},{11,3818},{12,3937},{13,4064},{14,4200}],drop_show = [{0,0,400012,1},{0,0,400011,1},{0,0,400010,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1}],boss_pic = 10050101,recommend_power = 0,recommend_lv = 180,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20030006) ->
    #base_home_boss{sub_module = 2,boss_id = 20030006,grade = 3,name = <<"将级异形"/utf8>>,level = 3,born_pos = {8869,13313},reborn_time = [{1,3240},{2,3375},{3,3521},{4,3681},{5,3857},{6,4050},{7,4263},{8,4500},{9,4628},{10,4764},{11,4909},{12,5062},{13,5225},{14,5400}],drop_show = [{0,0,400013,1},{0,0,400012,1},{0,0,400011,1},{0,0,230012,1},{0,0,108022,1},{1,0,24102034,1},{2,0,24202034,1},{3,0,24102034,1},{4,0,24202034,1}],boss_pic = 10050102,recommend_power = 0,recommend_lv = 185,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20040001) ->
    #base_home_boss{sub_module = 2,boss_id = 20040001,grade = 4,name = <<"改造机甲"/utf8>>,level = 4,born_pos = {5848,4507},reborn_time = [{1,1620},{2,1687},{3,1760},{4,1840},{5,1928},{6,2025},{7,2131},{8,2250},{9,2314},{10,2382},{11,2454},{12,2531},{13,2612},{14,2700}],drop_show = [{0,0,400013,1},{0,0,400012,1},{0,0,400011,1},{0,0,230012,1},{0,0,108042,1},{1,0,24104034,1},{2,0,24204034,1},{3,0,24104034,1},{4,0,24204034,1}],boss_pic = 10010102,recommend_power = 0,recommend_lv = 190,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20040002) ->
    #base_home_boss{sub_module = 2,boss_id = 20040002,grade = 4,name = <<"不灭血魔"/utf8>>,level = 4,born_pos = {9061,7260},reborn_time = [{1,1800},{2,1875},{3,1956},{4,2045},{5,2142},{6,2250},{7,2368},{8,2500},{9,2571},{10,2647},{11,2727},{12,2812},{13,2903},{14,3000}],drop_show = [{0,0,400013,1},{0,0,400012,1},{0,0,400011,1},{0,0,230012,1},{0,0,108042,1},{1,0,24104034,1},{2,0,24204034,1},{3,0,24104034,1},{4,0,24204034,1}],boss_pic = 10010106,recommend_power = 0,recommend_lv = 195,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20040003) ->
    #base_home_boss{sub_module = 2,boss_id = 20040003,grade = 4,name = <<"人马王者"/utf8>>,level = 4,born_pos = {4926,11889},reborn_time = [{1,1980},{2,2062},{3,2152},{4,2250},{5,2357},{6,2475},{7,2605},{8,2750},{9,2828},{10,2911},{11,3000},{12,3093},{13,3193},{14,3300}],drop_show = [{0,0,400013,1},{0,0,400012,1},{0,0,400011,1},{0,0,230012,1},{0,0,108042,1},{1,0,24104034,1},{2,0,24204034,1},{3,0,24104034,1},{4,0,24204034,1}],boss_pic = 10020101,recommend_power = 0,recommend_lv = 200,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20040004) ->
    #base_home_boss{sub_module = 2,boss_id = 20040004,grade = 4,name = <<"寄生之爪"/utf8>>,level = 4,born_pos = {3129,8265},reborn_time = [{1,2340},{2,2437},{3,2543},{4,2659},{5,2785},{6,2925},{7,3078},{8,3250},{9,3342},{10,3441},{11,3545},{12,3656},{13,3774},{14,3900}],drop_show = [{0,0,400013,1},{0,0,400012,1},{0,0,400011,1},{0,0,230012,1},{0,0,108042,1},{1,0,24104034,1},{2,0,24204034,1},{3,0,24104034,1},{4,0,24204034,1}],boss_pic = 10010102,recommend_power = 0,recommend_lv = 205,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20040005) ->
    #base_home_boss{sub_module = 2,boss_id = 20040005,grade = 4,name = <<"雇佣兵王"/utf8>>,level = 4,born_pos = {1429,13406},reborn_time = [{1,2700},{2,2812},{3,2934},{4,3068},{5,3214},{6,3375},{7,3552},{8,3750},{9,3857},{10,3970},{11,4090},{12,4218},{13,4354},{14,4500}],drop_show = [{0,0,400013,1},{0,0,400012,1},{0,0,400011,1},{0,0,230012,1},{0,0,108042,1},{1,0,24104034,1},{2,0,24204034,1},{3,0,24104034,1},{4,0,24204034,1}],boss_pic = 10010106,recommend_power = 0,recommend_lv = 210,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20040006) ->
    #base_home_boss{sub_module = 2,boss_id = 20040006,grade = 4,name = <<"超能兵器"/utf8>>,level = 4,born_pos = {8869,13313},reborn_time = [{1,3420},{2,3562},{3,3717},{4,3886},{5,4071},{6,4275},{7,4500},{8,4750},{9,4885},{10,5029},{11,5181},{12,5343},{13,5516},{14,5700}],drop_show = [{0,0,400014,1},{0,0,400013,1},{0,0,400012,1},{0,0,230012,1},{0,0,108042,1},{1,0,24104034,1},{2,0,24204034,1},{3,0,24104034,1},{4,0,24204034,1}],boss_pic = 10020101,recommend_power = 0,recommend_lv = 215,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20050001) ->
    #base_home_boss{sub_module = 2,boss_id = 20050001,grade = 5,name = <<"莱姆战士"/utf8>>,level = 5,born_pos = {5848,4507},reborn_time = [{1,1800},{2,1875},{3,1956},{4,2045},{5,2142},{6,2250},{7,2368},{8,2500},{9,2571},{10,2647},{11,2727},{12,2812},{13,2903},{14,3000}],drop_show = [{0,0,400015,1},{0,0,400014,1},{0,0,400013,1},{0,0,230012,1},{0,0,108052,1},{1,0,24105034,1},{2,0,24205034,1},{3,0,24105034,1},{4,0,24205034,1}],boss_pic = 10040103,recommend_power = 0,recommend_lv = 220,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20050002) ->
    #base_home_boss{sub_module = 2,boss_id = 20050002,grade = 5,name = <<"疯狂博士"/utf8>>,level = 5,born_pos = {9061,7260},reborn_time = [{1,1980},{2,2062},{3,2152},{4,2250},{5,2357},{6,2475},{7,2605},{8,2750},{9,2828},{10,2911},{11,3000},{12,3093},{13,3193},{14,3300}],drop_show = [{0,0,400015,1},{0,0,400014,1},{0,0,400013,1},{0,0,230012,1},{0,0,108052,1},{1,0,24105034,1},{2,0,24205034,1},{3,0,24105034,1},{4,0,24205034,1}],boss_pic = 10050101,recommend_power = 0,recommend_lv = 225,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20050003) ->
    #base_home_boss{sub_module = 2,boss_id = 20050003,grade = 5,name = <<"投弹猩猩"/utf8>>,level = 5,born_pos = {4926,11889},reborn_time = [{1,2160},{2,2250},{3,2347},{4,2454},{5,2571},{6,2700},{7,2842},{8,3000},{9,3085},{10,3176},{11,3272},{12,3375},{13,3483},{14,3600}],drop_show = [{0,0,400015,1},{0,0,400014,1},{0,0,400013,1},{0,0,230012,1},{0,0,108052,1},{1,0,24105034,1},{2,0,24205034,1},{3,0,24105034,1},{4,0,24205034,1}],boss_pic = 10050102,recommend_power = 0,recommend_lv = 230,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20050004) ->
    #base_home_boss{sub_module = 2,boss_id = 20050004,grade = 5,name = <<"超级机甲"/utf8>>,level = 5,born_pos = {3129,8265},reborn_time = [{1,2520},{2,2625},{3,2739},{4,2863},{5,3000},{6,3150},{7,3315},{8,3500},{9,3600},{10,3705},{11,3818},{12,3937},{13,4064},{14,4200}],drop_show = [{0,0,400015,1},{0,0,400014,1},{0,0,400013,1},{0,0,230012,1},{0,0,108052,1},{1,0,24105034,1},{2,0,24205034,1},{3,0,24105034,1},{4,0,24205034,1}],boss_pic = 10010102,recommend_power = 0,recommend_lv = 235,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20050005) ->
    #base_home_boss{sub_module = 2,boss_id = 20050005,grade = 5,name = <<"阴影侍从"/utf8>>,level = 5,born_pos = {1429,13406},reborn_time = [{1,2880},{2,3000},{3,3130},{4,3272},{5,3428},{6,3600},{7,3789},{8,4000},{9,4114},{10,4235},{11,4363},{12,4500},{13,4645},{14,4800}],drop_show = [{0,0,400015,1},{0,0,400014,1},{0,0,400013,1},{0,0,230012,1},{0,0,108052,1},{1,0,24105034,1},{2,0,24205034,1},{3,0,24105034,1},{4,0,24205034,1}],boss_pic = 10010106,recommend_power = 0,recommend_lv = 240,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20050006) ->
    #base_home_boss{sub_module = 2,boss_id = 20050006,grade = 5,name = <<"收割死神"/utf8>>,level = 5,born_pos = {8869,13313},reborn_time = [{1,3600},{2,3750},{3,3913},{4,4090},{5,4285},{6,4500},{7,4736},{8,5000},{9,5142},{10,5294},{11,5454},{12,5625},{13,5806},{14,6000}],drop_show = [{0,0,400016,1},{0,0,400015,1},{0,0,400014,1},{0,0,230012,1},{0,0,108052,1},{1,0,24105034,1},{2,0,24205034,1},{3,0,24105034,1},{4,0,24205034,1}],boss_pic = 10020101,recommend_power = 0,recommend_lv = 245,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20060001) ->
    #base_home_boss{sub_module = 2,boss_id = 20060001,grade = 6,name = <<"病毒利爪"/utf8>>,level = 6,born_pos = {5848,4507},reborn_time = [{1,1980},{2,2062},{3,2152},{4,2250},{5,2357},{6,2475},{7,2605},{8,2750},{9,2828},{10,2911},{11,3000},{12,3093},{13,3193},{14,3300}],drop_show = [{0,0,400016,1},{0,0,400015,1},{0,0,400014,1},{0,0,230012,1},{0,0,108062,1},{1,0,24106034,1},{2,0,24206034,1},{3,0,24106034,1},{4,0,24206034,1}],boss_pic = 10040103,recommend_power = 0,recommend_lv = 250,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20060002) ->
    #base_home_boss{sub_module = 2,boss_id = 20060002,grade = 6,name = <<"病毒行者"/utf8>>,level = 6,born_pos = {9061,7260},reborn_time = [{1,2160},{2,2250},{3,2347},{4,2454},{5,2571},{6,2700},{7,2842},{8,3000},{9,3085},{10,3176},{11,3272},{12,3375},{13,3483},{14,3600}],drop_show = [{0,0,400016,1},{0,0,400015,1},{0,0,400014,1},{0,0,230012,1},{0,0,108062,1},{1,0,24106034,1},{2,0,24206034,1},{3,0,24106034,1},{4,0,24206034,1}],boss_pic = 10050101,recommend_power = 0,recommend_lv = 255,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20060003) ->
    #base_home_boss{sub_module = 2,boss_id = 20060003,grade = 6,name = <<"病毒异形"/utf8>>,level = 6,born_pos = {4926,11889},reborn_time = [{1,2340},{2,2437},{3,2543},{4,2659},{5,2785},{6,2925},{7,3078},{8,3250},{9,3342},{10,3441},{11,3545},{12,3656},{13,3774},{14,3900}],drop_show = [{0,0,400016,1},{0,0,400015,1},{0,0,400014,1},{0,0,230012,1},{0,0,108062,1},{1,0,24106034,1},{2,0,24206034,1},{3,0,24106034,1},{4,0,24206034,1}],boss_pic = 10050102,recommend_power = 0,recommend_lv = 260,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20060004) ->
    #base_home_boss{sub_module = 2,boss_id = 20060004,grade = 6,name = <<"病毒机甲"/utf8>>,level = 6,born_pos = {3129,8265},reborn_time = [{1,2700},{2,2812},{3,2934},{4,3068},{5,3214},{6,3375},{7,3552},{8,3750},{9,3857},{10,3970},{11,4090},{12,4218},{13,4354},{14,4500}],drop_show = [{0,0,400016,1},{0,0,400015,1},{0,0,400014,1},{0,0,230012,1},{0,0,108062,1},{1,0,24106034,1},{2,0,24206034,1},{3,0,24106034,1},{4,0,24206034,1}],boss_pic = 10010102,recommend_power = 0,recommend_lv = 265,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20060005) ->
    #base_home_boss{sub_module = 2,boss_id = 20060005,grade = 6,name = <<"病毒血魔"/utf8>>,level = 6,born_pos = {1429,13406},reborn_time = [{1,3060},{2,3187},{3,3326},{4,3477},{5,3642},{6,3825},{7,4026},{8,4250},{9,4371},{10,4500},{11,4636},{12,4781},{13,4935},{14,5100}],drop_show = [{0,0,400016,1},{0,0,400015,1},{0,0,400014,1},{0,0,230012,1},{0,0,108062,1},{1,0,24106034,1},{2,0,24206034,1},{3,0,24106034,1},{4,0,24206034,1}],boss_pic = 10010106,recommend_power = 0,recommend_lv = 270,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(2,20060006) ->
    #base_home_boss{sub_module = 2,boss_id = 20060006,grade = 6,name = <<"病毒人马"/utf8>>,level = 6,born_pos = {8869,13313},reborn_time = [{1,3780},{2,3937},{3,4108},{4,4295},{5,4500},{6,4725},{7,4973},{8,5250},{9,5400},{10,5558},{11,5727},{12,5906},{13,6096},{14,6300}],drop_show = [{0,0,400016,1},{0,0,400015,1},{0,0,400014,1},{0,0,230012,1},{0,0,108062,1},{1,0,24106034,1},{2,0,24206034,1},{3,0,24106034,1},{4,0,24206034,1}],boss_pic = 10020101,recommend_power = 0,recommend_lv = 275,drop_lv_limit = 20,recommend_attr = []};

get_boss_info(_Submodule,_Bossid) ->
    [].


get_all_boss(1) ->
    [19010001,19010002,19010003,19010004,19010005,19010006,19020001,19020002,19020003,19020004,19020005,19020006,19030001,19030002,19030003,19030004,19030005,19030006,19040001,19040002,19040003,19040004,19040005,19040006,19050001,19050002,19050003,19050004,19050005,19050006,19060001,19060002,19060003,19060004,19060005,19060006];


get_all_boss(2) ->
    [20010001,20010002,20010003,20010004,20010005,20010006,20020001,20020002,20020003,20020004,20020005,20020006,20030001,20030002,20030003,20030004,20030005,20030006,20040001,20040002,20040003,20040004,20040005,20040006,20050001,20050002,20050003,20050004,20050005,20050006,20060001,20060002,20060003,20060004,20060005,20060006];

get_all_boss(_Submodule) ->
    [].

