%%%---------------------------------------
%%% module      : data_language
%%% description : 语言配置
%%%
%%%---------------------------------------
-module(data_language).
-compile(export_all).
-include("language.hrl").




get(1) ->
    "格式0用于，非错误码飘字、怪物头顶气泡，各处气泡等提示用文字";


get(2) ->
    "邮件内容格式，务必遵守";


get(3) ->
    "玩家称呼：\n正文内容。<color=#04bd27>绿色</color>用于，前往、队伍邀请、等超链接\n<color=#10aaf1>蓝色</color>用于各种名称\n<color=#d322ff>紫色</color>用于表示坐标";


get(11) ->
    "背包容量不足";


get(12) ->
    "亲爱的玩家：\n您的背包容量不足，请尽快拓展背包容量！现将无法容纳进背包的额外道具发送给您，烦请查收~";


get(13) ->
    "离线奖励";


get(14) ->
    "亲爱的玩家：\n您在离线期间获得了以下奖励！现将奖励发送给您，烦请查收~";


get(35) ->
    "充值成功";


get(36) ->
    "恭喜大人，您于<color@0>{1}-{2}-{3}\s{4}:{5}</color>充值的<color@3>{6}彩钻</color>已成功到帐！";


get(52) ->
    "{1}充值返利";


get(53) ->
    "您购买了{1}，成功获得返利{2}红钻";


get(1040001) ->
    "珍宝阁次数奖励";


get(1040002) ->
    "亲爱的玩家：\n珍宝阁已开启新一波进货，上一期中您的次数奖励忘记领取了，我们打包发送给您，请注意查收。";


get(1120001) ->
    "物品回收";


get(1120002) ->
    "亲爱的玩家：\n您已获得重复的装扮，已将该物品回收并给予您等价值货币补偿：";


get(1130001) ->
    "托管值每周结算";


get(1130002) ->
    "亲爱的玩家：\n您上周剩余的托管值为<color@1>{1}</color>点，可转换为<color@1>{2}</color>红钻，请在本邮件附件中查收！";


get(1300001) ->
    "物品回收";


get(1300002) ->
    "亲爱的玩家：\n您已获得重复的头像，已将该物品回收并给予您等价值货币补偿：";


get(1420001) ->
    "赛马竞猜活动奖励";


get(1420002) ->
    "亲爱的玩家：\n 恭喜您在本次赛马竞猜活动中获得了第<color=@1>{1}</color>名的好成绩！现给您发放以下奖励~";


get(1450001) ->
    "幻魔全服首杀奖励";


get(1450002) ->
    "亲爱的玩家：\n 恭喜您成为全服首位成功击杀<color@5>Lv{1}.{2}</color>的玩家！现给您发放以下奖励~";


get(1490001) ->
    "恭喜缔结羁绊成功";


get(1490002) ->
    "亲爱的玩家：\n您与<color=@2>{1}</color>缔结羁绊成功！现为您备上一份羁绊大礼，烦请查收~";


get(1490003) ->
    "羁绊解除成功";


get(1490004) ->
    "亲爱的玩家：\n您与<color=@2>{1}</color>解除羁绊成功！两人从此天各一方，各走各路。\n系统已经相对应的羁绊称号回收，同时清除了亲密度，并将各自互相赠送的礼物折算返还给您。还希望您尽快找到下一段羁绊情！";


get(1550001) ->
    "竞拍结算";


get(1550002) ->
    "亲爱的玩家：\n恭喜您在竞拍中胜出获得物品，祝您好运连连。";


get(1550003) ->
    "亲爱的玩家：\n恭喜您出售物品成功，获得<color=#10aaf1>交易券</color>{1}，祝您财源广广。";


get(1550004) ->
    "亲爱的玩家：\n您参与的竞拍有人跟拍了更高的价格，返还给您之前的出价<color=#10aaf1>交易券*{1}</color>。";


get(1550005) ->
    "关注商品上架";


get(1550006) ->
    "亲爱的玩家：\n您关注的商品<color=#10aaf1><a@goods@{1}></a></color>上架了,<color@1><a@open_fun@155@1>立即前往</a></color>。";


get(1550007) ->
    "商品过期返还";


get(1550008) ->
    "亲爱的玩家：\n您在市场上架的商品已经过期，市场管理把它们退回给您，请注意查收。";


get(1550009) ->
    "亲爱的玩家：\n您参与竞拍的<a@goods@{1}></a>已经被人购买啦，您之前出价的<color=#10aaf1>交易券*{2}</color>已返还。";


get(1600001) ->
    "礼包卡兑换成功";


get(1600002) ->
    "亲爱的玩家：\n我们非常高兴能为您奉上我们特别准备的游戏大礼包！希望您在我们的游戏中体验快乐，感受激情，挥洒热血！";


get(1630001) ->
    "宠物人气奖励";


get(1630002) ->
    "亲爱的玩家：\n您的宠物在本日的宠物人气排行中名列前茅，勇夺第 <color@3>{1}</color> ，系统自动为您激活了专属限时称号 <color@4>{2}</color>  ，大神继续加油哦！";


get(1650001) ->
    "孩子排行榜奖励";


get(1650002) ->
    "亲爱的玩家：\n您在本次排行榜中获得第<color=#10aaf1>{1}</color>名，现奉上排名奖励一份！还望下次保持！";


get(1650003) ->
    "结算通知";


get(1650004) ->
    "亲爱的玩家：\n您已经成功领养了自己的孩子，这些您忘记领取的奖励已经给您奉上啦，烦请查收！";


get(2000001) ->
    "善恶值提醒";


get(2000002) ->
    "亲爱的玩家：\n您在野外场景击败了<color=#10aaf1>{1}</color>，获得了1点<color=#fa1022>善恶值</color>，并变为红名状态。\n红名状态下野外可被其它玩家攻击，被击败将损失20晶石。您可以在人物战斗模式旁边的buff列表中查看当前善恶值信息。";


get(2230001) ->
    "亲友卡奖励";


get(2230002) ->
    "亲爱的玩家：\n请查收<color@2>{1}</color>赠送您的亲友卡每日奖励，这是第<color@1>{2}</color>份奖励，总共还有<color@1>{3}</color>份奖励可供领取，明天登录即可领取下一份奖励！";


get(2230003) ->
    "亲友卡每日奖励奖励";


get(2230004) ->
    "亲爱的玩家：\n请查收<color@2>{1}</color>赠送您的亲友卡每日奖励，这是第<color@1>{2}</color>份奖励，即最后一份奖励！和TA讲讲再续一张吧~";


get(2230005) ->
    "亲友卡每日奖励奖励";


get(2230006) ->
    "亲爱的玩家：\n您获得了已购买的亲友卡每日奖励，这是第<color@1>{1}</color>份奖励，总共还有<color@1>{2}</color>份奖励可供领取，明天登录即可领取下一份奖励！";


get(2230007) ->
    "亲友卡每日奖励奖励";


get(2230008) ->
    "亲爱的玩家：\n您获得了已购买的亲友卡每日奖励，这是第<color@1>{1}</color>份奖励，即最后一份奖励！可以再续一张，继续领取奖励哦~";


get(2250001) ->
    "【开服冲榜排名奖励】";


get(2250002) ->
    "少年，恭喜您在开服冲榜 <color@3>[{1}]</color>中获得第<color@4>{2}</color>名，附件是您的冲榜排行奖励，请查收~！";


get(2800001) ->
    "竞技联赛排名变更";


get(2800002) ->
    "亲爱的玩家：\n大事不好啦！您原本在竞技联赛中的名次被<color@2><a@player@{1}@{2}></a></color>褫夺！赶快去找回场子吧！";


get(2800003) ->
    "竞技联赛赛季结算";


get(2800004) ->
    "亲爱的玩家：\n恭喜您在竞技联赛赛季结算中成功获得第 <color@3>{1}</color> 名，现发放赛季奖励如下，敬请查收！";


get(3310001) ->
    "活动奖励补发";


get(3310002) ->
    "亲爱的玩家：\n您昨日参与的{1}活动有部分奖励未进行领取，现将奖励补发给您，敬请查收！";


get(3310003) ->
    "开服冲榜排行奖励";


get(3310501) ->
    "本金及利息返还";


get(3310502) ->
    "亲爱的玩家：\n恭喜您完成本期存息活动，现给您返还全部本金及今日份利息，敬请查收！";


get(3310601) ->
    "每日累充奖励补发";


get(3310602) ->
    "大人：\n您昨日参与的每日累充活动有部分奖励未进行领取，现将奖励补发给您，敬请查收！";


get(3311101) ->
    "源能转盘积分补偿奖励";


get(3311102) ->
    "亲爱的玩家：\n检测到您上一期<color@1>源能转盘</color>活动有积分剩余，现补发对应的积分补偿奖励，敬请查收！";


get(3312001) ->
    "源樱之礼积分补偿奖励";


get(3312002) ->
    "亲爱的玩家：\n检测到您上一期<color@1>源樱之礼</color>活动有积分剩余，现补发对应的积分补偿奖励，敬请查收！";


get(3314801) ->
    "单笔充值奖励补发";


get(3314802) ->
    "大人：\n您昨日参与的单笔充值活动中，有部分奖励未及时进行领取，现将奖励通过邮件补发给您，敬请查收！";


get(3316601) ->
    "社团竞榜称号获得";


get(3316602) ->
    "亲爱的玩家：\n恭喜您所在的社团成功进入社团竞榜<color@4>战力TOP3</color>社团中，因此您有机会获得社团竞榜的<color@4>专属称号</color>加成！\n您于本社团排名<color@1>第{1}</color>，恭喜获得<color@5>{2}</color>称号奖励。\n社团内玩家排行可获得对应的<color@5>超强称号</color>加成：\n第1名：霸主称号<color@4>（战力5w+）</color>\n第2~4名：英杰称号<color@4>（战力4w+）</color>\n第5~10名：先锋称号<color@4>（战力2w5+）</color>\n社团内战力排行每小时刷新一次，排名一经变动，称号即会易主哦";


get(3316603) ->
    "社团竞榜称号下降";


get(3316604) ->
    "亲爱的玩家：\n您在本社团内的战力排名由<color@1>第{1}</color>变更为<color@1>第{2}</color>，将失去<color@5>{3}</color>称号奖励，并改为获得<color@5>{4}</color>称号奖励，还希望您能继续努力追回排名，重获称号奖励！\n社团内玩家排行可获得对应的<color@5>超强称号</color>加成：\n第1名：霸主称号<color@4>（战力5w+）</color>\n第2~4名：英杰称号<color@4>（战力4w+）</color>\n第5~10名：先锋称号<color@4>（战力2w5+）</color>\n社团内战力排行每小时刷新一次，排名一经变动，称号即会易主哦";


get(3316605) ->
    "社团竞榜称号上升";


get(3316606) ->
    "亲爱的玩家：\n您在本社团内的战力排名由<color@1>第{1}</color>变更为<color@1>第{2}</color>，将获得<color@5>{3}</color>称号奖励，希望您能继续保持！\n社团内玩家排行可获得对应的<color@5>超强称号</color>加成：\n第1名：霸主称号<color@4>（战力5w+）</color>\n第2~4名：英杰称号<color@4>（战力4w+）</color>\n第5~10名：先锋称号<color@4>（战力2w5+）</color>\n社团内战力排行每小时刷新一次，排名一经变动，称号即会易主哦";


get(3316607) ->
    "社团竞榜称号失去";


get(3316608) ->
    "亲爱的玩家：\n您在本社团内的排名由<color@1>第{1}</color>变更为<color@1>第{2}</color>，将失去<color@5>{3}</color>称号奖励，还希望您能继续努力追回排名，重获称号奖励！\n社团内玩家排行可获得对应的<color@5>超强称号</color>加成：\n第1名：霸主称号<color@4>（战力5w+）</color>\n第2~4名：英杰称号<color@4>（战力4w+）</color>\n第5~10名：先锋称号<color@4>（战力2w5+）</color>\n社团内战力排行每小时刷新一次，排名一经变动，称号即会易主哦";


get(3316609) ->
    "社团竞榜最终结算";


get(3316610) ->
    "亲爱的玩家：\n恭喜您所在的社团最终在社团竞榜中进入<color@4>战力TOP3</color>！因此获得社团竞榜的<color@4>专属称号</color>加成！\n您的社团排名<color@1>第{1}</color>，恭喜获得<color@5>{2}</color>永久称号奖励。\n社团内玩家排行可获得对应的<color@5>超强称号</color>加成：\n第1名：霸主称号<color@4>（战力5w+）</color>\n第2~4名：英杰称号<color@4>（战力4w+）</color>\n第5~10名：先锋称号<color@4>（战力2w5+）</color>";


get(3316611) ->
    "战力TOP3全员奖励";


get(3316612) ->
    "亲爱的玩家：\n恭喜您所在的社团最终在社团竞榜中进入<color@4>战力TOP3</color>！因此您将获得社团竞榜的社团奖励！烦请查收~";


get(3316613) ->
    "社团竞榜称号失去";


get(3316614) ->
    "亲爱的玩家：\n您所在社团的排名已跌出战力TOP3，将失去<color@5>{1}</color>称号奖励，还希望您的社团能继续努力追回排名，重获称号奖励！\n社团内玩家排行可获得对应的<color@5>超强称号</color>加成：\n第1名：霸主称号<color@4>（战力5w+）</color>\n第2~4名：英杰称号<color@4>（战力4w+）</color>\n第5~10名：先锋称号<color@4>（战力2w5+）</color>\n社团内战力排行每小时刷新一次，排名一经变动，称号即会易主哦";


get(3316615) ->
    "战力TOP3团长专属奖励";


get(3316616) ->
    "亲爱的团长大大：\n恭喜您带领社团最终在社团竞榜中进入<color@4>战力TOP3</color>！因此您将获得社团竞榜战力TOP3的专属奖励！烦请查收~";


get(3316617) ->
    "活跃TOP10团长专属奖励";


get(3316618) ->
    "亲爱的团长大大：\n恭喜您带领社团最终在社团竞榜中进入<color@4>活跃TOP10</color>！因此您将获得社团竞榜活跃TOP10的专属奖励！烦请查收~";


get(3316619) ->
    "活跃TOP10全员奖励";


get(3316620) ->
    "亲爱的玩家：\n恭喜您所在的社团最终在社团竞榜中进入<color@4>活跃TOP10</color>！因此您将获得社团竞榜的活跃TOP10全员奖励！烦请查收~";


get(3316621) ->
    "社团扩容通知";


get(3316622) ->
    "亲爱的团长/副团大大：\n恭喜您带领社团在社团竞榜中进入<color@4>战力TOP3</color>！因此您的社团获得了<color@3>社团人数上限+{1}</color>的<color@1>临时加成</color>，活动最终结算的战力TOP3社团将永久获得人数上限加成！";


get(3316623) ->
    "社团永久扩容通知";


get(3316624) ->
    "亲爱的团长/副团大大：\n恭喜您最终带领社团在社团竞榜中获得<color@4>战力TOP3</color>！因此您的社团获得了<color@3>社团人数上限+{1}</color>的<color@5>永久加成</color>！";


get(3316625) ->
    "社团扩容失效通知";


get(3316626) ->
    "亲爱的团长/副团大大：\n很遗憾您带领的社团在社团竞榜中掉出<color@4>战力TOP3</color>，因此您的社团失去了<color@3>社团人数上限+{1}</color>的<color@1>临时加成</color>，失去临时加成后已超过上限部分成员<color@1>不会被踢出</color>";


get(3316627) ->
    "团长专属奖励补发";


get(3316628) ->
    "亲爱的团长大大：\n您在 <color@2>社团竞榜</color>活动中没有及时领取团长专属任务奖励，现通过邮件补发给您，敬请查收！";


get(3317001) ->
    "团购差价补发";


get(3317002) ->
    "大人：\n您昨日参与的团购活动折扣有变更，由于您忘记未领取差价，现通过邮件补发给您，敬请查收！";


get(3317501) ->
    "材料投资奖励";


get(3317502) ->
    "亲爱的玩家：\n您在 <color@3>[{1}]</color>  中的投资回报都到账啦，附件是您还未领取的投资奖励，请查收~！";


get(3318101) ->
    "先行者之证奖励";


get(3318102) ->
    "亲爱的玩家：\n您在上一期先行者之证活动中没有及时领取奖励，现通过邮件补发给您，敬请查收！";


get(3330001) ->
    "限时冲榜奖励";


get(3330002) ->
    "背包空间不足啦，奖励通过邮件发送。";


get(3330003) ->
    "限时冲榜排行奖励";


get(3330004) ->
    "大人，恭喜您在<color@3>{1}</color>活动中
获得<color@1>{2}</color>积分，排行第<color@4>{3}</color>名，万人敬仰，附件是您的冲榜奖励，请查收~！";


get(4000001) ->
    "社团资金欠费";


get(4000002) ->
    "亲爱的玩家：\n社团日常维护资金欠费超过7天，社团被系统解散";


get(4000003) ->
    "亲爱的玩家：\n社团日常维护资金已欠费<color@1>{1}</color>天，欠费<color@1>{2}</color>，欠费累计7天会被系统解散社团，补交欠费即可解除欠费状态，社团成员参与社团活动即可获得社团资金";


get(4000004) ->
    "社团邮件";


get(4000005) ->
    "社团公告";


get(4000006) ->
    "创建社团";


get(4000007) ->
    "亲爱的玩家：\n恭喜您成功创建了{1}级社团<color@2>{2}</color>，快去邀请小伙伴加入您的社团吧！";


get(4000008) ->
    "协助感谢";


get(4000009) ->
    "亲爱的玩家：\n  <color@2>{1}</color>，感谢您的协助，请您收下这份谢礼！";


get(4000010) ->
    "加入社团";


get(4000011) ->
    "亲爱的玩家：\n恭喜您成功加入了{1}级社团<color@2>{2}</color>，快跟其他社团成员打个招呼吧！";


get(4000013) ->
    "您被踢出社团了";


get(4000014) ->
    "很抱歉，您被踢出社团了，祝您早日找到更好的归属！";


get(4000015) ->
    "社团职位任命通知";


get(4000016) ->
    "<color@1>{1}</color>将社团 <color@1>{2}</color>的团长之职转让于你，希望你能带领所有成员共创社团辉煌";


get(4000017) ->
    "社团管理委员会任命您为社团 <color@1>{1}</color>的团长，希望你能带领所有成员共创社团辉煌";


get(4000018) ->
    "社团职位更变";


get(4000019) ->
    "最新消息，您在社团的职位变成了 <color@1>{1}</color>，祝您游戏愉快。";


get(4000020) ->
    "社团晚宴托管奖励";


get(4000021) ->
    "亲爱的玩家：\n 在您离线期间，通过托管功能参与了<color@2>社团晚宴</color>，现通过邮件给您补发奖励~";


get(4000022) ->
    "社团幻魔托管奖励";


get(4000023) ->
    "亲爱的玩家：\n 在您离线期间，通过托管功能参与了<color@2>社团幻魔</color>，现通过邮件给您补发奖励~";


get(4000024) ->
    "社团派单";


get(4000025) ->
    "亲爱的玩家：您协助{1}完成任务,获得如下奖励~";


get(4000026) ->
    "警告!社团人数不足";


get(4000027) ->
    "社团人数不足5人，将在即刻起72小时之后自动解散，请尽快招募成员！";


get(4050001) ->
    "本服团战奖励";


get(4050002) ->
    "亲爱的玩家：\n 感谢您积极参与本次本服团战！您在此次本服团战中获得了社团积分第<color@1>{1}</color>名，个人积分第<color@1>{2}</color>名，击杀排行第<color@1>{3}</color>名的好成绩，现给您发放以下奖励~";


get(4050005) ->
    "明星社团团长奖励";


get(4050006) ->
    "亲爱的团长：\n 感谢您积极参与本次本服团战！您的社团在此次本服团战中成为明星社团，作为明星社团团长可获得<color@4>地表最强·团长</color>称号奖励，已为你自动激活称号~";


get(4050007) ->
    "本服团战托管奖励";


get(4050008) ->
    "亲爱的玩家：\n 在您离线期间，通过托管功能在本服团战获得了<color@1>{1}</color>积分，现通过邮件给您补发奖励~";


get(4050009) ->
    "本服团战奖励";


get(4050010) ->
    "亲爱的玩家：\n 感谢您积极参与本次本服团战！您在此次本服团战中获得了社团积分第<color@1>{1}</color>名，个人积分第<color@1>{2}</color>名的好成绩，现给您发放以下奖励~";


get(4060001) ->
    "异次元入侵";


get(4060002) ->
    "亲爱的玩家：\n感谢参与本次异次元入侵活动，社团的繁荣需要所有成员，您获得的奖励如下：";


get(4060003) ->
    "亲爱的玩家：\n本次社团拍卖，您获得的分红如下：(参与活动超过1分钟才能获得分红)";


get(4100001) ->
    "本国团战社团奖励";


get(4100002) ->
    "亲爱的玩家：\n 感谢您积极参与本次本国团战！您的社团在此次本国团战中获得了积分第<color@1>{1}</color>名的好成绩，现给您发放以下奖励~";


get(4100003) ->
    "本国团战个人奖励";


get(4100004) ->
    "亲爱的玩家：\n 感谢您积极参与本次本国团战！您在此次本国团战中获得了个人积分第<color@1>{1}</color>名的好成绩，现给您发放以下奖励~";


get(4100005) ->
    "本国团战托管奖励";


get(4100006) ->
    "亲爱的玩家：\n 在您离线期间，通过托管功能在本国团战中获得了第<color@1>{1}</color>名的成绩，现通过邮件给您补发奖励~";


get(4110001) ->
    "物品回收";


get(4110002) ->
    "亲爱的玩家：\n您已获得重复的称号，已将该物品回收并给予您等价值货币补偿：";


get(4110003) ->
    "称号回收";


get(4110004) ->
    "亲爱的玩家：\n很抱歉的通知您，您的称号 <color@2>{1}</color> 已被顶替";


get(4130001) ->
    "物品回收";


get(4130002) ->
    "亲爱的玩家：\n您获得了已激活时装的限时体验卡，已将该物品回收并给予您等价值货币补偿：";


get(4150001) ->
    "狂战领域个人排名奖励";


get(4150002) ->
    "亲爱的玩家：\n恭喜您在狂战领域个人积分排行榜中夺得第{1}名，现结算奖励如下，敬请查收！";


get(4150003) ->
    "狂战领域社团排名奖励";


get(4150004) ->
    "亲爱的玩家：\n恭喜您所在社团在狂战领域社团积分排行榜中夺得第{1}名，现结算奖励如下，敬请查收！";


get(4150005) ->
    "狂战领域全服邮件奖励";


get(4150006) ->
    "亲爱的玩家：\n恭喜您所在区服的<color@1>{1}</color>社团夺得了跨服社团积分排行<color@1>第一名</color>,特此发放全服邮件奖励，敬请查收！";


get(4160001) ->
    "明日之星排名奖励";


get(4160002) ->
    "亲爱的玩家：\n 感谢您积极参与本次明日之星！您在此次明日之星中获得了第<color@4>{1}</color>名的好成绩，现给您发放以下奖励~";


get(4160003) ->
    "明日之星提前关闭";


get(4160004) ->
    "亲爱的玩家：\n 由于本周跨服区间合并操作，本次明日之星将在合服后提前关闭，对您造成的不便深表歉意！";


get(4160005) ->
    "报名奖励补发";


get(4160006) ->
    "亲爱的玩家：\n 您尚未领取本周报名奖励哦，小助手已代您领取，请查收！";


get(4160007) ->
    "明日之星报名奖励";


get(4160008) ->
    "亲爱的玩家：\n 由于本周未及时报名明日之星，小助手已帮您报名并领取奖励，请查收！";


get(4160009) ->
    "明日之星排名奖励";


get(4160010) ->
    "亲爱的玩家：\n 感谢您积极参与本次明日之星！您在此次明日之星中获得了<color@4>{1}</color>强的好成绩，现给您发放以下奖励~";


get(4160011) ->
    "明日之星排名奖励";


get(4160012) ->
    "亲爱的玩家：\n 感谢您积极参与本次明日之星！您在此次明日之星中获得了<color@4>冠军</color>！，现给您发放以下奖励~";


get(4160013) ->
    "明日之星排名奖励";


get(4160014) ->
    "亲爱的玩家：\n 感谢您积极参与本次明日之星！您在此次明日之星中获得了<color@4>亚军</color>！，现给您发放以下奖励~";


get(4180001) ->
    "活动奖励";


get(4180002) ->
    "亲爱的玩家：\n 感谢您积极参与本次舞池派对活动！现给您发放以下奖励~";


get(4180003) ->
    "舞池派对托管奖励";


get(4180004) ->
    "亲爱的玩家：\n 在您离线期间，通过托管功能参与了<color@2>舞池派对</color>，现通过邮件给您补发奖励~";


get(4220001) ->
    "风采商店";


get(4220002) ->
    "亲爱的玩家：\n 您在<color@2>风采商店</color>中购买的物品，现通过邮件给您补发，请您注意查收哦~";


get(4240001) ->
    "高级藏宝图月度累计奖励";


get(4240002) ->
    "亲爱的玩家：\n由于您上月的高级藏宝图累计使用次数奖励未及时进行领取，现将奖励通过邮件补发给您，敬请查收！";


get(4500001) ->
    "特权晋升奖励";


get(4500002) ->
    "亲爱的玩家：\n恭喜您成功晋升<color@1>{1}</color>,属于您的特权豪礼已经发放至邮箱，请注意查收。";


get(4600001) ->
    "世界BOSS奖励补发";


get(4600002) ->
    "亲爱的玩家：\n恭喜您在本日 {1}点 场次的世界BOSS讨伐中成功参与击杀 {2} ，现补发奖励如下，敬请查收！";


get(4600003) ->
    "世界BOSS周榜结算";


get(4600004) ->
    "亲爱的玩家：\n恭喜您在本周世界BOSS讨伐周榜中成功夺得 {1} 排行第 {2} 名，现结算奖励如下，敬请查收！";


get(5000001) ->
    "护送奖励补发";


get(5000002) ->
    "亲爱的玩家：\n您在离线期间获得以下护送任务奖励，敬请查收！";


get(6000001) ->
    "无尽领域排名奖励";


get(6000002) ->
    "亲爱的玩家：\n恭喜您在无尽领域积分排行榜中夺得第{1}名，现结算奖励如下，敬请查收！";


get(6010001) ->
    "跨国团战";


get(6010002) ->
    "dasda{1}滴滴滴滴多";


get(6010003) ->
    "占领城池奖励";


get(6010004) ->
    "亲爱的玩家：\n恭喜您所在的社团在本次跨国团战中，成功占领{1}，获得占领奖励，烦请您查收！";


get(6010005) ->
    "应援奖励发放";


get(6010006) ->
    "亲爱的玩家：\n恭喜您所应援的社团{1}，在本届跨国团战中，成功占领了{2}，您将获得对应的应援奖励！烦请查收！";


get(6010007) ->
    "应援社团失败";


get(6010008) ->
    "亲爱的玩家：\n非常遗憾您所应援的社团{1}，在本届跨国团战中表现不佳，什么都没占领，您无缘应援奖励，还请下次加油！";


get(6010009) ->
    "未通过跨国团战报名";


get(6010010) ->
    "亲爱的玩家：\n非常遗憾，与其他玩家相较，您的战力还不足以进入本次跨国团战，还请继续加油！";


get(6010011) ->
    "通过跨国团战报名";


get(6010012) ->
    "亲爱的玩家：\n恭喜您成功通过本届跨国团战筛选！您将在今天晚上代表自己的国家出战，争夺荣耀！还请您晚上20:30准时参加！";


get(6010013) ->
    "跨国团战取消通知";


get(6010014) ->
    "亲爱的玩家：\n由于合服等多种原因，本次跨国团战将取消，因此为您带来的不便还请谅解！";


get(6020001) ->
    "饥饿游戏奖励";


get(6020002) ->
    "亲爱的玩家：\n恭喜您在饥饿游戏中获得<color@1>{1}</color>积分，在积分排行榜中夺得第<color@1>{2}</color>名，现结算奖励如下，敬请查收！";


get(6020005) ->
    "饥饿游戏托管奖励";


get(6020006) ->
    "亲爱的玩家：\n 在您离线期间，通过托管功能参与了<color@2>饥饿游戏</color>，现通过邮件给您补发奖励~";


get(6020007) ->
    "饥饿游戏奖励补发";


get(6020008) ->
    "亲爱的玩家：\n 在您离线期间，在饥饿游戏中晋升了层数，现通过邮件给您补发奖励~";


get(6040001) ->
    "中央世界战场召集";


get(6040002) ->
    "亲爱的玩家：\n[执政官]<color@2>{1}></color>在<color@3>[跨国团战-中央世界]</color>战场发起召集，请求您前往据点<color@2>{2}</color>支援！<color@1><a@open_fun@604@0>[点击前往]</a></color>";


get(6100001) ->
    "讨伐奖励补发";


get(6100002) ->
    "亲爱的玩家：\n由于各种原因，导致您之前讨伐副本的奖励无法获得。现将奖励补发给您，烦请查收！";


get(6100003) ->
    "放置经验剩余奖励";


get(6100004) ->
    "亲爱的玩家：\n背包格子不足，放置经验剩余奖励已通过邮件发放。烦请查收！";


get(6100005) ->
    "恭喜获得全服首通荣誉奖励";


get(6100006) ->
    "亲爱的玩家：\n恭喜您成功获得<color=#04bd27>{1}</color>第<color=#04bd27>{2}</color>波怪物<color=#fa1022>全服首通荣誉奖励</color>，这些是给您的稀有奖励，烦请查收~";


get(6100007) ->
    "宠物副本排名奖励";


get(6100008) ->
    "亲爱的玩家：\n恭喜您在昨日宠物副本积分排行榜中成功夺得第<color@1>{1}</color>名，现结算奖励如下，敬请查收！";


get(6100009) ->
    "未来神域排行奖励";


get(6100010) ->
    "亲爱的玩家：\n恭喜您在昨日唤神榜中夺得第<color@1>{1}</color>名，现结算奖励如下，敬请查收！";


get(6100011) ->
    "亲爱的玩家：\n恭喜您在昨日唤神榜中夺得前<color@1>{1}~{2}</color>，现结算奖励如下，敬请查收！";


get(6100012) ->
    "快速挂机剩余奖励";


get(6100013) ->
    "快速挂机剩余奖励,其他已先发往背包";


get(6100014) ->
    "小队讨伐协助奖励";


get(6100015) ->
    "亲爱的玩家：\n您刚刚派遣分身协助<color@2>{1}</color>完成了小队讨伐，现为您奉上一份奖励，这是今天的第<color@1>{2}</color>份奖励，每天最多可领取10份奖励。";


get(6100016) ->
    "守卫物资支援周榜结算";


get(6100017) ->
    "亲爱的玩家：\n您在上周的守护物资副本中获得总支援值<color@1>{1}</color>点，排名第<color@1>{2}</color>名，获得以下周榜奖励，本周也请多多帮助他人哦~";


get(6101101) ->
    "食物大战奖励补发";


get(6101102) ->
    "亲爱的玩家：\n由于各种原因，导致您之前食物大战副本的奖励无法获得。现将奖励补发给您，烦请查收！";


get(33100101) ->
    "物品过期自动转换";


get(33100102) ->
    "亲爱的玩家：\n您背包中的<a@goods@{1}></a>x<color@1>{2}</color>因为到达自动转化时间，已经转化为<a@goods@{3}></a>x<color@1>{4}</color>，烦请查收！";


get(33111301) ->
    "冒险征途奖励";


get(33111302) ->
    "亲爱的玩家：\n这是您在上一期冒险征途活动中未及时领取的奖励，现通过邮件补发给您，敬请查收！";


get(33111501) ->
    "黑白棋抽奖奖励发放";


get(33111502) ->
    "亲爱的玩家，由于您的背包没有足够的空间，这是此次抽奖的奖励！整理好背包后请记得点击下方的领取按钮哦！";


get(33111701) ->
    "魔龙降临参与奖励";


get(33111702) ->
    "亲爱的勇士：\n感谢您参与阻击魔龙入侵，维护了时空的稳定。\n这是您本次的参与奖励，敬请查收！";


get(33111703) ->
    "魔龙降临组队奖励";


get(33111704) ->
    "亲爱的勇士：\n您的队伍在本次阻击魔龙入侵的行动中功不可没。\n这是您的队伍奖励，敬请查收！";


get(33111705) ->
    "魔龙降临伤害排名奖励";


get(33111706) ->
    "亲爱的勇士：\n您在本次阻击魔龙入侵的过程中表现出色，伤害排名第<color@1>{1}</color>名。\n这是您的伤害排名奖励，敬请查收！";


get(33112101) ->
    "跳一跳结算";


get(33112102) ->
    "亲爱的玩家：\n您在跳一跳活动参与过程中离线，已被淘汰，现将本次奖励通过邮件发放给您！";


get(33112301) ->
    "超能大奖奖励补发";


get(33112302) ->
    "亲爱的玩家：\n您上期超能大奖活动中，有部分奖励未及时进行领取，现将奖励通过邮件补发给您，敬请查收！";


get(33179001) ->
    "排行榜结算奖励";


get(33179002) ->
    "恭喜你在<color@1>{1}</color>活动中,获得积分<color@1>{2}</color>，排名<color@1>{3}</color>";


get(2147483647) ->
    "亲爱的玩家，由于您的背包没有足够的空间，这是此次抽奖的奖励！整理好背包后请记得点击下方的领取按钮哦！";

get(_Id) ->
    "".

get(0,2) ->
    #language{module_id = 0,id = 2,type = 2,subtype = 10,tip = 0,content = "获得 <a@goods5@{1}></a> x {2}"};

get(0,3) ->
    #language{module_id = 0,id = 3,type = 3,subtype = 0,tip = 0,content = "链接跨服中心成功！"};

get(0,4) ->
    #language{module_id = 0,id = 4,type = 3,subtype = 10,tip = 0,content = "<color@0>链接跨服中心成功！</color>"};

get(0,5) ->
    #language{module_id = 0,id = 5,type = 3,subtype = 10,tip = 0,content = "<color@4>与跨服中心断开链接！</color>"};

get(104,1) ->
    #language{module_id = 104,id = 1,type = 1,subtype = 10,tip = 1,content = "<color@2><a@player@{1}@{2}></a></color>在珍宝阁淘到珍宝<a@goods@{3}></a>，可喜可贺！"};

get(110,1) ->
    #language{module_id = 110,id = 1,type = 2,subtype = 10,tip = 1,content = "欢迎加入<color@3>源战役</color>！<color@1>通关副本，挑战幻魔</color>，轻松挂机得奖励。参与<color@1>PVP战斗</color>，激情PK！"};

get(110,2) ->
    #language{module_id = 110,id = 2,type = 2,subtype = 10,tip = 1,content = "全新<color@4>[装备系统]</color>，多套装备加成！重装上阵，每套装备均可提升大量战力，让你战力过人！"};

get(110,3) ->
    #language{module_id = 110,id = 3,type = 2,subtype = 10,tip = 1,content = "<color@4>[经验闯关]</color>出产大量经验，通关越多产出越高，记得来领取你的<color@1>放置收益~</color>轻松提升等级！"};

get(112,1) ->
    #language{module_id = 112,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@0><a@player@{1}></a></color>成功激活个性装扮<a@goods5@{2}></a>。"};

get(130,1) ->
    #language{module_id = 130,id = 1,type = 2,subtype = 10,tip = 0,content = "玩家<color@2><a@player@{1}@{2}></a></color>，成功改名为<color@2>{3}</color>，大家重新认识一下！"};

get(139,1) ->
    #language{module_id = 139,id = 1,type = 1,subtype = 10,tip = 1,content = "恭喜<color@2><a@player@{1}@{2}></a></color>成功晋升为{3}！"};

get(139,2) ->
    #language{module_id = 139,id = 2,type = 1,subtype = 10,tip = 0,content = "恭喜<color@2><a@player@{1}@{2}></a></color>成功将<a@goods@{3}></a>进化为<a@goods@{4}></a>！"};

get(139,3) ->
    #language{module_id = 139,id = 3,type = 1,subtype = 10,tip = 0,content = "恭喜<color@2><a@player@{1}@{2}></a></color>穿戴了极品圣物，成功激活超强圣技{3}！"};

get(139,4) ->
    #language{module_id = 139,id = 4,type = 1,subtype = 10,tip = 0,content = "恭喜<color@2><a@player@{1}@{2}></a></color>在奖池中抽得了极品道具<a@goods@{3}></a>！"};

get(139,5) ->
    #language{module_id = 139,id = 5,type = 1,subtype = 10,tip = 0,content = "恭喜<color@2><a@player@{1}@{2}></a></color>成功将圣物{3}觉醒至{4}段！"};

get(140,1) ->
    #language{module_id = 140,id = 1,type = 3,subtype = 10,tip = 0,content = "{1}接受了你的好友申请"};

get(140,2) ->
    #language{module_id = 140,id = 2,type = 3,subtype = 10,tip = 0,content = "{1}拒绝了你的好友申请"};

get(142,1) ->
    #language{module_id = 142,id = 1,type = 1,subtype = 10,tip = 1,content = "<color@2>[赛马竞猜]</color>活动已经开始，快进入社团驻地参与"};

get(142,2) ->
    #language{module_id = 142,id = 2,type = 1,subtype = 10,tip = 1,content = "<color@2>[赛马竞猜]</color>第<color@2>{1}</color>场开始了，大家快选出心仪的选手"};

get(142,3) ->
    #language{module_id = 142,id = 3,type = 1,subtype = 10,tip = 0,content = "<color@2>[赛马竞猜]</color>第{1}场比赛结果已出，选手<color@2><a@player@{2}@{3}></a></color>获得胜利，参与押注玩家欣喜若狂"};

get(142,4) ->
    #language{module_id = 142,id = 4,type = 1,subtype = 10,tip = 0,content = "<color@2>[赛马竞猜]</color>今日赛马竞猜已结束，奖励将通过邮件发送"};

get(143,1) ->
    #language{module_id = 143,id = 1,type = 2,subtype = 10,tip = 1,content = "<color@2><a@player@{1}@{2}></a></color>成功将<a@goods@{3}></a>升至{4}级，战魂力直接拉满！"};

get(143,2) ->
    #language{module_id = 143,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>成功将<a@goods@{3}></a>进化为<a@goods@{4}></a>，铸造一代绝世战魂！"};

get(144,1) ->
    #language{module_id = 144,id = 1,type = 2,subtype = 10,tip = 0,content = "<color@2>{1}</color> 经过专注锻炼，魂力终于突破至<color@3>第{2}阶</color> <color@3>{3}</color> ！"};

get(145,1) ->
    #language{module_id = 145,id = 1,type = 1,subtype = 10,tip = 1,content = "经过激烈的战斗，<color@2>{1}</color>成功击杀<color@5>Lv{2}.{3}</color>拿下全服首杀！"};

get(146,1) ->
    #language{module_id = 146,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>成功将座驾进阶到{3}阶，可喜可贺！"};

get(146,2) ->
    #language{module_id = 146,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>成功将炫翼进阶到{3}阶，可喜可贺！"};

get(146,3) ->
    #language{module_id = 146,id = 3,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>成功将宝具进阶到{3}阶，可喜可贺！"};

get(146,4) ->
    #language{module_id = 146,id = 4,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>成功将武器进阶到{3}阶，可喜可贺！"};

get(146,5) ->
    #language{module_id = 146,id = 5,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>成功将AI娘进阶到{3}阶，可喜可贺！"};

get(146,6) ->
    #language{module_id = 146,id = 6,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>成功将磁炮进阶到{3}阶，可喜可贺！"};

get(146,7) ->
    #language{module_id = 146,id = 7,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>成功将星翼进阶到{3}阶，可喜可贺！"};

get(146,8) ->
    #language{module_id = 146,id = 8,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>成功将幻甲进阶到{3}阶，可喜可贺！"};

get(146,9) ->
    #language{module_id = 146,id = 9,type = 1,subtype = 10,tip = 1,content = "<color@2><a@player@{1}@{2}></a></color>成功激活了珍宝<color@5>{3}</color>，可喜可贺！"};

get(146,10) ->
    #language{module_id = 146,id = 10,type = 1,subtype = 10,tip = 1,content = "<color@2><a@player@{1}@{2}></a></color>成功将珍宝<color@5>{3}</color>提升到了<color@3>{4}</color>星，可喜可贺！"};

get(146,11) ->
    #language{module_id = 146,id = 11,type = 1,subtype = 10,tip = 1,content = "风云雷动，只听一声巨响，<color@2><a@player@{1}@{2}></a></color>成功将<color@5>{3}</color>提升至到了<color@1>{4}</color> 级！"};

get(146,12) ->
    #language{module_id = 146,id = 12,type = 1,subtype = 10,tip = 1,content = "宝物焕新，流光熠熠，<color@2><a@player@{1}@{2}></a></color>成功激活了新皮肤<color@5>{3}</color>！"};

get(146,13) ->
    #language{module_id = 146,id = 13,type = 1,subtype = 10,tip = 1,content = "宝物生星，流光熠熠， <color@2><a@player@{1}@{2}></a></color> 成功将<color@5>{3}</color> 升级到了 <color@1>{4}</color>星 ！"};

get(148,1) ->
    #language{module_id = 148,id = 1,type = 1,subtype = 10,tip = 1,content = "<color@2><a@player@{1}@{2}></a></color>成功将<a@goods@{3}></a>突破极限，突破至<color@3>{4}</color>级，可喜可贺！"};

get(149,1) ->
    #language{module_id = 149,id = 1,type = 1,subtype = 10,tip = 0,content = "恭喜<color@2><a@player@{1}></a></color>与<color@2><a@player@{2}></a></color>成功 <color@3>结成羁绊</color>！从此 欢乐是你，悲伤是你，一路同行，始终有你！<a@open_fun@149@0><color@1>[我也要结羁]</color></a>"};

get(149,2) ->
    #language{module_id = 149,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}></a></color>已与<color@2><a@player@{2}></a></color>解除 <color@3>羁绊关系</color>！从此 天涯无你，海角无你，纵使相逢，沉默不语！<a@open_fun@149@0><color@1>[我也要结羁]</color></a>"};

get(149,3) ->
    #language{module_id = 149,id = 3,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}></a></color>在交友大厅发布了 <color@3>交友宣言</color>！大家快去看看吧！<a@open_fun@149@1><color@1>[交友大厅]</color></a>"};

get(150,1) ->
    #language{module_id = 150,id = 1,type = 1,subtype = 10,tip = 1,content = "恭喜玩家<color@2>{1}</color>开启<a@goods@{2}></a>从中获得极品道具<a@goods@{3}></a>，实乃天选之子！"};

get(152,1) ->
    #language{module_id = 152,id = 1,type = 2,subtype = 10,tip = 1,content = "<color@2><a@player@{1}></a></color>成功将<a@goods2@{2}@{3}@{4}></a>精炼至<color@4>{5}级</color>，激活强大属性加成！<a@open_fun@152@1><color@1>我也要精炼</color></a>"};

get(152,2) ->
    #language{module_id = 152,id = 2,type = 2,subtype = 10,tip = 1,content = "<color@2><a@player@{1}></a></color>成功将<a@goods2@{2}@{3}@{4}></a>升星至<color@4>{5}级</color>，额外激活稀有卓越属性！<a@open_fun@152@2><color@1>我也要进化</color></a>"};

get(152,3) ->
    #language{module_id = 152,id = 3,type = 1,subtype = 10,tip = 1,content = "<color@2><a@player@{1}></a></color>搜集天下稀有材料，成功将<a@goods@{2}></a>提升成高级<a@goods@{3}></a>，获得更强守护力量！"};

get(152,4) ->
    #language{module_id = 152,id = 4,type = 1,subtype = 10,tip = 1,content = "<color@2><a@player@{1}></a></color>搜集天下稀有材料，成功将<a@goods@{2}></a>提升成高级<a@goods2@{3}@{4}@{5}></a>，获得更强饰品力量！"};

get(152,5) ->
    #language{module_id = 152,id = 5,type = 1,subtype = 10,tip = 1,content = "<color@2><a@player@{1}></a></color>穿戴一身<color@3>{2}套橙装</color>，成功激活套装属性！获得<color@3>绝世套装属性</color>，百年之内，不出一人！"};

get(152,6) ->
    #language{module_id = 152,id = 6,type = 2,subtype = 10,tip = 1,content = "<color@2><a@player@{1}></a></color>成功激活<color@3>{2}星级套装</color>效果，获得<color@3>专属星级技能</color>，星光熠熠，战力飞涨！"};

get(159,1) ->
    #language{module_id = 159,id = 1,type = 1,subtype = 10,tip = 1,content = "<color@2><a@player@{1}@{2}></a></color>完成首充送礼，领取了首充大礼<color@4>绝版红武+活力时装进阶套</color>，战力疯狂飙升！<a@firstrecharge></a>"};

get(159,2) ->
    #language{module_id = 159,id = 2,type = 1,subtype = 10,tip = 1,content = "<color@2><a@player@{1}@{2}></a></color>完成首充后第2天登录，领取了首充大礼<color@4>寒霜冰狐幻光+碳酸泡泡发型</color>，习得神技<color@5>虚弱光环</color>！<a@firstrecharge></a>"};

get(159,3) ->
    #language{module_id = 159,id = 3,type = 1,subtype = 10,tip = 1,content = "<color@2><a@player@{1}@{2}></a></color>完成首充后第3天登录，领取了首充大礼<color@4>彩色风车背饰+漫游宇宙气泡</color>，满级战力超10万！<a@firstrecharge></a>"};

get(159,4) ->
    #language{module_id = 159,id = 4,type = 1,subtype = 10,tip = 1,content = "恭喜<color@2><a@player@{1}></a></color>成为幻魔周卡玩家，激活了<color@2>装备升星概率提升</color>等一系列特权！<color@1><a@card@1>[我也要激活]</a></color>"};

get(159,5) ->
    #language{module_id = 159,id = 5,type = 1,subtype = 10,tip = 1,content = "恭喜<color@2><a@player@{1}></a></color>成为幻魔月卡玩家，激活了<color@4>幻魔橙装掉率提升</color>等一系列特权！<color@1><a@card@1>[我也要激活]</a></color>"};

get(159,6) ->
    #language{module_id = 159,id = 6,type = 1,subtype = 10,tip = 1,content = "恭喜<color@2><a@player@{1}></a></color>成为幻魔季卡玩家，激活了<color@4>幻魔橙装掉率暴涨</color>等一系列特权！<color@1><a@card@1>[我也要激活]</a></color>"};

get(163,1) ->
    #language{module_id = 163,id = 1,type = 2,subtype = 10,tip = 1,content = "<color@2><a@player@{1}@{2}></a></color>成功激活了新宠物{3}，可喜可贺！"};

get(163,2) ->
    #language{module_id = 163,id = 2,type = 2,subtype = 10,tip = 1,content = "经过不懈的努力，<color@2><a@player@{1}@{2}></a></color>成功将宠物{3}提升至{4}星，可喜可贺！"};

get(164,1) ->
    #language{module_id = 164,id = 1,type = 2,subtype = 10,tip = 1,content = "恭喜玩家<color@2><a@player@{1}@{2}></a></color>窥破命数，完成<color@2>{3}转</color>转职，成为<color@2>{4}</color>，激发潜能，实力大涨！！"};

get(165,1) ->
    #language{module_id = 165,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@2>{1}</color>成功将吃货羊提升至<color@2>{2}</color>阶，实力大增！"};

get(165,2) ->
    #language{module_id = 165,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@2>{1}</color>成功将吃货羊提升至<color@1>{2}</color>级，战斗力爆表！"};

get(165,3) ->
    #language{module_id = 165,id = 3,type = 1,subtype = 10,tip = 0,content = "<color@2>{1}</color>成功将“<color@2>{2}</color>”提升至<color@2>{3}</color>阶，实力大增！"};

get(166,1) ->
    #language{module_id = 166,id = 1,type = 2,subtype = 10,tip = 1,content = "<color@2>[学位晋升]</color>恭喜<color@1><a@player@{1}@{2}></a></color>成功晋升到<color@3>{3}</color>！距离疯魔只差半步！"};

get(170,1) ->
    #language{module_id = 170,id = 1,type = 1,subtype = 10,tip = 1,content = "恭喜<color@2><a@player@{1}@{2}></a></color>在<color@2>龙神宝库</color>中获得了极品道具<a@goods@{3}></a>！<color@1><a@open_fun@170@1>[我要寻宝]</color></a>"};

get(170,2) ->
    #language{module_id = 170,id = 2,type = 1,subtype = 10,tip = 1,content = "恭喜<color@2><a@player@{1}@{2}></a></color>在<color@2>炫武扭蛋</color>中获得了极品道具<a@goods@{3}></a>！<color@1><a@open_fun@170@1>[我要扭蛋]</color></a>"};

get(170,3) ->
    #language{module_id = 170,id = 3,type = 1,subtype = 10,tip = 1,content = "恭喜<color@2><a@player@{1}@{2}></a></color>在<color@2>华裳扭蛋</color>中获得了极品道具<a@goods@{3}></a>！<color@1><a@open_fun@170@1>[我要扭蛋]</color></a>"};

get(173,1) ->
    #language{module_id = 173,id = 1,type = 1,subtype = 10,tip = 1,content = "<color@2>[神座]</color>玩家<color@2><a@player@{1}@{2}></a></color>成功召唤<color@5>{3}</color>降临，神座附体，战力无双！"};

get(173,2) ->
    #language{module_id = 173,id = 2,type = 2,subtype = 10,tip = 1,content = "<color@2>[神座]</color>恭喜<color@2><a@player@{1}@{2}></a></color>将神座<color@5>{3}</color>提升到<color@3>{4}</color>级，神力提升！"};

get(173,3) ->
    #language{module_id = 173,id = 3,type = 2,subtype = 10,tip = 1,content = "<color@2>[神座]</color>恭喜<color@2><a@player@{1}@{2}></a></color>集齐<a@goods5@{3}></a>将神座<color@5>{4}</color>突破至<color@3>{5}</color>星，神阶突破！"};

get(173,4) ->
    #language{module_id = 173,id = 4,type = 1,subtype = 10,tip = 1,content = "<color@2>[神座]</color>恭喜<color@2><a@player@{1}@{2}></a></color>在<a@open_fun@173@4>神座召唤</a>中，获得<a@goods5@{3}></a>，幸运之神的眷顾！"};

get(173,5) ->
    #language{module_id = 173,id = 5,type = 2,subtype = 10,tip = 0,content = "<color@2>[神座]</color>玩家<color@2><a@player@{1}@{2}></a></color>成功将<a@goods5@{3}></a>突破<color@2>{4}</color>级，激活稀有属性<color@3><a@attr_id_val@{5}@{6}></a></color>，战力暴涨！"};

get(173,6) ->
    #language{module_id = 173,id = 6,type = 2,subtype = 10,tip = 0,content = "<color@2>[神座]</color>玩家<color@2><a@player@{1}@{2}></a></color>成功将<a@goods5@{3}></a>突破<color@2>{4}</color>级，将稀有属性提升至<color@3><a@attr_id_val@{5}@{6}></a></color>，战力提升"};

get(210,1) ->
    #language{module_id = 210,id = 1,type = 2,subtype = 10,tip = 0,content = "<color@1><a@player@{1}@{2}></a></color>通关{3}级<color@3>{4}</color>,掌握了<a@skill@{5}></a>"};

get(215,1) ->
    #language{module_id = 215,id = 1,type = 2,subtype = 4,tip = 0,content = "<color@1>{1}</color>正在进行<color@1>{2}（{3}等级）</color>,一起加入队伍吧！<color@1><a@multidungeon@{4}@{5}>[加入队伍]</a></color>"};

get(215,2) ->
    #language{module_id = 215,id = 2,type = 2,subtype = 11,tip = 0,content = "<color@1>{1}</color>正在进行<color@1>{2}（{3}等级）</color>,一起加入队伍吧！<color@1><a@multidungeon@{4}@{5}>[加入队伍]</a></color>"};

get(215,3) ->
    #language{module_id = 215,id = 3,type = 2,subtype = 5,tip = 0,content = "<color@2>{1}</color>加入了队伍"};

get(215,4) ->
    #language{module_id = 215,id = 4,type = 2,subtype = 5,tip = 0,content = "<color@2>{1}</color>退出了队伍"};

get(221,1) ->
    #language{module_id = 221,id = 1,type = 1,subtype = 10,tip = 1,content = "恭喜<color@1>{1}</color>在<color@3>排行榜—{2}</color>中荣登榜首，获得<color@3>{3}</color>称号！"};

get(221,2) ->
    #language{module_id = 221,id = 2,type = 1,subtype = 10,tip = 1,content = "恭喜<color@1>{1}</color>社团荣登<color@3>排行榜—社团榜</color>榜首，全体成员获得<color@3>地表最强</color>称号！"};

get(240,1) ->
    #language{module_id = 240,id = 1,type = 3,subtype = 5,tip = 0,content = "<color@2>{1}</color>拒绝参加"};

get(240,2) ->
    #language{module_id = 240,id = 2,type = 2,subtype = 5,tip = 0,content = "<color@2>{1}</color>加入了队伍"};

get(240,3) ->
    #language{module_id = 240,id = 3,type = 2,subtype = 5,tip = 0,content = "<color@2>{1}</color>退出了队伍"};

get(240,4) ->
    #language{module_id = 240,id = 4,type = 2,subtype = 5,tip = 0,content = "<color@2>{1}</color>被请出了队伍"};

get(240,5) ->
    #language{module_id = 240,id = 5,type = 2,subtype = 5,tip = 0,content = "更改目标：<color@1>{1}</color>"};

get(280,1) ->
    #language{module_id = 280,id = 1,type = 1,subtype = 10,tip = 0,content = "高手对决！<color@2><a@player@{1}@{2}></a></color>成功击败了<color@2><a@player@{3}@{4}></a></color>，夺得竞技联赛第<color@3>{5}</color>名的宝座！"};

get(280,2) ->
    #language{module_id = 280,id = 2,type = 1,subtype = 10,tip = 0,content = "大神宝座易主！下位者<color@2><a@player@{1}@{2}></a></color>成功击败了上位者<color@2><a@player@{3}@{4}></a></color>，取代其成为竞技大神第<color@3>{5}</color>位！"};

get(331,1) ->
    #language{module_id = 331,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>将<color@4>{3}彩钻</color>投入彩钻星轮，竟然转到<color@5>{4}.{5}倍</color>奖励--<color@4>彩钻 x {6}</color>，真是可喜可贺！<a@fortuneCat></a>"};

get(331,2) ->
    #language{module_id = 331,id = 2,type = 1,subtype = 10,tip = 0,content = "壕气冲天，<color@2>{1}</color>在<color@4>★{4}★</color>每日抽奖中获得了<a@goods@{2}></a> x {3}，买{4}，每天都能免费抽大奖！<a@hopegift@{5}></a>"};

get(331,3) ->
    #language{module_id = 331,id = 3,type = 1,subtype = 10,tip = 0,content = "乐趣无限，<color@2>{1}</color>按动弹珠机，弹了个<a@goods@{2}></a> x{3}，真是犀利！<a@marble></a>"};

get(331,4) ->
    #language{module_id = 331,id = 4,type = 1,subtype = 10,tip = 0,content = "<color@2>{1}</color>在弹珠机领取到了<a@goods@{2}></a> x{3}，真是羡煞旁人！<a@marble></a>"};

get(331,5) ->
    #language{module_id = 331,id = 5,type = 1,subtype = 10,tip = 0,content = "天道酬勤，<color@2>{1}</color>在超级富豪中领取了圈数奖励 <a@goods@{2}></a> x{3}！<a@mono></a>"};

get(331,6) ->
    #language{module_id = 331,id = 6,type = 1,subtype = 10,tip = 0,content = "<color@2>{1}</color>发现了万物之灵留下的宝藏，解锁<color@4>王牌·{2}</color>，从此丰厚豪礼领不停 ！真是羡煞旁人！<a@contract@{3}></a>"};

get(331,7) ->
    #language{module_id = 331,id = 7,type = 1,subtype = 10,tip = 0,content = "一直升级一直爽，恭喜<color@2>{1}</color>将{2}提升至<color@1>{3}</color>级，坐拥豪华宝库，领取丰厚大奖！<a@contractLv@{4}></a>"};

get(331,8) ->
    #language{module_id = 331,id = 8,type = 1,subtype = 10,tip = 1,content = "全民抢福袋马上就要开始了，各位快快准备～！"};

get(331,9) ->
    #language{module_id = 331,id = 9,type = 1,subtype = 10,tip = 1,content = "福袋正式开抢，带上手速和好运，抓紧戳～！"};

get(331,10) ->
    #language{module_id = 331,id = 10,type = 1,subtype = 10,tip = 0,content = "全民抢福袋，<color@2>{1}</color>随手一抓，轻松将<a@goods@{2}></a> x{3} 收入囊中！"};

get(331,11) ->
    #language{module_id = 331,id = 11,type = 1,subtype = 10,tip = 0,content = "本期抢福袋活动已结束，敬请期待下期活动^_^"};

get(331,12) ->
    #language{module_id = 331,id = 12,type = 1,subtype = 10,tip = 0,content = "眼疾手快，<color@2>{1}</color>完成所有关卡，获得了<a@goods@{2}></a> x{3} ！"};

get(331,13) ->
    #language{module_id = 331,id = 13,type = 1,subtype = 10,tip = 0,content = "<color@2>{1}</color>翻到<color@4>{2}</color>个相同的AI娘，获得AI娘赐福的<a@goods@{3}></a> x{4} ～！"};

get(331,14) ->
    #language{module_id = 331,id = 14,type = 1,subtype = 10,tip = 0,content = "<color@2>{1}</color>翻开塔罗牌，里竟然藏着<a@goods@{2}></a> x{3} ！"};

get(331,15) ->
    #language{module_id = 331,id = 15,type = 1,subtype = 10,tip = 0,content = "<color@2>{1}</color>大手一挥，成功解锁<color@4>王牌·{2}</color>，从此珍稀豪礼领不停 ！<a@bosspass@{3}></a>"};

get(331,16) ->
    #language{module_id = 331,id = 16,type = 1,subtype = 10,tip = 0,content = "一直升级一直爽，恭喜<color@2>{1}</color>将{2}提升至<color@1>{3}</color>级，坐拥豪华宝库，领取丰厚大奖！<a@bosspassLv@{4}></a>"};

get(331,17) ->
    #language{module_id = 331,id = 17,type = 1,subtype = 10,tip = 0,content = "豪华秒杀10分钟后即将开抢，超抵折扣抢不停，各位快快准备～！<a@seckill@{1}></a>"};

get(331,18) ->
    #language{module_id = 331,id = 18,type = 1,subtype = 10,tip = 0,content = "限时秒杀正式开抢！手快有手慢无，赶紧抢一波~<a@seckill@{1}></a>"};

get(331,19) ->
    #language{module_id = 331,id = 19,type = 1,subtype = 10,tip = 0,content = "叹为观止！<color@2>{1}.{2}</color>凭借独特的秒杀秘籍，成功秒杀<a@goods@{3}></a>x{4}，他是真正的秒杀之王！<a@seckill@{5}></a>"};

get(331,20) ->
    #language{module_id = 331,id = 20,type = 1,subtype = 10,tip = 0,content = "做到了！他做到了！<color@2>{1}.{2}</color>在万千玩家的包围之下中成功秒杀<a@goods@{3}></a>x{4}，这手速简直举世罕见！<a@seckill@{5}></a>"};

get(331,21) ->
    #language{module_id = 331,id = 21,type = 1,subtype = 10,tip = 0,content = "震惊！<color@2>{1}.{2}</color>成功秒杀<a@goods@{3}></a>x{4}，小伙伴们看到都惊呆了！<a@seckill@{5}></a>"};

get(331,22) ->
    #language{module_id = 331,id = 22,type = 1,subtype = 10,tip = 0,content = "恭喜<color@2>{1}</color>转动轮盘，幸运地获得了<a@goods@{2}></a>x{3}！<a@luckyturntable@{4}></a>"};

get(331,23) ->
    #language{module_id = 331,id = 23,type = 1,subtype = 10,tip = 0,content = "鸿运当头，<color@2>{1}</color>刮开卡片，刮到了<a@goods@{2}></a> x{3}～！"};

get(331,24) ->
    #language{module_id = 331,id = 24,type = 1,subtype = 10,tip = 0,content = "积分送好礼，<color@2>{1}</color>使用刮刮卡积分抽中了<a@goods@{2}></a> x{3}～！"};

get(331,25) ->
    #language{module_id = 331,id = 25,type = 1,subtype = 10,tip = 1,content = "红包雨马上来袭，各位快快准备～！"};

get(331,26) ->
    #language{module_id = 331,id = 26,type = 1,subtype = 10,tip = 1,content = "抢红包正式开始，带上手速和好运，抓紧戳～！"};

get(331,27) ->
    #language{module_id = 331,id = 27,type = 1,subtype = 10,tip = 0,content = "全民抢红包，<color@2>{1}</color>打开红包，里面居然躺着<a@goods@{2}></a> x{3} ！"};

get(331,28) ->
    #language{module_id = 331,id = 28,type = 1,subtype = 10,tip = 0,content = "本期抢红包活动已结束，敬请期待下期活动^_^"};

get(331,29) ->
    #language{module_id = 331,id = 29,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>在惊喜红包活动中抽中了价值<color@4>{3}</color>彩钻的大红包，真是可喜可贺！"};

get(331,30) ->
    #language{module_id = 331,id = 30,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>在惊喜红包活动中抽中了价值<color@4>{3}</color>彩钻的惊喜红包，真是福星降世！"};

get(331,31) ->
    #language{module_id = 331,id = 31,type = 1,subtype = 10,tip = 0,content = "传闻各地出现<color@3>时空波动</color>，远古魔龙来袭，请勇士们速前往讨伐！<color@1><a@open_fun@331@117>[立即前往]</a></color>"};

get(331,32) ->
    #language{module_id = 331,id = 32,type = 1,subtype = 10,tip = 0,content = "在各方勇士的合力阻击下，<color@5>远古魔龙</color>已被悉数击杀。"};

get(331,33) ->
    #language{module_id = 331,id = 33,type = 1,subtype = 10,tip = 0,content = "勇士<color@2>{1}</color>发现<color@5><a@mon@{2}></a></color>，并率先发动了进攻！"};

get(331,34) ->
    #language{module_id = 331,id = 34,type = 1,subtype = 10,tip = 0,content = "勇士<color@2>{1}</color>在阻击<color@5><a@mon@{2}></a></color>的过程中表现给力，获得伤害排行第<color@2>{3}</color>名！"};

get(331,36) ->
    #language{module_id = 331,id = 36,type = 1,subtype = 10,tip = 0,content = "哇哦！<color@2><a@player@{1}></a></color>在黑白棋抽奖活动中以<color@2>{2}</color>幸运值成功获得<a@goods@{3}></a>！真是令人羡慕！"};

get(331,37) ->
    #language{module_id = 331,id = 37,type = 1,subtype = 10,tip = 0,content = "勇士们合力击杀了<color@5><a@mon@{1}></a></color>，最后一击由<color@2>{2}</color>完成！"};

get(331,38) ->
    #language{module_id = 331,id = 38,type = 1,subtype = 10,tip = 0,content = "<color@2>{1}</color>大手一挥，成功解锁<color@4>宝典·{2}</color>，从此成长快人一步 ！"};

get(331,39) ->
    #language{module_id = 331,id = 39,type = 1,subtype = 10,tip = 0,content = "<color@2>{1}</color>在能量树下发呆，被<a@goods@{2}></a> x{3}砸了个正着～！"};

get(331,40) ->
    #language{module_id = 331,id = 40,type = 1,subtype = 10,tip = 0,content = "<color@2>{1}.{2}</color>在跳一跳中，收获了<a@goods@{3}></a> x{4} ～！"};

get(331,41) ->
    #language{module_id = 331,id = 41,type = 1,subtype = 10,tip = 1,content = "跳一跳活动开启啦，一起来玩呀～！"};

get(331,42) ->
    #language{module_id = 331,id = 42,type = 1,subtype = 10,tip = 1,content = "本期跳一跳活动已结束，敬请期待下期活动^_^"};

get(331,43) ->
    #language{module_id = 331,id = 43,type = 1,subtype = 10,tip = 1,content = "源能转盘转不停，<color@2>{1}</color>运气爆棚，抽中了<a@goods@{2}></a> x{3}！<color@1><a@open_fun@331@11>[我也要转]</a></color>"};

get(331,44) ->
    #language{module_id = 331,id = 44,type = 1,subtype = 10,tip = 1,content = "源能转盘转不停，<color@2>{1}</color>运气爆表，竟抽中了特等奖<a@goods@{2}></a> x{3}！<color@1><a@open_fun@331@11>[我也要转]</a></color>"};

get(331,45) ->
    #language{module_id = 331,id = 45,type = 1,subtype = 10,tip = 1,content = "<color@2>{1}</color>在源樱之礼中祈福得到了极品·<a@goods@{2}></a> x{3}，真是福运绵长！<color@1><a@open_fun@331@20>[前往祈福]</a></color>"};

get(331,46) ->
    #language{module_id = 331,id = 46,type = 1,subtype = 10,tip = 1,content = "<color@2>{1}</color>在源樱之礼中祈福得到了珍稀·<a@goods@{2}></a> x{3}，真是有福之人！<color@1><a@open_fun@331@20>[前往祈福]</a></color>"};

get(331,71) ->
    #language{module_id = 331,id = 71,type = 1,subtype = 10,tip = 1,content = "天道酬勤！动员先锋<color@2>{1}</color>率先达成本期18项全民动员，免费领取了<a@goods@{2}></a>！<a@mobilize></a>"};

get(333,1) ->
    #language{module_id = 333,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@2>{1}</color>在<color@4>{2}</color>中运气爆棚，获得了珍品宝物<a@goods@{3}></a> x{4}，可喜可贺！<a@racerank@333@{5}></a>"};

get(333,2) ->
    #language{module_id = 333,id = 2,type = 1,subtype = 10,tip = 0,content = "有志者事竟成，<color@2>{1}</color>在<color@4>{2}</color>中，领取了积分奖励<a@goods@{3}></a> x{4}，满载而归！<a@racerank@333@{5}></a>"};

get(339,1) ->
    #language{module_id = 339,id = 1,type = 2,subtype = 4,tip = 0,content = "{1}发起了一个<color@1>{2}</color>，大家来抢吧<a@redenvelopes><color@1><抢红包></color></a>"};

get(339,3) ->
    #language{module_id = 339,id = 3,type = 2,subtype = 4,tip = 0,content = "<color@1>{1}</color>凭借单身多年的手速，抢到最多<color@2>{2}</color>绑钻的奖励，真是幸运啊"};

get(400,1) ->
    #language{module_id = 400,id = 1,type = 2,subtype = 4,tip = 0,content = "「<color@2><a@player@{1}@{2}></a></color>」成为社团领袖！真是一位具有领袖气质的成员呢！"};

get(400,2) ->
    #language{module_id = 400,id = 2,type = 2,subtype = 4,tip = 0,content = "「<color@2><a@player@{1}@{2}></a></color>」成为社团团长！希望你能让社团变的更加强大！"};

get(400,3) ->
    #language{module_id = 400,id = 3,type = 2,subtype = 4,tip = 0,content = "「<color@2><a@player@{1}@{2}></a></color>」成为社团副团长！协助团长的重任就交给你了！"};

get(400,4) ->
    #language{module_id = 400,id = 4,type = 2,subtype = 4,tip = 0,content = "「<color@2><a@player@{1}@{2}></a></color>」成为社团理事！真是个明智的选择！"};

get(400,5) ->
    #language{module_id = 400,id = 5,type = 2,subtype = 4,tip = 0,content = "初来乍到，请大佬们多多关照！"};

get(400,7) ->
    #language{module_id = 400,id = 7,type = 1,subtype = 10,tip = 1,content = "哇哦，<color@2><a@player@{1}@{2}></a></color>创建了社团<color@2>{3}</color>。精彩活动，每日社团商品等你来拿！<color@1><a@guild@{4}>[我要加入]</a></color>"};

get(400,8) ->
    #language{module_id = 400,id = 8,type = 3,subtype = 4,tip = 0,content = "获得社团贡献：<color@0>{1}</color>"};

get(400,9) ->
    #language{module_id = 400,id = 9,type = 3,subtype = 4,tip = 0,content = "获得社团资金：<color@0>{1}</color>"};

get(400,10) ->
    #language{module_id = 400,id = 10,type = 1,subtype = 4,tip = 0,content = "社团<color@2>{1}</color>改名为<color@2>{2}</color>，开辟了一片新天地"};

get(400,11) ->
    #language{module_id = 400,id = 11,type = 3,subtype = 4,tip = 0,content = "获得社团成长值：<color@0>{1}</color>"};

get(400,12) ->
    #language{module_id = 400,id = 12,type = 1,subtype = 4,tip = 0,content = "<color@2>[社团晚宴]</color>已经开始，<a@guildScene><color@1>点击前往</color></a>参与活动"};

get(400,13) ->
    #language{module_id = 400,id = 13,type = 2,subtype = 4,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>发布了一个货单，完成可获得<color@3>交易券</color>及<color@2>社团贡献</color>，<color@1><a@open_fun@400@3>前往领取</a></color>"};

get(400,14) ->
    #language{module_id = 400,id = 14,type = 2,subtype = 4,tip = 0,content = "<color@2>[社团晚宴]</color>正在进行中，海量经验等你来拿，<color@2><a@player@{1}@{2}></a></color>正在邀请大家加入！<a@guildScene><color@1>[点击前往]</color></a>"};

get(400,15) ->
    #language{module_id = 400,id = 15,type = 2,subtype = 4,tip = 0,content = "<color@2>[社团晚宴]</color>已经开始，<a@guildScene><color@1>点击前往</color></a>参与活动"};

get(400,16) ->
    #language{module_id = 400,id = 16,type = 2,subtype = 4,tip = 0,content = "<color@2>{1}</color>协助<color@2>{2}</color>完成了拼单<color@2>{3}</color>，真是乐于助人"};

get(400,17) ->
    #language{module_id = 400,id = 17,type = 2,subtype = 4,tip = 0,content = "<color@2>{1}</color>协助<color@2>{2}</color>完成了拼单<color@3>{3}</color>，真是乐于助人"};

get(400,18) ->
    #language{module_id = 400,id = 18,type = 2,subtype = 4,tip = 0,content = "<color@2>{1}</color>协助<color@2>{2}</color>完成了拼单<color@4>{3}</color>，真是乐于助人"};

get(405,1) ->
    #language{module_id = 405,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@2>[本服团战]</color>本服团战一触即发，社团的勇士们赶紧出发吧！<color@1><a@open_fun@405@1>[点击前往]</a></color>"};

get(405,2) ->
    #language{module_id = 405,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@2>[本服团战]</color>本次本服团战中，<color@2>{1}</color>社团奋勇杀敌，一举夺下积分排行第一，成为本次本服团战的明星社团！"};

get(405,3) ->
    #language{module_id = 405,id = 3,type = 2,subtype = 0,tip = 0,content = "想要高级结晶吗？那就来战胜我吧！"};

get(405,4) ->
    #language{module_id = 405,id = 4,type = 2,subtype = 0,tip = 0,content = "啊，我的结晶掉了！，要是运回去就能获得<color=#feb940>巨额积分</color>"};

get(405,5) ->
    #language{module_id = 405,id = 5,type = 1,subtype = 10,tip = 0,content = "<color@2>[本服团战]</color><color@2><a@player@{1}@{2}></a></color>眼疾手快，第一个攻击结晶守卫，获得{3}积分奖励！"};

get(405,6) ->
    #language{module_id = 405,id = 6,type = 1,subtype = 10,tip = 0,content = "<color@2>[本服团战]</color><color@2><a@player@{1}@{2}></a></color>英明神武，成功给予结晶守卫最后一击，获得{3}积分奖励！"};

get(405,7) ->
    #language{module_id = 405,id = 7,type = 1,subtype = 10,tip = 0,content = "<color@2>[本服团战]</color><color@2><a@player@{1}@{2}></a></color>以一当十，完成了<color@5>十连斩</color>！"};

get(405,8) ->
    #language{module_id = 405,id = 8,type = 1,subtype = 10,tip = 0,content = "<color@2>[本服团战]</color><color@2><a@player@{1}@{2}></a></color>所向披靡，完成了<color@5>二十连斩</color>！"};

get(405,9) ->
    #language{module_id = 405,id = 9,type = 1,subtype = 10,tip = 0,content = "<color@2>[本服团战]</color><color@2><a@player@{1}@{2}></a></color>无人能挡，完成了<color@5>五十连斩</color>！"};

get(405,10) ->
    #language{module_id = 405,id = 10,type = 1,subtype = 10,tip = 0,content = "<color@2>[本服团战]</color><color@2><a@player@{1}@{2}></a></color>达成<color@5>百连斩</color>！还有谁能阻止他？"};

get(405,11) ->
    #language{module_id = 405,id = 11,type = 1,subtype = 10,tip = 0,content = "<color@2>[本服团战]</color><color@2><a@player@{1}@{2}></a></color>英勇无畏，终结了<color@2><a@player@{2}></a></color>的<color@5>{3}</color>连斩！"};

get(405,12) ->
    #language{module_id = 405,id = 12,type = 2,subtype = 0,tip = 0,content = "可恶！结晶所剩不多了，让你们尝尝我的厉害！"};

get(405,13) ->
    #language{module_id = 405,id = 13,type = 2,subtype = 0,tip = 0,content = "终究还是败了！我的结晶都给你们"};

get(406,1) ->
    #language{module_id = 406,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@2>[社团幻魔]</color>活动已经开始，请大家前往社团驻地参加，<a@guildScene><color@1>[点击前往]</color></a>"};

get(406,2) ->
    #language{module_id = 406,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@2>[社团幻魔]</color>活动已结束，恭喜社团<color@2>{1}</color>获得本次活动输出排行第一！"};

get(406,3) ->
    #language{module_id = 406,id = 3,type = 1,subtype = 10,tip = 0,content = "<color@2>[社团拍卖]</color>社团拍卖已经开始，请到社团拍卖界面查看"};

get(406,4) ->
    #language{module_id = 406,id = 4,type = 1,subtype = 10,tip = 0,content = "<color@2>[社团幻魔]</color>第五使徒气急败坏，狂撒了一波宝贝企图逃脱！"};

get(406,5) ->
    #language{module_id = 406,id = 5,type = 4,subtype = 0,tip = 0,content = "你们很强，这点奖励就赏给你们吧！"};

get(406,6) ->
    #language{module_id = 406,id = 6,type = 4,subtype = 0,tip = 0,content = "你们让我感受到了一点点吃力！这是你们的赏赐！"};

get(406,7) ->
    #language{module_id = 406,id = 7,type = 4,subtype = 0,tip = 0,content = "可恶！我的宝物都给你们，放过我吧！"};

get(406,8) ->
    #language{module_id = 406,id = 8,type = 2,subtype = 4,tip = 0,content = "<color@2>[社团幻魔]</color>已现身，<color@2><a@player@{1}@{2}></a></color>正在邀请大家一起抵御幻魔入侵！<a@guildScene><color@1>[点击前往]</color></a>"};

get(406,9) ->
    #language{module_id = 406,id = 9,type = 2,subtype = 4,tip = 0,content = "<color@2>[社团幻魔]</color>活动已经开始，请大家前往社团驻地参加，<a@guildScene><color@1>[点击前往]</color></a>"};

get(406,10) ->
    #language{module_id = 406,id = 10,type = 2,subtype = 4,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>在<color@2>[社团幻魔]</color>中以<color@1>{3}</color>点获得<a@goods@{4}></a>，简直锦鲤附身，运气爆炸！"};

get(406,11) ->
    #language{module_id = 406,id = 11,type = 2,subtype = 4,tip = 0,content = "我在<color=#66abff>[社团幻魔]</color>中对<a@goods@{1}></a>掷出了<color=#2cf89a>{2}</color>点（当前最高<color=#2cf89a>{3}</color>点）"};

get(408,1) ->
    #language{module_id = 408,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@2>[封印裂隙]</color>活动已经开始，请到社团驻地参与！<color@1><a@open_fun@408@0>[点击前往]</a></color>"};

get(408,2) ->
    #language{module_id = 408,id = 2,type = 1,subtype = 4,tip = 0,content = "<color@2>[封印裂隙]</color>玩家<a@player@{1}@{2}></a>在封印裂隙时意外召唤出裂隙魔王，协助击败可获得稀有奖励！"};

get(408,3) ->
    #language{module_id = 408,id = 3,type = 1,subtype = 4,tip = 0,content = "<color@2>[封印裂隙]</color>感谢社团成员齐心协力，成功封印了前来进犯的时空魔物！"};

get(408,4) ->
    #language{module_id = 408,id = 4,type = 1,subtype = 4,tip = 0,content = "<color@2>[封印裂隙]</color>活动已经开始，<color@2><a@player@{1}@{2}></a></color>正在邀请大家一起封印！<a@guildScene><color@1>[点击前往]</color></a>"};

get(408,5) ->
    #language{module_id = 408,id = 5,type = 2,subtype = 4,tip = 0,content = "<color@2>[封印裂隙]</color>活动已经开始，请到社团驻地参与！<color@1><a@open_fun@408@0>[点击前往]</a></color>"};

get(410,1) ->
    #language{module_id = 410,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@2>[本国团战]</color>活动已经开启，团员们为社团而战吧！<color@1><a@open_fun@410@1>[点击前往]</a></color>"};

get(410,2) ->
    #language{module_id = 410,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@2>[本国团战]</color>完美落幕，<color@2>{1}</color>社团在此次本国团战中表现优异，成功夺得冠军，即将代表本国出战！"};

get(410,3) ->
    #language{module_id = 410,id = 3,type = 1,subtype = 10,tip = 0,content = "<color@2>[本国团战]</color>采集阶段已经开始，快去收集物资武装自己的社团吧！"};

get(410,4) ->
    #language{module_id = 410,id = 4,type = 1,subtype = 10,tip = 0,content = "<color@2>[本国团战]</color>团战图腾已经出现，攻击图腾争夺最后的胜利！"};

get(410,5) ->
    #language{module_id = 410,id = 5,type = 2,subtype = 4,tip = 0,content = "<color@2>[本国团战]</color>战斗已打响，<color@2><a@player@{1}@{2}></a></color>正在邀请大家加入！<a@guild_csgr_enter@%s></a>"};

get(414,1) ->
    #language{module_id = 414,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>成功完成一次升品之路，获得巨额奖励！<color@1><a@open_fun@414@0>[点击前往]</a></color>"};

get(415,1) ->
    #language{module_id = 415,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@2>狂战领域</color>活动开启了！快前往参与！<color@1> <a@open_fun@415@0>[点击前往]</a></color>"};

get(415,2) ->
    #language{module_id = 415,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@2>狂战领域</color>活动结束了，敬请关注下次活动时间！"};

get(415,3) ->
    #language{module_id = 415,id = 3,type = 1,subtype = 10,tip = 0,content = "经过众人的努力，终于击败了<color@2>机械战士</color>，稍作休息，准备迎战<color@2>时空领主</color>吧！"};

get(415,4) ->
    #language{module_id = 415,id = 4,type = 1,subtype = 10,tip = 0,content = "<color@2>时空领主</color>终于被打败了！s.{1}<color@2><a@guild_base>{2}</a></color>社团获得了本次跨服社团排行第一名，所在区服将获得全服邮件奖励！"};

get(415,5) ->
    #language{module_id = 415,id = 5,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2><a@player@{1}@{2}></a></color>小露神威，完成了 <color@5>二连斩</color> ！"};

get(415,6) ->
    #language{module_id = 415,id = 6,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2><a@player@{1}@{2}></a></color>穷追猛打，完成了 <color@5>五连斩</color> ！"};

get(415,7) ->
    #language{module_id = 415,id = 7,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2><a@player@{1}@{2}></a></color>大显神威，完成了 <color@5>十连斩</color> ！"};

get(415,8) ->
    #language{module_id = 415,id = 8,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2><a@player@{1}@{2}></a></color>浴血奋战，完成了 <color@5>二十连斩</color> ！"};

get(415,9) ->
    #language{module_id = 415,id = 9,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2><a@player@{1}@{2}></a></color>战无不胜，完成了 <color@5>五十连斩</color> ！"};

get(415,10) ->
    #language{module_id = 415,id = 10,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2><a@player@{1}@{2}></a></color>达成<color@5>百连斩</color>！且问谁能与他一战？"};

get(415,11) ->
    #language{module_id = 415,id = 11,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2><a@player@{1}@{2}></a></color>英勇无畏，终结了<color@2><a@player@{3}@{4}></a></color> 的<color@5>{5}</color>连斩！"};

get(415,12) ->
    #language{module_id = 415,id = 12,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2>s{1}.<a@player@{2}@{3}></a></color>小露神威，完成了 <color@5>二连斩</color> ！"};

get(415,13) ->
    #language{module_id = 415,id = 13,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2>s{1}.<a@player@{2}@{3}></a></color>穷追猛打，完成了 <color@5>五连斩</color> ！"};

get(415,14) ->
    #language{module_id = 415,id = 14,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2>s{1}.<a@player@{2}@{3}></a></color>大显神威，完成了 <color@5>十连斩</color> ！"};

get(415,15) ->
    #language{module_id = 415,id = 15,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2>s{1}.<a@player@{2}@{3}></a></color>浴血奋战，完成了 <color@5>二十连斩</color> ！"};

get(415,16) ->
    #language{module_id = 415,id = 16,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2>s{1}.<a@player@{2}@{3}></a></color>战无不胜，完成了 <color@5>五十连斩</color> ！"};

get(415,17) ->
    #language{module_id = 415,id = 17,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2>s{1}.<a@player@{2}@{3}></a></color>达成<color@5>百连斩</color>！且问谁能与他一战？"};

get(415,18) ->
    #language{module_id = 415,id = 18,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2>s{1}.<a@player@{2}@{3}></a></color>英勇无畏，终结了<color@2>s{4}.<a@player@{5}@{6}></a></color>的<color@5>{7}</color>连斩！"};

get(415,19) ->
    #language{module_id = 415,id = 19,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2><a@player@{1}@{2}></a></color>一马当先，拿到了<color@2><a@mon@{3}></a></color>首刀奖励！"};

get(415,20) ->
    #language{module_id = 415,id = 20,type = 1,subtype = 10,tip = 0,content = "<color@2>[狂战领域]</color>玩家<color@2>s{1}.<a@player@{2}@{3}></a></color>一骑绝尘，拿到了<color@2><a@mon@{4}></a></color>首刀奖励！"};

get(415,21) ->
    #language{module_id = 415,id = 21,type = 1,subtype = 10,tip = 0,content = "<color@2>时空领主</color>终于被打败了！恭喜<color@2><a@guild_base>{1}</a></color>社团获得了本服社团排行<color@2>第一名</color>！"};

get(415,22) ->
    #language{module_id = 415,id = 22,type = 1,subtype = 10,tip = 0,content = "恭喜玩家<color@2><a@player@{1}@{2}></a></color>经过不懈努力夺得了本服个人排行榜<color@2>第一名</color>！，"};

get(415,23) ->
    #language{module_id = 415,id = 23,type = 1,subtype = 10,tip = 0,content = "恭喜玩家<color@2>s{1}.<a@player@{2}@{3}></a></color>经过不懈努力夺得了跨服个人排行榜<color@2>第一名</color>！"};

get(416,1) ->
    #language{module_id = 416,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@2>[明日之星]</color>明日之星已经开始，谁是你心中最靓的那个人，快去参与报名吧！<color@1><a@open_fun@416@1>[立即前往]</a></color>"};

get(416,2) ->
    #language{module_id = 416,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@2>[明日之星]</color>大赛进入海选阶段，谁能在人群中脱颖而出，快去参与投票吧！<color@1><a@open_fun@416@3>[立即前往]</a></color>"};

get(416,3) ->
    #language{module_id = 416,id = 3,type = 1,subtype = 10,tip = 0,content = "<color@2>[明日之星]</color>16强已经诞生，为了茫茫人海中脱颖而出的他们，快去参与投票吧！<color@1><a@open_fun@416@3>[立即前往]</a></color>"};

get(416,4) ->
    #language{module_id = 416,id = 4,type = 1,subtype = 10,tip = 0,content = "<color@2>[明日之星]</color>8强已经出现，当真是万千星辉闪亮眼，小伙伴们快去参与投票吧！<color@1><a@open_fun@416@3>[立即前往]</a></color>"};

get(416,5) ->
    #language{module_id = 416,id = 5,type = 1,subtype = 10,tip = 0,content = "<color@2>[明日之星]</color>4强已经决出，距离决赛只有一步之遥，谁能笑到最后，快去参与投票吧！<color@1><a@open_fun@416@3>[立即前往]</a></color>"};

get(416,6) ->
    #language{module_id = 416,id = 6,type = 1,subtype = 10,tip = 0,content = "<color@2>[明日之星]</color>2强已经决出，冠军宝座触手可及，究竟谁能成为山顶上的那个人！<color@1><a@open_fun@416@3>[立即前往]</a></color>"};

get(416,7) ->
    #language{module_id = 416,id = 7,type = 1,subtype = 10,tip = 0,content = "<color@2>[明日之星]</color>恭喜玩家<color@2>s{1}.<a@player@{2}@{3}></a></color>获得本次明日之星最终冠军，闪耀跨服！"};

get(416,8) ->
    #language{module_id = 416,id = 8,type = 1,subtype = 10,tip = 0,content = "<color@2>[明日之星]</color>恭喜玩家<color@2><a@player@{1}@{2}></a></color>获得本次明日之星最终冠军，闪耀全服！"};

get(418,1) ->
    #language{module_id = 418,id = 1,type = 2,subtype = 10,tip = 0,content = "<color@2>[舞池派对]</color>活动即将在<color@0>{1}</color>分钟后开始！"};

get(418,2) ->
    #language{module_id = 418,id = 2,type = 2,subtype = 10,tip = 0,content = "<color@2>[舞池派对]</color>活动开始啦，大家可尽情享受欢乐时光！"};

get(418,3) ->
    #language{module_id = 418,id = 3,type = 1,subtype = 10,tip = 0,content = "<color@2>[舞池派对]</color><color@1><a@player@{1}@{2}></a></color>魅力四射，成为本次舞池派对活动中的<color@3>派对之星</color>！"};

get(418,4) ->
    #language{module_id = 418,id = 4,type = 2,subtype = 10,tip = 0,content = "温馨提示：给其他玩家投票可以获得经验奖励，助Ta成为<color@1>派对之星</color>！"};

get(418,5) ->
    #language{module_id = 418,id = 5,type = 2,subtype = 17,tip = 0,content = "你给<color@2><a@player@{1}@{2}></a></color>玩家投了1票"};

get(418,6) ->
    #language{module_id = 418,id = 6,type = 2,subtype = 17,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>玩家给你投了1票"};

get(418,7) ->
    #language{module_id = 418,id = 7,type = 2,subtype = 17,tip = 0,content = "<color@2><a@player@{1}@{2}></a></color>进入了舞池派对<a@beach_enter_fade></a>"};

get(420,1) ->
    #language{module_id = 420,id = 1,type = 1,subtype = 10,tip = 0,content = "独具慧眼！<color@2><a@player@{1}@{2}></a></color>进行了<color@4>超值投资</color>，获得了明日基金会的<color@4>8倍红钻</color>返利，从此红钻不再愁！<color@1><a@open_fun@420@1>[我也要投资]</a></color>"};

get(420,2) ->
    #language{module_id = 420,id = 2,type = 1,subtype = 10,tip = 1,content = "股神附体！<color@2><a@player@{1}@{2}></a></color>进行了<color@4>豪华投资</color>，获得了明日基金会的<color@4>10倍红钻</color>返利，从此红钻用不完！<color@1><a@open_fun@420@1>[我也要投资]</a></color>"};

get(421,1) ->
    #language{module_id = 421,id = 1,type = 1,subtype = 10,tip = 1,content = "<color@2>[制衣]</color>恭喜玩家<color@2><a@player@{1}@{2}></a></color>通过不懈努力，成功集齐时装套装<color@3>{3}</color>！魅力满分！"};

get(421,2) ->
    #language{module_id = 421,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@2>[制衣]</color>恭喜玩家<color@2><a@player@{1}@{2}></a></color>集齐时装材料，成功打造<a@goods@{3}>！光彩照人~"};

get(424,1) ->
    #language{module_id = 424,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@1>[藏宝图]</color> <color@2>{1}</color>手持普通藏宝图，在某处珍宝遗迹中发掘出了<a@goods@{2}>x{3}</a>！<color@1><a@treasure@1>[宝图活动说明]</a></color>"};

get(424,2) ->
    #language{module_id = 424,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@4>[藏宝图]</color><color@2>{1}</color>跟随高级藏宝图的指引，竟在某处珍宝遗迹中发掘出了<a@goods@{2}>x{3}</a>！<color@1><a@treasure@1>[宝图活动说明]</a></color>"};

get(424,3) ->
    #language{module_id = 424,id = 3,type = 4,subtype = 0,tip = 0,content = "<color@4>[藏宝图]</color><color@2>S{1}.{2}</color>跟随高级藏宝图的指引，竟在举世罕见的珍宝遗迹中发掘出了<a@goods@{3}>x{4}</a>！<color@1><a@treasure@1>[宝图活动说明]</a></color>"};

get(424,4) ->
    #language{module_id = 424,id = 4,type = 1,subtype = 10,tip = 0,content = "<color@1>[藏宝秘闻]</color><color@2>{1}</color>在发掘某处珍宝遗迹时，惊动了传说中的<color@4>宝藏看护者</color>，请尽快前往击杀！<color@1><a@treasure@2@{2}>[立即前往]</a></color>"};

get(424,5) ->
    #language{module_id = 424,id = 5,type = 1,subtype = 10,tip = 0,content = "<color@1>[藏宝秘闻]</color><color@2>{1}</color>在参与击杀<color@4>宝藏看护者</color>的过程，意外拾获<a@goods@{2}>x{3}</a>！<color@1><a@treasure@1>[宝图活动说明]</a></color>"};

get(450,1) ->
    #language{module_id = 450,id = 1,type = 1,subtype = 10,tip = 1,content = "哇呜~！<color@2><a@player@{1}@{2}></a></color>成功晋升<color@4>{3}</color>！享受奢华特权，还有<color@4>专属福利</color>倾情奉上！<color@1><a@open_fun@450@2>[我也要升VIP]</a></color>"};

get(451,1) ->
    #language{module_id = 451,id = 1,type = 1,subtype = 10,tip = 0,content = "恭喜<color@2><a@player@{1}@{2}></a></color>成功<color@3>激活贵族</color>！万千特权集于一身，光芒万丈！<color@1><a@open_fun@451@5>[我也要激活]</a></color>"};

get(451,2) ->
    #language{module_id = 451,id = 2,type = 1,subtype = 10,tip = 1,content = "恭喜<color@2><a@player@{1}@{2}></a></color>成功晋升<color@4>二阶贵族</color>！新增逆天<color@5>点金手</color>特权，彩钻用之不尽！<color@1><a@open_fun@451@5>[我也要成为贵族]</a></color>"};

get(460,1) ->
    #language{module_id = 460,id = 1,type = 1,subtype = 10,tip = 1,content = "<color@2>[赏金幻魔]</color>玩家<color@2><a@player@{1}@{2}></a></color>击败了赏金幻魔<color@2>{3}</color>，获得极品掉落<a@goods@{4}></a>，真是令人羡慕！"};

get(460,2) ->
    #language{module_id = 460,id = 2,type = 1,subtype = 10,tip = 1,content = "<color@2>[赏金幻魔·独享]</color><color@2><a@player@{1}@{2}></a></color>击败了他的独享赏金幻魔<color@2>{3}</color>，获得极品掉落<a@goods@{4}></a>，真是令人羡慕！"};

get(460,3) ->
    #language{module_id = 460,id = 3,type = 1,subtype = 10,tip = 0,content = "<color@2>[赏金幻魔]</color><color@5>{1}</color>已经苏醒，勇敢的冒险家们赶紧去讨伐吧！<color@1><a@open_fun@460@3@{2}>[立即前往]</a></color>"};

get(460,6) ->
    #language{module_id = 460,id = 6,type = 2,subtype = 10,tip = 1,content = "<color@2>[赏金幻魔]</color><color@2><a@player@{1}@{2}></a></color>在与赏金幻魔<color@2>{3}</color>的战斗中输出排名第1，获得额外奖励！"};

get(460,7) ->
    #language{module_id = 460,id = 7,type = 2,subtype = 10,tip = 1,content = "<color@2>[赏金幻魔]</color><color@2><a@player@{1}@{2}></a></color>和他的小伙伴们在与赏金幻魔<color@2>{3}</color>的战斗中输出排名第1，获得额外奖励！"};

get(460,10) ->
    #language{module_id = 460,id = 10,type = 2,subtype = 10,tip = 1,content = "<color@2>[赏金幻魔]</color>哦豁，<color@2><a@player@{1}@{2}></a></color>击败赏金幻魔时，额外获得了<a@goods@{3}></a>，真是令人羡慕！"};

get(460,11) ->
    #language{module_id = 460,id = 11,type = 1,subtype = 10,tip = 1,content = "<color@2>[专属幻魔]</color><color@2><a@player@{1}@{2}></a></color>击败专属幻魔<color@2>{3}</color>，获得极品掉落<a@goods@{4}></a>！"};

get(461,1) ->
    #language{module_id = 461,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@2>[星域幻魔]</color><color@5>{1}</color>已经苏醒，勇敢的冒险家们赶紧去讨伐吧！<color@1><a@open_fun@461@0@{2}>[立即前往]</a></color>"};

get(461,2) ->
    #language{module_id = 461,id = 2,type = 2,subtype = 10,tip = 1,content = "<color@2>[星域幻魔]</color><color@2><a@player@{1}@{2}></a></color>的队伍在与星域幻魔<color@2>{3}</color>的战斗中输出排名第1，获得掉落归属！"};

get(461,3) ->
    #language{module_id = 461,id = 3,type = 1,subtype = 10,tip = 0,content = "<color@2>[星域幻魔]</color>玩家<color@2><a@player@{1}@{2}></a></color>击败了星域幻魔<color@2>{3}</color>，获得极品掉落<a@goods@{4}></a>，真是令人羡慕！"};

get(461,4) ->
    #language{module_id = 461,id = 4,type = 2,subtype = 10,tip = 1,content = "<color@2>[星域幻魔]</color>玩家<color@2>s{1}.<a@player@{2}@{3}></a></color>的队伍在与星域幻魔<color@2>{4}</color>的战斗中输出排名第1，获得掉落归属！"};

get(461,5) ->
    #language{module_id = 461,id = 5,type = 1,subtype = 10,tip = 0,content = "<color@2>[星域幻魔]</color>玩家<color@2>s{1}.<a@player@{2}@{3}></a></color>击败了星域幻魔<color@2>{4}</color>，获得极品掉落<a@goods@{5}></a>，真是令人羡慕！"};

get(461,6) ->
    #language{module_id = 461,id = 6,type = 2,subtype = 10,tip = 1,content = "<color@2>[星域幻魔]</color>玩家<color@2>s{1}.<a@player@{2}@{3}></a></color>在探索星域时被<color@2>s{4}.<a@player@{5}@{6}></a></color>击杀！星域危险重重，大家务必小心！"};

get(461,7) ->
    #language{module_id = 461,id = 7,type = 1,subtype = 10,tip = 1,content = "<color@2>[星域幻魔·独享]</color><color@2><a@player@{1}@{2}></a></color>击败了他的独享星域幻魔<color@2>{3}</color>，获得极品掉落<a@goods@{4}></a>，真是令人羡慕！"};

get(462,1) ->
    #language{module_id = 462,id = 1,type = 1,subtype = 10,tip = 1,content = "<color@2>[幻魔之家]</color>玩家<color@2><a@player@{1}@{2}></a></color>击败了<color@2>{3}</color>，获得极品掉落<a@goods@{4}></a>，真是令人羡慕！"};

get(462,2) ->
    #language{module_id = 462,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@2>[幻魔之家]</color><color@5>{1}</color>已经苏醒，勇敢的冒险家们赶紧去讨伐吧！<color@1><a@open_fun@462@0@{2}>[立即前往]</a></color>"};

get(500,1) ->
    #language{module_id = 500,id = 1,type = 1,subtype = 10,tip = 1,content = "<color@2>[双倍外送]</color>活动开始啦，现在进行外送任务可得<color@2>双倍</color>奖励，机不可失！<color@1><a@open_fun@500@0>[立即前往]</a></color>"};

get(500,2) ->
    #language{module_id = 500,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@2>[米团外送]</color>天降大任，恭喜<color@2><a@player@{1}@{2}></a></color>在米团外送平台中接受了<color@4>豪华外送</color>任务！奖励丰厚！"};

get(600,1) ->
    #language{module_id = 600,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@2>[无尽领域]</color>神秘境地，无尽领域已开！请诸位大人速速前往！<color@1><a@open_fun@600@2>[立即前往]</a></color>"};

get(600,2) ->
    #language{module_id = 600,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@2>[无尽领域]</color>活动已结束，敬请关注下次活动时间！"};

get(600,3) ->
    #language{module_id = 600,id = 3,type = 1,subtype = 10,tip = 0,content = "<color@2>[无尽领域]</color><color@2>s{1}.<a@player@{2}@{3}></a></color>乘胜突进，完成了双胜！"};

get(600,4) ->
    #language{module_id = 600,id = 4,type = 1,subtype = 10,tip = 0,content = "<color@2>[无尽领域]</color><color@2>s{1}.<a@player@{2}@{3}></a></color> 挽剑成花，完成了五连斩！"};

get(600,5) ->
    #language{module_id = 600,id = 5,type = 1,subtype = 10,tip = 0,content = "<color@2>[无尽领域]</color><color@2>s{1}.<a@player@{2}@{3}></a></color>刺剑如雨，完成了<color@5>十连斩</color>！"};

get(600,6) ->
    #language{module_id = 600,id = 6,type = 1,subtype = 10,tip = 0,content = "<color@2>[无尽领域]</color><color@2>s{1}.<a@player@{2}@{3}></a></color>恍如剑神临世，完成了<color@5>二十连斩</color>！"};

get(600,7) ->
    #language{module_id = 600,id = 7,type = 1,subtype = 10,tip = 0,content = "<color@2>[无尽领域]</color><color@2>s{1}.<a@player@{2}@{3}></a></color>秒胜天地，<color@3>第1个</color>登上第九领域，夺取神秘珍宝！"};

get(600,8) ->
    #language{module_id = 600,id = 8,type = 1,subtype = 10,tip = 0,content = "<color@2>[无尽领域]</color><color@2>s{1}.<a@player@{2}@{3}></a></color>横扫千军，<color@3>第2个</color>登上第九领域，夺取无双秘宝！"};

get(600,9) ->
    #language{module_id = 600,id = 9,type = 1,subtype = 10,tip = 0,content = "<color@2>[无尽领域]</color><color@2>s{1}.<a@player@{2}@{3}></a></color>力克众将，<color@3>第3个</color>登上秘境之巅，夺取豪华秘宝！"};

get(600,11) ->
    #language{module_id = 600,id = 11,type = 1,subtype = 10,tip = 0,content = "<color@2>[无尽领域]</color><color@2>s{1}.<a@player@{2}@{3}></a></color>聚拢心神，万剑归一，完成了<color@2>五十连斩</color>！"};

get(600,12) ->
    #language{module_id = 600,id = 12,type = 1,subtype = 10,tip = 0,content = "<color@2>[无尽领域]</color><color@2>s{1}.<a@player@{2}@{3}></a></color>完成了<color@5>百连斩</color>！赶快来人收了这个妖孽！"};

get(600,13) ->
    #language{module_id = 600,id = 13,type = 1,subtype = 10,tip = 0,content = "<color@2>[无尽领域]</color>一道七彩光华闪过，大量<color@1>领域结晶</color>从天而降落在了第九领域中央！！"};

get(600,14) ->
    #language{module_id = 600,id = 14,type = 1,subtype = 10,tip = 0,content = "<color@2>[无尽领域]</color><color@2><a@player@{1}@{2}></a></color>英勇无畏，终结了<color@2><a@player@{3}@{4}></a></color>的<color@5>{5}</color>连斩！"};

get(600,15) ->
    #language{module_id = 600,id = 15,type = 1,subtype = 10,tip = 0,content = "<color@2>[无尽领域]</color><color@2><a@player@{1}@{2}></a></color>眼疾手快，成功采集第九领域秘宝！"};

get(601,1) ->
    #language{module_id = 601,id = 1,type = 1,subtype = 10,tip = 0,content = "跨国团战盛况空前，<color@2>s{1}.{2}</color>社团所属国家的<color@2>{3}</color>身手矫健，带领全会成员成功攻下<color@1>{4}{5}</color>！"};

get(601,2) ->
    #language{module_id = 601,id = 2,type = 1,subtype = 10,tip = 0,content = "百战沙场碎铁衣，匣里金刀血未干。经过激烈的战斗，本次跨国团战最终由<color@2>s{1}.{2}</color>社团及其国家高手拿下<color@1>{3}{4}</color>，一举归心！"};

get(601,3) ->
    #language{module_id = 601,id = 3,type = 1,subtype = 10,tip = 0,content = "跨国团战的<color@1>社团应援</color>已经开启，快来为你青睐的社团贡献一份力吧，还有丰厚大礼等你拿哦~"};

get(601,4) ->
    #language{module_id = 601,id = 4,type = 1,subtype = 10,tip = 0,content = "万众瞩目的<color@1>跨国团战</color>现已开启，代表各个国家的强者现在可以进场为荣耀厮杀了！"};

get(601,5) ->
    #language{module_id = 601,id = 5,type = 1,subtype = 10,tip = 0,content = "社团剑锋所指，即为我们心之所向。感谢<color@2>{1}</color>的无私应援！"};

get(601,6) ->
    #language{module_id = 601,id = 6,type = 1,subtype = 4,tip = 0,content = "十万火急，我方所占领的<color@1>{1}</color>正在受到其他国家成员围攻！"};

get(602,1) ->
    #language{module_id = 602,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@2>[饥饿游戏]</color>活动开启了！绝地求生，谁能站到最后！<a@open_fun@602@0>[点击前往]</a>"};

get(602,2) ->
    #language{module_id = 602,id = 2,type = 1,subtype = 10,tip = 0,content = "<color@2>[饥饿游戏]</color>已经结束，玩家<color@2>s{1}.{2}</color>披荆斩棘，成功获得<color@2>{3}</color>战场积分排行第一！"};

get(602,3) ->
    #language{module_id = 602,id = 3,type = 1,subtype = 10,tip = 0,content = "<color@2>[饥饿游戏]</color><color@2><a@player@{1}@{2}></a></color>以一当十，完成了<color@5>十连斩</color>！"};

get(602,4) ->
    #language{module_id = 602,id = 4,type = 1,subtype = 10,tip = 0,content = "<color@2>[饥饿游戏]</color><color@2><a@player@{1}@{2}></a></color>所向披靡，完成了<color@5>二十连斩</color>！"};

get(602,5) ->
    #language{module_id = 602,id = 5,type = 1,subtype = 10,tip = 0,content = "<color@2>[饥饿游戏]</color><color@2><a@player@{1}@{2}></a></color>无人能挡，完成了<color@5>五十连斩</color>！"};

get(602,6) ->
    #language{module_id = 602,id = 6,type = 1,subtype = 10,tip = 0,content = "<color@2>[饥饿游戏]</color><color@2><a@player@{1}@{2}></a></color>达成<color@5>百连斩</color>！还有谁能阻止他？"};

get(602,7) ->
    #language{module_id = 602,id = 7,type = 1,subtype = 10,tip = 0,content = "<color@2>[饥饿游戏]</color><color@2><a@player@{1}@{2}></a></color>英勇无畏，终结了<color@2><a@player@{3}@{4}></a></color>的<color@5>{5}</color>连斩！"};

get(602,8) ->
    #language{module_id = 602,id = 8,type = 1,subtype = 10,tip = 0,content = "<color@2>[饥饿游戏]</color><color@2>战场结晶</color>已经刷新，成功采集可获得大量积分！"};

get(604,1) ->
    #language{module_id = 604,id = 1,type = 1,subtype = 10,tip = 1,content = "<color@2>[跨国团战]</color>未知星域争霸之旅，<color@4>星域争霸</color>已开放，探索未知之地，为国而战！<color@1><a@open_fun@604@0>[点击前往]</a></color>"};

get(604,2) ->
    #language{module_id = 604,id = 2,type = 1,subtype = 13,tip = 1,content = "<color@2>[星域争霸]</color>星域速报：国家 <color@3>[{1}]</color> 已完成对据点 <color@1>[{2}] </color>的占领"};

get(604,3) ->
    #language{module_id = 604,id = 3,type = 1,subtype = 10,tip = 0,content = "<color@2>[跨国团战]</color>玩家<color@2><a@player@{1}></a></color>在对<color@1>{2}</color>的探索中，贡献卓越，获得大量战功！"};

get(610,1) ->
    #language{module_id = 610,id = 1,type = 1,subtype = 10,tip = 0,content = "<color@1><a@player@{1}@{2}></a></color>在{3}副本中获得极品装备<a@goods3@{4}@{5}@{6}></a>，缘分到了一切都是这么简单~"};

get(610,2) ->
    #language{module_id = 610,id = 2,type = 1,subtype = 10,tip = 0,content = "玩家<color@1>{1}</color>在开启<color@3>水晶宝藏</color>时，金光一闪，获得了稀有奖励<a@goods5@{2}></a>！"};

get(610,3) ->
    #language{module_id = 610,id = 3,type = 4,subtype = 0,tip = 0,content = "小心，他们在血量较低时会进入<color@5>无敌</color>，只有同时削弱才能解除"};

get(610,4) ->
    #language{module_id = 610,id = 4,type = 4,subtype = 0,tip = 0,content = "有只怪物无敌了，快<color@1>转移目标</color>"};

get(610,5) ->
    #language{module_id = 610,id = 5,type = 4,subtype = 0,tip = 0,content = "嘿嘿嘿，只要我们还有一个血量<color@4>高于10%</color>，你就打不死我们！"};

get(610,6) ->
    #language{module_id = 610,id = 6,type = 4,subtype = 0,tip = 0,content = "<color@1>无敌解除啦！</color>趁现在，快击败他们"};

get(610,7) ->
    #language{module_id = 610,id = 7,type = 1,subtype = 10,tip = 0,content = "<color@2>[守卫幼宠]</color><color@2><a@player@{1}@{2}></a></color>大展拳脚，成功夺得守卫幼宠排行榜第<color@4>{3}</color>名"};

get(610,8) ->
    #language{module_id = 610,id = 8,type = 1,subtype = 10,tip = 0,content = "<color@2>[未来神域]</color><color@2><a@player@{1}@{2}></a></color>凭借绝对实力，成功夺取唤神榜第<color@4>{3}</color>名！"};

get(610,9) ->
    #language{module_id = 610,id = 9,type = 2,subtype = 10,tip = 1,content = "<color@2>[无尽回廊]</color><color@2><a@player@{1}@{2}></a></color>百炼成钢，成功通关无尽回廊普通难度<color@4>{3}</color>！"};

get(610,10) ->
    #language{module_id = 610,id = 10,type = 2,subtype = 10,tip = 1,content = "<color@2>[无尽回廊]</color><color@2><a@player@{1}@{2}></a></color>百炼成钢，成功通关无尽回廊困难难度<color@4>{3}</color>！"};

get(_Moduleid,_Id) ->
    [].

