%%%---------------------------------------
%%% module      : data_login_reward
%%% description : 七天登录配置
%%%
%%%---------------------------------------
-module(data_login_reward).
-compile(export_all).
-include("login_reward.hrl").



get_login_reward_day_con(1) ->
    #login_reward_day_con{day_id = 1,name = "战魂抽奖@首日送奖券",reward_list = [{0,102305,1},{0,101014,10},{0,230001,5},{0,101015,10}],extra_reward_type = 1,extra_reward = [],resource_id = [{show,2,1701,1005013}],show_type = 2};

get_login_reward_day_con(2) ->
    #login_reward_day_con{day_id = 2,name = "火箭坐骑@次日送坐骑",reward_list = [{0,401005,30},{0,450060,1},{0,230002,5},{0,101015,10}],extra_reward_type = 1,extra_reward = [],resource_id = [{show,2,1001,1015}],show_type = 2};

get_login_reward_day_con(3) ->
    #login_reward_day_con{day_id = 3,name = "定身战锤@三日送神技",reward_list = [{0,406004,1},{0,102604,2},{0,230004,5},{0,101015,10},{0,102099,1}],extra_reward_type = 1,extra_reward = [],resource_id = [{show,2,1301,1009}],show_type = 2};

get_login_reward_day_con(4) ->
    #login_reward_day_con{day_id = 4,name = "定制称号@四日送称号",reward_list = [{0,430101,1},{0,102607,2},{0,230003,5},{0,101015,10}],extra_reward_type = 1,extra_reward = [],resource_id = [{show,3,1,430101}],show_type = 3};

get_login_reward_day_con(5) ->
    #login_reward_day_con{day_id = 5,name = "双生冰狐@五日送幻光",reward_list = [{0,406005,1},{0,450060,1},{0,230010,8},{0,101015,10},{0,102099,1}],extra_reward_type = 1,extra_reward = [],resource_id = [{show,2,1301,1008}],show_type = 2};

get_login_reward_day_con(6) ->
    #login_reward_day_con{day_id = 6,name = "元气头饰@六日送头饰",reward_list = [{0,413011,1},{0,450060,2},{0,230012,8},{0,101015,10}],extra_reward_type = 1,extra_reward = [],resource_id = [{icon_6}],show_type = 1};

get_login_reward_day_con(7) ->
    #login_reward_day_con{day_id = 7,name = "SR萌宠@七日送宠物",reward_list = [{0,250004,10},{0,450060,3},{0,230016,10},{0,101015,10}],extra_reward_type = 1,extra_reward = [],resource_id = [{show,2,1201,1033}],show_type = 2};

get_login_reward_day_con(_Dayid) ->
    [].

get_login_reward_day_list() ->
    [1,2,3,4,5,6,7].

