%%%---------------------------------------
%%% module      : data_module_advance
%%% description : 功能预告配置
%%%
%%%---------------------------------------
-module(data_module_advance).
-compile(export_all).
-include("module_advance.hrl").



get_module_advance_cfg(1) ->
    #base_module_advance{id = 1,index = 1,name = "幻光",dynamic_resource = "0",icon = "0",condition = [11,10110],con_desc = "11级主线任务开启",func_desc = "最靓的崽，走出拉风的特效~",jump = "{147,0}",reward = [{2,100001,10}],model_res = "{1301,1009}",open_day = 0,title_pic = "title_hg"};

get_module_advance_cfg(2) ->
    #base_module_advance{id = 2,index = 2,name = "座驾",dynamic_resource = "0",icon = "0",condition = [21,10200],con_desc = "21级主线任务开启",func_desc = "心情不好？那就一起兜风去！",jump = "{146,1}",reward = [{2,100001,10}],model_res = "{1001,1000}",open_day = 0,title_pic = "title_zj"};

get_module_advance_cfg(3) ->
    #base_module_advance{id = 3,index = 3,name = "武器",dynamic_resource = "0",icon = "0",condition = [36,10360],con_desc = "36级主线任务开启",func_desc = "进攻的依仗，自由的决心！",jump = "{146,4}",reward = [{2,100001,10}],model_res = "{1004,1}",open_day = 0,title_pic = "title_wq"};

get_module_advance_cfg(5) ->
    #base_module_advance{id = 5,index = 5,name = "宝具",dynamic_resource = "0",icon = "0",condition = [45,10520],con_desc = "45级主线任务开启",func_desc = "宝具有灵，寻觅良主~",jump = "{146,3}",reward = [{2,100001,10}],model_res = "{1003,1003}",open_day = 0,title_pic = "title_bj"};

get_module_advance_cfg(7) ->
    #base_module_advance{id = 7,index = 7,name = "AI娘",dynamic_resource = "0",icon = "0",condition = [82,10780],con_desc = "82级主线任务开启",func_desc = "主人，冒险之路请带上我！",jump = "{146,5}",reward = [{2,100001,10}],model_res = "{1005,1007}",open_day = 0,title_pic = "title_AI"};

get_module_advance_cfg(8) ->
    #base_module_advance{id = 8,index = 8,name = "装备",dynamic_resource = "0",icon = "0",condition = [88,10960],con_desc = "88级主线任务开启",func_desc = "叠最厚的盾，挨最毒的打！",jump = "{152,1}",reward = [{2,100001,10}],model_res = "{1401,1003}",open_day = 0,title_pic = "title_zb"};

get_module_advance_cfg(9) ->
    #base_module_advance{id = 9,index = 9,name = "战魂",dynamic_resource = "0",icon = "0",condition = [105,11350],con_desc = "105级主线任务开启",func_desc = "信不信我能召唤神龙！",jump = "{143,1}",reward = [{2,100001,10}],model_res = "{1701,1005}",open_day = 0,title_pic = "title_ky"};

get_module_advance_cfg(11) ->
    #base_module_advance{id = 11,index = 11,name = "社团",dynamic_resource = "0",icon = "5",condition = [85,10840],con_desc = "85级主线任务开启",func_desc = "我们是战友，但也是朋友！",jump = "{400,0}",reward = [{2,100001,10}],model_res = "0",open_day = 0,title_pic = "title_st"};

get_module_advance_cfg(15) ->
    #base_module_advance{id = 15,index = 16,name = "赏金幻魔",dynamic_resource = "0",icon = "0",condition = [100,11250],con_desc = "100主线任务开启",func_desc = "装备道具爆一地，说不定有极品哦~",jump = "{460,3}",reward = [{2,100001,10}],model_res = "{1101,12020011}",open_day = 0,title_pic = "title_hmwf"};

get_module_advance_cfg(16) ->
    #base_module_advance{id = 16,index = 17,name = "拍卖所",dynamic_resource = "0",icon = "11",condition = [100,0],con_desc = "100级开启",func_desc = "摆摊赚钱，扫货提升，全身极品不是梦！",jump = "{155,1}",reward = [{2,100001,10}],model_res = "0",open_day = 0,title_pic = "title_jysc"};

get_module_advance_cfg(17) ->
    #base_module_advance{id = 17,index = 19,name = "珍宝",dynamic_resource = "0",icon = "0",condition = [85,10830],con_desc = "85级主线开启",func_desc = "财富和战力的象征，不一样的外观~",jump = "{146,9}",reward = [{2,100001,10}],model_res = "{1003,1018}",open_day = 0,title_pic = "title_zb17"};

get_module_advance_cfg(18) ->
    #base_module_advance{id = 18,index = 18,name = "炫翼",dynamic_resource = "0",icon = "0",condition = [110,11425],con_desc = "110级主线任务开启",func_desc = "每个人都一颗想要翱翔的心~",jump = "{146,2}",reward = [{2,100001,10}],model_res = "{1002,1000}",open_day = 0,title_pic = "title_xy18"};

get_module_advance_cfg(19) ->
    #base_module_advance{id = 19,index = 20,name = "二代装备",dynamic_resource = "0",icon = "0",condition = [130,5],con_desc = "130级一转任务开启",func_desc = "提升自我，潜力扩展，二代装备解锁！",jump = "{150,1}",reward = [{2,100001,10}],model_res = "{1401,1003}",open_day = 0,title_pic = "title_edzb"};

get_module_advance_cfg(20) ->
    #base_module_advance{id = 20,index = 21,name = "羁绊",dynamic_resource = "0",icon = "14",condition = [120,0],con_desc = "开服2天120级开启",func_desc = "我们的友谊将被世界祝福~",jump = "{149,0}",reward = [{2,100001,10}],model_res = "0",open_day = 2,title_pic = "title_jb20"};

get_module_advance_cfg(21) ->
    #base_module_advance{id = 21,index = 26,name = "宝宝",dynamic_resource = "0",icon = "0",condition = [160,2060001],con_desc = "开服4天160级开启",func_desc = "宝宝战斗起来可是很凶的哦~",jump = "{165,1}",reward = [{2,100001,10}],model_res = "{1601,1021}",open_day = 4,title_pic = "title_bb21"};

get_module_advance_cfg(22) ->
    #base_module_advance{id = 22,index = 22,name = "磁炮",dynamic_resource = "0",icon = "0",condition = [150,11700],con_desc = "150级主线任务开启",func_desc = "AI娘的武器，果然很高科技呢~",jump = "{146,6}",reward = [{2,100001,10}],model_res = "{1006,1005}",open_day = 0,title_pic = "title_cp22"};

get_module_advance_cfg(23) ->
    #base_module_advance{id = 23,index = 23,name = "宠物",dynamic_resource = "0",icon = "0",condition = [145,2060020],con_desc = "开服4天145级开启",func_desc = "个头不大，实力不小，还能进化！",jump = "{163,1}",reward = [{2,100001,10}],model_res = "{1201,1043}",open_day = 4,title_pic = "title_cw23"};

get_module_advance_cfg(24) ->
    #base_module_advance{id = 24,index = 25,name = "星翼",dynamic_resource = "0",icon = "0",condition = [220,12260],con_desc = "220级主线任务开启",func_desc = "有翅膀的AI娘更好看了~",jump = "{146,7}",reward = [{2,100001,10}],model_res = "{1007,1005}",open_day = 0,title_pic = "title_xy24"};

get_module_advance_cfg(25) ->
    #base_module_advance{id = 25,index = 27,name = "红装",dynamic_resource = "0",icon = "15",condition = [180,2060030],con_desc = "开服5天180级开启",func_desc = "装备诞灵，进化红装，爆强！",jump = "{152,5}",reward = [{2,100001,10}],model_res = "0",open_day = 5,title_pic = "title_ql25"};

get_module_advance_cfg(26) ->
    #base_module_advance{id = 26,index = 24,name = "幻甲",dynamic_resource = "0",icon = "0",condition = [180,11940],con_desc = "180级主线任务开启",func_desc = "AI娘，防御状态转化，战斗力提升~",jump = "{146,8}",reward = [{2,100001,10}],model_res = "{1008,1001}",open_day = 0,title_pic = "title_hj26"};

get_module_advance_cfg(27) ->
    #base_module_advance{id = 27,index = 28,name = "三代装备",dynamic_resource = "0",icon = "0",condition = [230,10],con_desc = "230级二转任务开启",func_desc = "提升自我，潜力扩展，三代装备解锁！",jump = "{150,1}",reward = [{2,100001,10}],model_res = "{1401,1003}",open_day = 0,title_pic = "title_sdzb27"};

get_module_advance_cfg(28) ->
    #base_module_advance{id = 28,index = 30,name = "四代装备",dynamic_resource = "0",icon = "0",condition = [320,15],con_desc = "320级三转任务开启",func_desc = "提升自我，潜力扩展，四代装备解锁！",jump = "{150,1}",reward = [{2,100001,10}],model_res = "{1401,1003}",open_day = 0,title_pic = "title_sdzb28"};

get_module_advance_cfg(29) ->
    #base_module_advance{id = 29,index = 32,name = "五代装备",dynamic_resource = "0",icon = "0",condition = [420,20],con_desc = "420级四转任务开启",func_desc = "提升自我，潜力扩展，五代装备解锁！",jump = "{150,1}",reward = [{2,100001,10}],model_res = "{1401,1003}",open_day = 0,title_pic = "title_wdzb29"};

get_module_advance_cfg(30) ->
    #base_module_advance{id = 30,index = 33,name = "六代装备",dynamic_resource = "0",icon = "0",condition = [520,25],con_desc = "520级五转任务开启",func_desc = "提升自我，潜力扩展，六代装备解锁！",jump = "{150,1}",reward = [{2,100001,10}],model_res = "{1401,1003}",open_day = 0,title_pic = "title_ldzb30"};

get_module_advance_cfg(31) ->
    #base_module_advance{id = 31,index = 12,name = "专属幻魔",dynamic_resource = "0",icon = "0",condition = [90,11050],con_desc = "90级主线任务开启",func_desc = "装备道具爆一地，说不定有极品哦~",jump = "{460,1}",reward = [{2,100001,10}],model_res = "{1101,12030011}",open_day = 0,title_pic = "title_grhm"};

get_module_advance_cfg(32) ->
    #base_module_advance{id = 32,index = 29,name = "圣物",dynamic_resource = "0",icon = "0",condition = [200,2070001],con_desc = "开服8天200级开启",func_desc = "圣物装备，突破极限，集齐圣物解锁光环！",jump = "{139,1}",reward = [{2,100001,10}],model_res = "{1010,3}",open_day = 8,title_pic = "title_lnzb32"};

get_module_advance_cfg(33) ->
    #base_module_advance{id = 33,index = 31,name = "神座",dynamic_resource = "0",icon = "0",condition = [260,2080001],con_desc = "开服16天260级开启",func_desc = "掌控神的力量，神即是我，我即是神！",jump = "{173,1}",reward = [{2,100001,10}],model_res = "{1011,1000}",open_day = 16,title_pic = "title_hs33"};

get_module_advance_cfg(36) ->
    #base_module_advance{id = 36,index = 36,name = "星核",dynamic_resource = "0",icon = "0",condition = [380,2090001],con_desc = "开服30天380级开启",func_desc = "宇宙洪荒，力量的精粹全在这一颗颗星辰中！",jump = "{148,1}",reward = [{2,100001,10}],model_res = "{1009,2000}",open_day = 30,title_pic = "title_xc36"};

get_module_advance_cfg(37) ->
    #base_module_advance{id = 37,index = 37,name = "星域幻魔",dynamic_resource = "0",icon = "0",condition = [180,0],con_desc = "第5天180级开启",func_desc = "高玩必争之地，大量资源等你来抢~",jump = "{461,0}",reward = [{2,100001,10}],model_res = "{1101,18010003}",open_day = 5,title_pic = "title_xyhm"};

get_module_advance_cfg(38) ->
    #base_module_advance{id = 38,index = 38,name = "幻光副本",dynamic_resource = "0",icon = "38",condition = [125,0],con_desc = "开服2天125级开启",func_desc = "想要幻光更加强力吗？来这里就对了！",jump = "{610,7}",reward = [{2,100001,10}],model_res = "0",open_day = 0,title_pic = "title_hgfb"};

get_module_advance_cfg(41) ->
    #base_module_advance{id = 41,index = 41,name = "跨服星域",dynamic_resource = "0",icon = "41",condition = [200,0],con_desc = "开服7天200级开启",func_desc = "国家纷争，群雄并起，一起来征战天下！",jump = "{603,0}",reward = [{2,100001,10}],model_res = "0",open_day = 7,title_pic = "title_kfxy"};

get_module_advance_cfg(42) ->
    #base_module_advance{id = 42,index = 42,name = "转职·一转",dynamic_resource = "0",icon = "42",condition = [118,0],con_desc = "118级开启",func_desc = "完成一转考核可以解锁二代装备穿戴哦！",jump = "{164,1}",reward = [{2,100001,10}],model_res = "0",open_day = 0,title_pic = "title_1zkh"};

get_module_advance_cfg(43) ->
    #base_module_advance{id = 43,index = 43,name = "转职·二转",dynamic_resource = "0",icon = "43",condition = [218,0],con_desc = "218级开启",func_desc = "完成二转考核可以解锁三代装备穿戴哦！",jump = "{164,2}",reward = [{2,100001,10}],model_res = "0",open_day = 0,title_pic = "title_2zkh"};

get_module_advance_cfg(44) ->
    #base_module_advance{id = 44,index = 44,name = "转职·三转",dynamic_resource = "0",icon = "44",condition = [310,0],con_desc = "310级开启",func_desc = "完成三转考核可以解锁四代装备穿戴哦！",jump = "{164,3}",reward = [{2,100001,10}],model_res = "0",open_day = 0,title_pic = "title_3zkh"};

get_module_advance_cfg(45) ->
    #base_module_advance{id = 45,index = 45,name = "转职·四转",dynamic_resource = "0",icon = "45",condition = [410,0],con_desc = "410级开启",func_desc = "完成四转考核可以解锁五代装备穿戴哦！",jump = "{164,4}",reward = [{2,100001,10}],model_res = "0",open_day = 0,title_pic = "title_4zkh"};

get_module_advance_cfg(46) ->
    #base_module_advance{id = 46,index = 46,name = "转职·五转",dynamic_resource = "0",icon = "46",condition = [510,0],con_desc = "510级开启",func_desc = "完成五转考核可以解锁六代装备穿戴哦！",jump = "{164,5}",reward = [{2,100001,10}],model_res = "0",open_day = 0,title_pic = "title_5zkh"};

get_module_advance_cfg(47) ->
    #base_module_advance{id = 47,index = 47,name = "龙神宝库",dynamic_resource = "0",icon = "0",condition = [105,11350],con_desc = "105级主线任务开启",func_desc = "召唤龙神战斗吧，驭龙的少年！",jump = "{170,0}",reward = [{2,100001,10}],model_res = "{1001,1022}",open_day = 0,title_pic = "title_lsbk"};

get_module_advance_cfg(49) ->
    #base_module_advance{id = 49,index = 49,name = "制衣",dynamic_resource = "0",icon = "49",condition = [140,2060040],con_desc = "开服3天140级开启",func_desc = "百种时装，强力套装，随心制作！",jump = "{421,1}",reward = [{2,100001,10}],model_res = "0",open_day = 0,title_pic = "title_zy"};

get_module_advance_cfg(_Id) ->
    [].

get_all_module_ids() ->
    [1,2,3,5,7,8,9,11,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,36,37,38,41,42,43,44,45,46,47,49].


get_func_id_by_con(5) ->
    [19];


get_func_id_by_con(10) ->
    [27];


get_func_id_by_con(11) ->
    [1];


get_func_id_by_con(15) ->
    [28];


get_func_id_by_con(20) ->
    [29];


get_func_id_by_con(21) ->
    [2];


get_func_id_by_con(25) ->
    [30];


get_func_id_by_con(36) ->
    [3];


get_func_id_by_con(45) ->
    [5];


get_func_id_by_con(82) ->
    [7];


get_func_id_by_con(85) ->
    [11,17];


get_func_id_by_con(88) ->
    [8];


get_func_id_by_con(90) ->
    [31];


get_func_id_by_con(100) ->
    [15,16];


get_func_id_by_con(105) ->
    [9,47];


get_func_id_by_con(110) ->
    [18];


get_func_id_by_con(118) ->
    [42];


get_func_id_by_con(120) ->
    [20];


get_func_id_by_con(125) ->
    [38];


get_func_id_by_con(130) ->
    [19];


get_func_id_by_con(140) ->
    [49];


get_func_id_by_con(145) ->
    [23];


get_func_id_by_con(150) ->
    [22];


get_func_id_by_con(160) ->
    [21];


get_func_id_by_con(180) ->
    [25,26,37];


get_func_id_by_con(200) ->
    [32,41];


get_func_id_by_con(218) ->
    [43];


get_func_id_by_con(220) ->
    [24];


get_func_id_by_con(230) ->
    [27];


get_func_id_by_con(260) ->
    [33];


get_func_id_by_con(310) ->
    [44];


get_func_id_by_con(320) ->
    [28];


get_func_id_by_con(380) ->
    [36];


get_func_id_by_con(410) ->
    [45];


get_func_id_by_con(420) ->
    [29];


get_func_id_by_con(510) ->
    [46];


get_func_id_by_con(520) ->
    [30];


get_func_id_by_con(10110) ->
    [1];


get_func_id_by_con(10200) ->
    [2];


get_func_id_by_con(10360) ->
    [3];


get_func_id_by_con(10520) ->
    [5];


get_func_id_by_con(10780) ->
    [7];


get_func_id_by_con(10830) ->
    [17];


get_func_id_by_con(10840) ->
    [11];


get_func_id_by_con(10960) ->
    [8];


get_func_id_by_con(11050) ->
    [31];


get_func_id_by_con(11250) ->
    [15];


get_func_id_by_con(11350) ->
    [9,47];


get_func_id_by_con(11425) ->
    [18];


get_func_id_by_con(11700) ->
    [22];


get_func_id_by_con(11940) ->
    [26];


get_func_id_by_con(12260) ->
    [24];


get_func_id_by_con(2060001) ->
    [21];


get_func_id_by_con(2060020) ->
    [23];


get_func_id_by_con(2060030) ->
    [25];


get_func_id_by_con(2060040) ->
    [49];


get_func_id_by_con(2070001) ->
    [32];


get_func_id_by_con(2080001) ->
    [33];


get_func_id_by_con(2090001) ->
    [36];

get_func_id_by_con(_Conditionid) ->
    [].

