%%%---------------------------------------
%%% module      : data_profile_photo
%%% description : 角色头像配置
%%%
%%%---------------------------------------
-module(data_profile_photo).
-compile(export_all).
-include("profile_photo.hrl").



get_profile_photo_cfg(422500) ->
    #profile_photo{photo_id = 422500,name = <<"鬼猎"/utf8>>,career = [1],cost = 422500,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(422501) ->
    #profile_photo{photo_id = 422501,name = <<"猛鬼猎"/utf8>>,career = [1],cost = 422501,attr_list = [{1,30},{2,300}],turn = 1,open_day = 0,open_time = 0};

get_profile_photo_cfg(422502) ->
    #profile_photo{photo_id = 422502,name = <<"传说鬼猎"/utf8>>,career = [1],cost = 422502,attr_list = [{1,30},{2,300}],turn = 2,open_day = 0,open_time = 0};

get_profile_photo_cfg(422503) ->
    #profile_photo{photo_id = 422503,name = <<"三转鬼猎"/utf8>>,career = [1],cost = 422503,attr_list = [{1,30},{2,300}],turn = 3,open_day = 0,open_time = 0};

get_profile_photo_cfg(422504) ->
    #profile_photo{photo_id = 422504,name = <<"四转鬼猎"/utf8>>,career = [1],cost = 422504,attr_list = [{1,30},{2,300}],turn = 4,open_day = 0,open_time = 0};

get_profile_photo_cfg(422505) ->
    #profile_photo{photo_id = 422505,name = <<"五转鬼猎"/utf8>>,career = [1],cost = 422505,attr_list = [{1,30},{2,300}],turn = 5,open_day = 0,open_time = 0};

get_profile_photo_cfg(422510) ->
    #profile_photo{photo_id = 422510,name = <<"夙星"/utf8>>,career = [2],cost = 422510,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(422511) ->
    #profile_photo{photo_id = 422511,name = <<"天夙星"/utf8>>,career = [2],cost = 422511,attr_list = [{1,30},{2,301}],turn = 1,open_day = 0,open_time = 0};

get_profile_photo_cfg(422512) ->
    #profile_photo{photo_id = 422512,name = <<"传说夙星"/utf8>>,career = [2],cost = 422512,attr_list = [{1,30},{2,302}],turn = 2,open_day = 0,open_time = 0};

get_profile_photo_cfg(422513) ->
    #profile_photo{photo_id = 422513,name = <<"三转夙星"/utf8>>,career = [2],cost = 422513,attr_list = [{1,30},{2,303}],turn = 3,open_day = 0,open_time = 0};

get_profile_photo_cfg(422514) ->
    #profile_photo{photo_id = 422514,name = <<"四转夙星"/utf8>>,career = [2],cost = 422514,attr_list = [{1,30},{2,304}],turn = 4,open_day = 0,open_time = 0};

get_profile_photo_cfg(422515) ->
    #profile_photo{photo_id = 422515,name = <<"五转夙星"/utf8>>,career = [2],cost = 422515,attr_list = [{1,30},{2,305}],turn = 5,open_day = 0,open_time = 0};

get_profile_photo_cfg(422520) ->
    #profile_photo{photo_id = 422520,name = <<"暗鸦"/utf8>>,career = [3],cost = 422520,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(422521) ->
    #profile_photo{photo_id = 422521,name = <<"地暗鸦"/utf8>>,career = [3],cost = 422521,attr_list = [{1,30},{2,295}],turn = 1,open_day = 0,open_time = 0};

get_profile_photo_cfg(422522) ->
    #profile_photo{photo_id = 422522,name = <<"传说暗鸦"/utf8>>,career = [3],cost = 422522,attr_list = [{1,30},{2,290}],turn = 2,open_day = 0,open_time = 0};

get_profile_photo_cfg(422523) ->
    #profile_photo{photo_id = 422523,name = <<"三转暗鸦"/utf8>>,career = [3],cost = 422523,attr_list = [{1,30},{2,285}],turn = 3,open_day = 0,open_time = 0};

get_profile_photo_cfg(422524) ->
    #profile_photo{photo_id = 422524,name = <<"四转暗鸦"/utf8>>,career = [3],cost = 422524,attr_list = [{1,30},{2,280}],turn = 4,open_day = 0,open_time = 0};

get_profile_photo_cfg(422525) ->
    #profile_photo{photo_id = 422525,name = <<"五转暗鸦"/utf8>>,career = [3],cost = 422525,attr_list = [{1,30},{2,275}],turn = 5,open_day = 0,open_time = 0};

get_profile_photo_cfg(422530) ->
    #profile_photo{photo_id = 422530,name = <<"梦枭"/utf8>>,career = [4],cost = 422530,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(422531) ->
    #profile_photo{photo_id = 422531,name = <<"幻梦枭"/utf8>>,career = [4],cost = 422531,attr_list = [{1,30},{2,300}],turn = 1,open_day = 0,open_time = 0};

get_profile_photo_cfg(422532) ->
    #profile_photo{photo_id = 422532,name = <<"传说梦枭"/utf8>>,career = [4],cost = 422532,attr_list = [{1,30},{2,300}],turn = 2,open_day = 0,open_time = 0};

get_profile_photo_cfg(422533) ->
    #profile_photo{photo_id = 422533,name = <<"三转梦枭"/utf8>>,career = [4],cost = 422533,attr_list = [{1,30},{2,300}],turn = 3,open_day = 0,open_time = 0};

get_profile_photo_cfg(422534) ->
    #profile_photo{photo_id = 422534,name = <<"四转梦枭"/utf8>>,career = [4],cost = 422534,attr_list = [{1,30},{2,300}],turn = 4,open_day = 0,open_time = 0};

get_profile_photo_cfg(422535) ->
    #profile_photo{photo_id = 422535,name = <<"五转梦枭"/utf8>>,career = [4],cost = 422535,attr_list = [{1,30},{2,300}],turn = 5,open_day = 0,open_time = 0};

get_profile_photo_cfg(423001) ->
    #profile_photo{photo_id = 423001,name = <<"军礼服"/utf8>>,career = [1,3],cost = 423001,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423002) ->
    #profile_photo{photo_id = 423002,name = <<"军礼服"/utf8>>,career = [2,4],cost = 423002,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423011) ->
    #profile_photo{photo_id = 423011,name = <<"冒险者"/utf8>>,career = [1,3],cost = 423011,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423012) ->
    #profile_photo{photo_id = 423012,name = <<"冒险者"/utf8>>,career = [2,4],cost = 423012,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423021) ->
    #profile_photo{photo_id = 423021,name = <<"异瞳反派"/utf8>>,career = [1,3],cost = 423021,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423022) ->
    #profile_photo{photo_id = 423022,name = <<"异瞳反派"/utf8>>,career = [2,4],cost = 423022,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423031) ->
    #profile_photo{photo_id = 423031,name = <<"异乡人"/utf8>>,career = [1,3],cost = 423031,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423032) ->
    #profile_photo{photo_id = 423032,name = <<"异乡人"/utf8>>,career = [2,4],cost = 423032,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423041) ->
    #profile_photo{photo_id = 423041,name = <<"赛博朋克"/utf8>>,career = [1,3],cost = 423041,attr_list = [{1,30},{2,301}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423042) ->
    #profile_photo{photo_id = 423042,name = <<"赛博朋克"/utf8>>,career = [2,4],cost = 423042,attr_list = [{1,30},{2,302}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423051) ->
    #profile_photo{photo_id = 423051,name = <<"清凉夏日"/utf8>>,career = [1,3],cost = 423051,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423052) ->
    #profile_photo{photo_id = 423052,name = <<"清凉夏日"/utf8>>,career = [2,4],cost = 423052,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423061) ->
    #profile_photo{photo_id = 423061,name = <<"神秘人"/utf8>>,career = [1,3],cost = 423061,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423062) ->
    #profile_photo{photo_id = 423062,name = <<"神秘人"/utf8>>,career = [2,4],cost = 423062,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423071) ->
    #profile_photo{photo_id = 423071,name = <<"邪魅狂狷"/utf8>>,career = [1,3],cost = 423071,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(423072) ->
    #profile_photo{photo_id = 423072,name = <<"邪魅狂狷"/utf8>>,career = [2,4],cost = 423072,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(424001) ->
    #profile_photo{photo_id = 424001,name = <<"玻璃撞脸"/utf8>>,career = [0],cost = 424001,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(424002) ->
    #profile_photo{photo_id = 424002,name = <<"蠢萌熊猫"/utf8>>,career = [0],cost = 424002,attr_list = [{1,30},{2,301}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(424003) ->
    #profile_photo{photo_id = 424003,name = <<"缝合玩偶"/utf8>>,career = [0],cost = 424003,attr_list = [{1,30},{2,302}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(424004) ->
    #profile_photo{photo_id = 424004,name = <<"卡通骷髅"/utf8>>,career = [0],cost = 424004,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(424005) ->
    #profile_photo{photo_id = 424005,name = <<"喵武士"/utf8>>,career = [0],cost = 424005,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(424006) ->
    #profile_photo{photo_id = 424006,name = <<"朋克死神"/utf8>>,career = [0],cost = 424006,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(424007) ->
    #profile_photo{photo_id = 424007,name = <<"七彩爆炸头"/utf8>>,career = [0],cost = 424007,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(424008) ->
    #profile_photo{photo_id = 424008,name = <<"智能机甲"/utf8>>,career = [0],cost = 424008,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(424009) ->
    #profile_photo{photo_id = 424009,name = <<"邪眸魔童"/utf8>>,career = [0],cost = 424009,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(424010) ->
    #profile_photo{photo_id = 424010,name = <<"日光柴犬"/utf8>>,career = [0],cost = 424010,attr_list = [{1,30},{2,300}],turn = 0,open_day = 0,open_time = 0};

get_profile_photo_cfg(_Photoid) ->
    {}.

get_profile_photo_ids() ->
    [422500,422501,422502,422503,422504,422505,422510,422511,422512,422513,422514,422515,422520,422521,422522,422523,422524,422525,422530,422531,422532,422533,422534,422535,423001,423002,423011,423012,423021,423022,423031,423032,423041,423042,423051,423052,423061,423062,423071,423072,424001,424002,424003,424004,424005,424006,424007,424008,424009,424010].

get_photo_id_cfg([1],0) ->
    [422500];

get_photo_id_cfg([1],1) ->
    [422501];

get_photo_id_cfg([1],2) ->
    [422502];

get_photo_id_cfg([1],3) ->
    [422503];

get_photo_id_cfg([1],4) ->
    [422504];

get_photo_id_cfg([1],5) ->
    [422505];

get_photo_id_cfg([2],0) ->
    [422510];

get_photo_id_cfg([2],1) ->
    [422511];

get_photo_id_cfg([2],2) ->
    [422512];

get_photo_id_cfg([2],3) ->
    [422513];

get_photo_id_cfg([2],4) ->
    [422514];

get_photo_id_cfg([2],5) ->
    [422515];

get_photo_id_cfg([3],0) ->
    [422520];

get_photo_id_cfg([3],1) ->
    [422521];

get_photo_id_cfg([3],2) ->
    [422522];

get_photo_id_cfg([3],3) ->
    [422523];

get_photo_id_cfg([3],4) ->
    [422524];

get_photo_id_cfg([3],5) ->
    [422525];

get_photo_id_cfg([4],0) ->
    [422530];

get_photo_id_cfg([4],1) ->
    [422531];

get_photo_id_cfg([4],2) ->
    [422532];

get_photo_id_cfg([4],3) ->
    [422533];

get_photo_id_cfg([4],4) ->
    [422534];

get_photo_id_cfg([4],5) ->
    [422535];

get_photo_id_cfg([1,3],0) ->
    [423001,423011,423021,423031,423041,423051,423061,423071];

get_photo_id_cfg([2,4],0) ->
    [423002,423012,423022,423032,423042,423052,423062,423072];

get_photo_id_cfg([0],0) ->
    [424001,424002,424003,424004,424005,424006,424007,424008,424009,424010];

get_photo_id_cfg(_Career,_Turn) ->
    [].

