%%%---------------------------------------
%%% module      : data_recharge
%%% description : 充值配置
%%%
%%%---------------------------------------
-module(data_recharge).
-compile(export_all).
-include("rec_recharge.hrl").



get_product(0) ->
    #base_recharge_product{product_id = 0,product_name = "随心充",product_type = 1,product_subtype = 1,money = 0,game_currency = 0,act_value = 0,associate_list = [{5,1}],is_auth_show = 0,about = "金额自定，仅触发关联首充奖励"};

get_product(1) ->
    #base_recharge_product{product_id = 1,product_name = "彩钻x60",product_type = 1,product_subtype = 1,money = 6,game_currency = 60,act_value = 60,associate_list = [{5,1}],is_auth_show = 0,about = ""};

get_product(2) ->
    #base_recharge_product{product_id = 2,product_name = "彩钻x300",product_type = 1,product_subtype = 1,money = 30,game_currency = 300,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = ""};

get_product(3) ->
    #base_recharge_product{product_id = 3,product_name = "彩钻x500",product_type = 1,product_subtype = 1,money = 50,game_currency = 500,act_value = 500,associate_list = [{5,1}],is_auth_show = 0,about = ""};

get_product(4) ->
    #base_recharge_product{product_id = 4,product_name = "彩钻x980",product_type = 1,product_subtype = 1,money = 98,game_currency = 980,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = ""};

get_product(5) ->
    #base_recharge_product{product_id = 5,product_name = "彩钻x1980",product_type = 1,product_subtype = 1,money = 198,game_currency = 1980,act_value = 1980,associate_list = [{5,1}],is_auth_show = 0,about = ""};

get_product(6) ->
    #base_recharge_product{product_id = 6,product_name = "彩钻x3280",product_type = 1,product_subtype = 1,money = 328,game_currency = 3280,act_value = 3280,associate_list = [{5,1}],is_auth_show = 0,about = ""};

get_product(7) ->
    #base_recharge_product{product_id = 7,product_name = "彩钻x4880",product_type = 1,product_subtype = 1,money = 488,game_currency = 4880,act_value = 4880,associate_list = [{5,1}],is_auth_show = 0,about = ""};

get_product(8) ->
    #base_recharge_product{product_id = 8,product_name = "彩钻x6480",product_type = 1,product_subtype = 1,money = 648,game_currency = 6480,act_value = 6480,associate_list = [{5,1}],is_auth_show = 0,about = ""};

get_product(9) ->
    #base_recharge_product{product_id = 9,product_name = "彩钻x120",product_type = 1,product_subtype = 1,money = 12,game_currency = 120,act_value = 120,associate_list = [{5,1}],is_auth_show = 1,about = ""};

get_product(10) ->
    #base_recharge_product{product_id = 10,product_name = "彩钻x680",product_type = 1,product_subtype = 1,money = 68,game_currency = 680,act_value = 680,associate_list = [{5,1}],is_auth_show = 1,about = ""};

get_product(11) ->
    #base_recharge_product{product_id = 11,product_name = "彩钻x1280",product_type = 1,product_subtype = 1,money = 128,game_currency = 1280,act_value = 1280,associate_list = [{5,1}],is_auth_show = 1,about = ""};

get_product(301) ->
    #base_recharge_product{product_id = 301,product_name = "周卡",product_type = 2,product_subtype = 1,money = 12,game_currency = 0,act_value = 120,associate_list = [{5,1}],is_auth_show = 0,about = ""};

get_product(302) ->
    #base_recharge_product{product_id = 302,product_name = "月卡",product_type = 2,product_subtype = 2,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = ""};

get_product(303) ->
    #base_recharge_product{product_id = 303,product_name = "季卡",product_type = 2,product_subtype = 3,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = ""};

get_product(701) ->
    #base_recharge_product{product_id = 701,product_name = "万物宝典基础档",product_type = 6,product_subtype = 1,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "68元万物宝典"};

get_product(702) ->
    #base_recharge_product{product_id = 702,product_name = "万物宝典至尊档",product_type = 6,product_subtype = 1,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "98元万物宝典"};

get_product(703) ->
    #base_recharge_product{product_id = 703,product_name = "祝运宝典基础档",product_type = 6,product_subtype = 1,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "68元祝运宝典"};

get_product(704) ->
    #base_recharge_product{product_id = 704,product_name = "祝运宝典至尊档",product_type = 6,product_subtype = 1,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "98元祝运宝典"};

get_product(1001) ->
    #base_recharge_product{product_id = 1001,product_name = "115级补给",product_type = 4,product_subtype = 5,money = 6,game_currency = 0,act_value = 60,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·115级补给"};

get_product(1002) ->
    #base_recharge_product{product_id = 1002,product_name = "115级补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·115级补给"};

get_product(1003) ->
    #base_recharge_product{product_id = 1003,product_name = "130级补给",product_type = 4,product_subtype = 5,money = 6,game_currency = 0,act_value = 60,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·130级补给"};

get_product(1004) ->
    #base_recharge_product{product_id = 1004,product_name = "130级补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·130级补给"};

get_product(1005) ->
    #base_recharge_product{product_id = 1005,product_name = "150级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·150级补给"};

get_product(1006) ->
    #base_recharge_product{product_id = 1006,product_name = "150级补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·150级补给"};

get_product(1007) ->
    #base_recharge_product{product_id = 1007,product_name = "175级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·175级补给"};

get_product(1008) ->
    #base_recharge_product{product_id = 1008,product_name = "175级补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·175级补给"};

get_product(1009) ->
    #base_recharge_product{product_id = 1009,product_name = "200级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·200级补给"};

get_product(1010) ->
    #base_recharge_product{product_id = 1010,product_name = "200级补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·200级补给"};

get_product(1011) ->
    #base_recharge_product{product_id = 1011,product_name = "220级补给",product_type = 4,product_subtype = 5,money = 50,game_currency = 0,act_value = 500,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·220级补给"};

get_product(1012) ->
    #base_recharge_product{product_id = 1012,product_name = "220级补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·220级补给"};

get_product(1013) ->
    #base_recharge_product{product_id = 1013,product_name = "240级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·240级补给"};

get_product(1014) ->
    #base_recharge_product{product_id = 1014,product_name = "240级补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·240级补给"};

get_product(1015) ->
    #base_recharge_product{product_id = 1015,product_name = "260级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·260级补给"};

get_product(1016) ->
    #base_recharge_product{product_id = 1016,product_name = "260级补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·260级补给"};

get_product(1017) ->
    #base_recharge_product{product_id = 1017,product_name = "280级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·280级补给"};

get_product(1018) ->
    #base_recharge_product{product_id = 1018,product_name = "280级补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·280级补给"};

get_product(1019) ->
    #base_recharge_product{product_id = 1019,product_name = "300级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·300级补给"};

get_product(1020) ->
    #base_recharge_product{product_id = 1020,product_name = "300级补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·300级补给"};

get_product(1021) ->
    #base_recharge_product{product_id = 1021,product_name = "320级补给",product_type = 4,product_subtype = 5,money = 6,game_currency = 0,act_value = 60,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·320级补给"};

get_product(1022) ->
    #base_recharge_product{product_id = 1022,product_name = "320级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·320级补给"};

get_product(1023) ->
    #base_recharge_product{product_id = 1023,product_name = "340级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·340级补给"};

get_product(1024) ->
    #base_recharge_product{product_id = 1024,product_name = "340级补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·340级补给"};

get_product(1025) ->
    #base_recharge_product{product_id = 1025,product_name = "360级补给",product_type = 4,product_subtype = 5,money = 6,game_currency = 0,act_value = 60,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·360级补给"};

get_product(1026) ->
    #base_recharge_product{product_id = 1026,product_name = "360级补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·360级补给"};

get_product(1027) ->
    #base_recharge_product{product_id = 1027,product_name = "380级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·380级补给"};

get_product(1028) ->
    #base_recharge_product{product_id = 1028,product_name = "400级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·400级补给"};

get_product(1029) ->
    #base_recharge_product{product_id = 1029,product_name = "420级补给",product_type = 4,product_subtype = 5,money = 12,game_currency = 0,act_value = 120,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·420级补给"};

get_product(1030) ->
    #base_recharge_product{product_id = 1030,product_name = "420级补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·420级补给"};

get_product(1031) ->
    #base_recharge_product{product_id = 1031,product_name = "440级补给",product_type = 4,product_subtype = 5,money = 6,game_currency = 0,act_value = 60,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·440级补给"};

get_product(1032) ->
    #base_recharge_product{product_id = 1032,product_name = "440级补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·440级补给"};

get_product(1033) ->
    #base_recharge_product{product_id = 1033,product_name = "460级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·460级补给"};

get_product(1034) ->
    #base_recharge_product{product_id = 1034,product_name = "480级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·480级补给"};

get_product(1035) ->
    #base_recharge_product{product_id = 1035,product_name = "500级补给",product_type = 4,product_subtype = 5,money = 50,game_currency = 0,act_value = 500,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·500级补给"};

get_product(1036) ->
    #base_recharge_product{product_id = 1036,product_name = "500级补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·500级补给"};

get_product(1037) ->
    #base_recharge_product{product_id = 1037,product_name = "520级补给",product_type = 4,product_subtype = 5,money = 6,game_currency = 0,act_value = 60,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·520级补给"};

get_product(1038) ->
    #base_recharge_product{product_id = 1038,product_name = "520级补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·520级补给"};

get_product(1039) ->
    #base_recharge_product{product_id = 1039,product_name = "540级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·540级补给"};

get_product(1040) ->
    #base_recharge_product{product_id = 1040,product_name = "560级补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·560级补给"};

get_product(1041) ->
    #base_recharge_product{product_id = 1041,product_name = "580级补给",product_type = 4,product_subtype = 5,money = 50,game_currency = 0,act_value = 500,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·580级补给"};

get_product(1042) ->
    #base_recharge_product{product_id = 1042,product_name = "580级补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·580级补给"};

get_product(1043) ->
    #base_recharge_product{product_id = 1043,product_name = "600级补给",product_type = 4,product_subtype = 5,money = 6,game_currency = 0,act_value = 60,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·600级补给"};

get_product(1044) ->
    #base_recharge_product{product_id = 1044,product_name = "600级补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·600级补给"};

get_product(1045) ->
    #base_recharge_product{product_id = 1045,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 12,game_currency = 0,act_value = 120,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第2关"};

get_product(1046) ->
    #base_recharge_product{product_id = 1046,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第3关"};

get_product(1047) ->
    #base_recharge_product{product_id = 1047,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第4关"};

get_product(1048) ->
    #base_recharge_product{product_id = 1048,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第5关"};

get_product(1049) ->
    #base_recharge_product{product_id = 1049,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第6关"};

get_product(1050) ->
    #base_recharge_product{product_id = 1050,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第7关"};

get_product(1051) ->
    #base_recharge_product{product_id = 1051,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第8关"};

get_product(1052) ->
    #base_recharge_product{product_id = 1052,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第9关"};

get_product(1053) ->
    #base_recharge_product{product_id = 1053,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第10关"};

get_product(1054) ->
    #base_recharge_product{product_id = 1054,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第11关"};

get_product(1055) ->
    #base_recharge_product{product_id = 1055,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第12关"};

get_product(1056) ->
    #base_recharge_product{product_id = 1056,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第13关"};

get_product(1057) ->
    #base_recharge_product{product_id = 1057,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第14关"};

get_product(1058) ->
    #base_recharge_product{product_id = 1058,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第15关"};

get_product(1059) ->
    #base_recharge_product{product_id = 1059,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第16关"};

get_product(1060) ->
    #base_recharge_product{product_id = 1060,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第17关"};

get_product(1061) ->
    #base_recharge_product{product_id = 1061,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第18关"};

get_product(1062) ->
    #base_recharge_product{product_id = 1062,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第19关"};

get_product(1063) ->
    #base_recharge_product{product_id = 1063,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第20关"};

get_product(1064) ->
    #base_recharge_product{product_id = 1064,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第21关"};

get_product(1065) ->
    #base_recharge_product{product_id = 1065,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第22关"};

get_product(1066) ->
    #base_recharge_product{product_id = 1066,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第23关"};

get_product(1067) ->
    #base_recharge_product{product_id = 1067,product_name = "装备资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给·爬塔困难三星第24关"};

get_product(1068) ->
    #base_recharge_product{product_id = 1068,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 6,game_currency = 0,act_value = 60,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第1关"};

get_product(1069) ->
    #base_recharge_product{product_id = 1069,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第2关"};

get_product(1070) ->
    #base_recharge_product{product_id = 1070,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第3关"};

get_product(1071) ->
    #base_recharge_product{product_id = 1071,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第4关"};

get_product(1072) ->
    #base_recharge_product{product_id = 1072,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第5关"};

get_product(1073) ->
    #base_recharge_product{product_id = 1073,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第6关"};

get_product(1074) ->
    #base_recharge_product{product_id = 1074,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第7关"};

get_product(1075) ->
    #base_recharge_product{product_id = 1075,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第8关"};

get_product(1076) ->
    #base_recharge_product{product_id = 1076,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第9关"};

get_product(1077) ->
    #base_recharge_product{product_id = 1077,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第10关"};

get_product(1078) ->
    #base_recharge_product{product_id = 1078,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第11关"};

get_product(1079) ->
    #base_recharge_product{product_id = 1079,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第12关"};

get_product(1080) ->
    #base_recharge_product{product_id = 1080,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第13关"};

get_product(1081) ->
    #base_recharge_product{product_id = 1081,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第14关"};

get_product(1082) ->
    #base_recharge_product{product_id = 1082,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第15关"};

get_product(1083) ->
    #base_recharge_product{product_id = 1083,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第16关"};

get_product(1084) ->
    #base_recharge_product{product_id = 1084,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第17关"};

get_product(1085) ->
    #base_recharge_product{product_id = 1085,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第18关"};

get_product(1086) ->
    #base_recharge_product{product_id = 1086,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第19关"};

get_product(1087) ->
    #base_recharge_product{product_id = 1087,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第20关"};

get_product(1088) ->
    #base_recharge_product{product_id = 1088,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第21关"};

get_product(1089) ->
    #base_recharge_product{product_id = 1089,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第22关"};

get_product(1090) ->
    #base_recharge_product{product_id = 1090,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第23关"};

get_product(1091) ->
    #base_recharge_product{product_id = 1091,product_name = "宠物资源补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-宠物副本三星第24关"};

get_product(1092) ->
    #base_recharge_product{product_id = 1092,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-六星战魂1个"};

get_product(1093) ->
    #base_recharge_product{product_id = 1093,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-六星战魂2个"};

get_product(1094) ->
    #base_recharge_product{product_id = 1094,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-六星战魂3个"};

get_product(1095) ->
    #base_recharge_product{product_id = 1095,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-六星战魂4个"};

get_product(1096) ->
    #base_recharge_product{product_id = 1096,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-六星战魂5个"};

get_product(1097) ->
    #base_recharge_product{product_id = 1097,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-六星战魂6个"};

get_product(1098) ->
    #base_recharge_product{product_id = 1098,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-六星战魂7个"};

get_product(1099) ->
    #base_recharge_product{product_id = 1099,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-七星战魂1个"};

get_product(1100) ->
    #base_recharge_product{product_id = 1100,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-七星战魂2个"};

get_product(1101) ->
    #base_recharge_product{product_id = 1101,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-七星战魂3个"};

get_product(1102) ->
    #base_recharge_product{product_id = 1102,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-七星战魂4个"};

get_product(1103) ->
    #base_recharge_product{product_id = 1103,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-七星战魂5个"};

get_product(1104) ->
    #base_recharge_product{product_id = 1104,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-七星战魂6个"};

get_product(1105) ->
    #base_recharge_product{product_id = 1105,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-七星战魂7个"};

get_product(1106) ->
    #base_recharge_product{product_id = 1106,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-八星战魂1个"};

get_product(1107) ->
    #base_recharge_product{product_id = 1107,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-八星战魂2个"};

get_product(1108) ->
    #base_recharge_product{product_id = 1108,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-八星战魂3个"};

get_product(1109) ->
    #base_recharge_product{product_id = 1109,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-八星战魂4个"};

get_product(1110) ->
    #base_recharge_product{product_id = 1110,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-八星战魂5个"};

get_product(1111) ->
    #base_recharge_product{product_id = 1111,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-八星战魂6个"};

get_product(1112) ->
    #base_recharge_product{product_id = 1112,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-八星战魂7个"};

get_product(1113) ->
    #base_recharge_product{product_id = 1113,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-九星战魂1个"};

get_product(1114) ->
    #base_recharge_product{product_id = 1114,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-九星战魂2个"};

get_product(1115) ->
    #base_recharge_product{product_id = 1115,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-九星战魂3个"};

get_product(1116) ->
    #base_recharge_product{product_id = 1116,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-九星战魂4个"};

get_product(1117) ->
    #base_recharge_product{product_id = 1117,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-九星战魂5个"};

get_product(1118) ->
    #base_recharge_product{product_id = 1118,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-九星战魂6个"};

get_product(1119) ->
    #base_recharge_product{product_id = 1119,product_name = "战魂升星补给",product_type = 4,product_subtype = 5,money = 98,game_currency = 0,act_value = 980,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-九星战魂7个"};

get_product(1120) ->
    #base_recharge_product{product_id = 1120,product_name = "超值圣物补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-守卫信标通关难度1"};

get_product(1121) ->
    #base_recharge_product{product_id = 1121,product_name = "觉醒圣书补给",product_type = 4,product_subtype = 5,money = 128,game_currency = 0,act_value = 1280,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-守卫信标通关难度2"};

get_product(1122) ->
    #base_recharge_product{product_id = 1122,product_name = "觉醒圣球补给",product_type = 4,product_subtype = 5,money = 128,game_currency = 0,act_value = 1280,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-守卫信标通关难度3"};

get_product(1123) ->
    #base_recharge_product{product_id = 1123,product_name = "觉醒圣杯补给",product_type = 4,product_subtype = 5,money = 128,game_currency = 0,act_value = 1280,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-守卫信标通关难度4"};

get_product(1124) ->
    #base_recharge_product{product_id = 1124,product_name = "觉醒圣冠补给",product_type = 4,product_subtype = 5,money = 128,game_currency = 0,act_value = 1280,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-守卫信标通关难度5"};

get_product(1125) ->
    #base_recharge_product{product_id = 1125,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第1章"};

get_product(1126) ->
    #base_recharge_product{product_id = 1126,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第2章"};

get_product(1127) ->
    #base_recharge_product{product_id = 1127,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第3章"};

get_product(1128) ->
    #base_recharge_product{product_id = 1128,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第4章"};

get_product(1129) ->
    #base_recharge_product{product_id = 1129,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第5章"};

get_product(1130) ->
    #base_recharge_product{product_id = 1130,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第6章"};

get_product(1131) ->
    #base_recharge_product{product_id = 1131,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第7章"};

get_product(1132) ->
    #base_recharge_product{product_id = 1132,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第8章"};

get_product(1133) ->
    #base_recharge_product{product_id = 1133,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第9章"};

get_product(1134) ->
    #base_recharge_product{product_id = 1134,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第10章"};

get_product(1135) ->
    #base_recharge_product{product_id = 1135,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第11章"};

get_product(1136) ->
    #base_recharge_product{product_id = 1136,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第12章"};

get_product(1137) ->
    #base_recharge_product{product_id = 1137,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第13章"};

get_product(1138) ->
    #base_recharge_product{product_id = 1138,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第14章"};

get_product(1139) ->
    #base_recharge_product{product_id = 1139,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 30,game_currency = 0,act_value = 300,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第15章"};

get_product(1140) ->
    #base_recharge_product{product_id = 1140,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第16章"};

get_product(1141) ->
    #base_recharge_product{product_id = 1141,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第17章"};

get_product(1142) ->
    #base_recharge_product{product_id = 1142,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第18章"};

get_product(1143) ->
    #base_recharge_product{product_id = 1143,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第19章"};

get_product(1144) ->
    #base_recharge_product{product_id = 1144,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第20章"};

get_product(1145) ->
    #base_recharge_product{product_id = 1145,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第21章"};

get_product(1146) ->
    #base_recharge_product{product_id = 1146,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第22章"};

get_product(1147) ->
    #base_recharge_product{product_id = 1147,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第23章"};

get_product(1148) ->
    #base_recharge_product{product_id = 1148,product_name = "星辰资源补给",product_type = 4,product_subtype = 5,money = 68,game_currency = 0,act_value = 680,associate_list = [{5,1}],is_auth_show = 0,about = "佣兵补给-星辰幻境通关第24章"};

get_product(9996) ->
    #base_recharge_product{product_id = 9996,product_name = "18元首充",product_type = 5,product_subtype = 1,money = 18,game_currency = 0,act_value = 0,associate_list = [],is_auth_show = 0,about = "18元首充"};

get_product(9997) ->
    #base_recharge_product{product_id = 9997,product_name = "30元首充",product_type = 5,product_subtype = 1,money = 30,game_currency = 0,act_value = 0,associate_list = [],is_auth_show = 0,about = "30元首充"};

get_product(9998) ->
    #base_recharge_product{product_id = 9998,product_name = "60元首充",product_type = 5,product_subtype = 1,money = 60,game_currency = 0,act_value = 0,associate_list = [],is_auth_show = 0,about = "60元首充"};

get_product(9999) ->
    #base_recharge_product{product_id = 9999,product_name = "首充礼包",product_type = 5,product_subtype = 1,money = 1,game_currency = 0,act_value = 0,associate_list = [],is_auth_show = 0,about = "充值任意金额，个性时装，极品武器大派送！"};

get_product(_Productid) ->
    [].

get_all_product_ids() ->
    [0,1,2,3,4,5,6,7,8,9,10,11,301,302,303,701,702,703,704,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1012,1013,1014,1015,1016,1017,1018,1019,1020,1021,1022,1023,1024,1025,1026,1027,1028,1029,1030,1031,1032,1033,1034,1035,1036,1037,1038,1039,1040,1041,1042,1043,1044,1045,1046,1047,1048,1049,1050,1051,1052,1053,1054,1055,1056,1057,1058,1059,1060,1061,1062,1063,1064,1065,1066,1067,1068,1069,1070,1071,1072,1073,1074,1075,1076,1077,1078,1079,1080,1081,1082,1083,1084,1085,1086,1087,1088,1089,1090,1091,1092,1093,1094,1095,1096,1097,1098,1099,1100,1101,1102,1103,1104,1105,1106,1107,1108,1109,1110,1111,1112,1113,1114,1115,1116,1117,1118,1119,1120,1121,1122,1123,1124,1125,1126,1127,1128,1129,1130,1131,1132,1133,1134,1135,1136,1137,1138,1139,1140,1141,1142,1143,1144,1145,1146,1147,1148,9996,9997,9998,9999].

get_product_ids_by_type(1,1) ->
    [0,1,2,3,4,5,6,7,8,9,10,11];

get_product_ids_by_type(2,1) ->
    [301];

get_product_ids_by_type(2,2) ->
    [302];

get_product_ids_by_type(2,3) ->
    [303];

get_product_ids_by_type(6,1) ->
    [701,702,703,704];

get_product_ids_by_type(4,5) ->
    [1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1012,1013,1014,1015,1016,1017,1018,1019,1020,1021,1022,1023,1024,1025,1026,1027,1028,1029,1030,1031,1032,1033,1034,1035,1036,1037,1038,1039,1040,1041,1042,1043,1044,1045,1046,1047,1048,1049,1050,1051,1052,1053,1054,1055,1056,1057,1058,1059,1060,1061,1062,1063,1064,1065,1066,1067,1068,1069,1070,1071,1072,1073,1074,1075,1076,1077,1078,1079,1080,1081,1082,1083,1084,1085,1086,1087,1088,1089,1090,1091,1092,1093,1094,1095,1096,1097,1098,1099,1100,1101,1102,1103,1104,1105,1106,1107,1108,1109,1110,1111,1112,1113,1114,1115,1116,1117,1118,1119,1120,1121,1122,1123,1124,1125,1126,1127,1128,1129,1130,1131,1132,1133,1134,1135,1136,1137,1138,1139,1140,1141,1142,1143,1144,1145,1146,1147,1148];

get_product_ids_by_type(5,1) ->
    [9996,9997,9998,9999];

get_product_ids_by_type(_Producttype,_Productsubtype) ->
    [].

get_recharge_return(1,1) ->
    #base_recharge_return{product_id = 1,return_type = 1,gold = 60,return_gold = 60};

get_recharge_return(2,1) ->
    #base_recharge_return{product_id = 2,return_type = 1,gold = 300,return_gold = 300};

get_recharge_return(3,1) ->
    #base_recharge_return{product_id = 3,return_type = 1,gold = 500,return_gold = 500};

get_recharge_return(4,1) ->
    #base_recharge_return{product_id = 4,return_type = 1,gold = 980,return_gold = 980};

get_recharge_return(5,1) ->
    #base_recharge_return{product_id = 5,return_type = 1,gold = 1980,return_gold = 1980};

get_recharge_return(6,1) ->
    #base_recharge_return{product_id = 6,return_type = 1,gold = 3280,return_gold = 3280};

get_recharge_return(7,1) ->
    #base_recharge_return{product_id = 7,return_type = 1,gold = 4880,return_gold = 4880};

get_recharge_return(8,1) ->
    #base_recharge_return{product_id = 8,return_type = 1,gold = 6480,return_gold = 6480};

get_recharge_return(_Productid,_Returntype) ->
    [].

get_recharge_return_keys() ->
    [1,2,3,4,5,6,7,8].


get_return_type_by_product_id(1) ->
    [1];


get_return_type_by_product_id(2) ->
    [1];


get_return_type_by_product_id(3) ->
    [1];


get_return_type_by_product_id(4) ->
    [1];


get_return_type_by_product_id(5) ->
    [1];


get_return_type_by_product_id(6) ->
    [1];


get_return_type_by_product_id(7) ->
    [1];


get_return_type_by_product_id(8) ->
    [1];

get_return_type_by_product_id(_Productid) ->
    [].

get_recharge_first_ids() ->
    [9996,9997,9998,9999].

get_recharge_first_indexs() ->
    [1,2,3].

get_recharge_first(9996,0,1) ->
    [{0,101008,1}];

get_recharge_first(9997,0,1) ->
    [{0,101008,1}];

get_recharge_first(9998,0,1) ->
    [{0,101008,1}];

get_recharge_first(9999,1,1) ->
    [{100,24191015,1},{100,410051,1},{100,230001,10},{100,230002,10}];

get_recharge_first(9999,1,2) ->
    [{100,406002,1},{100,412051,1},{100,432028,1},{100,102305,1}];

get_recharge_first(9999,1,3) ->
    [{100,416101,1},{100,425014,1},{100,101015,50},{100,102305,1}];

get_recharge_first(9999,2,1) ->
    [{100,24191015,1},{100,410051,1},{100,230001,10},{100,230002,10}];

get_recharge_first(9999,2,2) ->
    [{100,406002,1},{100,412051,1},{100,432028,1},{100,102305,1}];

get_recharge_first(9999,2,3) ->
    [{100,416101,1},{100,425014,1},{100,101015,50},{100,102305,1}];

get_recharge_first(9999,3,1) ->
    [{100,24291015,1},{100,410051,1},{100,230001,10},{100,230002,10}];

get_recharge_first(9999,3,2) ->
    [{100,406002,1},{100,412051,1},{100,432028,1},{100,102305,1}];

get_recharge_first(9999,3,3) ->
    [{100,416101,1},{100,425014,1},{100,101015,50},{100,102305,1}];

get_recharge_first(9999,4,1) ->
    [{100,24291015,1},{100,410051,1},{100,230001,10},{100,230002,10}];

get_recharge_first(9999,4,2) ->
    [{100,406002,1},{100,412051,1},{100,432028,1},{100,102305,1}];

get_recharge_first(9999,4,3) ->
    [{100,416101,1},{100,425014,1},{100,101015,50},{100,102305,1}];

get_recharge_first(_Productid,_Type,_Index) ->
    [].

get_max_index(9996,0) -> 1;
get_max_index(9997,0) -> 1;
get_max_index(9998,0) -> 1;
get_max_index(9999,1) -> 3;
get_max_index(9999,2) -> 3;
get_max_index(9999,3) -> 3;
get_max_index(9999,4) -> 3;
get_max_index(_Product_id,_Type) -> 0.

get_recharge_goods(301) ->
    #base_recharge_goods{id = 301,type = 2,sub_type = 1,name = <<"周卡"/utf8>>,limit = [],start_time = 0,end_time = 0,open_day = [{1,1999}],merge_day = [],condition = [],award = []};

get_recharge_goods(302) ->
    #base_recharge_goods{id = 302,type = 2,sub_type = 2,name = <<"月卡"/utf8>>,limit = [],start_time = 0,end_time = 0,open_day = [{1,1999}],merge_day = [],condition = [],award = []};

get_recharge_goods(303) ->
    #base_recharge_goods{id = 303,type = 2,sub_type = 3,name = <<"季卡"/utf8>>,limit = [],start_time = 0,end_time = 0,open_day = [{1,1999}],merge_day = [],condition = [],award = []};

get_recharge_goods(701) ->
    #base_recharge_goods{id = 701,type = 6,sub_type = 1,name = <<"万物宝典基础档"/utf8>>,limit = [],start_time = 0,end_time = 0,open_day = [{1,1999}],merge_day = [],condition = [{custom_act,74,1,1}],award = []};

get_recharge_goods(702) ->
    #base_recharge_goods{id = 702,type = 6,sub_type = 1,name = <<"万物宝典至尊档"/utf8>>,limit = [],start_time = 0,end_time = 0,open_day = [{1,1999}],merge_day = [],condition = [{custom_act,74,1,2}],award = []};

get_recharge_goods(703) ->
    #base_recharge_goods{id = 703,type = 6,sub_type = 1,name = <<"祝运宝典基础档"/utf8>>,limit = [],start_time = 0,end_time = 0,open_day = [{1,1999}],merge_day = [],condition = [{custom_act,74,2,1}],award = []};

get_recharge_goods(704) ->
    #base_recharge_goods{id = 704,type = 6,sub_type = 1,name = <<"祝运宝典至尊档"/utf8>>,limit = [],start_time = 0,end_time = 0,open_day = [{1,1999}],merge_day = [],condition = [{custom_act,74,2,2}],award = []};

get_recharge_goods(1001) ->
    #base_recharge_goods{id = 1001,type = 4,sub_type = 5,name = <<"115级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,1,1},{original_price,56},{limit_cost,6}],award = [{1,100000,60},{100,102305,1},{100,230001,10}]};

get_recharge_goods(1002) ->
    #base_recharge_goods{id = 1002,type = 4,sub_type = 5,name = <<"115级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,2,1},{original_price,233},{limit_cost,68}],award = [{1,100000,680},{100,102305,6},{100,230001,15}]};

get_recharge_goods(1003) ->
    #base_recharge_goods{id = 1003,type = 4,sub_type = 5,name = <<"130级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,3,1},{original_price,56},{limit_cost,6}],award = [{1,100000,60},{100,102305,1},{100,450077,10}]};

get_recharge_goods(1004) ->
    #base_recharge_goods{id = 1004,type = 4,sub_type = 5,name = <<"130级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,4,1},{original_price,323},{limit_cost,98}],award = [{1,100000,980},{100,102306,1},{100,450077,15}]};

get_recharge_goods(1005) ->
    #base_recharge_goods{id = 1005,type = 4,sub_type = 5,name = <<"150级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,5,1},{original_price,160},{limit_cost,30}],award = [{1,100000,300},{100,102305,5},{100,230002,10}]};

get_recharge_goods(1006) ->
    #base_recharge_goods{id = 1006,type = 4,sub_type = 5,name = <<"150级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,6,1},{original_price,323},{limit_cost,98}],award = [{1,100000,980},{100,102306,1},{100,230002,15}]};

get_recharge_goods(1007) ->
    #base_recharge_goods{id = 1007,type = 4,sub_type = 5,name = <<"175级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,7,1},{original_price,154},{limit_cost,30}],award = [{1,100000,300},{100,102305,5},{100,230004,8}]};

get_recharge_goods(1008) ->
    #base_recharge_goods{id = 1008,type = 4,sub_type = 5,name = <<"175级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,8,1},{original_price,323},{limit_cost,98}],award = [{1,100000,980},{100,102306,1},{100,230004,15}]};

get_recharge_goods(1009) ->
    #base_recharge_goods{id = 1009,type = 4,sub_type = 5,name = <<"200级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,9,1},{original_price,154},{limit_cost,30}],award = [{1,100000,300},{100,102305,5},{100,230003,8}]};

get_recharge_goods(1010) ->
    #base_recharge_goods{id = 1010,type = 4,sub_type = 5,name = <<"200级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,10,1},{original_price,323},{limit_cost,98}],award = [{1,100000,980},{100,102306,1},{100,230003,15}]};

get_recharge_goods(1011) ->
    #base_recharge_goods{id = 1011,type = 4,sub_type = 5,name = <<"220级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,11,1},{original_price,195},{limit_cost,50}],award = [{1,100000,500},{100,102305,6},{100,450051,5}]};

get_recharge_goods(1012) ->
    #base_recharge_goods{id = 1012,type = 4,sub_type = 5,name = <<"220级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,12,1},{original_price,318},{limit_cost,98}],award = [{1,100000,980},{100,102306,1},{100,450051,8}]};

get_recharge_goods(1013) ->
    #base_recharge_goods{id = 1013,type = 4,sub_type = 5,name = <<"240级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,13,1},{original_price,98},{limit_cost,30}],award = [{1,100000,300},{100,102607,2},{100,101014,8}]};

get_recharge_goods(1014) ->
    #base_recharge_goods{id = 1014,type = 4,sub_type = 5,name = <<"240级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,14,1},{original_price,204},{limit_cost,68}],award = [{1,100000,680},{100,102607,4},{100,101014,16}]};

get_recharge_goods(1015) ->
    #base_recharge_goods{id = 1015,type = 4,sub_type = 5,name = <<"260级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,15,1},{original_price,110},{limit_cost,30}],award = [{1,100000,300},{100,102303,2},{100,280301,3}]};

get_recharge_goods(1016) ->
    #base_recharge_goods{id = 1016,type = 4,sub_type = 5,name = <<"260级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,16,1},{original_price,206},{limit_cost,68}],award = [{1,100000,680},{100,102303,3},{100,280301,8}]};

get_recharge_goods(1017) ->
    #base_recharge_goods{id = 1017,type = 4,sub_type = 5,name = <<"280级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,17,1},{original_price,100},{limit_cost,30}],award = [{1,100000,300},{100,260003,10},{100,260002,20}]};

get_recharge_goods(1018) ->
    #base_recharge_goods{id = 1018,type = 4,sub_type = 5,name = <<"280级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,18,1},{original_price,208},{limit_cost,68}],award = [{1,100000,680},{100,260003,20},{100,260002,40}]};

get_recharge_goods(1019) ->
    #base_recharge_goods{id = 1019,type = 4,sub_type = 5,name = <<"300级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,19,1},{original_price,102},{limit_cost,30}],award = [{1,100000,300},{100,251002,8},{100,251005,4}]};

get_recharge_goods(1020) ->
    #base_recharge_goods{id = 1020,type = 4,sub_type = 5,name = <<"300级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,20,1},{original_price,206},{limit_cost,68}],award = [{1,100000,680},{100,251002,15},{100,251005,8}]};

get_recharge_goods(1021) ->
    #base_recharge_goods{id = 1021,type = 4,sub_type = 5,name = <<"320级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,21,1},{original_price,31},{limit_cost,6}],award = [{1,100000,60},{100,102405,1},{100,102501,3}]};

get_recharge_goods(1022) ->
    #base_recharge_goods{id = 1022,type = 4,sub_type = 5,name = <<"320级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,22,1},{original_price,92},{limit_cost,30}],award = [{1,100000,300},{100,102406,1},{100,102501,10}]};

get_recharge_goods(1023) ->
    #base_recharge_goods{id = 1023,type = 4,sub_type = 5,name = <<"340级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,23,1},{original_price,140},{limit_cost,30}],award = [{1,100000,300},{100,102305,5},{100,330902,2}]};

get_recharge_goods(1024) ->
    #base_recharge_goods{id = 1024,type = 4,sub_type = 5,name = <<"340级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,24,1},{original_price,303},{limit_cost,98}],award = [{1,100000,980},{100,102306,1},{100,330902,5}]};

get_recharge_goods(1025) ->
    #base_recharge_goods{id = 1025,type = 4,sub_type = 5,name = <<"360级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,25,1},{original_price,30},{limit_cost,6}],award = [{1,100000,60},{100,251002,2},{100,251005,2}]};

get_recharge_goods(1026) ->
    #base_recharge_goods{id = 1026,type = 4,sub_type = 5,name = <<"360级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,26,1},{original_price,206},{limit_cost,68}],award = [{1,100000,680},{100,251002,15},{100,251005,8}]};

get_recharge_goods(1027) ->
    #base_recharge_goods{id = 1027,type = 4,sub_type = 5,name = <<"380级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,27,1},{original_price,90},{limit_cost,30}],award = [{1,100000,300},{100,290003,1},{100,290002,10}]};

get_recharge_goods(1028) ->
    #base_recharge_goods{id = 1028,type = 4,sub_type = 5,name = <<"400级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,28,1},{original_price,90},{limit_cost,30}],award = [{1,100000,300},{100,102632,2},{100,102631,40}]};

get_recharge_goods(1029) ->
    #base_recharge_goods{id = 1029,type = 4,sub_type = 5,name = <<"420级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,29,1},{original_price,77},{limit_cost,12}],award = [{1,100000,120},{100,102305,3},{100,330902,1}]};

get_recharge_goods(1030) ->
    #base_recharge_goods{id = 1030,type = 4,sub_type = 5,name = <<"420级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,30,1},{original_price,303},{limit_cost,98}],award = [{1,100000,980},{100,102306,1},{100,330902,5}]};

get_recharge_goods(1031) ->
    #base_recharge_goods{id = 1031,type = 4,sub_type = 5,name = <<"440级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,31,1},{original_price,30},{limit_cost,6}],award = [{1,100000,60},{100,251002,2},{100,251008,2}]};

get_recharge_goods(1032) ->
    #base_recharge_goods{id = 1032,type = 4,sub_type = 5,name = <<"440级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,32,1},{original_price,206},{limit_cost,68}],award = [{1,100000,680},{100,251002,15},{100,251008,8}]};

get_recharge_goods(1033) ->
    #base_recharge_goods{id = 1033,type = 4,sub_type = 5,name = <<"460级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,33,1},{original_price,90},{limit_cost,30}],award = [{1,100000,300},{100,290003,1},{100,290002,10}]};

get_recharge_goods(1034) ->
    #base_recharge_goods{id = 1034,type = 4,sub_type = 5,name = <<"480级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,34,1},{original_price,90},{limit_cost,30}],award = [{1,100000,300},{100,102632,2},{100,102631,40}]};

get_recharge_goods(1035) ->
    #base_recharge_goods{id = 1035,type = 4,sub_type = 5,name = <<"500级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,35,1},{original_price,240},{limit_cost,50}],award = [{1,100000,500},{100,102306,1},{100,330902,2}]};

get_recharge_goods(1036) ->
    #base_recharge_goods{id = 1036,type = 4,sub_type = 5,name = <<"500级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,36,1},{original_price,483},{limit_cost,98}],award = [{1,100000,980},{100,102306,2},{100,330902,5}]};

get_recharge_goods(1037) ->
    #base_recharge_goods{id = 1037,type = 4,sub_type = 5,name = <<"520级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,37,1},{original_price,30},{limit_cost,6}],award = [{1,100000,60},{100,251005,2},{100,251008,2}]};

get_recharge_goods(1038) ->
    #base_recharge_goods{id = 1038,type = 4,sub_type = 5,name = <<"520级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,38,1},{original_price,206},{limit_cost,68}],award = [{1,100000,680},{100,251005,15},{100,251008,8}]};

get_recharge_goods(1039) ->
    #base_recharge_goods{id = 1039,type = 4,sub_type = 5,name = <<"540级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,39,1},{original_price,90},{limit_cost,30}],award = [{1,100000,300},{100,290003,1},{100,290002,10}]};

get_recharge_goods(1040) ->
    #base_recharge_goods{id = 1040,type = 4,sub_type = 5,name = <<"560级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,40,1},{original_price,90},{limit_cost,30}],award = [{1,100000,300},{100,102632,2},{100,102631,40}]};

get_recharge_goods(1041) ->
    #base_recharge_goods{id = 1041,type = 4,sub_type = 5,name = <<"580级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,41,1},{original_price,240},{limit_cost,50}],award = [{1,100000,500},{100,102306,1},{100,330902,2}]};

get_recharge_goods(1042) ->
    #base_recharge_goods{id = 1042,type = 4,sub_type = 5,name = <<"580级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,42,1},{original_price,483},{limit_cost,98}],award = [{1,100000,980},{100,102306,2},{100,330902,5}]};

get_recharge_goods(1043) ->
    #base_recharge_goods{id = 1043,type = 4,sub_type = 5,name = <<"600级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,43,1},{original_price,30},{limit_cost,6}],award = [{1,100000,60},{100,251002,2},{100,251005,2}]};

get_recharge_goods(1044) ->
    #base_recharge_goods{id = 1044,type = 4,sub_type = 5,name = <<"600级补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,44,1},{original_price,206},{limit_cost,68}],award = [{1,100000,680},{100,251002,15},{100,251005,8}]};

get_recharge_goods(1045) ->
    #base_recharge_goods{id = 1045,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,46,1},{original_price,75},{limit_cost,12}],award = [{100,102607,5},{100,102604,20},{100,101014,30}]};

get_recharge_goods(1046) ->
    #base_recharge_goods{id = 1046,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,47,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1047) ->
    #base_recharge_goods{id = 1047,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,48,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1048) ->
    #base_recharge_goods{id = 1048,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,49,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1049) ->
    #base_recharge_goods{id = 1049,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,50,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1050) ->
    #base_recharge_goods{id = 1050,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,51,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1051) ->
    #base_recharge_goods{id = 1051,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,52,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1052) ->
    #base_recharge_goods{id = 1052,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,53,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1053) ->
    #base_recharge_goods{id = 1053,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,54,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1054) ->
    #base_recharge_goods{id = 1054,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,55,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1055) ->
    #base_recharge_goods{id = 1055,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,56,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1056) ->
    #base_recharge_goods{id = 1056,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,57,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1057) ->
    #base_recharge_goods{id = 1057,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,58,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1058) ->
    #base_recharge_goods{id = 1058,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,59,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1059) ->
    #base_recharge_goods{id = 1059,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,60,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1060) ->
    #base_recharge_goods{id = 1060,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,61,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1061) ->
    #base_recharge_goods{id = 1061,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,62,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1062) ->
    #base_recharge_goods{id = 1062,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,63,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1063) ->
    #base_recharge_goods{id = 1063,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,64,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1064) ->
    #base_recharge_goods{id = 1064,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,65,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1065) ->
    #base_recharge_goods{id = 1065,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,66,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1066) ->
    #base_recharge_goods{id = 1066,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,67,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1067) ->
    #base_recharge_goods{id = 1067,type = 4,sub_type = 5,name = <<"装备资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,68,1},{original_price,120},{limit_cost,30}],award = [{100,102607,10},{100,102604,30},{100,101014,45}]};

get_recharge_goods(1068) ->
    #base_recharge_goods{id = 1068,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,69,1},{original_price,36},{limit_cost,6}],award = [{100,251003,1},{100,251002,1},{100,251001,5}]};

get_recharge_goods(1069) ->
    #base_recharge_goods{id = 1069,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,70,1},{original_price,180},{limit_cost,30}],award = [{100,450070,10},{100,251006,1},{100,251005,10}]};

get_recharge_goods(1070) ->
    #base_recharge_goods{id = 1070,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,71,1},{original_price,350},{limit_cost,68}],award = [{100,450070,10},{100,450071,15},{100,251007,20}]};

get_recharge_goods(1071) ->
    #base_recharge_goods{id = 1071,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,72,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251001,30}]};

get_recharge_goods(1072) ->
    #base_recharge_goods{id = 1072,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,73,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251004,30}]};

get_recharge_goods(1073) ->
    #base_recharge_goods{id = 1073,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,74,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251007,30}]};

get_recharge_goods(1074) ->
    #base_recharge_goods{id = 1074,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,75,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251001,30}]};

get_recharge_goods(1075) ->
    #base_recharge_goods{id = 1075,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,76,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251004,30}]};

get_recharge_goods(1076) ->
    #base_recharge_goods{id = 1076,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,77,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251007,30}]};

get_recharge_goods(1077) ->
    #base_recharge_goods{id = 1077,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,78,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251001,30}]};

get_recharge_goods(1078) ->
    #base_recharge_goods{id = 1078,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,79,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251004,30}]};

get_recharge_goods(1079) ->
    #base_recharge_goods{id = 1079,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,80,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251007,30}]};

get_recharge_goods(1080) ->
    #base_recharge_goods{id = 1080,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,81,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251001,30}]};

get_recharge_goods(1081) ->
    #base_recharge_goods{id = 1081,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,82,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251004,30}]};

get_recharge_goods(1082) ->
    #base_recharge_goods{id = 1082,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,83,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251007,30}]};

get_recharge_goods(1083) ->
    #base_recharge_goods{id = 1083,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,84,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251001,30}]};

get_recharge_goods(1084) ->
    #base_recharge_goods{id = 1084,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,85,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251004,30}]};

get_recharge_goods(1085) ->
    #base_recharge_goods{id = 1085,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,86,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251007,30}]};

get_recharge_goods(1086) ->
    #base_recharge_goods{id = 1086,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,87,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251001,30}]};

get_recharge_goods(1087) ->
    #base_recharge_goods{id = 1087,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,88,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251004,30}]};

get_recharge_goods(1088) ->
    #base_recharge_goods{id = 1088,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,89,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251007,30}]};

get_recharge_goods(1089) ->
    #base_recharge_goods{id = 1089,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,90,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251001,30}]};

get_recharge_goods(1090) ->
    #base_recharge_goods{id = 1090,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,91,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251004,30}]};

get_recharge_goods(1091) ->
    #base_recharge_goods{id = 1091,type = 4,sub_type = 5,name = <<"宠物资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,92,1},{original_price,400},{limit_cost,98}],award = [{100,450070,10},{100,450071,15},{100,251007,30}]};

get_recharge_goods(1092) ->
    #base_recharge_goods{id = 1092,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,93,1},{original_price,210},{limit_cost,30}],award = [{100,102306,1},{100,330902,3},{100,330901,15}]};

get_recharge_goods(1093) ->
    #base_recharge_goods{id = 1093,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,94,1},{original_price,340},{limit_cost,68}],award = [{100,102306,1},{100,330903,2},{100,330902,20}]};

get_recharge_goods(1094) ->
    #base_recharge_goods{id = 1094,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,95,1},{original_price,340},{limit_cost,68}],award = [{100,102306,1},{100,330903,2},{100,330902,20}]};

get_recharge_goods(1095) ->
    #base_recharge_goods{id = 1095,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,96,1},{original_price,340},{limit_cost,68}],award = [{100,102306,1},{100,330903,2},{100,330902,20}]};

get_recharge_goods(1096) ->
    #base_recharge_goods{id = 1096,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,97,1},{original_price,340},{limit_cost,68}],award = [{100,102306,1},{100,330903,2},{100,330902,20}]};

get_recharge_goods(1097) ->
    #base_recharge_goods{id = 1097,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,98,1},{original_price,340},{limit_cost,68}],award = [{100,102306,1},{100,330903,2},{100,330902,20}]};

get_recharge_goods(1098) ->
    #base_recharge_goods{id = 1098,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,99,1},{original_price,340},{limit_cost,68}],award = [{100,102306,1},{100,330903,2},{100,330902,20}]};

get_recharge_goods(1099) ->
    #base_recharge_goods{id = 1099,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,100,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1100) ->
    #base_recharge_goods{id = 1100,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,101,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1101) ->
    #base_recharge_goods{id = 1101,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,102,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1102) ->
    #base_recharge_goods{id = 1102,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,103,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1103) ->
    #base_recharge_goods{id = 1103,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,104,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1104) ->
    #base_recharge_goods{id = 1104,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,105,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1105) ->
    #base_recharge_goods{id = 1105,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,106,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1106) ->
    #base_recharge_goods{id = 1106,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,107,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1107) ->
    #base_recharge_goods{id = 1107,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,108,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1108) ->
    #base_recharge_goods{id = 1108,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,109,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1109) ->
    #base_recharge_goods{id = 1109,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,110,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1110) ->
    #base_recharge_goods{id = 1110,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,111,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1111) ->
    #base_recharge_goods{id = 1111,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,112,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1112) ->
    #base_recharge_goods{id = 1112,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,113,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1113) ->
    #base_recharge_goods{id = 1113,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,114,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1114) ->
    #base_recharge_goods{id = 1114,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,115,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1115) ->
    #base_recharge_goods{id = 1115,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,116,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1116) ->
    #base_recharge_goods{id = 1116,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,117,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1117) ->
    #base_recharge_goods{id = 1117,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,118,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1118) ->
    #base_recharge_goods{id = 1118,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,119,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1119) ->
    #base_recharge_goods{id = 1119,type = 4,sub_type = 5,name = <<"战魂升星补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,120,1},{original_price,395},{limit_cost,98}],award = [{100,102306,1},{100,330903,3},{100,330902,25}]};

get_recharge_goods(1120) ->
    #base_recharge_goods{id = 1120,type = 4,sub_type = 5,name = <<"超值圣物补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,121,1},{original_price,413},{limit_cost,68}],award = [{100,102304,1},{100,280301,15},{100,280101,50}]};

get_recharge_goods(1121) ->
    #base_recharge_goods{id = 1121,type = 4,sub_type = 5,name = <<"觉醒圣书补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,122,1},{original_price,650},{limit_cost,128}],award = [{100,280102,5},{100,280301,20},{100,280101,50}]};

get_recharge_goods(1122) ->
    #base_recharge_goods{id = 1122,type = 4,sub_type = 5,name = <<"觉醒圣球补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,123,1},{original_price,650},{limit_cost,128}],award = [{100,280103,5},{100,280301,20},{100,280101,50}]};

get_recharge_goods(1123) ->
    #base_recharge_goods{id = 1123,type = 4,sub_type = 5,name = <<"觉醒圣杯补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,124,1},{original_price,650},{limit_cost,128}],award = [{100,280104,5},{100,280301,20},{100,280101,50}]};

get_recharge_goods(1124) ->
    #base_recharge_goods{id = 1124,type = 4,sub_type = 5,name = <<"觉醒圣冠补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,125,1},{original_price,650},{limit_cost,128}],award = [{100,280105,5},{100,280301,20},{100,280101,50}]};

get_recharge_goods(1125) ->
    #base_recharge_goods{id = 1125,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,126,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1126) ->
    #base_recharge_goods{id = 1126,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,127,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1127) ->
    #base_recharge_goods{id = 1127,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,128,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1128) ->
    #base_recharge_goods{id = 1128,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,129,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1129) ->
    #base_recharge_goods{id = 1129,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,130,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1130) ->
    #base_recharge_goods{id = 1130,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,131,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1131) ->
    #base_recharge_goods{id = 1131,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,132,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1132) ->
    #base_recharge_goods{id = 1132,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,133,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1133) ->
    #base_recharge_goods{id = 1133,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,134,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1134) ->
    #base_recharge_goods{id = 1134,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,135,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1135) ->
    #base_recharge_goods{id = 1135,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,136,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1136) ->
    #base_recharge_goods{id = 1136,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,137,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1137) ->
    #base_recharge_goods{id = 1137,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,138,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1138) ->
    #base_recharge_goods{id = 1138,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,139,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1139) ->
    #base_recharge_goods{id = 1139,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,140,1},{original_price,120},{limit_cost,30}],award = [{100,450072,6},{100,102632,3},{100,102631,25}]};

get_recharge_goods(1140) ->
    #base_recharge_goods{id = 1140,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,141,1},{original_price,345},{limit_cost,68}],award = [{100,450073,10},{100,102632,10},{100,102631,50}]};

get_recharge_goods(1141) ->
    #base_recharge_goods{id = 1141,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,142,1},{original_price,345},{limit_cost,68}],award = [{100,450073,10},{100,102632,10},{100,102631,50}]};

get_recharge_goods(1142) ->
    #base_recharge_goods{id = 1142,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,143,1},{original_price,345},{limit_cost,68}],award = [{100,450073,10},{100,102632,10},{100,102631,50}]};

get_recharge_goods(1143) ->
    #base_recharge_goods{id = 1143,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,144,1},{original_price,345},{limit_cost,68}],award = [{100,450073,10},{100,102632,10},{100,102631,50}]};

get_recharge_goods(1144) ->
    #base_recharge_goods{id = 1144,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,145,1},{original_price,345},{limit_cost,68}],award = [{100,450073,10},{100,102632,10},{100,102631,50}]};

get_recharge_goods(1145) ->
    #base_recharge_goods{id = 1145,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,146,1},{original_price,345},{limit_cost,68}],award = [{100,450073,10},{100,102632,10},{100,102631,50}]};

get_recharge_goods(1146) ->
    #base_recharge_goods{id = 1146,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,147,1},{original_price,345},{limit_cost,68}],award = [{100,450073,10},{100,102632,10},{100,102631,50}]};

get_recharge_goods(1147) ->
    #base_recharge_goods{id = 1147,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,148,1},{original_price,345},{limit_cost,68}],award = [{100,450073,10},{100,102632,10},{100,102631,50}]};

get_recharge_goods(1148) ->
    #base_recharge_goods{id = 1148,type = 4,sub_type = 5,name = <<"星辰资源补给"/utf8>>,limit = [3,1],start_time = 0,end_time = 0,open_day = [{1,9999}],merge_day = [],condition = [{custom_act,69,149,1},{original_price,345},{limit_cost,68}],award = [{100,450073,10},{100,102632,10},{100,102631,50}]};

get_recharge_goods(9996) ->
    #base_recharge_goods{id = 9996,type = 5,sub_type = 1,name = <<"18元首充"/utf8>>,limit = [],start_time = 0,end_time = 0,open_day = [{1,1999}],merge_day = [],condition = [],award = []};

get_recharge_goods(9997) ->
    #base_recharge_goods{id = 9997,type = 5,sub_type = 1,name = <<"30元首充"/utf8>>,limit = [],start_time = 0,end_time = 0,open_day = [{1,1999}],merge_day = [],condition = [],award = []};

get_recharge_goods(9998) ->
    #base_recharge_goods{id = 9998,type = 5,sub_type = 1,name = <<"60元首充"/utf8>>,limit = [],start_time = 0,end_time = 0,open_day = [{1,1999}],merge_day = [],condition = [],award = []};

get_recharge_goods(9999) ->
    #base_recharge_goods{id = 9999,type = 5,sub_type = 1,name = <<"首充礼包"/utf8>>,limit = [],start_time = 0,end_time = 0,open_day = [],merge_day = [],condition = [],award = []};

get_recharge_goods(_Id) ->
    [].


get_recharge_goods_by_type(2) ->
    [301,302,303];


get_recharge_goods_by_type(6) ->
    [701,702,703,704];


get_recharge_goods_by_type(4) ->
    [1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1012,1013,1014,1015,1016,1017,1018,1019,1020,1021,1022,1023,1024,1025,1026,1027,1028,1029,1030,1031,1032,1033,1034,1035,1036,1037,1038,1039,1040,1041,1042,1043,1044,1045,1046,1047,1048,1049,1050,1051,1052,1053,1054,1055,1056,1057,1058,1059,1060,1061,1062,1063,1064,1065,1066,1067,1068,1069,1070,1071,1072,1073,1074,1075,1076,1077,1078,1079,1080,1081,1082,1083,1084,1085,1086,1087,1088,1089,1090,1091,1092,1093,1094,1095,1096,1097,1098,1099,1100,1101,1102,1103,1104,1105,1106,1107,1108,1109,1110,1111,1112,1113,1114,1115,1116,1117,1118,1119,1120,1121,1122,1123,1124,1125,1126,1127,1128,1129,1130,1131,1132,1133,1134,1135,1136,1137,1138,1139,1140,1141,1142,1143,1144,1145,1146,1147,1148];


get_recharge_goods_by_type(5) ->
    [9996,9997,9998,9999];

get_recharge_goods_by_type(_Type) ->
    [].

