%%%---------------------------------------
%%% module      : data_smashed_egg
%%% description : 砸蛋配置
%%%
%%%---------------------------------------
-module(data_smashed_egg).
-compile(export_all).
-include("smashed_egg.hrl").




get_cfg(1) ->
    160;


get_cfg(2) ->
    20;


get_cfg(3) ->
    38180015;

get_cfg(_Id) ->
    false.

get_egg_reward(1) ->
    #goods_reward_cfg{id = 1,min_wlv = 1,max_wlv = 1000,goods_id = 4917010,goods_num = 1,weights = 10,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(2) ->
    #goods_reward_cfg{id = 2,min_wlv = 1,max_wlv = 1000,goods_id = 38180010,goods_num = 1,weights = 40,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(3) ->
    #goods_reward_cfg{id = 3,min_wlv = 1,max_wlv = 1000,goods_id = 38220009,goods_num = 1,weights = 2250,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(4) ->
    #goods_reward_cfg{id = 4,min_wlv = 1,max_wlv = 1000,goods_id = 12030011,goods_num = 1,weights = 20,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(5) ->
    #goods_reward_cfg{id = 5,min_wlv = 1,max_wlv = 1000,goods_id = 38220009,goods_num = 5,weights = 70,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(6) ->
    #goods_reward_cfg{id = 6,min_wlv = 1,max_wlv = 1000,goods_id = 38220009,goods_num = 3,weights = 1350,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(7) ->
    #goods_reward_cfg{id = 7,min_wlv = 1,max_wlv = 1000,goods_id = 12010011,goods_num = 1,weights = 20,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(8) ->
    #goods_reward_cfg{id = 8,min_wlv = 1,max_wlv = 1000,goods_id = 38180012,goods_num = 2,weights = 10,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(9) ->
    #goods_reward_cfg{id = 9,min_wlv = 1,max_wlv = 1000,goods_id = 20030014,goods_num = 1,weights = 5,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(10) ->
    #goods_reward_cfg{id = 10,min_wlv = 1,max_wlv = 1000,goods_id = 18041002,goods_num = 2,weights = 20,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(11) ->
    #goods_reward_cfg{id = 11,min_wlv = 1,max_wlv = 1000,goods_id = 18041002,goods_num = 1,weights = 30,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(12) ->
    #goods_reward_cfg{id = 12,min_wlv = 1,max_wlv = 1000,goods_id = 18041005,goods_num = 2,weights = 20,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(13) ->
    #goods_reward_cfg{id = 13,min_wlv = 1,max_wlv = 1000,goods_id = 38180012,goods_num = 1,weights = 20,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(14) ->
    #goods_reward_cfg{id = 14,min_wlv = 1,max_wlv = 1000,goods_id = 5203004,goods_num = 4,weights = 30,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(15) ->
    #goods_reward_cfg{id = 15,min_wlv = 1,max_wlv = 1000,goods_id = 15020303,goods_num = 1,weights = 30,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(16) ->
    #goods_reward_cfg{id = 16,min_wlv = 1,max_wlv = 1000,goods_id = 18041005,goods_num = 1,weights = 30,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(17) ->
    #goods_reward_cfg{id = 17,min_wlv = 1,max_wlv = 1000,goods_id = 24010001,goods_num = 10,weights = 180,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(18) ->
    #goods_reward_cfg{id = 18,min_wlv = 1,max_wlv = 1000,goods_id = 20060003,goods_num = 1,weights = 180,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(19) ->
    #goods_reward_cfg{id = 19,min_wlv = 1,max_wlv = 1000,goods_id = 53020030,goods_num = 1,weights = 180,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(20) ->
    #goods_reward_cfg{id = 20,min_wlv = 1,max_wlv = 1000,goods_id = 20020001,goods_num = 1,weights = 180,effect = 1,is_tv = 1,is_rare = 0};

get_egg_reward(21) ->
    #goods_reward_cfg{id = 21,min_wlv = 1,max_wlv = 1000,goods_id = 20020002,goods_num = 1,weights = 180,effect = 1,is_tv = 1,is_rare = 0};

get_egg_reward(22) ->
    #goods_reward_cfg{id = 22,min_wlv = 1,max_wlv = 1000,goods_id = 16010001,goods_num = 1,weights = 180,effect = 1,is_tv = 1,is_rare = 0};

get_egg_reward(23) ->
    #goods_reward_cfg{id = 23,min_wlv = 1,max_wlv = 1000,goods_id = 16010002,goods_num = 1,weights = 180,effect = 1,is_tv = 1,is_rare = 0};

get_egg_reward(24) ->
    #goods_reward_cfg{id = 24,min_wlv = 1,max_wlv = 1000,goods_id = 53030010,goods_num = 1,weights = 180,effect = 1,is_tv = 1,is_rare = 0};

get_egg_reward(25) ->
    #goods_reward_cfg{id = 25,min_wlv = 1,max_wlv = 1000,goods_id = 53030020,goods_num = 1,weights = 180,effect = 1,is_tv = 1,is_rare = 0};

get_egg_reward(26) ->
    #goods_reward_cfg{id = 26,min_wlv = 1,max_wlv = 1000,goods_id = 17020001,goods_num = 1,weights = 180,effect = 1,is_tv = 1,is_rare = 0};

get_egg_reward(27) ->
    #goods_reward_cfg{id = 27,min_wlv = 1,max_wlv = 1000,goods_id = 17020002,goods_num = 1,weights = 180,effect = 0,is_tv = 1,is_rare = 0};

get_egg_reward(28) ->
    #goods_reward_cfg{id = 28,min_wlv = 1,max_wlv = 1000,goods_id = 32020112,goods_num = 10,weights = 20,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(29) ->
    #goods_reward_cfg{id = 29,min_wlv = 1,max_wlv = 1000,goods_id = 32020112,goods_num = 5,weights = 50,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(30) ->
    #goods_reward_cfg{id = 30,min_wlv = 1,max_wlv = 1000,goods_id = 32020112,goods_num = 3,weights = 100,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(31) ->
    #goods_reward_cfg{id = 31,min_wlv = 1,max_wlv = 1000,goods_id = 32020113,goods_num = 2,weights = 50,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(32) ->
    #goods_reward_cfg{id = 32,min_wlv = 1,max_wlv = 1000,goods_id = 32020114,goods_num = 1,weights = 20,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(33) ->
    #goods_reward_cfg{id = 33,min_wlv = 1,max_wlv = 1000,goods_id = 16020001,goods_num = 5,weights = 310,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(34) ->
    #goods_reward_cfg{id = 34,min_wlv = 1,max_wlv = 1000,goods_id = 11020001,goods_num = 5,weights = 310,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(35) ->
    #goods_reward_cfg{id = 35,min_wlv = 1,max_wlv = 1000,goods_id = 5203003,goods_num = 3,weights = 310,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(36) ->
    #goods_reward_cfg{id = 36,min_wlv = 1,max_wlv = 1000,goods_id = 38260001,goods_num = 10,weights = 310,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(37) ->
    #goods_reward_cfg{id = 37,min_wlv = 1,max_wlv = 1000,goods_id = 20060001,goods_num = 3,weights = 310,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(38) ->
    #goods_reward_cfg{id = 38,min_wlv = 1,max_wlv = 1000,goods_id = 24010001,goods_num = 3,weights = 310,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(39) ->
    #goods_reward_cfg{id = 39,min_wlv = 1,max_wlv = 1000,goods_id = 53020010,goods_num = 3,weights = 310,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(40) ->
    #goods_reward_cfg{id = 40,min_wlv = 1,max_wlv = 1000,goods_id = 18020001,goods_num = 5,weights = 310,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(41) ->
    #goods_reward_cfg{id = 41,min_wlv = 1,max_wlv = 1000,goods_id = 20060002,goods_num = 1,weights = 310,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(42) ->
    #goods_reward_cfg{id = 42,min_wlv = 1,max_wlv = 1000,goods_id = 15020301,goods_num = 2,weights = 310,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(43) ->
    #goods_reward_cfg{id = 43,min_wlv = 1,max_wlv = 1000,goods_id = 15020302,goods_num = 1,weights = 115,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(44) ->
    #goods_reward_cfg{id = 44,min_wlv = 1,max_wlv = 1000,goods_id = 53020020,goods_num = 1,weights = 310,effect = 1,is_tv = 1,is_rare = 1};

get_egg_reward(45) ->
    #goods_reward_cfg{id = 45,min_wlv = 1,max_wlv = 1000,goods_id = 14010104,goods_num = 1,weights = 50,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(46) ->
    #goods_reward_cfg{id = 46,min_wlv = 1,max_wlv = 1000,goods_id = 14020204,goods_num = 1,weights = 50,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(47) ->
    #goods_reward_cfg{id = 47,min_wlv = 1,max_wlv = 1000,goods_id = 14010103,goods_num = 1,weights = 100,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(48) ->
    #goods_reward_cfg{id = 48,min_wlv = 1,max_wlv = 1000,goods_id = 14020203,goods_num = 1,weights = 100,effect = 0,is_tv = 0,is_rare = 0};

get_egg_reward(_Id) ->
    [].

get_all_reward_ids() ->
    [{1,1000,1},{1,1000,2},{1,1000,3},{1,1000,4},{1,1000,5},{1,1000,6},{1,1000,7},{1,1000,8},{1,1000,9},{1,1000,10},{1,1000,11},{1,1000,12},{1,1000,13},{1,1000,14},{1,1000,15},{1,1000,16},{1,1000,17},{1,1000,18},{1,1000,19},{1,1000,20},{1,1000,21},{1,1000,22},{1,1000,23},{1,1000,24},{1,1000,25},{1,1000,26},{1,1000,27},{1,1000,28},{1,1000,29},{1,1000,30},{1,1000,31},{1,1000,32},{1,1000,33},{1,1000,34},{1,1000,35},{1,1000,36},{1,1000,37},{1,1000,38},{1,1000,39},{1,1000,40},{1,1000,41},{1,1000,42},{1,1000,43},{1,1000,44},{1,1000,45},{1,1000,46},{1,1000,47},{1,1000,48}].


get_reward_ids_by_show_tag(1) ->
    [{1,1000,1},{1,1000,2},{1,1000,3},{1,1000,4},{1,1000,5},{1,1000,6},{1,1000,7},{1,1000,8},{1,1000,9},{1,1000,10},{1,1000,11},{1,1000,12},{1,1000,13},{1,1000,14},{1,1000,15},{1,1000,16},{1,1000,18},{1,1000,19},{1,1000,28},{1,1000,31},{1,1000,32},{1,1000,41},{1,1000,43},{1,1000,44}];


get_reward_ids_by_show_tag(0) ->
    [{1,1000,17},{1,1000,20},{1,1000,21},{1,1000,22},{1,1000,23},{1,1000,24},{1,1000,25},{1,1000,26},{1,1000,27},{1,1000,29},{1,1000,30},{1,1000,33},{1,1000,34},{1,1000,35},{1,1000,36},{1,1000,37},{1,1000,38},{1,1000,39},{1,1000,40},{1,1000,42},{1,1000,45},{1,1000,46},{1,1000,47},{1,1000,48}];

get_reward_ids_by_show_tag(_Israre) ->
    [].

get_all_cumulate_reward_times() ->
    [{0,9999,15},{0,9999,45},{0,9999,95},{0,9999,188}].

get_cumulate_reward(15,_WorldLv) when _WorldLv >= 0, _WorldLv =< 9999 ->
	#cumulate_reward_cfg{min_wlv=0,max_wlv=9999,times=15,reward=[{0,38220009,8}]};
get_cumulate_reward(45,_WorldLv) when _WorldLv >= 0, _WorldLv =< 9999 ->
	#cumulate_reward_cfg{min_wlv=0,max_wlv=9999,times=45,reward=[{0,38220009,14}]};
get_cumulate_reward(95,_WorldLv) when _WorldLv >= 0, _WorldLv =< 9999 ->
	#cumulate_reward_cfg{min_wlv=0,max_wlv=9999,times=95,reward=[{0,38220009,20}]};
get_cumulate_reward(188,_WorldLv) when _WorldLv >= 0, _WorldLv =< 9999 ->
	#cumulate_reward_cfg{min_wlv=0,max_wlv=9999,times=188,reward=[{0,38220009,88}]};
get_cumulate_reward(_Times,_WorldLv) ->
    [].

get_free_time() ->
    [1,2,3,4,5].


get_free_need_oltime(1) ->
    60;


get_free_need_oltime(2) ->
    300;


get_free_need_oltime(3) ->
    600;


get_free_need_oltime(4) ->
    1800;


get_free_need_oltime(5) ->
    3600;

get_free_need_oltime(_Times) ->
    false.

