%%%---------------------------------------
%%% module      : data_sup_red_packet
%%% description : 惊喜红包配置
%%%
%%%---------------------------------------
-module(data_sup_red_packet).
-compile(export_all).
-include("red_packet.hrl").



get_red_packet(1) ->
    #base_sup_red_packet{id = 1,draw_pool = 1,recharge_gold = 100,mid_draw = {1,38,0},up_draw = {2,58,0},dream_draw = {3,88,1}};

get_red_packet(2) ->
    #base_sup_red_packet{id = 2,draw_pool = 1,recharge_gold = 200,mid_draw = {1,68,4},up_draw = {2,98,0},dream_draw = {3,188,1}};

get_red_packet(3) ->
    #base_sup_red_packet{id = 3,draw_pool = 1,recharge_gold = 500,mid_draw = {1,38,0},up_draw = {2,98,20},dream_draw = {3,288,80}};

get_red_packet(4) ->
    #base_sup_red_packet{id = 4,draw_pool = 1,recharge_gold = 800,mid_draw = {1,98,0},up_draw = {2,128,25},dream_draw = {3,288,75}};

get_red_packet(5) ->
    #base_sup_red_packet{id = 5,draw_pool = 1,recharge_gold = 1200,mid_draw = {1,38,0},up_draw = {2,128,25},dream_draw = {3,288,75}};

get_red_packet(6) ->
    #base_sup_red_packet{id = 6,draw_pool = 1,recharge_gold = 1600,mid_draw = {1,98,0},up_draw = {2,188,30},dream_draw = {3,388,70}};

get_red_packet(7) ->
    #base_sup_red_packet{id = 7,draw_pool = 1,recharge_gold = 2000,mid_draw = {1,38,0},up_draw = {2,98,30},dream_draw = {3,388,70}};

get_red_packet(8) ->
    #base_sup_red_packet{id = 8,draw_pool = 1,recharge_gold = 3000,mid_draw = {1,28,0},up_draw = {2,188,60},dream_draw = {3,588,40}};

get_red_packet(9) ->
    #base_sup_red_packet{id = 9,draw_pool = 1,recharge_gold = 5000,mid_draw = {1,98,0},up_draw = {2,188,60},dream_draw = {3,688,40}};

get_red_packet(10) ->
    #base_sup_red_packet{id = 10,draw_pool = 1,recharge_gold = 7000,mid_draw = {1,388,0},up_draw = {2,588,20},dream_draw = {3,788,80}};

get_red_packet(11) ->
    #base_sup_red_packet{id = 11,draw_pool = 1,recharge_gold = 10000,mid_draw = {1,388,0},up_draw = {2,588,80},dream_draw = {3,1288,20}};

get_red_packet(12) ->
    #base_sup_red_packet{id = 12,draw_pool = 1,recharge_gold = 15000,mid_draw = {1,88,0},up_draw = {2,188,40},dream_draw = {3,988,60}};

get_red_packet(13) ->
    #base_sup_red_packet{id = 13,draw_pool = 1,recharge_gold = 20000,mid_draw = {1,88,5},up_draw = {2,388,90},dream_draw = {3,988,5}};

get_red_packet(14) ->
    #base_sup_red_packet{id = 14,draw_pool = 1,recharge_gold = 30000,mid_draw = {1,88,5},up_draw = {2,988,90},dream_draw = {3,1888,5}};

get_red_packet(15) ->
    #base_sup_red_packet{id = 15,draw_pool = 1,recharge_gold = 50000,mid_draw = {1,88,5},up_draw = {2,988,95},dream_draw = {3,2888,5}};

get_red_packet(16) ->
    #base_sup_red_packet{id = 16,draw_pool = 1,recharge_gold = 100000,mid_draw = {1,88,5},up_draw = {2,988,90},dream_draw = {3,2888,5}};

get_red_packet(17) ->
    #base_sup_red_packet{id = 17,draw_pool = 2,recharge_gold = 100,mid_draw = {1,27,0},up_draw = {2,57,0},dream_draw = {3,77,1}};

get_red_packet(18) ->
    #base_sup_red_packet{id = 18,draw_pool = 2,recharge_gold = 200,mid_draw = {1,57,4},up_draw = {2,97,0},dream_draw = {3,177,1}};

get_red_packet(19) ->
    #base_sup_red_packet{id = 19,draw_pool = 2,recharge_gold = 500,mid_draw = {1,27,0},up_draw = {2,97,20},dream_draw = {3,277,70}};

get_red_packet(20) ->
    #base_sup_red_packet{id = 20,draw_pool = 2,recharge_gold = 800,mid_draw = {1,97,0},up_draw = {2,127,25},dream_draw = {3,277,75}};

get_red_packet(21) ->
    #base_sup_red_packet{id = 21,draw_pool = 2,recharge_gold = 1200,mid_draw = {1,27,0},up_draw = {2,127,25},dream_draw = {3,277,75}};

get_red_packet(22) ->
    #base_sup_red_packet{id = 22,draw_pool = 2,recharge_gold = 1600,mid_draw = {1,77,0},up_draw = {2,177,30},dream_draw = {3,377,70}};

get_red_packet(23) ->
    #base_sup_red_packet{id = 23,draw_pool = 2,recharge_gold = 2000,mid_draw = {1,27,0},up_draw = {2,97,30},dream_draw = {3,377,70}};

get_red_packet(24) ->
    #base_sup_red_packet{id = 24,draw_pool = 2,recharge_gold = 3000,mid_draw = {1,27,0},up_draw = {2,177,60},dream_draw = {3,577,40}};

get_red_packet(25) ->
    #base_sup_red_packet{id = 25,draw_pool = 2,recharge_gold = 5000,mid_draw = {1,97,0},up_draw = {2,177,60},dream_draw = {3,677,40}};

get_red_packet(26) ->
    #base_sup_red_packet{id = 26,draw_pool = 2,recharge_gold = 7000,mid_draw = {1,377,0},up_draw = {2,577,20},dream_draw = {3,777,70}};

get_red_packet(27) ->
    #base_sup_red_packet{id = 27,draw_pool = 2,recharge_gold = 10000,mid_draw = {1,377,0},up_draw = {2,577,70},dream_draw = {3,1277,20}};

get_red_packet(28) ->
    #base_sup_red_packet{id = 28,draw_pool = 2,recharge_gold = 15000,mid_draw = {1,77,0},up_draw = {2,177,40},dream_draw = {3,977,60}};

get_red_packet(29) ->
    #base_sup_red_packet{id = 29,draw_pool = 2,recharge_gold = 20000,mid_draw = {1,77,5},up_draw = {2,377,90},dream_draw = {3,977,5}};

get_red_packet(30) ->
    #base_sup_red_packet{id = 30,draw_pool = 2,recharge_gold = 30000,mid_draw = {1,77,5},up_draw = {2,977,90},dream_draw = {3,1777,5}};

get_red_packet(31) ->
    #base_sup_red_packet{id = 31,draw_pool = 2,recharge_gold = 50000,mid_draw = {1,77,5},up_draw = {2,977,95},dream_draw = {3,2777,5}};

get_red_packet(32) ->
    #base_sup_red_packet{id = 32,draw_pool = 2,recharge_gold = 100000,mid_draw = {1,77,5},up_draw = {2,977,90},dream_draw = {3,2777,5}};

get_red_packet(_Id) ->
    [].


get_reward_list(1) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16];


get_reward_list(2) ->
    [17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32];

get_reward_list(_Drawpool) ->
    [].


get_recharge_list(1) ->
    [100,200,500,800,1200,1600,2000,3000,5000,7000,10000,15000,20000,30000,50000,100000];


get_recharge_list(2) ->
    [100,200,500,800,1200,1600,2000,3000,5000,7000,10000,15000,20000,30000,50000,100000];

get_recharge_list(_Drawpool) ->
    [].

