%%%---------------------------------------
%%% module      : data_treasure_house
%%% description : 珍宝阁配置（留存抽奖）
%%%
%%%---------------------------------------
-module(data_treasure_house).
-compile(export_all).



draw_periods() ->
    [1,2,3].


draw_ids(1) ->
    [{10,1},{10,2},{10,3},{10,4},{10,5},{10,6},{10,7},{10,8},{5,9},{5,10},{5,15},{5,16},{1,17},{1,18},{1,23},{1,24}];


draw_ids(2) ->
    [{5,11},{5,12},{1,19},{1,20}];


draw_ids(3) ->
    [{5,13},{5,14},{1,21},{1,22}];

draw_ids(_Period) ->
    [].


draw_award(1) ->
    [{100,230101,1}];


draw_award(2) ->
    [{100,230102,1}];


draw_award(3) ->
    [{100,230103,1}];


draw_award(4) ->
    [{100,230104,1}];


draw_award(5) ->
    [{100,230105,1}];


draw_award(6) ->
    [{100,230106,1}];


draw_award(7) ->
    [{100,230107,1}];


draw_award(8) ->
    [{100,230108,1}];


draw_award(9) ->
    [{100,109011,1}];


draw_award(10) ->
    [{100,109012,1}];


draw_award(11) ->
    [{100,109013,1}];


draw_award(12) ->
    [{100,109014,1}];


draw_award(13) ->
    [{100,109015,1}];


draw_award(14) ->
    [{100,109016,1}];


draw_award(15) ->
    [{100,109017,1}];


draw_award(16) ->
    [{100,109018,1}];


draw_award(17) ->
    [{100,109031,1}];


draw_award(18) ->
    [{100,109032,1}];


draw_award(19) ->
    [{100,109033,1}];


draw_award(20) ->
    [{100,109034,1}];


draw_award(21) ->
    [{100,109035,1}];


draw_award(22) ->
    [{100,109036,1}];


draw_award(23) ->
    [{100,109037,1}];


draw_award(24) ->
    [{100,109038,1}];

draw_award(_Id) ->
    [].


draw_id_others(1) ->
    {0,0};


draw_id_others(2) ->
    {0,0};


draw_id_others(3) ->
    {0,0};


draw_id_others(4) ->
    {0,0};


draw_id_others(5) ->
    {0,0};


draw_id_others(6) ->
    {0,0};


draw_id_others(7) ->
    {0,0};


draw_id_others(8) ->
    {0,0};


draw_id_others(9) ->
    {1,0};


draw_id_others(10) ->
    {1,0};


draw_id_others(11) ->
    {1,0};


draw_id_others(12) ->
    {1,0};


draw_id_others(13) ->
    {1,0};


draw_id_others(14) ->
    {1,0};


draw_id_others(15) ->
    {1,0};


draw_id_others(16) ->
    {1,0};


draw_id_others(17) ->
    {2,1};


draw_id_others(18) ->
    {2,1};


draw_id_others(19) ->
    {2,1};


draw_id_others(20) ->
    {2,1};


draw_id_others(21) ->
    {2,1};


draw_id_others(22) ->
    {2,1};


draw_id_others(23) ->
    {2,1};


draw_id_others(24) ->
    {2,1};

draw_id_others(_Id) ->
    {0,0}.

get_period(OpenDay) when OpenDay >= 1  andalso  OpenDay =< 7 ->
		1;
get_period(OpenDay) when OpenDay >= 8  andalso  OpenDay =< 15 ->
		2;
get_period(OpenDay) when OpenDay >= 16  andalso  OpenDay =< 9999 ->
		3;
get_period(_OpenDay) ->
    false.


rounds(1) ->
    [1,2];


rounds(2) ->
    [1,2];


rounds(3) ->
    [1,2];

rounds(_Period) ->
    [].

round_counts(1,1) ->
    [10,30,50,100];

round_counts(1,2) ->
    [10,30,50,100];

round_counts(2,1) ->
    [10,30,50,100];

round_counts(2,2) ->
    [10,30,50,100];

round_counts(3,1) ->
    [10,30,50,100];

round_counts(3,2) ->
    [10,30,50,100];

round_counts(_Period,_Round) ->
    [].

draw_count_award(1,1,10) ->
    [{100,230301,1}];

draw_count_award(1,1,30) ->
    [{100,230302,1}];

draw_count_award(1,1,50) ->
    [{100,230303,1}];

draw_count_award(1,1,100) ->
    [{100,230304,1}];

draw_count_award(1,2,10) ->
    [{100,109031,1}];

draw_count_award(1,2,30) ->
    [{100,109032,1}];

draw_count_award(1,2,50) ->
    [{100,109033,1}];

draw_count_award(1,2,100) ->
    [{100,109034,1}];

draw_count_award(2,1,10) ->
    [{100,109021,1}];

draw_count_award(2,1,30) ->
    [{100,109022,1}];

draw_count_award(2,1,50) ->
    [{100,109023,1}];

draw_count_award(2,1,100) ->
    [{100,109024,1}];

draw_count_award(2,2,10) ->
    [{100,222001,1}];

draw_count_award(2,2,30) ->
    [{100,222002,1}];

draw_count_award(2,2,50) ->
    [{100,222003,1}];

draw_count_award(2,2,100) ->
    [{100,222004,1}];

draw_count_award(3,1,10) ->
    [{100,102610,1}];

draw_count_award(3,1,30) ->
    [{100,102611,1}];

draw_count_award(3,1,50) ->
    [{100,102612,1}];

draw_count_award(3,1,100) ->
    [{100,102613,1}];

draw_count_award(3,2,10) ->
    [{100,211001,1}];

draw_count_award(3,2,30) ->
    [{100,211002,1}];

draw_count_award(3,2,50) ->
    [{100,211003,1}];

draw_count_award(3,2,100) ->
    [{100,211004,1}];

draw_count_award(_Period,_Round,_Count) ->
    [].

round_count_max(1,1) -> 100;
round_count_max(1,2) -> 100;
round_count_max(2,1) -> 100;
round_count_max(2,2) -> 100;
round_count_max(3,1) -> 100;
round_count_max(3,2) -> 100;
round_count_max(_Period,_Round) -> 999999.

round_max(1) -> 2;
round_max(2) -> 2;
round_max(3) -> 2;
round_max(_Period) -> 0.

%%抽奖保底珍稀以上奖励的次数周期
kv_get(guarantee_cycle) ->
    10;

%%开服前七天，概率获得提升的对应开服天数
kv_get(open_days) ->
    [5,6,7];

%%概率提升倍数，[{奖励珍稀类型,提升权重值}]
kv_get(prob_up) ->
    [{2,1500}];

%%传闻记录数量
kv_get(record_count) ->
    10;

%%抽奖券物品id
kv_get(ticket_goods) ->
    102314;

%%开服前七天之后，概率获得提升的一周内日期数
kv_get(week_days) ->
    [3,4,5];

kv_get(_Key) ->
    undefined.

ticket_tasks() ->
    [{1,3,{buy,[{1,100000,30}]}},{2,3,{buy,[{3,100002,500}]}},{3,1,{checkin,1}},{4,1,{kill_mon,3}},{5,1,{kill_mon,9}}].

%%彩钻三折购买
task_details(1) ->
    {buy,[{1,100000,30}]};

%%交易券购买
task_details(2) ->
    {buy,[{3,100002,500}]};

%%每日签到
task_details(3) ->
    {checkin,1};

%%击杀次元幻魔
task_details(4) ->
    {kill_mon,3};

%%击杀星域幻魔
task_details(5) ->
    {kill_mon,9};

task_details(_Id) ->
    undefined.

