%%%---------------------------------------
%%% module      : data_uranium
%%% description : 魂力系统配置
%%%
%%%---------------------------------------
-module(data_uranium).
-compile(export_all).
-include("role_uranium.hrl").



get_uranium_lv(1,0) ->
    #base_uranium_lv{grade = 1,lv = 0,energy = 100,attrs = [{1,192},{2,1925},{4,96}]};

get_uranium_lv(1,1) ->
    #base_uranium_lv{grade = 1,lv = 1,energy = 200,attrs = [{1,225},{2,2254},{4,113}]};

get_uranium_lv(1,2) ->
    #base_uranium_lv{grade = 1,lv = 2,energy = 300,attrs = [{1,259},{2,2589},{4,129}]};

get_uranium_lv(1,3) ->
    #base_uranium_lv{grade = 1,lv = 3,energy = 400,attrs = [{1,293},{2,2928},{4,146}]};

get_uranium_lv(1,4) ->
    #base_uranium_lv{grade = 1,lv = 4,energy = 500,attrs = [{1,327},{2,3272},{4,164}]};

get_uranium_lv(1,5) ->
    #base_uranium_lv{grade = 1,lv = 5,energy = 500,attrs = [{1,362},{2,3621},{4,181}]};

get_uranium_lv(1,6) ->
    #base_uranium_lv{grade = 1,lv = 6,energy = 500,attrs = [{1,397},{2,3974},{4,199}]};

get_uranium_lv(1,7) ->
    #base_uranium_lv{grade = 1,lv = 7,energy = 500,attrs = [{1,433},{2,4333},{4,217}]};

get_uranium_lv(1,8) ->
    #base_uranium_lv{grade = 1,lv = 8,energy = 0,attrs = [{1,470},{2,4696},{4,235}]};

get_uranium_lv(2,0) ->
    #base_uranium_lv{grade = 2,lv = 0,energy = 600,attrs = [{1,506},{2,5064},{4,253}]};

get_uranium_lv(2,1) ->
    #base_uranium_lv{grade = 2,lv = 1,energy = 600,attrs = [{1,544},{2,5437},{4,272}]};

get_uranium_lv(2,2) ->
    #base_uranium_lv{grade = 2,lv = 2,energy = 600,attrs = [{1,581},{2,5814},{4,291}]};

get_uranium_lv(2,3) ->
    #base_uranium_lv{grade = 2,lv = 3,energy = 600,attrs = [{1,620},{2,6197},{4,310}]};

get_uranium_lv(2,4) ->
    #base_uranium_lv{grade = 2,lv = 4,energy = 600,attrs = [{1,658},{2,6584},{4,329}]};

get_uranium_lv(2,5) ->
    #base_uranium_lv{grade = 2,lv = 5,energy = 600,attrs = [{1,698},{2,6976},{4,349}]};

get_uranium_lv(2,6) ->
    #base_uranium_lv{grade = 2,lv = 6,energy = 600,attrs = [{1,737},{2,7373},{4,369}]};

get_uranium_lv(2,7) ->
    #base_uranium_lv{grade = 2,lv = 7,energy = 600,attrs = [{1,777},{2,7774},{4,389}]};

get_uranium_lv(2,8) ->
    #base_uranium_lv{grade = 2,lv = 8,energy = 0,attrs = [{1,818},{2,8181},{4,409}]};

get_uranium_lv(3,0) ->
    #base_uranium_lv{grade = 3,lv = 0,energy = 700,attrs = [{1,859},{2,8592},{4,430}]};

get_uranium_lv(3,1) ->
    #base_uranium_lv{grade = 3,lv = 1,energy = 700,attrs = [{1,901},{2,9008},{4,450}]};

get_uranium_lv(3,2) ->
    #base_uranium_lv{grade = 3,lv = 2,energy = 700,attrs = [{1,943},{2,9429},{4,471}]};

get_uranium_lv(3,3) ->
    #base_uranium_lv{grade = 3,lv = 3,energy = 700,attrs = [{1,985},{2,9854},{4,493}]};

get_uranium_lv(3,4) ->
    #base_uranium_lv{grade = 3,lv = 4,energy = 700,attrs = [{1,1028},{2,10285},{4,514}]};

get_uranium_lv(3,5) ->
    #base_uranium_lv{grade = 3,lv = 5,energy = 700,attrs = [{1,1072},{2,10720},{4,536}]};

get_uranium_lv(3,6) ->
    #base_uranium_lv{grade = 3,lv = 6,energy = 700,attrs = [{1,1116},{2,11160},{4,558}]};

get_uranium_lv(3,7) ->
    #base_uranium_lv{grade = 3,lv = 7,energy = 700,attrs = [{1,1160},{2,11605},{4,580}]};

get_uranium_lv(3,8) ->
    #base_uranium_lv{grade = 3,lv = 8,energy = 0,attrs = [{1,1205},{2,12054},{4,603}]};

get_uranium_lv(4,0) ->
    #base_uranium_lv{grade = 4,lv = 0,energy = 800,attrs = [{1,1251},{2,12509},{4,625}]};

get_uranium_lv(4,1) ->
    #base_uranium_lv{grade = 4,lv = 1,energy = 800,attrs = [{1,1297},{2,12968},{4,648}]};

get_uranium_lv(4,2) ->
    #base_uranium_lv{grade = 4,lv = 2,energy = 800,attrs = [{1,1343},{2,13432},{4,672}]};

get_uranium_lv(4,3) ->
    #base_uranium_lv{grade = 4,lv = 3,energy = 800,attrs = [{1,1390},{2,13901},{4,695}]};

get_uranium_lv(4,4) ->
    #base_uranium_lv{grade = 4,lv = 4,energy = 800,attrs = [{1,1437},{2,14374},{4,719}]};

get_uranium_lv(4,5) ->
    #base_uranium_lv{grade = 4,lv = 5,energy = 800,attrs = [{1,1485},{2,14853},{4,743}]};

get_uranium_lv(4,6) ->
    #base_uranium_lv{grade = 4,lv = 6,energy = 800,attrs = [{1,1534},{2,15336},{4,767}]};

get_uranium_lv(4,7) ->
    #base_uranium_lv{grade = 4,lv = 7,energy = 800,attrs = [{1,1582},{2,15824},{4,791}]};

get_uranium_lv(4,8) ->
    #base_uranium_lv{grade = 4,lv = 8,energy = 0,attrs = [{1,1632},{2,16317},{4,816}]};

get_uranium_lv(5,0) ->
    #base_uranium_lv{grade = 5,lv = 0,energy = 900,attrs = [{1,1681},{2,16814},{4,841}]};

get_uranium_lv(5,1) ->
    #base_uranium_lv{grade = 5,lv = 1,energy = 900,attrs = [{1,1732},{2,17317},{4,866}]};

get_uranium_lv(5,2) ->
    #base_uranium_lv{grade = 5,lv = 2,energy = 900,attrs = [{1,1782},{2,17824},{4,891}]};

get_uranium_lv(5,3) ->
    #base_uranium_lv{grade = 5,lv = 3,energy = 900,attrs = [{1,1834},{2,18336},{4,917}]};

get_uranium_lv(5,4) ->
    #base_uranium_lv{grade = 5,lv = 4,energy = 900,attrs = [{1,1885},{2,18853},{4,943}]};

get_uranium_lv(5,5) ->
    #base_uranium_lv{grade = 5,lv = 5,energy = 900,attrs = [{1,1937},{2,19374},{4,969}]};

get_uranium_lv(5,6) ->
    #base_uranium_lv{grade = 5,lv = 6,energy = 900,attrs = [{1,1990},{2,19901},{4,995}]};

get_uranium_lv(5,7) ->
    #base_uranium_lv{grade = 5,lv = 7,energy = 900,attrs = [{1,2043},{2,20432},{4,1022}]};

get_uranium_lv(5,8) ->
    #base_uranium_lv{grade = 5,lv = 8,energy = 0,attrs = [{1,2097},{2,20968},{4,1048}]};

get_uranium_lv(6,0) ->
    #base_uranium_lv{grade = 6,lv = 0,energy = 1000,attrs = [{1,2151},{2,21509},{4,1075}]};

get_uranium_lv(6,1) ->
    #base_uranium_lv{grade = 6,lv = 1,energy = 1000,attrs = [{1,2205},{2,22054},{4,1103}]};

get_uranium_lv(6,2) ->
    #base_uranium_lv{grade = 6,lv = 2,energy = 1000,attrs = [{1,2260},{2,22605},{4,1130}]};

get_uranium_lv(6,3) ->
    #base_uranium_lv{grade = 6,lv = 3,energy = 1000,attrs = [{1,2316},{2,23160},{4,1158}]};

get_uranium_lv(6,4) ->
    #base_uranium_lv{grade = 6,lv = 4,energy = 1000,attrs = [{1,2372},{2,23720},{4,1186}]};

get_uranium_lv(6,5) ->
    #base_uranium_lv{grade = 6,lv = 5,energy = 1000,attrs = [{1,2428},{2,24285},{4,1214}]};

get_uranium_lv(6,6) ->
    #base_uranium_lv{grade = 6,lv = 6,energy = 1000,attrs = [{1,2485},{2,24854},{4,1243}]};

get_uranium_lv(6,7) ->
    #base_uranium_lv{grade = 6,lv = 7,energy = 1000,attrs = [{1,2543},{2,25429},{4,1271}]};

get_uranium_lv(6,8) ->
    #base_uranium_lv{grade = 6,lv = 8,energy = 0,attrs = [{1,2601},{2,26008},{4,1300}]};

get_uranium_lv(7,0) ->
    #base_uranium_lv{grade = 7,lv = 0,energy = 1100,attrs = [{1,2659},{2,26592},{4,1330}]};

get_uranium_lv(7,1) ->
    #base_uranium_lv{grade = 7,lv = 1,energy = 1100,attrs = [{1,2718},{2,27181},{4,1359}]};

get_uranium_lv(7,2) ->
    #base_uranium_lv{grade = 7,lv = 2,energy = 1100,attrs = [{1,2777},{2,27774},{4,1389}]};

get_uranium_lv(7,3) ->
    #base_uranium_lv{grade = 7,lv = 3,energy = 1100,attrs = [{1,2837},{2,28373},{4,1419}]};

get_uranium_lv(7,4) ->
    #base_uranium_lv{grade = 7,lv = 4,energy = 1100,attrs = [{1,2898},{2,28976},{4,1449}]};

get_uranium_lv(7,5) ->
    #base_uranium_lv{grade = 7,lv = 5,energy = 1100,attrs = [{1,2958},{2,29584},{4,1479}]};

get_uranium_lv(7,6) ->
    #base_uranium_lv{grade = 7,lv = 6,energy = 1100,attrs = [{1,3020},{2,30197},{4,1510}]};

get_uranium_lv(7,7) ->
    #base_uranium_lv{grade = 7,lv = 7,energy = 1100,attrs = [{1,3081},{2,30814},{4,1541}]};

get_uranium_lv(7,8) ->
    #base_uranium_lv{grade = 7,lv = 8,energy = 0,attrs = [{1,3144},{2,31437},{4,1572}]};

get_uranium_lv(8,0) ->
    #base_uranium_lv{grade = 8,lv = 0,energy = 1200,attrs = [{1,3206},{2,32064},{4,1603}]};

get_uranium_lv(8,1) ->
    #base_uranium_lv{grade = 8,lv = 1,energy = 1200,attrs = [{1,3270},{2,32696},{4,1635}]};

get_uranium_lv(8,2) ->
    #base_uranium_lv{grade = 8,lv = 2,energy = 1200,attrs = [{1,3333},{2,33333},{4,1667}]};

get_uranium_lv(8,3) ->
    #base_uranium_lv{grade = 8,lv = 3,energy = 1200,attrs = [{1,3397},{2,33974},{4,1699}]};

get_uranium_lv(8,4) ->
    #base_uranium_lv{grade = 8,lv = 4,energy = 1200,attrs = [{1,3462},{2,34621},{4,1731}]};

get_uranium_lv(8,5) ->
    #base_uranium_lv{grade = 8,lv = 5,energy = 1200,attrs = [{1,3527},{2,35272},{4,1764}]};

get_uranium_lv(8,6) ->
    #base_uranium_lv{grade = 8,lv = 6,energy = 1200,attrs = [{1,3593},{2,35928},{4,1796}]};

get_uranium_lv(8,7) ->
    #base_uranium_lv{grade = 8,lv = 7,energy = 1200,attrs = [{1,3659},{2,36589},{4,1829}]};

get_uranium_lv(8,8) ->
    #base_uranium_lv{grade = 8,lv = 8,energy = 0,attrs = [{1,3725},{2,37254},{4,1863}]};

get_uranium_lv(9,0) ->
    #base_uranium_lv{grade = 9,lv = 0,energy = 1300,attrs = [{1,3792},{2,37925},{4,1896}]};

get_uranium_lv(9,1) ->
    #base_uranium_lv{grade = 9,lv = 1,energy = 1300,attrs = [{1,3860},{2,38600},{4,1930}]};

get_uranium_lv(9,2) ->
    #base_uranium_lv{grade = 9,lv = 2,energy = 1300,attrs = [{1,3928},{2,39280},{4,1964}]};

get_uranium_lv(9,3) ->
    #base_uranium_lv{grade = 9,lv = 3,energy = 1300,attrs = [{1,3996},{2,39965},{4,1998}]};

get_uranium_lv(9,4) ->
    #base_uranium_lv{grade = 9,lv = 4,energy = 1300,attrs = [{1,4065},{2,40654},{4,2033}]};

get_uranium_lv(9,5) ->
    #base_uranium_lv{grade = 9,lv = 5,energy = 1300,attrs = [{1,4135},{2,41349},{4,2067}]};

get_uranium_lv(9,6) ->
    #base_uranium_lv{grade = 9,lv = 6,energy = 1300,attrs = [{1,4205},{2,42048},{4,2102}]};

get_uranium_lv(9,7) ->
    #base_uranium_lv{grade = 9,lv = 7,energy = 1300,attrs = [{1,4275},{2,42752},{4,2138}]};

get_uranium_lv(9,8) ->
    #base_uranium_lv{grade = 9,lv = 8,energy = 0,attrs = [{1,4346},{2,43461},{4,2173}]};

get_uranium_lv(10,0) ->
    #base_uranium_lv{grade = 10,lv = 0,energy = 1400,attrs = [{1,4417},{2,44174},{4,2209}]};

get_uranium_lv(10,1) ->
    #base_uranium_lv{grade = 10,lv = 1,energy = 1400,attrs = [{1,4489},{2,44893},{4,2245}]};

get_uranium_lv(10,2) ->
    #base_uranium_lv{grade = 10,lv = 2,energy = 1400,attrs = [{1,4562},{2,45616},{4,2281}]};

get_uranium_lv(10,3) ->
    #base_uranium_lv{grade = 10,lv = 3,energy = 1400,attrs = [{1,4634},{2,46344},{4,2317}]};

get_uranium_lv(10,4) ->
    #base_uranium_lv{grade = 10,lv = 4,energy = 1400,attrs = [{1,4708},{2,47077},{4,2354}]};

get_uranium_lv(10,5) ->
    #base_uranium_lv{grade = 10,lv = 5,energy = 1400,attrs = [{1,4781},{2,47814},{4,2391}]};

get_uranium_lv(10,6) ->
    #base_uranium_lv{grade = 10,lv = 6,energy = 1400,attrs = [{1,4856},{2,48557},{4,2428}]};

get_uranium_lv(10,7) ->
    #base_uranium_lv{grade = 10,lv = 7,energy = 1400,attrs = [{1,4930},{2,49304},{4,2465}]};

get_uranium_lv(10,8) ->
    #base_uranium_lv{grade = 10,lv = 8,energy = 0,attrs = [{1,5006},{2,50056},{4,2503}]};

get_uranium_lv(11,0) ->
    #base_uranium_lv{grade = 11,lv = 0,energy = 1500,attrs = [{1,5081},{2,50813},{4,2541}]};

get_uranium_lv(11,1) ->
    #base_uranium_lv{grade = 11,lv = 1,energy = 1500,attrs = [{1,5157},{2,51574},{4,2579}]};

get_uranium_lv(11,2) ->
    #base_uranium_lv{grade = 11,lv = 2,energy = 1500,attrs = [{1,5234},{2,52341},{4,2617}]};

get_uranium_lv(11,3) ->
    #base_uranium_lv{grade = 11,lv = 3,energy = 1500,attrs = [{1,5311},{2,53112},{4,2656}]};

get_uranium_lv(11,4) ->
    #base_uranium_lv{grade = 11,lv = 4,energy = 1500,attrs = [{1,5389},{2,53888},{4,2694}]};

get_uranium_lv(11,5) ->
    #base_uranium_lv{grade = 11,lv = 5,energy = 1500,attrs = [{1,5467},{2,54669},{4,2733}]};

get_uranium_lv(11,6) ->
    #base_uranium_lv{grade = 11,lv = 6,energy = 1500,attrs = [{1,5545},{2,55454},{4,2773}]};

get_uranium_lv(11,7) ->
    #base_uranium_lv{grade = 11,lv = 7,energy = 1500,attrs = [{1,5624},{2,56245},{4,2812}]};

get_uranium_lv(11,8) ->
    #base_uranium_lv{grade = 11,lv = 8,energy = 0,attrs = [{1,5704},{2,57040},{4,2852}]};

get_uranium_lv(12,0) ->
    #base_uranium_lv{grade = 12,lv = 0,energy = 1600,attrs = [{1,5784},{2,57840},{4,2892}]};

get_uranium_lv(12,1) ->
    #base_uranium_lv{grade = 12,lv = 1,energy = 1600,attrs = [{1,5864},{2,58645},{4,2932}]};

get_uranium_lv(12,2) ->
    #base_uranium_lv{grade = 12,lv = 2,energy = 1600,attrs = [{1,5945},{2,59454},{4,2973}]};

get_uranium_lv(12,3) ->
    #base_uranium_lv{grade = 12,lv = 3,energy = 1600,attrs = [{1,6027},{2,60269},{4,3013}]};

get_uranium_lv(12,4) ->
    #base_uranium_lv{grade = 12,lv = 4,energy = 1600,attrs = [{1,6109},{2,61088},{4,3054}]};

get_uranium_lv(12,5) ->
    #base_uranium_lv{grade = 12,lv = 5,energy = 1600,attrs = [{1,6191},{2,61912},{4,3096}]};

get_uranium_lv(12,6) ->
    #base_uranium_lv{grade = 12,lv = 6,energy = 1600,attrs = [{1,6274},{2,62741},{4,3137}]};

get_uranium_lv(12,7) ->
    #base_uranium_lv{grade = 12,lv = 7,energy = 1600,attrs = [{1,6357},{2,63574},{4,3179}]};

get_uranium_lv(12,8) ->
    #base_uranium_lv{grade = 12,lv = 8,energy = 0,attrs = [{1,6441},{2,64413},{4,3221}]};

get_uranium_lv(13,0) ->
    #base_uranium_lv{grade = 13,lv = 0,energy = 1700,attrs = [{1,6526},{2,65256},{4,3263}]};

get_uranium_lv(13,1) ->
    #base_uranium_lv{grade = 13,lv = 1,energy = 1700,attrs = [{1,6610},{2,66104},{4,3305}]};

get_uranium_lv(13,2) ->
    #base_uranium_lv{grade = 13,lv = 2,energy = 1700,attrs = [{1,6696},{2,66957},{4,3348}]};

get_uranium_lv(13,3) ->
    #base_uranium_lv{grade = 13,lv = 3,energy = 1700,attrs = [{1,6781},{2,67814},{4,3391}]};

get_uranium_lv(13,4) ->
    #base_uranium_lv{grade = 13,lv = 4,energy = 1700,attrs = [{1,6868},{2,68677},{4,3434}]};

get_uranium_lv(13,5) ->
    #base_uranium_lv{grade = 13,lv = 5,energy = 1700,attrs = [{1,6954},{2,69544},{4,3477}]};

get_uranium_lv(13,6) ->
    #base_uranium_lv{grade = 13,lv = 6,energy = 1700,attrs = [{1,7042},{2,70416},{4,3521}]};

get_uranium_lv(13,7) ->
    #base_uranium_lv{grade = 13,lv = 7,energy = 1700,attrs = [{1,7129},{2,71293},{4,3565}]};

get_uranium_lv(13,8) ->
    #base_uranium_lv{grade = 13,lv = 8,energy = 0,attrs = [{1,7217},{2,72174},{4,3609}]};

get_uranium_lv(14,0) ->
    #base_uranium_lv{grade = 14,lv = 0,energy = 1800,attrs = [{1,7306},{2,73061},{4,3653}]};

get_uranium_lv(14,1) ->
    #base_uranium_lv{grade = 14,lv = 1,energy = 1800,attrs = [{1,7395},{2,73952},{4,3698}]};

get_uranium_lv(14,2) ->
    #base_uranium_lv{grade = 14,lv = 2,energy = 1800,attrs = [{1,7485},{2,74848},{4,3742}]};

get_uranium_lv(14,3) ->
    #base_uranium_lv{grade = 14,lv = 3,energy = 1800,attrs = [{1,7575},{2,75749},{4,3787}]};

get_uranium_lv(14,4) ->
    #base_uranium_lv{grade = 14,lv = 4,energy = 1800,attrs = [{1,7665},{2,76654},{4,3833}]};

get_uranium_lv(14,5) ->
    #base_uranium_lv{grade = 14,lv = 5,energy = 1800,attrs = [{1,7756},{2,77565},{4,3878}]};

get_uranium_lv(14,6) ->
    #base_uranium_lv{grade = 14,lv = 6,energy = 1800,attrs = [{1,7848},{2,78480},{4,3924}]};

get_uranium_lv(14,7) ->
    #base_uranium_lv{grade = 14,lv = 7,energy = 1800,attrs = [{1,7940},{2,79400},{4,3970}]};

get_uranium_lv(14,8) ->
    #base_uranium_lv{grade = 14,lv = 8,energy = 0,attrs = [{1,8032},{2,80325},{4,4016}]};

get_uranium_lv(15,0) ->
    #base_uranium_lv{grade = 15,lv = 0,energy = 1900,attrs = [{1,8125},{2,81254},{4,4063}]};

get_uranium_lv(15,1) ->
    #base_uranium_lv{grade = 15,lv = 1,energy = 1900,attrs = [{1,8219},{2,82189},{4,4109}]};

get_uranium_lv(15,2) ->
    #base_uranium_lv{grade = 15,lv = 2,energy = 1900,attrs = [{1,8313},{2,83128},{4,4156}]};

get_uranium_lv(15,3) ->
    #base_uranium_lv{grade = 15,lv = 3,energy = 1900,attrs = [{1,8407},{2,84072},{4,4204}]};

get_uranium_lv(15,4) ->
    #base_uranium_lv{grade = 15,lv = 4,energy = 1900,attrs = [{1,8502},{2,85021},{4,4251}]};

get_uranium_lv(15,5) ->
    #base_uranium_lv{grade = 15,lv = 5,energy = 1900,attrs = [{1,8597},{2,85974},{4,4299}]};

get_uranium_lv(15,6) ->
    #base_uranium_lv{grade = 15,lv = 6,energy = 1900,attrs = [{1,8693},{2,86933},{4,4347}]};

get_uranium_lv(15,7) ->
    #base_uranium_lv{grade = 15,lv = 7,energy = 1900,attrs = [{1,8790},{2,87896},{4,4395}]};

get_uranium_lv(15,8) ->
    #base_uranium_lv{grade = 15,lv = 8,energy = 0,attrs = [{1,8886},{2,88864},{4,4443}]};

get_uranium_lv(16,0) ->
    #base_uranium_lv{grade = 16,lv = 0,energy = 2000,attrs = [{1,8984},{2,89837},{4,4492}]};

get_uranium_lv(16,1) ->
    #base_uranium_lv{grade = 16,lv = 1,energy = 2000,attrs = [{1,9081},{2,90814},{4,4541}]};

get_uranium_lv(16,2) ->
    #base_uranium_lv{grade = 16,lv = 2,energy = 2000,attrs = [{1,9180},{2,91797},{4,4590}]};

get_uranium_lv(16,3) ->
    #base_uranium_lv{grade = 16,lv = 3,energy = 2000,attrs = [{1,9278},{2,92784},{4,4639}]};

get_uranium_lv(16,4) ->
    #base_uranium_lv{grade = 16,lv = 4,energy = 2000,attrs = [{1,9378},{2,93776},{4,4689}]};

get_uranium_lv(16,5) ->
    #base_uranium_lv{grade = 16,lv = 5,energy = 2000,attrs = [{1,9477},{2,94773},{4,4739}]};

get_uranium_lv(16,6) ->
    #base_uranium_lv{grade = 16,lv = 6,energy = 2000,attrs = [{1,9577},{2,95774},{4,4789}]};

get_uranium_lv(16,7) ->
    #base_uranium_lv{grade = 16,lv = 7,energy = 2000,attrs = [{1,9678},{2,96781},{4,4839}]};

get_uranium_lv(16,8) ->
    #base_uranium_lv{grade = 16,lv = 8,energy = 0,attrs = [{1,9779},{2,97792},{4,4890}]};

get_uranium_lv(17,0) ->
    #base_uranium_lv{grade = 17,lv = 0,energy = 2100,attrs = [{1,9881},{2,98808},{4,4940}]};

get_uranium_lv(17,1) ->
    #base_uranium_lv{grade = 17,lv = 1,energy = 2100,attrs = [{1,9983},{2,99829},{4,4991}]};

get_uranium_lv(17,2) ->
    #base_uranium_lv{grade = 17,lv = 2,energy = 2100,attrs = [{1,10085},{2,100854},{4,5043}]};

get_uranium_lv(17,3) ->
    #base_uranium_lv{grade = 17,lv = 3,energy = 2100,attrs = [{1,10188},{2,101885},{4,5094}]};

get_uranium_lv(17,4) ->
    #base_uranium_lv{grade = 17,lv = 4,energy = 2100,attrs = [{1,10292},{2,102920},{4,5146}]};

get_uranium_lv(17,5) ->
    #base_uranium_lv{grade = 17,lv = 5,energy = 2100,attrs = [{1,10396},{2,103960},{4,5198}]};

get_uranium_lv(17,6) ->
    #base_uranium_lv{grade = 17,lv = 6,energy = 2100,attrs = [{1,10500},{2,105005},{4,5250}]};

get_uranium_lv(17,7) ->
    #base_uranium_lv{grade = 17,lv = 7,energy = 2100,attrs = [{1,10605},{2,106054},{4,5303}]};

get_uranium_lv(17,8) ->
    #base_uranium_lv{grade = 17,lv = 8,energy = 0,attrs = [{1,10711},{2,107109},{4,5355}]};

get_uranium_lv(18,0) ->
    #base_uranium_lv{grade = 18,lv = 0,energy = 2200,attrs = [{1,10817},{2,108168},{4,5408}]};

get_uranium_lv(18,1) ->
    #base_uranium_lv{grade = 18,lv = 1,energy = 2200,attrs = [{1,10923},{2,109232},{4,5462}]};

get_uranium_lv(18,2) ->
    #base_uranium_lv{grade = 18,lv = 2,energy = 2200,attrs = [{1,11030},{2,110301},{4,5515}]};

get_uranium_lv(18,3) ->
    #base_uranium_lv{grade = 18,lv = 3,energy = 2200,attrs = [{1,11137},{2,111374},{4,5569}]};

get_uranium_lv(18,4) ->
    #base_uranium_lv{grade = 18,lv = 4,energy = 2200,attrs = [{1,11245},{2,112453},{4,5623}]};

get_uranium_lv(18,5) ->
    #base_uranium_lv{grade = 18,lv = 5,energy = 2200,attrs = [{1,11354},{2,113536},{4,5677}]};

get_uranium_lv(18,6) ->
    #base_uranium_lv{grade = 18,lv = 6,energy = 2200,attrs = [{1,11462},{2,114624},{4,5731}]};

get_uranium_lv(18,7) ->
    #base_uranium_lv{grade = 18,lv = 7,energy = 2200,attrs = [{1,11572},{2,115717},{4,5786}]};

get_uranium_lv(18,8) ->
    #base_uranium_lv{grade = 18,lv = 8,energy = 0,attrs = [{1,11681},{2,116814},{4,5841}]};

get_uranium_lv(19,0) ->
    #base_uranium_lv{grade = 19,lv = 0,energy = 2300,attrs = [{1,11792},{2,117917},{4,5896}]};

get_uranium_lv(19,1) ->
    #base_uranium_lv{grade = 19,lv = 1,energy = 2300,attrs = [{1,11902},{2,119024},{4,5951}]};

get_uranium_lv(19,2) ->
    #base_uranium_lv{grade = 19,lv = 2,energy = 2300,attrs = [{1,12014},{2,120136},{4,6007}]};

get_uranium_lv(19,3) ->
    #base_uranium_lv{grade = 19,lv = 3,energy = 2300,attrs = [{1,12125},{2,121253},{4,6063}]};

get_uranium_lv(19,4) ->
    #base_uranium_lv{grade = 19,lv = 4,energy = 2300,attrs = [{1,12237},{2,122374},{4,6119}]};

get_uranium_lv(19,5) ->
    #base_uranium_lv{grade = 19,lv = 5,energy = 2300,attrs = [{1,12350},{2,123501},{4,6175}]};

get_uranium_lv(19,6) ->
    #base_uranium_lv{grade = 19,lv = 6,energy = 2300,attrs = [{1,12463},{2,124632},{4,6232}]};

get_uranium_lv(19,7) ->
    #base_uranium_lv{grade = 19,lv = 7,energy = 2300,attrs = [{1,12577},{2,125768},{4,6288}]};

get_uranium_lv(19,8) ->
    #base_uranium_lv{grade = 19,lv = 8,energy = 0,attrs = [{1,12691},{2,126909},{4,6345}]};

get_uranium_lv(20,0) ->
    #base_uranium_lv{grade = 20,lv = 0,energy = 2400,attrs = [{1,12805},{2,128054},{4,6403}]};

get_uranium_lv(20,1) ->
    #base_uranium_lv{grade = 20,lv = 1,energy = 2400,attrs = [{1,12920},{2,129205},{4,6460}]};

get_uranium_lv(20,2) ->
    #base_uranium_lv{grade = 20,lv = 2,energy = 2400,attrs = [{1,13036},{2,130360},{4,6518}]};

get_uranium_lv(20,3) ->
    #base_uranium_lv{grade = 20,lv = 3,energy = 2400,attrs = [{1,13152},{2,131520},{4,6576}]};

get_uranium_lv(20,4) ->
    #base_uranium_lv{grade = 20,lv = 4,energy = 2400,attrs = [{1,13268},{2,132685},{4,6634}]};

get_uranium_lv(20,5) ->
    #base_uranium_lv{grade = 20,lv = 5,energy = 2400,attrs = [{1,13385},{2,133854},{4,6693}]};

get_uranium_lv(20,6) ->
    #base_uranium_lv{grade = 20,lv = 6,energy = 2400,attrs = [{1,13503},{2,135029},{4,6751}]};

get_uranium_lv(20,7) ->
    #base_uranium_lv{grade = 20,lv = 7,energy = 2400,attrs = [{1,13621},{2,136208},{4,6810}]};

get_uranium_lv(20,8) ->
    #base_uranium_lv{grade = 20,lv = 8,energy = 0,attrs = [{1,13739},{2,137392},{4,6870}]};

get_uranium_lv(21,0) ->
    #base_uranium_lv{grade = 21,lv = 0,energy = 2500,attrs = [{1,13858},{2,138581},{4,6929}]};

get_uranium_lv(21,1) ->
    #base_uranium_lv{grade = 21,lv = 1,energy = 2500,attrs = [{1,13977},{2,139774},{4,6989}]};

get_uranium_lv(21,2) ->
    #base_uranium_lv{grade = 21,lv = 2,energy = 2500,attrs = [{1,14097},{2,140973},{4,7049}]};

get_uranium_lv(21,3) ->
    #base_uranium_lv{grade = 21,lv = 3,energy = 2500,attrs = [{1,14218},{2,142176},{4,7109}]};

get_uranium_lv(21,4) ->
    #base_uranium_lv{grade = 21,lv = 4,energy = 2500,attrs = [{1,14338},{2,143384},{4,7169}]};

get_uranium_lv(21,5) ->
    #base_uranium_lv{grade = 21,lv = 5,energy = 2500,attrs = [{1,14460},{2,144597},{4,7230}]};

get_uranium_lv(21,6) ->
    #base_uranium_lv{grade = 21,lv = 6,energy = 2500,attrs = [{1,14581},{2,145814},{4,7291}]};

get_uranium_lv(21,7) ->
    #base_uranium_lv{grade = 21,lv = 7,energy = 2500,attrs = [{1,14704},{2,147037},{4,7352}]};

get_uranium_lv(21,8) ->
    #base_uranium_lv{grade = 21,lv = 8,energy = 0,attrs = [{1,14826},{2,148264},{4,7413}]};

get_uranium_lv(22,0) ->
    #base_uranium_lv{grade = 22,lv = 0,energy = 2600,attrs = [{1,14950},{2,149496},{4,7475}]};

get_uranium_lv(22,1) ->
    #base_uranium_lv{grade = 22,lv = 1,energy = 2600,attrs = [{1,15073},{2,150733},{4,7537}]};

get_uranium_lv(22,2) ->
    #base_uranium_lv{grade = 22,lv = 2,energy = 2600,attrs = [{1,15197},{2,151974},{4,7599}]};

get_uranium_lv(22,3) ->
    #base_uranium_lv{grade = 22,lv = 3,energy = 2600,attrs = [{1,15322},{2,153221},{4,7661}]};

get_uranium_lv(22,4) ->
    #base_uranium_lv{grade = 22,lv = 4,energy = 2600,attrs = [{1,15447},{2,154472},{4,7724}]};

get_uranium_lv(22,5) ->
    #base_uranium_lv{grade = 22,lv = 5,energy = 2600,attrs = [{1,15573},{2,155728},{4,7786}]};

get_uranium_lv(22,6) ->
    #base_uranium_lv{grade = 22,lv = 6,energy = 2600,attrs = [{1,15699},{2,156989},{4,7849}]};

get_uranium_lv(22,7) ->
    #base_uranium_lv{grade = 22,lv = 7,energy = 2600,attrs = [{1,15825},{2,158254},{4,7913}]};

get_uranium_lv(22,8) ->
    #base_uranium_lv{grade = 22,lv = 8,energy = 0,attrs = [{1,15952},{2,159525},{4,7976}]};

get_uranium_lv(23,0) ->
    #base_uranium_lv{grade = 23,lv = 0,energy = 2700,attrs = [{1,16080},{2,160800},{4,8040}]};

get_uranium_lv(23,1) ->
    #base_uranium_lv{grade = 23,lv = 1,energy = 2700,attrs = [{1,16208},{2,162080},{4,8104}]};

get_uranium_lv(23,2) ->
    #base_uranium_lv{grade = 23,lv = 2,energy = 2700,attrs = [{1,16336},{2,163365},{4,8168}]};

get_uranium_lv(23,3) ->
    #base_uranium_lv{grade = 23,lv = 3,energy = 2700,attrs = [{1,16465},{2,164654},{4,8233}]};

get_uranium_lv(23,4) ->
    #base_uranium_lv{grade = 23,lv = 4,energy = 2700,attrs = [{1,16595},{2,165949},{4,8297}]};

get_uranium_lv(23,5) ->
    #base_uranium_lv{grade = 23,lv = 5,energy = 2700,attrs = [{1,16725},{2,167248},{4,8362}]};

get_uranium_lv(23,6) ->
    #base_uranium_lv{grade = 23,lv = 6,energy = 2700,attrs = [{1,16855},{2,168552},{4,8428}]};

get_uranium_lv(23,7) ->
    #base_uranium_lv{grade = 23,lv = 7,energy = 2700,attrs = [{1,16986},{2,169861},{4,8493}]};

get_uranium_lv(23,8) ->
    #base_uranium_lv{grade = 23,lv = 8,energy = 0,attrs = [{1,17117},{2,171174},{4,8559}]};

get_uranium_lv(24,0) ->
    #base_uranium_lv{grade = 24,lv = 0,energy = 2800,attrs = [{1,17249},{2,172493},{4,8625}]};

get_uranium_lv(24,1) ->
    #base_uranium_lv{grade = 24,lv = 1,energy = 2800,attrs = [{1,17382},{2,173816},{4,8691}]};

get_uranium_lv(24,2) ->
    #base_uranium_lv{grade = 24,lv = 2,energy = 2800,attrs = [{1,17514},{2,175144},{4,8757}]};

get_uranium_lv(24,3) ->
    #base_uranium_lv{grade = 24,lv = 3,energy = 2800,attrs = [{1,17648},{2,176477},{4,8824}]};

get_uranium_lv(24,4) ->
    #base_uranium_lv{grade = 24,lv = 4,energy = 2800,attrs = [{1,17781},{2,177814},{4,8891}]};

get_uranium_lv(24,5) ->
    #base_uranium_lv{grade = 24,lv = 5,energy = 2800,attrs = [{1,17916},{2,179157},{4,8958}]};

get_uranium_lv(24,6) ->
    #base_uranium_lv{grade = 24,lv = 6,energy = 2800,attrs = [{1,18050},{2,180504},{4,9025}]};

get_uranium_lv(24,7) ->
    #base_uranium_lv{grade = 24,lv = 7,energy = 2800,attrs = [{1,18186},{2,181856},{4,9093}]};

get_uranium_lv(24,8) ->
    #base_uranium_lv{grade = 24,lv = 8,energy = 0,attrs = [{1,18321},{2,183213},{4,9161}]};

get_uranium_lv(25,0) ->
    #base_uranium_lv{grade = 25,lv = 0,energy = 2900,attrs = [{1,18457},{2,184574},{4,9229}]};

get_uranium_lv(25,1) ->
    #base_uranium_lv{grade = 25,lv = 1,energy = 2900,attrs = [{1,18594},{2,185941},{4,9297}]};

get_uranium_lv(25,2) ->
    #base_uranium_lv{grade = 25,lv = 2,energy = 2900,attrs = [{1,18731},{2,187312},{4,9366}]};

get_uranium_lv(25,3) ->
    #base_uranium_lv{grade = 25,lv = 3,energy = 2900,attrs = [{1,18869},{2,188688},{4,9434}]};

get_uranium_lv(25,4) ->
    #base_uranium_lv{grade = 25,lv = 4,energy = 2900,attrs = [{1,19007},{2,190069},{4,9503}]};

get_uranium_lv(25,5) ->
    #base_uranium_lv{grade = 25,lv = 5,energy = 2900,attrs = [{1,19145},{2,191454},{4,9573}]};

get_uranium_lv(25,6) ->
    #base_uranium_lv{grade = 25,lv = 6,energy = 2900,attrs = [{1,19284},{2,192845},{4,9642}]};

get_uranium_lv(25,7) ->
    #base_uranium_lv{grade = 25,lv = 7,energy = 2900,attrs = [{1,19424},{2,194240},{4,9712}]};

get_uranium_lv(25,8) ->
    #base_uranium_lv{grade = 25,lv = 8,energy = 0,attrs = [{1,19564},{2,195640},{4,9782}]};

get_uranium_lv(26,0) ->
    #base_uranium_lv{grade = 26,lv = 0,energy = 3000,attrs = [{1,19704},{2,197045},{4,9852}]};

get_uranium_lv(26,1) ->
    #base_uranium_lv{grade = 26,lv = 1,energy = 3000,attrs = [{1,19845},{2,198454},{4,9923}]};

get_uranium_lv(26,2) ->
    #base_uranium_lv{grade = 26,lv = 2,energy = 3000,attrs = [{1,19987},{2,199869},{4,9993}]};

get_uranium_lv(26,3) ->
    #base_uranium_lv{grade = 26,lv = 3,energy = 3000,attrs = [{1,20129},{2,201288},{4,10064}]};

get_uranium_lv(26,4) ->
    #base_uranium_lv{grade = 26,lv = 4,energy = 3000,attrs = [{1,20271},{2,202712},{4,10136}]};

get_uranium_lv(26,5) ->
    #base_uranium_lv{grade = 26,lv = 5,energy = 3000,attrs = [{1,20414},{2,204141},{4,10207}]};

get_uranium_lv(26,6) ->
    #base_uranium_lv{grade = 26,lv = 6,energy = 3000,attrs = [{1,20557},{2,205574},{4,10279}]};

get_uranium_lv(26,7) ->
    #base_uranium_lv{grade = 26,lv = 7,energy = 3000,attrs = [{1,20701},{2,207013},{4,10351}]};

get_uranium_lv(26,8) ->
    #base_uranium_lv{grade = 26,lv = 8,energy = 0,attrs = [{1,20846},{2,208456},{4,10423}]};

get_uranium_lv(27,0) ->
    #base_uranium_lv{grade = 27,lv = 0,energy = 3100,attrs = [{1,20990},{2,209904},{4,10495}]};

get_uranium_lv(27,1) ->
    #base_uranium_lv{grade = 27,lv = 1,energy = 3100,attrs = [{1,21136},{2,211357},{4,10568}]};

get_uranium_lv(27,2) ->
    #base_uranium_lv{grade = 27,lv = 2,energy = 3100,attrs = [{1,21281},{2,212814},{4,10641}]};

get_uranium_lv(27,3) ->
    #base_uranium_lv{grade = 27,lv = 3,energy = 3100,attrs = [{1,21428},{2,214277},{4,10714}]};

get_uranium_lv(27,4) ->
    #base_uranium_lv{grade = 27,lv = 4,energy = 3100,attrs = [{1,21574},{2,215744},{4,10787}]};

get_uranium_lv(27,5) ->
    #base_uranium_lv{grade = 27,lv = 5,energy = 3100,attrs = [{1,21722},{2,217216},{4,10861}]};

get_uranium_lv(27,6) ->
    #base_uranium_lv{grade = 27,lv = 6,energy = 3100,attrs = [{1,21869},{2,218693},{4,10935}]};

get_uranium_lv(27,7) ->
    #base_uranium_lv{grade = 27,lv = 7,energy = 3100,attrs = [{1,22017},{2,220174},{4,11009}]};

get_uranium_lv(27,8) ->
    #base_uranium_lv{grade = 27,lv = 8,energy = 0,attrs = [{1,22166},{2,221661},{4,11083}]};

get_uranium_lv(28,0) ->
    #base_uranium_lv{grade = 28,lv = 0,energy = 3200,attrs = [{1,22315},{2,223152},{4,11158}]};

get_uranium_lv(28,1) ->
    #base_uranium_lv{grade = 28,lv = 1,energy = 3200,attrs = [{1,22465},{2,224648},{4,11232}]};

get_uranium_lv(28,2) ->
    #base_uranium_lv{grade = 28,lv = 2,energy = 3200,attrs = [{1,22615},{2,226149},{4,11307}]};

get_uranium_lv(28,3) ->
    #base_uranium_lv{grade = 28,lv = 3,energy = 3200,attrs = [{1,22765},{2,227654},{4,11383}]};

get_uranium_lv(28,4) ->
    #base_uranium_lv{grade = 28,lv = 4,energy = 3200,attrs = [{1,22916},{2,229165},{4,11458}]};

get_uranium_lv(28,5) ->
    #base_uranium_lv{grade = 28,lv = 5,energy = 3200,attrs = [{1,23068},{2,230680},{4,11534}]};

get_uranium_lv(28,6) ->
    #base_uranium_lv{grade = 28,lv = 6,energy = 3200,attrs = [{1,23220},{2,232200},{4,11610}]};

get_uranium_lv(28,7) ->
    #base_uranium_lv{grade = 28,lv = 7,energy = 3200,attrs = [{1,23372},{2,233725},{4,11686}]};

get_uranium_lv(28,8) ->
    #base_uranium_lv{grade = 28,lv = 8,energy = 0,attrs = [{1,23525},{2,235254},{4,11763}]};

get_uranium_lv(29,0) ->
    #base_uranium_lv{grade = 29,lv = 0,energy = 3300,attrs = [{1,23679},{2,236789},{4,11839}]};

get_uranium_lv(29,1) ->
    #base_uranium_lv{grade = 29,lv = 1,energy = 3300,attrs = [{1,23833},{2,238328},{4,11916}]};

get_uranium_lv(29,2) ->
    #base_uranium_lv{grade = 29,lv = 2,energy = 3300,attrs = [{1,23987},{2,239872},{4,11994}]};

get_uranium_lv(29,3) ->
    #base_uranium_lv{grade = 29,lv = 3,energy = 3300,attrs = [{1,24142},{2,241421},{4,12071}]};

get_uranium_lv(29,4) ->
    #base_uranium_lv{grade = 29,lv = 4,energy = 3300,attrs = [{1,24297},{2,242974},{4,12149}]};

get_uranium_lv(29,5) ->
    #base_uranium_lv{grade = 29,lv = 5,energy = 3300,attrs = [{1,24453},{2,244533},{4,12227}]};

get_uranium_lv(29,6) ->
    #base_uranium_lv{grade = 29,lv = 6,energy = 3300,attrs = [{1,24610},{2,246096},{4,12305}]};

get_uranium_lv(29,7) ->
    #base_uranium_lv{grade = 29,lv = 7,energy = 3300,attrs = [{1,24766},{2,247664},{4,12383}]};

get_uranium_lv(29,8) ->
    #base_uranium_lv{grade = 29,lv = 8,energy = 0,attrs = [{1,24924},{2,249237},{4,12462}]};

get_uranium_lv(30,0) ->
    #base_uranium_lv{grade = 30,lv = 0,energy = 3400,attrs = [{1,25081},{2,250814},{4,12541}]};

get_uranium_lv(30,1) ->
    #base_uranium_lv{grade = 30,lv = 1,energy = 3400,attrs = [{1,25240},{2,252397},{4,12620}]};

get_uranium_lv(30,2) ->
    #base_uranium_lv{grade = 30,lv = 2,energy = 3400,attrs = [{1,25398},{2,253984},{4,12699}]};

get_uranium_lv(30,3) ->
    #base_uranium_lv{grade = 30,lv = 3,energy = 3400,attrs = [{1,25558},{2,255576},{4,12779}]};

get_uranium_lv(30,4) ->
    #base_uranium_lv{grade = 30,lv = 4,energy = 3400,attrs = [{1,25717},{2,257173},{4,12859}]};

get_uranium_lv(30,5) ->
    #base_uranium_lv{grade = 30,lv = 5,energy = 3400,attrs = [{1,25877},{2,258774},{4,12939}]};

get_uranium_lv(30,6) ->
    #base_uranium_lv{grade = 30,lv = 6,energy = 3400,attrs = [{1,26038},{2,260381},{4,13019}]};

get_uranium_lv(30,7) ->
    #base_uranium_lv{grade = 30,lv = 7,energy = 3400,attrs = [{1,26199},{2,261992},{4,13100}]};

get_uranium_lv(30,8) ->
    #base_uranium_lv{grade = 30,lv = 8,energy = 0,attrs = [{1,26361},{2,263608},{4,13180}]};

get_uranium_lv(31,0) ->
    #base_uranium_lv{grade = 31,lv = 0,energy = 3500,attrs = [{1,26523},{2,265229},{4,13261}]};

get_uranium_lv(31,1) ->
    #base_uranium_lv{grade = 31,lv = 1,energy = 3500,attrs = [{1,26685},{2,266854},{4,13343}]};

get_uranium_lv(31,2) ->
    #base_uranium_lv{grade = 31,lv = 2,energy = 3500,attrs = [{1,26848},{2,268485},{4,13424}]};

get_uranium_lv(31,3) ->
    #base_uranium_lv{grade = 31,lv = 3,energy = 3500,attrs = [{1,27012},{2,270120},{4,13506}]};

get_uranium_lv(31,4) ->
    #base_uranium_lv{grade = 31,lv = 4,energy = 3500,attrs = [{1,27176},{2,271760},{4,13588}]};

get_uranium_lv(31,5) ->
    #base_uranium_lv{grade = 31,lv = 5,energy = 3500,attrs = [{1,27340},{2,273405},{4,13670}]};

get_uranium_lv(31,6) ->
    #base_uranium_lv{grade = 31,lv = 6,energy = 3500,attrs = [{1,27505},{2,275054},{4,13753}]};

get_uranium_lv(31,7) ->
    #base_uranium_lv{grade = 31,lv = 7,energy = 3500,attrs = [{1,27671},{2,276709},{4,13835}]};

get_uranium_lv(31,8) ->
    #base_uranium_lv{grade = 31,lv = 8,energy = 0,attrs = [{1,27837},{2,278368},{4,13918}]};

get_uranium_lv(32,0) ->
    #base_uranium_lv{grade = 32,lv = 0,energy = 3600,attrs = [{1,28003},{2,280032},{4,14002}]};

get_uranium_lv(32,1) ->
    #base_uranium_lv{grade = 32,lv = 1,energy = 3600,attrs = [{1,28170},{2,281701},{4,14085}]};

get_uranium_lv(32,2) ->
    #base_uranium_lv{grade = 32,lv = 2,energy = 3600,attrs = [{1,28337},{2,283374},{4,14169}]};

get_uranium_lv(32,3) ->
    #base_uranium_lv{grade = 32,lv = 3,energy = 3600,attrs = [{1,28505},{2,285053},{4,14253}]};

get_uranium_lv(32,4) ->
    #base_uranium_lv{grade = 32,lv = 4,energy = 3600,attrs = [{1,28674},{2,286736},{4,14337}]};

get_uranium_lv(32,5) ->
    #base_uranium_lv{grade = 32,lv = 5,energy = 3600,attrs = [{1,28842},{2,288424},{4,14421}]};

get_uranium_lv(32,6) ->
    #base_uranium_lv{grade = 32,lv = 6,energy = 3600,attrs = [{1,29012},{2,290117},{4,14506}]};

get_uranium_lv(32,7) ->
    #base_uranium_lv{grade = 32,lv = 7,energy = 3600,attrs = [{1,29181},{2,291814},{4,14591}]};

get_uranium_lv(32,8) ->
    #base_uranium_lv{grade = 32,lv = 8,energy = 0,attrs = [{1,29352},{2,293517},{4,14676}]};

get_uranium_lv(33,0) ->
    #base_uranium_lv{grade = 33,lv = 0,energy = 3700,attrs = [{1,29522},{2,295224},{4,14761}]};

get_uranium_lv(33,1) ->
    #base_uranium_lv{grade = 33,lv = 1,energy = 3700,attrs = [{1,29694},{2,296936},{4,14847}]};

get_uranium_lv(33,2) ->
    #base_uranium_lv{grade = 33,lv = 2,energy = 3700,attrs = [{1,29865},{2,298653},{4,14933}]};

get_uranium_lv(33,3) ->
    #base_uranium_lv{grade = 33,lv = 3,energy = 3700,attrs = [{1,30037},{2,300374},{4,15019}]};

get_uranium_lv(33,4) ->
    #base_uranium_lv{grade = 33,lv = 4,energy = 3700,attrs = [{1,30210},{2,302101},{4,15105}]};

get_uranium_lv(33,5) ->
    #base_uranium_lv{grade = 33,lv = 5,energy = 3700,attrs = [{1,30383},{2,303832},{4,15192}]};

get_uranium_lv(33,6) ->
    #base_uranium_lv{grade = 33,lv = 6,energy = 3700,attrs = [{1,30557},{2,305568},{4,15278}]};

get_uranium_lv(33,7) ->
    #base_uranium_lv{grade = 33,lv = 7,energy = 3700,attrs = [{1,30731},{2,307309},{4,15365}]};

get_uranium_lv(33,8) ->
    #base_uranium_lv{grade = 33,lv = 8,energy = 0,attrs = [{1,30905},{2,309054},{4,15453}]};

get_uranium_lv(34,0) ->
    #base_uranium_lv{grade = 34,lv = 0,energy = 3800,attrs = [{1,31080},{2,310805},{4,15540}]};

get_uranium_lv(34,1) ->
    #base_uranium_lv{grade = 34,lv = 1,energy = 3800,attrs = [{1,31256},{2,312560},{4,15628}]};

get_uranium_lv(34,2) ->
    #base_uranium_lv{grade = 34,lv = 2,energy = 3800,attrs = [{1,31432},{2,314320},{4,15716}]};

get_uranium_lv(34,3) ->
    #base_uranium_lv{grade = 34,lv = 3,energy = 3800,attrs = [{1,31608},{2,316085},{4,15804}]};

get_uranium_lv(34,4) ->
    #base_uranium_lv{grade = 34,lv = 4,energy = 3800,attrs = [{1,31785},{2,317854},{4,15893}]};

get_uranium_lv(34,5) ->
    #base_uranium_lv{grade = 34,lv = 5,energy = 3800,attrs = [{1,31963},{2,319629},{4,15981}]};

get_uranium_lv(34,6) ->
    #base_uranium_lv{grade = 34,lv = 6,energy = 3800,attrs = [{1,32141},{2,321408},{4,16070}]};

get_uranium_lv(34,7) ->
    #base_uranium_lv{grade = 34,lv = 7,energy = 3800,attrs = [{1,32319},{2,323192},{4,16160}]};

get_uranium_lv(34,8) ->
    #base_uranium_lv{grade = 34,lv = 8,energy = 0,attrs = [{1,32498},{2,324981},{4,16249}]};

get_uranium_lv(35,0) ->
    #base_uranium_lv{grade = 35,lv = 0,energy = 3900,attrs = [{1,32677},{2,326774},{4,16339}]};

get_uranium_lv(35,1) ->
    #base_uranium_lv{grade = 35,lv = 1,energy = 3900,attrs = [{1,32857},{2,328573},{4,16429}]};

get_uranium_lv(35,2) ->
    #base_uranium_lv{grade = 35,lv = 2,energy = 3900,attrs = [{1,33038},{2,330376},{4,16519}]};

get_uranium_lv(35,3) ->
    #base_uranium_lv{grade = 35,lv = 3,energy = 3900,attrs = [{1,33218},{2,332184},{4,16609}]};

get_uranium_lv(35,4) ->
    #base_uranium_lv{grade = 35,lv = 4,energy = 3900,attrs = [{1,33400},{2,333997},{4,16700}]};

get_uranium_lv(35,5) ->
    #base_uranium_lv{grade = 35,lv = 5,energy = 3900,attrs = [{1,33581},{2,335814},{4,16791}]};

get_uranium_lv(35,6) ->
    #base_uranium_lv{grade = 35,lv = 6,energy = 3900,attrs = [{1,33764},{2,337637},{4,16882}]};

get_uranium_lv(35,7) ->
    #base_uranium_lv{grade = 35,lv = 7,energy = 3900,attrs = [{1,33946},{2,339464},{4,16973}]};

get_uranium_lv(35,8) ->
    #base_uranium_lv{grade = 35,lv = 8,energy = 0,attrs = [{1,34130},{2,341296},{4,17065}]};

get_uranium_lv(36,0) ->
    #base_uranium_lv{grade = 36,lv = 0,energy = 4000,attrs = [{1,34313},{2,343133},{4,17157}]};

get_uranium_lv(36,1) ->
    #base_uranium_lv{grade = 36,lv = 1,energy = 4000,attrs = [{1,34497},{2,344974},{4,17249}]};

get_uranium_lv(36,2) ->
    #base_uranium_lv{grade = 36,lv = 2,energy = 4000,attrs = [{1,34682},{2,346821},{4,17341}]};

get_uranium_lv(36,3) ->
    #base_uranium_lv{grade = 36,lv = 3,energy = 4000,attrs = [{1,34867},{2,348672},{4,17434}]};

get_uranium_lv(36,4) ->
    #base_uranium_lv{grade = 36,lv = 4,energy = 4000,attrs = [{1,35053},{2,350528},{4,17526}]};

get_uranium_lv(36,5) ->
    #base_uranium_lv{grade = 36,lv = 5,energy = 4000,attrs = [{1,35239},{2,352389},{4,17619}]};

get_uranium_lv(36,6) ->
    #base_uranium_lv{grade = 36,lv = 6,energy = 4000,attrs = [{1,35425},{2,354254},{4,17713}]};

get_uranium_lv(36,7) ->
    #base_uranium_lv{grade = 36,lv = 7,energy = 4000,attrs = [{1,35612},{2,356125},{4,17806}]};

get_uranium_lv(36,8) ->
    #base_uranium_lv{grade = 36,lv = 8,energy = 0,attrs = [{1,35800},{2,358000},{4,17900}]};

get_uranium_lv(37,0) ->
    #base_uranium_lv{grade = 37,lv = 0,energy = 4100,attrs = [{1,35988},{2,359880},{4,17994}]};

get_uranium_lv(37,1) ->
    #base_uranium_lv{grade = 37,lv = 1,energy = 4100,attrs = [{1,36176},{2,361765},{4,18088}]};

get_uranium_lv(37,2) ->
    #base_uranium_lv{grade = 37,lv = 2,energy = 4100,attrs = [{1,36365},{2,363654},{4,18183}]};

get_uranium_lv(37,3) ->
    #base_uranium_lv{grade = 37,lv = 3,energy = 4100,attrs = [{1,36555},{2,365549},{4,18277}]};

get_uranium_lv(37,4) ->
    #base_uranium_lv{grade = 37,lv = 4,energy = 4100,attrs = [{1,36745},{2,367448},{4,18372}]};

get_uranium_lv(37,5) ->
    #base_uranium_lv{grade = 37,lv = 5,energy = 4100,attrs = [{1,36935},{2,369352},{4,18468}]};

get_uranium_lv(37,6) ->
    #base_uranium_lv{grade = 37,lv = 6,energy = 4100,attrs = [{1,37126},{2,371261},{4,18563}]};

get_uranium_lv(37,7) ->
    #base_uranium_lv{grade = 37,lv = 7,energy = 4100,attrs = [{1,37317},{2,373174},{4,18659}]};

get_uranium_lv(37,8) ->
    #base_uranium_lv{grade = 37,lv = 8,energy = 0,attrs = [{1,37509},{2,375093},{4,18755}]};

get_uranium_lv(38,0) ->
    #base_uranium_lv{grade = 38,lv = 0,energy = 4200,attrs = [{1,37702},{2,377016},{4,18851}]};

get_uranium_lv(38,1) ->
    #base_uranium_lv{grade = 38,lv = 1,energy = 4200,attrs = [{1,37894},{2,378944},{4,18947}]};

get_uranium_lv(38,2) ->
    #base_uranium_lv{grade = 38,lv = 2,energy = 4200,attrs = [{1,38088},{2,380877},{4,19044}]};

get_uranium_lv(38,3) ->
    #base_uranium_lv{grade = 38,lv = 3,energy = 4200,attrs = [{1,38281},{2,382814},{4,19141}]};

get_uranium_lv(38,4) ->
    #base_uranium_lv{grade = 38,lv = 4,energy = 4200,attrs = [{1,38476},{2,384757},{4,19238}]};

get_uranium_lv(38,5) ->
    #base_uranium_lv{grade = 38,lv = 5,energy = 4200,attrs = [{1,38670},{2,386704},{4,19335}]};

get_uranium_lv(38,6) ->
    #base_uranium_lv{grade = 38,lv = 6,energy = 4200,attrs = [{1,38866},{2,388656},{4,19433}]};

get_uranium_lv(38,7) ->
    #base_uranium_lv{grade = 38,lv = 7,energy = 4200,attrs = [{1,39061},{2,390613},{4,19531}]};

get_uranium_lv(38,8) ->
    #base_uranium_lv{grade = 38,lv = 8,energy = 0,attrs = [{1,39257},{2,392574},{4,19629}]};

get_uranium_lv(39,0) ->
    #base_uranium_lv{grade = 39,lv = 0,energy = 4300,attrs = [{1,39454},{2,394541},{4,19727}]};

get_uranium_lv(39,1) ->
    #base_uranium_lv{grade = 39,lv = 1,energy = 4300,attrs = [{1,39651},{2,396512},{4,19826}]};

get_uranium_lv(39,2) ->
    #base_uranium_lv{grade = 39,lv = 2,energy = 4300,attrs = [{1,39849},{2,398488},{4,19924}]};

get_uranium_lv(39,3) ->
    #base_uranium_lv{grade = 39,lv = 3,energy = 4300,attrs = [{1,40047},{2,400469},{4,20023}]};

get_uranium_lv(39,4) ->
    #base_uranium_lv{grade = 39,lv = 4,energy = 4300,attrs = [{1,40245},{2,402454},{4,20123}]};

get_uranium_lv(39,5) ->
    #base_uranium_lv{grade = 39,lv = 5,energy = 4300,attrs = [{1,40444},{2,404445},{4,20222}]};

get_uranium_lv(39,6) ->
    #base_uranium_lv{grade = 39,lv = 6,energy = 4300,attrs = [{1,40644},{2,406440},{4,20322}]};

get_uranium_lv(39,7) ->
    #base_uranium_lv{grade = 39,lv = 7,energy = 4300,attrs = [{1,40844},{2,408440},{4,20422}]};

get_uranium_lv(39,8) ->
    #base_uranium_lv{grade = 39,lv = 8,energy = 0,attrs = [{1,41044},{2,410445},{4,20522}]};

get_uranium_lv(40,0) ->
    #base_uranium_lv{grade = 40,lv = 0,energy = 4400,attrs = [{1,41245},{2,412454},{4,20623}]};

get_uranium_lv(40,1) ->
    #base_uranium_lv{grade = 40,lv = 1,energy = 4400,attrs = [{1,41447},{2,414469},{4,20723}]};

get_uranium_lv(40,2) ->
    #base_uranium_lv{grade = 40,lv = 2,energy = 4400,attrs = [{1,41649},{2,416488},{4,20824}]};

get_uranium_lv(40,3) ->
    #base_uranium_lv{grade = 40,lv = 3,energy = 4400,attrs = [{1,41851},{2,418512},{4,20926}]};

get_uranium_lv(40,4) ->
    #base_uranium_lv{grade = 40,lv = 4,energy = 4400,attrs = [{1,42054},{2,420541},{4,21027}]};

get_uranium_lv(40,5) ->
    #base_uranium_lv{grade = 40,lv = 5,energy = 4400,attrs = [{1,42257},{2,422574},{4,21129}]};

get_uranium_lv(40,6) ->
    #base_uranium_lv{grade = 40,lv = 6,energy = 4400,attrs = [{1,42461},{2,424613},{4,21231}]};

get_uranium_lv(40,7) ->
    #base_uranium_lv{grade = 40,lv = 7,energy = 4400,attrs = [{1,42666},{2,426656},{4,21333}]};

get_uranium_lv(40,8) ->
    #base_uranium_lv{grade = 40,lv = 8,energy = 0,attrs = [{1,42870},{2,428704},{4,21435}]};

get_uranium_lv(41,0) ->
    #base_uranium_lv{grade = 41,lv = 0,energy = 4500,attrs = [{1,43076},{2,430757},{4,21538}]};

get_uranium_lv(41,1) ->
    #base_uranium_lv{grade = 41,lv = 1,energy = 4500,attrs = [{1,43281},{2,432814},{4,21641}]};

get_uranium_lv(41,2) ->
    #base_uranium_lv{grade = 41,lv = 2,energy = 4500,attrs = [{1,43488},{2,434877},{4,21744}]};

get_uranium_lv(41,3) ->
    #base_uranium_lv{grade = 41,lv = 3,energy = 4500,attrs = [{1,43694},{2,436944},{4,21847}]};

get_uranium_lv(41,4) ->
    #base_uranium_lv{grade = 41,lv = 4,energy = 4500,attrs = [{1,43902},{2,439016},{4,21951}]};

get_uranium_lv(41,5) ->
    #base_uranium_lv{grade = 41,lv = 5,energy = 4500,attrs = [{1,44109},{2,441093},{4,22055}]};

get_uranium_lv(41,6) ->
    #base_uranium_lv{grade = 41,lv = 6,energy = 4500,attrs = [{1,44317},{2,443174},{4,22159}]};

get_uranium_lv(41,7) ->
    #base_uranium_lv{grade = 41,lv = 7,energy = 4500,attrs = [{1,44526},{2,445261},{4,22263}]};

get_uranium_lv(41,8) ->
    #base_uranium_lv{grade = 41,lv = 8,energy = 0,attrs = [{1,44735},{2,447352},{4,22368}]};

get_uranium_lv(42,0) ->
    #base_uranium_lv{grade = 42,lv = 0,energy = 4600,attrs = [{1,44945},{2,449448},{4,22472}]};

get_uranium_lv(42,1) ->
    #base_uranium_lv{grade = 42,lv = 1,energy = 4600,attrs = [{1,45155},{2,451549},{4,22577}]};

get_uranium_lv(42,2) ->
    #base_uranium_lv{grade = 42,lv = 2,energy = 4600,attrs = [{1,45365},{2,453654},{4,22683}]};

get_uranium_lv(42,3) ->
    #base_uranium_lv{grade = 42,lv = 3,energy = 4600,attrs = [{1,45576},{2,455765},{4,22788}]};

get_uranium_lv(42,4) ->
    #base_uranium_lv{grade = 42,lv = 4,energy = 4600,attrs = [{1,45788},{2,457880},{4,22894}]};

get_uranium_lv(42,5) ->
    #base_uranium_lv{grade = 42,lv = 5,energy = 4600,attrs = [{1,46000},{2,460000},{4,23000}]};

get_uranium_lv(42,6) ->
    #base_uranium_lv{grade = 42,lv = 6,energy = 4600,attrs = [{1,46212},{2,462125},{4,23106}]};

get_uranium_lv(42,7) ->
    #base_uranium_lv{grade = 42,lv = 7,energy = 4600,attrs = [{1,46425},{2,464254},{4,23213}]};

get_uranium_lv(42,8) ->
    #base_uranium_lv{grade = 42,lv = 8,energy = 0,attrs = [{1,46639},{2,466389},{4,23319}]};

get_uranium_lv(43,0) ->
    #base_uranium_lv{grade = 43,lv = 0,energy = 4700,attrs = [{1,46853},{2,468528},{4,23426}]};

get_uranium_lv(43,1) ->
    #base_uranium_lv{grade = 43,lv = 1,energy = 4700,attrs = [{1,47067},{2,470672},{4,23534}]};

get_uranium_lv(43,2) ->
    #base_uranium_lv{grade = 43,lv = 2,energy = 4700,attrs = [{1,47282},{2,472821},{4,23641}]};

get_uranium_lv(43,3) ->
    #base_uranium_lv{grade = 43,lv = 3,energy = 4700,attrs = [{1,47497},{2,474974},{4,23749}]};

get_uranium_lv(43,4) ->
    #base_uranium_lv{grade = 43,lv = 4,energy = 4700,attrs = [{1,47713},{2,477133},{4,23857}]};

get_uranium_lv(43,5) ->
    #base_uranium_lv{grade = 43,lv = 5,energy = 4700,attrs = [{1,47930},{2,479296},{4,23965}]};

get_uranium_lv(43,6) ->
    #base_uranium_lv{grade = 43,lv = 6,energy = 4700,attrs = [{1,48146},{2,481464},{4,24073}]};

get_uranium_lv(43,7) ->
    #base_uranium_lv{grade = 43,lv = 7,energy = 4700,attrs = [{1,48364},{2,483637},{4,24182}]};

get_uranium_lv(43,8) ->
    #base_uranium_lv{grade = 43,lv = 8,energy = 0,attrs = [{1,48581},{2,485814},{4,24291}]};

get_uranium_lv(44,0) ->
    #base_uranium_lv{grade = 44,lv = 0,energy = 4800,attrs = [{1,48800},{2,487997},{4,24400}]};

get_uranium_lv(44,1) ->
    #base_uranium_lv{grade = 44,lv = 1,energy = 4800,attrs = [{1,49018},{2,490184},{4,24509}]};

get_uranium_lv(44,2) ->
    #base_uranium_lv{grade = 44,lv = 2,energy = 4800,attrs = [{1,49238},{2,492376},{4,24619}]};

get_uranium_lv(44,3) ->
    #base_uranium_lv{grade = 44,lv = 3,energy = 4800,attrs = [{1,49457},{2,494573},{4,24729}]};

get_uranium_lv(44,4) ->
    #base_uranium_lv{grade = 44,lv = 4,energy = 4800,attrs = [{1,49677},{2,496774},{4,24839}]};

get_uranium_lv(44,5) ->
    #base_uranium_lv{grade = 44,lv = 5,energy = 4800,attrs = [{1,49898},{2,498981},{4,24949}]};

get_uranium_lv(44,6) ->
    #base_uranium_lv{grade = 44,lv = 6,energy = 4800,attrs = [{1,50119},{2,501192},{4,25060}]};

get_uranium_lv(44,7) ->
    #base_uranium_lv{grade = 44,lv = 7,energy = 4800,attrs = [{1,50341},{2,503408},{4,25170}]};

get_uranium_lv(44,8) ->
    #base_uranium_lv{grade = 44,lv = 8,energy = 0,attrs = [{1,50563},{2,505629},{4,25281}]};

get_uranium_lv(45,0) ->
    #base_uranium_lv{grade = 45,lv = 0,energy = 4900,attrs = [{1,50785},{2,507854},{4,25393}]};

get_uranium_lv(45,1) ->
    #base_uranium_lv{grade = 45,lv = 1,energy = 4900,attrs = [{1,51008},{2,510085},{4,25504}]};

get_uranium_lv(45,2) ->
    #base_uranium_lv{grade = 45,lv = 2,energy = 4900,attrs = [{1,51232},{2,512320},{4,25616}]};

get_uranium_lv(45,3) ->
    #base_uranium_lv{grade = 45,lv = 3,energy = 4900,attrs = [{1,51456},{2,514560},{4,25728}]};

get_uranium_lv(45,4) ->
    #base_uranium_lv{grade = 45,lv = 4,energy = 4900,attrs = [{1,51680},{2,516805},{4,25840}]};

get_uranium_lv(45,5) ->
    #base_uranium_lv{grade = 45,lv = 5,energy = 4900,attrs = [{1,51905},{2,519054},{4,25953}]};

get_uranium_lv(45,6) ->
    #base_uranium_lv{grade = 45,lv = 6,energy = 4900,attrs = [{1,52131},{2,521309},{4,26065}]};

get_uranium_lv(45,7) ->
    #base_uranium_lv{grade = 45,lv = 7,energy = 4900,attrs = [{1,52357},{2,523568},{4,26178}]};

get_uranium_lv(45,8) ->
    #base_uranium_lv{grade = 45,lv = 8,energy = 0,attrs = [{1,52583},{2,525832},{4,26292}]};

get_uranium_lv(46,0) ->
    #base_uranium_lv{grade = 46,lv = 0,energy = 5000,attrs = [{1,52810},{2,528101},{4,26405}]};

get_uranium_lv(46,1) ->
    #base_uranium_lv{grade = 46,lv = 1,energy = 5000,attrs = [{1,53037},{2,530374},{4,26519}]};

get_uranium_lv(46,2) ->
    #base_uranium_lv{grade = 46,lv = 2,energy = 5000,attrs = [{1,53265},{2,532653},{4,26633}]};

get_uranium_lv(46,3) ->
    #base_uranium_lv{grade = 46,lv = 3,energy = 5000,attrs = [{1,53494},{2,534936},{4,26747}]};

get_uranium_lv(46,4) ->
    #base_uranium_lv{grade = 46,lv = 4,energy = 5000,attrs = [{1,53722},{2,537224},{4,26861}]};

get_uranium_lv(46,5) ->
    #base_uranium_lv{grade = 46,lv = 5,energy = 5000,attrs = [{1,53952},{2,539517},{4,26976}]};

get_uranium_lv(46,6) ->
    #base_uranium_lv{grade = 46,lv = 6,energy = 5000,attrs = [{1,54181},{2,541814},{4,27091}]};

get_uranium_lv(46,7) ->
    #base_uranium_lv{grade = 46,lv = 7,energy = 5000,attrs = [{1,54412},{2,544117},{4,27206}]};

get_uranium_lv(46,8) ->
    #base_uranium_lv{grade = 46,lv = 8,energy = 0,attrs = [{1,54642},{2,546424},{4,27321}]};

get_uranium_lv(47,0) ->
    #base_uranium_lv{grade = 47,lv = 0,energy = 5100,attrs = [{1,54874},{2,548736},{4,27437}]};

get_uranium_lv(47,1) ->
    #base_uranium_lv{grade = 47,lv = 1,energy = 5100,attrs = [{1,55105},{2,551053},{4,27553}]};

get_uranium_lv(47,2) ->
    #base_uranium_lv{grade = 47,lv = 2,energy = 5100,attrs = [{1,55337},{2,553374},{4,27669}]};

get_uranium_lv(47,3) ->
    #base_uranium_lv{grade = 47,lv = 3,energy = 5100,attrs = [{1,55570},{2,555701},{4,27785}]};

get_uranium_lv(47,4) ->
    #base_uranium_lv{grade = 47,lv = 4,energy = 5100,attrs = [{1,55803},{2,558032},{4,27902}]};

get_uranium_lv(47,5) ->
    #base_uranium_lv{grade = 47,lv = 5,energy = 5100,attrs = [{1,56037},{2,560368},{4,28018}]};

get_uranium_lv(47,6) ->
    #base_uranium_lv{grade = 47,lv = 6,energy = 5100,attrs = [{1,56271},{2,562709},{4,28135}]};

get_uranium_lv(47,7) ->
    #base_uranium_lv{grade = 47,lv = 7,energy = 5100,attrs = [{1,56505},{2,565054},{4,28253}]};

get_uranium_lv(47,8) ->
    #base_uranium_lv{grade = 47,lv = 8,energy = 0,attrs = [{1,56740},{2,567405},{4,28370}]};

get_uranium_lv(48,0) ->
    #base_uranium_lv{grade = 48,lv = 0,energy = 5200,attrs = [{1,56976},{2,569760},{4,28488}]};

get_uranium_lv(48,1) ->
    #base_uranium_lv{grade = 48,lv = 1,energy = 5200,attrs = [{1,57212},{2,572120},{4,28606}]};

get_uranium_lv(48,2) ->
    #base_uranium_lv{grade = 48,lv = 2,energy = 5200,attrs = [{1,57448},{2,574485},{4,28724}]};

get_uranium_lv(48,3) ->
    #base_uranium_lv{grade = 48,lv = 3,energy = 5200,attrs = [{1,57685},{2,576854},{4,28843}]};

get_uranium_lv(48,4) ->
    #base_uranium_lv{grade = 48,lv = 4,energy = 5200,attrs = [{1,57923},{2,579229},{4,28961}]};

get_uranium_lv(48,5) ->
    #base_uranium_lv{grade = 48,lv = 5,energy = 5200,attrs = [{1,58161},{2,581608},{4,29080}]};

get_uranium_lv(48,6) ->
    #base_uranium_lv{grade = 48,lv = 6,energy = 5200,attrs = [{1,58399},{2,583992},{4,29200}]};

get_uranium_lv(48,7) ->
    #base_uranium_lv{grade = 48,lv = 7,energy = 5200,attrs = [{1,58638},{2,586381},{4,29319}]};

get_uranium_lv(48,8) ->
    #base_uranium_lv{grade = 48,lv = 8,energy = 0,attrs = [{1,58877},{2,588774},{4,29439}]};

get_uranium_lv(49,0) ->
    #base_uranium_lv{grade = 49,lv = 0,energy = 5300,attrs = [{1,59117},{2,591173},{4,29559}]};

get_uranium_lv(49,1) ->
    #base_uranium_lv{grade = 49,lv = 1,energy = 5300,attrs = [{1,59358},{2,593576},{4,29679}]};

get_uranium_lv(49,2) ->
    #base_uranium_lv{grade = 49,lv = 2,energy = 5300,attrs = [{1,59598},{2,595984},{4,29799}]};

get_uranium_lv(49,3) ->
    #base_uranium_lv{grade = 49,lv = 3,energy = 5300,attrs = [{1,59840},{2,598397},{4,29920}]};

get_uranium_lv(49,4) ->
    #base_uranium_lv{grade = 49,lv = 4,energy = 5300,attrs = [{1,60081},{2,600814},{4,30041}]};

get_uranium_lv(49,5) ->
    #base_uranium_lv{grade = 49,lv = 5,energy = 5300,attrs = [{1,60324},{2,603237},{4,30162}]};

get_uranium_lv(49,6) ->
    #base_uranium_lv{grade = 49,lv = 6,energy = 5300,attrs = [{1,60566},{2,605664},{4,30283}]};

get_uranium_lv(49,7) ->
    #base_uranium_lv{grade = 49,lv = 7,energy = 5300,attrs = [{1,60810},{2,608096},{4,30405}]};

get_uranium_lv(49,8) ->
    #base_uranium_lv{grade = 49,lv = 8,energy = 0,attrs = [{1,61053},{2,610533},{4,30527}]};

get_uranium_lv(50,0) ->
    #base_uranium_lv{grade = 50,lv = 0,energy = 5400,attrs = [{1,61297},{2,612974},{4,30649}]};

get_uranium_lv(50,1) ->
    #base_uranium_lv{grade = 50,lv = 1,energy = 5400,attrs = [{1,61542},{2,615421},{4,30771}]};

get_uranium_lv(50,2) ->
    #base_uranium_lv{grade = 50,lv = 2,energy = 5400,attrs = [{1,61787},{2,617872},{4,30894}]};

get_uranium_lv(50,3) ->
    #base_uranium_lv{grade = 50,lv = 3,energy = 5400,attrs = [{1,62033},{2,620328},{4,31016}]};

get_uranium_lv(50,4) ->
    #base_uranium_lv{grade = 50,lv = 4,energy = 5400,attrs = [{1,62279},{2,622789},{4,31139}]};

get_uranium_lv(50,5) ->
    #base_uranium_lv{grade = 50,lv = 5,energy = 5400,attrs = [{1,62525},{2,625254},{4,31263}]};

get_uranium_lv(50,6) ->
    #base_uranium_lv{grade = 50,lv = 6,energy = 5400,attrs = [{1,62772},{2,627725},{4,31386}]};

get_uranium_lv(50,7) ->
    #base_uranium_lv{grade = 50,lv = 7,energy = 5400,attrs = [{1,63020},{2,630200},{4,31510}]};

get_uranium_lv(50,8) ->
    #base_uranium_lv{grade = 50,lv = 8,energy = 0,attrs = [{1,63268},{2,632680},{4,31634}]};

get_uranium_lv(51,0) ->
    #base_uranium_lv{grade = 51,lv = 0,energy = 5500,attrs = [{1,63516},{2,635165},{4,31758}]};

get_uranium_lv(51,1) ->
    #base_uranium_lv{grade = 51,lv = 1,energy = 5500,attrs = [{1,63765},{2,637654},{4,31883}]};

get_uranium_lv(51,2) ->
    #base_uranium_lv{grade = 51,lv = 2,energy = 5500,attrs = [{1,64015},{2,640149},{4,32007}]};

get_uranium_lv(51,3) ->
    #base_uranium_lv{grade = 51,lv = 3,energy = 5500,attrs = [{1,64265},{2,642648},{4,32132}]};

get_uranium_lv(51,4) ->
    #base_uranium_lv{grade = 51,lv = 4,energy = 5500,attrs = [{1,64515},{2,645152},{4,32258}]};

get_uranium_lv(51,5) ->
    #base_uranium_lv{grade = 51,lv = 5,energy = 5500,attrs = [{1,64766},{2,647661},{4,32383}]};

get_uranium_lv(51,6) ->
    #base_uranium_lv{grade = 51,lv = 6,energy = 5500,attrs = [{1,65017},{2,650174},{4,32509}]};

get_uranium_lv(51,7) ->
    #base_uranium_lv{grade = 51,lv = 7,energy = 5500,attrs = [{1,65269},{2,652693},{4,32635}]};

get_uranium_lv(51,8) ->
    #base_uranium_lv{grade = 51,lv = 8,energy = 0,attrs = [{1,65522},{2,655216},{4,32761}]};

get_uranium_lv(52,0) ->
    #base_uranium_lv{grade = 52,lv = 0,energy = 5600,attrs = [{1,65774},{2,657744},{4,32887}]};

get_uranium_lv(52,1) ->
    #base_uranium_lv{grade = 52,lv = 1,energy = 5600,attrs = [{1,66028},{2,660277},{4,33014}]};

get_uranium_lv(52,2) ->
    #base_uranium_lv{grade = 52,lv = 2,energy = 5600,attrs = [{1,66281},{2,662814},{4,33141}]};

get_uranium_lv(52,3) ->
    #base_uranium_lv{grade = 52,lv = 3,energy = 5600,attrs = [{1,66536},{2,665357},{4,33268}]};

get_uranium_lv(52,4) ->
    #base_uranium_lv{grade = 52,lv = 4,energy = 5600,attrs = [{1,66790},{2,667904},{4,33395}]};

get_uranium_lv(52,5) ->
    #base_uranium_lv{grade = 52,lv = 5,energy = 5600,attrs = [{1,67046},{2,670456},{4,33523}]};

get_uranium_lv(52,6) ->
    #base_uranium_lv{grade = 52,lv = 6,energy = 5600,attrs = [{1,67301},{2,673013},{4,33651}]};

get_uranium_lv(52,7) ->
    #base_uranium_lv{grade = 52,lv = 7,energy = 5600,attrs = [{1,67557},{2,675574},{4,33779}]};

get_uranium_lv(52,8) ->
    #base_uranium_lv{grade = 52,lv = 8,energy = 0,attrs = [{1,67814},{2,678141},{4,33907}]};

get_uranium_lv(53,0) ->
    #base_uranium_lv{grade = 53,lv = 0,energy = 5700,attrs = [{1,68071},{2,680712},{4,34036}]};

get_uranium_lv(53,1) ->
    #base_uranium_lv{grade = 53,lv = 1,energy = 5700,attrs = [{1,68329},{2,683288},{4,34164}]};

get_uranium_lv(53,2) ->
    #base_uranium_lv{grade = 53,lv = 2,energy = 5700,attrs = [{1,68587},{2,685869},{4,34293}]};

get_uranium_lv(53,3) ->
    #base_uranium_lv{grade = 53,lv = 3,energy = 5700,attrs = [{1,68845},{2,688454},{4,34423}]};

get_uranium_lv(53,4) ->
    #base_uranium_lv{grade = 53,lv = 4,energy = 5700,attrs = [{1,69104},{2,691045},{4,34552}]};

get_uranium_lv(53,5) ->
    #base_uranium_lv{grade = 53,lv = 5,energy = 5700,attrs = [{1,69364},{2,693640},{4,34682}]};

get_uranium_lv(53,6) ->
    #base_uranium_lv{grade = 53,lv = 6,energy = 5700,attrs = [{1,69624},{2,696240},{4,34812}]};

get_uranium_lv(53,7) ->
    #base_uranium_lv{grade = 53,lv = 7,energy = 5700,attrs = [{1,69884},{2,698845},{4,34942}]};

get_uranium_lv(53,8) ->
    #base_uranium_lv{grade = 53,lv = 8,energy = 0,attrs = [{1,70145},{2,701454},{4,35073}]};

get_uranium_lv(54,0) ->
    #base_uranium_lv{grade = 54,lv = 0,energy = 5800,attrs = [{1,70407},{2,704069},{4,35203}]};

get_uranium_lv(54,1) ->
    #base_uranium_lv{grade = 54,lv = 1,energy = 5800,attrs = [{1,70669},{2,706688},{4,35334}]};

get_uranium_lv(54,2) ->
    #base_uranium_lv{grade = 54,lv = 2,energy = 5800,attrs = [{1,70931},{2,709312},{4,35466}]};

get_uranium_lv(54,3) ->
    #base_uranium_lv{grade = 54,lv = 3,energy = 5800,attrs = [{1,71194},{2,711941},{4,35597}]};

get_uranium_lv(54,4) ->
    #base_uranium_lv{grade = 54,lv = 4,energy = 5800,attrs = [{1,71457},{2,714574},{4,35729}]};

get_uranium_lv(54,5) ->
    #base_uranium_lv{grade = 54,lv = 5,energy = 5800,attrs = [{1,71721},{2,717213},{4,35861}]};

get_uranium_lv(54,6) ->
    #base_uranium_lv{grade = 54,lv = 6,energy = 5800,attrs = [{1,71986},{2,719856},{4,35993}]};

get_uranium_lv(54,7) ->
    #base_uranium_lv{grade = 54,lv = 7,energy = 5800,attrs = [{1,72250},{2,722504},{4,36125}]};

get_uranium_lv(54,8) ->
    #base_uranium_lv{grade = 54,lv = 8,energy = 0,attrs = [{1,72516},{2,725157},{4,36258}]};

get_uranium_lv(55,0) ->
    #base_uranium_lv{grade = 55,lv = 0,energy = 5900,attrs = [{1,72781},{2,727814},{4,36391}]};

get_uranium_lv(55,1) ->
    #base_uranium_lv{grade = 55,lv = 1,energy = 5900,attrs = [{1,73048},{2,730477},{4,36524}]};

get_uranium_lv(55,2) ->
    #base_uranium_lv{grade = 55,lv = 2,energy = 5900,attrs = [{1,73314},{2,733144},{4,36657}]};

get_uranium_lv(55,3) ->
    #base_uranium_lv{grade = 55,lv = 3,energy = 5900,attrs = [{1,73582},{2,735816},{4,36791}]};

get_uranium_lv(55,4) ->
    #base_uranium_lv{grade = 55,lv = 4,energy = 5900,attrs = [{1,73849},{2,738493},{4,36925}]};

get_uranium_lv(55,5) ->
    #base_uranium_lv{grade = 55,lv = 5,energy = 5900,attrs = [{1,74117},{2,741174},{4,37059}]};

get_uranium_lv(55,6) ->
    #base_uranium_lv{grade = 55,lv = 6,energy = 5900,attrs = [{1,74386},{2,743861},{4,37193}]};

get_uranium_lv(55,7) ->
    #base_uranium_lv{grade = 55,lv = 7,energy = 5900,attrs = [{1,74655},{2,746552},{4,37328}]};

get_uranium_lv(55,8) ->
    #base_uranium_lv{grade = 55,lv = 8,energy = 0,attrs = [{1,74925},{2,749248},{4,37462}]};

get_uranium_lv(56,0) ->
    #base_uranium_lv{grade = 56,lv = 0,energy = 6000,attrs = [{1,75195},{2,751949},{4,37597}]};

get_uranium_lv(56,1) ->
    #base_uranium_lv{grade = 56,lv = 1,energy = 6000,attrs = [{1,75465},{2,754654},{4,37733}]};

get_uranium_lv(56,2) ->
    #base_uranium_lv{grade = 56,lv = 2,energy = 6000,attrs = [{1,75736},{2,757365},{4,37868}]};

get_uranium_lv(56,3) ->
    #base_uranium_lv{grade = 56,lv = 3,energy = 6000,attrs = [{1,76008},{2,760080},{4,38004}]};

get_uranium_lv(56,4) ->
    #base_uranium_lv{grade = 56,lv = 4,energy = 6000,attrs = [{1,76280},{2,762800},{4,38140}]};

get_uranium_lv(56,5) ->
    #base_uranium_lv{grade = 56,lv = 5,energy = 6000,attrs = [{1,76552},{2,765525},{4,38276}]};

get_uranium_lv(56,6) ->
    #base_uranium_lv{grade = 56,lv = 6,energy = 6000,attrs = [{1,76825},{2,768254},{4,38413}]};

get_uranium_lv(56,7) ->
    #base_uranium_lv{grade = 56,lv = 7,energy = 6000,attrs = [{1,77099},{2,770989},{4,38549}]};

get_uranium_lv(56,8) ->
    #base_uranium_lv{grade = 56,lv = 8,energy = 0,attrs = [{1,77373},{2,773728},{4,38686}]};

get_uranium_lv(57,0) ->
    #base_uranium_lv{grade = 57,lv = 0,energy = 6100,attrs = [{1,77647},{2,776472},{4,38824}]};

get_uranium_lv(57,1) ->
    #base_uranium_lv{grade = 57,lv = 1,energy = 6100,attrs = [{1,77922},{2,779221},{4,38961}]};

get_uranium_lv(57,2) ->
    #base_uranium_lv{grade = 57,lv = 2,energy = 6100,attrs = [{1,78197},{2,781974},{4,39099}]};

get_uranium_lv(57,3) ->
    #base_uranium_lv{grade = 57,lv = 3,energy = 6100,attrs = [{1,78473},{2,784733},{4,39237}]};

get_uranium_lv(57,4) ->
    #base_uranium_lv{grade = 57,lv = 4,energy = 6100,attrs = [{1,78750},{2,787496},{4,39375}]};

get_uranium_lv(57,5) ->
    #base_uranium_lv{grade = 57,lv = 5,energy = 6100,attrs = [{1,79026},{2,790264},{4,39513}]};

get_uranium_lv(57,6) ->
    #base_uranium_lv{grade = 57,lv = 6,energy = 6100,attrs = [{1,79304},{2,793037},{4,39652}]};

get_uranium_lv(57,7) ->
    #base_uranium_lv{grade = 57,lv = 7,energy = 6100,attrs = [{1,79581},{2,795814},{4,39791}]};

get_uranium_lv(57,8) ->
    #base_uranium_lv{grade = 57,lv = 8,energy = 0,attrs = [{1,79860},{2,798597},{4,39930}]};

get_uranium_lv(58,0) ->
    #base_uranium_lv{grade = 58,lv = 0,energy = 6200,attrs = [{1,80138},{2,801384},{4,40069}]};

get_uranium_lv(58,1) ->
    #base_uranium_lv{grade = 58,lv = 1,energy = 6200,attrs = [{1,80418},{2,804176},{4,40209}]};

get_uranium_lv(58,2) ->
    #base_uranium_lv{grade = 58,lv = 2,energy = 6200,attrs = [{1,80697},{2,806973},{4,40349}]};

get_uranium_lv(58,3) ->
    #base_uranium_lv{grade = 58,lv = 3,energy = 6200,attrs = [{1,80977},{2,809774},{4,40489}]};

get_uranium_lv(58,4) ->
    #base_uranium_lv{grade = 58,lv = 4,energy = 6200,attrs = [{1,81258},{2,812581},{4,40629}]};

get_uranium_lv(58,5) ->
    #base_uranium_lv{grade = 58,lv = 5,energy = 6200,attrs = [{1,81539},{2,815392},{4,40770}]};

get_uranium_lv(58,6) ->
    #base_uranium_lv{grade = 58,lv = 6,energy = 6200,attrs = [{1,81821},{2,818208},{4,40910}]};

get_uranium_lv(58,7) ->
    #base_uranium_lv{grade = 58,lv = 7,energy = 6200,attrs = [{1,82103},{2,821029},{4,41051}]};

get_uranium_lv(58,8) ->
    #base_uranium_lv{grade = 58,lv = 8,energy = 0,attrs = [{1,82385},{2,823854},{4,41193}]};

get_uranium_lv(59,0) ->
    #base_uranium_lv{grade = 59,lv = 0,energy = 6300,attrs = [{1,82668},{2,826685},{4,41334}]};

get_uranium_lv(59,1) ->
    #base_uranium_lv{grade = 59,lv = 1,energy = 6300,attrs = [{1,82952},{2,829520},{4,41476}]};

get_uranium_lv(59,2) ->
    #base_uranium_lv{grade = 59,lv = 2,energy = 6300,attrs = [{1,83236},{2,832360},{4,41618}]};

get_uranium_lv(59,3) ->
    #base_uranium_lv{grade = 59,lv = 3,energy = 6300,attrs = [{1,83520},{2,835205},{4,41760}]};

get_uranium_lv(59,4) ->
    #base_uranium_lv{grade = 59,lv = 4,energy = 6300,attrs = [{1,83805},{2,838054},{4,41903}]};

get_uranium_lv(59,5) ->
    #base_uranium_lv{grade = 59,lv = 5,energy = 6300,attrs = [{1,84091},{2,840909},{4,42045}]};

get_uranium_lv(59,6) ->
    #base_uranium_lv{grade = 59,lv = 6,energy = 6300,attrs = [{1,84377},{2,843768},{4,42188}]};

get_uranium_lv(59,7) ->
    #base_uranium_lv{grade = 59,lv = 7,energy = 6300,attrs = [{1,84663},{2,846632},{4,42332}]};

get_uranium_lv(59,8) ->
    #base_uranium_lv{grade = 59,lv = 8,energy = 0,attrs = [{1,84950},{2,849501},{4,42475}]};

get_uranium_lv(60,0) ->
    #base_uranium_lv{grade = 60,lv = 0,energy = 6400,attrs = [{1,85237},{2,852374},{4,42619}]};

get_uranium_lv(60,1) ->
    #base_uranium_lv{grade = 60,lv = 1,energy = 6400,attrs = [{1,85525},{2,855253},{4,42763}]};

get_uranium_lv(60,2) ->
    #base_uranium_lv{grade = 60,lv = 2,energy = 6400,attrs = [{1,85814},{2,858136},{4,42907}]};

get_uranium_lv(60,3) ->
    #base_uranium_lv{grade = 60,lv = 3,energy = 6400,attrs = [{1,86102},{2,861024},{4,43051}]};

get_uranium_lv(60,4) ->
    #base_uranium_lv{grade = 60,lv = 4,energy = 6400,attrs = [{1,86392},{2,863917},{4,43196}]};

get_uranium_lv(60,5) ->
    #base_uranium_lv{grade = 60,lv = 5,energy = 6400,attrs = [{1,86681},{2,866814},{4,43341}]};

get_uranium_lv(60,6) ->
    #base_uranium_lv{grade = 60,lv = 6,energy = 6400,attrs = [{1,86972},{2,869717},{4,43486}]};

get_uranium_lv(60,7) ->
    #base_uranium_lv{grade = 60,lv = 7,energy = 6400,attrs = [{1,87262},{2,872624},{4,43631}]};

get_uranium_lv(60,8) ->
    #base_uranium_lv{grade = 60,lv = 8,energy = 0,attrs = [{1,87554},{2,875536},{4,43777}]};

get_uranium_lv(61,0) ->
    #base_uranium_lv{grade = 61,lv = 0,energy = 6500,attrs = [{1,87845},{2,878453},{4,43923}]};

get_uranium_lv(61,1) ->
    #base_uranium_lv{grade = 61,lv = 1,energy = 6500,attrs = [{1,88137},{2,881374},{4,44069}]};

get_uranium_lv(61,2) ->
    #base_uranium_lv{grade = 61,lv = 2,energy = 6500,attrs = [{1,88430},{2,884301},{4,44215}]};

get_uranium_lv(61,3) ->
    #base_uranium_lv{grade = 61,lv = 3,energy = 6500,attrs = [{1,88723},{2,887232},{4,44362}]};

get_uranium_lv(61,4) ->
    #base_uranium_lv{grade = 61,lv = 4,energy = 6500,attrs = [{1,89017},{2,890168},{4,44508}]};

get_uranium_lv(61,5) ->
    #base_uranium_lv{grade = 61,lv = 5,energy = 6500,attrs = [{1,89311},{2,893109},{4,44655}]};

get_uranium_lv(61,6) ->
    #base_uranium_lv{grade = 61,lv = 6,energy = 6500,attrs = [{1,89605},{2,896054},{4,44803}]};

get_uranium_lv(61,7) ->
    #base_uranium_lv{grade = 61,lv = 7,energy = 6500,attrs = [{1,89900},{2,899005},{4,44950}]};

get_uranium_lv(61,8) ->
    #base_uranium_lv{grade = 61,lv = 8,energy = 0,attrs = [{1,90196},{2,901960},{4,45098}]};

get_uranium_lv(62,0) ->
    #base_uranium_lv{grade = 62,lv = 0,energy = 6600,attrs = [{1,90492},{2,904920},{4,45246}]};

get_uranium_lv(62,1) ->
    #base_uranium_lv{grade = 62,lv = 1,energy = 6600,attrs = [{1,90788},{2,907885},{4,45394}]};

get_uranium_lv(62,2) ->
    #base_uranium_lv{grade = 62,lv = 2,energy = 6600,attrs = [{1,91085},{2,910854},{4,45543}]};

get_uranium_lv(62,3) ->
    #base_uranium_lv{grade = 62,lv = 3,energy = 6600,attrs = [{1,91383},{2,913829},{4,45691}]};

get_uranium_lv(62,4) ->
    #base_uranium_lv{grade = 62,lv = 4,energy = 6600,attrs = [{1,91681},{2,916808},{4,45840}]};

get_uranium_lv(62,5) ->
    #base_uranium_lv{grade = 62,lv = 5,energy = 6600,attrs = [{1,91979},{2,919792},{4,45990}]};

get_uranium_lv(62,6) ->
    #base_uranium_lv{grade = 62,lv = 6,energy = 6600,attrs = [{1,92278},{2,922781},{4,46139}]};

get_uranium_lv(62,7) ->
    #base_uranium_lv{grade = 62,lv = 7,energy = 6600,attrs = [{1,92577},{2,925774},{4,46289}]};

get_uranium_lv(62,8) ->
    #base_uranium_lv{grade = 62,lv = 8,energy = 0,attrs = [{1,92877},{2,928773},{4,46439}]};

get_uranium_lv(63,0) ->
    #base_uranium_lv{grade = 63,lv = 0,energy = 6700,attrs = [{1,93178},{2,931776},{4,46589}]};

get_uranium_lv(63,1) ->
    #base_uranium_lv{grade = 63,lv = 1,energy = 6700,attrs = [{1,93478},{2,934784},{4,46739}]};

get_uranium_lv(63,2) ->
    #base_uranium_lv{grade = 63,lv = 2,energy = 6700,attrs = [{1,93780},{2,937797},{4,46890}]};

get_uranium_lv(63,3) ->
    #base_uranium_lv{grade = 63,lv = 3,energy = 6700,attrs = [{1,94081},{2,940814},{4,47041}]};

get_uranium_lv(63,4) ->
    #base_uranium_lv{grade = 63,lv = 4,energy = 6700,attrs = [{1,94384},{2,943837},{4,47192}]};

get_uranium_lv(63,5) ->
    #base_uranium_lv{grade = 63,lv = 5,energy = 6700,attrs = [{1,94686},{2,946864},{4,47343}]};

get_uranium_lv(63,6) ->
    #base_uranium_lv{grade = 63,lv = 6,energy = 6700,attrs = [{1,94990},{2,949896},{4,47495}]};

get_uranium_lv(63,7) ->
    #base_uranium_lv{grade = 63,lv = 7,energy = 6700,attrs = [{1,95293},{2,952933},{4,47647}]};

get_uranium_lv(63,8) ->
    #base_uranium_lv{grade = 63,lv = 8,energy = 0,attrs = [{1,95597},{2,955974},{4,47799}]};

get_uranium_lv(64,0) ->
    #base_uranium_lv{grade = 64,lv = 0,energy = 6800,attrs = [{1,95902},{2,959021},{4,47951}]};

get_uranium_lv(64,1) ->
    #base_uranium_lv{grade = 64,lv = 1,energy = 6800,attrs = [{1,96207},{2,962072},{4,48104}]};

get_uranium_lv(64,2) ->
    #base_uranium_lv{grade = 64,lv = 2,energy = 6800,attrs = [{1,96513},{2,965128},{4,48256}]};

get_uranium_lv(64,3) ->
    #base_uranium_lv{grade = 64,lv = 3,energy = 6800,attrs = [{1,96819},{2,968189},{4,48409}]};

get_uranium_lv(64,4) ->
    #base_uranium_lv{grade = 64,lv = 4,energy = 6800,attrs = [{1,97125},{2,971254},{4,48563}]};

get_uranium_lv(64,5) ->
    #base_uranium_lv{grade = 64,lv = 5,energy = 6800,attrs = [{1,97432},{2,974325},{4,48716}]};

get_uranium_lv(64,6) ->
    #base_uranium_lv{grade = 64,lv = 6,energy = 6800,attrs = [{1,97740},{2,977400},{4,48870}]};

get_uranium_lv(64,7) ->
    #base_uranium_lv{grade = 64,lv = 7,energy = 6800,attrs = [{1,98048},{2,980480},{4,49024}]};

get_uranium_lv(64,8) ->
    #base_uranium_lv{grade = 64,lv = 8,energy = 0,attrs = [{1,98356},{2,983565},{4,49178}]};

get_uranium_lv(65,0) ->
    #base_uranium_lv{grade = 65,lv = 0,energy = 6900,attrs = [{1,98665},{2,986654},{4,49333}]};

get_uranium_lv(65,1) ->
    #base_uranium_lv{grade = 65,lv = 1,energy = 6900,attrs = [{1,98975},{2,989749},{4,49487}]};

get_uranium_lv(65,2) ->
    #base_uranium_lv{grade = 65,lv = 2,energy = 6900,attrs = [{1,99285},{2,992848},{4,49642}]};

get_uranium_lv(65,3) ->
    #base_uranium_lv{grade = 65,lv = 3,energy = 6900,attrs = [{1,99595},{2,995952},{4,49798}]};

get_uranium_lv(65,4) ->
    #base_uranium_lv{grade = 65,lv = 4,energy = 6900,attrs = [{1,99906},{2,999061},{4,49953}]};

get_uranium_lv(65,5) ->
    #base_uranium_lv{grade = 65,lv = 5,energy = 6900,attrs = [{1,100217},{2,1002174},{4,50109}]};

get_uranium_lv(65,6) ->
    #base_uranium_lv{grade = 65,lv = 6,energy = 6900,attrs = [{1,100529},{2,1005293},{4,50265}]};

get_uranium_lv(65,7) ->
    #base_uranium_lv{grade = 65,lv = 7,energy = 6900,attrs = [{1,100842},{2,1008416},{4,50421}]};

get_uranium_lv(65,8) ->
    #base_uranium_lv{grade = 65,lv = 8,energy = 0,attrs = [{1,101154},{2,1011544},{4,50577}]};

get_uranium_lv(66,0) ->
    #base_uranium_lv{grade = 66,lv = 0,energy = 7000,attrs = [{1,101468},{2,1014677},{4,50734}]};

get_uranium_lv(66,1) ->
    #base_uranium_lv{grade = 66,lv = 1,energy = 7000,attrs = [{1,101781},{2,1017814},{4,50891}]};

get_uranium_lv(66,2) ->
    #base_uranium_lv{grade = 66,lv = 2,energy = 7000,attrs = [{1,102096},{2,1020957},{4,51048}]};

get_uranium_lv(66,3) ->
    #base_uranium_lv{grade = 66,lv = 3,energy = 7000,attrs = [{1,102410},{2,1024104},{4,51205}]};

get_uranium_lv(66,4) ->
    #base_uranium_lv{grade = 66,lv = 4,energy = 7000,attrs = [{1,102726},{2,1027256},{4,51363}]};

get_uranium_lv(66,5) ->
    #base_uranium_lv{grade = 66,lv = 5,energy = 7000,attrs = [{1,103041},{2,1030413},{4,51521}]};

get_uranium_lv(66,6) ->
    #base_uranium_lv{grade = 66,lv = 6,energy = 7000,attrs = [{1,103357},{2,1033574},{4,51679}]};

get_uranium_lv(66,7) ->
    #base_uranium_lv{grade = 66,lv = 7,energy = 7000,attrs = [{1,103674},{2,1036741},{4,51837}]};

get_uranium_lv(66,8) ->
    #base_uranium_lv{grade = 66,lv = 8,energy = 0,attrs = [{1,103991},{2,1039912},{4,51996}]};

get_uranium_lv(67,0) ->
    #base_uranium_lv{grade = 67,lv = 0,energy = 7100,attrs = [{1,104309},{2,1043088},{4,52154}]};

get_uranium_lv(67,1) ->
    #base_uranium_lv{grade = 67,lv = 1,energy = 7100,attrs = [{1,104627},{2,1046269},{4,52313}]};

get_uranium_lv(67,2) ->
    #base_uranium_lv{grade = 67,lv = 2,energy = 7100,attrs = [{1,104945},{2,1049454},{4,52473}]};

get_uranium_lv(67,3) ->
    #base_uranium_lv{grade = 67,lv = 3,energy = 7100,attrs = [{1,105264},{2,1052645},{4,52632}]};

get_uranium_lv(67,4) ->
    #base_uranium_lv{grade = 67,lv = 4,energy = 7100,attrs = [{1,105584},{2,1055840},{4,52792}]};

get_uranium_lv(67,5) ->
    #base_uranium_lv{grade = 67,lv = 5,energy = 7100,attrs = [{1,105904},{2,1059040},{4,52952}]};

get_uranium_lv(67,6) ->
    #base_uranium_lv{grade = 67,lv = 6,energy = 7100,attrs = [{1,106224},{2,1062245},{4,53112}]};

get_uranium_lv(67,7) ->
    #base_uranium_lv{grade = 67,lv = 7,energy = 7100,attrs = [{1,106545},{2,1065454},{4,53273}]};

get_uranium_lv(67,8) ->
    #base_uranium_lv{grade = 67,lv = 8,energy = 0,attrs = [{1,106867},{2,1068669},{4,53433}]};

get_uranium_lv(68,0) ->
    #base_uranium_lv{grade = 68,lv = 0,energy = 7200,attrs = [{1,107189},{2,1071888},{4,53594}]};

get_uranium_lv(68,1) ->
    #base_uranium_lv{grade = 68,lv = 1,energy = 7200,attrs = [{1,107511},{2,1075112},{4,53756}]};

get_uranium_lv(68,2) ->
    #base_uranium_lv{grade = 68,lv = 2,energy = 7200,attrs = [{1,107834},{2,1078341},{4,53917}]};

get_uranium_lv(68,3) ->
    #base_uranium_lv{grade = 68,lv = 3,energy = 7200,attrs = [{1,108157},{2,1081574},{4,54079}]};

get_uranium_lv(68,4) ->
    #base_uranium_lv{grade = 68,lv = 4,energy = 7200,attrs = [{1,108481},{2,1084813},{4,54241}]};

get_uranium_lv(68,5) ->
    #base_uranium_lv{grade = 68,lv = 5,energy = 7200,attrs = [{1,108806},{2,1088056},{4,54403}]};

get_uranium_lv(68,6) ->
    #base_uranium_lv{grade = 68,lv = 6,energy = 7200,attrs = [{1,109130},{2,1091304},{4,54565}]};

get_uranium_lv(68,7) ->
    #base_uranium_lv{grade = 68,lv = 7,energy = 7200,attrs = [{1,109456},{2,1094557},{4,54728}]};

get_uranium_lv(68,8) ->
    #base_uranium_lv{grade = 68,lv = 8,energy = 0,attrs = [{1,109781},{2,1097814},{4,54891}]};

get_uranium_lv(69,0) ->
    #base_uranium_lv{grade = 69,lv = 0,energy = 7300,attrs = [{1,110108},{2,1101077},{4,55054}]};

get_uranium_lv(69,1) ->
    #base_uranium_lv{grade = 69,lv = 1,energy = 7300,attrs = [{1,110434},{2,1104344},{4,55217}]};

get_uranium_lv(69,2) ->
    #base_uranium_lv{grade = 69,lv = 2,energy = 7300,attrs = [{1,110762},{2,1107616},{4,55381}]};

get_uranium_lv(69,3) ->
    #base_uranium_lv{grade = 69,lv = 3,energy = 7300,attrs = [{1,111089},{2,1110893},{4,55545}]};

get_uranium_lv(69,4) ->
    #base_uranium_lv{grade = 69,lv = 4,energy = 7300,attrs = [{1,111417},{2,1114174},{4,55709}]};

get_uranium_lv(69,5) ->
    #base_uranium_lv{grade = 69,lv = 5,energy = 7300,attrs = [{1,111746},{2,1117461},{4,55873}]};

get_uranium_lv(69,6) ->
    #base_uranium_lv{grade = 69,lv = 6,energy = 7300,attrs = [{1,112075},{2,1120752},{4,56038}]};

get_uranium_lv(69,7) ->
    #base_uranium_lv{grade = 69,lv = 7,energy = 7300,attrs = [{1,112405},{2,1124048},{4,56202}]};

get_uranium_lv(69,8) ->
    #base_uranium_lv{grade = 69,lv = 8,energy = 0,attrs = [{1,112735},{2,1127349},{4,56367}]};

get_uranium_lv(70,0) ->
    #base_uranium_lv{grade = 70,lv = 0,energy = 7400,attrs = [{1,113065},{2,1130654},{4,56533}]};

get_uranium_lv(70,1) ->
    #base_uranium_lv{grade = 70,lv = 1,energy = 7400,attrs = [{1,113396},{2,1133965},{4,56698}]};

get_uranium_lv(70,2) ->
    #base_uranium_lv{grade = 70,lv = 2,energy = 7400,attrs = [{1,113728},{2,1137280},{4,56864}]};

get_uranium_lv(70,3) ->
    #base_uranium_lv{grade = 70,lv = 3,energy = 7400,attrs = [{1,114060},{2,1140600},{4,57030}]};

get_uranium_lv(70,4) ->
    #base_uranium_lv{grade = 70,lv = 4,energy = 7400,attrs = [{1,114392},{2,1143925},{4,57196}]};

get_uranium_lv(70,5) ->
    #base_uranium_lv{grade = 70,lv = 5,energy = 7400,attrs = [{1,114725},{2,1147254},{4,57363}]};

get_uranium_lv(70,6) ->
    #base_uranium_lv{grade = 70,lv = 6,energy = 7400,attrs = [{1,115059},{2,1150589},{4,57529}]};

get_uranium_lv(70,7) ->
    #base_uranium_lv{grade = 70,lv = 7,energy = 7400,attrs = [{1,115393},{2,1153928},{4,57696}]};

get_uranium_lv(70,8) ->
    #base_uranium_lv{grade = 70,lv = 8,energy = 0,attrs = [{1,115727},{2,1157272},{4,57864}]};

get_uranium_lv(71,0) ->
    #base_uranium_lv{grade = 71,lv = 0,energy = 7500,attrs = [{1,116062},{2,1160621},{4,58031}]};

get_uranium_lv(71,1) ->
    #base_uranium_lv{grade = 71,lv = 1,energy = 7500,attrs = [{1,116397},{2,1163974},{4,58199}]};

get_uranium_lv(71,2) ->
    #base_uranium_lv{grade = 71,lv = 2,energy = 7500,attrs = [{1,116733},{2,1167333},{4,58367}]};

get_uranium_lv(71,3) ->
    #base_uranium_lv{grade = 71,lv = 3,energy = 7500,attrs = [{1,117070},{2,1170696},{4,58535}]};

get_uranium_lv(71,4) ->
    #base_uranium_lv{grade = 71,lv = 4,energy = 7500,attrs = [{1,117406},{2,1174064},{4,58703}]};

get_uranium_lv(71,5) ->
    #base_uranium_lv{grade = 71,lv = 5,energy = 7500,attrs = [{1,117744},{2,1177437},{4,58872}]};

get_uranium_lv(71,6) ->
    #base_uranium_lv{grade = 71,lv = 6,energy = 7500,attrs = [{1,118081},{2,1180814},{4,59041}]};

get_uranium_lv(71,7) ->
    #base_uranium_lv{grade = 71,lv = 7,energy = 7500,attrs = [{1,118420},{2,1184197},{4,59210}]};

get_uranium_lv(71,8) ->
    #base_uranium_lv{grade = 71,lv = 8,energy = 0,attrs = [{1,118758},{2,1187584},{4,59379}]};

get_uranium_lv(72,0) ->
    #base_uranium_lv{grade = 72,lv = 0,energy = 7600,attrs = [{1,119098},{2,1190976},{4,59549}]};

get_uranium_lv(72,1) ->
    #base_uranium_lv{grade = 72,lv = 1,energy = 7600,attrs = [{1,119437},{2,1194373},{4,59719}]};

get_uranium_lv(72,2) ->
    #base_uranium_lv{grade = 72,lv = 2,energy = 7600,attrs = [{1,119777},{2,1197774},{4,59889}]};

get_uranium_lv(72,3) ->
    #base_uranium_lv{grade = 72,lv = 3,energy = 7600,attrs = [{1,120118},{2,1201181},{4,60059}]};

get_uranium_lv(72,4) ->
    #base_uranium_lv{grade = 72,lv = 4,energy = 7600,attrs = [{1,120459},{2,1204592},{4,60230}]};

get_uranium_lv(72,5) ->
    #base_uranium_lv{grade = 72,lv = 5,energy = 7600,attrs = [{1,120801},{2,1208008},{4,60400}]};

get_uranium_lv(72,6) ->
    #base_uranium_lv{grade = 72,lv = 6,energy = 7600,attrs = [{1,121143},{2,1211429},{4,60571}]};

get_uranium_lv(72,7) ->
    #base_uranium_lv{grade = 72,lv = 7,energy = 7600,attrs = [{1,121485},{2,1214854},{4,60743}]};

get_uranium_lv(72,8) ->
    #base_uranium_lv{grade = 72,lv = 8,energy = 0,attrs = [{1,121828},{2,1218285},{4,60914}]};

get_uranium_lv(73,0) ->
    #base_uranium_lv{grade = 73,lv = 0,energy = 7700,attrs = [{1,122172},{2,1221720},{4,61086}]};

get_uranium_lv(73,1) ->
    #base_uranium_lv{grade = 73,lv = 1,energy = 7700,attrs = [{1,122516},{2,1225160},{4,61258}]};

get_uranium_lv(73,2) ->
    #base_uranium_lv{grade = 73,lv = 2,energy = 7700,attrs = [{1,122860},{2,1228605},{4,61430}]};

get_uranium_lv(73,3) ->
    #base_uranium_lv{grade = 73,lv = 3,energy = 7700,attrs = [{1,123205},{2,1232054},{4,61603}]};

get_uranium_lv(73,4) ->
    #base_uranium_lv{grade = 73,lv = 4,energy = 7700,attrs = [{1,123551},{2,1235509},{4,61775}]};

get_uranium_lv(73,5) ->
    #base_uranium_lv{grade = 73,lv = 5,energy = 7700,attrs = [{1,123897},{2,1238968},{4,61948}]};

get_uranium_lv(73,6) ->
    #base_uranium_lv{grade = 73,lv = 6,energy = 7700,attrs = [{1,124243},{2,1242432},{4,62122}]};

get_uranium_lv(73,7) ->
    #base_uranium_lv{grade = 73,lv = 7,energy = 7700,attrs = [{1,124590},{2,1245901},{4,62295}]};

get_uranium_lv(73,8) ->
    #base_uranium_lv{grade = 73,lv = 8,energy = 0,attrs = [{1,124937},{2,1249374},{4,62469}]};

get_uranium_lv(74,0) ->
    #base_uranium_lv{grade = 74,lv = 0,energy = 7800,attrs = [{1,125285},{2,1252853},{4,62643}]};

get_uranium_lv(74,1) ->
    #base_uranium_lv{grade = 74,lv = 1,energy = 7800,attrs = [{1,125634},{2,1256336},{4,62817}]};

get_uranium_lv(74,2) ->
    #base_uranium_lv{grade = 74,lv = 2,energy = 7800,attrs = [{1,125982},{2,1259824},{4,62991}]};

get_uranium_lv(74,3) ->
    #base_uranium_lv{grade = 74,lv = 3,energy = 7800,attrs = [{1,126332},{2,1263317},{4,63166}]};

get_uranium_lv(74,4) ->
    #base_uranium_lv{grade = 74,lv = 4,energy = 7800,attrs = [{1,126681},{2,1266814},{4,63341}]};

get_uranium_lv(74,5) ->
    #base_uranium_lv{grade = 74,lv = 5,energy = 7800,attrs = [{1,127032},{2,1270317},{4,63516}]};

get_uranium_lv(74,6) ->
    #base_uranium_lv{grade = 74,lv = 6,energy = 7800,attrs = [{1,127382},{2,1273824},{4,63691}]};

get_uranium_lv(74,7) ->
    #base_uranium_lv{grade = 74,lv = 7,energy = 7800,attrs = [{1,127734},{2,1277336},{4,63867}]};

get_uranium_lv(74,8) ->
    #base_uranium_lv{grade = 74,lv = 8,energy = 0,attrs = [{1,128085},{2,1280853},{4,64043}]};

get_uranium_lv(75,0) ->
    #base_uranium_lv{grade = 75,lv = 0,energy = 7900,attrs = [{1,128437},{2,1284374},{4,64219}]};

get_uranium_lv(75,1) ->
    #base_uranium_lv{grade = 75,lv = 1,energy = 7900,attrs = [{1,128790},{2,1287901},{4,64395}]};

get_uranium_lv(75,2) ->
    #base_uranium_lv{grade = 75,lv = 2,energy = 7900,attrs = [{1,129143},{2,1291432},{4,64572}]};

get_uranium_lv(75,3) ->
    #base_uranium_lv{grade = 75,lv = 3,energy = 7900,attrs = [{1,129497},{2,1294968},{4,64748}]};

get_uranium_lv(75,4) ->
    #base_uranium_lv{grade = 75,lv = 4,energy = 7900,attrs = [{1,129851},{2,1298509},{4,64925}]};

get_uranium_lv(75,5) ->
    #base_uranium_lv{grade = 75,lv = 5,energy = 7900,attrs = [{1,130205},{2,1302054},{4,65103}]};

get_uranium_lv(75,6) ->
    #base_uranium_lv{grade = 75,lv = 6,energy = 7900,attrs = [{1,130560},{2,1305605},{4,65280}]};

get_uranium_lv(75,7) ->
    #base_uranium_lv{grade = 75,lv = 7,energy = 7900,attrs = [{1,130916},{2,1309160},{4,65458}]};

get_uranium_lv(75,8) ->
    #base_uranium_lv{grade = 75,lv = 8,energy = 0,attrs = [{1,131272},{2,1312720},{4,65636}]};

get_uranium_lv(76,0) ->
    #base_uranium_lv{grade = 76,lv = 0,energy = 8000,attrs = [{1,131628},{2,1316285},{4,65814}]};

get_uranium_lv(76,1) ->
    #base_uranium_lv{grade = 76,lv = 1,energy = 8000,attrs = [{1,131985},{2,1319854},{4,65993}]};

get_uranium_lv(76,2) ->
    #base_uranium_lv{grade = 76,lv = 2,energy = 8000,attrs = [{1,132343},{2,1323429},{4,66171}]};

get_uranium_lv(76,3) ->
    #base_uranium_lv{grade = 76,lv = 3,energy = 8000,attrs = [{1,132701},{2,1327008},{4,66350}]};

get_uranium_lv(76,4) ->
    #base_uranium_lv{grade = 76,lv = 4,energy = 8000,attrs = [{1,133059},{2,1330592},{4,66530}]};

get_uranium_lv(76,5) ->
    #base_uranium_lv{grade = 76,lv = 5,energy = 8000,attrs = [{1,133418},{2,1334181},{4,66709}]};

get_uranium_lv(76,6) ->
    #base_uranium_lv{grade = 76,lv = 6,energy = 8000,attrs = [{1,133777},{2,1337774},{4,66889}]};

get_uranium_lv(76,7) ->
    #base_uranium_lv{grade = 76,lv = 7,energy = 8000,attrs = [{1,134137},{2,1341373},{4,67069}]};

get_uranium_lv(76,8) ->
    #base_uranium_lv{grade = 76,lv = 8,energy = 0,attrs = [{1,134498},{2,1344976},{4,67249}]};

get_uranium_lv(77,0) ->
    #base_uranium_lv{grade = 77,lv = 0,energy = 8100,attrs = [{1,134858},{2,1348584},{4,67429}]};

get_uranium_lv(77,1) ->
    #base_uranium_lv{grade = 77,lv = 1,energy = 8100,attrs = [{1,135220},{2,1352197},{4,67610}]};

get_uranium_lv(77,2) ->
    #base_uranium_lv{grade = 77,lv = 2,energy = 8100,attrs = [{1,135581},{2,1355814},{4,67791}]};

get_uranium_lv(77,3) ->
    #base_uranium_lv{grade = 77,lv = 3,energy = 8100,attrs = [{1,135944},{2,1359437},{4,67972}]};

get_uranium_lv(77,4) ->
    #base_uranium_lv{grade = 77,lv = 4,energy = 8100,attrs = [{1,136306},{2,1363064},{4,68153}]};

get_uranium_lv(77,5) ->
    #base_uranium_lv{grade = 77,lv = 5,energy = 8100,attrs = [{1,136670},{2,1366696},{4,68335}]};

get_uranium_lv(77,6) ->
    #base_uranium_lv{grade = 77,lv = 6,energy = 8100,attrs = [{1,137033},{2,1370333},{4,68517}]};

get_uranium_lv(77,7) ->
    #base_uranium_lv{grade = 77,lv = 7,energy = 8100,attrs = [{1,137397},{2,1373974},{4,68699}]};

get_uranium_lv(77,8) ->
    #base_uranium_lv{grade = 77,lv = 8,energy = 0,attrs = [{1,137762},{2,1377621},{4,68881}]};

get_uranium_lv(78,0) ->
    #base_uranium_lv{grade = 78,lv = 0,energy = 8200,attrs = [{1,138127},{2,1381272},{4,69064}]};

get_uranium_lv(78,1) ->
    #base_uranium_lv{grade = 78,lv = 1,energy = 8200,attrs = [{1,138493},{2,1384928},{4,69246}]};

get_uranium_lv(78,2) ->
    #base_uranium_lv{grade = 78,lv = 2,energy = 8200,attrs = [{1,138859},{2,1388589},{4,69429}]};

get_uranium_lv(78,3) ->
    #base_uranium_lv{grade = 78,lv = 3,energy = 8200,attrs = [{1,139225},{2,1392254},{4,69613}]};

get_uranium_lv(78,4) ->
    #base_uranium_lv{grade = 78,lv = 4,energy = 8200,attrs = [{1,139592},{2,1395925},{4,69796}]};

get_uranium_lv(78,5) ->
    #base_uranium_lv{grade = 78,lv = 5,energy = 8200,attrs = [{1,139960},{2,1399600},{4,69980}]};

get_uranium_lv(78,6) ->
    #base_uranium_lv{grade = 78,lv = 6,energy = 8200,attrs = [{1,140328},{2,1403280},{4,70164}]};

get_uranium_lv(78,7) ->
    #base_uranium_lv{grade = 78,lv = 7,energy = 8200,attrs = [{1,140696},{2,1406965},{4,70348}]};

get_uranium_lv(78,8) ->
    #base_uranium_lv{grade = 78,lv = 8,energy = 0,attrs = [{1,141065},{2,1410654},{4,70533}]};

get_uranium_lv(79,0) ->
    #base_uranium_lv{grade = 79,lv = 0,energy = 8300,attrs = [{1,141435},{2,1414349},{4,70717}]};

get_uranium_lv(79,1) ->
    #base_uranium_lv{grade = 79,lv = 1,energy = 8300,attrs = [{1,141805},{2,1418048},{4,70902}]};

get_uranium_lv(79,2) ->
    #base_uranium_lv{grade = 79,lv = 2,energy = 8300,attrs = [{1,142175},{2,1421752},{4,71088}]};

get_uranium_lv(79,3) ->
    #base_uranium_lv{grade = 79,lv = 3,energy = 8300,attrs = [{1,142546},{2,1425461},{4,71273}]};

get_uranium_lv(79,4) ->
    #base_uranium_lv{grade = 79,lv = 4,energy = 8300,attrs = [{1,142917},{2,1429174},{4,71459}]};

get_uranium_lv(79,5) ->
    #base_uranium_lv{grade = 79,lv = 5,energy = 8300,attrs = [{1,143289},{2,1432893},{4,71645}]};

get_uranium_lv(79,6) ->
    #base_uranium_lv{grade = 79,lv = 6,energy = 8300,attrs = [{1,143662},{2,1436616},{4,71831}]};

get_uranium_lv(79,7) ->
    #base_uranium_lv{grade = 79,lv = 7,energy = 8300,attrs = [{1,144034},{2,1440344},{4,72017}]};

get_uranium_lv(79,8) ->
    #base_uranium_lv{grade = 79,lv = 8,energy = 0,attrs = [{1,144408},{2,1444077},{4,72204}]};

get_uranium_lv(80,0) ->
    #base_uranium_lv{grade = 80,lv = 0,energy = 8400,attrs = [{1,144781},{2,1447814},{4,72391}]};

get_uranium_lv(80,1) ->
    #base_uranium_lv{grade = 80,lv = 1,energy = 8400,attrs = [{1,145156},{2,1451557},{4,72578}]};

get_uranium_lv(80,2) ->
    #base_uranium_lv{grade = 80,lv = 2,energy = 8400,attrs = [{1,145530},{2,1455304},{4,72765}]};

get_uranium_lv(80,3) ->
    #base_uranium_lv{grade = 80,lv = 3,energy = 8400,attrs = [{1,145906},{2,1459056},{4,72953}]};

get_uranium_lv(80,4) ->
    #base_uranium_lv{grade = 80,lv = 4,energy = 8400,attrs = [{1,146281},{2,1462813},{4,73141}]};

get_uranium_lv(80,5) ->
    #base_uranium_lv{grade = 80,lv = 5,energy = 8400,attrs = [{1,146657},{2,1466574},{4,73329}]};

get_uranium_lv(80,6) ->
    #base_uranium_lv{grade = 80,lv = 6,energy = 8400,attrs = [{1,147034},{2,1470341},{4,73517}]};

get_uranium_lv(80,7) ->
    #base_uranium_lv{grade = 80,lv = 7,energy = 8400,attrs = [{1,147411},{2,1474112},{4,73706}]};

get_uranium_lv(80,8) ->
    #base_uranium_lv{grade = 80,lv = 8,energy = 0,attrs = [{1,147789},{2,1477888},{4,73894}]};

get_uranium_lv(81,0) ->
    #base_uranium_lv{grade = 81,lv = 0,energy = 8500,attrs = [{1,148167},{2,1481669},{4,74083}]};

get_uranium_lv(81,1) ->
    #base_uranium_lv{grade = 81,lv = 1,energy = 8500,attrs = [{1,148545},{2,1485454},{4,74273}]};

get_uranium_lv(81,2) ->
    #base_uranium_lv{grade = 81,lv = 2,energy = 8500,attrs = [{1,148924},{2,1489245},{4,74462}]};

get_uranium_lv(81,3) ->
    #base_uranium_lv{grade = 81,lv = 3,energy = 8500,attrs = [{1,149304},{2,1493040},{4,74652}]};

get_uranium_lv(81,4) ->
    #base_uranium_lv{grade = 81,lv = 4,energy = 8500,attrs = [{1,149684},{2,1496840},{4,74842}]};

get_uranium_lv(81,5) ->
    #base_uranium_lv{grade = 81,lv = 5,energy = 8500,attrs = [{1,150064},{2,1500645},{4,75032}]};

get_uranium_lv(81,6) ->
    #base_uranium_lv{grade = 81,lv = 6,energy = 8500,attrs = [{1,150445},{2,1504454},{4,75223}]};

get_uranium_lv(81,7) ->
    #base_uranium_lv{grade = 81,lv = 7,energy = 8500,attrs = [{1,150827},{2,1508269},{4,75413}]};

get_uranium_lv(81,8) ->
    #base_uranium_lv{grade = 81,lv = 8,energy = 0,attrs = [{1,151209},{2,1512088},{4,75604}]};

get_uranium_lv(82,0) ->
    #base_uranium_lv{grade = 82,lv = 0,energy = 8600,attrs = [{1,151591},{2,1515912},{4,75796}]};

get_uranium_lv(82,1) ->
    #base_uranium_lv{grade = 82,lv = 1,energy = 8600,attrs = [{1,151974},{2,1519741},{4,75987}]};

get_uranium_lv(82,2) ->
    #base_uranium_lv{grade = 82,lv = 2,energy = 8600,attrs = [{1,152357},{2,1523574},{4,76179}]};

get_uranium_lv(82,3) ->
    #base_uranium_lv{grade = 82,lv = 3,energy = 8600,attrs = [{1,152741},{2,1527413},{4,76371}]};

get_uranium_lv(82,4) ->
    #base_uranium_lv{grade = 82,lv = 4,energy = 8600,attrs = [{1,153126},{2,1531256},{4,76563}]};

get_uranium_lv(82,5) ->
    #base_uranium_lv{grade = 82,lv = 5,energy = 8600,attrs = [{1,153510},{2,1535104},{4,76755}]};

get_uranium_lv(82,6) ->
    #base_uranium_lv{grade = 82,lv = 6,energy = 8600,attrs = [{1,153896},{2,1538957},{4,76948}]};

get_uranium_lv(82,7) ->
    #base_uranium_lv{grade = 82,lv = 7,energy = 8600,attrs = [{1,154281},{2,1542814},{4,77141}]};

get_uranium_lv(82,8) ->
    #base_uranium_lv{grade = 82,lv = 8,energy = 0,attrs = [{1,154668},{2,1546677},{4,77334}]};

get_uranium_lv(83,0) ->
    #base_uranium_lv{grade = 83,lv = 0,energy = 8700,attrs = [{1,155054},{2,1550544},{4,77527}]};

get_uranium_lv(83,1) ->
    #base_uranium_lv{grade = 83,lv = 1,energy = 8700,attrs = [{1,155442},{2,1554416},{4,77721}]};

get_uranium_lv(83,2) ->
    #base_uranium_lv{grade = 83,lv = 2,energy = 8700,attrs = [{1,155829},{2,1558293},{4,77915}]};

get_uranium_lv(83,3) ->
    #base_uranium_lv{grade = 83,lv = 3,energy = 8700,attrs = [{1,156217},{2,1562174},{4,78109}]};

get_uranium_lv(83,4) ->
    #base_uranium_lv{grade = 83,lv = 4,energy = 8700,attrs = [{1,156606},{2,1566061},{4,78303}]};

get_uranium_lv(83,5) ->
    #base_uranium_lv{grade = 83,lv = 5,energy = 8700,attrs = [{1,156995},{2,1569952},{4,78498}]};

get_uranium_lv(83,6) ->
    #base_uranium_lv{grade = 83,lv = 6,energy = 8700,attrs = [{1,157385},{2,1573848},{4,78692}]};

get_uranium_lv(83,7) ->
    #base_uranium_lv{grade = 83,lv = 7,energy = 8700,attrs = [{1,157775},{2,1577749},{4,78887}]};

get_uranium_lv(83,8) ->
    #base_uranium_lv{grade = 83,lv = 8,energy = 0,attrs = [{1,158165},{2,1581654},{4,79083}]};

get_uranium_lv(84,0) ->
    #base_uranium_lv{grade = 84,lv = 0,energy = 8800,attrs = [{1,158556},{2,1585565},{4,79278}]};

get_uranium_lv(84,1) ->
    #base_uranium_lv{grade = 84,lv = 1,energy = 8800,attrs = [{1,158948},{2,1589480},{4,79474}]};

get_uranium_lv(84,2) ->
    #base_uranium_lv{grade = 84,lv = 2,energy = 8800,attrs = [{1,159340},{2,1593400},{4,79670}]};

get_uranium_lv(84,3) ->
    #base_uranium_lv{grade = 84,lv = 3,energy = 8800,attrs = [{1,159732},{2,1597325},{4,79866}]};

get_uranium_lv(84,4) ->
    #base_uranium_lv{grade = 84,lv = 4,energy = 8800,attrs = [{1,160125},{2,1601254},{4,80063}]};

get_uranium_lv(84,5) ->
    #base_uranium_lv{grade = 84,lv = 5,energy = 8800,attrs = [{1,160519},{2,1605189},{4,80259}]};

get_uranium_lv(84,6) ->
    #base_uranium_lv{grade = 84,lv = 6,energy = 8800,attrs = [{1,160913},{2,1609128},{4,80456}]};

get_uranium_lv(84,7) ->
    #base_uranium_lv{grade = 84,lv = 7,energy = 8800,attrs = [{1,161307},{2,1613072},{4,80654}]};

get_uranium_lv(84,8) ->
    #base_uranium_lv{grade = 84,lv = 8,energy = 0,attrs = [{1,161702},{2,1617021},{4,80851}]};

get_uranium_lv(85,0) ->
    #base_uranium_lv{grade = 85,lv = 0,energy = 8900,attrs = [{1,162097},{2,1620974},{4,81049}]};

get_uranium_lv(85,1) ->
    #base_uranium_lv{grade = 85,lv = 1,energy = 8900,attrs = [{1,162493},{2,1624933},{4,81247}]};

get_uranium_lv(85,2) ->
    #base_uranium_lv{grade = 85,lv = 2,energy = 8900,attrs = [{1,162890},{2,1628896},{4,81445}]};

get_uranium_lv(85,3) ->
    #base_uranium_lv{grade = 85,lv = 3,energy = 8900,attrs = [{1,163286},{2,1632864},{4,81643}]};

get_uranium_lv(85,4) ->
    #base_uranium_lv{grade = 85,lv = 4,energy = 8900,attrs = [{1,163684},{2,1636837},{4,81842}]};

get_uranium_lv(85,5) ->
    #base_uranium_lv{grade = 85,lv = 5,energy = 8900,attrs = [{1,164081},{2,1640814},{4,82041}]};

get_uranium_lv(85,6) ->
    #base_uranium_lv{grade = 85,lv = 6,energy = 8900,attrs = [{1,164480},{2,1644797},{4,82240}]};

get_uranium_lv(85,7) ->
    #base_uranium_lv{grade = 85,lv = 7,energy = 8900,attrs = [{1,164878},{2,1648784},{4,82439}]};

get_uranium_lv(85,8) ->
    #base_uranium_lv{grade = 85,lv = 8,energy = 0,attrs = [{1,165278},{2,1652776},{4,82639}]};

get_uranium_lv(86,0) ->
    #base_uranium_lv{grade = 86,lv = 0,energy = 9000,attrs = [{1,165677},{2,1656773},{4,82839}]};

get_uranium_lv(86,1) ->
    #base_uranium_lv{grade = 86,lv = 1,energy = 9000,attrs = [{1,166077},{2,1660774},{4,83039}]};

get_uranium_lv(86,2) ->
    #base_uranium_lv{grade = 86,lv = 2,energy = 9000,attrs = [{1,166478},{2,1664781},{4,83239}]};

get_uranium_lv(86,3) ->
    #base_uranium_lv{grade = 86,lv = 3,energy = 9000,attrs = [{1,166879},{2,1668792},{4,83440}]};

get_uranium_lv(86,4) ->
    #base_uranium_lv{grade = 86,lv = 4,energy = 9000,attrs = [{1,167281},{2,1672808},{4,83640}]};

get_uranium_lv(86,5) ->
    #base_uranium_lv{grade = 86,lv = 5,energy = 9000,attrs = [{1,167683},{2,1676829},{4,83841}]};

get_uranium_lv(86,6) ->
    #base_uranium_lv{grade = 86,lv = 6,energy = 9000,attrs = [{1,168085},{2,1680854},{4,84043}]};

get_uranium_lv(86,7) ->
    #base_uranium_lv{grade = 86,lv = 7,energy = 9000,attrs = [{1,168488},{2,1684885},{4,84244}]};

get_uranium_lv(86,8) ->
    #base_uranium_lv{grade = 86,lv = 8,energy = 0,attrs = [{1,168892},{2,1688920},{4,84446}]};

get_uranium_lv(87,0) ->
    #base_uranium_lv{grade = 87,lv = 0,energy = 9100,attrs = [{1,169296},{2,1692960},{4,84648}]};

get_uranium_lv(87,1) ->
    #base_uranium_lv{grade = 87,lv = 1,energy = 9100,attrs = [{1,169700},{2,1697005},{4,84850}]};

get_uranium_lv(87,2) ->
    #base_uranium_lv{grade = 87,lv = 2,energy = 9100,attrs = [{1,170105},{2,1701054},{4,85053}]};

get_uranium_lv(87,3) ->
    #base_uranium_lv{grade = 87,lv = 3,energy = 9100,attrs = [{1,170511},{2,1705109},{4,85255}]};

get_uranium_lv(87,4) ->
    #base_uranium_lv{grade = 87,lv = 4,energy = 9100,attrs = [{1,170917},{2,1709168},{4,85458}]};

get_uranium_lv(87,5) ->
    #base_uranium_lv{grade = 87,lv = 5,energy = 9100,attrs = [{1,171323},{2,1713232},{4,85662}]};

get_uranium_lv(87,6) ->
    #base_uranium_lv{grade = 87,lv = 6,energy = 9100,attrs = [{1,171730},{2,1717301},{4,85865}]};

get_uranium_lv(87,7) ->
    #base_uranium_lv{grade = 87,lv = 7,energy = 9100,attrs = [{1,172137},{2,1721374},{4,86069}]};

get_uranium_lv(87,8) ->
    #base_uranium_lv{grade = 87,lv = 8,energy = 0,attrs = [{1,172545},{2,1725453},{4,86273}]};

get_uranium_lv(88,0) ->
    #base_uranium_lv{grade = 88,lv = 0,energy = 9200,attrs = [{1,172954},{2,1729536},{4,86477}]};

get_uranium_lv(88,1) ->
    #base_uranium_lv{grade = 88,lv = 1,energy = 9200,attrs = [{1,173362},{2,1733624},{4,86681}]};

get_uranium_lv(88,2) ->
    #base_uranium_lv{grade = 88,lv = 2,energy = 9200,attrs = [{1,173772},{2,1737717},{4,86886}]};

get_uranium_lv(88,3) ->
    #base_uranium_lv{grade = 88,lv = 3,energy = 9200,attrs = [{1,174181},{2,1741814},{4,87091}]};

get_uranium_lv(88,4) ->
    #base_uranium_lv{grade = 88,lv = 4,energy = 9200,attrs = [{1,174592},{2,1745917},{4,87296}]};

get_uranium_lv(88,5) ->
    #base_uranium_lv{grade = 88,lv = 5,energy = 9200,attrs = [{1,175002},{2,1750024},{4,87501}]};

get_uranium_lv(88,6) ->
    #base_uranium_lv{grade = 88,lv = 6,energy = 9200,attrs = [{1,175414},{2,1754136},{4,87707}]};

get_uranium_lv(88,7) ->
    #base_uranium_lv{grade = 88,lv = 7,energy = 9200,attrs = [{1,175825},{2,1758253},{4,87913}]};

get_uranium_lv(88,8) ->
    #base_uranium_lv{grade = 88,lv = 8,energy = 0,attrs = [{1,176237},{2,1762374},{4,88119}]};

get_uranium_lv(89,0) ->
    #base_uranium_lv{grade = 89,lv = 0,energy = 9300,attrs = [{1,176650},{2,1766501},{4,88325}]};

get_uranium_lv(89,1) ->
    #base_uranium_lv{grade = 89,lv = 1,energy = 9300,attrs = [{1,177063},{2,1770632},{4,88532}]};

get_uranium_lv(89,2) ->
    #base_uranium_lv{grade = 89,lv = 2,energy = 9300,attrs = [{1,177477},{2,1774768},{4,88738}]};

get_uranium_lv(89,3) ->
    #base_uranium_lv{grade = 89,lv = 3,energy = 9300,attrs = [{1,177891},{2,1778909},{4,88945}]};

get_uranium_lv(89,4) ->
    #base_uranium_lv{grade = 89,lv = 4,energy = 9300,attrs = [{1,178305},{2,1783054},{4,89153}]};

get_uranium_lv(89,5) ->
    #base_uranium_lv{grade = 89,lv = 5,energy = 9300,attrs = [{1,178720},{2,1787205},{4,89360}]};

get_uranium_lv(89,6) ->
    #base_uranium_lv{grade = 89,lv = 6,energy = 9300,attrs = [{1,179136},{2,1791360},{4,89568}]};

get_uranium_lv(89,7) ->
    #base_uranium_lv{grade = 89,lv = 7,energy = 9300,attrs = [{1,179552},{2,1795520},{4,89776}]};

get_uranium_lv(89,8) ->
    #base_uranium_lv{grade = 89,lv = 8,energy = 0,attrs = [{1,179968},{2,1799685},{4,89984}]};

get_uranium_lv(90,0) ->
    #base_uranium_lv{grade = 90,lv = 0,energy = 9400,attrs = [{1,180385},{2,1803854},{4,90193}]};

get_uranium_lv(90,1) ->
    #base_uranium_lv{grade = 90,lv = 1,energy = 9400,attrs = [{1,180803},{2,1808029},{4,90401}]};

get_uranium_lv(90,2) ->
    #base_uranium_lv{grade = 90,lv = 2,energy = 9400,attrs = [{1,181221},{2,1812208},{4,90610}]};

get_uranium_lv(90,3) ->
    #base_uranium_lv{grade = 90,lv = 3,energy = 9400,attrs = [{1,181639},{2,1816392},{4,90820}]};

get_uranium_lv(90,4) ->
    #base_uranium_lv{grade = 90,lv = 4,energy = 9400,attrs = [{1,182058},{2,1820581},{4,91029}]};

get_uranium_lv(90,5) ->
    #base_uranium_lv{grade = 90,lv = 5,energy = 9400,attrs = [{1,182477},{2,1824774},{4,91239}]};

get_uranium_lv(90,6) ->
    #base_uranium_lv{grade = 90,lv = 6,energy = 9400,attrs = [{1,182897},{2,1828973},{4,91449}]};

get_uranium_lv(90,7) ->
    #base_uranium_lv{grade = 90,lv = 7,energy = 9400,attrs = [{1,183318},{2,1833176},{4,91659}]};

get_uranium_lv(90,8) ->
    #base_uranium_lv{grade = 90,lv = 8,energy = 0,attrs = [{1,183738},{2,1837384},{4,91869}]};

get_uranium_lv(91,0) ->
    #base_uranium_lv{grade = 91,lv = 0,energy = 9500,attrs = [{1,184160},{2,1841597},{4,92080}]};

get_uranium_lv(91,1) ->
    #base_uranium_lv{grade = 91,lv = 1,energy = 9500,attrs = [{1,184581},{2,1845814},{4,92291}]};

get_uranium_lv(91,2) ->
    #base_uranium_lv{grade = 91,lv = 2,energy = 9500,attrs = [{1,185004},{2,1850037},{4,92502}]};

get_uranium_lv(91,3) ->
    #base_uranium_lv{grade = 91,lv = 3,energy = 9500,attrs = [{1,185426},{2,1854264},{4,92713}]};

get_uranium_lv(91,4) ->
    #base_uranium_lv{grade = 91,lv = 4,energy = 9500,attrs = [{1,185850},{2,1858496},{4,92925}]};

get_uranium_lv(91,5) ->
    #base_uranium_lv{grade = 91,lv = 5,energy = 9500,attrs = [{1,186273},{2,1862733},{4,93137}]};

get_uranium_lv(91,6) ->
    #base_uranium_lv{grade = 91,lv = 6,energy = 9500,attrs = [{1,186697},{2,1866974},{4,93349}]};

get_uranium_lv(91,7) ->
    #base_uranium_lv{grade = 91,lv = 7,energy = 9500,attrs = [{1,187122},{2,1871221},{4,93561}]};

get_uranium_lv(91,8) ->
    #base_uranium_lv{grade = 91,lv = 8,energy = 0,attrs = [{1,187547},{2,1875472},{4,93774}]};

get_uranium_lv(92,0) ->
    #base_uranium_lv{grade = 92,lv = 0,energy = 9600,attrs = [{1,187973},{2,1879728},{4,93986}]};

get_uranium_lv(92,1) ->
    #base_uranium_lv{grade = 92,lv = 1,energy = 9600,attrs = [{1,188399},{2,1883989},{4,94199}]};

get_uranium_lv(92,2) ->
    #base_uranium_lv{grade = 92,lv = 2,energy = 9600,attrs = [{1,188825},{2,1888254},{4,94413}]};

get_uranium_lv(92,3) ->
    #base_uranium_lv{grade = 92,lv = 3,energy = 9600,attrs = [{1,189252},{2,1892525},{4,94626}]};

get_uranium_lv(92,4) ->
    #base_uranium_lv{grade = 92,lv = 4,energy = 9600,attrs = [{1,189680},{2,1896800},{4,94840}]};

get_uranium_lv(92,5) ->
    #base_uranium_lv{grade = 92,lv = 5,energy = 9600,attrs = [{1,190108},{2,1901080},{4,95054}]};

get_uranium_lv(92,6) ->
    #base_uranium_lv{grade = 92,lv = 6,energy = 9600,attrs = [{1,190536},{2,1905365},{4,95268}]};

get_uranium_lv(92,7) ->
    #base_uranium_lv{grade = 92,lv = 7,energy = 9600,attrs = [{1,190965},{2,1909654},{4,95483}]};

get_uranium_lv(92,8) ->
    #base_uranium_lv{grade = 92,lv = 8,energy = 0,attrs = [{1,191395},{2,1913949},{4,95697}]};

get_uranium_lv(93,0) ->
    #base_uranium_lv{grade = 93,lv = 0,energy = 9700,attrs = [{1,191825},{2,1918248},{4,95912}]};

get_uranium_lv(93,1) ->
    #base_uranium_lv{grade = 93,lv = 1,energy = 9700,attrs = [{1,192255},{2,1922552},{4,96128}]};

get_uranium_lv(93,2) ->
    #base_uranium_lv{grade = 93,lv = 2,energy = 9700,attrs = [{1,192686},{2,1926861},{4,96343}]};

get_uranium_lv(93,3) ->
    #base_uranium_lv{grade = 93,lv = 3,energy = 9700,attrs = [{1,193117},{2,1931174},{4,96559}]};

get_uranium_lv(93,4) ->
    #base_uranium_lv{grade = 93,lv = 4,energy = 9700,attrs = [{1,193549},{2,1935493},{4,96775}]};

get_uranium_lv(93,5) ->
    #base_uranium_lv{grade = 93,lv = 5,energy = 9700,attrs = [{1,193982},{2,1939816},{4,96991}]};

get_uranium_lv(93,6) ->
    #base_uranium_lv{grade = 93,lv = 6,energy = 9700,attrs = [{1,194414},{2,1944144},{4,97207}]};

get_uranium_lv(93,7) ->
    #base_uranium_lv{grade = 93,lv = 7,energy = 9700,attrs = [{1,194848},{2,1948477},{4,97424}]};

get_uranium_lv(93,8) ->
    #base_uranium_lv{grade = 93,lv = 8,energy = 0,attrs = [{1,195281},{2,1952814},{4,97641}]};

get_uranium_lv(94,0) ->
    #base_uranium_lv{grade = 94,lv = 0,energy = 9800,attrs = [{1,195716},{2,1957157},{4,97858}]};

get_uranium_lv(94,1) ->
    #base_uranium_lv{grade = 94,lv = 1,energy = 9800,attrs = [{1,196150},{2,1961504},{4,98075}]};

get_uranium_lv(94,2) ->
    #base_uranium_lv{grade = 94,lv = 2,energy = 9800,attrs = [{1,196586},{2,1965856},{4,98293}]};

get_uranium_lv(94,3) ->
    #base_uranium_lv{grade = 94,lv = 3,energy = 9800,attrs = [{1,197021},{2,1970213},{4,98511}]};

get_uranium_lv(94,4) ->
    #base_uranium_lv{grade = 94,lv = 4,energy = 9800,attrs = [{1,197457},{2,1974574},{4,98729}]};

get_uranium_lv(94,5) ->
    #base_uranium_lv{grade = 94,lv = 5,energy = 9800,attrs = [{1,197894},{2,1978941},{4,98947}]};

get_uranium_lv(94,6) ->
    #base_uranium_lv{grade = 94,lv = 6,energy = 9800,attrs = [{1,198331},{2,1983312},{4,99166}]};

get_uranium_lv(94,7) ->
    #base_uranium_lv{grade = 94,lv = 7,energy = 9800,attrs = [{1,198769},{2,1987688},{4,99384}]};

get_uranium_lv(94,8) ->
    #base_uranium_lv{grade = 94,lv = 8,energy = 0,attrs = [{1,199207},{2,1992069},{4,99603}]};

get_uranium_lv(95,0) ->
    #base_uranium_lv{grade = 95,lv = 0,energy = 9900,attrs = [{1,199645},{2,1996454},{4,99823}]};

get_uranium_lv(95,1) ->
    #base_uranium_lv{grade = 95,lv = 1,energy = 9900,attrs = [{1,200084},{2,2000845},{4,100042}]};

get_uranium_lv(95,2) ->
    #base_uranium_lv{grade = 95,lv = 2,energy = 9900,attrs = [{1,200524},{2,2005240},{4,100262}]};

get_uranium_lv(95,3) ->
    #base_uranium_lv{grade = 95,lv = 3,energy = 9900,attrs = [{1,200964},{2,2009640},{4,100482}]};

get_uranium_lv(95,4) ->
    #base_uranium_lv{grade = 95,lv = 4,energy = 9900,attrs = [{1,201404},{2,2014045},{4,100702}]};

get_uranium_lv(95,5) ->
    #base_uranium_lv{grade = 95,lv = 5,energy = 9900,attrs = [{1,201845},{2,2018454},{4,100923}]};

get_uranium_lv(95,6) ->
    #base_uranium_lv{grade = 95,lv = 6,energy = 9900,attrs = [{1,202287},{2,2022869},{4,101143}]};

get_uranium_lv(95,7) ->
    #base_uranium_lv{grade = 95,lv = 7,energy = 9900,attrs = [{1,202729},{2,2027288},{4,101364}]};

get_uranium_lv(95,8) ->
    #base_uranium_lv{grade = 95,lv = 8,energy = 0,attrs = [{1,203171},{2,2031712},{4,101586}]};

get_uranium_lv(96,0) ->
    #base_uranium_lv{grade = 96,lv = 0,energy = 10000,attrs = [{1,203614},{2,2036141},{4,101807}]};

get_uranium_lv(96,1) ->
    #base_uranium_lv{grade = 96,lv = 1,energy = 10000,attrs = [{1,204057},{2,2040574},{4,102029}]};

get_uranium_lv(96,2) ->
    #base_uranium_lv{grade = 96,lv = 2,energy = 10000,attrs = [{1,204501},{2,2045013},{4,102251}]};

get_uranium_lv(96,3) ->
    #base_uranium_lv{grade = 96,lv = 3,energy = 10000,attrs = [{1,204946},{2,2049456},{4,102473}]};

get_uranium_lv(96,4) ->
    #base_uranium_lv{grade = 96,lv = 4,energy = 10000,attrs = [{1,205390},{2,2053904},{4,102695}]};

get_uranium_lv(96,5) ->
    #base_uranium_lv{grade = 96,lv = 5,energy = 10000,attrs = [{1,205836},{2,2058357},{4,102918}]};

get_uranium_lv(96,6) ->
    #base_uranium_lv{grade = 96,lv = 6,energy = 10000,attrs = [{1,206281},{2,2062814},{4,103141}]};

get_uranium_lv(96,7) ->
    #base_uranium_lv{grade = 96,lv = 7,energy = 10000,attrs = [{1,206728},{2,2067277},{4,103364}]};

get_uranium_lv(96,8) ->
    #base_uranium_lv{grade = 96,lv = 8,energy = 0,attrs = [{1,207174},{2,2071744},{4,103587}]};

get_uranium_lv(97,0) ->
    #base_uranium_lv{grade = 97,lv = 0,energy = 10100,attrs = [{1,207622},{2,2076216},{4,103811}]};

get_uranium_lv(97,1) ->
    #base_uranium_lv{grade = 97,lv = 1,energy = 10100,attrs = [{1,208069},{2,2080693},{4,104035}]};

get_uranium_lv(97,2) ->
    #base_uranium_lv{grade = 97,lv = 2,energy = 10100,attrs = [{1,208517},{2,2085174},{4,104259}]};

get_uranium_lv(97,3) ->
    #base_uranium_lv{grade = 97,lv = 3,energy = 10100,attrs = [{1,208966},{2,2089661},{4,104483}]};

get_uranium_lv(97,4) ->
    #base_uranium_lv{grade = 97,lv = 4,energy = 10100,attrs = [{1,209415},{2,2094152},{4,104708}]};

get_uranium_lv(97,5) ->
    #base_uranium_lv{grade = 97,lv = 5,energy = 10100,attrs = [{1,209865},{2,2098648},{4,104932}]};

get_uranium_lv(97,6) ->
    #base_uranium_lv{grade = 97,lv = 6,energy = 10100,attrs = [{1,210315},{2,2103149},{4,105157}]};

get_uranium_lv(97,7) ->
    #base_uranium_lv{grade = 97,lv = 7,energy = 10100,attrs = [{1,210765},{2,2107654},{4,105383}]};

get_uranium_lv(97,8) ->
    #base_uranium_lv{grade = 97,lv = 8,energy = 0,attrs = [{1,211216},{2,2112165},{4,105608}]};

get_uranium_lv(98,0) ->
    #base_uranium_lv{grade = 98,lv = 0,energy = 10200,attrs = [{1,211668},{2,2116680},{4,105834}]};

get_uranium_lv(98,1) ->
    #base_uranium_lv{grade = 98,lv = 1,energy = 10200,attrs = [{1,212120},{2,2121200},{4,106060}]};

get_uranium_lv(98,2) ->
    #base_uranium_lv{grade = 98,lv = 2,energy = 10200,attrs = [{1,212572},{2,2125725},{4,106286}]};

get_uranium_lv(98,3) ->
    #base_uranium_lv{grade = 98,lv = 3,energy = 10200,attrs = [{1,213025},{2,2130254},{4,106513}]};

get_uranium_lv(98,4) ->
    #base_uranium_lv{grade = 98,lv = 4,energy = 10200,attrs = [{1,213479},{2,2134789},{4,106739}]};

get_uranium_lv(98,5) ->
    #base_uranium_lv{grade = 98,lv = 5,energy = 10200,attrs = [{1,213933},{2,2139328},{4,106966}]};

get_uranium_lv(98,6) ->
    #base_uranium_lv{grade = 98,lv = 6,energy = 10200,attrs = [{1,214387},{2,2143872},{4,107194}]};

get_uranium_lv(98,7) ->
    #base_uranium_lv{grade = 98,lv = 7,energy = 10200,attrs = [{1,214842},{2,2148421},{4,107421}]};

get_uranium_lv(98,8) ->
    #base_uranium_lv{grade = 98,lv = 8,energy = 0,attrs = [{1,214874},{2,2148741},{4,107437}]};

get_uranium_lv(_Grade,_Lv) ->
    [].

get_max_grade() -> 98.

get_lv_max(1) -> 8;
get_lv_max(2) -> 8;
get_lv_max(3) -> 8;
get_lv_max(4) -> 8;
get_lv_max(5) -> 8;
get_lv_max(6) -> 8;
get_lv_max(7) -> 8;
get_lv_max(8) -> 8;
get_lv_max(9) -> 8;
get_lv_max(10) -> 8;
get_lv_max(11) -> 8;
get_lv_max(12) -> 8;
get_lv_max(13) -> 8;
get_lv_max(14) -> 8;
get_lv_max(15) -> 8;
get_lv_max(16) -> 8;
get_lv_max(17) -> 8;
get_lv_max(18) -> 8;
get_lv_max(19) -> 8;
get_lv_max(20) -> 8;
get_lv_max(21) -> 8;
get_lv_max(22) -> 8;
get_lv_max(23) -> 8;
get_lv_max(24) -> 8;
get_lv_max(25) -> 8;
get_lv_max(26) -> 8;
get_lv_max(27) -> 8;
get_lv_max(28) -> 8;
get_lv_max(29) -> 8;
get_lv_max(30) -> 8;
get_lv_max(31) -> 8;
get_lv_max(32) -> 8;
get_lv_max(33) -> 8;
get_lv_max(34) -> 8;
get_lv_max(35) -> 8;
get_lv_max(36) -> 8;
get_lv_max(37) -> 8;
get_lv_max(38) -> 8;
get_lv_max(39) -> 8;
get_lv_max(40) -> 8;
get_lv_max(41) -> 8;
get_lv_max(42) -> 8;
get_lv_max(43) -> 8;
get_lv_max(44) -> 8;
get_lv_max(45) -> 8;
get_lv_max(46) -> 8;
get_lv_max(47) -> 8;
get_lv_max(48) -> 8;
get_lv_max(49) -> 8;
get_lv_max(50) -> 8;
get_lv_max(51) -> 8;
get_lv_max(52) -> 8;
get_lv_max(53) -> 8;
get_lv_max(54) -> 8;
get_lv_max(55) -> 8;
get_lv_max(56) -> 8;
get_lv_max(57) -> 8;
get_lv_max(58) -> 8;
get_lv_max(59) -> 8;
get_lv_max(60) -> 8;
get_lv_max(61) -> 8;
get_lv_max(62) -> 8;
get_lv_max(63) -> 8;
get_lv_max(64) -> 8;
get_lv_max(65) -> 8;
get_lv_max(66) -> 8;
get_lv_max(67) -> 8;
get_lv_max(68) -> 8;
get_lv_max(69) -> 8;
get_lv_max(70) -> 8;
get_lv_max(71) -> 8;
get_lv_max(72) -> 8;
get_lv_max(73) -> 8;
get_lv_max(74) -> 8;
get_lv_max(75) -> 8;
get_lv_max(76) -> 8;
get_lv_max(77) -> 8;
get_lv_max(78) -> 8;
get_lv_max(79) -> 8;
get_lv_max(80) -> 8;
get_lv_max(81) -> 8;
get_lv_max(82) -> 8;
get_lv_max(83) -> 8;
get_lv_max(84) -> 8;
get_lv_max(85) -> 8;
get_lv_max(86) -> 8;
get_lv_max(87) -> 8;
get_lv_max(88) -> 8;
get_lv_max(89) -> 8;
get_lv_max(90) -> 8;
get_lv_max(91) -> 8;
get_lv_max(92) -> 8;
get_lv_max(93) -> 8;
get_lv_max(94) -> 8;
get_lv_max(95) -> 8;
get_lv_max(96) -> 8;
get_lv_max(97) -> 8;
get_lv_max(98) -> 8;
get_lv_max(_Grade) -> 0.

get_uranium_grade(1) ->
    #base_uranium_grade{grade = 1,name = <<"空灵·稚期"/utf8>>,skills = [{109100,1}],condition = [{1,100},{3,100000}]};

get_uranium_grade(2) ->
    #base_uranium_grade{grade = 2,name = <<"空灵·初期"/utf8>>,skills = [{109100,2}],condition = [{1,110},{3,220000}]};

get_uranium_grade(3) ->
    #base_uranium_grade{grade = 3,name = <<"空灵·中期"/utf8>>,skills = [{109100,3}],condition = [{1,120},{3,320000}]};

get_uranium_grade(4) ->
    #base_uranium_grade{grade = 4,name = <<"空灵·后期"/utf8>>,skills = [{109100,4}],condition = [{1,130},{3,420000}]};

get_uranium_grade(5) ->
    #base_uranium_grade{grade = 5,name = <<"空灵·巅峰"/utf8>>,skills = [{109100,5}],condition = [{1,140},{3,620000}]};

get_uranium_grade(6) ->
    #base_uranium_grade{grade = 6,name = <<"蕴灵·稚期"/utf8>>,skills = [{109100,6}],condition = [{1,150},{3,720000}]};

get_uranium_grade(7) ->
    #base_uranium_grade{grade = 7,name = <<"蕴灵·初期"/utf8>>,skills = [{109100,7}],condition = [{1,160},{3,930000}]};

get_uranium_grade(8) ->
    #base_uranium_grade{grade = 8,name = <<"蕴灵·中期"/utf8>>,skills = [{109100,8}],condition = [{1,170},{3,1030000}]};

get_uranium_grade(9) ->
    #base_uranium_grade{grade = 9,name = <<"蕴灵·后期"/utf8>>,skills = [{109100,9}],condition = [{1,180},{3,1250000}]};

get_uranium_grade(10) ->
    #base_uranium_grade{grade = 10,name = <<"蕴灵·巅峰"/utf8>>,skills = [{109100,10}],condition = [{1,190},{3,1480000}]};

get_uranium_grade(11) ->
    #base_uranium_grade{grade = 11,name = <<"魄灵·稚期"/utf8>>,skills = [{109100,11}],condition = [{1,200},{3,1710000}]};

get_uranium_grade(12) ->
    #base_uranium_grade{grade = 12,name = <<"魄灵·初期"/utf8>>,skills = [{109100,12}],condition = [{1,210},{3,1960000}]};

get_uranium_grade(13) ->
    #base_uranium_grade{grade = 13,name = <<"魄灵·中期"/utf8>>,skills = [{109100,13}],condition = [{1,220},{3,2220000}]};

get_uranium_grade(14) ->
    #base_uranium_grade{grade = 14,name = <<"魄灵·后期"/utf8>>,skills = [{109100,14}],condition = [{1,230},{3,2620000}]};

get_uranium_grade(15) ->
    #base_uranium_grade{grade = 15,name = <<"魄灵·巅峰"/utf8>>,skills = [{109100,15}],condition = [{1,240},{3,2900000}]};

get_uranium_grade(16) ->
    #base_uranium_grade{grade = 16,name = <<"幻灵·稚期"/utf8>>,skills = [{109100,16}],condition = [{1,250},{3,3350000}]};

get_uranium_grade(17) ->
    #base_uranium_grade{grade = 17,name = <<"幻灵·初期"/utf8>>,skills = [{109100,17}],condition = [{1,260},{3,3820000}]};

get_uranium_grade(18) ->
    #base_uranium_grade{grade = 18,name = <<"幻灵·中期"/utf8>>,skills = [{109100,18}],condition = [{1,270},{3,4140000}]};

get_uranium_grade(19) ->
    #base_uranium_grade{grade = 19,name = <<"幻灵·后期"/utf8>>,skills = [{109100,19}],condition = [{1,280},{3,4820000}]};

get_uranium_grade(20) ->
    #base_uranium_grade{grade = 20,name = <<"幻灵·巅峰"/utf8>>,skills = [{109100,20}],condition = [{1,290},{3,5360000}]};

get_uranium_grade(21) ->
    #base_uranium_grade{grade = 21,name = <<"行星·稚期"/utf8>>,skills = [{109100,21}],condition = [{1,300},{3,5920000}]};

get_uranium_grade(22) ->
    #base_uranium_grade{grade = 22,name = <<"行星·初期"/utf8>>,skills = [{109100,22}],condition = [{1,310},{3,6700000}]};

get_uranium_grade(23) ->
    #base_uranium_grade{grade = 23,name = <<"行星·中期"/utf8>>,skills = [{109100,23}],condition = [{1,320},{3,7320000}]};

get_uranium_grade(24) ->
    #base_uranium_grade{grade = 24,name = <<"行星·后期"/utf8>>,skills = [{109100,24}],condition = [{1,330},{3,8170000}]};

get_uranium_grade(25) ->
    #base_uranium_grade{grade = 25,name = <<"行星·巅峰"/utf8>>,skills = [{109100,25}],condition = [{1,340},{3,9050000}]};

get_uranium_grade(26) ->
    #base_uranium_grade{grade = 26,name = <<"恒星·稚期"/utf8>>,skills = [{109100,26}],condition = [{1,350},{3,9970000}]};

get_uranium_grade(27) ->
    #base_uranium_grade{grade = 27,name = <<"恒星·初期"/utf8>>,skills = [{109100,27}],condition = [{1,360},{3,10930000}]};

get_uranium_grade(28) ->
    #base_uranium_grade{grade = 28,name = <<"恒星·中期"/utf8>>,skills = [{109100,28}],condition = [{1,370},{3,11930000}]};

get_uranium_grade(29) ->
    #base_uranium_grade{grade = 29,name = <<"恒星·后期"/utf8>>,skills = [{109100,29}],condition = [{1,380},{3,13230000}]};

get_uranium_grade(30) ->
    #base_uranium_grade{grade = 30,name = <<"恒星·巅峰"/utf8>>,skills = [{109100,30}],condition = [{1,390},{3,14320000}]};

get_uranium_grade(31) ->
    #base_uranium_grade{grade = 31,name = <<"宇宙·稚期"/utf8>>,skills = [{109100,31}],condition = [{1,400},{3,15740000}]};

get_uranium_grade(32) ->
    #base_uranium_grade{grade = 32,name = <<"宇宙·初期"/utf8>>,skills = [{109100,32}],condition = [{1,410},{3,17240000}]};

get_uranium_grade(33) ->
    #base_uranium_grade{grade = 33,name = <<"宇宙·中期"/utf8>>,skills = [{109100,33}],condition = [{1,420},{3,18490000}]};

get_uranium_grade(34) ->
    #base_uranium_grade{grade = 34,name = <<"宇宙·后期"/utf8>>,skills = [{109100,34}],condition = [{1,430},{3,20830000}]};

get_uranium_grade(35) ->
    #base_uranium_grade{grade = 35,name = <<"宇宙·巅峰"/utf8>>,skills = [{109100,35}],condition = [{1,440},{3,22990000}]};

get_uranium_grade(36) ->
    #base_uranium_grade{grade = 36,name = <<"域主·稚期"/utf8>>,skills = [{109100,35}],condition = [{1,450}]};

get_uranium_grade(37) ->
    #base_uranium_grade{grade = 37,name = <<"域主·初期"/utf8>>,skills = [{109100,35}],condition = [{1,460}]};

get_uranium_grade(38) ->
    #base_uranium_grade{grade = 38,name = <<"域主·中期"/utf8>>,skills = [{109100,35}],condition = [{1,470}]};

get_uranium_grade(39) ->
    #base_uranium_grade{grade = 39,name = <<"域主·后期"/utf8>>,skills = [{109100,35}],condition = [{1,480}]};

get_uranium_grade(40) ->
    #base_uranium_grade{grade = 40,name = <<"域主·巅峰"/utf8>>,skills = [{109100,35}],condition = [{1,490}]};

get_uranium_grade(41) ->
    #base_uranium_grade{grade = 41,name = <<"界主·稚期"/utf8>>,skills = [{109100,35}],condition = [{1,500}]};

get_uranium_grade(42) ->
    #base_uranium_grade{grade = 42,name = <<"界主·初期"/utf8>>,skills = [{109100,35}],condition = [{1,505}]};

get_uranium_grade(43) ->
    #base_uranium_grade{grade = 43,name = <<"界主·中期"/utf8>>,skills = [{109100,35}],condition = [{1,510}]};

get_uranium_grade(44) ->
    #base_uranium_grade{grade = 44,name = <<"界主·后期"/utf8>>,skills = [{109100,35}],condition = [{1,515}]};

get_uranium_grade(45) ->
    #base_uranium_grade{grade = 45,name = <<"界主·巅峰"/utf8>>,skills = [{109100,35}],condition = [{1,520}]};

get_uranium_grade(46) ->
    #base_uranium_grade{grade = 46,name = <<"不朽·稚期"/utf8>>,skills = [{109100,35}],condition = [{1,525}]};

get_uranium_grade(47) ->
    #base_uranium_grade{grade = 47,name = <<"不朽·初期"/utf8>>,skills = [{109100,35}],condition = [{1,530}]};

get_uranium_grade(48) ->
    #base_uranium_grade{grade = 48,name = <<"不朽·中期"/utf8>>,skills = [{109100,35}],condition = [{1,535}]};

get_uranium_grade(49) ->
    #base_uranium_grade{grade = 49,name = <<"不朽·后期"/utf8>>,skills = [{109100,35}],condition = [{1,540}]};

get_uranium_grade(50) ->
    #base_uranium_grade{grade = 50,name = <<"不朽·巅峰"/utf8>>,skills = [{109100,35}],condition = [{1,545}]};

get_uranium_grade(51) ->
    #base_uranium_grade{grade = 51,name = <<"梦魇·稚期"/utf8>>,skills = [{109100,35}],condition = [{1,550}]};

get_uranium_grade(52) ->
    #base_uranium_grade{grade = 52,name = <<"梦魇·初期"/utf8>>,skills = [{109100,35}],condition = [{1,555}]};

get_uranium_grade(53) ->
    #base_uranium_grade{grade = 53,name = <<"梦魇·中期"/utf8>>,skills = [{109100,35}],condition = [{1,560}]};

get_uranium_grade(54) ->
    #base_uranium_grade{grade = 54,name = <<"梦魇·后期"/utf8>>,skills = [{109100,35}],condition = [{1,565}]};

get_uranium_grade(55) ->
    #base_uranium_grade{grade = 55,name = <<"梦魇·巅峰"/utf8>>,skills = [{109100,35}],condition = [{1,570}]};

get_uranium_grade(56) ->
    #base_uranium_grade{grade = 56,name = <<"命运·稚期"/utf8>>,skills = [{109100,35}],condition = [{1,575}]};

get_uranium_grade(57) ->
    #base_uranium_grade{grade = 57,name = <<"命运·初期"/utf8>>,skills = [{109100,35}],condition = [{1,580}]};

get_uranium_grade(58) ->
    #base_uranium_grade{grade = 58,name = <<"命运·中期"/utf8>>,skills = [{109100,35}],condition = [{1,585}]};

get_uranium_grade(59) ->
    #base_uranium_grade{grade = 59,name = <<"命运·后期"/utf8>>,skills = [{109100,35}],condition = [{1,590}]};

get_uranium_grade(60) ->
    #base_uranium_grade{grade = 60,name = <<"命运·巅峰"/utf8>>,skills = [{109100,35}],condition = [{1,595}]};

get_uranium_grade(61) ->
    #base_uranium_grade{grade = 61,name = <<"混沌·稚期"/utf8>>,skills = [{109100,35}],condition = [{1,600}]};

get_uranium_grade(62) ->
    #base_uranium_grade{grade = 62,name = <<"混沌·初期"/utf8>>,skills = [{109100,35}],condition = [{1,605}]};

get_uranium_grade(63) ->
    #base_uranium_grade{grade = 63,name = <<"混沌·中期"/utf8>>,skills = [{109100,35}],condition = [{1,610}]};

get_uranium_grade(64) ->
    #base_uranium_grade{grade = 64,name = <<"混沌·后期"/utf8>>,skills = [{109100,35}],condition = [{1,615}]};

get_uranium_grade(65) ->
    #base_uranium_grade{grade = 65,name = <<"混沌·巅峰"/utf8>>,skills = [{109100,35}],condition = [{1,620}]};

get_uranium_grade(66) ->
    #base_uranium_grade{grade = 66,name = <<"传奇·稚期"/utf8>>,skills = [{109100,35}],condition = [{1,625}]};

get_uranium_grade(67) ->
    #base_uranium_grade{grade = 67,name = <<"传奇·初期"/utf8>>,skills = [{109100,35}],condition = [{1,630}]};

get_uranium_grade(68) ->
    #base_uranium_grade{grade = 68,name = <<"传奇·中期"/utf8>>,skills = [{109100,35}],condition = [{1,635}]};

get_uranium_grade(69) ->
    #base_uranium_grade{grade = 69,name = <<"传奇·后期"/utf8>>,skills = [{109100,35}],condition = [{1,640}]};

get_uranium_grade(70) ->
    #base_uranium_grade{grade = 70,name = <<"传奇·巅峰"/utf8>>,skills = [{109100,35}],condition = [{1,645}]};

get_uranium_grade(71) ->
    #base_uranium_grade{grade = 71,name = <<"半神·稚期"/utf8>>,skills = [{109100,35}],condition = [{1,650}]};

get_uranium_grade(72) ->
    #base_uranium_grade{grade = 72,name = <<"半神·初期"/utf8>>,skills = [{109100,35}],condition = [{1,655}]};

get_uranium_grade(73) ->
    #base_uranium_grade{grade = 73,name = <<"半神·中期"/utf8>>,skills = [{109100,35}],condition = [{1,660}]};

get_uranium_grade(74) ->
    #base_uranium_grade{grade = 74,name = <<"半神·后期"/utf8>>,skills = [{109100,35}],condition = [{1,665}]};

get_uranium_grade(75) ->
    #base_uranium_grade{grade = 75,name = <<"半神·巅峰"/utf8>>,skills = [{109100,35}],condition = [{1,670}]};

get_uranium_grade(76) ->
    #base_uranium_grade{grade = 76,name = <<"灵神·稚期"/utf8>>,skills = [{109100,35}],condition = [{1,675}]};

get_uranium_grade(77) ->
    #base_uranium_grade{grade = 77,name = <<"灵神·初期"/utf8>>,skills = [{109100,35}],condition = [{1,680}]};

get_uranium_grade(78) ->
    #base_uranium_grade{grade = 78,name = <<"灵神·中期"/utf8>>,skills = [{109100,35}],condition = [{1,685}]};

get_uranium_grade(79) ->
    #base_uranium_grade{grade = 79,name = <<"灵神·后期"/utf8>>,skills = [{109100,35}],condition = [{1,690}]};

get_uranium_grade(80) ->
    #base_uranium_grade{grade = 80,name = <<"灵神·巅峰"/utf8>>,skills = [{109100,35}],condition = [{1,695}]};

get_uranium_grade(81) ->
    #base_uranium_grade{grade = 81,name = <<"光辉·稚期"/utf8>>,skills = [{109100,35}],condition = [{1,700}]};

get_uranium_grade(82) ->
    #base_uranium_grade{grade = 82,name = <<"光辉·初期"/utf8>>,skills = [{109100,35}],condition = [{1,705}]};

get_uranium_grade(83) ->
    #base_uranium_grade{grade = 83,name = <<"光辉·中期"/utf8>>,skills = [{109100,35}],condition = [{1,710}]};

get_uranium_grade(84) ->
    #base_uranium_grade{grade = 84,name = <<"光辉·后期"/utf8>>,skills = [{109100,35}],condition = [{1,715}]};

get_uranium_grade(85) ->
    #base_uranium_grade{grade = 85,name = <<"光辉·巅峰"/utf8>>,skills = [{109100,35}],condition = [{1,720}]};

get_uranium_grade(86) ->
    #base_uranium_grade{grade = 86,name = <<"秩序·稚期"/utf8>>,skills = [{109100,35}],condition = [{1,725}]};

get_uranium_grade(87) ->
    #base_uranium_grade{grade = 87,name = <<"秩序·初期"/utf8>>,skills = [{109100,35}],condition = [{1,730}]};

get_uranium_grade(88) ->
    #base_uranium_grade{grade = 88,name = <<"秩序·中期"/utf8>>,skills = [{109100,35}],condition = [{1,735}]};

get_uranium_grade(89) ->
    #base_uranium_grade{grade = 89,name = <<"秩序·后期"/utf8>>,skills = [{109100,35}],condition = [{1,740}]};

get_uranium_grade(90) ->
    #base_uranium_grade{grade = 90,name = <<"秩序·巅峰"/utf8>>,skills = [{109100,35}],condition = [{1,745}]};

get_uranium_grade(91) ->
    #base_uranium_grade{grade = 91,name = <<"虚空·稚期"/utf8>>,skills = [{109100,35}],condition = [{1,750}]};

get_uranium_grade(92) ->
    #base_uranium_grade{grade = 92,name = <<"虚空·初期"/utf8>>,skills = [{109100,35}],condition = [{1,755}]};

get_uranium_grade(93) ->
    #base_uranium_grade{grade = 93,name = <<"虚空·中期"/utf8>>,skills = [{109100,35}],condition = [{1,760}]};

get_uranium_grade(94) ->
    #base_uranium_grade{grade = 94,name = <<"虚空·后期"/utf8>>,skills = [{109100,35}],condition = [{1,765}]};

get_uranium_grade(95) ->
    #base_uranium_grade{grade = 95,name = <<"虚空·巅峰"/utf8>>,skills = [{109100,35}],condition = [{1,770}]};

get_uranium_grade(96) ->
    #base_uranium_grade{grade = 96,name = <<"永恒·初期"/utf8>>,skills = [{109100,35}],condition = [{1,775}]};

get_uranium_grade(97) ->
    #base_uranium_grade{grade = 97,name = <<"永恒·后期"/utf8>>,skills = [{109100,35}],condition = [{1,780}]};

get_uranium_grade(98) ->
    #base_uranium_grade{grade = 98,name = <<"永恒·巅峰"/utf8>>,skills = [{109100,35}],condition = [{1,785}]};

get_uranium_grade(_Grade) ->
    [].

%%单个材料增加的能量数
sel_uranium_kv(material_use) ->
    [[{102121,100}]];

sel_uranium_kv(_Keycontent) ->
    [].

