%%%------------------------------------------------
%%% File    : data_task_tab
%%% Author  : hekai
%%% Created : 2010-09-12
%%% Description: 任务配置
%%%------------------------------------------------
-module(data_task_tab).
-compile(export_all).


%% 0   情缘
%% 1   护送美女
%% 2   诛妖任务发布
%% 3   诛妖任务领取
%% 4   平乱任务
%% 5   皇榜任务
%% 6   宠物副本
%% 7   铜钱副本
%% 8   单人九重天
%% 9   多人九重天
%% 10  经验副本
%% 11  试炼任务
%% 12  阵营任务
%% 13  智力答题
%% 14  封魔录
%% 15  装备副本
%% 16  铜币副本
%% 17  竞技场
%% 18  帮派战
%% 19  蟠桃会
%% 20  除魔卫道
%% 21  砸蛋
%% 22  摇钱树

tab_daily_task_config(Type) ->
 	TupeList =
	   [{0, 35, 1},
		{1, 33, 3},
		{2, 30, 5},
		{3, 30, 5},
		{4, 31, 20},
		{5, 39, 20},
		{6, 34, 1},
		{7, 31, 0},
		{8, 35, 2},
		{9, 40, 2},
		{10, 21, 3},
		{11, 35, 1},
		{12, 38, 1},
        {13, 31, 1},
        {14, 15, 0},
        {15, 20, 0},
        {16, 31, 0},
        {17, 30, 1},
        {18, 38, 1},
        {19, 35, 1},
        {20, 30, 0},
        {21, 34, 0},
        {22, 34, 20}
	],
	lists:keyfind(Type, 1, TupeList).

